import { jsx, jsxs, Fragment as Fragment$1 } from 'react/jsx-runtime';
import c$1, { Component, useEffect, useLayoutEffect, useRef, useState, forwardRef, Fragment, isValidElement, cloneElement, createElement, createContext, useContext, useMemo, useReducer, createRef } from 'react';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "/*! tailwindcss v2.2.19 | MIT License | https://tailwindcss.com */\n\n/*! modern-normalize v1.1.0 | MIT License | https://github.com/sindresorhus/modern-normalize */\n\n/*\nDocument\n========\n*/\n\n/**\nUse a better box model (opinionated).\n*/\n\n*,\n::before,\n::after {\n  box-sizing: border-box;\n}\n\n/**\nUse a more readable tab size (opinionated).\n*/\n\nhtml {\n  -moz-tab-size: 4;\n  -o-tab-size: 4;\n     tab-size: 4;\n}\n\n/**\n1. Correct the line height in all browsers.\n2. Prevent adjustments of font size after orientation changes in iOS.\n*/\n\nhtml {\n  line-height: 1.15; /* 1 */\n  -webkit-text-size-adjust: 100%; /* 2 */\n}\n\n/*\nSections\n========\n*/\n\n/**\nRemove the margin in all browsers.\n*/\n\nbody {\n  margin: 0;\n}\n\n/**\nImprove consistency of default fonts in all browsers. (https://github.com/sindresorhus/modern-normalize/issues/3)\n*/\n\nbody {\n  font-family:\n\t\tsystem-ui,\n\t\t-apple-system, /* Firefox supports this but not yet `system-ui` */\n\t\t'Segoe UI',\n\t\tRoboto,\n\t\tHelvetica,\n\t\tArial,\n\t\tsans-serif,\n\t\t'Apple Color Emoji',\n\t\t'Segoe UI Emoji';\n}\n\n/*\nGrouping content\n================\n*/\n\n/**\n1. Add the correct height in Firefox.\n2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)\n*/\n\nhr {\n  height: 0; /* 1 */\n  color: inherit; /* 2 */\n}\n\n/*\nText-level semantics\n====================\n*/\n\n/**\nAdd the correct text decoration in Chrome, Edge, and Safari.\n*/\n\nabbr[title] {\n  -webkit-text-decoration: underline dotted;\n          text-decoration: underline dotted;\n}\n\n/**\nAdd the correct font weight in Edge and Safari.\n*/\n\nb,\nstrong {\n  font-weight: bolder;\n}\n\n/**\n1. Improve consistency of default fonts in all browsers. (https://github.com/sindresorhus/modern-normalize/issues/3)\n2. Correct the odd 'em' font sizing in all browsers.\n*/\n\ncode,\nkbd,\nsamp,\npre {\n  font-family:\n\t\tui-monospace,\n\t\tSFMono-Regular,\n\t\tConsolas,\n\t\t'Liberation Mono',\n\t\tMenlo,\n\t\tmonospace; /* 1 */\n  font-size: 1em; /* 2 */\n}\n\n/**\nAdd the correct font size in all browsers.\n*/\n\nsmall {\n  font-size: 80%;\n}\n\n/**\nPrevent 'sub' and 'sup' elements from affecting the line height in all browsers.\n*/\n\nsub,\nsup {\n  font-size: 75%;\n  line-height: 0;\n  position: relative;\n  vertical-align: baseline;\n}\n\nsub {\n  bottom: -0.25em;\n}\n\nsup {\n  top: -0.5em;\n}\n\n/*\nTabular data\n============\n*/\n\n/**\n1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)\n2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)\n*/\n\ntable {\n  text-indent: 0; /* 1 */\n  border-color: inherit; /* 2 */\n}\n\n/*\nForms\n=====\n*/\n\n/**\n1. Change the font styles in all browsers.\n2. Remove the margin in Firefox and Safari.\n*/\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  font-family: inherit; /* 1 */\n  font-size: 100%; /* 1 */\n  line-height: 1.15; /* 1 */\n  margin: 0; /* 2 */\n}\n\n/**\nRemove the inheritance of text transform in Edge and Firefox.\n1. Remove the inheritance of text transform in Firefox.\n*/\n\nbutton,\nselect { /* 1 */\n  text-transform: none;\n}\n\n/**\nCorrect the inability to style clickable types in iOS and Safari.\n*/\n\nbutton,\n[type='button'],\n[type='reset'],\n[type='submit'] {\n  -webkit-appearance: button;\n}\n\n/**\nRemove the inner border and padding in Firefox.\n*/\n\n::-moz-focus-inner {\n  border-style: none;\n  padding: 0;\n}\n\n/**\nRestore the focus styles unset by the previous rule.\n*/\n\n:-moz-focusring {\n  outline: 1px dotted ButtonText;\n}\n\n/**\nRemove the additional ':invalid' styles in Firefox.\nSee: https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737\n*/\n\n:-moz-ui-invalid {\n  box-shadow: none;\n}\n\n/**\nRemove the padding so developers are not caught out when they zero out 'fieldset' elements in all browsers.\n*/\n\nlegend {\n  padding: 0;\n}\n\n/**\nAdd the correct vertical alignment in Chrome and Firefox.\n*/\n\nprogress {\n  vertical-align: baseline;\n}\n\n/**\nCorrect the cursor style of increment and decrement buttons in Safari.\n*/\n\n::-webkit-inner-spin-button,\n::-webkit-outer-spin-button {\n  height: auto;\n}\n\n/**\n1. Correct the odd appearance in Chrome and Safari.\n2. Correct the outline style in Safari.\n*/\n\n[type='search'] {\n  -webkit-appearance: textfield; /* 1 */\n  outline-offset: -2px; /* 2 */\n}\n\n/**\nRemove the inner padding in Chrome and Safari on macOS.\n*/\n\n::-webkit-search-decoration {\n  -webkit-appearance: none;\n}\n\n/**\n1. Correct the inability to style clickable types in iOS and Safari.\n2. Change font properties to 'inherit' in Safari.\n*/\n\n::-webkit-file-upload-button {\n  -webkit-appearance: button; /* 1 */\n  font: inherit; /* 2 */\n}\n\n/*\nInteractive\n===========\n*/\n\n/*\nAdd the correct display in Chrome and Safari.\n*/\n\nsummary {\n  display: list-item;\n}\n\n/**\n * Manually forked from SUIT CSS Base: https://github.com/suitcss/base\n * A thin layer on top of normalize.css that provides a starting point more\n * suitable for web applications.\n */\n\n/**\n * Removes the default spacing and border for appropriate elements.\n */\n\nblockquote,\ndl,\ndd,\nh1,\nh2,\nh3,\nh4,\nh5,\nh6,\nhr,\nfigure,\np,\npre {\n  margin: 0;\n}\n\nbutton {\n  background-color: transparent;\n  background-image: none;\n}\n\nfieldset {\n  margin: 0;\n  padding: 0;\n}\n\nol,\nul {\n  list-style: none;\n  margin: 0;\n  padding: 0;\n}\n\n/**\n * Tailwind custom reset styles\n */\n\n/**\n * 1. Use the user's configured `sans` font-family (with Tailwind's default\n *    sans-serif font stack as a fallback) as a sane default.\n * 2. Use Tailwind's default \"normal\" line-height so the user isn't forced\n *    to override it to ensure consistency even when using the default theme.\n */\n\nhtml {\n  font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\"; /* 1 */\n  line-height: 1.5; /* 2 */\n}\n\n/**\n * Inherit font-family and line-height from `html` so users can set them as\n * a class directly on the `html` element.\n */\n\nbody {\n  font-family: inherit;\n  line-height: inherit;\n}\n\n/**\n * 1. Prevent padding and border from affecting element width.\n *\n *    We used to set this in the html element and inherit from\n *    the parent element for everything else. This caused issues\n *    in shadow-dom-enhanced elements like <details> where the content\n *    is wrapped by a div with box-sizing set to `content-box`.\n *\n *    https://github.com/mozdevs/cssremedy/issues/4\n *\n *\n * 2. Allow adding a border to an element by just adding a border-width.\n *\n *    By default, the way the browser specifies that an element should have no\n *    border is by setting it's border-style to `none` in the user-agent\n *    stylesheet.\n *\n *    In order to easily add borders to elements by just setting the `border-width`\n *    property, we change the default border-style for all elements to `solid`, and\n *    use border-width to hide them instead. This way our `border` utilities only\n *    need to set the `border-width` property instead of the entire `border`\n *    shorthand, making our border utilities much more straightforward to compose.\n *\n *    https://github.com/tailwindcss/tailwindcss/pull/116\n */\n\n*,\n::before,\n::after {\n  box-sizing: border-box; /* 1 */\n  border-width: 0; /* 2 */\n  border-style: solid; /* 2 */\n  border-color: currentColor; /* 2 */\n}\n\n/*\n * Ensure horizontal rules are visible by default\n */\n\nhr {\n  border-top-width: 1px;\n}\n\n/**\n * Undo the `border-style: none` reset that Normalize applies to images so that\n * our `border-{width}` utilities have the expected effect.\n *\n * The Normalize reset is unnecessary for us since we default the border-width\n * to 0 on all elements.\n *\n * https://github.com/tailwindcss/tailwindcss/issues/362\n */\n\nimg {\n  border-style: solid;\n}\n\ntextarea {\n  resize: vertical;\n}\n\ninput::-moz-placeholder, textarea::-moz-placeholder {\n  opacity: 1;\n  color: #9ca3af;\n}\n\ninput::placeholder,\ntextarea::placeholder {\n  opacity: 1;\n  color: #9ca3af;\n}\n\nbutton,\n[role=\"button\"] {\n  cursor: pointer;\n}\n\n/**\n * Override legacy focus reset from Normalize with modern Firefox focus styles.\n *\n * This is actually an improvement over the new defaults in Firefox in our testing,\n * as it triggers the better focus styles even for links, which still use a dotted\n * outline in Firefox by default.\n */\n\n:-moz-focusring {\n  outline: auto;\n}\n\ntable {\n  border-collapse: collapse;\n}\n\nh1,\nh2,\nh3,\nh4,\nh5,\nh6 {\n  font-size: inherit;\n  font-weight: inherit;\n}\n\n/**\n * Reset links to optimize for opt-in styling instead of\n * opt-out.\n */\n\na {\n  color: inherit;\n  text-decoration: inherit;\n}\n\n/**\n * Reset form element properties that are easy to forget to\n * style explicitly so you don't inadvertently introduce\n * styles that deviate from your design system. These styles\n * supplement a partial reset that is already applied by\n * normalize.css.\n */\n\nbutton,\ninput,\noptgroup,\nselect,\ntextarea {\n  padding: 0;\n  line-height: inherit;\n  color: inherit;\n}\n\n/**\n * Use the configured 'mono' font family for elements that\n * are expected to be rendered with a monospace font, falling\n * back to the system monospace stack if there is no configured\n * 'mono' font family.\n */\n\npre,\ncode,\nkbd,\nsamp {\n  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n}\n\n/**\n * 1. Make replaced elements `display: block` by default as that's\n *    the behavior you want almost all of the time. Inspired by\n *    CSS Remedy, with `svg` added as well.\n *\n *    https://github.com/mozdevs/cssremedy/issues/14\n * \n * 2. Add `vertical-align: middle` to align replaced elements more\n *    sensibly by default when overriding `display` by adding a\n *    utility like `inline`.\n *\n *    This can trigger a poorly considered linting error in some\n *    tools but is included by design.\n * \n *    https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210\n */\n\nimg,\nsvg,\nvideo,\ncanvas,\naudio,\niframe,\nembed,\nobject {\n  display: block; /* 1 */\n  vertical-align: middle; /* 2 */\n}\n\n/**\n * Constrain images and videos to the parent width and preserve\n * their intrinsic aspect ratio.\n *\n * https://github.com/mozdevs/cssremedy/issues/14\n */\n\nimg,\nvideo {\n  max-width: 100%;\n  height: auto;\n}\n\n/**\n * Ensure the default browser behavior of the `hidden` attribute.\n */\n\n[hidden] {\n  display: none;\n}\n\n*, ::before, ::after {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.container {\n  width: 100%;\n}\n\n@media (min-width: 640px) {\n  .container {\n    max-width: 640px;\n  }\n}\n\n@media (min-width: 768px) {\n  .container {\n    max-width: 768px;\n  }\n}\n\n@media (min-width: 1024px) {\n  .container {\n    max-width: 1024px;\n  }\n}\n\n@media (min-width: 1280px) {\n  .container {\n    max-width: 1280px;\n  }\n}\n\n@media (min-width: 1536px) {\n  .container {\n    max-width: 1536px;\n  }\n}\n\n.sr-only {\n  position: absolute;\n  width: 1px;\n  height: 1px;\n  padding: 0;\n  margin: -1px;\n  overflow: hidden;\n  clip: rect(0, 0, 0, 0);\n  white-space: nowrap;\n  border-width: 0;\n}\n\n.not-sr-only {\n  position: static;\n  width: auto;\n  height: auto;\n  padding: 0;\n  margin: 0;\n  overflow: visible;\n  clip: auto;\n  white-space: normal;\n}\n\n.focus-within\\:sr-only:focus-within {\n  position: absolute;\n  width: 1px;\n  height: 1px;\n  padding: 0;\n  margin: -1px;\n  overflow: hidden;\n  clip: rect(0, 0, 0, 0);\n  white-space: nowrap;\n  border-width: 0;\n}\n\n.focus-within\\:not-sr-only:focus-within {\n  position: static;\n  width: auto;\n  height: auto;\n  padding: 0;\n  margin: 0;\n  overflow: visible;\n  clip: auto;\n  white-space: normal;\n}\n\n.focus\\:sr-only:focus {\n  position: absolute;\n  width: 1px;\n  height: 1px;\n  padding: 0;\n  margin: -1px;\n  overflow: hidden;\n  clip: rect(0, 0, 0, 0);\n  white-space: nowrap;\n  border-width: 0;\n}\n\n.focus\\:not-sr-only:focus {\n  position: static;\n  width: auto;\n  height: auto;\n  padding: 0;\n  margin: 0;\n  overflow: visible;\n  clip: auto;\n  white-space: normal;\n}\n\n.pointer-events-none {\n  pointer-events: none;\n}\n\n.pointer-events-auto {\n  pointer-events: auto;\n}\n\n.visible {\n  visibility: visible;\n}\n\n.invisible {\n  visibility: hidden;\n}\n\n.static {\n  position: static;\n}\n\n.fixed {\n  position: fixed;\n}\n\n.absolute {\n  position: absolute;\n}\n\n.relative {\n  position: relative;\n}\n\n.sticky {\n  position: sticky;\n}\n\n.inset-0 {\n  top: 0px;\n  right: 0px;\n  bottom: 0px;\n  left: 0px;\n}\n\n.inset-1 {\n  top: 0.25rem;\n  right: 0.25rem;\n  bottom: 0.25rem;\n  left: 0.25rem;\n}\n\n.inset-2 {\n  top: 0.5rem;\n  right: 0.5rem;\n  bottom: 0.5rem;\n  left: 0.5rem;\n}\n\n.inset-3 {\n  top: 0.75rem;\n  right: 0.75rem;\n  bottom: 0.75rem;\n  left: 0.75rem;\n}\n\n.inset-4 {\n  top: 1rem;\n  right: 1rem;\n  bottom: 1rem;\n  left: 1rem;\n}\n\n.inset-5 {\n  top: 1.25rem;\n  right: 1.25rem;\n  bottom: 1.25rem;\n  left: 1.25rem;\n}\n\n.inset-6 {\n  top: 1.5rem;\n  right: 1.5rem;\n  bottom: 1.5rem;\n  left: 1.5rem;\n}\n\n.inset-7 {\n  top: 1.75rem;\n  right: 1.75rem;\n  bottom: 1.75rem;\n  left: 1.75rem;\n}\n\n.inset-8 {\n  top: 2rem;\n  right: 2rem;\n  bottom: 2rem;\n  left: 2rem;\n}\n\n.inset-9 {\n  top: 2.25rem;\n  right: 2.25rem;\n  bottom: 2.25rem;\n  left: 2.25rem;\n}\n\n.inset-10 {\n  top: 2.5rem;\n  right: 2.5rem;\n  bottom: 2.5rem;\n  left: 2.5rem;\n}\n\n.inset-11 {\n  top: 2.75rem;\n  right: 2.75rem;\n  bottom: 2.75rem;\n  left: 2.75rem;\n}\n\n.inset-12 {\n  top: 3rem;\n  right: 3rem;\n  bottom: 3rem;\n  left: 3rem;\n}\n\n.inset-14 {\n  top: 3.5rem;\n  right: 3.5rem;\n  bottom: 3.5rem;\n  left: 3.5rem;\n}\n\n.inset-16 {\n  top: 4rem;\n  right: 4rem;\n  bottom: 4rem;\n  left: 4rem;\n}\n\n.inset-20 {\n  top: 5rem;\n  right: 5rem;\n  bottom: 5rem;\n  left: 5rem;\n}\n\n.inset-24 {\n  top: 6rem;\n  right: 6rem;\n  bottom: 6rem;\n  left: 6rem;\n}\n\n.inset-28 {\n  top: 7rem;\n  right: 7rem;\n  bottom: 7rem;\n  left: 7rem;\n}\n\n.inset-32 {\n  top: 8rem;\n  right: 8rem;\n  bottom: 8rem;\n  left: 8rem;\n}\n\n.inset-36 {\n  top: 9rem;\n  right: 9rem;\n  bottom: 9rem;\n  left: 9rem;\n}\n\n.inset-40 {\n  top: 10rem;\n  right: 10rem;\n  bottom: 10rem;\n  left: 10rem;\n}\n\n.inset-44 {\n  top: 11rem;\n  right: 11rem;\n  bottom: 11rem;\n  left: 11rem;\n}\n\n.inset-48 {\n  top: 12rem;\n  right: 12rem;\n  bottom: 12rem;\n  left: 12rem;\n}\n\n.inset-52 {\n  top: 13rem;\n  right: 13rem;\n  bottom: 13rem;\n  left: 13rem;\n}\n\n.inset-56 {\n  top: 14rem;\n  right: 14rem;\n  bottom: 14rem;\n  left: 14rem;\n}\n\n.inset-60 {\n  top: 15rem;\n  right: 15rem;\n  bottom: 15rem;\n  left: 15rem;\n}\n\n.inset-64 {\n  top: 16rem;\n  right: 16rem;\n  bottom: 16rem;\n  left: 16rem;\n}\n\n.inset-72 {\n  top: 18rem;\n  right: 18rem;\n  bottom: 18rem;\n  left: 18rem;\n}\n\n.inset-80 {\n  top: 20rem;\n  right: 20rem;\n  bottom: 20rem;\n  left: 20rem;\n}\n\n.inset-96 {\n  top: 24rem;\n  right: 24rem;\n  bottom: 24rem;\n  left: 24rem;\n}\n\n.inset-auto {\n  top: auto;\n  right: auto;\n  bottom: auto;\n  left: auto;\n}\n\n.inset-px {\n  top: 1px;\n  right: 1px;\n  bottom: 1px;\n  left: 1px;\n}\n\n.inset-0\\.5 {\n  top: 0.125rem;\n  right: 0.125rem;\n  bottom: 0.125rem;\n  left: 0.125rem;\n}\n\n.inset-1\\.5 {\n  top: 0.375rem;\n  right: 0.375rem;\n  bottom: 0.375rem;\n  left: 0.375rem;\n}\n\n.inset-2\\.5 {\n  top: 0.625rem;\n  right: 0.625rem;\n  bottom: 0.625rem;\n  left: 0.625rem;\n}\n\n.inset-3\\.5 {\n  top: 0.875rem;\n  right: 0.875rem;\n  bottom: 0.875rem;\n  left: 0.875rem;\n}\n\n.-inset-0 {\n  top: 0px;\n  right: 0px;\n  bottom: 0px;\n  left: 0px;\n}\n\n.-inset-1 {\n  top: -0.25rem;\n  right: -0.25rem;\n  bottom: -0.25rem;\n  left: -0.25rem;\n}\n\n.-inset-2 {\n  top: -0.5rem;\n  right: -0.5rem;\n  bottom: -0.5rem;\n  left: -0.5rem;\n}\n\n.-inset-3 {\n  top: -0.75rem;\n  right: -0.75rem;\n  bottom: -0.75rem;\n  left: -0.75rem;\n}\n\n.-inset-4 {\n  top: -1rem;\n  right: -1rem;\n  bottom: -1rem;\n  left: -1rem;\n}\n\n.-inset-5 {\n  top: -1.25rem;\n  right: -1.25rem;\n  bottom: -1.25rem;\n  left: -1.25rem;\n}\n\n.-inset-6 {\n  top: -1.5rem;\n  right: -1.5rem;\n  bottom: -1.5rem;\n  left: -1.5rem;\n}\n\n.-inset-7 {\n  top: -1.75rem;\n  right: -1.75rem;\n  bottom: -1.75rem;\n  left: -1.75rem;\n}\n\n.-inset-8 {\n  top: -2rem;\n  right: -2rem;\n  bottom: -2rem;\n  left: -2rem;\n}\n\n.-inset-9 {\n  top: -2.25rem;\n  right: -2.25rem;\n  bottom: -2.25rem;\n  left: -2.25rem;\n}\n\n.-inset-10 {\n  top: -2.5rem;\n  right: -2.5rem;\n  bottom: -2.5rem;\n  left: -2.5rem;\n}\n\n.-inset-11 {\n  top: -2.75rem;\n  right: -2.75rem;\n  bottom: -2.75rem;\n  left: -2.75rem;\n}\n\n.-inset-12 {\n  top: -3rem;\n  right: -3rem;\n  bottom: -3rem;\n  left: -3rem;\n}\n\n.-inset-14 {\n  top: -3.5rem;\n  right: -3.5rem;\n  bottom: -3.5rem;\n  left: -3.5rem;\n}\n\n.-inset-16 {\n  top: -4rem;\n  right: -4rem;\n  bottom: -4rem;\n  left: -4rem;\n}\n\n.-inset-20 {\n  top: -5rem;\n  right: -5rem;\n  bottom: -5rem;\n  left: -5rem;\n}\n\n.-inset-24 {\n  top: -6rem;\n  right: -6rem;\n  bottom: -6rem;\n  left: -6rem;\n}\n\n.-inset-28 {\n  top: -7rem;\n  right: -7rem;\n  bottom: -7rem;\n  left: -7rem;\n}\n\n.-inset-32 {\n  top: -8rem;\n  right: -8rem;\n  bottom: -8rem;\n  left: -8rem;\n}\n\n.-inset-36 {\n  top: -9rem;\n  right: -9rem;\n  bottom: -9rem;\n  left: -9rem;\n}\n\n.-inset-40 {\n  top: -10rem;\n  right: -10rem;\n  bottom: -10rem;\n  left: -10rem;\n}\n\n.-inset-44 {\n  top: -11rem;\n  right: -11rem;\n  bottom: -11rem;\n  left: -11rem;\n}\n\n.-inset-48 {\n  top: -12rem;\n  right: -12rem;\n  bottom: -12rem;\n  left: -12rem;\n}\n\n.-inset-52 {\n  top: -13rem;\n  right: -13rem;\n  bottom: -13rem;\n  left: -13rem;\n}\n\n.-inset-56 {\n  top: -14rem;\n  right: -14rem;\n  bottom: -14rem;\n  left: -14rem;\n}\n\n.-inset-60 {\n  top: -15rem;\n  right: -15rem;\n  bottom: -15rem;\n  left: -15rem;\n}\n\n.-inset-64 {\n  top: -16rem;\n  right: -16rem;\n  bottom: -16rem;\n  left: -16rem;\n}\n\n.-inset-72 {\n  top: -18rem;\n  right: -18rem;\n  bottom: -18rem;\n  left: -18rem;\n}\n\n.-inset-80 {\n  top: -20rem;\n  right: -20rem;\n  bottom: -20rem;\n  left: -20rem;\n}\n\n.-inset-96 {\n  top: -24rem;\n  right: -24rem;\n  bottom: -24rem;\n  left: -24rem;\n}\n\n.-inset-px {\n  top: -1px;\n  right: -1px;\n  bottom: -1px;\n  left: -1px;\n}\n\n.-inset-0\\.5 {\n  top: -0.125rem;\n  right: -0.125rem;\n  bottom: -0.125rem;\n  left: -0.125rem;\n}\n\n.-inset-1\\.5 {\n  top: -0.375rem;\n  right: -0.375rem;\n  bottom: -0.375rem;\n  left: -0.375rem;\n}\n\n.-inset-2\\.5 {\n  top: -0.625rem;\n  right: -0.625rem;\n  bottom: -0.625rem;\n  left: -0.625rem;\n}\n\n.-inset-3\\.5 {\n  top: -0.875rem;\n  right: -0.875rem;\n  bottom: -0.875rem;\n  left: -0.875rem;\n}\n\n.inset-1\\/2 {\n  top: 50%;\n  right: 50%;\n  bottom: 50%;\n  left: 50%;\n}\n\n.inset-1\\/3 {\n  top: 33.333333%;\n  right: 33.333333%;\n  bottom: 33.333333%;\n  left: 33.333333%;\n}\n\n.inset-2\\/3 {\n  top: 66.666667%;\n  right: 66.666667%;\n  bottom: 66.666667%;\n  left: 66.666667%;\n}\n\n.inset-1\\/4 {\n  top: 25%;\n  right: 25%;\n  bottom: 25%;\n  left: 25%;\n}\n\n.inset-2\\/4 {\n  top: 50%;\n  right: 50%;\n  bottom: 50%;\n  left: 50%;\n}\n\n.inset-3\\/4 {\n  top: 75%;\n  right: 75%;\n  bottom: 75%;\n  left: 75%;\n}\n\n.inset-full {\n  top: 100%;\n  right: 100%;\n  bottom: 100%;\n  left: 100%;\n}\n\n.-inset-1\\/2 {\n  top: -50%;\n  right: -50%;\n  bottom: -50%;\n  left: -50%;\n}\n\n.-inset-1\\/3 {\n  top: -33.333333%;\n  right: -33.333333%;\n  bottom: -33.333333%;\n  left: -33.333333%;\n}\n\n.-inset-2\\/3 {\n  top: -66.666667%;\n  right: -66.666667%;\n  bottom: -66.666667%;\n  left: -66.666667%;\n}\n\n.-inset-1\\/4 {\n  top: -25%;\n  right: -25%;\n  bottom: -25%;\n  left: -25%;\n}\n\n.-inset-2\\/4 {\n  top: -50%;\n  right: -50%;\n  bottom: -50%;\n  left: -50%;\n}\n\n.-inset-3\\/4 {\n  top: -75%;\n  right: -75%;\n  bottom: -75%;\n  left: -75%;\n}\n\n.-inset-full {\n  top: -100%;\n  right: -100%;\n  bottom: -100%;\n  left: -100%;\n}\n\n.inset-x-0 {\n  left: 0px;\n  right: 0px;\n}\n\n.inset-x-1 {\n  left: 0.25rem;\n  right: 0.25rem;\n}\n\n.inset-x-2 {\n  left: 0.5rem;\n  right: 0.5rem;\n}\n\n.inset-x-3 {\n  left: 0.75rem;\n  right: 0.75rem;\n}\n\n.inset-x-4 {\n  left: 1rem;\n  right: 1rem;\n}\n\n.inset-x-5 {\n  left: 1.25rem;\n  right: 1.25rem;\n}\n\n.inset-x-6 {\n  left: 1.5rem;\n  right: 1.5rem;\n}\n\n.inset-x-7 {\n  left: 1.75rem;\n  right: 1.75rem;\n}\n\n.inset-x-8 {\n  left: 2rem;\n  right: 2rem;\n}\n\n.inset-x-9 {\n  left: 2.25rem;\n  right: 2.25rem;\n}\n\n.inset-x-10 {\n  left: 2.5rem;\n  right: 2.5rem;\n}\n\n.inset-x-11 {\n  left: 2.75rem;\n  right: 2.75rem;\n}\n\n.inset-x-12 {\n  left: 3rem;\n  right: 3rem;\n}\n\n.inset-x-14 {\n  left: 3.5rem;\n  right: 3.5rem;\n}\n\n.inset-x-16 {\n  left: 4rem;\n  right: 4rem;\n}\n\n.inset-x-20 {\n  left: 5rem;\n  right: 5rem;\n}\n\n.inset-x-24 {\n  left: 6rem;\n  right: 6rem;\n}\n\n.inset-x-28 {\n  left: 7rem;\n  right: 7rem;\n}\n\n.inset-x-32 {\n  left: 8rem;\n  right: 8rem;\n}\n\n.inset-x-36 {\n  left: 9rem;\n  right: 9rem;\n}\n\n.inset-x-40 {\n  left: 10rem;\n  right: 10rem;\n}\n\n.inset-x-44 {\n  left: 11rem;\n  right: 11rem;\n}\n\n.inset-x-48 {\n  left: 12rem;\n  right: 12rem;\n}\n\n.inset-x-52 {\n  left: 13rem;\n  right: 13rem;\n}\n\n.inset-x-56 {\n  left: 14rem;\n  right: 14rem;\n}\n\n.inset-x-60 {\n  left: 15rem;\n  right: 15rem;\n}\n\n.inset-x-64 {\n  left: 16rem;\n  right: 16rem;\n}\n\n.inset-x-72 {\n  left: 18rem;\n  right: 18rem;\n}\n\n.inset-x-80 {\n  left: 20rem;\n  right: 20rem;\n}\n\n.inset-x-96 {\n  left: 24rem;\n  right: 24rem;\n}\n\n.inset-x-auto {\n  left: auto;\n  right: auto;\n}\n\n.inset-x-px {\n  left: 1px;\n  right: 1px;\n}\n\n.inset-x-0\\.5 {\n  left: 0.125rem;\n  right: 0.125rem;\n}\n\n.inset-x-1\\.5 {\n  left: 0.375rem;\n  right: 0.375rem;\n}\n\n.inset-x-2\\.5 {\n  left: 0.625rem;\n  right: 0.625rem;\n}\n\n.inset-x-3\\.5 {\n  left: 0.875rem;\n  right: 0.875rem;\n}\n\n.-inset-x-0 {\n  left: 0px;\n  right: 0px;\n}\n\n.-inset-x-1 {\n  left: -0.25rem;\n  right: -0.25rem;\n}\n\n.-inset-x-2 {\n  left: -0.5rem;\n  right: -0.5rem;\n}\n\n.-inset-x-3 {\n  left: -0.75rem;\n  right: -0.75rem;\n}\n\n.-inset-x-4 {\n  left: -1rem;\n  right: -1rem;\n}\n\n.-inset-x-5 {\n  left: -1.25rem;\n  right: -1.25rem;\n}\n\n.-inset-x-6 {\n  left: -1.5rem;\n  right: -1.5rem;\n}\n\n.-inset-x-7 {\n  left: -1.75rem;\n  right: -1.75rem;\n}\n\n.-inset-x-8 {\n  left: -2rem;\n  right: -2rem;\n}\n\n.-inset-x-9 {\n  left: -2.25rem;\n  right: -2.25rem;\n}\n\n.-inset-x-10 {\n  left: -2.5rem;\n  right: -2.5rem;\n}\n\n.-inset-x-11 {\n  left: -2.75rem;\n  right: -2.75rem;\n}\n\n.-inset-x-12 {\n  left: -3rem;\n  right: -3rem;\n}\n\n.-inset-x-14 {\n  left: -3.5rem;\n  right: -3.5rem;\n}\n\n.-inset-x-16 {\n  left: -4rem;\n  right: -4rem;\n}\n\n.-inset-x-20 {\n  left: -5rem;\n  right: -5rem;\n}\n\n.-inset-x-24 {\n  left: -6rem;\n  right: -6rem;\n}\n\n.-inset-x-28 {\n  left: -7rem;\n  right: -7rem;\n}\n\n.-inset-x-32 {\n  left: -8rem;\n  right: -8rem;\n}\n\n.-inset-x-36 {\n  left: -9rem;\n  right: -9rem;\n}\n\n.-inset-x-40 {\n  left: -10rem;\n  right: -10rem;\n}\n\n.-inset-x-44 {\n  left: -11rem;\n  right: -11rem;\n}\n\n.-inset-x-48 {\n  left: -12rem;\n  right: -12rem;\n}\n\n.-inset-x-52 {\n  left: -13rem;\n  right: -13rem;\n}\n\n.-inset-x-56 {\n  left: -14rem;\n  right: -14rem;\n}\n\n.-inset-x-60 {\n  left: -15rem;\n  right: -15rem;\n}\n\n.-inset-x-64 {\n  left: -16rem;\n  right: -16rem;\n}\n\n.-inset-x-72 {\n  left: -18rem;\n  right: -18rem;\n}\n\n.-inset-x-80 {\n  left: -20rem;\n  right: -20rem;\n}\n\n.-inset-x-96 {\n  left: -24rem;\n  right: -24rem;\n}\n\n.-inset-x-px {\n  left: -1px;\n  right: -1px;\n}\n\n.-inset-x-0\\.5 {\n  left: -0.125rem;\n  right: -0.125rem;\n}\n\n.-inset-x-1\\.5 {\n  left: -0.375rem;\n  right: -0.375rem;\n}\n\n.-inset-x-2\\.5 {\n  left: -0.625rem;\n  right: -0.625rem;\n}\n\n.-inset-x-3\\.5 {\n  left: -0.875rem;\n  right: -0.875rem;\n}\n\n.inset-x-1\\/2 {\n  left: 50%;\n  right: 50%;\n}\n\n.inset-x-1\\/3 {\n  left: 33.333333%;\n  right: 33.333333%;\n}\n\n.inset-x-2\\/3 {\n  left: 66.666667%;\n  right: 66.666667%;\n}\n\n.inset-x-1\\/4 {\n  left: 25%;\n  right: 25%;\n}\n\n.inset-x-2\\/4 {\n  left: 50%;\n  right: 50%;\n}\n\n.inset-x-3\\/4 {\n  left: 75%;\n  right: 75%;\n}\n\n.inset-x-full {\n  left: 100%;\n  right: 100%;\n}\n\n.-inset-x-1\\/2 {\n  left: -50%;\n  right: -50%;\n}\n\n.-inset-x-1\\/3 {\n  left: -33.333333%;\n  right: -33.333333%;\n}\n\n.-inset-x-2\\/3 {\n  left: -66.666667%;\n  right: -66.666667%;\n}\n\n.-inset-x-1\\/4 {\n  left: -25%;\n  right: -25%;\n}\n\n.-inset-x-2\\/4 {\n  left: -50%;\n  right: -50%;\n}\n\n.-inset-x-3\\/4 {\n  left: -75%;\n  right: -75%;\n}\n\n.-inset-x-full {\n  left: -100%;\n  right: -100%;\n}\n\n.inset-y-0 {\n  top: 0px;\n  bottom: 0px;\n}\n\n.inset-y-1 {\n  top: 0.25rem;\n  bottom: 0.25rem;\n}\n\n.inset-y-2 {\n  top: 0.5rem;\n  bottom: 0.5rem;\n}\n\n.inset-y-3 {\n  top: 0.75rem;\n  bottom: 0.75rem;\n}\n\n.inset-y-4 {\n  top: 1rem;\n  bottom: 1rem;\n}\n\n.inset-y-5 {\n  top: 1.25rem;\n  bottom: 1.25rem;\n}\n\n.inset-y-6 {\n  top: 1.5rem;\n  bottom: 1.5rem;\n}\n\n.inset-y-7 {\n  top: 1.75rem;\n  bottom: 1.75rem;\n}\n\n.inset-y-8 {\n  top: 2rem;\n  bottom: 2rem;\n}\n\n.inset-y-9 {\n  top: 2.25rem;\n  bottom: 2.25rem;\n}\n\n.inset-y-10 {\n  top: 2.5rem;\n  bottom: 2.5rem;\n}\n\n.inset-y-11 {\n  top: 2.75rem;\n  bottom: 2.75rem;\n}\n\n.inset-y-12 {\n  top: 3rem;\n  bottom: 3rem;\n}\n\n.inset-y-14 {\n  top: 3.5rem;\n  bottom: 3.5rem;\n}\n\n.inset-y-16 {\n  top: 4rem;\n  bottom: 4rem;\n}\n\n.inset-y-20 {\n  top: 5rem;\n  bottom: 5rem;\n}\n\n.inset-y-24 {\n  top: 6rem;\n  bottom: 6rem;\n}\n\n.inset-y-28 {\n  top: 7rem;\n  bottom: 7rem;\n}\n\n.inset-y-32 {\n  top: 8rem;\n  bottom: 8rem;\n}\n\n.inset-y-36 {\n  top: 9rem;\n  bottom: 9rem;\n}\n\n.inset-y-40 {\n  top: 10rem;\n  bottom: 10rem;\n}\n\n.inset-y-44 {\n  top: 11rem;\n  bottom: 11rem;\n}\n\n.inset-y-48 {\n  top: 12rem;\n  bottom: 12rem;\n}\n\n.inset-y-52 {\n  top: 13rem;\n  bottom: 13rem;\n}\n\n.inset-y-56 {\n  top: 14rem;\n  bottom: 14rem;\n}\n\n.inset-y-60 {\n  top: 15rem;\n  bottom: 15rem;\n}\n\n.inset-y-64 {\n  top: 16rem;\n  bottom: 16rem;\n}\n\n.inset-y-72 {\n  top: 18rem;\n  bottom: 18rem;\n}\n\n.inset-y-80 {\n  top: 20rem;\n  bottom: 20rem;\n}\n\n.inset-y-96 {\n  top: 24rem;\n  bottom: 24rem;\n}\n\n.inset-y-auto {\n  top: auto;\n  bottom: auto;\n}\n\n.inset-y-px {\n  top: 1px;\n  bottom: 1px;\n}\n\n.inset-y-0\\.5 {\n  top: 0.125rem;\n  bottom: 0.125rem;\n}\n\n.inset-y-1\\.5 {\n  top: 0.375rem;\n  bottom: 0.375rem;\n}\n\n.inset-y-2\\.5 {\n  top: 0.625rem;\n  bottom: 0.625rem;\n}\n\n.inset-y-3\\.5 {\n  top: 0.875rem;\n  bottom: 0.875rem;\n}\n\n.-inset-y-0 {\n  top: 0px;\n  bottom: 0px;\n}\n\n.-inset-y-1 {\n  top: -0.25rem;\n  bottom: -0.25rem;\n}\n\n.-inset-y-2 {\n  top: -0.5rem;\n  bottom: -0.5rem;\n}\n\n.-inset-y-3 {\n  top: -0.75rem;\n  bottom: -0.75rem;\n}\n\n.-inset-y-4 {\n  top: -1rem;\n  bottom: -1rem;\n}\n\n.-inset-y-5 {\n  top: -1.25rem;\n  bottom: -1.25rem;\n}\n\n.-inset-y-6 {\n  top: -1.5rem;\n  bottom: -1.5rem;\n}\n\n.-inset-y-7 {\n  top: -1.75rem;\n  bottom: -1.75rem;\n}\n\n.-inset-y-8 {\n  top: -2rem;\n  bottom: -2rem;\n}\n\n.-inset-y-9 {\n  top: -2.25rem;\n  bottom: -2.25rem;\n}\n\n.-inset-y-10 {\n  top: -2.5rem;\n  bottom: -2.5rem;\n}\n\n.-inset-y-11 {\n  top: -2.75rem;\n  bottom: -2.75rem;\n}\n\n.-inset-y-12 {\n  top: -3rem;\n  bottom: -3rem;\n}\n\n.-inset-y-14 {\n  top: -3.5rem;\n  bottom: -3.5rem;\n}\n\n.-inset-y-16 {\n  top: -4rem;\n  bottom: -4rem;\n}\n\n.-inset-y-20 {\n  top: -5rem;\n  bottom: -5rem;\n}\n\n.-inset-y-24 {\n  top: -6rem;\n  bottom: -6rem;\n}\n\n.-inset-y-28 {\n  top: -7rem;\n  bottom: -7rem;\n}\n\n.-inset-y-32 {\n  top: -8rem;\n  bottom: -8rem;\n}\n\n.-inset-y-36 {\n  top: -9rem;\n  bottom: -9rem;\n}\n\n.-inset-y-40 {\n  top: -10rem;\n  bottom: -10rem;\n}\n\n.-inset-y-44 {\n  top: -11rem;\n  bottom: -11rem;\n}\n\n.-inset-y-48 {\n  top: -12rem;\n  bottom: -12rem;\n}\n\n.-inset-y-52 {\n  top: -13rem;\n  bottom: -13rem;\n}\n\n.-inset-y-56 {\n  top: -14rem;\n  bottom: -14rem;\n}\n\n.-inset-y-60 {\n  top: -15rem;\n  bottom: -15rem;\n}\n\n.-inset-y-64 {\n  top: -16rem;\n  bottom: -16rem;\n}\n\n.-inset-y-72 {\n  top: -18rem;\n  bottom: -18rem;\n}\n\n.-inset-y-80 {\n  top: -20rem;\n  bottom: -20rem;\n}\n\n.-inset-y-96 {\n  top: -24rem;\n  bottom: -24rem;\n}\n\n.-inset-y-px {\n  top: -1px;\n  bottom: -1px;\n}\n\n.-inset-y-0\\.5 {\n  top: -0.125rem;\n  bottom: -0.125rem;\n}\n\n.-inset-y-1\\.5 {\n  top: -0.375rem;\n  bottom: -0.375rem;\n}\n\n.-inset-y-2\\.5 {\n  top: -0.625rem;\n  bottom: -0.625rem;\n}\n\n.-inset-y-3\\.5 {\n  top: -0.875rem;\n  bottom: -0.875rem;\n}\n\n.inset-y-1\\/2 {\n  top: 50%;\n  bottom: 50%;\n}\n\n.inset-y-1\\/3 {\n  top: 33.333333%;\n  bottom: 33.333333%;\n}\n\n.inset-y-2\\/3 {\n  top: 66.666667%;\n  bottom: 66.666667%;\n}\n\n.inset-y-1\\/4 {\n  top: 25%;\n  bottom: 25%;\n}\n\n.inset-y-2\\/4 {\n  top: 50%;\n  bottom: 50%;\n}\n\n.inset-y-3\\/4 {\n  top: 75%;\n  bottom: 75%;\n}\n\n.inset-y-full {\n  top: 100%;\n  bottom: 100%;\n}\n\n.-inset-y-1\\/2 {\n  top: -50%;\n  bottom: -50%;\n}\n\n.-inset-y-1\\/3 {\n  top: -33.333333%;\n  bottom: -33.333333%;\n}\n\n.-inset-y-2\\/3 {\n  top: -66.666667%;\n  bottom: -66.666667%;\n}\n\n.-inset-y-1\\/4 {\n  top: -25%;\n  bottom: -25%;\n}\n\n.-inset-y-2\\/4 {\n  top: -50%;\n  bottom: -50%;\n}\n\n.-inset-y-3\\/4 {\n  top: -75%;\n  bottom: -75%;\n}\n\n.-inset-y-full {\n  top: -100%;\n  bottom: -100%;\n}\n\n.top-0 {\n  top: 0px;\n}\n\n.top-1 {\n  top: 0.25rem;\n}\n\n.top-2 {\n  top: 0.5rem;\n}\n\n.top-3 {\n  top: 0.75rem;\n}\n\n.top-4 {\n  top: 1rem;\n}\n\n.top-5 {\n  top: 1.25rem;\n}\n\n.top-6 {\n  top: 1.5rem;\n}\n\n.top-7 {\n  top: 1.75rem;\n}\n\n.top-8 {\n  top: 2rem;\n}\n\n.top-9 {\n  top: 2.25rem;\n}\n\n.top-10 {\n  top: 2.5rem;\n}\n\n.top-11 {\n  top: 2.75rem;\n}\n\n.top-12 {\n  top: 3rem;\n}\n\n.top-14 {\n  top: 3.5rem;\n}\n\n.top-16 {\n  top: 4rem;\n}\n\n.top-20 {\n  top: 5rem;\n}\n\n.top-24 {\n  top: 6rem;\n}\n\n.top-28 {\n  top: 7rem;\n}\n\n.top-32 {\n  top: 8rem;\n}\n\n.top-36 {\n  top: 9rem;\n}\n\n.top-40 {\n  top: 10rem;\n}\n\n.top-44 {\n  top: 11rem;\n}\n\n.top-48 {\n  top: 12rem;\n}\n\n.top-52 {\n  top: 13rem;\n}\n\n.top-56 {\n  top: 14rem;\n}\n\n.top-60 {\n  top: 15rem;\n}\n\n.top-64 {\n  top: 16rem;\n}\n\n.top-72 {\n  top: 18rem;\n}\n\n.top-80 {\n  top: 20rem;\n}\n\n.top-96 {\n  top: 24rem;\n}\n\n.top-auto {\n  top: auto;\n}\n\n.top-px {\n  top: 1px;\n}\n\n.top-0\\.5 {\n  top: 0.125rem;\n}\n\n.top-1\\.5 {\n  top: 0.375rem;\n}\n\n.top-2\\.5 {\n  top: 0.625rem;\n}\n\n.top-3\\.5 {\n  top: 0.875rem;\n}\n\n.-top-0 {\n  top: 0px;\n}\n\n.-top-1 {\n  top: -0.25rem;\n}\n\n.-top-2 {\n  top: -0.5rem;\n}\n\n.-top-3 {\n  top: -0.75rem;\n}\n\n.-top-4 {\n  top: -1rem;\n}\n\n.-top-5 {\n  top: -1.25rem;\n}\n\n.-top-6 {\n  top: -1.5rem;\n}\n\n.-top-7 {\n  top: -1.75rem;\n}\n\n.-top-8 {\n  top: -2rem;\n}\n\n.-top-9 {\n  top: -2.25rem;\n}\n\n.-top-10 {\n  top: -2.5rem;\n}\n\n.-top-11 {\n  top: -2.75rem;\n}\n\n.-top-12 {\n  top: -3rem;\n}\n\n.-top-14 {\n  top: -3.5rem;\n}\n\n.-top-16 {\n  top: -4rem;\n}\n\n.-top-20 {\n  top: -5rem;\n}\n\n.-top-24 {\n  top: -6rem;\n}\n\n.-top-28 {\n  top: -7rem;\n}\n\n.-top-32 {\n  top: -8rem;\n}\n\n.-top-36 {\n  top: -9rem;\n}\n\n.-top-40 {\n  top: -10rem;\n}\n\n.-top-44 {\n  top: -11rem;\n}\n\n.-top-48 {\n  top: -12rem;\n}\n\n.-top-52 {\n  top: -13rem;\n}\n\n.-top-56 {\n  top: -14rem;\n}\n\n.-top-60 {\n  top: -15rem;\n}\n\n.-top-64 {\n  top: -16rem;\n}\n\n.-top-72 {\n  top: -18rem;\n}\n\n.-top-80 {\n  top: -20rem;\n}\n\n.-top-96 {\n  top: -24rem;\n}\n\n.-top-px {\n  top: -1px;\n}\n\n.-top-0\\.5 {\n  top: -0.125rem;\n}\n\n.-top-1\\.5 {\n  top: -0.375rem;\n}\n\n.-top-2\\.5 {\n  top: -0.625rem;\n}\n\n.-top-3\\.5 {\n  top: -0.875rem;\n}\n\n.top-1\\/2 {\n  top: 50%;\n}\n\n.top-1\\/3 {\n  top: 33.333333%;\n}\n\n.top-2\\/3 {\n  top: 66.666667%;\n}\n\n.top-1\\/4 {\n  top: 25%;\n}\n\n.top-2\\/4 {\n  top: 50%;\n}\n\n.top-3\\/4 {\n  top: 75%;\n}\n\n.top-full {\n  top: 100%;\n}\n\n.-top-1\\/2 {\n  top: -50%;\n}\n\n.-top-1\\/3 {\n  top: -33.333333%;\n}\n\n.-top-2\\/3 {\n  top: -66.666667%;\n}\n\n.-top-1\\/4 {\n  top: -25%;\n}\n\n.-top-2\\/4 {\n  top: -50%;\n}\n\n.-top-3\\/4 {\n  top: -75%;\n}\n\n.-top-full {\n  top: -100%;\n}\n\n.right-0 {\n  right: 0px;\n}\n\n.right-1 {\n  right: 0.25rem;\n}\n\n.right-2 {\n  right: 0.5rem;\n}\n\n.right-3 {\n  right: 0.75rem;\n}\n\n.right-4 {\n  right: 1rem;\n}\n\n.right-5 {\n  right: 1.25rem;\n}\n\n.right-6 {\n  right: 1.5rem;\n}\n\n.right-7 {\n  right: 1.75rem;\n}\n\n.right-8 {\n  right: 2rem;\n}\n\n.right-9 {\n  right: 2.25rem;\n}\n\n.right-10 {\n  right: 2.5rem;\n}\n\n.right-11 {\n  right: 2.75rem;\n}\n\n.right-12 {\n  right: 3rem;\n}\n\n.right-14 {\n  right: 3.5rem;\n}\n\n.right-16 {\n  right: 4rem;\n}\n\n.right-20 {\n  right: 5rem;\n}\n\n.right-24 {\n  right: 6rem;\n}\n\n.right-28 {\n  right: 7rem;\n}\n\n.right-32 {\n  right: 8rem;\n}\n\n.right-36 {\n  right: 9rem;\n}\n\n.right-40 {\n  right: 10rem;\n}\n\n.right-44 {\n  right: 11rem;\n}\n\n.right-48 {\n  right: 12rem;\n}\n\n.right-52 {\n  right: 13rem;\n}\n\n.right-56 {\n  right: 14rem;\n}\n\n.right-60 {\n  right: 15rem;\n}\n\n.right-64 {\n  right: 16rem;\n}\n\n.right-72 {\n  right: 18rem;\n}\n\n.right-80 {\n  right: 20rem;\n}\n\n.right-96 {\n  right: 24rem;\n}\n\n.right-auto {\n  right: auto;\n}\n\n.right-px {\n  right: 1px;\n}\n\n.right-0\\.5 {\n  right: 0.125rem;\n}\n\n.right-1\\.5 {\n  right: 0.375rem;\n}\n\n.right-2\\.5 {\n  right: 0.625rem;\n}\n\n.right-3\\.5 {\n  right: 0.875rem;\n}\n\n.-right-0 {\n  right: 0px;\n}\n\n.-right-1 {\n  right: -0.25rem;\n}\n\n.-right-2 {\n  right: -0.5rem;\n}\n\n.-right-3 {\n  right: -0.75rem;\n}\n\n.-right-4 {\n  right: -1rem;\n}\n\n.-right-5 {\n  right: -1.25rem;\n}\n\n.-right-6 {\n  right: -1.5rem;\n}\n\n.-right-7 {\n  right: -1.75rem;\n}\n\n.-right-8 {\n  right: -2rem;\n}\n\n.-right-9 {\n  right: -2.25rem;\n}\n\n.-right-10 {\n  right: -2.5rem;\n}\n\n.-right-11 {\n  right: -2.75rem;\n}\n\n.-right-12 {\n  right: -3rem;\n}\n\n.-right-14 {\n  right: -3.5rem;\n}\n\n.-right-16 {\n  right: -4rem;\n}\n\n.-right-20 {\n  right: -5rem;\n}\n\n.-right-24 {\n  right: -6rem;\n}\n\n.-right-28 {\n  right: -7rem;\n}\n\n.-right-32 {\n  right: -8rem;\n}\n\n.-right-36 {\n  right: -9rem;\n}\n\n.-right-40 {\n  right: -10rem;\n}\n\n.-right-44 {\n  right: -11rem;\n}\n\n.-right-48 {\n  right: -12rem;\n}\n\n.-right-52 {\n  right: -13rem;\n}\n\n.-right-56 {\n  right: -14rem;\n}\n\n.-right-60 {\n  right: -15rem;\n}\n\n.-right-64 {\n  right: -16rem;\n}\n\n.-right-72 {\n  right: -18rem;\n}\n\n.-right-80 {\n  right: -20rem;\n}\n\n.-right-96 {\n  right: -24rem;\n}\n\n.-right-px {\n  right: -1px;\n}\n\n.-right-0\\.5 {\n  right: -0.125rem;\n}\n\n.-right-1\\.5 {\n  right: -0.375rem;\n}\n\n.-right-2\\.5 {\n  right: -0.625rem;\n}\n\n.-right-3\\.5 {\n  right: -0.875rem;\n}\n\n.right-1\\/2 {\n  right: 50%;\n}\n\n.right-1\\/3 {\n  right: 33.333333%;\n}\n\n.right-2\\/3 {\n  right: 66.666667%;\n}\n\n.right-1\\/4 {\n  right: 25%;\n}\n\n.right-2\\/4 {\n  right: 50%;\n}\n\n.right-3\\/4 {\n  right: 75%;\n}\n\n.right-full {\n  right: 100%;\n}\n\n.-right-1\\/2 {\n  right: -50%;\n}\n\n.-right-1\\/3 {\n  right: -33.333333%;\n}\n\n.-right-2\\/3 {\n  right: -66.666667%;\n}\n\n.-right-1\\/4 {\n  right: -25%;\n}\n\n.-right-2\\/4 {\n  right: -50%;\n}\n\n.-right-3\\/4 {\n  right: -75%;\n}\n\n.-right-full {\n  right: -100%;\n}\n\n.bottom-0 {\n  bottom: 0px;\n}\n\n.bottom-1 {\n  bottom: 0.25rem;\n}\n\n.bottom-2 {\n  bottom: 0.5rem;\n}\n\n.bottom-3 {\n  bottom: 0.75rem;\n}\n\n.bottom-4 {\n  bottom: 1rem;\n}\n\n.bottom-5 {\n  bottom: 1.25rem;\n}\n\n.bottom-6 {\n  bottom: 1.5rem;\n}\n\n.bottom-7 {\n  bottom: 1.75rem;\n}\n\n.bottom-8 {\n  bottom: 2rem;\n}\n\n.bottom-9 {\n  bottom: 2.25rem;\n}\n\n.bottom-10 {\n  bottom: 2.5rem;\n}\n\n.bottom-11 {\n  bottom: 2.75rem;\n}\n\n.bottom-12 {\n  bottom: 3rem;\n}\n\n.bottom-14 {\n  bottom: 3.5rem;\n}\n\n.bottom-16 {\n  bottom: 4rem;\n}\n\n.bottom-20 {\n  bottom: 5rem;\n}\n\n.bottom-24 {\n  bottom: 6rem;\n}\n\n.bottom-28 {\n  bottom: 7rem;\n}\n\n.bottom-32 {\n  bottom: 8rem;\n}\n\n.bottom-36 {\n  bottom: 9rem;\n}\n\n.bottom-40 {\n  bottom: 10rem;\n}\n\n.bottom-44 {\n  bottom: 11rem;\n}\n\n.bottom-48 {\n  bottom: 12rem;\n}\n\n.bottom-52 {\n  bottom: 13rem;\n}\n\n.bottom-56 {\n  bottom: 14rem;\n}\n\n.bottom-60 {\n  bottom: 15rem;\n}\n\n.bottom-64 {\n  bottom: 16rem;\n}\n\n.bottom-72 {\n  bottom: 18rem;\n}\n\n.bottom-80 {\n  bottom: 20rem;\n}\n\n.bottom-96 {\n  bottom: 24rem;\n}\n\n.bottom-auto {\n  bottom: auto;\n}\n\n.bottom-px {\n  bottom: 1px;\n}\n\n.bottom-0\\.5 {\n  bottom: 0.125rem;\n}\n\n.bottom-1\\.5 {\n  bottom: 0.375rem;\n}\n\n.bottom-2\\.5 {\n  bottom: 0.625rem;\n}\n\n.bottom-3\\.5 {\n  bottom: 0.875rem;\n}\n\n.-bottom-0 {\n  bottom: 0px;\n}\n\n.-bottom-1 {\n  bottom: -0.25rem;\n}\n\n.-bottom-2 {\n  bottom: -0.5rem;\n}\n\n.-bottom-3 {\n  bottom: -0.75rem;\n}\n\n.-bottom-4 {\n  bottom: -1rem;\n}\n\n.-bottom-5 {\n  bottom: -1.25rem;\n}\n\n.-bottom-6 {\n  bottom: -1.5rem;\n}\n\n.-bottom-7 {\n  bottom: -1.75rem;\n}\n\n.-bottom-8 {\n  bottom: -2rem;\n}\n\n.-bottom-9 {\n  bottom: -2.25rem;\n}\n\n.-bottom-10 {\n  bottom: -2.5rem;\n}\n\n.-bottom-11 {\n  bottom: -2.75rem;\n}\n\n.-bottom-12 {\n  bottom: -3rem;\n}\n\n.-bottom-14 {\n  bottom: -3.5rem;\n}\n\n.-bottom-16 {\n  bottom: -4rem;\n}\n\n.-bottom-20 {\n  bottom: -5rem;\n}\n\n.-bottom-24 {\n  bottom: -6rem;\n}\n\n.-bottom-28 {\n  bottom: -7rem;\n}\n\n.-bottom-32 {\n  bottom: -8rem;\n}\n\n.-bottom-36 {\n  bottom: -9rem;\n}\n\n.-bottom-40 {\n  bottom: -10rem;\n}\n\n.-bottom-44 {\n  bottom: -11rem;\n}\n\n.-bottom-48 {\n  bottom: -12rem;\n}\n\n.-bottom-52 {\n  bottom: -13rem;\n}\n\n.-bottom-56 {\n  bottom: -14rem;\n}\n\n.-bottom-60 {\n  bottom: -15rem;\n}\n\n.-bottom-64 {\n  bottom: -16rem;\n}\n\n.-bottom-72 {\n  bottom: -18rem;\n}\n\n.-bottom-80 {\n  bottom: -20rem;\n}\n\n.-bottom-96 {\n  bottom: -24rem;\n}\n\n.-bottom-px {\n  bottom: -1px;\n}\n\n.-bottom-0\\.5 {\n  bottom: -0.125rem;\n}\n\n.-bottom-1\\.5 {\n  bottom: -0.375rem;\n}\n\n.-bottom-2\\.5 {\n  bottom: -0.625rem;\n}\n\n.-bottom-3\\.5 {\n  bottom: -0.875rem;\n}\n\n.bottom-1\\/2 {\n  bottom: 50%;\n}\n\n.bottom-1\\/3 {\n  bottom: 33.333333%;\n}\n\n.bottom-2\\/3 {\n  bottom: 66.666667%;\n}\n\n.bottom-1\\/4 {\n  bottom: 25%;\n}\n\n.bottom-2\\/4 {\n  bottom: 50%;\n}\n\n.bottom-3\\/4 {\n  bottom: 75%;\n}\n\n.bottom-full {\n  bottom: 100%;\n}\n\n.-bottom-1\\/2 {\n  bottom: -50%;\n}\n\n.-bottom-1\\/3 {\n  bottom: -33.333333%;\n}\n\n.-bottom-2\\/3 {\n  bottom: -66.666667%;\n}\n\n.-bottom-1\\/4 {\n  bottom: -25%;\n}\n\n.-bottom-2\\/4 {\n  bottom: -50%;\n}\n\n.-bottom-3\\/4 {\n  bottom: -75%;\n}\n\n.-bottom-full {\n  bottom: -100%;\n}\n\n.left-0 {\n  left: 0px;\n}\n\n.left-1 {\n  left: 0.25rem;\n}\n\n.left-2 {\n  left: 0.5rem;\n}\n\n.left-3 {\n  left: 0.75rem;\n}\n\n.left-4 {\n  left: 1rem;\n}\n\n.left-5 {\n  left: 1.25rem;\n}\n\n.left-6 {\n  left: 1.5rem;\n}\n\n.left-7 {\n  left: 1.75rem;\n}\n\n.left-8 {\n  left: 2rem;\n}\n\n.left-9 {\n  left: 2.25rem;\n}\n\n.left-10 {\n  left: 2.5rem;\n}\n\n.left-11 {\n  left: 2.75rem;\n}\n\n.left-12 {\n  left: 3rem;\n}\n\n.left-14 {\n  left: 3.5rem;\n}\n\n.left-16 {\n  left: 4rem;\n}\n\n.left-20 {\n  left: 5rem;\n}\n\n.left-24 {\n  left: 6rem;\n}\n\n.left-28 {\n  left: 7rem;\n}\n\n.left-32 {\n  left: 8rem;\n}\n\n.left-36 {\n  left: 9rem;\n}\n\n.left-40 {\n  left: 10rem;\n}\n\n.left-44 {\n  left: 11rem;\n}\n\n.left-48 {\n  left: 12rem;\n}\n\n.left-52 {\n  left: 13rem;\n}\n\n.left-56 {\n  left: 14rem;\n}\n\n.left-60 {\n  left: 15rem;\n}\n\n.left-64 {\n  left: 16rem;\n}\n\n.left-72 {\n  left: 18rem;\n}\n\n.left-80 {\n  left: 20rem;\n}\n\n.left-96 {\n  left: 24rem;\n}\n\n.left-auto {\n  left: auto;\n}\n\n.left-px {\n  left: 1px;\n}\n\n.left-0\\.5 {\n  left: 0.125rem;\n}\n\n.left-1\\.5 {\n  left: 0.375rem;\n}\n\n.left-2\\.5 {\n  left: 0.625rem;\n}\n\n.left-3\\.5 {\n  left: 0.875rem;\n}\n\n.-left-0 {\n  left: 0px;\n}\n\n.-left-1 {\n  left: -0.25rem;\n}\n\n.-left-2 {\n  left: -0.5rem;\n}\n\n.-left-3 {\n  left: -0.75rem;\n}\n\n.-left-4 {\n  left: -1rem;\n}\n\n.-left-5 {\n  left: -1.25rem;\n}\n\n.-left-6 {\n  left: -1.5rem;\n}\n\n.-left-7 {\n  left: -1.75rem;\n}\n\n.-left-8 {\n  left: -2rem;\n}\n\n.-left-9 {\n  left: -2.25rem;\n}\n\n.-left-10 {\n  left: -2.5rem;\n}\n\n.-left-11 {\n  left: -2.75rem;\n}\n\n.-left-12 {\n  left: -3rem;\n}\n\n.-left-14 {\n  left: -3.5rem;\n}\n\n.-left-16 {\n  left: -4rem;\n}\n\n.-left-20 {\n  left: -5rem;\n}\n\n.-left-24 {\n  left: -6rem;\n}\n\n.-left-28 {\n  left: -7rem;\n}\n\n.-left-32 {\n  left: -8rem;\n}\n\n.-left-36 {\n  left: -9rem;\n}\n\n.-left-40 {\n  left: -10rem;\n}\n\n.-left-44 {\n  left: -11rem;\n}\n\n.-left-48 {\n  left: -12rem;\n}\n\n.-left-52 {\n  left: -13rem;\n}\n\n.-left-56 {\n  left: -14rem;\n}\n\n.-left-60 {\n  left: -15rem;\n}\n\n.-left-64 {\n  left: -16rem;\n}\n\n.-left-72 {\n  left: -18rem;\n}\n\n.-left-80 {\n  left: -20rem;\n}\n\n.-left-96 {\n  left: -24rem;\n}\n\n.-left-px {\n  left: -1px;\n}\n\n.-left-0\\.5 {\n  left: -0.125rem;\n}\n\n.-left-1\\.5 {\n  left: -0.375rem;\n}\n\n.-left-2\\.5 {\n  left: -0.625rem;\n}\n\n.-left-3\\.5 {\n  left: -0.875rem;\n}\n\n.left-1\\/2 {\n  left: 50%;\n}\n\n.left-1\\/3 {\n  left: 33.333333%;\n}\n\n.left-2\\/3 {\n  left: 66.666667%;\n}\n\n.left-1\\/4 {\n  left: 25%;\n}\n\n.left-2\\/4 {\n  left: 50%;\n}\n\n.left-3\\/4 {\n  left: 75%;\n}\n\n.left-full {\n  left: 100%;\n}\n\n.-left-1\\/2 {\n  left: -50%;\n}\n\n.-left-1\\/3 {\n  left: -33.333333%;\n}\n\n.-left-2\\/3 {\n  left: -66.666667%;\n}\n\n.-left-1\\/4 {\n  left: -25%;\n}\n\n.-left-2\\/4 {\n  left: -50%;\n}\n\n.-left-3\\/4 {\n  left: -75%;\n}\n\n.-left-full {\n  left: -100%;\n}\n\n.isolate {\n  isolation: isolate;\n}\n\n.isolation-auto {\n  isolation: auto;\n}\n\n.z-0 {\n  z-index: 0;\n}\n\n.z-10 {\n  z-index: 10;\n}\n\n.z-20 {\n  z-index: 20;\n}\n\n.z-30 {\n  z-index: 30;\n}\n\n.z-40 {\n  z-index: 40;\n}\n\n.z-50 {\n  z-index: 50;\n}\n\n.z-auto {\n  z-index: auto;\n}\n\n.focus-within\\:z-0:focus-within {\n  z-index: 0;\n}\n\n.focus-within\\:z-10:focus-within {\n  z-index: 10;\n}\n\n.focus-within\\:z-20:focus-within {\n  z-index: 20;\n}\n\n.focus-within\\:z-30:focus-within {\n  z-index: 30;\n}\n\n.focus-within\\:z-40:focus-within {\n  z-index: 40;\n}\n\n.focus-within\\:z-50:focus-within {\n  z-index: 50;\n}\n\n.focus-within\\:z-auto:focus-within {\n  z-index: auto;\n}\n\n.focus\\:z-0:focus {\n  z-index: 0;\n}\n\n.focus\\:z-10:focus {\n  z-index: 10;\n}\n\n.focus\\:z-20:focus {\n  z-index: 20;\n}\n\n.focus\\:z-30:focus {\n  z-index: 30;\n}\n\n.focus\\:z-40:focus {\n  z-index: 40;\n}\n\n.focus\\:z-50:focus {\n  z-index: 50;\n}\n\n.focus\\:z-auto:focus {\n  z-index: auto;\n}\n\n.order-1 {\n  order: 1;\n}\n\n.order-2 {\n  order: 2;\n}\n\n.order-3 {\n  order: 3;\n}\n\n.order-4 {\n  order: 4;\n}\n\n.order-5 {\n  order: 5;\n}\n\n.order-6 {\n  order: 6;\n}\n\n.order-7 {\n  order: 7;\n}\n\n.order-8 {\n  order: 8;\n}\n\n.order-9 {\n  order: 9;\n}\n\n.order-10 {\n  order: 10;\n}\n\n.order-11 {\n  order: 11;\n}\n\n.order-12 {\n  order: 12;\n}\n\n.order-first {\n  order: -9999;\n}\n\n.order-last {\n  order: 9999;\n}\n\n.order-none {\n  order: 0;\n}\n\n.col-auto {\n  grid-column: auto;\n}\n\n.col-span-1 {\n  grid-column: span 1 / span 1;\n}\n\n.col-span-2 {\n  grid-column: span 2 / span 2;\n}\n\n.col-span-3 {\n  grid-column: span 3 / span 3;\n}\n\n.col-span-4 {\n  grid-column: span 4 / span 4;\n}\n\n.col-span-5 {\n  grid-column: span 5 / span 5;\n}\n\n.col-span-6 {\n  grid-column: span 6 / span 6;\n}\n\n.col-span-7 {\n  grid-column: span 7 / span 7;\n}\n\n.col-span-8 {\n  grid-column: span 8 / span 8;\n}\n\n.col-span-9 {\n  grid-column: span 9 / span 9;\n}\n\n.col-span-10 {\n  grid-column: span 10 / span 10;\n}\n\n.col-span-11 {\n  grid-column: span 11 / span 11;\n}\n\n.col-span-12 {\n  grid-column: span 12 / span 12;\n}\n\n.col-span-full {\n  grid-column: 1 / -1;\n}\n\n.col-start-1 {\n  grid-column-start: 1;\n}\n\n.col-start-2 {\n  grid-column-start: 2;\n}\n\n.col-start-3 {\n  grid-column-start: 3;\n}\n\n.col-start-4 {\n  grid-column-start: 4;\n}\n\n.col-start-5 {\n  grid-column-start: 5;\n}\n\n.col-start-6 {\n  grid-column-start: 6;\n}\n\n.col-start-7 {\n  grid-column-start: 7;\n}\n\n.col-start-8 {\n  grid-column-start: 8;\n}\n\n.col-start-9 {\n  grid-column-start: 9;\n}\n\n.col-start-10 {\n  grid-column-start: 10;\n}\n\n.col-start-11 {\n  grid-column-start: 11;\n}\n\n.col-start-12 {\n  grid-column-start: 12;\n}\n\n.col-start-13 {\n  grid-column-start: 13;\n}\n\n.col-start-auto {\n  grid-column-start: auto;\n}\n\n.col-end-1 {\n  grid-column-end: 1;\n}\n\n.col-end-2 {\n  grid-column-end: 2;\n}\n\n.col-end-3 {\n  grid-column-end: 3;\n}\n\n.col-end-4 {\n  grid-column-end: 4;\n}\n\n.col-end-5 {\n  grid-column-end: 5;\n}\n\n.col-end-6 {\n  grid-column-end: 6;\n}\n\n.col-end-7 {\n  grid-column-end: 7;\n}\n\n.col-end-8 {\n  grid-column-end: 8;\n}\n\n.col-end-9 {\n  grid-column-end: 9;\n}\n\n.col-end-10 {\n  grid-column-end: 10;\n}\n\n.col-end-11 {\n  grid-column-end: 11;\n}\n\n.col-end-12 {\n  grid-column-end: 12;\n}\n\n.col-end-13 {\n  grid-column-end: 13;\n}\n\n.col-end-auto {\n  grid-column-end: auto;\n}\n\n.row-auto {\n  grid-row: auto;\n}\n\n.row-span-1 {\n  grid-row: span 1 / span 1;\n}\n\n.row-span-2 {\n  grid-row: span 2 / span 2;\n}\n\n.row-span-3 {\n  grid-row: span 3 / span 3;\n}\n\n.row-span-4 {\n  grid-row: span 4 / span 4;\n}\n\n.row-span-5 {\n  grid-row: span 5 / span 5;\n}\n\n.row-span-6 {\n  grid-row: span 6 / span 6;\n}\n\n.row-span-full {\n  grid-row: 1 / -1;\n}\n\n.row-start-1 {\n  grid-row-start: 1;\n}\n\n.row-start-2 {\n  grid-row-start: 2;\n}\n\n.row-start-3 {\n  grid-row-start: 3;\n}\n\n.row-start-4 {\n  grid-row-start: 4;\n}\n\n.row-start-5 {\n  grid-row-start: 5;\n}\n\n.row-start-6 {\n  grid-row-start: 6;\n}\n\n.row-start-7 {\n  grid-row-start: 7;\n}\n\n.row-start-auto {\n  grid-row-start: auto;\n}\n\n.row-end-1 {\n  grid-row-end: 1;\n}\n\n.row-end-2 {\n  grid-row-end: 2;\n}\n\n.row-end-3 {\n  grid-row-end: 3;\n}\n\n.row-end-4 {\n  grid-row-end: 4;\n}\n\n.row-end-5 {\n  grid-row-end: 5;\n}\n\n.row-end-6 {\n  grid-row-end: 6;\n}\n\n.row-end-7 {\n  grid-row-end: 7;\n}\n\n.row-end-auto {\n  grid-row-end: auto;\n}\n\n.float-right {\n  float: right;\n}\n\n.float-left {\n  float: left;\n}\n\n.float-none {\n  float: none;\n}\n\n.clear-left {\n  clear: left;\n}\n\n.clear-right {\n  clear: right;\n}\n\n.clear-both {\n  clear: both;\n}\n\n.clear-none {\n  clear: none;\n}\n\n.m-0 {\n  margin: 0px;\n}\n\n.m-1 {\n  margin: 0.25rem;\n}\n\n.m-2 {\n  margin: 0.5rem;\n}\n\n.m-3 {\n  margin: 0.75rem;\n}\n\n.m-4 {\n  margin: 1rem;\n}\n\n.m-5 {\n  margin: 1.25rem;\n}\n\n.m-6 {\n  margin: 1.5rem;\n}\n\n.m-7 {\n  margin: 1.75rem;\n}\n\n.m-8 {\n  margin: 2rem;\n}\n\n.m-9 {\n  margin: 2.25rem;\n}\n\n.m-10 {\n  margin: 2.5rem;\n}\n\n.m-11 {\n  margin: 2.75rem;\n}\n\n.m-12 {\n  margin: 3rem;\n}\n\n.m-14 {\n  margin: 3.5rem;\n}\n\n.m-16 {\n  margin: 4rem;\n}\n\n.m-20 {\n  margin: 5rem;\n}\n\n.m-24 {\n  margin: 6rem;\n}\n\n.m-28 {\n  margin: 7rem;\n}\n\n.m-32 {\n  margin: 8rem;\n}\n\n.m-36 {\n  margin: 9rem;\n}\n\n.m-40 {\n  margin: 10rem;\n}\n\n.m-44 {\n  margin: 11rem;\n}\n\n.m-48 {\n  margin: 12rem;\n}\n\n.m-52 {\n  margin: 13rem;\n}\n\n.m-56 {\n  margin: 14rem;\n}\n\n.m-60 {\n  margin: 15rem;\n}\n\n.m-64 {\n  margin: 16rem;\n}\n\n.m-72 {\n  margin: 18rem;\n}\n\n.m-80 {\n  margin: 20rem;\n}\n\n.m-96 {\n  margin: 24rem;\n}\n\n.m-auto {\n  margin: auto;\n}\n\n.m-px {\n  margin: 1px;\n}\n\n.m-0\\.5 {\n  margin: 0.125rem;\n}\n\n.m-1\\.5 {\n  margin: 0.375rem;\n}\n\n.m-2\\.5 {\n  margin: 0.625rem;\n}\n\n.m-3\\.5 {\n  margin: 0.875rem;\n}\n\n.-m-0 {\n  margin: 0px;\n}\n\n.-m-1 {\n  margin: -0.25rem;\n}\n\n.-m-2 {\n  margin: -0.5rem;\n}\n\n.-m-3 {\n  margin: -0.75rem;\n}\n\n.-m-4 {\n  margin: -1rem;\n}\n\n.-m-5 {\n  margin: -1.25rem;\n}\n\n.-m-6 {\n  margin: -1.5rem;\n}\n\n.-m-7 {\n  margin: -1.75rem;\n}\n\n.-m-8 {\n  margin: -2rem;\n}\n\n.-m-9 {\n  margin: -2.25rem;\n}\n\n.-m-10 {\n  margin: -2.5rem;\n}\n\n.-m-11 {\n  margin: -2.75rem;\n}\n\n.-m-12 {\n  margin: -3rem;\n}\n\n.-m-14 {\n  margin: -3.5rem;\n}\n\n.-m-16 {\n  margin: -4rem;\n}\n\n.-m-20 {\n  margin: -5rem;\n}\n\n.-m-24 {\n  margin: -6rem;\n}\n\n.-m-28 {\n  margin: -7rem;\n}\n\n.-m-32 {\n  margin: -8rem;\n}\n\n.-m-36 {\n  margin: -9rem;\n}\n\n.-m-40 {\n  margin: -10rem;\n}\n\n.-m-44 {\n  margin: -11rem;\n}\n\n.-m-48 {\n  margin: -12rem;\n}\n\n.-m-52 {\n  margin: -13rem;\n}\n\n.-m-56 {\n  margin: -14rem;\n}\n\n.-m-60 {\n  margin: -15rem;\n}\n\n.-m-64 {\n  margin: -16rem;\n}\n\n.-m-72 {\n  margin: -18rem;\n}\n\n.-m-80 {\n  margin: -20rem;\n}\n\n.-m-96 {\n  margin: -24rem;\n}\n\n.-m-px {\n  margin: -1px;\n}\n\n.-m-0\\.5 {\n  margin: -0.125rem;\n}\n\n.-m-1\\.5 {\n  margin: -0.375rem;\n}\n\n.-m-2\\.5 {\n  margin: -0.625rem;\n}\n\n.-m-3\\.5 {\n  margin: -0.875rem;\n}\n\n.mx-0 {\n  margin-left: 0px;\n  margin-right: 0px;\n}\n\n.mx-1 {\n  margin-left: 0.25rem;\n  margin-right: 0.25rem;\n}\n\n.mx-2 {\n  margin-left: 0.5rem;\n  margin-right: 0.5rem;\n}\n\n.mx-3 {\n  margin-left: 0.75rem;\n  margin-right: 0.75rem;\n}\n\n.mx-4 {\n  margin-left: 1rem;\n  margin-right: 1rem;\n}\n\n.mx-5 {\n  margin-left: 1.25rem;\n  margin-right: 1.25rem;\n}\n\n.mx-6 {\n  margin-left: 1.5rem;\n  margin-right: 1.5rem;\n}\n\n.mx-7 {\n  margin-left: 1.75rem;\n  margin-right: 1.75rem;\n}\n\n.mx-8 {\n  margin-left: 2rem;\n  margin-right: 2rem;\n}\n\n.mx-9 {\n  margin-left: 2.25rem;\n  margin-right: 2.25rem;\n}\n\n.mx-10 {\n  margin-left: 2.5rem;\n  margin-right: 2.5rem;\n}\n\n.mx-11 {\n  margin-left: 2.75rem;\n  margin-right: 2.75rem;\n}\n\n.mx-12 {\n  margin-left: 3rem;\n  margin-right: 3rem;\n}\n\n.mx-14 {\n  margin-left: 3.5rem;\n  margin-right: 3.5rem;\n}\n\n.mx-16 {\n  margin-left: 4rem;\n  margin-right: 4rem;\n}\n\n.mx-20 {\n  margin-left: 5rem;\n  margin-right: 5rem;\n}\n\n.mx-24 {\n  margin-left: 6rem;\n  margin-right: 6rem;\n}\n\n.mx-28 {\n  margin-left: 7rem;\n  margin-right: 7rem;\n}\n\n.mx-32 {\n  margin-left: 8rem;\n  margin-right: 8rem;\n}\n\n.mx-36 {\n  margin-left: 9rem;\n  margin-right: 9rem;\n}\n\n.mx-40 {\n  margin-left: 10rem;\n  margin-right: 10rem;\n}\n\n.mx-44 {\n  margin-left: 11rem;\n  margin-right: 11rem;\n}\n\n.mx-48 {\n  margin-left: 12rem;\n  margin-right: 12rem;\n}\n\n.mx-52 {\n  margin-left: 13rem;\n  margin-right: 13rem;\n}\n\n.mx-56 {\n  margin-left: 14rem;\n  margin-right: 14rem;\n}\n\n.mx-60 {\n  margin-left: 15rem;\n  margin-right: 15rem;\n}\n\n.mx-64 {\n  margin-left: 16rem;\n  margin-right: 16rem;\n}\n\n.mx-72 {\n  margin-left: 18rem;\n  margin-right: 18rem;\n}\n\n.mx-80 {\n  margin-left: 20rem;\n  margin-right: 20rem;\n}\n\n.mx-96 {\n  margin-left: 24rem;\n  margin-right: 24rem;\n}\n\n.mx-auto {\n  margin-left: auto;\n  margin-right: auto;\n}\n\n.mx-px {\n  margin-left: 1px;\n  margin-right: 1px;\n}\n\n.mx-0\\.5 {\n  margin-left: 0.125rem;\n  margin-right: 0.125rem;\n}\n\n.mx-1\\.5 {\n  margin-left: 0.375rem;\n  margin-right: 0.375rem;\n}\n\n.mx-2\\.5 {\n  margin-left: 0.625rem;\n  margin-right: 0.625rem;\n}\n\n.mx-3\\.5 {\n  margin-left: 0.875rem;\n  margin-right: 0.875rem;\n}\n\n.-mx-0 {\n  margin-left: 0px;\n  margin-right: 0px;\n}\n\n.-mx-1 {\n  margin-left: -0.25rem;\n  margin-right: -0.25rem;\n}\n\n.-mx-2 {\n  margin-left: -0.5rem;\n  margin-right: -0.5rem;\n}\n\n.-mx-3 {\n  margin-left: -0.75rem;\n  margin-right: -0.75rem;\n}\n\n.-mx-4 {\n  margin-left: -1rem;\n  margin-right: -1rem;\n}\n\n.-mx-5 {\n  margin-left: -1.25rem;\n  margin-right: -1.25rem;\n}\n\n.-mx-6 {\n  margin-left: -1.5rem;\n  margin-right: -1.5rem;\n}\n\n.-mx-7 {\n  margin-left: -1.75rem;\n  margin-right: -1.75rem;\n}\n\n.-mx-8 {\n  margin-left: -2rem;\n  margin-right: -2rem;\n}\n\n.-mx-9 {\n  margin-left: -2.25rem;\n  margin-right: -2.25rem;\n}\n\n.-mx-10 {\n  margin-left: -2.5rem;\n  margin-right: -2.5rem;\n}\n\n.-mx-11 {\n  margin-left: -2.75rem;\n  margin-right: -2.75rem;\n}\n\n.-mx-12 {\n  margin-left: -3rem;\n  margin-right: -3rem;\n}\n\n.-mx-14 {\n  margin-left: -3.5rem;\n  margin-right: -3.5rem;\n}\n\n.-mx-16 {\n  margin-left: -4rem;\n  margin-right: -4rem;\n}\n\n.-mx-20 {\n  margin-left: -5rem;\n  margin-right: -5rem;\n}\n\n.-mx-24 {\n  margin-left: -6rem;\n  margin-right: -6rem;\n}\n\n.-mx-28 {\n  margin-left: -7rem;\n  margin-right: -7rem;\n}\n\n.-mx-32 {\n  margin-left: -8rem;\n  margin-right: -8rem;\n}\n\n.-mx-36 {\n  margin-left: -9rem;\n  margin-right: -9rem;\n}\n\n.-mx-40 {\n  margin-left: -10rem;\n  margin-right: -10rem;\n}\n\n.-mx-44 {\n  margin-left: -11rem;\n  margin-right: -11rem;\n}\n\n.-mx-48 {\n  margin-left: -12rem;\n  margin-right: -12rem;\n}\n\n.-mx-52 {\n  margin-left: -13rem;\n  margin-right: -13rem;\n}\n\n.-mx-56 {\n  margin-left: -14rem;\n  margin-right: -14rem;\n}\n\n.-mx-60 {\n  margin-left: -15rem;\n  margin-right: -15rem;\n}\n\n.-mx-64 {\n  margin-left: -16rem;\n  margin-right: -16rem;\n}\n\n.-mx-72 {\n  margin-left: -18rem;\n  margin-right: -18rem;\n}\n\n.-mx-80 {\n  margin-left: -20rem;\n  margin-right: -20rem;\n}\n\n.-mx-96 {\n  margin-left: -24rem;\n  margin-right: -24rem;\n}\n\n.-mx-px {\n  margin-left: -1px;\n  margin-right: -1px;\n}\n\n.-mx-0\\.5 {\n  margin-left: -0.125rem;\n  margin-right: -0.125rem;\n}\n\n.-mx-1\\.5 {\n  margin-left: -0.375rem;\n  margin-right: -0.375rem;\n}\n\n.-mx-2\\.5 {\n  margin-left: -0.625rem;\n  margin-right: -0.625rem;\n}\n\n.-mx-3\\.5 {\n  margin-left: -0.875rem;\n  margin-right: -0.875rem;\n}\n\n.my-0 {\n  margin-top: 0px;\n  margin-bottom: 0px;\n}\n\n.my-1 {\n  margin-top: 0.25rem;\n  margin-bottom: 0.25rem;\n}\n\n.my-2 {\n  margin-top: 0.5rem;\n  margin-bottom: 0.5rem;\n}\n\n.my-3 {\n  margin-top: 0.75rem;\n  margin-bottom: 0.75rem;\n}\n\n.my-4 {\n  margin-top: 1rem;\n  margin-bottom: 1rem;\n}\n\n.my-5 {\n  margin-top: 1.25rem;\n  margin-bottom: 1.25rem;\n}\n\n.my-6 {\n  margin-top: 1.5rem;\n  margin-bottom: 1.5rem;\n}\n\n.my-7 {\n  margin-top: 1.75rem;\n  margin-bottom: 1.75rem;\n}\n\n.my-8 {\n  margin-top: 2rem;\n  margin-bottom: 2rem;\n}\n\n.my-9 {\n  margin-top: 2.25rem;\n  margin-bottom: 2.25rem;\n}\n\n.my-10 {\n  margin-top: 2.5rem;\n  margin-bottom: 2.5rem;\n}\n\n.my-11 {\n  margin-top: 2.75rem;\n  margin-bottom: 2.75rem;\n}\n\n.my-12 {\n  margin-top: 3rem;\n  margin-bottom: 3rem;\n}\n\n.my-14 {\n  margin-top: 3.5rem;\n  margin-bottom: 3.5rem;\n}\n\n.my-16 {\n  margin-top: 4rem;\n  margin-bottom: 4rem;\n}\n\n.my-20 {\n  margin-top: 5rem;\n  margin-bottom: 5rem;\n}\n\n.my-24 {\n  margin-top: 6rem;\n  margin-bottom: 6rem;\n}\n\n.my-28 {\n  margin-top: 7rem;\n  margin-bottom: 7rem;\n}\n\n.my-32 {\n  margin-top: 8rem;\n  margin-bottom: 8rem;\n}\n\n.my-36 {\n  margin-top: 9rem;\n  margin-bottom: 9rem;\n}\n\n.my-40 {\n  margin-top: 10rem;\n  margin-bottom: 10rem;\n}\n\n.my-44 {\n  margin-top: 11rem;\n  margin-bottom: 11rem;\n}\n\n.my-48 {\n  margin-top: 12rem;\n  margin-bottom: 12rem;\n}\n\n.my-52 {\n  margin-top: 13rem;\n  margin-bottom: 13rem;\n}\n\n.my-56 {\n  margin-top: 14rem;\n  margin-bottom: 14rem;\n}\n\n.my-60 {\n  margin-top: 15rem;\n  margin-bottom: 15rem;\n}\n\n.my-64 {\n  margin-top: 16rem;\n  margin-bottom: 16rem;\n}\n\n.my-72 {\n  margin-top: 18rem;\n  margin-bottom: 18rem;\n}\n\n.my-80 {\n  margin-top: 20rem;\n  margin-bottom: 20rem;\n}\n\n.my-96 {\n  margin-top: 24rem;\n  margin-bottom: 24rem;\n}\n\n.my-auto {\n  margin-top: auto;\n  margin-bottom: auto;\n}\n\n.my-px {\n  margin-top: 1px;\n  margin-bottom: 1px;\n}\n\n.my-0\\.5 {\n  margin-top: 0.125rem;\n  margin-bottom: 0.125rem;\n}\n\n.my-1\\.5 {\n  margin-top: 0.375rem;\n  margin-bottom: 0.375rem;\n}\n\n.my-2\\.5 {\n  margin-top: 0.625rem;\n  margin-bottom: 0.625rem;\n}\n\n.my-3\\.5 {\n  margin-top: 0.875rem;\n  margin-bottom: 0.875rem;\n}\n\n.-my-0 {\n  margin-top: 0px;\n  margin-bottom: 0px;\n}\n\n.-my-1 {\n  margin-top: -0.25rem;\n  margin-bottom: -0.25rem;\n}\n\n.-my-2 {\n  margin-top: -0.5rem;\n  margin-bottom: -0.5rem;\n}\n\n.-my-3 {\n  margin-top: -0.75rem;\n  margin-bottom: -0.75rem;\n}\n\n.-my-4 {\n  margin-top: -1rem;\n  margin-bottom: -1rem;\n}\n\n.-my-5 {\n  margin-top: -1.25rem;\n  margin-bottom: -1.25rem;\n}\n\n.-my-6 {\n  margin-top: -1.5rem;\n  margin-bottom: -1.5rem;\n}\n\n.-my-7 {\n  margin-top: -1.75rem;\n  margin-bottom: -1.75rem;\n}\n\n.-my-8 {\n  margin-top: -2rem;\n  margin-bottom: -2rem;\n}\n\n.-my-9 {\n  margin-top: -2.25rem;\n  margin-bottom: -2.25rem;\n}\n\n.-my-10 {\n  margin-top: -2.5rem;\n  margin-bottom: -2.5rem;\n}\n\n.-my-11 {\n  margin-top: -2.75rem;\n  margin-bottom: -2.75rem;\n}\n\n.-my-12 {\n  margin-top: -3rem;\n  margin-bottom: -3rem;\n}\n\n.-my-14 {\n  margin-top: -3.5rem;\n  margin-bottom: -3.5rem;\n}\n\n.-my-16 {\n  margin-top: -4rem;\n  margin-bottom: -4rem;\n}\n\n.-my-20 {\n  margin-top: -5rem;\n  margin-bottom: -5rem;\n}\n\n.-my-24 {\n  margin-top: -6rem;\n  margin-bottom: -6rem;\n}\n\n.-my-28 {\n  margin-top: -7rem;\n  margin-bottom: -7rem;\n}\n\n.-my-32 {\n  margin-top: -8rem;\n  margin-bottom: -8rem;\n}\n\n.-my-36 {\n  margin-top: -9rem;\n  margin-bottom: -9rem;\n}\n\n.-my-40 {\n  margin-top: -10rem;\n  margin-bottom: -10rem;\n}\n\n.-my-44 {\n  margin-top: -11rem;\n  margin-bottom: -11rem;\n}\n\n.-my-48 {\n  margin-top: -12rem;\n  margin-bottom: -12rem;\n}\n\n.-my-52 {\n  margin-top: -13rem;\n  margin-bottom: -13rem;\n}\n\n.-my-56 {\n  margin-top: -14rem;\n  margin-bottom: -14rem;\n}\n\n.-my-60 {\n  margin-top: -15rem;\n  margin-bottom: -15rem;\n}\n\n.-my-64 {\n  margin-top: -16rem;\n  margin-bottom: -16rem;\n}\n\n.-my-72 {\n  margin-top: -18rem;\n  margin-bottom: -18rem;\n}\n\n.-my-80 {\n  margin-top: -20rem;\n  margin-bottom: -20rem;\n}\n\n.-my-96 {\n  margin-top: -24rem;\n  margin-bottom: -24rem;\n}\n\n.-my-px {\n  margin-top: -1px;\n  margin-bottom: -1px;\n}\n\n.-my-0\\.5 {\n  margin-top: -0.125rem;\n  margin-bottom: -0.125rem;\n}\n\n.-my-1\\.5 {\n  margin-top: -0.375rem;\n  margin-bottom: -0.375rem;\n}\n\n.-my-2\\.5 {\n  margin-top: -0.625rem;\n  margin-bottom: -0.625rem;\n}\n\n.-my-3\\.5 {\n  margin-top: -0.875rem;\n  margin-bottom: -0.875rem;\n}\n\n.mt-0 {\n  margin-top: 0px;\n}\n\n.mt-1 {\n  margin-top: 0.25rem;\n}\n\n.mt-2 {\n  margin-top: 0.5rem;\n}\n\n.mt-3 {\n  margin-top: 0.75rem;\n}\n\n.mt-4 {\n  margin-top: 1rem;\n}\n\n.mt-5 {\n  margin-top: 1.25rem;\n}\n\n.mt-6 {\n  margin-top: 1.5rem;\n}\n\n.mt-7 {\n  margin-top: 1.75rem;\n}\n\n.mt-8 {\n  margin-top: 2rem;\n}\n\n.mt-9 {\n  margin-top: 2.25rem;\n}\n\n.mt-10 {\n  margin-top: 2.5rem;\n}\n\n.mt-11 {\n  margin-top: 2.75rem;\n}\n\n.mt-12 {\n  margin-top: 3rem;\n}\n\n.mt-14 {\n  margin-top: 3.5rem;\n}\n\n.mt-16 {\n  margin-top: 4rem;\n}\n\n.mt-20 {\n  margin-top: 5rem;\n}\n\n.mt-24 {\n  margin-top: 6rem;\n}\n\n.mt-28 {\n  margin-top: 7rem;\n}\n\n.mt-32 {\n  margin-top: 8rem;\n}\n\n.mt-36 {\n  margin-top: 9rem;\n}\n\n.mt-40 {\n  margin-top: 10rem;\n}\n\n.mt-44 {\n  margin-top: 11rem;\n}\n\n.mt-48 {\n  margin-top: 12rem;\n}\n\n.mt-52 {\n  margin-top: 13rem;\n}\n\n.mt-56 {\n  margin-top: 14rem;\n}\n\n.mt-60 {\n  margin-top: 15rem;\n}\n\n.mt-64 {\n  margin-top: 16rem;\n}\n\n.mt-72 {\n  margin-top: 18rem;\n}\n\n.mt-80 {\n  margin-top: 20rem;\n}\n\n.mt-96 {\n  margin-top: 24rem;\n}\n\n.mt-auto {\n  margin-top: auto;\n}\n\n.mt-px {\n  margin-top: 1px;\n}\n\n.mt-0\\.5 {\n  margin-top: 0.125rem;\n}\n\n.mt-1\\.5 {\n  margin-top: 0.375rem;\n}\n\n.mt-2\\.5 {\n  margin-top: 0.625rem;\n}\n\n.mt-3\\.5 {\n  margin-top: 0.875rem;\n}\n\n.-mt-0 {\n  margin-top: 0px;\n}\n\n.-mt-1 {\n  margin-top: -0.25rem;\n}\n\n.-mt-2 {\n  margin-top: -0.5rem;\n}\n\n.-mt-3 {\n  margin-top: -0.75rem;\n}\n\n.-mt-4 {\n  margin-top: -1rem;\n}\n\n.-mt-5 {\n  margin-top: -1.25rem;\n}\n\n.-mt-6 {\n  margin-top: -1.5rem;\n}\n\n.-mt-7 {\n  margin-top: -1.75rem;\n}\n\n.-mt-8 {\n  margin-top: -2rem;\n}\n\n.-mt-9 {\n  margin-top: -2.25rem;\n}\n\n.-mt-10 {\n  margin-top: -2.5rem;\n}\n\n.-mt-11 {\n  margin-top: -2.75rem;\n}\n\n.-mt-12 {\n  margin-top: -3rem;\n}\n\n.-mt-14 {\n  margin-top: -3.5rem;\n}\n\n.-mt-16 {\n  margin-top: -4rem;\n}\n\n.-mt-20 {\n  margin-top: -5rem;\n}\n\n.-mt-24 {\n  margin-top: -6rem;\n}\n\n.-mt-28 {\n  margin-top: -7rem;\n}\n\n.-mt-32 {\n  margin-top: -8rem;\n}\n\n.-mt-36 {\n  margin-top: -9rem;\n}\n\n.-mt-40 {\n  margin-top: -10rem;\n}\n\n.-mt-44 {\n  margin-top: -11rem;\n}\n\n.-mt-48 {\n  margin-top: -12rem;\n}\n\n.-mt-52 {\n  margin-top: -13rem;\n}\n\n.-mt-56 {\n  margin-top: -14rem;\n}\n\n.-mt-60 {\n  margin-top: -15rem;\n}\n\n.-mt-64 {\n  margin-top: -16rem;\n}\n\n.-mt-72 {\n  margin-top: -18rem;\n}\n\n.-mt-80 {\n  margin-top: -20rem;\n}\n\n.-mt-96 {\n  margin-top: -24rem;\n}\n\n.-mt-px {\n  margin-top: -1px;\n}\n\n.-mt-0\\.5 {\n  margin-top: -0.125rem;\n}\n\n.-mt-1\\.5 {\n  margin-top: -0.375rem;\n}\n\n.-mt-2\\.5 {\n  margin-top: -0.625rem;\n}\n\n.-mt-3\\.5 {\n  margin-top: -0.875rem;\n}\n\n.mr-0 {\n  margin-right: 0px;\n}\n\n.mr-1 {\n  margin-right: 0.25rem;\n}\n\n.mr-2 {\n  margin-right: 0.5rem;\n}\n\n.mr-3 {\n  margin-right: 0.75rem;\n}\n\n.mr-4 {\n  margin-right: 1rem;\n}\n\n.mr-5 {\n  margin-right: 1.25rem;\n}\n\n.mr-6 {\n  margin-right: 1.5rem;\n}\n\n.mr-7 {\n  margin-right: 1.75rem;\n}\n\n.mr-8 {\n  margin-right: 2rem;\n}\n\n.mr-9 {\n  margin-right: 2.25rem;\n}\n\n.mr-10 {\n  margin-right: 2.5rem;\n}\n\n.mr-11 {\n  margin-right: 2.75rem;\n}\n\n.mr-12 {\n  margin-right: 3rem;\n}\n\n.mr-14 {\n  margin-right: 3.5rem;\n}\n\n.mr-16 {\n  margin-right: 4rem;\n}\n\n.mr-20 {\n  margin-right: 5rem;\n}\n\n.mr-24 {\n  margin-right: 6rem;\n}\n\n.mr-28 {\n  margin-right: 7rem;\n}\n\n.mr-32 {\n  margin-right: 8rem;\n}\n\n.mr-36 {\n  margin-right: 9rem;\n}\n\n.mr-40 {\n  margin-right: 10rem;\n}\n\n.mr-44 {\n  margin-right: 11rem;\n}\n\n.mr-48 {\n  margin-right: 12rem;\n}\n\n.mr-52 {\n  margin-right: 13rem;\n}\n\n.mr-56 {\n  margin-right: 14rem;\n}\n\n.mr-60 {\n  margin-right: 15rem;\n}\n\n.mr-64 {\n  margin-right: 16rem;\n}\n\n.mr-72 {\n  margin-right: 18rem;\n}\n\n.mr-80 {\n  margin-right: 20rem;\n}\n\n.mr-96 {\n  margin-right: 24rem;\n}\n\n.mr-auto {\n  margin-right: auto;\n}\n\n.mr-px {\n  margin-right: 1px;\n}\n\n.mr-0\\.5 {\n  margin-right: 0.125rem;\n}\n\n.mr-1\\.5 {\n  margin-right: 0.375rem;\n}\n\n.mr-2\\.5 {\n  margin-right: 0.625rem;\n}\n\n.mr-3\\.5 {\n  margin-right: 0.875rem;\n}\n\n.-mr-0 {\n  margin-right: 0px;\n}\n\n.-mr-1 {\n  margin-right: -0.25rem;\n}\n\n.-mr-2 {\n  margin-right: -0.5rem;\n}\n\n.-mr-3 {\n  margin-right: -0.75rem;\n}\n\n.-mr-4 {\n  margin-right: -1rem;\n}\n\n.-mr-5 {\n  margin-right: -1.25rem;\n}\n\n.-mr-6 {\n  margin-right: -1.5rem;\n}\n\n.-mr-7 {\n  margin-right: -1.75rem;\n}\n\n.-mr-8 {\n  margin-right: -2rem;\n}\n\n.-mr-9 {\n  margin-right: -2.25rem;\n}\n\n.-mr-10 {\n  margin-right: -2.5rem;\n}\n\n.-mr-11 {\n  margin-right: -2.75rem;\n}\n\n.-mr-12 {\n  margin-right: -3rem;\n}\n\n.-mr-14 {\n  margin-right: -3.5rem;\n}\n\n.-mr-16 {\n  margin-right: -4rem;\n}\n\n.-mr-20 {\n  margin-right: -5rem;\n}\n\n.-mr-24 {\n  margin-right: -6rem;\n}\n\n.-mr-28 {\n  margin-right: -7rem;\n}\n\n.-mr-32 {\n  margin-right: -8rem;\n}\n\n.-mr-36 {\n  margin-right: -9rem;\n}\n\n.-mr-40 {\n  margin-right: -10rem;\n}\n\n.-mr-44 {\n  margin-right: -11rem;\n}\n\n.-mr-48 {\n  margin-right: -12rem;\n}\n\n.-mr-52 {\n  margin-right: -13rem;\n}\n\n.-mr-56 {\n  margin-right: -14rem;\n}\n\n.-mr-60 {\n  margin-right: -15rem;\n}\n\n.-mr-64 {\n  margin-right: -16rem;\n}\n\n.-mr-72 {\n  margin-right: -18rem;\n}\n\n.-mr-80 {\n  margin-right: -20rem;\n}\n\n.-mr-96 {\n  margin-right: -24rem;\n}\n\n.-mr-px {\n  margin-right: -1px;\n}\n\n.-mr-0\\.5 {\n  margin-right: -0.125rem;\n}\n\n.-mr-1\\.5 {\n  margin-right: -0.375rem;\n}\n\n.-mr-2\\.5 {\n  margin-right: -0.625rem;\n}\n\n.-mr-3\\.5 {\n  margin-right: -0.875rem;\n}\n\n.mb-0 {\n  margin-bottom: 0px;\n}\n\n.mb-1 {\n  margin-bottom: 0.25rem;\n}\n\n.mb-2 {\n  margin-bottom: 0.5rem;\n}\n\n.mb-3 {\n  margin-bottom: 0.75rem;\n}\n\n.mb-4 {\n  margin-bottom: 1rem;\n}\n\n.mb-5 {\n  margin-bottom: 1.25rem;\n}\n\n.mb-6 {\n  margin-bottom: 1.5rem;\n}\n\n.mb-7 {\n  margin-bottom: 1.75rem;\n}\n\n.mb-8 {\n  margin-bottom: 2rem;\n}\n\n.mb-9 {\n  margin-bottom: 2.25rem;\n}\n\n.mb-10 {\n  margin-bottom: 2.5rem;\n}\n\n.mb-11 {\n  margin-bottom: 2.75rem;\n}\n\n.mb-12 {\n  margin-bottom: 3rem;\n}\n\n.mb-14 {\n  margin-bottom: 3.5rem;\n}\n\n.mb-16 {\n  margin-bottom: 4rem;\n}\n\n.mb-20 {\n  margin-bottom: 5rem;\n}\n\n.mb-24 {\n  margin-bottom: 6rem;\n}\n\n.mb-28 {\n  margin-bottom: 7rem;\n}\n\n.mb-32 {\n  margin-bottom: 8rem;\n}\n\n.mb-36 {\n  margin-bottom: 9rem;\n}\n\n.mb-40 {\n  margin-bottom: 10rem;\n}\n\n.mb-44 {\n  margin-bottom: 11rem;\n}\n\n.mb-48 {\n  margin-bottom: 12rem;\n}\n\n.mb-52 {\n  margin-bottom: 13rem;\n}\n\n.mb-56 {\n  margin-bottom: 14rem;\n}\n\n.mb-60 {\n  margin-bottom: 15rem;\n}\n\n.mb-64 {\n  margin-bottom: 16rem;\n}\n\n.mb-72 {\n  margin-bottom: 18rem;\n}\n\n.mb-80 {\n  margin-bottom: 20rem;\n}\n\n.mb-96 {\n  margin-bottom: 24rem;\n}\n\n.mb-auto {\n  margin-bottom: auto;\n}\n\n.mb-px {\n  margin-bottom: 1px;\n}\n\n.mb-0\\.5 {\n  margin-bottom: 0.125rem;\n}\n\n.mb-1\\.5 {\n  margin-bottom: 0.375rem;\n}\n\n.mb-2\\.5 {\n  margin-bottom: 0.625rem;\n}\n\n.mb-3\\.5 {\n  margin-bottom: 0.875rem;\n}\n\n.-mb-0 {\n  margin-bottom: 0px;\n}\n\n.-mb-1 {\n  margin-bottom: -0.25rem;\n}\n\n.-mb-2 {\n  margin-bottom: -0.5rem;\n}\n\n.-mb-3 {\n  margin-bottom: -0.75rem;\n}\n\n.-mb-4 {\n  margin-bottom: -1rem;\n}\n\n.-mb-5 {\n  margin-bottom: -1.25rem;\n}\n\n.-mb-6 {\n  margin-bottom: -1.5rem;\n}\n\n.-mb-7 {\n  margin-bottom: -1.75rem;\n}\n\n.-mb-8 {\n  margin-bottom: -2rem;\n}\n\n.-mb-9 {\n  margin-bottom: -2.25rem;\n}\n\n.-mb-10 {\n  margin-bottom: -2.5rem;\n}\n\n.-mb-11 {\n  margin-bottom: -2.75rem;\n}\n\n.-mb-12 {\n  margin-bottom: -3rem;\n}\n\n.-mb-14 {\n  margin-bottom: -3.5rem;\n}\n\n.-mb-16 {\n  margin-bottom: -4rem;\n}\n\n.-mb-20 {\n  margin-bottom: -5rem;\n}\n\n.-mb-24 {\n  margin-bottom: -6rem;\n}\n\n.-mb-28 {\n  margin-bottom: -7rem;\n}\n\n.-mb-32 {\n  margin-bottom: -8rem;\n}\n\n.-mb-36 {\n  margin-bottom: -9rem;\n}\n\n.-mb-40 {\n  margin-bottom: -10rem;\n}\n\n.-mb-44 {\n  margin-bottom: -11rem;\n}\n\n.-mb-48 {\n  margin-bottom: -12rem;\n}\n\n.-mb-52 {\n  margin-bottom: -13rem;\n}\n\n.-mb-56 {\n  margin-bottom: -14rem;\n}\n\n.-mb-60 {\n  margin-bottom: -15rem;\n}\n\n.-mb-64 {\n  margin-bottom: -16rem;\n}\n\n.-mb-72 {\n  margin-bottom: -18rem;\n}\n\n.-mb-80 {\n  margin-bottom: -20rem;\n}\n\n.-mb-96 {\n  margin-bottom: -24rem;\n}\n\n.-mb-px {\n  margin-bottom: -1px;\n}\n\n.-mb-0\\.5 {\n  margin-bottom: -0.125rem;\n}\n\n.-mb-1\\.5 {\n  margin-bottom: -0.375rem;\n}\n\n.-mb-2\\.5 {\n  margin-bottom: -0.625rem;\n}\n\n.-mb-3\\.5 {\n  margin-bottom: -0.875rem;\n}\n\n.ml-0 {\n  margin-left: 0px;\n}\n\n.ml-1 {\n  margin-left: 0.25rem;\n}\n\n.ml-2 {\n  margin-left: 0.5rem;\n}\n\n.ml-3 {\n  margin-left: 0.75rem;\n}\n\n.ml-4 {\n  margin-left: 1rem;\n}\n\n.ml-5 {\n  margin-left: 1.25rem;\n}\n\n.ml-6 {\n  margin-left: 1.5rem;\n}\n\n.ml-7 {\n  margin-left: 1.75rem;\n}\n\n.ml-8 {\n  margin-left: 2rem;\n}\n\n.ml-9 {\n  margin-left: 2.25rem;\n}\n\n.ml-10 {\n  margin-left: 2.5rem;\n}\n\n.ml-11 {\n  margin-left: 2.75rem;\n}\n\n.ml-12 {\n  margin-left: 3rem;\n}\n\n.ml-14 {\n  margin-left: 3.5rem;\n}\n\n.ml-16 {\n  margin-left: 4rem;\n}\n\n.ml-20 {\n  margin-left: 5rem;\n}\n\n.ml-24 {\n  margin-left: 6rem;\n}\n\n.ml-28 {\n  margin-left: 7rem;\n}\n\n.ml-32 {\n  margin-left: 8rem;\n}\n\n.ml-36 {\n  margin-left: 9rem;\n}\n\n.ml-40 {\n  margin-left: 10rem;\n}\n\n.ml-44 {\n  margin-left: 11rem;\n}\n\n.ml-48 {\n  margin-left: 12rem;\n}\n\n.ml-52 {\n  margin-left: 13rem;\n}\n\n.ml-56 {\n  margin-left: 14rem;\n}\n\n.ml-60 {\n  margin-left: 15rem;\n}\n\n.ml-64 {\n  margin-left: 16rem;\n}\n\n.ml-72 {\n  margin-left: 18rem;\n}\n\n.ml-80 {\n  margin-left: 20rem;\n}\n\n.ml-96 {\n  margin-left: 24rem;\n}\n\n.ml-auto {\n  margin-left: auto;\n}\n\n.ml-px {\n  margin-left: 1px;\n}\n\n.ml-0\\.5 {\n  margin-left: 0.125rem;\n}\n\n.ml-1\\.5 {\n  margin-left: 0.375rem;\n}\n\n.ml-2\\.5 {\n  margin-left: 0.625rem;\n}\n\n.ml-3\\.5 {\n  margin-left: 0.875rem;\n}\n\n.-ml-0 {\n  margin-left: 0px;\n}\n\n.-ml-1 {\n  margin-left: -0.25rem;\n}\n\n.-ml-2 {\n  margin-left: -0.5rem;\n}\n\n.-ml-3 {\n  margin-left: -0.75rem;\n}\n\n.-ml-4 {\n  margin-left: -1rem;\n}\n\n.-ml-5 {\n  margin-left: -1.25rem;\n}\n\n.-ml-6 {\n  margin-left: -1.5rem;\n}\n\n.-ml-7 {\n  margin-left: -1.75rem;\n}\n\n.-ml-8 {\n  margin-left: -2rem;\n}\n\n.-ml-9 {\n  margin-left: -2.25rem;\n}\n\n.-ml-10 {\n  margin-left: -2.5rem;\n}\n\n.-ml-11 {\n  margin-left: -2.75rem;\n}\n\n.-ml-12 {\n  margin-left: -3rem;\n}\n\n.-ml-14 {\n  margin-left: -3.5rem;\n}\n\n.-ml-16 {\n  margin-left: -4rem;\n}\n\n.-ml-20 {\n  margin-left: -5rem;\n}\n\n.-ml-24 {\n  margin-left: -6rem;\n}\n\n.-ml-28 {\n  margin-left: -7rem;\n}\n\n.-ml-32 {\n  margin-left: -8rem;\n}\n\n.-ml-36 {\n  margin-left: -9rem;\n}\n\n.-ml-40 {\n  margin-left: -10rem;\n}\n\n.-ml-44 {\n  margin-left: -11rem;\n}\n\n.-ml-48 {\n  margin-left: -12rem;\n}\n\n.-ml-52 {\n  margin-left: -13rem;\n}\n\n.-ml-56 {\n  margin-left: -14rem;\n}\n\n.-ml-60 {\n  margin-left: -15rem;\n}\n\n.-ml-64 {\n  margin-left: -16rem;\n}\n\n.-ml-72 {\n  margin-left: -18rem;\n}\n\n.-ml-80 {\n  margin-left: -20rem;\n}\n\n.-ml-96 {\n  margin-left: -24rem;\n}\n\n.-ml-px {\n  margin-left: -1px;\n}\n\n.-ml-0\\.5 {\n  margin-left: -0.125rem;\n}\n\n.-ml-1\\.5 {\n  margin-left: -0.375rem;\n}\n\n.-ml-2\\.5 {\n  margin-left: -0.625rem;\n}\n\n.-ml-3\\.5 {\n  margin-left: -0.875rem;\n}\n\n.box-border {\n  box-sizing: border-box;\n}\n\n.box-content {\n  box-sizing: content-box;\n}\n\n.block {\n  display: block;\n}\n\n.inline-block {\n  display: inline-block;\n}\n\n.inline {\n  display: inline;\n}\n\n.flex {\n  display: flex;\n}\n\n.inline-flex {\n  display: inline-flex;\n}\n\n.table {\n  display: table;\n}\n\n.inline-table {\n  display: inline-table;\n}\n\n.table-caption {\n  display: table-caption;\n}\n\n.table-cell {\n  display: table-cell;\n}\n\n.table-column {\n  display: table-column;\n}\n\n.table-column-group {\n  display: table-column-group;\n}\n\n.table-footer-group {\n  display: table-footer-group;\n}\n\n.table-header-group {\n  display: table-header-group;\n}\n\n.table-row-group {\n  display: table-row-group;\n}\n\n.table-row {\n  display: table-row;\n}\n\n.flow-root {\n  display: flow-root;\n}\n\n.grid {\n  display: grid;\n}\n\n.inline-grid {\n  display: inline-grid;\n}\n\n.contents {\n  display: contents;\n}\n\n.list-item {\n  display: list-item;\n}\n\n.hidden {\n  display: none;\n}\n\n.h-0 {\n  height: 0px;\n}\n\n.h-1 {\n  height: 0.25rem;\n}\n\n.h-2 {\n  height: 0.5rem;\n}\n\n.h-3 {\n  height: 0.75rem;\n}\n\n.h-4 {\n  height: 1rem;\n}\n\n.h-5 {\n  height: 1.25rem;\n}\n\n.h-6 {\n  height: 1.5rem;\n}\n\n.h-7 {\n  height: 1.75rem;\n}\n\n.h-8 {\n  height: 2rem;\n}\n\n.h-9 {\n  height: 2.25rem;\n}\n\n.h-10 {\n  height: 2.5rem;\n}\n\n.h-11 {\n  height: 2.75rem;\n}\n\n.h-12 {\n  height: 3rem;\n}\n\n.h-14 {\n  height: 3.5rem;\n}\n\n.h-16 {\n  height: 4rem;\n}\n\n.h-20 {\n  height: 5rem;\n}\n\n.h-24 {\n  height: 6rem;\n}\n\n.h-28 {\n  height: 7rem;\n}\n\n.h-32 {\n  height: 8rem;\n}\n\n.h-36 {\n  height: 9rem;\n}\n\n.h-40 {\n  height: 10rem;\n}\n\n.h-44 {\n  height: 11rem;\n}\n\n.h-48 {\n  height: 12rem;\n}\n\n.h-52 {\n  height: 13rem;\n}\n\n.h-56 {\n  height: 14rem;\n}\n\n.h-60 {\n  height: 15rem;\n}\n\n.h-64 {\n  height: 16rem;\n}\n\n.h-72 {\n  height: 18rem;\n}\n\n.h-80 {\n  height: 20rem;\n}\n\n.h-96 {\n  height: 24rem;\n}\n\n.h-auto {\n  height: auto;\n}\n\n.h-px {\n  height: 1px;\n}\n\n.h-0\\.5 {\n  height: 0.125rem;\n}\n\n.h-1\\.5 {\n  height: 0.375rem;\n}\n\n.h-2\\.5 {\n  height: 0.625rem;\n}\n\n.h-3\\.5 {\n  height: 0.875rem;\n}\n\n.h-1\\/2 {\n  height: 50%;\n}\n\n.h-1\\/3 {\n  height: 33.333333%;\n}\n\n.h-2\\/3 {\n  height: 66.666667%;\n}\n\n.h-1\\/4 {\n  height: 25%;\n}\n\n.h-2\\/4 {\n  height: 50%;\n}\n\n.h-3\\/4 {\n  height: 75%;\n}\n\n.h-1\\/5 {\n  height: 20%;\n}\n\n.h-2\\/5 {\n  height: 40%;\n}\n\n.h-3\\/5 {\n  height: 60%;\n}\n\n.h-4\\/5 {\n  height: 80%;\n}\n\n.h-1\\/6 {\n  height: 16.666667%;\n}\n\n.h-2\\/6 {\n  height: 33.333333%;\n}\n\n.h-3\\/6 {\n  height: 50%;\n}\n\n.h-4\\/6 {\n  height: 66.666667%;\n}\n\n.h-5\\/6 {\n  height: 83.333333%;\n}\n\n.h-full {\n  height: 100%;\n}\n\n.h-screen {\n  height: 100vh;\n}\n\n.max-h-0 {\n  max-height: 0px;\n}\n\n.max-h-1 {\n  max-height: 0.25rem;\n}\n\n.max-h-2 {\n  max-height: 0.5rem;\n}\n\n.max-h-3 {\n  max-height: 0.75rem;\n}\n\n.max-h-4 {\n  max-height: 1rem;\n}\n\n.max-h-5 {\n  max-height: 1.25rem;\n}\n\n.max-h-6 {\n  max-height: 1.5rem;\n}\n\n.max-h-7 {\n  max-height: 1.75rem;\n}\n\n.max-h-8 {\n  max-height: 2rem;\n}\n\n.max-h-9 {\n  max-height: 2.25rem;\n}\n\n.max-h-10 {\n  max-height: 2.5rem;\n}\n\n.max-h-11 {\n  max-height: 2.75rem;\n}\n\n.max-h-12 {\n  max-height: 3rem;\n}\n\n.max-h-14 {\n  max-height: 3.5rem;\n}\n\n.max-h-16 {\n  max-height: 4rem;\n}\n\n.max-h-20 {\n  max-height: 5rem;\n}\n\n.max-h-24 {\n  max-height: 6rem;\n}\n\n.max-h-28 {\n  max-height: 7rem;\n}\n\n.max-h-32 {\n  max-height: 8rem;\n}\n\n.max-h-36 {\n  max-height: 9rem;\n}\n\n.max-h-40 {\n  max-height: 10rem;\n}\n\n.max-h-44 {\n  max-height: 11rem;\n}\n\n.max-h-48 {\n  max-height: 12rem;\n}\n\n.max-h-52 {\n  max-height: 13rem;\n}\n\n.max-h-56 {\n  max-height: 14rem;\n}\n\n.max-h-60 {\n  max-height: 15rem;\n}\n\n.max-h-64 {\n  max-height: 16rem;\n}\n\n.max-h-72 {\n  max-height: 18rem;\n}\n\n.max-h-80 {\n  max-height: 20rem;\n}\n\n.max-h-96 {\n  max-height: 24rem;\n}\n\n.max-h-px {\n  max-height: 1px;\n}\n\n.max-h-0\\.5 {\n  max-height: 0.125rem;\n}\n\n.max-h-1\\.5 {\n  max-height: 0.375rem;\n}\n\n.max-h-2\\.5 {\n  max-height: 0.625rem;\n}\n\n.max-h-3\\.5 {\n  max-height: 0.875rem;\n}\n\n.max-h-full {\n  max-height: 100%;\n}\n\n.max-h-screen {\n  max-height: 100vh;\n}\n\n.min-h-0 {\n  min-height: 0px;\n}\n\n.min-h-full {\n  min-height: 100%;\n}\n\n.min-h-screen {\n  min-height: 100vh;\n}\n\n.w-0 {\n  width: 0px;\n}\n\n.w-1 {\n  width: 0.25rem;\n}\n\n.w-2 {\n  width: 0.5rem;\n}\n\n.w-3 {\n  width: 0.75rem;\n}\n\n.w-4 {\n  width: 1rem;\n}\n\n.w-5 {\n  width: 1.25rem;\n}\n\n.w-6 {\n  width: 1.5rem;\n}\n\n.w-7 {\n  width: 1.75rem;\n}\n\n.w-8 {\n  width: 2rem;\n}\n\n.w-9 {\n  width: 2.25rem;\n}\n\n.w-10 {\n  width: 2.5rem;\n}\n\n.w-11 {\n  width: 2.75rem;\n}\n\n.w-12 {\n  width: 3rem;\n}\n\n.w-14 {\n  width: 3.5rem;\n}\n\n.w-16 {\n  width: 4rem;\n}\n\n.w-20 {\n  width: 5rem;\n}\n\n.w-24 {\n  width: 6rem;\n}\n\n.w-28 {\n  width: 7rem;\n}\n\n.w-32 {\n  width: 8rem;\n}\n\n.w-36 {\n  width: 9rem;\n}\n\n.w-40 {\n  width: 10rem;\n}\n\n.w-44 {\n  width: 11rem;\n}\n\n.w-48 {\n  width: 12rem;\n}\n\n.w-52 {\n  width: 13rem;\n}\n\n.w-56 {\n  width: 14rem;\n}\n\n.w-60 {\n  width: 15rem;\n}\n\n.w-64 {\n  width: 16rem;\n}\n\n.w-72 {\n  width: 18rem;\n}\n\n.w-80 {\n  width: 20rem;\n}\n\n.w-96 {\n  width: 24rem;\n}\n\n.w-auto {\n  width: auto;\n}\n\n.w-px {\n  width: 1px;\n}\n\n.w-0\\.5 {\n  width: 0.125rem;\n}\n\n.w-1\\.5 {\n  width: 0.375rem;\n}\n\n.w-2\\.5 {\n  width: 0.625rem;\n}\n\n.w-3\\.5 {\n  width: 0.875rem;\n}\n\n.w-1\\/2 {\n  width: 50%;\n}\n\n.w-1\\/3 {\n  width: 33.333333%;\n}\n\n.w-2\\/3 {\n  width: 66.666667%;\n}\n\n.w-1\\/4 {\n  width: 25%;\n}\n\n.w-2\\/4 {\n  width: 50%;\n}\n\n.w-3\\/4 {\n  width: 75%;\n}\n\n.w-1\\/5 {\n  width: 20%;\n}\n\n.w-2\\/5 {\n  width: 40%;\n}\n\n.w-3\\/5 {\n  width: 60%;\n}\n\n.w-4\\/5 {\n  width: 80%;\n}\n\n.w-1\\/6 {\n  width: 16.666667%;\n}\n\n.w-2\\/6 {\n  width: 33.333333%;\n}\n\n.w-3\\/6 {\n  width: 50%;\n}\n\n.w-4\\/6 {\n  width: 66.666667%;\n}\n\n.w-5\\/6 {\n  width: 83.333333%;\n}\n\n.w-1\\/12 {\n  width: 8.333333%;\n}\n\n.w-2\\/12 {\n  width: 16.666667%;\n}\n\n.w-3\\/12 {\n  width: 25%;\n}\n\n.w-4\\/12 {\n  width: 33.333333%;\n}\n\n.w-5\\/12 {\n  width: 41.666667%;\n}\n\n.w-6\\/12 {\n  width: 50%;\n}\n\n.w-7\\/12 {\n  width: 58.333333%;\n}\n\n.w-8\\/12 {\n  width: 66.666667%;\n}\n\n.w-9\\/12 {\n  width: 75%;\n}\n\n.w-10\\/12 {\n  width: 83.333333%;\n}\n\n.w-11\\/12 {\n  width: 91.666667%;\n}\n\n.w-full {\n  width: 100%;\n}\n\n.w-screen {\n  width: 100vw;\n}\n\n.w-min {\n  width: -webkit-min-content;\n  width: -moz-min-content;\n  width: min-content;\n}\n\n.w-max {\n  width: -webkit-max-content;\n  width: -moz-max-content;\n  width: max-content;\n}\n\n.min-w-0 {\n  min-width: 0px;\n}\n\n.min-w-full {\n  min-width: 100%;\n}\n\n.min-w-min {\n  min-width: -webkit-min-content;\n  min-width: -moz-min-content;\n  min-width: min-content;\n}\n\n.min-w-max {\n  min-width: -webkit-max-content;\n  min-width: -moz-max-content;\n  min-width: max-content;\n}\n\n.max-w-0 {\n  max-width: 0rem;\n}\n\n.max-w-none {\n  max-width: none;\n}\n\n.max-w-xs {\n  max-width: 20rem;\n}\n\n.max-w-sm {\n  max-width: 24rem;\n}\n\n.max-w-md {\n  max-width: 28rem;\n}\n\n.max-w-lg {\n  max-width: 32rem;\n}\n\n.max-w-xl {\n  max-width: 36rem;\n}\n\n.max-w-2xl {\n  max-width: 42rem;\n}\n\n.max-w-3xl {\n  max-width: 48rem;\n}\n\n.max-w-4xl {\n  max-width: 56rem;\n}\n\n.max-w-5xl {\n  max-width: 64rem;\n}\n\n.max-w-6xl {\n  max-width: 72rem;\n}\n\n.max-w-7xl {\n  max-width: 80rem;\n}\n\n.max-w-full {\n  max-width: 100%;\n}\n\n.max-w-min {\n  max-width: -webkit-min-content;\n  max-width: -moz-min-content;\n  max-width: min-content;\n}\n\n.max-w-max {\n  max-width: -webkit-max-content;\n  max-width: -moz-max-content;\n  max-width: max-content;\n}\n\n.max-w-prose {\n  max-width: 65ch;\n}\n\n.max-w-screen-sm {\n  max-width: 640px;\n}\n\n.max-w-screen-md {\n  max-width: 768px;\n}\n\n.max-w-screen-lg {\n  max-width: 1024px;\n}\n\n.max-w-screen-xl {\n  max-width: 1280px;\n}\n\n.max-w-screen-2xl {\n  max-width: 1536px;\n}\n\n.flex-1 {\n  flex: 1 1 0%;\n}\n\n.flex-2 {\n  flex: 2 2 0%;\n}\n\n.flex-3 {\n  flex: 3 3 0%;\n}\n\n.flex-4 {\n  flex: 4 4 0%;\n}\n\n.flex-5 {\n  flex: 5 5 0%;\n}\n\n.flex-6 {\n  flex: 6 6 0%;\n}\n\n.flex-7 {\n  flex: 7 7 0%;\n}\n\n.flex-8 {\n  flex: 8 8 0%;\n}\n\n.flex-9 {\n  flex: 9 9 0%;\n}\n\n.flex-10 {\n  flex: 10 10 0%;\n}\n\n.flex-11 {\n  flex: 11 11 0%;\n}\n\n.flex-12 {\n  flex: 12 12 0%;\n}\n\n.flex-auto {\n  flex: 1 1 auto;\n}\n\n.flex-initial {\n  flex: 0 1 auto;\n}\n\n.flex-none {\n  flex: none;\n}\n\n.flex-shrink-0 {\n  flex-shrink: 0;\n}\n\n.flex-shrink {\n  flex-shrink: 1;\n}\n\n.flex-grow-0 {\n  flex-grow: 0;\n}\n\n.flex-grow {\n  flex-grow: 1;\n}\n\n.table-auto {\n  table-layout: auto;\n}\n\n.table-fixed {\n  table-layout: fixed;\n}\n\n.border-collapse {\n  border-collapse: collapse;\n}\n\n.border-separate {\n  border-collapse: separate;\n}\n\n.origin-center {\n  transform-origin: center;\n}\n\n.origin-top {\n  transform-origin: top;\n}\n\n.origin-top-right {\n  transform-origin: top right;\n}\n\n.origin-right {\n  transform-origin: right;\n}\n\n.origin-bottom-right {\n  transform-origin: bottom right;\n}\n\n.origin-bottom {\n  transform-origin: bottom;\n}\n\n.origin-bottom-left {\n  transform-origin: bottom left;\n}\n\n.origin-left {\n  transform-origin: left;\n}\n\n.origin-top-left {\n  transform-origin: top left;\n}\n\n.transform {\n  --tw-translate-x: 0;\n  --tw-translate-y: 0;\n  --tw-rotate: 0;\n  --tw-skew-x: 0;\n  --tw-skew-y: 0;\n  --tw-scale-x: 1;\n  --tw-scale-y: 1;\n  transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n}\n\n.transform-gpu {\n  --tw-translate-x: 0;\n  --tw-translate-y: 0;\n  --tw-rotate: 0;\n  --tw-skew-x: 0;\n  --tw-skew-y: 0;\n  --tw-scale-x: 1;\n  --tw-scale-y: 1;\n  transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n}\n\n.transform-none {\n  transform: none;\n}\n\n.translate-x-0 {\n  --tw-translate-x: 0px;\n}\n\n.translate-x-1 {\n  --tw-translate-x: 0.25rem;\n}\n\n.translate-x-2 {\n  --tw-translate-x: 0.5rem;\n}\n\n.translate-x-3 {\n  --tw-translate-x: 0.75rem;\n}\n\n.translate-x-4 {\n  --tw-translate-x: 1rem;\n}\n\n.translate-x-5 {\n  --tw-translate-x: 1.25rem;\n}\n\n.translate-x-6 {\n  --tw-translate-x: 1.5rem;\n}\n\n.translate-x-7 {\n  --tw-translate-x: 1.75rem;\n}\n\n.translate-x-8 {\n  --tw-translate-x: 2rem;\n}\n\n.translate-x-9 {\n  --tw-translate-x: 2.25rem;\n}\n\n.translate-x-10 {\n  --tw-translate-x: 2.5rem;\n}\n\n.translate-x-11 {\n  --tw-translate-x: 2.75rem;\n}\n\n.translate-x-12 {\n  --tw-translate-x: 3rem;\n}\n\n.translate-x-14 {\n  --tw-translate-x: 3.5rem;\n}\n\n.translate-x-16 {\n  --tw-translate-x: 4rem;\n}\n\n.translate-x-20 {\n  --tw-translate-x: 5rem;\n}\n\n.translate-x-24 {\n  --tw-translate-x: 6rem;\n}\n\n.translate-x-28 {\n  --tw-translate-x: 7rem;\n}\n\n.translate-x-32 {\n  --tw-translate-x: 8rem;\n}\n\n.translate-x-36 {\n  --tw-translate-x: 9rem;\n}\n\n.translate-x-40 {\n  --tw-translate-x: 10rem;\n}\n\n.translate-x-44 {\n  --tw-translate-x: 11rem;\n}\n\n.translate-x-48 {\n  --tw-translate-x: 12rem;\n}\n\n.translate-x-52 {\n  --tw-translate-x: 13rem;\n}\n\n.translate-x-56 {\n  --tw-translate-x: 14rem;\n}\n\n.translate-x-60 {\n  --tw-translate-x: 15rem;\n}\n\n.translate-x-64 {\n  --tw-translate-x: 16rem;\n}\n\n.translate-x-72 {\n  --tw-translate-x: 18rem;\n}\n\n.translate-x-80 {\n  --tw-translate-x: 20rem;\n}\n\n.translate-x-96 {\n  --tw-translate-x: 24rem;\n}\n\n.translate-x-px {\n  --tw-translate-x: 1px;\n}\n\n.translate-x-0\\.5 {\n  --tw-translate-x: 0.125rem;\n}\n\n.translate-x-1\\.5 {\n  --tw-translate-x: 0.375rem;\n}\n\n.translate-x-2\\.5 {\n  --tw-translate-x: 0.625rem;\n}\n\n.translate-x-3\\.5 {\n  --tw-translate-x: 0.875rem;\n}\n\n.-translate-x-0 {\n  --tw-translate-x: 0px;\n}\n\n.-translate-x-1 {\n  --tw-translate-x: -0.25rem;\n}\n\n.-translate-x-2 {\n  --tw-translate-x: -0.5rem;\n}\n\n.-translate-x-3 {\n  --tw-translate-x: -0.75rem;\n}\n\n.-translate-x-4 {\n  --tw-translate-x: -1rem;\n}\n\n.-translate-x-5 {\n  --tw-translate-x: -1.25rem;\n}\n\n.-translate-x-6 {\n  --tw-translate-x: -1.5rem;\n}\n\n.-translate-x-7 {\n  --tw-translate-x: -1.75rem;\n}\n\n.-translate-x-8 {\n  --tw-translate-x: -2rem;\n}\n\n.-translate-x-9 {\n  --tw-translate-x: -2.25rem;\n}\n\n.-translate-x-10 {\n  --tw-translate-x: -2.5rem;\n}\n\n.-translate-x-11 {\n  --tw-translate-x: -2.75rem;\n}\n\n.-translate-x-12 {\n  --tw-translate-x: -3rem;\n}\n\n.-translate-x-14 {\n  --tw-translate-x: -3.5rem;\n}\n\n.-translate-x-16 {\n  --tw-translate-x: -4rem;\n}\n\n.-translate-x-20 {\n  --tw-translate-x: -5rem;\n}\n\n.-translate-x-24 {\n  --tw-translate-x: -6rem;\n}\n\n.-translate-x-28 {\n  --tw-translate-x: -7rem;\n}\n\n.-translate-x-32 {\n  --tw-translate-x: -8rem;\n}\n\n.-translate-x-36 {\n  --tw-translate-x: -9rem;\n}\n\n.-translate-x-40 {\n  --tw-translate-x: -10rem;\n}\n\n.-translate-x-44 {\n  --tw-translate-x: -11rem;\n}\n\n.-translate-x-48 {\n  --tw-translate-x: -12rem;\n}\n\n.-translate-x-52 {\n  --tw-translate-x: -13rem;\n}\n\n.-translate-x-56 {\n  --tw-translate-x: -14rem;\n}\n\n.-translate-x-60 {\n  --tw-translate-x: -15rem;\n}\n\n.-translate-x-64 {\n  --tw-translate-x: -16rem;\n}\n\n.-translate-x-72 {\n  --tw-translate-x: -18rem;\n}\n\n.-translate-x-80 {\n  --tw-translate-x: -20rem;\n}\n\n.-translate-x-96 {\n  --tw-translate-x: -24rem;\n}\n\n.-translate-x-px {\n  --tw-translate-x: -1px;\n}\n\n.-translate-x-0\\.5 {\n  --tw-translate-x: -0.125rem;\n}\n\n.-translate-x-1\\.5 {\n  --tw-translate-x: -0.375rem;\n}\n\n.-translate-x-2\\.5 {\n  --tw-translate-x: -0.625rem;\n}\n\n.-translate-x-3\\.5 {\n  --tw-translate-x: -0.875rem;\n}\n\n.translate-x-1\\/2 {\n  --tw-translate-x: 50%;\n}\n\n.translate-x-1\\/3 {\n  --tw-translate-x: 33.333333%;\n}\n\n.translate-x-2\\/3 {\n  --tw-translate-x: 66.666667%;\n}\n\n.translate-x-1\\/4 {\n  --tw-translate-x: 25%;\n}\n\n.translate-x-2\\/4 {\n  --tw-translate-x: 50%;\n}\n\n.translate-x-3\\/4 {\n  --tw-translate-x: 75%;\n}\n\n.translate-x-full {\n  --tw-translate-x: 100%;\n}\n\n.-translate-x-1\\/2 {\n  --tw-translate-x: -50%;\n}\n\n.-translate-x-1\\/3 {\n  --tw-translate-x: -33.333333%;\n}\n\n.-translate-x-2\\/3 {\n  --tw-translate-x: -66.666667%;\n}\n\n.-translate-x-1\\/4 {\n  --tw-translate-x: -25%;\n}\n\n.-translate-x-2\\/4 {\n  --tw-translate-x: -50%;\n}\n\n.-translate-x-3\\/4 {\n  --tw-translate-x: -75%;\n}\n\n.-translate-x-full {\n  --tw-translate-x: -100%;\n}\n\n.translate-y-0 {\n  --tw-translate-y: 0px;\n}\n\n.translate-y-1 {\n  --tw-translate-y: 0.25rem;\n}\n\n.translate-y-2 {\n  --tw-translate-y: 0.5rem;\n}\n\n.translate-y-3 {\n  --tw-translate-y: 0.75rem;\n}\n\n.translate-y-4 {\n  --tw-translate-y: 1rem;\n}\n\n.translate-y-5 {\n  --tw-translate-y: 1.25rem;\n}\n\n.translate-y-6 {\n  --tw-translate-y: 1.5rem;\n}\n\n.translate-y-7 {\n  --tw-translate-y: 1.75rem;\n}\n\n.translate-y-8 {\n  --tw-translate-y: 2rem;\n}\n\n.translate-y-9 {\n  --tw-translate-y: 2.25rem;\n}\n\n.translate-y-10 {\n  --tw-translate-y: 2.5rem;\n}\n\n.translate-y-11 {\n  --tw-translate-y: 2.75rem;\n}\n\n.translate-y-12 {\n  --tw-translate-y: 3rem;\n}\n\n.translate-y-14 {\n  --tw-translate-y: 3.5rem;\n}\n\n.translate-y-16 {\n  --tw-translate-y: 4rem;\n}\n\n.translate-y-20 {\n  --tw-translate-y: 5rem;\n}\n\n.translate-y-24 {\n  --tw-translate-y: 6rem;\n}\n\n.translate-y-28 {\n  --tw-translate-y: 7rem;\n}\n\n.translate-y-32 {\n  --tw-translate-y: 8rem;\n}\n\n.translate-y-36 {\n  --tw-translate-y: 9rem;\n}\n\n.translate-y-40 {\n  --tw-translate-y: 10rem;\n}\n\n.translate-y-44 {\n  --tw-translate-y: 11rem;\n}\n\n.translate-y-48 {\n  --tw-translate-y: 12rem;\n}\n\n.translate-y-52 {\n  --tw-translate-y: 13rem;\n}\n\n.translate-y-56 {\n  --tw-translate-y: 14rem;\n}\n\n.translate-y-60 {\n  --tw-translate-y: 15rem;\n}\n\n.translate-y-64 {\n  --tw-translate-y: 16rem;\n}\n\n.translate-y-72 {\n  --tw-translate-y: 18rem;\n}\n\n.translate-y-80 {\n  --tw-translate-y: 20rem;\n}\n\n.translate-y-96 {\n  --tw-translate-y: 24rem;\n}\n\n.translate-y-px {\n  --tw-translate-y: 1px;\n}\n\n.translate-y-0\\.5 {\n  --tw-translate-y: 0.125rem;\n}\n\n.translate-y-1\\.5 {\n  --tw-translate-y: 0.375rem;\n}\n\n.translate-y-2\\.5 {\n  --tw-translate-y: 0.625rem;\n}\n\n.translate-y-3\\.5 {\n  --tw-translate-y: 0.875rem;\n}\n\n.-translate-y-0 {\n  --tw-translate-y: 0px;\n}\n\n.-translate-y-1 {\n  --tw-translate-y: -0.25rem;\n}\n\n.-translate-y-2 {\n  --tw-translate-y: -0.5rem;\n}\n\n.-translate-y-3 {\n  --tw-translate-y: -0.75rem;\n}\n\n.-translate-y-4 {\n  --tw-translate-y: -1rem;\n}\n\n.-translate-y-5 {\n  --tw-translate-y: -1.25rem;\n}\n\n.-translate-y-6 {\n  --tw-translate-y: -1.5rem;\n}\n\n.-translate-y-7 {\n  --tw-translate-y: -1.75rem;\n}\n\n.-translate-y-8 {\n  --tw-translate-y: -2rem;\n}\n\n.-translate-y-9 {\n  --tw-translate-y: -2.25rem;\n}\n\n.-translate-y-10 {\n  --tw-translate-y: -2.5rem;\n}\n\n.-translate-y-11 {\n  --tw-translate-y: -2.75rem;\n}\n\n.-translate-y-12 {\n  --tw-translate-y: -3rem;\n}\n\n.-translate-y-14 {\n  --tw-translate-y: -3.5rem;\n}\n\n.-translate-y-16 {\n  --tw-translate-y: -4rem;\n}\n\n.-translate-y-20 {\n  --tw-translate-y: -5rem;\n}\n\n.-translate-y-24 {\n  --tw-translate-y: -6rem;\n}\n\n.-translate-y-28 {\n  --tw-translate-y: -7rem;\n}\n\n.-translate-y-32 {\n  --tw-translate-y: -8rem;\n}\n\n.-translate-y-36 {\n  --tw-translate-y: -9rem;\n}\n\n.-translate-y-40 {\n  --tw-translate-y: -10rem;\n}\n\n.-translate-y-44 {\n  --tw-translate-y: -11rem;\n}\n\n.-translate-y-48 {\n  --tw-translate-y: -12rem;\n}\n\n.-translate-y-52 {\n  --tw-translate-y: -13rem;\n}\n\n.-translate-y-56 {\n  --tw-translate-y: -14rem;\n}\n\n.-translate-y-60 {\n  --tw-translate-y: -15rem;\n}\n\n.-translate-y-64 {\n  --tw-translate-y: -16rem;\n}\n\n.-translate-y-72 {\n  --tw-translate-y: -18rem;\n}\n\n.-translate-y-80 {\n  --tw-translate-y: -20rem;\n}\n\n.-translate-y-96 {\n  --tw-translate-y: -24rem;\n}\n\n.-translate-y-px {\n  --tw-translate-y: -1px;\n}\n\n.-translate-y-0\\.5 {\n  --tw-translate-y: -0.125rem;\n}\n\n.-translate-y-1\\.5 {\n  --tw-translate-y: -0.375rem;\n}\n\n.-translate-y-2\\.5 {\n  --tw-translate-y: -0.625rem;\n}\n\n.-translate-y-3\\.5 {\n  --tw-translate-y: -0.875rem;\n}\n\n.translate-y-1\\/2 {\n  --tw-translate-y: 50%;\n}\n\n.translate-y-1\\/3 {\n  --tw-translate-y: 33.333333%;\n}\n\n.translate-y-2\\/3 {\n  --tw-translate-y: 66.666667%;\n}\n\n.translate-y-1\\/4 {\n  --tw-translate-y: 25%;\n}\n\n.translate-y-2\\/4 {\n  --tw-translate-y: 50%;\n}\n\n.translate-y-3\\/4 {\n  --tw-translate-y: 75%;\n}\n\n.translate-y-full {\n  --tw-translate-y: 100%;\n}\n\n.-translate-y-1\\/2 {\n  --tw-translate-y: -50%;\n}\n\n.-translate-y-1\\/3 {\n  --tw-translate-y: -33.333333%;\n}\n\n.-translate-y-2\\/3 {\n  --tw-translate-y: -66.666667%;\n}\n\n.-translate-y-1\\/4 {\n  --tw-translate-y: -25%;\n}\n\n.-translate-y-2\\/4 {\n  --tw-translate-y: -50%;\n}\n\n.-translate-y-3\\/4 {\n  --tw-translate-y: -75%;\n}\n\n.-translate-y-full {\n  --tw-translate-y: -100%;\n}\n\n.hover\\:translate-x-0:hover {\n  --tw-translate-x: 0px;\n}\n\n.hover\\:translate-x-1:hover {\n  --tw-translate-x: 0.25rem;\n}\n\n.hover\\:translate-x-2:hover {\n  --tw-translate-x: 0.5rem;\n}\n\n.hover\\:translate-x-3:hover {\n  --tw-translate-x: 0.75rem;\n}\n\n.hover\\:translate-x-4:hover {\n  --tw-translate-x: 1rem;\n}\n\n.hover\\:translate-x-5:hover {\n  --tw-translate-x: 1.25rem;\n}\n\n.hover\\:translate-x-6:hover {\n  --tw-translate-x: 1.5rem;\n}\n\n.hover\\:translate-x-7:hover {\n  --tw-translate-x: 1.75rem;\n}\n\n.hover\\:translate-x-8:hover {\n  --tw-translate-x: 2rem;\n}\n\n.hover\\:translate-x-9:hover {\n  --tw-translate-x: 2.25rem;\n}\n\n.hover\\:translate-x-10:hover {\n  --tw-translate-x: 2.5rem;\n}\n\n.hover\\:translate-x-11:hover {\n  --tw-translate-x: 2.75rem;\n}\n\n.hover\\:translate-x-12:hover {\n  --tw-translate-x: 3rem;\n}\n\n.hover\\:translate-x-14:hover {\n  --tw-translate-x: 3.5rem;\n}\n\n.hover\\:translate-x-16:hover {\n  --tw-translate-x: 4rem;\n}\n\n.hover\\:translate-x-20:hover {\n  --tw-translate-x: 5rem;\n}\n\n.hover\\:translate-x-24:hover {\n  --tw-translate-x: 6rem;\n}\n\n.hover\\:translate-x-28:hover {\n  --tw-translate-x: 7rem;\n}\n\n.hover\\:translate-x-32:hover {\n  --tw-translate-x: 8rem;\n}\n\n.hover\\:translate-x-36:hover {\n  --tw-translate-x: 9rem;\n}\n\n.hover\\:translate-x-40:hover {\n  --tw-translate-x: 10rem;\n}\n\n.hover\\:translate-x-44:hover {\n  --tw-translate-x: 11rem;\n}\n\n.hover\\:translate-x-48:hover {\n  --tw-translate-x: 12rem;\n}\n\n.hover\\:translate-x-52:hover {\n  --tw-translate-x: 13rem;\n}\n\n.hover\\:translate-x-56:hover {\n  --tw-translate-x: 14rem;\n}\n\n.hover\\:translate-x-60:hover {\n  --tw-translate-x: 15rem;\n}\n\n.hover\\:translate-x-64:hover {\n  --tw-translate-x: 16rem;\n}\n\n.hover\\:translate-x-72:hover {\n  --tw-translate-x: 18rem;\n}\n\n.hover\\:translate-x-80:hover {\n  --tw-translate-x: 20rem;\n}\n\n.hover\\:translate-x-96:hover {\n  --tw-translate-x: 24rem;\n}\n\n.hover\\:translate-x-px:hover {\n  --tw-translate-x: 1px;\n}\n\n.hover\\:translate-x-0\\.5:hover {\n  --tw-translate-x: 0.125rem;\n}\n\n.hover\\:translate-x-1\\.5:hover {\n  --tw-translate-x: 0.375rem;\n}\n\n.hover\\:translate-x-2\\.5:hover {\n  --tw-translate-x: 0.625rem;\n}\n\n.hover\\:translate-x-3\\.5:hover {\n  --tw-translate-x: 0.875rem;\n}\n\n.hover\\:-translate-x-0:hover {\n  --tw-translate-x: 0px;\n}\n\n.hover\\:-translate-x-1:hover {\n  --tw-translate-x: -0.25rem;\n}\n\n.hover\\:-translate-x-2:hover {\n  --tw-translate-x: -0.5rem;\n}\n\n.hover\\:-translate-x-3:hover {\n  --tw-translate-x: -0.75rem;\n}\n\n.hover\\:-translate-x-4:hover {\n  --tw-translate-x: -1rem;\n}\n\n.hover\\:-translate-x-5:hover {\n  --tw-translate-x: -1.25rem;\n}\n\n.hover\\:-translate-x-6:hover {\n  --tw-translate-x: -1.5rem;\n}\n\n.hover\\:-translate-x-7:hover {\n  --tw-translate-x: -1.75rem;\n}\n\n.hover\\:-translate-x-8:hover {\n  --tw-translate-x: -2rem;\n}\n\n.hover\\:-translate-x-9:hover {\n  --tw-translate-x: -2.25rem;\n}\n\n.hover\\:-translate-x-10:hover {\n  --tw-translate-x: -2.5rem;\n}\n\n.hover\\:-translate-x-11:hover {\n  --tw-translate-x: -2.75rem;\n}\n\n.hover\\:-translate-x-12:hover {\n  --tw-translate-x: -3rem;\n}\n\n.hover\\:-translate-x-14:hover {\n  --tw-translate-x: -3.5rem;\n}\n\n.hover\\:-translate-x-16:hover {\n  --tw-translate-x: -4rem;\n}\n\n.hover\\:-translate-x-20:hover {\n  --tw-translate-x: -5rem;\n}\n\n.hover\\:-translate-x-24:hover {\n  --tw-translate-x: -6rem;\n}\n\n.hover\\:-translate-x-28:hover {\n  --tw-translate-x: -7rem;\n}\n\n.hover\\:-translate-x-32:hover {\n  --tw-translate-x: -8rem;\n}\n\n.hover\\:-translate-x-36:hover {\n  --tw-translate-x: -9rem;\n}\n\n.hover\\:-translate-x-40:hover {\n  --tw-translate-x: -10rem;\n}\n\n.hover\\:-translate-x-44:hover {\n  --tw-translate-x: -11rem;\n}\n\n.hover\\:-translate-x-48:hover {\n  --tw-translate-x: -12rem;\n}\n\n.hover\\:-translate-x-52:hover {\n  --tw-translate-x: -13rem;\n}\n\n.hover\\:-translate-x-56:hover {\n  --tw-translate-x: -14rem;\n}\n\n.hover\\:-translate-x-60:hover {\n  --tw-translate-x: -15rem;\n}\n\n.hover\\:-translate-x-64:hover {\n  --tw-translate-x: -16rem;\n}\n\n.hover\\:-translate-x-72:hover {\n  --tw-translate-x: -18rem;\n}\n\n.hover\\:-translate-x-80:hover {\n  --tw-translate-x: -20rem;\n}\n\n.hover\\:-translate-x-96:hover {\n  --tw-translate-x: -24rem;\n}\n\n.hover\\:-translate-x-px:hover {\n  --tw-translate-x: -1px;\n}\n\n.hover\\:-translate-x-0\\.5:hover {\n  --tw-translate-x: -0.125rem;\n}\n\n.hover\\:-translate-x-1\\.5:hover {\n  --tw-translate-x: -0.375rem;\n}\n\n.hover\\:-translate-x-2\\.5:hover {\n  --tw-translate-x: -0.625rem;\n}\n\n.hover\\:-translate-x-3\\.5:hover {\n  --tw-translate-x: -0.875rem;\n}\n\n.hover\\:translate-x-1\\/2:hover {\n  --tw-translate-x: 50%;\n}\n\n.hover\\:translate-x-1\\/3:hover {\n  --tw-translate-x: 33.333333%;\n}\n\n.hover\\:translate-x-2\\/3:hover {\n  --tw-translate-x: 66.666667%;\n}\n\n.hover\\:translate-x-1\\/4:hover {\n  --tw-translate-x: 25%;\n}\n\n.hover\\:translate-x-2\\/4:hover {\n  --tw-translate-x: 50%;\n}\n\n.hover\\:translate-x-3\\/4:hover {\n  --tw-translate-x: 75%;\n}\n\n.hover\\:translate-x-full:hover {\n  --tw-translate-x: 100%;\n}\n\n.hover\\:-translate-x-1\\/2:hover {\n  --tw-translate-x: -50%;\n}\n\n.hover\\:-translate-x-1\\/3:hover {\n  --tw-translate-x: -33.333333%;\n}\n\n.hover\\:-translate-x-2\\/3:hover {\n  --tw-translate-x: -66.666667%;\n}\n\n.hover\\:-translate-x-1\\/4:hover {\n  --tw-translate-x: -25%;\n}\n\n.hover\\:-translate-x-2\\/4:hover {\n  --tw-translate-x: -50%;\n}\n\n.hover\\:-translate-x-3\\/4:hover {\n  --tw-translate-x: -75%;\n}\n\n.hover\\:-translate-x-full:hover {\n  --tw-translate-x: -100%;\n}\n\n.hover\\:translate-y-0:hover {\n  --tw-translate-y: 0px;\n}\n\n.hover\\:translate-y-1:hover {\n  --tw-translate-y: 0.25rem;\n}\n\n.hover\\:translate-y-2:hover {\n  --tw-translate-y: 0.5rem;\n}\n\n.hover\\:translate-y-3:hover {\n  --tw-translate-y: 0.75rem;\n}\n\n.hover\\:translate-y-4:hover {\n  --tw-translate-y: 1rem;\n}\n\n.hover\\:translate-y-5:hover {\n  --tw-translate-y: 1.25rem;\n}\n\n.hover\\:translate-y-6:hover {\n  --tw-translate-y: 1.5rem;\n}\n\n.hover\\:translate-y-7:hover {\n  --tw-translate-y: 1.75rem;\n}\n\n.hover\\:translate-y-8:hover {\n  --tw-translate-y: 2rem;\n}\n\n.hover\\:translate-y-9:hover {\n  --tw-translate-y: 2.25rem;\n}\n\n.hover\\:translate-y-10:hover {\n  --tw-translate-y: 2.5rem;\n}\n\n.hover\\:translate-y-11:hover {\n  --tw-translate-y: 2.75rem;\n}\n\n.hover\\:translate-y-12:hover {\n  --tw-translate-y: 3rem;\n}\n\n.hover\\:translate-y-14:hover {\n  --tw-translate-y: 3.5rem;\n}\n\n.hover\\:translate-y-16:hover {\n  --tw-translate-y: 4rem;\n}\n\n.hover\\:translate-y-20:hover {\n  --tw-translate-y: 5rem;\n}\n\n.hover\\:translate-y-24:hover {\n  --tw-translate-y: 6rem;\n}\n\n.hover\\:translate-y-28:hover {\n  --tw-translate-y: 7rem;\n}\n\n.hover\\:translate-y-32:hover {\n  --tw-translate-y: 8rem;\n}\n\n.hover\\:translate-y-36:hover {\n  --tw-translate-y: 9rem;\n}\n\n.hover\\:translate-y-40:hover {\n  --tw-translate-y: 10rem;\n}\n\n.hover\\:translate-y-44:hover {\n  --tw-translate-y: 11rem;\n}\n\n.hover\\:translate-y-48:hover {\n  --tw-translate-y: 12rem;\n}\n\n.hover\\:translate-y-52:hover {\n  --tw-translate-y: 13rem;\n}\n\n.hover\\:translate-y-56:hover {\n  --tw-translate-y: 14rem;\n}\n\n.hover\\:translate-y-60:hover {\n  --tw-translate-y: 15rem;\n}\n\n.hover\\:translate-y-64:hover {\n  --tw-translate-y: 16rem;\n}\n\n.hover\\:translate-y-72:hover {\n  --tw-translate-y: 18rem;\n}\n\n.hover\\:translate-y-80:hover {\n  --tw-translate-y: 20rem;\n}\n\n.hover\\:translate-y-96:hover {\n  --tw-translate-y: 24rem;\n}\n\n.hover\\:translate-y-px:hover {\n  --tw-translate-y: 1px;\n}\n\n.hover\\:translate-y-0\\.5:hover {\n  --tw-translate-y: 0.125rem;\n}\n\n.hover\\:translate-y-1\\.5:hover {\n  --tw-translate-y: 0.375rem;\n}\n\n.hover\\:translate-y-2\\.5:hover {\n  --tw-translate-y: 0.625rem;\n}\n\n.hover\\:translate-y-3\\.5:hover {\n  --tw-translate-y: 0.875rem;\n}\n\n.hover\\:-translate-y-0:hover {\n  --tw-translate-y: 0px;\n}\n\n.hover\\:-translate-y-1:hover {\n  --tw-translate-y: -0.25rem;\n}\n\n.hover\\:-translate-y-2:hover {\n  --tw-translate-y: -0.5rem;\n}\n\n.hover\\:-translate-y-3:hover {\n  --tw-translate-y: -0.75rem;\n}\n\n.hover\\:-translate-y-4:hover {\n  --tw-translate-y: -1rem;\n}\n\n.hover\\:-translate-y-5:hover {\n  --tw-translate-y: -1.25rem;\n}\n\n.hover\\:-translate-y-6:hover {\n  --tw-translate-y: -1.5rem;\n}\n\n.hover\\:-translate-y-7:hover {\n  --tw-translate-y: -1.75rem;\n}\n\n.hover\\:-translate-y-8:hover {\n  --tw-translate-y: -2rem;\n}\n\n.hover\\:-translate-y-9:hover {\n  --tw-translate-y: -2.25rem;\n}\n\n.hover\\:-translate-y-10:hover {\n  --tw-translate-y: -2.5rem;\n}\n\n.hover\\:-translate-y-11:hover {\n  --tw-translate-y: -2.75rem;\n}\n\n.hover\\:-translate-y-12:hover {\n  --tw-translate-y: -3rem;\n}\n\n.hover\\:-translate-y-14:hover {\n  --tw-translate-y: -3.5rem;\n}\n\n.hover\\:-translate-y-16:hover {\n  --tw-translate-y: -4rem;\n}\n\n.hover\\:-translate-y-20:hover {\n  --tw-translate-y: -5rem;\n}\n\n.hover\\:-translate-y-24:hover {\n  --tw-translate-y: -6rem;\n}\n\n.hover\\:-translate-y-28:hover {\n  --tw-translate-y: -7rem;\n}\n\n.hover\\:-translate-y-32:hover {\n  --tw-translate-y: -8rem;\n}\n\n.hover\\:-translate-y-36:hover {\n  --tw-translate-y: -9rem;\n}\n\n.hover\\:-translate-y-40:hover {\n  --tw-translate-y: -10rem;\n}\n\n.hover\\:-translate-y-44:hover {\n  --tw-translate-y: -11rem;\n}\n\n.hover\\:-translate-y-48:hover {\n  --tw-translate-y: -12rem;\n}\n\n.hover\\:-translate-y-52:hover {\n  --tw-translate-y: -13rem;\n}\n\n.hover\\:-translate-y-56:hover {\n  --tw-translate-y: -14rem;\n}\n\n.hover\\:-translate-y-60:hover {\n  --tw-translate-y: -15rem;\n}\n\n.hover\\:-translate-y-64:hover {\n  --tw-translate-y: -16rem;\n}\n\n.hover\\:-translate-y-72:hover {\n  --tw-translate-y: -18rem;\n}\n\n.hover\\:-translate-y-80:hover {\n  --tw-translate-y: -20rem;\n}\n\n.hover\\:-translate-y-96:hover {\n  --tw-translate-y: -24rem;\n}\n\n.hover\\:-translate-y-px:hover {\n  --tw-translate-y: -1px;\n}\n\n.hover\\:-translate-y-0\\.5:hover {\n  --tw-translate-y: -0.125rem;\n}\n\n.hover\\:-translate-y-1\\.5:hover {\n  --tw-translate-y: -0.375rem;\n}\n\n.hover\\:-translate-y-2\\.5:hover {\n  --tw-translate-y: -0.625rem;\n}\n\n.hover\\:-translate-y-3\\.5:hover {\n  --tw-translate-y: -0.875rem;\n}\n\n.hover\\:translate-y-1\\/2:hover {\n  --tw-translate-y: 50%;\n}\n\n.hover\\:translate-y-1\\/3:hover {\n  --tw-translate-y: 33.333333%;\n}\n\n.hover\\:translate-y-2\\/3:hover {\n  --tw-translate-y: 66.666667%;\n}\n\n.hover\\:translate-y-1\\/4:hover {\n  --tw-translate-y: 25%;\n}\n\n.hover\\:translate-y-2\\/4:hover {\n  --tw-translate-y: 50%;\n}\n\n.hover\\:translate-y-3\\/4:hover {\n  --tw-translate-y: 75%;\n}\n\n.hover\\:translate-y-full:hover {\n  --tw-translate-y: 100%;\n}\n\n.hover\\:-translate-y-1\\/2:hover {\n  --tw-translate-y: -50%;\n}\n\n.hover\\:-translate-y-1\\/3:hover {\n  --tw-translate-y: -33.333333%;\n}\n\n.hover\\:-translate-y-2\\/3:hover {\n  --tw-translate-y: -66.666667%;\n}\n\n.hover\\:-translate-y-1\\/4:hover {\n  --tw-translate-y: -25%;\n}\n\n.hover\\:-translate-y-2\\/4:hover {\n  --tw-translate-y: -50%;\n}\n\n.hover\\:-translate-y-3\\/4:hover {\n  --tw-translate-y: -75%;\n}\n\n.hover\\:-translate-y-full:hover {\n  --tw-translate-y: -100%;\n}\n\n.focus\\:translate-x-0:focus {\n  --tw-translate-x: 0px;\n}\n\n.focus\\:translate-x-1:focus {\n  --tw-translate-x: 0.25rem;\n}\n\n.focus\\:translate-x-2:focus {\n  --tw-translate-x: 0.5rem;\n}\n\n.focus\\:translate-x-3:focus {\n  --tw-translate-x: 0.75rem;\n}\n\n.focus\\:translate-x-4:focus {\n  --tw-translate-x: 1rem;\n}\n\n.focus\\:translate-x-5:focus {\n  --tw-translate-x: 1.25rem;\n}\n\n.focus\\:translate-x-6:focus {\n  --tw-translate-x: 1.5rem;\n}\n\n.focus\\:translate-x-7:focus {\n  --tw-translate-x: 1.75rem;\n}\n\n.focus\\:translate-x-8:focus {\n  --tw-translate-x: 2rem;\n}\n\n.focus\\:translate-x-9:focus {\n  --tw-translate-x: 2.25rem;\n}\n\n.focus\\:translate-x-10:focus {\n  --tw-translate-x: 2.5rem;\n}\n\n.focus\\:translate-x-11:focus {\n  --tw-translate-x: 2.75rem;\n}\n\n.focus\\:translate-x-12:focus {\n  --tw-translate-x: 3rem;\n}\n\n.focus\\:translate-x-14:focus {\n  --tw-translate-x: 3.5rem;\n}\n\n.focus\\:translate-x-16:focus {\n  --tw-translate-x: 4rem;\n}\n\n.focus\\:translate-x-20:focus {\n  --tw-translate-x: 5rem;\n}\n\n.focus\\:translate-x-24:focus {\n  --tw-translate-x: 6rem;\n}\n\n.focus\\:translate-x-28:focus {\n  --tw-translate-x: 7rem;\n}\n\n.focus\\:translate-x-32:focus {\n  --tw-translate-x: 8rem;\n}\n\n.focus\\:translate-x-36:focus {\n  --tw-translate-x: 9rem;\n}\n\n.focus\\:translate-x-40:focus {\n  --tw-translate-x: 10rem;\n}\n\n.focus\\:translate-x-44:focus {\n  --tw-translate-x: 11rem;\n}\n\n.focus\\:translate-x-48:focus {\n  --tw-translate-x: 12rem;\n}\n\n.focus\\:translate-x-52:focus {\n  --tw-translate-x: 13rem;\n}\n\n.focus\\:translate-x-56:focus {\n  --tw-translate-x: 14rem;\n}\n\n.focus\\:translate-x-60:focus {\n  --tw-translate-x: 15rem;\n}\n\n.focus\\:translate-x-64:focus {\n  --tw-translate-x: 16rem;\n}\n\n.focus\\:translate-x-72:focus {\n  --tw-translate-x: 18rem;\n}\n\n.focus\\:translate-x-80:focus {\n  --tw-translate-x: 20rem;\n}\n\n.focus\\:translate-x-96:focus {\n  --tw-translate-x: 24rem;\n}\n\n.focus\\:translate-x-px:focus {\n  --tw-translate-x: 1px;\n}\n\n.focus\\:translate-x-0\\.5:focus {\n  --tw-translate-x: 0.125rem;\n}\n\n.focus\\:translate-x-1\\.5:focus {\n  --tw-translate-x: 0.375rem;\n}\n\n.focus\\:translate-x-2\\.5:focus {\n  --tw-translate-x: 0.625rem;\n}\n\n.focus\\:translate-x-3\\.5:focus {\n  --tw-translate-x: 0.875rem;\n}\n\n.focus\\:-translate-x-0:focus {\n  --tw-translate-x: 0px;\n}\n\n.focus\\:-translate-x-1:focus {\n  --tw-translate-x: -0.25rem;\n}\n\n.focus\\:-translate-x-2:focus {\n  --tw-translate-x: -0.5rem;\n}\n\n.focus\\:-translate-x-3:focus {\n  --tw-translate-x: -0.75rem;\n}\n\n.focus\\:-translate-x-4:focus {\n  --tw-translate-x: -1rem;\n}\n\n.focus\\:-translate-x-5:focus {\n  --tw-translate-x: -1.25rem;\n}\n\n.focus\\:-translate-x-6:focus {\n  --tw-translate-x: -1.5rem;\n}\n\n.focus\\:-translate-x-7:focus {\n  --tw-translate-x: -1.75rem;\n}\n\n.focus\\:-translate-x-8:focus {\n  --tw-translate-x: -2rem;\n}\n\n.focus\\:-translate-x-9:focus {\n  --tw-translate-x: -2.25rem;\n}\n\n.focus\\:-translate-x-10:focus {\n  --tw-translate-x: -2.5rem;\n}\n\n.focus\\:-translate-x-11:focus {\n  --tw-translate-x: -2.75rem;\n}\n\n.focus\\:-translate-x-12:focus {\n  --tw-translate-x: -3rem;\n}\n\n.focus\\:-translate-x-14:focus {\n  --tw-translate-x: -3.5rem;\n}\n\n.focus\\:-translate-x-16:focus {\n  --tw-translate-x: -4rem;\n}\n\n.focus\\:-translate-x-20:focus {\n  --tw-translate-x: -5rem;\n}\n\n.focus\\:-translate-x-24:focus {\n  --tw-translate-x: -6rem;\n}\n\n.focus\\:-translate-x-28:focus {\n  --tw-translate-x: -7rem;\n}\n\n.focus\\:-translate-x-32:focus {\n  --tw-translate-x: -8rem;\n}\n\n.focus\\:-translate-x-36:focus {\n  --tw-translate-x: -9rem;\n}\n\n.focus\\:-translate-x-40:focus {\n  --tw-translate-x: -10rem;\n}\n\n.focus\\:-translate-x-44:focus {\n  --tw-translate-x: -11rem;\n}\n\n.focus\\:-translate-x-48:focus {\n  --tw-translate-x: -12rem;\n}\n\n.focus\\:-translate-x-52:focus {\n  --tw-translate-x: -13rem;\n}\n\n.focus\\:-translate-x-56:focus {\n  --tw-translate-x: -14rem;\n}\n\n.focus\\:-translate-x-60:focus {\n  --tw-translate-x: -15rem;\n}\n\n.focus\\:-translate-x-64:focus {\n  --tw-translate-x: -16rem;\n}\n\n.focus\\:-translate-x-72:focus {\n  --tw-translate-x: -18rem;\n}\n\n.focus\\:-translate-x-80:focus {\n  --tw-translate-x: -20rem;\n}\n\n.focus\\:-translate-x-96:focus {\n  --tw-translate-x: -24rem;\n}\n\n.focus\\:-translate-x-px:focus {\n  --tw-translate-x: -1px;\n}\n\n.focus\\:-translate-x-0\\.5:focus {\n  --tw-translate-x: -0.125rem;\n}\n\n.focus\\:-translate-x-1\\.5:focus {\n  --tw-translate-x: -0.375rem;\n}\n\n.focus\\:-translate-x-2\\.5:focus {\n  --tw-translate-x: -0.625rem;\n}\n\n.focus\\:-translate-x-3\\.5:focus {\n  --tw-translate-x: -0.875rem;\n}\n\n.focus\\:translate-x-1\\/2:focus {\n  --tw-translate-x: 50%;\n}\n\n.focus\\:translate-x-1\\/3:focus {\n  --tw-translate-x: 33.333333%;\n}\n\n.focus\\:translate-x-2\\/3:focus {\n  --tw-translate-x: 66.666667%;\n}\n\n.focus\\:translate-x-1\\/4:focus {\n  --tw-translate-x: 25%;\n}\n\n.focus\\:translate-x-2\\/4:focus {\n  --tw-translate-x: 50%;\n}\n\n.focus\\:translate-x-3\\/4:focus {\n  --tw-translate-x: 75%;\n}\n\n.focus\\:translate-x-full:focus {\n  --tw-translate-x: 100%;\n}\n\n.focus\\:-translate-x-1\\/2:focus {\n  --tw-translate-x: -50%;\n}\n\n.focus\\:-translate-x-1\\/3:focus {\n  --tw-translate-x: -33.333333%;\n}\n\n.focus\\:-translate-x-2\\/3:focus {\n  --tw-translate-x: -66.666667%;\n}\n\n.focus\\:-translate-x-1\\/4:focus {\n  --tw-translate-x: -25%;\n}\n\n.focus\\:-translate-x-2\\/4:focus {\n  --tw-translate-x: -50%;\n}\n\n.focus\\:-translate-x-3\\/4:focus {\n  --tw-translate-x: -75%;\n}\n\n.focus\\:-translate-x-full:focus {\n  --tw-translate-x: -100%;\n}\n\n.focus\\:translate-y-0:focus {\n  --tw-translate-y: 0px;\n}\n\n.focus\\:translate-y-1:focus {\n  --tw-translate-y: 0.25rem;\n}\n\n.focus\\:translate-y-2:focus {\n  --tw-translate-y: 0.5rem;\n}\n\n.focus\\:translate-y-3:focus {\n  --tw-translate-y: 0.75rem;\n}\n\n.focus\\:translate-y-4:focus {\n  --tw-translate-y: 1rem;\n}\n\n.focus\\:translate-y-5:focus {\n  --tw-translate-y: 1.25rem;\n}\n\n.focus\\:translate-y-6:focus {\n  --tw-translate-y: 1.5rem;\n}\n\n.focus\\:translate-y-7:focus {\n  --tw-translate-y: 1.75rem;\n}\n\n.focus\\:translate-y-8:focus {\n  --tw-translate-y: 2rem;\n}\n\n.focus\\:translate-y-9:focus {\n  --tw-translate-y: 2.25rem;\n}\n\n.focus\\:translate-y-10:focus {\n  --tw-translate-y: 2.5rem;\n}\n\n.focus\\:translate-y-11:focus {\n  --tw-translate-y: 2.75rem;\n}\n\n.focus\\:translate-y-12:focus {\n  --tw-translate-y: 3rem;\n}\n\n.focus\\:translate-y-14:focus {\n  --tw-translate-y: 3.5rem;\n}\n\n.focus\\:translate-y-16:focus {\n  --tw-translate-y: 4rem;\n}\n\n.focus\\:translate-y-20:focus {\n  --tw-translate-y: 5rem;\n}\n\n.focus\\:translate-y-24:focus {\n  --tw-translate-y: 6rem;\n}\n\n.focus\\:translate-y-28:focus {\n  --tw-translate-y: 7rem;\n}\n\n.focus\\:translate-y-32:focus {\n  --tw-translate-y: 8rem;\n}\n\n.focus\\:translate-y-36:focus {\n  --tw-translate-y: 9rem;\n}\n\n.focus\\:translate-y-40:focus {\n  --tw-translate-y: 10rem;\n}\n\n.focus\\:translate-y-44:focus {\n  --tw-translate-y: 11rem;\n}\n\n.focus\\:translate-y-48:focus {\n  --tw-translate-y: 12rem;\n}\n\n.focus\\:translate-y-52:focus {\n  --tw-translate-y: 13rem;\n}\n\n.focus\\:translate-y-56:focus {\n  --tw-translate-y: 14rem;\n}\n\n.focus\\:translate-y-60:focus {\n  --tw-translate-y: 15rem;\n}\n\n.focus\\:translate-y-64:focus {\n  --tw-translate-y: 16rem;\n}\n\n.focus\\:translate-y-72:focus {\n  --tw-translate-y: 18rem;\n}\n\n.focus\\:translate-y-80:focus {\n  --tw-translate-y: 20rem;\n}\n\n.focus\\:translate-y-96:focus {\n  --tw-translate-y: 24rem;\n}\n\n.focus\\:translate-y-px:focus {\n  --tw-translate-y: 1px;\n}\n\n.focus\\:translate-y-0\\.5:focus {\n  --tw-translate-y: 0.125rem;\n}\n\n.focus\\:translate-y-1\\.5:focus {\n  --tw-translate-y: 0.375rem;\n}\n\n.focus\\:translate-y-2\\.5:focus {\n  --tw-translate-y: 0.625rem;\n}\n\n.focus\\:translate-y-3\\.5:focus {\n  --tw-translate-y: 0.875rem;\n}\n\n.focus\\:-translate-y-0:focus {\n  --tw-translate-y: 0px;\n}\n\n.focus\\:-translate-y-1:focus {\n  --tw-translate-y: -0.25rem;\n}\n\n.focus\\:-translate-y-2:focus {\n  --tw-translate-y: -0.5rem;\n}\n\n.focus\\:-translate-y-3:focus {\n  --tw-translate-y: -0.75rem;\n}\n\n.focus\\:-translate-y-4:focus {\n  --tw-translate-y: -1rem;\n}\n\n.focus\\:-translate-y-5:focus {\n  --tw-translate-y: -1.25rem;\n}\n\n.focus\\:-translate-y-6:focus {\n  --tw-translate-y: -1.5rem;\n}\n\n.focus\\:-translate-y-7:focus {\n  --tw-translate-y: -1.75rem;\n}\n\n.focus\\:-translate-y-8:focus {\n  --tw-translate-y: -2rem;\n}\n\n.focus\\:-translate-y-9:focus {\n  --tw-translate-y: -2.25rem;\n}\n\n.focus\\:-translate-y-10:focus {\n  --tw-translate-y: -2.5rem;\n}\n\n.focus\\:-translate-y-11:focus {\n  --tw-translate-y: -2.75rem;\n}\n\n.focus\\:-translate-y-12:focus {\n  --tw-translate-y: -3rem;\n}\n\n.focus\\:-translate-y-14:focus {\n  --tw-translate-y: -3.5rem;\n}\n\n.focus\\:-translate-y-16:focus {\n  --tw-translate-y: -4rem;\n}\n\n.focus\\:-translate-y-20:focus {\n  --tw-translate-y: -5rem;\n}\n\n.focus\\:-translate-y-24:focus {\n  --tw-translate-y: -6rem;\n}\n\n.focus\\:-translate-y-28:focus {\n  --tw-translate-y: -7rem;\n}\n\n.focus\\:-translate-y-32:focus {\n  --tw-translate-y: -8rem;\n}\n\n.focus\\:-translate-y-36:focus {\n  --tw-translate-y: -9rem;\n}\n\n.focus\\:-translate-y-40:focus {\n  --tw-translate-y: -10rem;\n}\n\n.focus\\:-translate-y-44:focus {\n  --tw-translate-y: -11rem;\n}\n\n.focus\\:-translate-y-48:focus {\n  --tw-translate-y: -12rem;\n}\n\n.focus\\:-translate-y-52:focus {\n  --tw-translate-y: -13rem;\n}\n\n.focus\\:-translate-y-56:focus {\n  --tw-translate-y: -14rem;\n}\n\n.focus\\:-translate-y-60:focus {\n  --tw-translate-y: -15rem;\n}\n\n.focus\\:-translate-y-64:focus {\n  --tw-translate-y: -16rem;\n}\n\n.focus\\:-translate-y-72:focus {\n  --tw-translate-y: -18rem;\n}\n\n.focus\\:-translate-y-80:focus {\n  --tw-translate-y: -20rem;\n}\n\n.focus\\:-translate-y-96:focus {\n  --tw-translate-y: -24rem;\n}\n\n.focus\\:-translate-y-px:focus {\n  --tw-translate-y: -1px;\n}\n\n.focus\\:-translate-y-0\\.5:focus {\n  --tw-translate-y: -0.125rem;\n}\n\n.focus\\:-translate-y-1\\.5:focus {\n  --tw-translate-y: -0.375rem;\n}\n\n.focus\\:-translate-y-2\\.5:focus {\n  --tw-translate-y: -0.625rem;\n}\n\n.focus\\:-translate-y-3\\.5:focus {\n  --tw-translate-y: -0.875rem;\n}\n\n.focus\\:translate-y-1\\/2:focus {\n  --tw-translate-y: 50%;\n}\n\n.focus\\:translate-y-1\\/3:focus {\n  --tw-translate-y: 33.333333%;\n}\n\n.focus\\:translate-y-2\\/3:focus {\n  --tw-translate-y: 66.666667%;\n}\n\n.focus\\:translate-y-1\\/4:focus {\n  --tw-translate-y: 25%;\n}\n\n.focus\\:translate-y-2\\/4:focus {\n  --tw-translate-y: 50%;\n}\n\n.focus\\:translate-y-3\\/4:focus {\n  --tw-translate-y: 75%;\n}\n\n.focus\\:translate-y-full:focus {\n  --tw-translate-y: 100%;\n}\n\n.focus\\:-translate-y-1\\/2:focus {\n  --tw-translate-y: -50%;\n}\n\n.focus\\:-translate-y-1\\/3:focus {\n  --tw-translate-y: -33.333333%;\n}\n\n.focus\\:-translate-y-2\\/3:focus {\n  --tw-translate-y: -66.666667%;\n}\n\n.focus\\:-translate-y-1\\/4:focus {\n  --tw-translate-y: -25%;\n}\n\n.focus\\:-translate-y-2\\/4:focus {\n  --tw-translate-y: -50%;\n}\n\n.focus\\:-translate-y-3\\/4:focus {\n  --tw-translate-y: -75%;\n}\n\n.focus\\:-translate-y-full:focus {\n  --tw-translate-y: -100%;\n}\n\n.rotate-0 {\n  --tw-rotate: 0deg;\n}\n\n.rotate-1 {\n  --tw-rotate: 1deg;\n}\n\n.rotate-2 {\n  --tw-rotate: 2deg;\n}\n\n.rotate-3 {\n  --tw-rotate: 3deg;\n}\n\n.rotate-6 {\n  --tw-rotate: 6deg;\n}\n\n.rotate-12 {\n  --tw-rotate: 12deg;\n}\n\n.rotate-45 {\n  --tw-rotate: 45deg;\n}\n\n.rotate-90 {\n  --tw-rotate: 90deg;\n}\n\n.rotate-180 {\n  --tw-rotate: 180deg;\n}\n\n.-rotate-180 {\n  --tw-rotate: -180deg;\n}\n\n.-rotate-90 {\n  --tw-rotate: -90deg;\n}\n\n.-rotate-45 {\n  --tw-rotate: -45deg;\n}\n\n.-rotate-12 {\n  --tw-rotate: -12deg;\n}\n\n.-rotate-6 {\n  --tw-rotate: -6deg;\n}\n\n.-rotate-3 {\n  --tw-rotate: -3deg;\n}\n\n.-rotate-2 {\n  --tw-rotate: -2deg;\n}\n\n.-rotate-1 {\n  --tw-rotate: -1deg;\n}\n\n.hover\\:rotate-0:hover {\n  --tw-rotate: 0deg;\n}\n\n.hover\\:rotate-1:hover {\n  --tw-rotate: 1deg;\n}\n\n.hover\\:rotate-2:hover {\n  --tw-rotate: 2deg;\n}\n\n.hover\\:rotate-3:hover {\n  --tw-rotate: 3deg;\n}\n\n.hover\\:rotate-6:hover {\n  --tw-rotate: 6deg;\n}\n\n.hover\\:rotate-12:hover {\n  --tw-rotate: 12deg;\n}\n\n.hover\\:rotate-45:hover {\n  --tw-rotate: 45deg;\n}\n\n.hover\\:rotate-90:hover {\n  --tw-rotate: 90deg;\n}\n\n.hover\\:rotate-180:hover {\n  --tw-rotate: 180deg;\n}\n\n.hover\\:-rotate-180:hover {\n  --tw-rotate: -180deg;\n}\n\n.hover\\:-rotate-90:hover {\n  --tw-rotate: -90deg;\n}\n\n.hover\\:-rotate-45:hover {\n  --tw-rotate: -45deg;\n}\n\n.hover\\:-rotate-12:hover {\n  --tw-rotate: -12deg;\n}\n\n.hover\\:-rotate-6:hover {\n  --tw-rotate: -6deg;\n}\n\n.hover\\:-rotate-3:hover {\n  --tw-rotate: -3deg;\n}\n\n.hover\\:-rotate-2:hover {\n  --tw-rotate: -2deg;\n}\n\n.hover\\:-rotate-1:hover {\n  --tw-rotate: -1deg;\n}\n\n.focus\\:rotate-0:focus {\n  --tw-rotate: 0deg;\n}\n\n.focus\\:rotate-1:focus {\n  --tw-rotate: 1deg;\n}\n\n.focus\\:rotate-2:focus {\n  --tw-rotate: 2deg;\n}\n\n.focus\\:rotate-3:focus {\n  --tw-rotate: 3deg;\n}\n\n.focus\\:rotate-6:focus {\n  --tw-rotate: 6deg;\n}\n\n.focus\\:rotate-12:focus {\n  --tw-rotate: 12deg;\n}\n\n.focus\\:rotate-45:focus {\n  --tw-rotate: 45deg;\n}\n\n.focus\\:rotate-90:focus {\n  --tw-rotate: 90deg;\n}\n\n.focus\\:rotate-180:focus {\n  --tw-rotate: 180deg;\n}\n\n.focus\\:-rotate-180:focus {\n  --tw-rotate: -180deg;\n}\n\n.focus\\:-rotate-90:focus {\n  --tw-rotate: -90deg;\n}\n\n.focus\\:-rotate-45:focus {\n  --tw-rotate: -45deg;\n}\n\n.focus\\:-rotate-12:focus {\n  --tw-rotate: -12deg;\n}\n\n.focus\\:-rotate-6:focus {\n  --tw-rotate: -6deg;\n}\n\n.focus\\:-rotate-3:focus {\n  --tw-rotate: -3deg;\n}\n\n.focus\\:-rotate-2:focus {\n  --tw-rotate: -2deg;\n}\n\n.focus\\:-rotate-1:focus {\n  --tw-rotate: -1deg;\n}\n\n.skew-x-0 {\n  --tw-skew-x: 0deg;\n}\n\n.skew-x-1 {\n  --tw-skew-x: 1deg;\n}\n\n.skew-x-2 {\n  --tw-skew-x: 2deg;\n}\n\n.skew-x-3 {\n  --tw-skew-x: 3deg;\n}\n\n.skew-x-6 {\n  --tw-skew-x: 6deg;\n}\n\n.skew-x-12 {\n  --tw-skew-x: 12deg;\n}\n\n.-skew-x-12 {\n  --tw-skew-x: -12deg;\n}\n\n.-skew-x-6 {\n  --tw-skew-x: -6deg;\n}\n\n.-skew-x-3 {\n  --tw-skew-x: -3deg;\n}\n\n.-skew-x-2 {\n  --tw-skew-x: -2deg;\n}\n\n.-skew-x-1 {\n  --tw-skew-x: -1deg;\n}\n\n.skew-y-0 {\n  --tw-skew-y: 0deg;\n}\n\n.skew-y-1 {\n  --tw-skew-y: 1deg;\n}\n\n.skew-y-2 {\n  --tw-skew-y: 2deg;\n}\n\n.skew-y-3 {\n  --tw-skew-y: 3deg;\n}\n\n.skew-y-6 {\n  --tw-skew-y: 6deg;\n}\n\n.skew-y-12 {\n  --tw-skew-y: 12deg;\n}\n\n.-skew-y-12 {\n  --tw-skew-y: -12deg;\n}\n\n.-skew-y-6 {\n  --tw-skew-y: -6deg;\n}\n\n.-skew-y-3 {\n  --tw-skew-y: -3deg;\n}\n\n.-skew-y-2 {\n  --tw-skew-y: -2deg;\n}\n\n.-skew-y-1 {\n  --tw-skew-y: -1deg;\n}\n\n.hover\\:skew-x-0:hover {\n  --tw-skew-x: 0deg;\n}\n\n.hover\\:skew-x-1:hover {\n  --tw-skew-x: 1deg;\n}\n\n.hover\\:skew-x-2:hover {\n  --tw-skew-x: 2deg;\n}\n\n.hover\\:skew-x-3:hover {\n  --tw-skew-x: 3deg;\n}\n\n.hover\\:skew-x-6:hover {\n  --tw-skew-x: 6deg;\n}\n\n.hover\\:skew-x-12:hover {\n  --tw-skew-x: 12deg;\n}\n\n.hover\\:-skew-x-12:hover {\n  --tw-skew-x: -12deg;\n}\n\n.hover\\:-skew-x-6:hover {\n  --tw-skew-x: -6deg;\n}\n\n.hover\\:-skew-x-3:hover {\n  --tw-skew-x: -3deg;\n}\n\n.hover\\:-skew-x-2:hover {\n  --tw-skew-x: -2deg;\n}\n\n.hover\\:-skew-x-1:hover {\n  --tw-skew-x: -1deg;\n}\n\n.hover\\:skew-y-0:hover {\n  --tw-skew-y: 0deg;\n}\n\n.hover\\:skew-y-1:hover {\n  --tw-skew-y: 1deg;\n}\n\n.hover\\:skew-y-2:hover {\n  --tw-skew-y: 2deg;\n}\n\n.hover\\:skew-y-3:hover {\n  --tw-skew-y: 3deg;\n}\n\n.hover\\:skew-y-6:hover {\n  --tw-skew-y: 6deg;\n}\n\n.hover\\:skew-y-12:hover {\n  --tw-skew-y: 12deg;\n}\n\n.hover\\:-skew-y-12:hover {\n  --tw-skew-y: -12deg;\n}\n\n.hover\\:-skew-y-6:hover {\n  --tw-skew-y: -6deg;\n}\n\n.hover\\:-skew-y-3:hover {\n  --tw-skew-y: -3deg;\n}\n\n.hover\\:-skew-y-2:hover {\n  --tw-skew-y: -2deg;\n}\n\n.hover\\:-skew-y-1:hover {\n  --tw-skew-y: -1deg;\n}\n\n.focus\\:skew-x-0:focus {\n  --tw-skew-x: 0deg;\n}\n\n.focus\\:skew-x-1:focus {\n  --tw-skew-x: 1deg;\n}\n\n.focus\\:skew-x-2:focus {\n  --tw-skew-x: 2deg;\n}\n\n.focus\\:skew-x-3:focus {\n  --tw-skew-x: 3deg;\n}\n\n.focus\\:skew-x-6:focus {\n  --tw-skew-x: 6deg;\n}\n\n.focus\\:skew-x-12:focus {\n  --tw-skew-x: 12deg;\n}\n\n.focus\\:-skew-x-12:focus {\n  --tw-skew-x: -12deg;\n}\n\n.focus\\:-skew-x-6:focus {\n  --tw-skew-x: -6deg;\n}\n\n.focus\\:-skew-x-3:focus {\n  --tw-skew-x: -3deg;\n}\n\n.focus\\:-skew-x-2:focus {\n  --tw-skew-x: -2deg;\n}\n\n.focus\\:-skew-x-1:focus {\n  --tw-skew-x: -1deg;\n}\n\n.focus\\:skew-y-0:focus {\n  --tw-skew-y: 0deg;\n}\n\n.focus\\:skew-y-1:focus {\n  --tw-skew-y: 1deg;\n}\n\n.focus\\:skew-y-2:focus {\n  --tw-skew-y: 2deg;\n}\n\n.focus\\:skew-y-3:focus {\n  --tw-skew-y: 3deg;\n}\n\n.focus\\:skew-y-6:focus {\n  --tw-skew-y: 6deg;\n}\n\n.focus\\:skew-y-12:focus {\n  --tw-skew-y: 12deg;\n}\n\n.focus\\:-skew-y-12:focus {\n  --tw-skew-y: -12deg;\n}\n\n.focus\\:-skew-y-6:focus {\n  --tw-skew-y: -6deg;\n}\n\n.focus\\:-skew-y-3:focus {\n  --tw-skew-y: -3deg;\n}\n\n.focus\\:-skew-y-2:focus {\n  --tw-skew-y: -2deg;\n}\n\n.focus\\:-skew-y-1:focus {\n  --tw-skew-y: -1deg;\n}\n\n.scale-0 {\n  --tw-scale-x: 0;\n  --tw-scale-y: 0;\n}\n\n.scale-50 {\n  --tw-scale-x: .5;\n  --tw-scale-y: .5;\n}\n\n.scale-75 {\n  --tw-scale-x: .75;\n  --tw-scale-y: .75;\n}\n\n.scale-90 {\n  --tw-scale-x: .9;\n  --tw-scale-y: .9;\n}\n\n.scale-95 {\n  --tw-scale-x: .95;\n  --tw-scale-y: .95;\n}\n\n.scale-100 {\n  --tw-scale-x: 1;\n  --tw-scale-y: 1;\n}\n\n.scale-105 {\n  --tw-scale-x: 1.05;\n  --tw-scale-y: 1.05;\n}\n\n.scale-110 {\n  --tw-scale-x: 1.1;\n  --tw-scale-y: 1.1;\n}\n\n.scale-125 {\n  --tw-scale-x: 1.25;\n  --tw-scale-y: 1.25;\n}\n\n.scale-150 {\n  --tw-scale-x: 1.5;\n  --tw-scale-y: 1.5;\n}\n\n.hover\\:scale-0:hover {\n  --tw-scale-x: 0;\n  --tw-scale-y: 0;\n}\n\n.hover\\:scale-50:hover {\n  --tw-scale-x: .5;\n  --tw-scale-y: .5;\n}\n\n.hover\\:scale-75:hover {\n  --tw-scale-x: .75;\n  --tw-scale-y: .75;\n}\n\n.hover\\:scale-90:hover {\n  --tw-scale-x: .9;\n  --tw-scale-y: .9;\n}\n\n.hover\\:scale-95:hover {\n  --tw-scale-x: .95;\n  --tw-scale-y: .95;\n}\n\n.hover\\:scale-100:hover {\n  --tw-scale-x: 1;\n  --tw-scale-y: 1;\n}\n\n.hover\\:scale-105:hover {\n  --tw-scale-x: 1.05;\n  --tw-scale-y: 1.05;\n}\n\n.hover\\:scale-110:hover {\n  --tw-scale-x: 1.1;\n  --tw-scale-y: 1.1;\n}\n\n.hover\\:scale-125:hover {\n  --tw-scale-x: 1.25;\n  --tw-scale-y: 1.25;\n}\n\n.hover\\:scale-150:hover {\n  --tw-scale-x: 1.5;\n  --tw-scale-y: 1.5;\n}\n\n.focus\\:scale-0:focus {\n  --tw-scale-x: 0;\n  --tw-scale-y: 0;\n}\n\n.focus\\:scale-50:focus {\n  --tw-scale-x: .5;\n  --tw-scale-y: .5;\n}\n\n.focus\\:scale-75:focus {\n  --tw-scale-x: .75;\n  --tw-scale-y: .75;\n}\n\n.focus\\:scale-90:focus {\n  --tw-scale-x: .9;\n  --tw-scale-y: .9;\n}\n\n.focus\\:scale-95:focus {\n  --tw-scale-x: .95;\n  --tw-scale-y: .95;\n}\n\n.focus\\:scale-100:focus {\n  --tw-scale-x: 1;\n  --tw-scale-y: 1;\n}\n\n.focus\\:scale-105:focus {\n  --tw-scale-x: 1.05;\n  --tw-scale-y: 1.05;\n}\n\n.focus\\:scale-110:focus {\n  --tw-scale-x: 1.1;\n  --tw-scale-y: 1.1;\n}\n\n.focus\\:scale-125:focus {\n  --tw-scale-x: 1.25;\n  --tw-scale-y: 1.25;\n}\n\n.focus\\:scale-150:focus {\n  --tw-scale-x: 1.5;\n  --tw-scale-y: 1.5;\n}\n\n.scale-x-0 {\n  --tw-scale-x: 0;\n}\n\n.scale-x-50 {\n  --tw-scale-x: .5;\n}\n\n.scale-x-75 {\n  --tw-scale-x: .75;\n}\n\n.scale-x-90 {\n  --tw-scale-x: .9;\n}\n\n.scale-x-95 {\n  --tw-scale-x: .95;\n}\n\n.scale-x-100 {\n  --tw-scale-x: 1;\n}\n\n.scale-x-105 {\n  --tw-scale-x: 1.05;\n}\n\n.scale-x-110 {\n  --tw-scale-x: 1.1;\n}\n\n.scale-x-125 {\n  --tw-scale-x: 1.25;\n}\n\n.scale-x-150 {\n  --tw-scale-x: 1.5;\n}\n\n.scale-y-0 {\n  --tw-scale-y: 0;\n}\n\n.scale-y-50 {\n  --tw-scale-y: .5;\n}\n\n.scale-y-75 {\n  --tw-scale-y: .75;\n}\n\n.scale-y-90 {\n  --tw-scale-y: .9;\n}\n\n.scale-y-95 {\n  --tw-scale-y: .95;\n}\n\n.scale-y-100 {\n  --tw-scale-y: 1;\n}\n\n.scale-y-105 {\n  --tw-scale-y: 1.05;\n}\n\n.scale-y-110 {\n  --tw-scale-y: 1.1;\n}\n\n.scale-y-125 {\n  --tw-scale-y: 1.25;\n}\n\n.scale-y-150 {\n  --tw-scale-y: 1.5;\n}\n\n.hover\\:scale-x-0:hover {\n  --tw-scale-x: 0;\n}\n\n.hover\\:scale-x-50:hover {\n  --tw-scale-x: .5;\n}\n\n.hover\\:scale-x-75:hover {\n  --tw-scale-x: .75;\n}\n\n.hover\\:scale-x-90:hover {\n  --tw-scale-x: .9;\n}\n\n.hover\\:scale-x-95:hover {\n  --tw-scale-x: .95;\n}\n\n.hover\\:scale-x-100:hover {\n  --tw-scale-x: 1;\n}\n\n.hover\\:scale-x-105:hover {\n  --tw-scale-x: 1.05;\n}\n\n.hover\\:scale-x-110:hover {\n  --tw-scale-x: 1.1;\n}\n\n.hover\\:scale-x-125:hover {\n  --tw-scale-x: 1.25;\n}\n\n.hover\\:scale-x-150:hover {\n  --tw-scale-x: 1.5;\n}\n\n.hover\\:scale-y-0:hover {\n  --tw-scale-y: 0;\n}\n\n.hover\\:scale-y-50:hover {\n  --tw-scale-y: .5;\n}\n\n.hover\\:scale-y-75:hover {\n  --tw-scale-y: .75;\n}\n\n.hover\\:scale-y-90:hover {\n  --tw-scale-y: .9;\n}\n\n.hover\\:scale-y-95:hover {\n  --tw-scale-y: .95;\n}\n\n.hover\\:scale-y-100:hover {\n  --tw-scale-y: 1;\n}\n\n.hover\\:scale-y-105:hover {\n  --tw-scale-y: 1.05;\n}\n\n.hover\\:scale-y-110:hover {\n  --tw-scale-y: 1.1;\n}\n\n.hover\\:scale-y-125:hover {\n  --tw-scale-y: 1.25;\n}\n\n.hover\\:scale-y-150:hover {\n  --tw-scale-y: 1.5;\n}\n\n.focus\\:scale-x-0:focus {\n  --tw-scale-x: 0;\n}\n\n.focus\\:scale-x-50:focus {\n  --tw-scale-x: .5;\n}\n\n.focus\\:scale-x-75:focus {\n  --tw-scale-x: .75;\n}\n\n.focus\\:scale-x-90:focus {\n  --tw-scale-x: .9;\n}\n\n.focus\\:scale-x-95:focus {\n  --tw-scale-x: .95;\n}\n\n.focus\\:scale-x-100:focus {\n  --tw-scale-x: 1;\n}\n\n.focus\\:scale-x-105:focus {\n  --tw-scale-x: 1.05;\n}\n\n.focus\\:scale-x-110:focus {\n  --tw-scale-x: 1.1;\n}\n\n.focus\\:scale-x-125:focus {\n  --tw-scale-x: 1.25;\n}\n\n.focus\\:scale-x-150:focus {\n  --tw-scale-x: 1.5;\n}\n\n.focus\\:scale-y-0:focus {\n  --tw-scale-y: 0;\n}\n\n.focus\\:scale-y-50:focus {\n  --tw-scale-y: .5;\n}\n\n.focus\\:scale-y-75:focus {\n  --tw-scale-y: .75;\n}\n\n.focus\\:scale-y-90:focus {\n  --tw-scale-y: .9;\n}\n\n.focus\\:scale-y-95:focus {\n  --tw-scale-y: .95;\n}\n\n.focus\\:scale-y-100:focus {\n  --tw-scale-y: 1;\n}\n\n.focus\\:scale-y-105:focus {\n  --tw-scale-y: 1.05;\n}\n\n.focus\\:scale-y-110:focus {\n  --tw-scale-y: 1.1;\n}\n\n.focus\\:scale-y-125:focus {\n  --tw-scale-y: 1.25;\n}\n\n.focus\\:scale-y-150:focus {\n  --tw-scale-y: 1.5;\n}\n\n@-webkit-keyframes spin {\n  to {\n    transform: rotate(360deg);\n  }\n}\n\n@keyframes spin {\n  to {\n    transform: rotate(360deg);\n  }\n}\n\n@-webkit-keyframes ping {\n  75%, 100% {\n    transform: scale(2);\n    opacity: 0;\n  }\n}\n\n@keyframes ping {\n  75%, 100% {\n    transform: scale(2);\n    opacity: 0;\n  }\n}\n\n@-webkit-keyframes pulse {\n  50% {\n    opacity: .5;\n  }\n}\n\n@keyframes pulse {\n  50% {\n    opacity: .5;\n  }\n}\n\n@-webkit-keyframes bounce {\n  0%, 100% {\n    transform: translateY(-25%);\n    -webkit-animation-timing-function: cubic-bezier(0.8,0,1,1);\n            animation-timing-function: cubic-bezier(0.8,0,1,1);\n  }\n\n  50% {\n    transform: none;\n    -webkit-animation-timing-function: cubic-bezier(0,0,0.2,1);\n            animation-timing-function: cubic-bezier(0,0,0.2,1);\n  }\n}\n\n@keyframes bounce {\n  0%, 100% {\n    transform: translateY(-25%);\n    -webkit-animation-timing-function: cubic-bezier(0.8,0,1,1);\n            animation-timing-function: cubic-bezier(0.8,0,1,1);\n  }\n\n  50% {\n    transform: none;\n    -webkit-animation-timing-function: cubic-bezier(0,0,0.2,1);\n            animation-timing-function: cubic-bezier(0,0,0.2,1);\n  }\n}\n\n@-webkit-keyframes gradient {\n  0% {\n    background-position: 0% 50%;\n  }\n\n  50% {\n    background-position: 100% 50%;\n  }\n\n  100% {\n    background-position: 0% 50%;\n  }\n}\n\n@keyframes gradient {\n  0% {\n    background-position: 0% 50%;\n  }\n\n  50% {\n    background-position: 100% 50%;\n  }\n\n  100% {\n    background-position: 0% 50%;\n  }\n}\n\n.animate-none {\n  -webkit-animation: none;\n          animation: none;\n}\n\n.animate-spin {\n  -webkit-animation: spin 1s linear infinite;\n          animation: spin 1s linear infinite;\n}\n\n.animate-ping {\n  -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n          animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n}\n\n.animate-pulse {\n  -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n          animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n}\n\n.animate-bounce {\n  -webkit-animation: bounce 1s infinite;\n          animation: bounce 1s infinite;\n}\n\n.animate-gradient {\n  -webkit-animation: gradient 5s ease infinite;\n          animation: gradient 5s ease infinite;\n}\n\n.cursor-auto {\n  cursor: auto;\n}\n\n.cursor-default {\n  cursor: default;\n}\n\n.cursor-pointer {\n  cursor: pointer;\n}\n\n.cursor-wait {\n  cursor: wait;\n}\n\n.cursor-text {\n  cursor: text;\n}\n\n.cursor-move {\n  cursor: move;\n}\n\n.cursor-help {\n  cursor: help;\n}\n\n.cursor-not-allowed {\n  cursor: not-allowed;\n}\n\n.select-none {\n  -webkit-user-select: none;\n     -moz-user-select: none;\n          user-select: none;\n}\n\n.select-text {\n  -webkit-user-select: text;\n     -moz-user-select: text;\n          user-select: text;\n}\n\n.select-all {\n  -webkit-user-select: all;\n     -moz-user-select: all;\n          user-select: all;\n}\n\n.select-auto {\n  -webkit-user-select: auto;\n     -moz-user-select: auto;\n          user-select: auto;\n}\n\n.resize-none {\n  resize: none;\n}\n\n.resize-y {\n  resize: vertical;\n}\n\n.resize-x {\n  resize: horizontal;\n}\n\n.resize {\n  resize: both;\n}\n\n.list-inside {\n  list-style-position: inside;\n}\n\n.list-outside {\n  list-style-position: outside;\n}\n\n.list-none {\n  list-style-type: none;\n}\n\n.list-disc {\n  list-style-type: disc;\n}\n\n.list-decimal {\n  list-style-type: decimal;\n}\n\n.appearance-none {\n  -webkit-appearance: none;\n     -moz-appearance: none;\n          appearance: none;\n}\n\n.auto-cols-auto {\n  grid-auto-columns: auto;\n}\n\n.auto-cols-min {\n  grid-auto-columns: -webkit-min-content;\n  grid-auto-columns: min-content;\n}\n\n.auto-cols-max {\n  grid-auto-columns: -webkit-max-content;\n  grid-auto-columns: max-content;\n}\n\n.auto-cols-fr {\n  grid-auto-columns: minmax(0, 1fr);\n}\n\n.grid-flow-row {\n  grid-auto-flow: row;\n}\n\n.grid-flow-col {\n  grid-auto-flow: column;\n}\n\n.grid-flow-row-dense {\n  grid-auto-flow: row dense;\n}\n\n.grid-flow-col-dense {\n  grid-auto-flow: column dense;\n}\n\n.auto-rows-auto {\n  grid-auto-rows: auto;\n}\n\n.auto-rows-min {\n  grid-auto-rows: -webkit-min-content;\n  grid-auto-rows: min-content;\n}\n\n.auto-rows-max {\n  grid-auto-rows: -webkit-max-content;\n  grid-auto-rows: max-content;\n}\n\n.auto-rows-fr {\n  grid-auto-rows: minmax(0, 1fr);\n}\n\n.grid-cols-1 {\n  grid-template-columns: repeat(1, minmax(0, 1fr));\n}\n\n.grid-cols-2 {\n  grid-template-columns: repeat(2, minmax(0, 1fr));\n}\n\n.grid-cols-3 {\n  grid-template-columns: repeat(3, minmax(0, 1fr));\n}\n\n.grid-cols-4 {\n  grid-template-columns: repeat(4, minmax(0, 1fr));\n}\n\n.grid-cols-5 {\n  grid-template-columns: repeat(5, minmax(0, 1fr));\n}\n\n.grid-cols-6 {\n  grid-template-columns: repeat(6, minmax(0, 1fr));\n}\n\n.grid-cols-7 {\n  grid-template-columns: repeat(7, minmax(0, 1fr));\n}\n\n.grid-cols-8 {\n  grid-template-columns: repeat(8, minmax(0, 1fr));\n}\n\n.grid-cols-9 {\n  grid-template-columns: repeat(9, minmax(0, 1fr));\n}\n\n.grid-cols-10 {\n  grid-template-columns: repeat(10, minmax(0, 1fr));\n}\n\n.grid-cols-11 {\n  grid-template-columns: repeat(11, minmax(0, 1fr));\n}\n\n.grid-cols-12 {\n  grid-template-columns: repeat(12, minmax(0, 1fr));\n}\n\n.grid-cols-none {\n  grid-template-columns: none;\n}\n\n.grid-rows-1 {\n  grid-template-rows: repeat(1, minmax(0, 1fr));\n}\n\n.grid-rows-2 {\n  grid-template-rows: repeat(2, minmax(0, 1fr));\n}\n\n.grid-rows-3 {\n  grid-template-rows: repeat(3, minmax(0, 1fr));\n}\n\n.grid-rows-4 {\n  grid-template-rows: repeat(4, minmax(0, 1fr));\n}\n\n.grid-rows-5 {\n  grid-template-rows: repeat(5, minmax(0, 1fr));\n}\n\n.grid-rows-6 {\n  grid-template-rows: repeat(6, minmax(0, 1fr));\n}\n\n.grid-rows-none {\n  grid-template-rows: none;\n}\n\n.flex-row {\n  flex-direction: row;\n}\n\n.flex-row-reverse {\n  flex-direction: row-reverse;\n}\n\n.flex-col {\n  flex-direction: column;\n}\n\n.flex-col-reverse {\n  flex-direction: column-reverse;\n}\n\n.flex-wrap {\n  flex-wrap: wrap;\n}\n\n.flex-wrap-reverse {\n  flex-wrap: wrap-reverse;\n}\n\n.flex-nowrap {\n  flex-wrap: nowrap;\n}\n\n.place-content-center {\n  place-content: center;\n}\n\n.place-content-start {\n  place-content: start;\n}\n\n.place-content-end {\n  place-content: end;\n}\n\n.place-content-between {\n  place-content: space-between;\n}\n\n.place-content-around {\n  place-content: space-around;\n}\n\n.place-content-evenly {\n  place-content: space-evenly;\n}\n\n.place-content-stretch {\n  place-content: stretch;\n}\n\n.place-items-start {\n  place-items: start;\n}\n\n.place-items-end {\n  place-items: end;\n}\n\n.place-items-center {\n  place-items: center;\n}\n\n.place-items-stretch {\n  place-items: stretch;\n}\n\n.content-center {\n  align-content: center;\n}\n\n.content-start {\n  align-content: flex-start;\n}\n\n.content-end {\n  align-content: flex-end;\n}\n\n.content-between {\n  align-content: space-between;\n}\n\n.content-around {\n  align-content: space-around;\n}\n\n.content-evenly {\n  align-content: space-evenly;\n}\n\n.items-start {\n  align-items: flex-start;\n}\n\n.items-end {\n  align-items: flex-end;\n}\n\n.items-center {\n  align-items: center;\n}\n\n.items-baseline {\n  align-items: baseline;\n}\n\n.items-stretch {\n  align-items: stretch;\n}\n\n.justify-start {\n  justify-content: flex-start;\n}\n\n.justify-end {\n  justify-content: flex-end;\n}\n\n.justify-center {\n  justify-content: center;\n}\n\n.justify-between {\n  justify-content: space-between;\n}\n\n.justify-around {\n  justify-content: space-around;\n}\n\n.justify-evenly {\n  justify-content: space-evenly;\n}\n\n.justify-items-start {\n  justify-items: start;\n}\n\n.justify-items-end {\n  justify-items: end;\n}\n\n.justify-items-center {\n  justify-items: center;\n}\n\n.justify-items-stretch {\n  justify-items: stretch;\n}\n\n.gap-0 {\n  gap: 0px;\n}\n\n.gap-1 {\n  gap: 0.25rem;\n}\n\n.gap-2 {\n  gap: 0.5rem;\n}\n\n.gap-3 {\n  gap: 0.75rem;\n}\n\n.gap-4 {\n  gap: 1rem;\n}\n\n.gap-5 {\n  gap: 1.25rem;\n}\n\n.gap-6 {\n  gap: 1.5rem;\n}\n\n.gap-7 {\n  gap: 1.75rem;\n}\n\n.gap-8 {\n  gap: 2rem;\n}\n\n.gap-9 {\n  gap: 2.25rem;\n}\n\n.gap-10 {\n  gap: 2.5rem;\n}\n\n.gap-11 {\n  gap: 2.75rem;\n}\n\n.gap-12 {\n  gap: 3rem;\n}\n\n.gap-14 {\n  gap: 3.5rem;\n}\n\n.gap-16 {\n  gap: 4rem;\n}\n\n.gap-20 {\n  gap: 5rem;\n}\n\n.gap-24 {\n  gap: 6rem;\n}\n\n.gap-28 {\n  gap: 7rem;\n}\n\n.gap-32 {\n  gap: 8rem;\n}\n\n.gap-36 {\n  gap: 9rem;\n}\n\n.gap-40 {\n  gap: 10rem;\n}\n\n.gap-44 {\n  gap: 11rem;\n}\n\n.gap-48 {\n  gap: 12rem;\n}\n\n.gap-52 {\n  gap: 13rem;\n}\n\n.gap-56 {\n  gap: 14rem;\n}\n\n.gap-60 {\n  gap: 15rem;\n}\n\n.gap-64 {\n  gap: 16rem;\n}\n\n.gap-72 {\n  gap: 18rem;\n}\n\n.gap-80 {\n  gap: 20rem;\n}\n\n.gap-96 {\n  gap: 24rem;\n}\n\n.gap-px {\n  gap: 1px;\n}\n\n.gap-0\\.5 {\n  gap: 0.125rem;\n}\n\n.gap-1\\.5 {\n  gap: 0.375rem;\n}\n\n.gap-2\\.5 {\n  gap: 0.625rem;\n}\n\n.gap-3\\.5 {\n  gap: 0.875rem;\n}\n\n.gap-x-0 {\n  -moz-column-gap: 0px;\n       column-gap: 0px;\n}\n\n.gap-x-1 {\n  -moz-column-gap: 0.25rem;\n       column-gap: 0.25rem;\n}\n\n.gap-x-2 {\n  -moz-column-gap: 0.5rem;\n       column-gap: 0.5rem;\n}\n\n.gap-x-3 {\n  -moz-column-gap: 0.75rem;\n       column-gap: 0.75rem;\n}\n\n.gap-x-4 {\n  -moz-column-gap: 1rem;\n       column-gap: 1rem;\n}\n\n.gap-x-5 {\n  -moz-column-gap: 1.25rem;\n       column-gap: 1.25rem;\n}\n\n.gap-x-6 {\n  -moz-column-gap: 1.5rem;\n       column-gap: 1.5rem;\n}\n\n.gap-x-7 {\n  -moz-column-gap: 1.75rem;\n       column-gap: 1.75rem;\n}\n\n.gap-x-8 {\n  -moz-column-gap: 2rem;\n       column-gap: 2rem;\n}\n\n.gap-x-9 {\n  -moz-column-gap: 2.25rem;\n       column-gap: 2.25rem;\n}\n\n.gap-x-10 {\n  -moz-column-gap: 2.5rem;\n       column-gap: 2.5rem;\n}\n\n.gap-x-11 {\n  -moz-column-gap: 2.75rem;\n       column-gap: 2.75rem;\n}\n\n.gap-x-12 {\n  -moz-column-gap: 3rem;\n       column-gap: 3rem;\n}\n\n.gap-x-14 {\n  -moz-column-gap: 3.5rem;\n       column-gap: 3.5rem;\n}\n\n.gap-x-16 {\n  -moz-column-gap: 4rem;\n       column-gap: 4rem;\n}\n\n.gap-x-20 {\n  -moz-column-gap: 5rem;\n       column-gap: 5rem;\n}\n\n.gap-x-24 {\n  -moz-column-gap: 6rem;\n       column-gap: 6rem;\n}\n\n.gap-x-28 {\n  -moz-column-gap: 7rem;\n       column-gap: 7rem;\n}\n\n.gap-x-32 {\n  -moz-column-gap: 8rem;\n       column-gap: 8rem;\n}\n\n.gap-x-36 {\n  -moz-column-gap: 9rem;\n       column-gap: 9rem;\n}\n\n.gap-x-40 {\n  -moz-column-gap: 10rem;\n       column-gap: 10rem;\n}\n\n.gap-x-44 {\n  -moz-column-gap: 11rem;\n       column-gap: 11rem;\n}\n\n.gap-x-48 {\n  -moz-column-gap: 12rem;\n       column-gap: 12rem;\n}\n\n.gap-x-52 {\n  -moz-column-gap: 13rem;\n       column-gap: 13rem;\n}\n\n.gap-x-56 {\n  -moz-column-gap: 14rem;\n       column-gap: 14rem;\n}\n\n.gap-x-60 {\n  -moz-column-gap: 15rem;\n       column-gap: 15rem;\n}\n\n.gap-x-64 {\n  -moz-column-gap: 16rem;\n       column-gap: 16rem;\n}\n\n.gap-x-72 {\n  -moz-column-gap: 18rem;\n       column-gap: 18rem;\n}\n\n.gap-x-80 {\n  -moz-column-gap: 20rem;\n       column-gap: 20rem;\n}\n\n.gap-x-96 {\n  -moz-column-gap: 24rem;\n       column-gap: 24rem;\n}\n\n.gap-x-px {\n  -moz-column-gap: 1px;\n       column-gap: 1px;\n}\n\n.gap-x-0\\.5 {\n  -moz-column-gap: 0.125rem;\n       column-gap: 0.125rem;\n}\n\n.gap-x-1\\.5 {\n  -moz-column-gap: 0.375rem;\n       column-gap: 0.375rem;\n}\n\n.gap-x-2\\.5 {\n  -moz-column-gap: 0.625rem;\n       column-gap: 0.625rem;\n}\n\n.gap-x-3\\.5 {\n  -moz-column-gap: 0.875rem;\n       column-gap: 0.875rem;\n}\n\n.gap-y-0 {\n  row-gap: 0px;\n}\n\n.gap-y-1 {\n  row-gap: 0.25rem;\n}\n\n.gap-y-2 {\n  row-gap: 0.5rem;\n}\n\n.gap-y-3 {\n  row-gap: 0.75rem;\n}\n\n.gap-y-4 {\n  row-gap: 1rem;\n}\n\n.gap-y-5 {\n  row-gap: 1.25rem;\n}\n\n.gap-y-6 {\n  row-gap: 1.5rem;\n}\n\n.gap-y-7 {\n  row-gap: 1.75rem;\n}\n\n.gap-y-8 {\n  row-gap: 2rem;\n}\n\n.gap-y-9 {\n  row-gap: 2.25rem;\n}\n\n.gap-y-10 {\n  row-gap: 2.5rem;\n}\n\n.gap-y-11 {\n  row-gap: 2.75rem;\n}\n\n.gap-y-12 {\n  row-gap: 3rem;\n}\n\n.gap-y-14 {\n  row-gap: 3.5rem;\n}\n\n.gap-y-16 {\n  row-gap: 4rem;\n}\n\n.gap-y-20 {\n  row-gap: 5rem;\n}\n\n.gap-y-24 {\n  row-gap: 6rem;\n}\n\n.gap-y-28 {\n  row-gap: 7rem;\n}\n\n.gap-y-32 {\n  row-gap: 8rem;\n}\n\n.gap-y-36 {\n  row-gap: 9rem;\n}\n\n.gap-y-40 {\n  row-gap: 10rem;\n}\n\n.gap-y-44 {\n  row-gap: 11rem;\n}\n\n.gap-y-48 {\n  row-gap: 12rem;\n}\n\n.gap-y-52 {\n  row-gap: 13rem;\n}\n\n.gap-y-56 {\n  row-gap: 14rem;\n}\n\n.gap-y-60 {\n  row-gap: 15rem;\n}\n\n.gap-y-64 {\n  row-gap: 16rem;\n}\n\n.gap-y-72 {\n  row-gap: 18rem;\n}\n\n.gap-y-80 {\n  row-gap: 20rem;\n}\n\n.gap-y-96 {\n  row-gap: 24rem;\n}\n\n.gap-y-px {\n  row-gap: 1px;\n}\n\n.gap-y-0\\.5 {\n  row-gap: 0.125rem;\n}\n\n.gap-y-1\\.5 {\n  row-gap: 0.375rem;\n}\n\n.gap-y-2\\.5 {\n  row-gap: 0.625rem;\n}\n\n.gap-y-3\\.5 {\n  row-gap: 0.875rem;\n}\n\n.space-x-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0px * var(--tw-space-x-reverse));\n  margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-1 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-3 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(1rem * var(--tw-space-x-reverse));\n  margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-6 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-7 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(2rem * var(--tw-space-x-reverse));\n  margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-9 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-10 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-11 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-12 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(3rem * var(--tw-space-x-reverse));\n  margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-14 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-16 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(4rem * var(--tw-space-x-reverse));\n  margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-20 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(5rem * var(--tw-space-x-reverse));\n  margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-24 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(6rem * var(--tw-space-x-reverse));\n  margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-28 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(7rem * var(--tw-space-x-reverse));\n  margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-32 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(8rem * var(--tw-space-x-reverse));\n  margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-36 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(9rem * var(--tw-space-x-reverse));\n  margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-40 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(10rem * var(--tw-space-x-reverse));\n  margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-44 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(11rem * var(--tw-space-x-reverse));\n  margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-48 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(12rem * var(--tw-space-x-reverse));\n  margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-52 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(13rem * var(--tw-space-x-reverse));\n  margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-56 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(14rem * var(--tw-space-x-reverse));\n  margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-60 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(15rem * var(--tw-space-x-reverse));\n  margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-64 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(16rem * var(--tw-space-x-reverse));\n  margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-72 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(18rem * var(--tw-space-x-reverse));\n  margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-80 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(20rem * var(--tw-space-x-reverse));\n  margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-96 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(24rem * var(--tw-space-x-reverse));\n  margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-px > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(1px * var(--tw-space-x-reverse));\n  margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n  margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(0px * var(--tw-space-x-reverse));\n  margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-1rem * var(--tw-space-x-reverse));\n  margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-2rem * var(--tw-space-x-reverse));\n  margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n  margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n  margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-3rem * var(--tw-space-x-reverse));\n  margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n  margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-4rem * var(--tw-space-x-reverse));\n  margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-5rem * var(--tw-space-x-reverse));\n  margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-6rem * var(--tw-space-x-reverse));\n  margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-7rem * var(--tw-space-x-reverse));\n  margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-8rem * var(--tw-space-x-reverse));\n  margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-9rem * var(--tw-space-x-reverse));\n  margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-10rem * var(--tw-space-x-reverse));\n  margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-11rem * var(--tw-space-x-reverse));\n  margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-12rem * var(--tw-space-x-reverse));\n  margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-13rem * var(--tw-space-x-reverse));\n  margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-14rem * var(--tw-space-x-reverse));\n  margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-15rem * var(--tw-space-x-reverse));\n  margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-16rem * var(--tw-space-x-reverse));\n  margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-18rem * var(--tw-space-x-reverse));\n  margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-20rem * var(--tw-space-x-reverse));\n  margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-24rem * var(--tw-space-x-reverse));\n  margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-px > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-1px * var(--tw-space-x-reverse));\n  margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 0;\n  margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n  margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n}\n\n.space-y-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0px * var(--tw-space-y-reverse));\n}\n\n.space-y-1 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n}\n\n.space-y-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n}\n\n.space-y-3 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n}\n\n.space-y-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n}\n\n.space-y-5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n}\n\n.space-y-6 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n}\n\n.space-y-7 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n}\n\n.space-y-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n}\n\n.space-y-9 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n}\n\n.space-y-10 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n}\n\n.space-y-11 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n}\n\n.space-y-12 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n}\n\n.space-y-14 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n}\n\n.space-y-16 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n}\n\n.space-y-20 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n}\n\n.space-y-24 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n}\n\n.space-y-28 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n}\n\n.space-y-32 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n}\n\n.space-y-36 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n}\n\n.space-y-40 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n}\n\n.space-y-44 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n}\n\n.space-y-48 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n}\n\n.space-y-52 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n}\n\n.space-y-56 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n}\n\n.space-y-60 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n}\n\n.space-y-64 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n}\n\n.space-y-72 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n}\n\n.space-y-80 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n}\n\n.space-y-96 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n}\n\n.space-y-px > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(1px * var(--tw-space-y-reverse));\n}\n\n.space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n}\n\n.space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n}\n\n.space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n}\n\n.space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(0px * var(--tw-space-y-reverse));\n}\n\n.-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-px > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n}\n\n.-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n}\n\n.-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 0;\n  margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n  margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n}\n\n.space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-y-reverse: 1;\n}\n\n.space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n  --tw-space-x-reverse: 1;\n}\n\n.divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 0;\n  border-right-width: calc(0px * var(--tw-divide-x-reverse));\n  border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n}\n\n.divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 0;\n  border-right-width: calc(2px * var(--tw-divide-x-reverse));\n  border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n}\n\n.divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 0;\n  border-right-width: calc(4px * var(--tw-divide-x-reverse));\n  border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n}\n\n.divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 0;\n  border-right-width: calc(8px * var(--tw-divide-x-reverse));\n  border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n}\n\n.divide-x > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 0;\n  border-right-width: calc(1px * var(--tw-divide-x-reverse));\n  border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n}\n\n.divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 0;\n  border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n  border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n}\n\n.divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 0;\n  border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n  border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n}\n\n.divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 0;\n  border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n  border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n}\n\n.divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 0;\n  border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n  border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n}\n\n.divide-y > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 0;\n  border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n  border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n}\n\n.divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-y-reverse: 1;\n}\n\n.divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-x-reverse: 1;\n}\n\n.divide-solid > :not([hidden]) ~ :not([hidden]) {\n  border-style: solid;\n}\n\n.divide-dashed > :not([hidden]) ~ :not([hidden]) {\n  border-style: dashed;\n}\n\n.divide-dotted > :not([hidden]) ~ :not([hidden]) {\n  border-style: dotted;\n}\n\n.divide-double > :not([hidden]) ~ :not([hidden]) {\n  border-style: double;\n}\n\n.divide-none > :not([hidden]) ~ :not([hidden]) {\n  border-style: none;\n}\n\n.divide-transparent > :not([hidden]) ~ :not([hidden]) {\n  border-color: transparent;\n}\n\n.divide-current > :not([hidden]) ~ :not([hidden]) {\n  border-color: currentColor;\n}\n\n.divide-black > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n}\n\n.divide-white > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n}\n\n.divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n}\n\n.divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n}\n\n.divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n}\n\n.divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n}\n\n.divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n}\n\n.divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n}\n\n.divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n}\n\n.divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n}\n\n.divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n}\n\n.divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n}\n\n.divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n}\n\n.divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n}\n\n.divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n}\n\n.divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n}\n\n.divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n}\n\n.divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n}\n\n.divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n}\n\n.divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n}\n\n.divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n}\n\n.divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n}\n\n.divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n}\n\n.divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n}\n\n.divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n}\n\n.divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n}\n\n.divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n}\n\n.divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n}\n\n.divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n}\n\n.divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n}\n\n.divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n}\n\n.divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n}\n\n.divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n}\n\n.divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n}\n\n.divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n}\n\n.divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n}\n\n.divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n}\n\n.divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n}\n\n.divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n}\n\n.divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n}\n\n.divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n}\n\n.divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n}\n\n.divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n}\n\n.divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n}\n\n.divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n}\n\n.divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n}\n\n.divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n}\n\n.divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n}\n\n.divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n}\n\n.divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n}\n\n.divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n}\n\n.divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n}\n\n.divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n}\n\n.divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n}\n\n.divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n}\n\n.divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n}\n\n.divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n}\n\n.divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n}\n\n.divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n}\n\n.divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n}\n\n.divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n}\n\n.divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n}\n\n.divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n}\n\n.divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n}\n\n.divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n}\n\n.divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n}\n\n.divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n}\n\n.divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n}\n\n.divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n}\n\n.divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n}\n\n.divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n}\n\n.divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n}\n\n.divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n}\n\n.divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n}\n\n.divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n}\n\n.divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n}\n\n.divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n}\n\n.divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n}\n\n.divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n}\n\n.divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n}\n\n.divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n}\n\n.divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n}\n\n.divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n}\n\n.divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n}\n\n.divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n}\n\n.divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n}\n\n.divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n}\n\n.divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n}\n\n.divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n}\n\n.divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n}\n\n.divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n}\n\n.divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n}\n\n.divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n}\n\n.divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0;\n}\n\n.divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.05;\n}\n\n.divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.1;\n}\n\n.divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.2;\n}\n\n.divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.25;\n}\n\n.divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.3;\n}\n\n.divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.4;\n}\n\n.divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.5;\n}\n\n.divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.6;\n}\n\n.divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.7;\n}\n\n.divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.75;\n}\n\n.divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.8;\n}\n\n.divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.9;\n}\n\n.divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 0.95;\n}\n\n.divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n  --tw-divide-opacity: 1;\n}\n\n.place-self-auto {\n  place-self: auto;\n}\n\n.place-self-start {\n  place-self: start;\n}\n\n.place-self-end {\n  place-self: end;\n}\n\n.place-self-center {\n  place-self: center;\n}\n\n.place-self-stretch {\n  place-self: stretch;\n}\n\n.self-auto {\n  align-self: auto;\n}\n\n.self-start {\n  align-self: flex-start;\n}\n\n.self-end {\n  align-self: flex-end;\n}\n\n.self-center {\n  align-self: center;\n}\n\n.self-stretch {\n  align-self: stretch;\n}\n\n.self-baseline {\n  align-self: baseline;\n}\n\n.justify-self-auto {\n  justify-self: auto;\n}\n\n.justify-self-start {\n  justify-self: start;\n}\n\n.justify-self-end {\n  justify-self: end;\n}\n\n.justify-self-center {\n  justify-self: center;\n}\n\n.justify-self-stretch {\n  justify-self: stretch;\n}\n\n.overflow-auto {\n  overflow: auto;\n}\n\n.overflow-hidden {\n  overflow: hidden;\n}\n\n.overflow-visible {\n  overflow: visible;\n}\n\n.overflow-scroll {\n  overflow: scroll;\n}\n\n.overflow-x-auto {\n  overflow-x: auto;\n}\n\n.overflow-y-auto {\n  overflow-y: auto;\n}\n\n.overflow-x-hidden {\n  overflow-x: hidden;\n}\n\n.overflow-y-hidden {\n  overflow-y: hidden;\n}\n\n.overflow-x-visible {\n  overflow-x: visible;\n}\n\n.overflow-y-visible {\n  overflow-y: visible;\n}\n\n.overflow-x-scroll {\n  overflow-x: scroll;\n}\n\n.overflow-y-scroll {\n  overflow-y: scroll;\n}\n\n.overscroll-auto {\n  overscroll-behavior: auto;\n}\n\n.overscroll-contain {\n  overscroll-behavior: contain;\n}\n\n.overscroll-none {\n  overscroll-behavior: none;\n}\n\n.overscroll-y-auto {\n  overscroll-behavior-y: auto;\n}\n\n.overscroll-y-contain {\n  overscroll-behavior-y: contain;\n}\n\n.overscroll-y-none {\n  overscroll-behavior-y: none;\n}\n\n.overscroll-x-auto {\n  overscroll-behavior-x: auto;\n}\n\n.overscroll-x-contain {\n  overscroll-behavior-x: contain;\n}\n\n.overscroll-x-none {\n  overscroll-behavior-x: none;\n}\n\n.truncate {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n\n.overflow-ellipsis {\n  text-overflow: ellipsis;\n}\n\n.overflow-clip {\n  text-overflow: clip;\n}\n\n.whitespace-normal {\n  white-space: normal;\n}\n\n.whitespace-nowrap {\n  white-space: nowrap;\n}\n\n.whitespace-pre {\n  white-space: pre;\n}\n\n.whitespace-pre-line {\n  white-space: pre-line;\n}\n\n.whitespace-pre-wrap {\n  white-space: pre-wrap;\n}\n\n.break-normal {\n  overflow-wrap: normal;\n  word-break: normal;\n}\n\n.break-words {\n  overflow-wrap: break-word;\n}\n\n.break-all {\n  word-break: break-all;\n}\n\n.rounded-none {\n  border-radius: 0px;\n}\n\n.rounded-sm {\n  border-radius: 0.125rem;\n}\n\n.rounded {\n  border-radius: 0.25rem;\n}\n\n.rounded-md {\n  border-radius: 0.375rem;\n}\n\n.rounded-lg {\n  border-radius: 0.5rem;\n}\n\n.rounded-xl {\n  border-radius: 0.75rem;\n}\n\n.rounded-2xl {\n  border-radius: 1rem;\n}\n\n.rounded-3xl {\n  border-radius: 1.5rem;\n}\n\n.rounded-full {\n  border-radius: 9999px;\n}\n\n.rounded-t-none {\n  border-top-left-radius: 0px;\n  border-top-right-radius: 0px;\n}\n\n.rounded-t-sm {\n  border-top-left-radius: 0.125rem;\n  border-top-right-radius: 0.125rem;\n}\n\n.rounded-t {\n  border-top-left-radius: 0.25rem;\n  border-top-right-radius: 0.25rem;\n}\n\n.rounded-t-md {\n  border-top-left-radius: 0.375rem;\n  border-top-right-radius: 0.375rem;\n}\n\n.rounded-t-lg {\n  border-top-left-radius: 0.5rem;\n  border-top-right-radius: 0.5rem;\n}\n\n.rounded-t-xl {\n  border-top-left-radius: 0.75rem;\n  border-top-right-radius: 0.75rem;\n}\n\n.rounded-t-2xl {\n  border-top-left-radius: 1rem;\n  border-top-right-radius: 1rem;\n}\n\n.rounded-t-3xl {\n  border-top-left-radius: 1.5rem;\n  border-top-right-radius: 1.5rem;\n}\n\n.rounded-t-full {\n  border-top-left-radius: 9999px;\n  border-top-right-radius: 9999px;\n}\n\n.rounded-r-none {\n  border-top-right-radius: 0px;\n  border-bottom-right-radius: 0px;\n}\n\n.rounded-r-sm {\n  border-top-right-radius: 0.125rem;\n  border-bottom-right-radius: 0.125rem;\n}\n\n.rounded-r {\n  border-top-right-radius: 0.25rem;\n  border-bottom-right-radius: 0.25rem;\n}\n\n.rounded-r-md {\n  border-top-right-radius: 0.375rem;\n  border-bottom-right-radius: 0.375rem;\n}\n\n.rounded-r-lg {\n  border-top-right-radius: 0.5rem;\n  border-bottom-right-radius: 0.5rem;\n}\n\n.rounded-r-xl {\n  border-top-right-radius: 0.75rem;\n  border-bottom-right-radius: 0.75rem;\n}\n\n.rounded-r-2xl {\n  border-top-right-radius: 1rem;\n  border-bottom-right-radius: 1rem;\n}\n\n.rounded-r-3xl {\n  border-top-right-radius: 1.5rem;\n  border-bottom-right-radius: 1.5rem;\n}\n\n.rounded-r-full {\n  border-top-right-radius: 9999px;\n  border-bottom-right-radius: 9999px;\n}\n\n.rounded-b-none {\n  border-bottom-right-radius: 0px;\n  border-bottom-left-radius: 0px;\n}\n\n.rounded-b-sm {\n  border-bottom-right-radius: 0.125rem;\n  border-bottom-left-radius: 0.125rem;\n}\n\n.rounded-b {\n  border-bottom-right-radius: 0.25rem;\n  border-bottom-left-radius: 0.25rem;\n}\n\n.rounded-b-md {\n  border-bottom-right-radius: 0.375rem;\n  border-bottom-left-radius: 0.375rem;\n}\n\n.rounded-b-lg {\n  border-bottom-right-radius: 0.5rem;\n  border-bottom-left-radius: 0.5rem;\n}\n\n.rounded-b-xl {\n  border-bottom-right-radius: 0.75rem;\n  border-bottom-left-radius: 0.75rem;\n}\n\n.rounded-b-2xl {\n  border-bottom-right-radius: 1rem;\n  border-bottom-left-radius: 1rem;\n}\n\n.rounded-b-3xl {\n  border-bottom-right-radius: 1.5rem;\n  border-bottom-left-radius: 1.5rem;\n}\n\n.rounded-b-full {\n  border-bottom-right-radius: 9999px;\n  border-bottom-left-radius: 9999px;\n}\n\n.rounded-l-none {\n  border-top-left-radius: 0px;\n  border-bottom-left-radius: 0px;\n}\n\n.rounded-l-sm {\n  border-top-left-radius: 0.125rem;\n  border-bottom-left-radius: 0.125rem;\n}\n\n.rounded-l {\n  border-top-left-radius: 0.25rem;\n  border-bottom-left-radius: 0.25rem;\n}\n\n.rounded-l-md {\n  border-top-left-radius: 0.375rem;\n  border-bottom-left-radius: 0.375rem;\n}\n\n.rounded-l-lg {\n  border-top-left-radius: 0.5rem;\n  border-bottom-left-radius: 0.5rem;\n}\n\n.rounded-l-xl {\n  border-top-left-radius: 0.75rem;\n  border-bottom-left-radius: 0.75rem;\n}\n\n.rounded-l-2xl {\n  border-top-left-radius: 1rem;\n  border-bottom-left-radius: 1rem;\n}\n\n.rounded-l-3xl {\n  border-top-left-radius: 1.5rem;\n  border-bottom-left-radius: 1.5rem;\n}\n\n.rounded-l-full {\n  border-top-left-radius: 9999px;\n  border-bottom-left-radius: 9999px;\n}\n\n.rounded-tl-none {\n  border-top-left-radius: 0px;\n}\n\n.rounded-tl-sm {\n  border-top-left-radius: 0.125rem;\n}\n\n.rounded-tl {\n  border-top-left-radius: 0.25rem;\n}\n\n.rounded-tl-md {\n  border-top-left-radius: 0.375rem;\n}\n\n.rounded-tl-lg {\n  border-top-left-radius: 0.5rem;\n}\n\n.rounded-tl-xl {\n  border-top-left-radius: 0.75rem;\n}\n\n.rounded-tl-2xl {\n  border-top-left-radius: 1rem;\n}\n\n.rounded-tl-3xl {\n  border-top-left-radius: 1.5rem;\n}\n\n.rounded-tl-full {\n  border-top-left-radius: 9999px;\n}\n\n.rounded-tr-none {\n  border-top-right-radius: 0px;\n}\n\n.rounded-tr-sm {\n  border-top-right-radius: 0.125rem;\n}\n\n.rounded-tr {\n  border-top-right-radius: 0.25rem;\n}\n\n.rounded-tr-md {\n  border-top-right-radius: 0.375rem;\n}\n\n.rounded-tr-lg {\n  border-top-right-radius: 0.5rem;\n}\n\n.rounded-tr-xl {\n  border-top-right-radius: 0.75rem;\n}\n\n.rounded-tr-2xl {\n  border-top-right-radius: 1rem;\n}\n\n.rounded-tr-3xl {\n  border-top-right-radius: 1.5rem;\n}\n\n.rounded-tr-full {\n  border-top-right-radius: 9999px;\n}\n\n.rounded-br-none {\n  border-bottom-right-radius: 0px;\n}\n\n.rounded-br-sm {\n  border-bottom-right-radius: 0.125rem;\n}\n\n.rounded-br {\n  border-bottom-right-radius: 0.25rem;\n}\n\n.rounded-br-md {\n  border-bottom-right-radius: 0.375rem;\n}\n\n.rounded-br-lg {\n  border-bottom-right-radius: 0.5rem;\n}\n\n.rounded-br-xl {\n  border-bottom-right-radius: 0.75rem;\n}\n\n.rounded-br-2xl {\n  border-bottom-right-radius: 1rem;\n}\n\n.rounded-br-3xl {\n  border-bottom-right-radius: 1.5rem;\n}\n\n.rounded-br-full {\n  border-bottom-right-radius: 9999px;\n}\n\n.rounded-bl-none {\n  border-bottom-left-radius: 0px;\n}\n\n.rounded-bl-sm {\n  border-bottom-left-radius: 0.125rem;\n}\n\n.rounded-bl {\n  border-bottom-left-radius: 0.25rem;\n}\n\n.rounded-bl-md {\n  border-bottom-left-radius: 0.375rem;\n}\n\n.rounded-bl-lg {\n  border-bottom-left-radius: 0.5rem;\n}\n\n.rounded-bl-xl {\n  border-bottom-left-radius: 0.75rem;\n}\n\n.rounded-bl-2xl {\n  border-bottom-left-radius: 1rem;\n}\n\n.rounded-bl-3xl {\n  border-bottom-left-radius: 1.5rem;\n}\n\n.rounded-bl-full {\n  border-bottom-left-radius: 9999px;\n}\n\n.border-0 {\n  border-width: 0px;\n}\n\n.border-2 {\n  border-width: 2px;\n}\n\n.border-4 {\n  border-width: 4px;\n}\n\n.border-8 {\n  border-width: 8px;\n}\n\n.border {\n  border-width: 1px;\n}\n\n.border-t-0 {\n  border-top-width: 0px;\n}\n\n.border-t-2 {\n  border-top-width: 2px;\n}\n\n.border-t-4 {\n  border-top-width: 4px;\n}\n\n.border-t-8 {\n  border-top-width: 8px;\n}\n\n.border-t {\n  border-top-width: 1px;\n}\n\n.border-r-0 {\n  border-right-width: 0px;\n}\n\n.border-r-2 {\n  border-right-width: 2px;\n}\n\n.border-r-4 {\n  border-right-width: 4px;\n}\n\n.border-r-8 {\n  border-right-width: 8px;\n}\n\n.border-r {\n  border-right-width: 1px;\n}\n\n.border-b-0 {\n  border-bottom-width: 0px;\n}\n\n.border-b-2 {\n  border-bottom-width: 2px;\n}\n\n.border-b-4 {\n  border-bottom-width: 4px;\n}\n\n.border-b-8 {\n  border-bottom-width: 8px;\n}\n\n.border-b {\n  border-bottom-width: 1px;\n}\n\n.border-l-0 {\n  border-left-width: 0px;\n}\n\n.border-l-2 {\n  border-left-width: 2px;\n}\n\n.border-l-4 {\n  border-left-width: 4px;\n}\n\n.border-l-8 {\n  border-left-width: 8px;\n}\n\n.border-l {\n  border-left-width: 1px;\n}\n\n.border-solid {\n  border-style: solid;\n}\n\n.border-dashed {\n  border-style: dashed;\n}\n\n.border-dotted {\n  border-style: dotted;\n}\n\n.border-double {\n  border-style: double;\n}\n\n.border-none {\n  border-style: none;\n}\n\n.border-transparent {\n  border-color: transparent;\n}\n\n.border-current {\n  border-color: currentColor;\n}\n\n.border-black {\n  --tw-border-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n}\n\n.border-white {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n}\n\n.border-gray-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n}\n\n.border-gray-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n}\n\n.border-gray-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.border-gray-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n}\n\n.border-gray-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n}\n\n.border-gray-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n}\n\n.border-gray-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n}\n\n.border-gray-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n}\n\n.border-gray-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n}\n\n.border-gray-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n}\n\n.border-red-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n}\n\n.border-red-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n}\n\n.border-red-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n}\n\n.border-red-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n}\n\n.border-red-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n}\n\n.border-red-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n}\n\n.border-red-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n}\n\n.border-red-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n}\n\n.border-red-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n}\n\n.border-red-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n}\n\n.border-yellow-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n}\n\n.border-yellow-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n}\n\n.border-yellow-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n}\n\n.border-yellow-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n}\n\n.border-yellow-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n}\n\n.border-yellow-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n}\n\n.border-yellow-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n}\n\n.border-yellow-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n}\n\n.border-yellow-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n}\n\n.border-yellow-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n}\n\n.border-green-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n}\n\n.border-green-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n}\n\n.border-green-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n}\n\n.border-green-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n}\n\n.border-green-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n}\n\n.border-green-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n}\n\n.border-green-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n}\n\n.border-green-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n}\n\n.border-green-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n}\n\n.border-green-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n}\n\n.border-blue-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n}\n\n.border-blue-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n}\n\n.border-blue-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n}\n\n.border-blue-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n}\n\n.border-blue-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n}\n\n.border-blue-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n}\n\n.border-blue-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n}\n\n.border-blue-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n}\n\n.border-blue-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n}\n\n.border-blue-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n}\n\n.border-indigo-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n}\n\n.border-indigo-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n}\n\n.border-indigo-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n}\n\n.border-indigo-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n}\n\n.border-indigo-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n}\n\n.border-indigo-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n}\n\n.border-indigo-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n}\n\n.border-indigo-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n}\n\n.border-indigo-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n}\n\n.border-indigo-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n}\n\n.border-purple-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n}\n\n.border-purple-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n}\n\n.border-purple-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n}\n\n.border-purple-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n}\n\n.border-purple-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n}\n\n.border-purple-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n}\n\n.border-purple-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n}\n\n.border-purple-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n}\n\n.border-purple-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n}\n\n.border-purple-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n}\n\n.border-pink-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n}\n\n.border-pink-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n}\n\n.border-pink-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n}\n\n.border-pink-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n}\n\n.border-pink-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n}\n\n.border-pink-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n}\n\n.border-pink-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n}\n\n.border-pink-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n}\n\n.border-pink-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n}\n\n.border-pink-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n}\n\n.border-origin-protocol-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.border-origin-protocol-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n}\n\n.border-ousd-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n}\n\n.border-ousd-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n}\n\n.border-ousd-button-dark-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n}\n\n.border-ousd-button-dark-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n}\n\n.border-story-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.border-story-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n}\n\n.border-story-pink-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n}\n\n.border-story-pink-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n}\n\n.border-footer-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-transparent {\n  border-color: transparent;\n}\n\n.group:hover .group-hover\\:border-current {\n  border-color: currentColor;\n}\n\n.group:hover .group-hover\\:border-black {\n  --tw-border-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-white {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-gray-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-red-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-yellow-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-green-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-blue-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-indigo-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-purple-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-50 {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-100 {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-200 {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-300 {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-400 {\n  --tw-border-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-500 {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-600 {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-700 {\n  --tw-border-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-800 {\n  --tw-border-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-pink-900 {\n  --tw-border-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-origin-protocol-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-origin-protocol-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-ousd-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-ousd-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-ousd-button-dark-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-ousd-button-dark-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-story-button-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-story-button-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-story-pink-start {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-story-pink-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n}\n\n.group:hover .group-hover\\:border-footer-end {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-transparent:focus-within {\n  border-color: transparent;\n}\n\n.focus-within\\:border-current:focus-within {\n  border-color: currentColor;\n}\n\n.focus-within\\:border-black:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-white:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-gray-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-red-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-yellow-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-green-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-blue-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-indigo-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-purple-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-50:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-100:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-200:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-300:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-400:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-500:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-600:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-700:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-800:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-pink-900:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-origin-protocol-button-start:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-origin-protocol-button-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-ousd-button-start:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-ousd-button-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-ousd-button-dark-start:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-ousd-button-dark-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-story-button-start:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-story-button-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-story-pink-start:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-story-pink-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n}\n\n.focus-within\\:border-footer-end:focus-within {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n}\n\n.hover\\:border-transparent:hover {\n  border-color: transparent;\n}\n\n.hover\\:border-current:hover {\n  border-color: currentColor;\n}\n\n.hover\\:border-black:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n}\n\n.hover\\:border-white:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n}\n\n.hover\\:border-gray-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n}\n\n.hover\\:border-red-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n}\n\n.hover\\:border-yellow-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n}\n\n.hover\\:border-green-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n}\n\n.hover\\:border-blue-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n}\n\n.hover\\:border-indigo-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n}\n\n.hover\\:border-purple-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-50:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-100:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-200:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-300:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-400:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-500:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-600:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-700:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-800:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n}\n\n.hover\\:border-pink-900:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n}\n\n.hover\\:border-origin-protocol-button-start:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.hover\\:border-origin-protocol-button-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n}\n\n.hover\\:border-ousd-button-start:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n}\n\n.hover\\:border-ousd-button-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n}\n\n.hover\\:border-ousd-button-dark-start:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n}\n\n.hover\\:border-ousd-button-dark-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n}\n\n.hover\\:border-story-button-start:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.hover\\:border-story-button-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n}\n\n.hover\\:border-story-pink-start:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n}\n\n.hover\\:border-story-pink-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n}\n\n.hover\\:border-footer-end:hover {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n}\n\n.focus\\:border-transparent:focus {\n  border-color: transparent;\n}\n\n.focus\\:border-current:focus {\n  border-color: currentColor;\n}\n\n.focus\\:border-black:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n}\n\n.focus\\:border-white:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n}\n\n.focus\\:border-gray-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n}\n\n.focus\\:border-red-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n}\n\n.focus\\:border-yellow-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n}\n\n.focus\\:border-green-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n}\n\n.focus\\:border-blue-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n}\n\n.focus\\:border-indigo-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n}\n\n.focus\\:border-purple-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-50:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-100:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-200:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-300:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-400:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-500:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-600:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-700:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-800:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n}\n\n.focus\\:border-pink-900:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n}\n\n.focus\\:border-origin-protocol-button-start:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.focus\\:border-origin-protocol-button-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n}\n\n.focus\\:border-ousd-button-start:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n}\n\n.focus\\:border-ousd-button-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n}\n\n.focus\\:border-ousd-button-dark-start:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n}\n\n.focus\\:border-ousd-button-dark-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n}\n\n.focus\\:border-story-button-start:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n}\n\n.focus\\:border-story-button-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n}\n\n.focus\\:border-story-pink-start:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n}\n\n.focus\\:border-story-pink-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n}\n\n.focus\\:border-footer-end:focus {\n  --tw-border-opacity: 1;\n  border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n}\n\n.border-opacity-0 {\n  --tw-border-opacity: 0;\n}\n\n.border-opacity-5 {\n  --tw-border-opacity: 0.05;\n}\n\n.border-opacity-10 {\n  --tw-border-opacity: 0.1;\n}\n\n.border-opacity-20 {\n  --tw-border-opacity: 0.2;\n}\n\n.border-opacity-25 {\n  --tw-border-opacity: 0.25;\n}\n\n.border-opacity-30 {\n  --tw-border-opacity: 0.3;\n}\n\n.border-opacity-40 {\n  --tw-border-opacity: 0.4;\n}\n\n.border-opacity-50 {\n  --tw-border-opacity: 0.5;\n}\n\n.border-opacity-60 {\n  --tw-border-opacity: 0.6;\n}\n\n.border-opacity-70 {\n  --tw-border-opacity: 0.7;\n}\n\n.border-opacity-75 {\n  --tw-border-opacity: 0.75;\n}\n\n.border-opacity-80 {\n  --tw-border-opacity: 0.8;\n}\n\n.border-opacity-90 {\n  --tw-border-opacity: 0.9;\n}\n\n.border-opacity-95 {\n  --tw-border-opacity: 0.95;\n}\n\n.border-opacity-100 {\n  --tw-border-opacity: 1;\n}\n\n.group:hover .group-hover\\:border-opacity-0 {\n  --tw-border-opacity: 0;\n}\n\n.group:hover .group-hover\\:border-opacity-5 {\n  --tw-border-opacity: 0.05;\n}\n\n.group:hover .group-hover\\:border-opacity-10 {\n  --tw-border-opacity: 0.1;\n}\n\n.group:hover .group-hover\\:border-opacity-20 {\n  --tw-border-opacity: 0.2;\n}\n\n.group:hover .group-hover\\:border-opacity-25 {\n  --tw-border-opacity: 0.25;\n}\n\n.group:hover .group-hover\\:border-opacity-30 {\n  --tw-border-opacity: 0.3;\n}\n\n.group:hover .group-hover\\:border-opacity-40 {\n  --tw-border-opacity: 0.4;\n}\n\n.group:hover .group-hover\\:border-opacity-50 {\n  --tw-border-opacity: 0.5;\n}\n\n.group:hover .group-hover\\:border-opacity-60 {\n  --tw-border-opacity: 0.6;\n}\n\n.group:hover .group-hover\\:border-opacity-70 {\n  --tw-border-opacity: 0.7;\n}\n\n.group:hover .group-hover\\:border-opacity-75 {\n  --tw-border-opacity: 0.75;\n}\n\n.group:hover .group-hover\\:border-opacity-80 {\n  --tw-border-opacity: 0.8;\n}\n\n.group:hover .group-hover\\:border-opacity-90 {\n  --tw-border-opacity: 0.9;\n}\n\n.group:hover .group-hover\\:border-opacity-95 {\n  --tw-border-opacity: 0.95;\n}\n\n.group:hover .group-hover\\:border-opacity-100 {\n  --tw-border-opacity: 1;\n}\n\n.focus-within\\:border-opacity-0:focus-within {\n  --tw-border-opacity: 0;\n}\n\n.focus-within\\:border-opacity-5:focus-within {\n  --tw-border-opacity: 0.05;\n}\n\n.focus-within\\:border-opacity-10:focus-within {\n  --tw-border-opacity: 0.1;\n}\n\n.focus-within\\:border-opacity-20:focus-within {\n  --tw-border-opacity: 0.2;\n}\n\n.focus-within\\:border-opacity-25:focus-within {\n  --tw-border-opacity: 0.25;\n}\n\n.focus-within\\:border-opacity-30:focus-within {\n  --tw-border-opacity: 0.3;\n}\n\n.focus-within\\:border-opacity-40:focus-within {\n  --tw-border-opacity: 0.4;\n}\n\n.focus-within\\:border-opacity-50:focus-within {\n  --tw-border-opacity: 0.5;\n}\n\n.focus-within\\:border-opacity-60:focus-within {\n  --tw-border-opacity: 0.6;\n}\n\n.focus-within\\:border-opacity-70:focus-within {\n  --tw-border-opacity: 0.7;\n}\n\n.focus-within\\:border-opacity-75:focus-within {\n  --tw-border-opacity: 0.75;\n}\n\n.focus-within\\:border-opacity-80:focus-within {\n  --tw-border-opacity: 0.8;\n}\n\n.focus-within\\:border-opacity-90:focus-within {\n  --tw-border-opacity: 0.9;\n}\n\n.focus-within\\:border-opacity-95:focus-within {\n  --tw-border-opacity: 0.95;\n}\n\n.focus-within\\:border-opacity-100:focus-within {\n  --tw-border-opacity: 1;\n}\n\n.hover\\:border-opacity-0:hover {\n  --tw-border-opacity: 0;\n}\n\n.hover\\:border-opacity-5:hover {\n  --tw-border-opacity: 0.05;\n}\n\n.hover\\:border-opacity-10:hover {\n  --tw-border-opacity: 0.1;\n}\n\n.hover\\:border-opacity-20:hover {\n  --tw-border-opacity: 0.2;\n}\n\n.hover\\:border-opacity-25:hover {\n  --tw-border-opacity: 0.25;\n}\n\n.hover\\:border-opacity-30:hover {\n  --tw-border-opacity: 0.3;\n}\n\n.hover\\:border-opacity-40:hover {\n  --tw-border-opacity: 0.4;\n}\n\n.hover\\:border-opacity-50:hover {\n  --tw-border-opacity: 0.5;\n}\n\n.hover\\:border-opacity-60:hover {\n  --tw-border-opacity: 0.6;\n}\n\n.hover\\:border-opacity-70:hover {\n  --tw-border-opacity: 0.7;\n}\n\n.hover\\:border-opacity-75:hover {\n  --tw-border-opacity: 0.75;\n}\n\n.hover\\:border-opacity-80:hover {\n  --tw-border-opacity: 0.8;\n}\n\n.hover\\:border-opacity-90:hover {\n  --tw-border-opacity: 0.9;\n}\n\n.hover\\:border-opacity-95:hover {\n  --tw-border-opacity: 0.95;\n}\n\n.hover\\:border-opacity-100:hover {\n  --tw-border-opacity: 1;\n}\n\n.focus\\:border-opacity-0:focus {\n  --tw-border-opacity: 0;\n}\n\n.focus\\:border-opacity-5:focus {\n  --tw-border-opacity: 0.05;\n}\n\n.focus\\:border-opacity-10:focus {\n  --tw-border-opacity: 0.1;\n}\n\n.focus\\:border-opacity-20:focus {\n  --tw-border-opacity: 0.2;\n}\n\n.focus\\:border-opacity-25:focus {\n  --tw-border-opacity: 0.25;\n}\n\n.focus\\:border-opacity-30:focus {\n  --tw-border-opacity: 0.3;\n}\n\n.focus\\:border-opacity-40:focus {\n  --tw-border-opacity: 0.4;\n}\n\n.focus\\:border-opacity-50:focus {\n  --tw-border-opacity: 0.5;\n}\n\n.focus\\:border-opacity-60:focus {\n  --tw-border-opacity: 0.6;\n}\n\n.focus\\:border-opacity-70:focus {\n  --tw-border-opacity: 0.7;\n}\n\n.focus\\:border-opacity-75:focus {\n  --tw-border-opacity: 0.75;\n}\n\n.focus\\:border-opacity-80:focus {\n  --tw-border-opacity: 0.8;\n}\n\n.focus\\:border-opacity-90:focus {\n  --tw-border-opacity: 0.9;\n}\n\n.focus\\:border-opacity-95:focus {\n  --tw-border-opacity: 0.95;\n}\n\n.focus\\:border-opacity-100:focus {\n  --tw-border-opacity: 1;\n}\n\n.bg-transparent {\n  background-color: transparent;\n}\n\n.bg-current {\n  background-color: currentColor;\n}\n\n.bg-black {\n  --tw-bg-opacity: 1;\n  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n}\n\n.bg-white {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n}\n\n.bg-gray-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n}\n\n.bg-gray-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n}\n\n.bg-gray-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n}\n\n.bg-gray-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n}\n\n.bg-gray-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n}\n\n.bg-gray-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n}\n\n.bg-gray-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n}\n\n.bg-gray-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n}\n\n.bg-gray-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n}\n\n.bg-gray-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n}\n\n.bg-red-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n}\n\n.bg-red-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n}\n\n.bg-red-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n}\n\n.bg-red-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n}\n\n.bg-red-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n}\n\n.bg-red-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n}\n\n.bg-red-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n}\n\n.bg-red-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n}\n\n.bg-red-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n}\n\n.bg-red-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n}\n\n.bg-yellow-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n}\n\n.bg-yellow-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n}\n\n.bg-yellow-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n}\n\n.bg-yellow-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n}\n\n.bg-yellow-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n}\n\n.bg-yellow-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n}\n\n.bg-yellow-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n}\n\n.bg-yellow-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n}\n\n.bg-yellow-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n}\n\n.bg-yellow-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n}\n\n.bg-green-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n}\n\n.bg-green-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n}\n\n.bg-green-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n}\n\n.bg-green-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n}\n\n.bg-green-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n}\n\n.bg-green-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n}\n\n.bg-green-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n}\n\n.bg-green-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n}\n\n.bg-green-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n}\n\n.bg-green-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n}\n\n.bg-blue-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n}\n\n.bg-blue-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n}\n\n.bg-blue-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n}\n\n.bg-blue-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n}\n\n.bg-blue-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n}\n\n.bg-blue-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n}\n\n.bg-blue-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n}\n\n.bg-blue-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n}\n\n.bg-blue-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n}\n\n.bg-blue-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n}\n\n.bg-indigo-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n}\n\n.bg-indigo-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n}\n\n.bg-indigo-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n}\n\n.bg-indigo-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n}\n\n.bg-indigo-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n}\n\n.bg-indigo-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n}\n\n.bg-indigo-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n}\n\n.bg-indigo-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n}\n\n.bg-indigo-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n}\n\n.bg-indigo-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n}\n\n.bg-purple-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n}\n\n.bg-purple-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n}\n\n.bg-purple-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n}\n\n.bg-purple-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n}\n\n.bg-purple-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n}\n\n.bg-purple-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n}\n\n.bg-purple-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n}\n\n.bg-purple-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n}\n\n.bg-purple-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n}\n\n.bg-purple-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n}\n\n.bg-pink-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n}\n\n.bg-pink-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n}\n\n.bg-pink-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n}\n\n.bg-pink-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n}\n\n.bg-pink-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n}\n\n.bg-pink-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n}\n\n.bg-pink-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n}\n\n.bg-pink-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n}\n\n.bg-pink-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n}\n\n.bg-pink-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n}\n\n.bg-origin-protocol-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.bg-origin-protocol-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n}\n\n.bg-ousd-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n}\n\n.bg-ousd-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n}\n\n.bg-ousd-button-dark-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n}\n\n.bg-ousd-button-dark-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n}\n\n.bg-story-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.bg-story-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n}\n\n.bg-story-pink-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n}\n\n.bg-story-pink-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n}\n\n.bg-footer-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-transparent {\n  background-color: transparent;\n}\n\n.group:hover .group-hover\\:bg-current {\n  background-color: currentColor;\n}\n\n.group:hover .group-hover\\:bg-black {\n  --tw-bg-opacity: 1;\n  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-white {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-gray-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-red-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-yellow-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-green-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-blue-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-indigo-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-purple-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-50 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-100 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-200 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-300 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-400 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-500 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-600 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-700 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-800 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-pink-900 {\n  --tw-bg-opacity: 1;\n  background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-origin-protocol-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-origin-protocol-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-ousd-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-ousd-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-ousd-button-dark-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-ousd-button-dark-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-story-button-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-story-button-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-story-pink-start {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-story-pink-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n}\n\n.group:hover .group-hover\\:bg-footer-end {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-transparent:focus-within {\n  background-color: transparent;\n}\n\n.focus-within\\:bg-current:focus-within {\n  background-color: currentColor;\n}\n\n.focus-within\\:bg-black:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-white:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-gray-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-red-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-yellow-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-green-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-blue-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-indigo-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-purple-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-50:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-100:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-200:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-300:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-400:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-500:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-600:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-700:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-800:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-pink-900:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-origin-protocol-button-start:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-origin-protocol-button-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-ousd-button-start:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-ousd-button-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-ousd-button-dark-start:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-ousd-button-dark-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-story-button-start:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-story-button-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-story-pink-start:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-story-pink-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n}\n\n.focus-within\\:bg-footer-end:focus-within {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-transparent:hover {\n  background-color: transparent;\n}\n\n.hover\\:bg-current:hover {\n  background-color: currentColor;\n}\n\n.hover\\:bg-black:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-white:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-gray-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-red-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-yellow-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-green-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-blue-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-indigo-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-purple-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-50:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-100:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-200:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-300:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-400:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-500:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-600:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-700:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-800:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-pink-900:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-origin-protocol-button-start:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-origin-protocol-button-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-ousd-button-start:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-ousd-button-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-ousd-button-dark-start:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-ousd-button-dark-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-story-button-start:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-story-button-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-story-pink-start:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-story-pink-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n}\n\n.hover\\:bg-footer-end:hover {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-transparent:focus {\n  background-color: transparent;\n}\n\n.focus\\:bg-current:focus {\n  background-color: currentColor;\n}\n\n.focus\\:bg-black:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-white:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-gray-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-red-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-yellow-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-green-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-blue-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-indigo-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-purple-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-50:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-100:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-200:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-300:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-400:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-500:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-600:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-700:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-800:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-pink-900:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-origin-protocol-button-start:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-origin-protocol-button-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-ousd-button-start:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-ousd-button-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-ousd-button-dark-start:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-ousd-button-dark-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-story-button-start:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-story-button-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-story-pink-start:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-story-pink-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n}\n\n.focus\\:bg-footer-end:focus {\n  --tw-bg-opacity: 1;\n  background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n}\n\n.bg-opacity-0 {\n  --tw-bg-opacity: 0;\n}\n\n.bg-opacity-5 {\n  --tw-bg-opacity: 0.05;\n}\n\n.bg-opacity-10 {\n  --tw-bg-opacity: 0.1;\n}\n\n.bg-opacity-20 {\n  --tw-bg-opacity: 0.2;\n}\n\n.bg-opacity-25 {\n  --tw-bg-opacity: 0.25;\n}\n\n.bg-opacity-30 {\n  --tw-bg-opacity: 0.3;\n}\n\n.bg-opacity-40 {\n  --tw-bg-opacity: 0.4;\n}\n\n.bg-opacity-50 {\n  --tw-bg-opacity: 0.5;\n}\n\n.bg-opacity-60 {\n  --tw-bg-opacity: 0.6;\n}\n\n.bg-opacity-70 {\n  --tw-bg-opacity: 0.7;\n}\n\n.bg-opacity-75 {\n  --tw-bg-opacity: 0.75;\n}\n\n.bg-opacity-80 {\n  --tw-bg-opacity: 0.8;\n}\n\n.bg-opacity-90 {\n  --tw-bg-opacity: 0.9;\n}\n\n.bg-opacity-95 {\n  --tw-bg-opacity: 0.95;\n}\n\n.bg-opacity-100 {\n  --tw-bg-opacity: 1;\n}\n\n.group:hover .group-hover\\:bg-opacity-0 {\n  --tw-bg-opacity: 0;\n}\n\n.group:hover .group-hover\\:bg-opacity-5 {\n  --tw-bg-opacity: 0.05;\n}\n\n.group:hover .group-hover\\:bg-opacity-10 {\n  --tw-bg-opacity: 0.1;\n}\n\n.group:hover .group-hover\\:bg-opacity-20 {\n  --tw-bg-opacity: 0.2;\n}\n\n.group:hover .group-hover\\:bg-opacity-25 {\n  --tw-bg-opacity: 0.25;\n}\n\n.group:hover .group-hover\\:bg-opacity-30 {\n  --tw-bg-opacity: 0.3;\n}\n\n.group:hover .group-hover\\:bg-opacity-40 {\n  --tw-bg-opacity: 0.4;\n}\n\n.group:hover .group-hover\\:bg-opacity-50 {\n  --tw-bg-opacity: 0.5;\n}\n\n.group:hover .group-hover\\:bg-opacity-60 {\n  --tw-bg-opacity: 0.6;\n}\n\n.group:hover .group-hover\\:bg-opacity-70 {\n  --tw-bg-opacity: 0.7;\n}\n\n.group:hover .group-hover\\:bg-opacity-75 {\n  --tw-bg-opacity: 0.75;\n}\n\n.group:hover .group-hover\\:bg-opacity-80 {\n  --tw-bg-opacity: 0.8;\n}\n\n.group:hover .group-hover\\:bg-opacity-90 {\n  --tw-bg-opacity: 0.9;\n}\n\n.group:hover .group-hover\\:bg-opacity-95 {\n  --tw-bg-opacity: 0.95;\n}\n\n.group:hover .group-hover\\:bg-opacity-100 {\n  --tw-bg-opacity: 1;\n}\n\n.focus-within\\:bg-opacity-0:focus-within {\n  --tw-bg-opacity: 0;\n}\n\n.focus-within\\:bg-opacity-5:focus-within {\n  --tw-bg-opacity: 0.05;\n}\n\n.focus-within\\:bg-opacity-10:focus-within {\n  --tw-bg-opacity: 0.1;\n}\n\n.focus-within\\:bg-opacity-20:focus-within {\n  --tw-bg-opacity: 0.2;\n}\n\n.focus-within\\:bg-opacity-25:focus-within {\n  --tw-bg-opacity: 0.25;\n}\n\n.focus-within\\:bg-opacity-30:focus-within {\n  --tw-bg-opacity: 0.3;\n}\n\n.focus-within\\:bg-opacity-40:focus-within {\n  --tw-bg-opacity: 0.4;\n}\n\n.focus-within\\:bg-opacity-50:focus-within {\n  --tw-bg-opacity: 0.5;\n}\n\n.focus-within\\:bg-opacity-60:focus-within {\n  --tw-bg-opacity: 0.6;\n}\n\n.focus-within\\:bg-opacity-70:focus-within {\n  --tw-bg-opacity: 0.7;\n}\n\n.focus-within\\:bg-opacity-75:focus-within {\n  --tw-bg-opacity: 0.75;\n}\n\n.focus-within\\:bg-opacity-80:focus-within {\n  --tw-bg-opacity: 0.8;\n}\n\n.focus-within\\:bg-opacity-90:focus-within {\n  --tw-bg-opacity: 0.9;\n}\n\n.focus-within\\:bg-opacity-95:focus-within {\n  --tw-bg-opacity: 0.95;\n}\n\n.focus-within\\:bg-opacity-100:focus-within {\n  --tw-bg-opacity: 1;\n}\n\n.hover\\:bg-opacity-0:hover {\n  --tw-bg-opacity: 0;\n}\n\n.hover\\:bg-opacity-5:hover {\n  --tw-bg-opacity: 0.05;\n}\n\n.hover\\:bg-opacity-10:hover {\n  --tw-bg-opacity: 0.1;\n}\n\n.hover\\:bg-opacity-20:hover {\n  --tw-bg-opacity: 0.2;\n}\n\n.hover\\:bg-opacity-25:hover {\n  --tw-bg-opacity: 0.25;\n}\n\n.hover\\:bg-opacity-30:hover {\n  --tw-bg-opacity: 0.3;\n}\n\n.hover\\:bg-opacity-40:hover {\n  --tw-bg-opacity: 0.4;\n}\n\n.hover\\:bg-opacity-50:hover {\n  --tw-bg-opacity: 0.5;\n}\n\n.hover\\:bg-opacity-60:hover {\n  --tw-bg-opacity: 0.6;\n}\n\n.hover\\:bg-opacity-70:hover {\n  --tw-bg-opacity: 0.7;\n}\n\n.hover\\:bg-opacity-75:hover {\n  --tw-bg-opacity: 0.75;\n}\n\n.hover\\:bg-opacity-80:hover {\n  --tw-bg-opacity: 0.8;\n}\n\n.hover\\:bg-opacity-90:hover {\n  --tw-bg-opacity: 0.9;\n}\n\n.hover\\:bg-opacity-95:hover {\n  --tw-bg-opacity: 0.95;\n}\n\n.hover\\:bg-opacity-100:hover {\n  --tw-bg-opacity: 1;\n}\n\n.focus\\:bg-opacity-0:focus {\n  --tw-bg-opacity: 0;\n}\n\n.focus\\:bg-opacity-5:focus {\n  --tw-bg-opacity: 0.05;\n}\n\n.focus\\:bg-opacity-10:focus {\n  --tw-bg-opacity: 0.1;\n}\n\n.focus\\:bg-opacity-20:focus {\n  --tw-bg-opacity: 0.2;\n}\n\n.focus\\:bg-opacity-25:focus {\n  --tw-bg-opacity: 0.25;\n}\n\n.focus\\:bg-opacity-30:focus {\n  --tw-bg-opacity: 0.3;\n}\n\n.focus\\:bg-opacity-40:focus {\n  --tw-bg-opacity: 0.4;\n}\n\n.focus\\:bg-opacity-50:focus {\n  --tw-bg-opacity: 0.5;\n}\n\n.focus\\:bg-opacity-60:focus {\n  --tw-bg-opacity: 0.6;\n}\n\n.focus\\:bg-opacity-70:focus {\n  --tw-bg-opacity: 0.7;\n}\n\n.focus\\:bg-opacity-75:focus {\n  --tw-bg-opacity: 0.75;\n}\n\n.focus\\:bg-opacity-80:focus {\n  --tw-bg-opacity: 0.8;\n}\n\n.focus\\:bg-opacity-90:focus {\n  --tw-bg-opacity: 0.9;\n}\n\n.focus\\:bg-opacity-95:focus {\n  --tw-bg-opacity: 0.95;\n}\n\n.focus\\:bg-opacity-100:focus {\n  --tw-bg-opacity: 1;\n}\n\n.bg-none {\n  background-image: none;\n}\n\n.bg-gradient-to-t {\n  background-image: linear-gradient(to top, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-tr {\n  background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-r {\n  background-image: linear-gradient(to right, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-br {\n  background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-b {\n  background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-bl {\n  background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-l {\n  background-image: linear-gradient(to left, var(--tw-gradient-stops));\n}\n\n.bg-gradient-to-tl {\n  background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n}\n\n.from-transparent {\n  --tw-gradient-from: transparent;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.from-current {\n  --tw-gradient-from: currentColor;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.from-black {\n  --tw-gradient-from: #000;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.from-white {\n  --tw-gradient-from: #fff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.from-gray-50 {\n  --tw-gradient-from: #f9fafb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.from-gray-100 {\n  --tw-gradient-from: #f3f4f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.from-gray-200 {\n  --tw-gradient-from: #e5e7eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.from-gray-300 {\n  --tw-gradient-from: #d1d5db;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.from-gray-400 {\n  --tw-gradient-from: #9ca3af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.from-gray-500 {\n  --tw-gradient-from: #6b7280;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.from-gray-600 {\n  --tw-gradient-from: #4b5563;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.from-gray-700 {\n  --tw-gradient-from: #374151;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.from-gray-800 {\n  --tw-gradient-from: #1f2937;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.from-gray-900 {\n  --tw-gradient-from: #111827;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.from-red-50 {\n  --tw-gradient-from: #fef2f2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.from-red-100 {\n  --tw-gradient-from: #fee2e2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.from-red-200 {\n  --tw-gradient-from: #fecaca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.from-red-300 {\n  --tw-gradient-from: #fca5a5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.from-red-400 {\n  --tw-gradient-from: #f87171;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.from-red-500 {\n  --tw-gradient-from: #ef4444;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.from-red-600 {\n  --tw-gradient-from: #dc2626;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.from-red-700 {\n  --tw-gradient-from: #b91c1c;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.from-red-800 {\n  --tw-gradient-from: #991b1b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.from-red-900 {\n  --tw-gradient-from: #7f1d1d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.from-yellow-50 {\n  --tw-gradient-from: #fffbeb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.from-yellow-100 {\n  --tw-gradient-from: #fef3c7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.from-yellow-200 {\n  --tw-gradient-from: #fde68a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.from-yellow-300 {\n  --tw-gradient-from: #fcd34d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.from-yellow-400 {\n  --tw-gradient-from: #fbbf24;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.from-yellow-500 {\n  --tw-gradient-from: #f59e0b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.from-yellow-600 {\n  --tw-gradient-from: #d97706;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.from-yellow-700 {\n  --tw-gradient-from: #b45309;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.from-yellow-800 {\n  --tw-gradient-from: #92400e;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.from-yellow-900 {\n  --tw-gradient-from: #78350f;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.from-green-50 {\n  --tw-gradient-from: #ecfdf5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.from-green-100 {\n  --tw-gradient-from: #d1fae5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.from-green-200 {\n  --tw-gradient-from: #a7f3d0;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.from-green-300 {\n  --tw-gradient-from: #6ee7b7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.from-green-400 {\n  --tw-gradient-from: #34d399;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.from-green-500 {\n  --tw-gradient-from: #10b981;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.from-green-600 {\n  --tw-gradient-from: #059669;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.from-green-700 {\n  --tw-gradient-from: #047857;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.from-green-800 {\n  --tw-gradient-from: #065f46;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.from-green-900 {\n  --tw-gradient-from: #064e3b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.from-blue-50 {\n  --tw-gradient-from: #eff6ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.from-blue-100 {\n  --tw-gradient-from: #dbeafe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.from-blue-200 {\n  --tw-gradient-from: #bfdbfe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.from-blue-300 {\n  --tw-gradient-from: #93c5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.from-blue-400 {\n  --tw-gradient-from: #60a5fa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.from-blue-500 {\n  --tw-gradient-from: #3b82f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.from-blue-600 {\n  --tw-gradient-from: #2563eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.from-blue-700 {\n  --tw-gradient-from: #1d4ed8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.from-blue-800 {\n  --tw-gradient-from: #1e40af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.from-blue-900 {\n  --tw-gradient-from: #1e3a8a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.from-indigo-50 {\n  --tw-gradient-from: #eef2ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.from-indigo-100 {\n  --tw-gradient-from: #e0e7ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.from-indigo-200 {\n  --tw-gradient-from: #c7d2fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.from-indigo-300 {\n  --tw-gradient-from: #a5b4fc;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.from-indigo-400 {\n  --tw-gradient-from: #818cf8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.from-indigo-500 {\n  --tw-gradient-from: #6366f1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.from-indigo-600 {\n  --tw-gradient-from: #4f46e5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.from-indigo-700 {\n  --tw-gradient-from: #4338ca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.from-indigo-800 {\n  --tw-gradient-from: #3730a3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.from-indigo-900 {\n  --tw-gradient-from: #312e81;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.from-purple-50 {\n  --tw-gradient-from: #f5f3ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.from-purple-100 {\n  --tw-gradient-from: #ede9fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.from-purple-200 {\n  --tw-gradient-from: #ddd6fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.from-purple-300 {\n  --tw-gradient-from: #c4b5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.from-purple-400 {\n  --tw-gradient-from: #a78bfa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.from-purple-500 {\n  --tw-gradient-from: #8b5cf6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.from-purple-600 {\n  --tw-gradient-from: #7c3aed;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.from-purple-700 {\n  --tw-gradient-from: #6d28d9;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.from-purple-800 {\n  --tw-gradient-from: #5b21b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.from-purple-900 {\n  --tw-gradient-from: #4c1d95;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.from-pink-50 {\n  --tw-gradient-from: #fdf2f8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.from-pink-100 {\n  --tw-gradient-from: #fce7f3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.from-pink-200 {\n  --tw-gradient-from: #fbcfe8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.from-pink-300 {\n  --tw-gradient-from: #f9a8d4;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.from-pink-400 {\n  --tw-gradient-from: #f472b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.from-pink-500 {\n  --tw-gradient-from: #ec4899;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.from-pink-600 {\n  --tw-gradient-from: #db2777;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.from-pink-700 {\n  --tw-gradient-from: #be185d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.from-pink-800 {\n  --tw-gradient-from: #9d174d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.from-pink-900 {\n  --tw-gradient-from: #831843;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.from-origin-protocol-button-start {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.from-origin-protocol-button-end {\n  --tw-gradient-from: #0274F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.from-ousd-button-start {\n  --tw-gradient-from: #B361E6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.from-ousd-button-end {\n  --tw-gradient-from: #6A36FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.from-ousd-button-dark-start {\n  --tw-gradient-from: #402154;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.from-ousd-button-dark-end {\n  --tw-gradient-from: #120046;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.from-story-button-start {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.from-story-button-end {\n  --tw-gradient-from: #429CFF;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.from-story-pink-start {\n  --tw-gradient-from: #FB25F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.from-story-pink-end {\n  --tw-gradient-from: #FD9BC2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.from-footer-end {\n  --tw-gradient-from: #1E313F;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.hover\\:from-transparent:hover {\n  --tw-gradient-from: transparent;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.hover\\:from-current:hover {\n  --tw-gradient-from: currentColor;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.hover\\:from-black:hover {\n  --tw-gradient-from: #000;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.hover\\:from-white:hover {\n  --tw-gradient-from: #fff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.hover\\:from-gray-50:hover {\n  --tw-gradient-from: #f9fafb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.hover\\:from-gray-100:hover {\n  --tw-gradient-from: #f3f4f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.hover\\:from-gray-200:hover {\n  --tw-gradient-from: #e5e7eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.hover\\:from-gray-300:hover {\n  --tw-gradient-from: #d1d5db;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.hover\\:from-gray-400:hover {\n  --tw-gradient-from: #9ca3af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.hover\\:from-gray-500:hover {\n  --tw-gradient-from: #6b7280;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.hover\\:from-gray-600:hover {\n  --tw-gradient-from: #4b5563;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.hover\\:from-gray-700:hover {\n  --tw-gradient-from: #374151;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.hover\\:from-gray-800:hover {\n  --tw-gradient-from: #1f2937;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.hover\\:from-gray-900:hover {\n  --tw-gradient-from: #111827;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.hover\\:from-red-50:hover {\n  --tw-gradient-from: #fef2f2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.hover\\:from-red-100:hover {\n  --tw-gradient-from: #fee2e2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.hover\\:from-red-200:hover {\n  --tw-gradient-from: #fecaca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.hover\\:from-red-300:hover {\n  --tw-gradient-from: #fca5a5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.hover\\:from-red-400:hover {\n  --tw-gradient-from: #f87171;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.hover\\:from-red-500:hover {\n  --tw-gradient-from: #ef4444;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.hover\\:from-red-600:hover {\n  --tw-gradient-from: #dc2626;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.hover\\:from-red-700:hover {\n  --tw-gradient-from: #b91c1c;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.hover\\:from-red-800:hover {\n  --tw-gradient-from: #991b1b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.hover\\:from-red-900:hover {\n  --tw-gradient-from: #7f1d1d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.hover\\:from-yellow-50:hover {\n  --tw-gradient-from: #fffbeb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.hover\\:from-yellow-100:hover {\n  --tw-gradient-from: #fef3c7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.hover\\:from-yellow-200:hover {\n  --tw-gradient-from: #fde68a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.hover\\:from-yellow-300:hover {\n  --tw-gradient-from: #fcd34d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.hover\\:from-yellow-400:hover {\n  --tw-gradient-from: #fbbf24;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.hover\\:from-yellow-500:hover {\n  --tw-gradient-from: #f59e0b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.hover\\:from-yellow-600:hover {\n  --tw-gradient-from: #d97706;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.hover\\:from-yellow-700:hover {\n  --tw-gradient-from: #b45309;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.hover\\:from-yellow-800:hover {\n  --tw-gradient-from: #92400e;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.hover\\:from-yellow-900:hover {\n  --tw-gradient-from: #78350f;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.hover\\:from-green-50:hover {\n  --tw-gradient-from: #ecfdf5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.hover\\:from-green-100:hover {\n  --tw-gradient-from: #d1fae5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.hover\\:from-green-200:hover {\n  --tw-gradient-from: #a7f3d0;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.hover\\:from-green-300:hover {\n  --tw-gradient-from: #6ee7b7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.hover\\:from-green-400:hover {\n  --tw-gradient-from: #34d399;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.hover\\:from-green-500:hover {\n  --tw-gradient-from: #10b981;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.hover\\:from-green-600:hover {\n  --tw-gradient-from: #059669;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.hover\\:from-green-700:hover {\n  --tw-gradient-from: #047857;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.hover\\:from-green-800:hover {\n  --tw-gradient-from: #065f46;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.hover\\:from-green-900:hover {\n  --tw-gradient-from: #064e3b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.hover\\:from-blue-50:hover {\n  --tw-gradient-from: #eff6ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.hover\\:from-blue-100:hover {\n  --tw-gradient-from: #dbeafe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.hover\\:from-blue-200:hover {\n  --tw-gradient-from: #bfdbfe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.hover\\:from-blue-300:hover {\n  --tw-gradient-from: #93c5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.hover\\:from-blue-400:hover {\n  --tw-gradient-from: #60a5fa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.hover\\:from-blue-500:hover {\n  --tw-gradient-from: #3b82f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.hover\\:from-blue-600:hover {\n  --tw-gradient-from: #2563eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.hover\\:from-blue-700:hover {\n  --tw-gradient-from: #1d4ed8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.hover\\:from-blue-800:hover {\n  --tw-gradient-from: #1e40af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.hover\\:from-blue-900:hover {\n  --tw-gradient-from: #1e3a8a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.hover\\:from-indigo-50:hover {\n  --tw-gradient-from: #eef2ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.hover\\:from-indigo-100:hover {\n  --tw-gradient-from: #e0e7ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.hover\\:from-indigo-200:hover {\n  --tw-gradient-from: #c7d2fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.hover\\:from-indigo-300:hover {\n  --tw-gradient-from: #a5b4fc;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.hover\\:from-indigo-400:hover {\n  --tw-gradient-from: #818cf8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.hover\\:from-indigo-500:hover {\n  --tw-gradient-from: #6366f1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.hover\\:from-indigo-600:hover {\n  --tw-gradient-from: #4f46e5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.hover\\:from-indigo-700:hover {\n  --tw-gradient-from: #4338ca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.hover\\:from-indigo-800:hover {\n  --tw-gradient-from: #3730a3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.hover\\:from-indigo-900:hover {\n  --tw-gradient-from: #312e81;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.hover\\:from-purple-50:hover {\n  --tw-gradient-from: #f5f3ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.hover\\:from-purple-100:hover {\n  --tw-gradient-from: #ede9fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.hover\\:from-purple-200:hover {\n  --tw-gradient-from: #ddd6fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.hover\\:from-purple-300:hover {\n  --tw-gradient-from: #c4b5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.hover\\:from-purple-400:hover {\n  --tw-gradient-from: #a78bfa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.hover\\:from-purple-500:hover {\n  --tw-gradient-from: #8b5cf6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.hover\\:from-purple-600:hover {\n  --tw-gradient-from: #7c3aed;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.hover\\:from-purple-700:hover {\n  --tw-gradient-from: #6d28d9;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.hover\\:from-purple-800:hover {\n  --tw-gradient-from: #5b21b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.hover\\:from-purple-900:hover {\n  --tw-gradient-from: #4c1d95;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.hover\\:from-pink-50:hover {\n  --tw-gradient-from: #fdf2f8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.hover\\:from-pink-100:hover {\n  --tw-gradient-from: #fce7f3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.hover\\:from-pink-200:hover {\n  --tw-gradient-from: #fbcfe8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.hover\\:from-pink-300:hover {\n  --tw-gradient-from: #f9a8d4;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.hover\\:from-pink-400:hover {\n  --tw-gradient-from: #f472b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.hover\\:from-pink-500:hover {\n  --tw-gradient-from: #ec4899;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.hover\\:from-pink-600:hover {\n  --tw-gradient-from: #db2777;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.hover\\:from-pink-700:hover {\n  --tw-gradient-from: #be185d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.hover\\:from-pink-800:hover {\n  --tw-gradient-from: #9d174d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.hover\\:from-pink-900:hover {\n  --tw-gradient-from: #831843;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.hover\\:from-origin-protocol-button-start:hover {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.hover\\:from-origin-protocol-button-end:hover {\n  --tw-gradient-from: #0274F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.hover\\:from-ousd-button-start:hover {\n  --tw-gradient-from: #B361E6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.hover\\:from-ousd-button-end:hover {\n  --tw-gradient-from: #6A36FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.hover\\:from-ousd-button-dark-start:hover {\n  --tw-gradient-from: #402154;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.hover\\:from-ousd-button-dark-end:hover {\n  --tw-gradient-from: #120046;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.hover\\:from-story-button-start:hover {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.hover\\:from-story-button-end:hover {\n  --tw-gradient-from: #429CFF;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.hover\\:from-story-pink-start:hover {\n  --tw-gradient-from: #FB25F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.hover\\:from-story-pink-end:hover {\n  --tw-gradient-from: #FD9BC2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.hover\\:from-footer-end:hover {\n  --tw-gradient-from: #1E313F;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.focus\\:from-transparent:focus {\n  --tw-gradient-from: transparent;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.focus\\:from-current:focus {\n  --tw-gradient-from: currentColor;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.focus\\:from-black:focus {\n  --tw-gradient-from: #000;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.focus\\:from-white:focus {\n  --tw-gradient-from: #fff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.focus\\:from-gray-50:focus {\n  --tw-gradient-from: #f9fafb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.focus\\:from-gray-100:focus {\n  --tw-gradient-from: #f3f4f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.focus\\:from-gray-200:focus {\n  --tw-gradient-from: #e5e7eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.focus\\:from-gray-300:focus {\n  --tw-gradient-from: #d1d5db;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.focus\\:from-gray-400:focus {\n  --tw-gradient-from: #9ca3af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.focus\\:from-gray-500:focus {\n  --tw-gradient-from: #6b7280;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.focus\\:from-gray-600:focus {\n  --tw-gradient-from: #4b5563;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.focus\\:from-gray-700:focus {\n  --tw-gradient-from: #374151;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.focus\\:from-gray-800:focus {\n  --tw-gradient-from: #1f2937;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.focus\\:from-gray-900:focus {\n  --tw-gradient-from: #111827;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.focus\\:from-red-50:focus {\n  --tw-gradient-from: #fef2f2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.focus\\:from-red-100:focus {\n  --tw-gradient-from: #fee2e2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.focus\\:from-red-200:focus {\n  --tw-gradient-from: #fecaca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.focus\\:from-red-300:focus {\n  --tw-gradient-from: #fca5a5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.focus\\:from-red-400:focus {\n  --tw-gradient-from: #f87171;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.focus\\:from-red-500:focus {\n  --tw-gradient-from: #ef4444;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.focus\\:from-red-600:focus {\n  --tw-gradient-from: #dc2626;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.focus\\:from-red-700:focus {\n  --tw-gradient-from: #b91c1c;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.focus\\:from-red-800:focus {\n  --tw-gradient-from: #991b1b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.focus\\:from-red-900:focus {\n  --tw-gradient-from: #7f1d1d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.focus\\:from-yellow-50:focus {\n  --tw-gradient-from: #fffbeb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.focus\\:from-yellow-100:focus {\n  --tw-gradient-from: #fef3c7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.focus\\:from-yellow-200:focus {\n  --tw-gradient-from: #fde68a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.focus\\:from-yellow-300:focus {\n  --tw-gradient-from: #fcd34d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.focus\\:from-yellow-400:focus {\n  --tw-gradient-from: #fbbf24;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.focus\\:from-yellow-500:focus {\n  --tw-gradient-from: #f59e0b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.focus\\:from-yellow-600:focus {\n  --tw-gradient-from: #d97706;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.focus\\:from-yellow-700:focus {\n  --tw-gradient-from: #b45309;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.focus\\:from-yellow-800:focus {\n  --tw-gradient-from: #92400e;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.focus\\:from-yellow-900:focus {\n  --tw-gradient-from: #78350f;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.focus\\:from-green-50:focus {\n  --tw-gradient-from: #ecfdf5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.focus\\:from-green-100:focus {\n  --tw-gradient-from: #d1fae5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.focus\\:from-green-200:focus {\n  --tw-gradient-from: #a7f3d0;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.focus\\:from-green-300:focus {\n  --tw-gradient-from: #6ee7b7;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.focus\\:from-green-400:focus {\n  --tw-gradient-from: #34d399;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.focus\\:from-green-500:focus {\n  --tw-gradient-from: #10b981;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.focus\\:from-green-600:focus {\n  --tw-gradient-from: #059669;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.focus\\:from-green-700:focus {\n  --tw-gradient-from: #047857;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.focus\\:from-green-800:focus {\n  --tw-gradient-from: #065f46;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.focus\\:from-green-900:focus {\n  --tw-gradient-from: #064e3b;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.focus\\:from-blue-50:focus {\n  --tw-gradient-from: #eff6ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.focus\\:from-blue-100:focus {\n  --tw-gradient-from: #dbeafe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.focus\\:from-blue-200:focus {\n  --tw-gradient-from: #bfdbfe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.focus\\:from-blue-300:focus {\n  --tw-gradient-from: #93c5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.focus\\:from-blue-400:focus {\n  --tw-gradient-from: #60a5fa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.focus\\:from-blue-500:focus {\n  --tw-gradient-from: #3b82f6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.focus\\:from-blue-600:focus {\n  --tw-gradient-from: #2563eb;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.focus\\:from-blue-700:focus {\n  --tw-gradient-from: #1d4ed8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.focus\\:from-blue-800:focus {\n  --tw-gradient-from: #1e40af;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.focus\\:from-blue-900:focus {\n  --tw-gradient-from: #1e3a8a;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.focus\\:from-indigo-50:focus {\n  --tw-gradient-from: #eef2ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.focus\\:from-indigo-100:focus {\n  --tw-gradient-from: #e0e7ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.focus\\:from-indigo-200:focus {\n  --tw-gradient-from: #c7d2fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.focus\\:from-indigo-300:focus {\n  --tw-gradient-from: #a5b4fc;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.focus\\:from-indigo-400:focus {\n  --tw-gradient-from: #818cf8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.focus\\:from-indigo-500:focus {\n  --tw-gradient-from: #6366f1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.focus\\:from-indigo-600:focus {\n  --tw-gradient-from: #4f46e5;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.focus\\:from-indigo-700:focus {\n  --tw-gradient-from: #4338ca;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.focus\\:from-indigo-800:focus {\n  --tw-gradient-from: #3730a3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.focus\\:from-indigo-900:focus {\n  --tw-gradient-from: #312e81;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.focus\\:from-purple-50:focus {\n  --tw-gradient-from: #f5f3ff;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.focus\\:from-purple-100:focus {\n  --tw-gradient-from: #ede9fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.focus\\:from-purple-200:focus {\n  --tw-gradient-from: #ddd6fe;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.focus\\:from-purple-300:focus {\n  --tw-gradient-from: #c4b5fd;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.focus\\:from-purple-400:focus {\n  --tw-gradient-from: #a78bfa;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.focus\\:from-purple-500:focus {\n  --tw-gradient-from: #8b5cf6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.focus\\:from-purple-600:focus {\n  --tw-gradient-from: #7c3aed;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.focus\\:from-purple-700:focus {\n  --tw-gradient-from: #6d28d9;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.focus\\:from-purple-800:focus {\n  --tw-gradient-from: #5b21b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.focus\\:from-purple-900:focus {\n  --tw-gradient-from: #4c1d95;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.focus\\:from-pink-50:focus {\n  --tw-gradient-from: #fdf2f8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.focus\\:from-pink-100:focus {\n  --tw-gradient-from: #fce7f3;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.focus\\:from-pink-200:focus {\n  --tw-gradient-from: #fbcfe8;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.focus\\:from-pink-300:focus {\n  --tw-gradient-from: #f9a8d4;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.focus\\:from-pink-400:focus {\n  --tw-gradient-from: #f472b6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.focus\\:from-pink-500:focus {\n  --tw-gradient-from: #ec4899;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.focus\\:from-pink-600:focus {\n  --tw-gradient-from: #db2777;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.focus\\:from-pink-700:focus {\n  --tw-gradient-from: #be185d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.focus\\:from-pink-800:focus {\n  --tw-gradient-from: #9d174d;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.focus\\:from-pink-900:focus {\n  --tw-gradient-from: #831843;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.focus\\:from-origin-protocol-button-start:focus {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.focus\\:from-origin-protocol-button-end:focus {\n  --tw-gradient-from: #0274F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.focus\\:from-ousd-button-start:focus {\n  --tw-gradient-from: #B361E6;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.focus\\:from-ousd-button-end:focus {\n  --tw-gradient-from: #6A36FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.focus\\:from-ousd-button-dark-start:focus {\n  --tw-gradient-from: #402154;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.focus\\:from-ousd-button-dark-end:focus {\n  --tw-gradient-from: #120046;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.focus\\:from-story-button-start:focus {\n  --tw-gradient-from: #8C66FC;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.focus\\:from-story-button-end:focus {\n  --tw-gradient-from: #429CFF;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.focus\\:from-story-pink-start:focus {\n  --tw-gradient-from: #FB25F1;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.focus\\:from-story-pink-end:focus {\n  --tw-gradient-from: #FD9BC2;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.focus\\:from-footer-end:focus {\n  --tw-gradient-from: #1E313F;\n  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.via-transparent {\n  --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.via-current {\n  --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.via-black {\n  --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.via-white {\n  --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.via-gray-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.via-gray-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.via-gray-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.via-gray-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.via-gray-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.via-gray-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.via-gray-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.via-gray-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.via-gray-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.via-gray-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.via-red-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.via-red-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.via-red-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.via-red-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.via-red-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.via-red-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.via-red-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.via-red-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.via-red-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.via-red-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.via-yellow-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.via-yellow-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.via-yellow-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.via-yellow-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.via-yellow-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.via-yellow-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.via-yellow-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.via-yellow-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.via-yellow-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.via-yellow-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.via-green-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.via-green-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.via-green-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.via-green-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.via-green-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.via-green-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.via-green-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.via-green-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.via-green-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.via-green-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.via-blue-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.via-blue-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.via-blue-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.via-blue-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.via-blue-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.via-blue-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.via-blue-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.via-blue-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.via-blue-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.via-blue-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.via-indigo-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.via-indigo-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.via-indigo-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.via-indigo-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.via-indigo-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.via-indigo-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.via-indigo-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.via-indigo-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.via-indigo-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.via-indigo-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.via-purple-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.via-purple-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.via-purple-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.via-purple-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.via-purple-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.via-purple-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.via-purple-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.via-purple-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.via-purple-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.via-purple-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.via-pink-50 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.via-pink-100 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.via-pink-200 {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.via-pink-300 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.via-pink-400 {\n  --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.via-pink-500 {\n  --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.via-pink-600 {\n  --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.via-pink-700 {\n  --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.via-pink-800 {\n  --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.via-pink-900 {\n  --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.via-origin-protocol-button-start {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.via-origin-protocol-button-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.via-ousd-button-start {\n  --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.via-ousd-button-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.via-ousd-button-dark-start {\n  --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.via-ousd-button-dark-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.via-story-button-start {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.via-story-button-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.via-story-pink-start {\n  --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.via-story-pink-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.via-footer-end {\n  --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.hover\\:via-transparent:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.hover\\:via-current:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.hover\\:via-black:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.hover\\:via-white:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.hover\\:via-gray-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.hover\\:via-gray-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.hover\\:via-gray-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.hover\\:via-gray-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.hover\\:via-gray-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.hover\\:via-gray-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.hover\\:via-gray-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.hover\\:via-gray-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.hover\\:via-gray-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.hover\\:via-gray-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.hover\\:via-red-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.hover\\:via-red-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.hover\\:via-red-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.hover\\:via-red-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.hover\\:via-red-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.hover\\:via-red-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.hover\\:via-red-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.hover\\:via-red-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.hover\\:via-red-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.hover\\:via-red-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.hover\\:via-yellow-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.hover\\:via-yellow-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.hover\\:via-yellow-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.hover\\:via-yellow-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.hover\\:via-yellow-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.hover\\:via-yellow-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.hover\\:via-yellow-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.hover\\:via-yellow-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.hover\\:via-yellow-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.hover\\:via-yellow-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.hover\\:via-green-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.hover\\:via-green-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.hover\\:via-green-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.hover\\:via-green-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.hover\\:via-green-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.hover\\:via-green-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.hover\\:via-green-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.hover\\:via-green-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.hover\\:via-green-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.hover\\:via-green-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.hover\\:via-blue-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.hover\\:via-blue-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.hover\\:via-blue-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.hover\\:via-blue-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.hover\\:via-blue-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.hover\\:via-blue-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.hover\\:via-blue-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.hover\\:via-blue-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.hover\\:via-blue-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.hover\\:via-blue-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.hover\\:via-indigo-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.hover\\:via-indigo-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.hover\\:via-indigo-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.hover\\:via-indigo-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.hover\\:via-indigo-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.hover\\:via-indigo-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.hover\\:via-indigo-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.hover\\:via-indigo-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.hover\\:via-indigo-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.hover\\:via-indigo-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.hover\\:via-purple-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.hover\\:via-purple-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.hover\\:via-purple-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.hover\\:via-purple-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.hover\\:via-purple-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.hover\\:via-purple-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.hover\\:via-purple-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.hover\\:via-purple-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.hover\\:via-purple-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.hover\\:via-purple-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.hover\\:via-pink-50:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.hover\\:via-pink-100:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.hover\\:via-pink-200:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.hover\\:via-pink-300:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.hover\\:via-pink-400:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.hover\\:via-pink-500:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.hover\\:via-pink-600:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.hover\\:via-pink-700:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.hover\\:via-pink-800:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.hover\\:via-pink-900:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.hover\\:via-origin-protocol-button-start:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.hover\\:via-origin-protocol-button-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.hover\\:via-ousd-button-start:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.hover\\:via-ousd-button-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.hover\\:via-ousd-button-dark-start:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.hover\\:via-ousd-button-dark-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.hover\\:via-story-button-start:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.hover\\:via-story-button-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.hover\\:via-story-pink-start:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.hover\\:via-story-pink-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.hover\\:via-footer-end:hover {\n  --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.focus\\:via-transparent:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.focus\\:via-current:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.focus\\:via-black:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n}\n\n.focus\\:via-white:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n}\n\n.focus\\:via-gray-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n}\n\n.focus\\:via-gray-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n}\n\n.focus\\:via-gray-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n}\n\n.focus\\:via-gray-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n}\n\n.focus\\:via-gray-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n}\n\n.focus\\:via-gray-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n}\n\n.focus\\:via-gray-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n}\n\n.focus\\:via-gray-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n}\n\n.focus\\:via-gray-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n}\n\n.focus\\:via-gray-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n}\n\n.focus\\:via-red-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n}\n\n.focus\\:via-red-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n}\n\n.focus\\:via-red-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n}\n\n.focus\\:via-red-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n}\n\n.focus\\:via-red-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n}\n\n.focus\\:via-red-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n}\n\n.focus\\:via-red-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n}\n\n.focus\\:via-red-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n}\n\n.focus\\:via-red-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n}\n\n.focus\\:via-red-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n}\n\n.focus\\:via-yellow-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n}\n\n.focus\\:via-yellow-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n}\n\n.focus\\:via-yellow-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n}\n\n.focus\\:via-yellow-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n}\n\n.focus\\:via-yellow-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n}\n\n.focus\\:via-yellow-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n}\n\n.focus\\:via-yellow-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n}\n\n.focus\\:via-yellow-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n}\n\n.focus\\:via-yellow-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n}\n\n.focus\\:via-yellow-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n}\n\n.focus\\:via-green-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n}\n\n.focus\\:via-green-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n}\n\n.focus\\:via-green-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n}\n\n.focus\\:via-green-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n}\n\n.focus\\:via-green-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n}\n\n.focus\\:via-green-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n}\n\n.focus\\:via-green-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n}\n\n.focus\\:via-green-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n}\n\n.focus\\:via-green-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n}\n\n.focus\\:via-green-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n}\n\n.focus\\:via-blue-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n}\n\n.focus\\:via-blue-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n}\n\n.focus\\:via-blue-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n}\n\n.focus\\:via-blue-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n}\n\n.focus\\:via-blue-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n}\n\n.focus\\:via-blue-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n}\n\n.focus\\:via-blue-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n}\n\n.focus\\:via-blue-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n}\n\n.focus\\:via-blue-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n}\n\n.focus\\:via-blue-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n}\n\n.focus\\:via-indigo-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n}\n\n.focus\\:via-indigo-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n}\n\n.focus\\:via-indigo-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n}\n\n.focus\\:via-indigo-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n}\n\n.focus\\:via-indigo-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n}\n\n.focus\\:via-indigo-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n}\n\n.focus\\:via-indigo-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n}\n\n.focus\\:via-indigo-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n}\n\n.focus\\:via-indigo-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n}\n\n.focus\\:via-indigo-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n}\n\n.focus\\:via-purple-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n}\n\n.focus\\:via-purple-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n}\n\n.focus\\:via-purple-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n}\n\n.focus\\:via-purple-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n}\n\n.focus\\:via-purple-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n}\n\n.focus\\:via-purple-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n}\n\n.focus\\:via-purple-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n}\n\n.focus\\:via-purple-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n}\n\n.focus\\:via-purple-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n}\n\n.focus\\:via-purple-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n}\n\n.focus\\:via-pink-50:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n}\n\n.focus\\:via-pink-100:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n}\n\n.focus\\:via-pink-200:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n}\n\n.focus\\:via-pink-300:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n}\n\n.focus\\:via-pink-400:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n}\n\n.focus\\:via-pink-500:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n}\n\n.focus\\:via-pink-600:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n}\n\n.focus\\:via-pink-700:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n}\n\n.focus\\:via-pink-800:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n}\n\n.focus\\:via-pink-900:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n}\n\n.focus\\:via-origin-protocol-button-start:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.focus\\:via-origin-protocol-button-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n}\n\n.focus\\:via-ousd-button-start:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n}\n\n.focus\\:via-ousd-button-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n}\n\n.focus\\:via-ousd-button-dark-start:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n}\n\n.focus\\:via-ousd-button-dark-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n}\n\n.focus\\:via-story-button-start:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n}\n\n.focus\\:via-story-button-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n}\n\n.focus\\:via-story-pink-start:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n}\n\n.focus\\:via-story-pink-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n}\n\n.focus\\:via-footer-end:focus {\n  --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n}\n\n.to-transparent {\n  --tw-gradient-to: transparent;\n}\n\n.to-current {\n  --tw-gradient-to: currentColor;\n}\n\n.to-black {\n  --tw-gradient-to: #000;\n}\n\n.to-white {\n  --tw-gradient-to: #fff;\n}\n\n.to-gray-50 {\n  --tw-gradient-to: #f9fafb;\n}\n\n.to-gray-100 {\n  --tw-gradient-to: #f3f4f6;\n}\n\n.to-gray-200 {\n  --tw-gradient-to: #e5e7eb;\n}\n\n.to-gray-300 {\n  --tw-gradient-to: #d1d5db;\n}\n\n.to-gray-400 {\n  --tw-gradient-to: #9ca3af;\n}\n\n.to-gray-500 {\n  --tw-gradient-to: #6b7280;\n}\n\n.to-gray-600 {\n  --tw-gradient-to: #4b5563;\n}\n\n.to-gray-700 {\n  --tw-gradient-to: #374151;\n}\n\n.to-gray-800 {\n  --tw-gradient-to: #1f2937;\n}\n\n.to-gray-900 {\n  --tw-gradient-to: #111827;\n}\n\n.to-red-50 {\n  --tw-gradient-to: #fef2f2;\n}\n\n.to-red-100 {\n  --tw-gradient-to: #fee2e2;\n}\n\n.to-red-200 {\n  --tw-gradient-to: #fecaca;\n}\n\n.to-red-300 {\n  --tw-gradient-to: #fca5a5;\n}\n\n.to-red-400 {\n  --tw-gradient-to: #f87171;\n}\n\n.to-red-500 {\n  --tw-gradient-to: #ef4444;\n}\n\n.to-red-600 {\n  --tw-gradient-to: #dc2626;\n}\n\n.to-red-700 {\n  --tw-gradient-to: #b91c1c;\n}\n\n.to-red-800 {\n  --tw-gradient-to: #991b1b;\n}\n\n.to-red-900 {\n  --tw-gradient-to: #7f1d1d;\n}\n\n.to-yellow-50 {\n  --tw-gradient-to: #fffbeb;\n}\n\n.to-yellow-100 {\n  --tw-gradient-to: #fef3c7;\n}\n\n.to-yellow-200 {\n  --tw-gradient-to: #fde68a;\n}\n\n.to-yellow-300 {\n  --tw-gradient-to: #fcd34d;\n}\n\n.to-yellow-400 {\n  --tw-gradient-to: #fbbf24;\n}\n\n.to-yellow-500 {\n  --tw-gradient-to: #f59e0b;\n}\n\n.to-yellow-600 {\n  --tw-gradient-to: #d97706;\n}\n\n.to-yellow-700 {\n  --tw-gradient-to: #b45309;\n}\n\n.to-yellow-800 {\n  --tw-gradient-to: #92400e;\n}\n\n.to-yellow-900 {\n  --tw-gradient-to: #78350f;\n}\n\n.to-green-50 {\n  --tw-gradient-to: #ecfdf5;\n}\n\n.to-green-100 {\n  --tw-gradient-to: #d1fae5;\n}\n\n.to-green-200 {\n  --tw-gradient-to: #a7f3d0;\n}\n\n.to-green-300 {\n  --tw-gradient-to: #6ee7b7;\n}\n\n.to-green-400 {\n  --tw-gradient-to: #34d399;\n}\n\n.to-green-500 {\n  --tw-gradient-to: #10b981;\n}\n\n.to-green-600 {\n  --tw-gradient-to: #059669;\n}\n\n.to-green-700 {\n  --tw-gradient-to: #047857;\n}\n\n.to-green-800 {\n  --tw-gradient-to: #065f46;\n}\n\n.to-green-900 {\n  --tw-gradient-to: #064e3b;\n}\n\n.to-blue-50 {\n  --tw-gradient-to: #eff6ff;\n}\n\n.to-blue-100 {\n  --tw-gradient-to: #dbeafe;\n}\n\n.to-blue-200 {\n  --tw-gradient-to: #bfdbfe;\n}\n\n.to-blue-300 {\n  --tw-gradient-to: #93c5fd;\n}\n\n.to-blue-400 {\n  --tw-gradient-to: #60a5fa;\n}\n\n.to-blue-500 {\n  --tw-gradient-to: #3b82f6;\n}\n\n.to-blue-600 {\n  --tw-gradient-to: #2563eb;\n}\n\n.to-blue-700 {\n  --tw-gradient-to: #1d4ed8;\n}\n\n.to-blue-800 {\n  --tw-gradient-to: #1e40af;\n}\n\n.to-blue-900 {\n  --tw-gradient-to: #1e3a8a;\n}\n\n.to-indigo-50 {\n  --tw-gradient-to: #eef2ff;\n}\n\n.to-indigo-100 {\n  --tw-gradient-to: #e0e7ff;\n}\n\n.to-indigo-200 {\n  --tw-gradient-to: #c7d2fe;\n}\n\n.to-indigo-300 {\n  --tw-gradient-to: #a5b4fc;\n}\n\n.to-indigo-400 {\n  --tw-gradient-to: #818cf8;\n}\n\n.to-indigo-500 {\n  --tw-gradient-to: #6366f1;\n}\n\n.to-indigo-600 {\n  --tw-gradient-to: #4f46e5;\n}\n\n.to-indigo-700 {\n  --tw-gradient-to: #4338ca;\n}\n\n.to-indigo-800 {\n  --tw-gradient-to: #3730a3;\n}\n\n.to-indigo-900 {\n  --tw-gradient-to: #312e81;\n}\n\n.to-purple-50 {\n  --tw-gradient-to: #f5f3ff;\n}\n\n.to-purple-100 {\n  --tw-gradient-to: #ede9fe;\n}\n\n.to-purple-200 {\n  --tw-gradient-to: #ddd6fe;\n}\n\n.to-purple-300 {\n  --tw-gradient-to: #c4b5fd;\n}\n\n.to-purple-400 {\n  --tw-gradient-to: #a78bfa;\n}\n\n.to-purple-500 {\n  --tw-gradient-to: #8b5cf6;\n}\n\n.to-purple-600 {\n  --tw-gradient-to: #7c3aed;\n}\n\n.to-purple-700 {\n  --tw-gradient-to: #6d28d9;\n}\n\n.to-purple-800 {\n  --tw-gradient-to: #5b21b6;\n}\n\n.to-purple-900 {\n  --tw-gradient-to: #4c1d95;\n}\n\n.to-pink-50 {\n  --tw-gradient-to: #fdf2f8;\n}\n\n.to-pink-100 {\n  --tw-gradient-to: #fce7f3;\n}\n\n.to-pink-200 {\n  --tw-gradient-to: #fbcfe8;\n}\n\n.to-pink-300 {\n  --tw-gradient-to: #f9a8d4;\n}\n\n.to-pink-400 {\n  --tw-gradient-to: #f472b6;\n}\n\n.to-pink-500 {\n  --tw-gradient-to: #ec4899;\n}\n\n.to-pink-600 {\n  --tw-gradient-to: #db2777;\n}\n\n.to-pink-700 {\n  --tw-gradient-to: #be185d;\n}\n\n.to-pink-800 {\n  --tw-gradient-to: #9d174d;\n}\n\n.to-pink-900 {\n  --tw-gradient-to: #831843;\n}\n\n.to-origin-protocol-button-start {\n  --tw-gradient-to: #8C66FC;\n}\n\n.to-origin-protocol-button-end {\n  --tw-gradient-to: #0274F1;\n}\n\n.to-ousd-button-start {\n  --tw-gradient-to: #B361E6;\n}\n\n.to-ousd-button-end {\n  --tw-gradient-to: #6A36FC;\n}\n\n.to-ousd-button-dark-start {\n  --tw-gradient-to: #402154;\n}\n\n.to-ousd-button-dark-end {\n  --tw-gradient-to: #120046;\n}\n\n.to-story-button-start {\n  --tw-gradient-to: #8C66FC;\n}\n\n.to-story-button-end {\n  --tw-gradient-to: #429CFF;\n}\n\n.to-story-pink-start {\n  --tw-gradient-to: #FB25F1;\n}\n\n.to-story-pink-end {\n  --tw-gradient-to: #FD9BC2;\n}\n\n.to-footer-end {\n  --tw-gradient-to: #1E313F;\n}\n\n.hover\\:to-transparent:hover {\n  --tw-gradient-to: transparent;\n}\n\n.hover\\:to-current:hover {\n  --tw-gradient-to: currentColor;\n}\n\n.hover\\:to-black:hover {\n  --tw-gradient-to: #000;\n}\n\n.hover\\:to-white:hover {\n  --tw-gradient-to: #fff;\n}\n\n.hover\\:to-gray-50:hover {\n  --tw-gradient-to: #f9fafb;\n}\n\n.hover\\:to-gray-100:hover {\n  --tw-gradient-to: #f3f4f6;\n}\n\n.hover\\:to-gray-200:hover {\n  --tw-gradient-to: #e5e7eb;\n}\n\n.hover\\:to-gray-300:hover {\n  --tw-gradient-to: #d1d5db;\n}\n\n.hover\\:to-gray-400:hover {\n  --tw-gradient-to: #9ca3af;\n}\n\n.hover\\:to-gray-500:hover {\n  --tw-gradient-to: #6b7280;\n}\n\n.hover\\:to-gray-600:hover {\n  --tw-gradient-to: #4b5563;\n}\n\n.hover\\:to-gray-700:hover {\n  --tw-gradient-to: #374151;\n}\n\n.hover\\:to-gray-800:hover {\n  --tw-gradient-to: #1f2937;\n}\n\n.hover\\:to-gray-900:hover {\n  --tw-gradient-to: #111827;\n}\n\n.hover\\:to-red-50:hover {\n  --tw-gradient-to: #fef2f2;\n}\n\n.hover\\:to-red-100:hover {\n  --tw-gradient-to: #fee2e2;\n}\n\n.hover\\:to-red-200:hover {\n  --tw-gradient-to: #fecaca;\n}\n\n.hover\\:to-red-300:hover {\n  --tw-gradient-to: #fca5a5;\n}\n\n.hover\\:to-red-400:hover {\n  --tw-gradient-to: #f87171;\n}\n\n.hover\\:to-red-500:hover {\n  --tw-gradient-to: #ef4444;\n}\n\n.hover\\:to-red-600:hover {\n  --tw-gradient-to: #dc2626;\n}\n\n.hover\\:to-red-700:hover {\n  --tw-gradient-to: #b91c1c;\n}\n\n.hover\\:to-red-800:hover {\n  --tw-gradient-to: #991b1b;\n}\n\n.hover\\:to-red-900:hover {\n  --tw-gradient-to: #7f1d1d;\n}\n\n.hover\\:to-yellow-50:hover {\n  --tw-gradient-to: #fffbeb;\n}\n\n.hover\\:to-yellow-100:hover {\n  --tw-gradient-to: #fef3c7;\n}\n\n.hover\\:to-yellow-200:hover {\n  --tw-gradient-to: #fde68a;\n}\n\n.hover\\:to-yellow-300:hover {\n  --tw-gradient-to: #fcd34d;\n}\n\n.hover\\:to-yellow-400:hover {\n  --tw-gradient-to: #fbbf24;\n}\n\n.hover\\:to-yellow-500:hover {\n  --tw-gradient-to: #f59e0b;\n}\n\n.hover\\:to-yellow-600:hover {\n  --tw-gradient-to: #d97706;\n}\n\n.hover\\:to-yellow-700:hover {\n  --tw-gradient-to: #b45309;\n}\n\n.hover\\:to-yellow-800:hover {\n  --tw-gradient-to: #92400e;\n}\n\n.hover\\:to-yellow-900:hover {\n  --tw-gradient-to: #78350f;\n}\n\n.hover\\:to-green-50:hover {\n  --tw-gradient-to: #ecfdf5;\n}\n\n.hover\\:to-green-100:hover {\n  --tw-gradient-to: #d1fae5;\n}\n\n.hover\\:to-green-200:hover {\n  --tw-gradient-to: #a7f3d0;\n}\n\n.hover\\:to-green-300:hover {\n  --tw-gradient-to: #6ee7b7;\n}\n\n.hover\\:to-green-400:hover {\n  --tw-gradient-to: #34d399;\n}\n\n.hover\\:to-green-500:hover {\n  --tw-gradient-to: #10b981;\n}\n\n.hover\\:to-green-600:hover {\n  --tw-gradient-to: #059669;\n}\n\n.hover\\:to-green-700:hover {\n  --tw-gradient-to: #047857;\n}\n\n.hover\\:to-green-800:hover {\n  --tw-gradient-to: #065f46;\n}\n\n.hover\\:to-green-900:hover {\n  --tw-gradient-to: #064e3b;\n}\n\n.hover\\:to-blue-50:hover {\n  --tw-gradient-to: #eff6ff;\n}\n\n.hover\\:to-blue-100:hover {\n  --tw-gradient-to: #dbeafe;\n}\n\n.hover\\:to-blue-200:hover {\n  --tw-gradient-to: #bfdbfe;\n}\n\n.hover\\:to-blue-300:hover {\n  --tw-gradient-to: #93c5fd;\n}\n\n.hover\\:to-blue-400:hover {\n  --tw-gradient-to: #60a5fa;\n}\n\n.hover\\:to-blue-500:hover {\n  --tw-gradient-to: #3b82f6;\n}\n\n.hover\\:to-blue-600:hover {\n  --tw-gradient-to: #2563eb;\n}\n\n.hover\\:to-blue-700:hover {\n  --tw-gradient-to: #1d4ed8;\n}\n\n.hover\\:to-blue-800:hover {\n  --tw-gradient-to: #1e40af;\n}\n\n.hover\\:to-blue-900:hover {\n  --tw-gradient-to: #1e3a8a;\n}\n\n.hover\\:to-indigo-50:hover {\n  --tw-gradient-to: #eef2ff;\n}\n\n.hover\\:to-indigo-100:hover {\n  --tw-gradient-to: #e0e7ff;\n}\n\n.hover\\:to-indigo-200:hover {\n  --tw-gradient-to: #c7d2fe;\n}\n\n.hover\\:to-indigo-300:hover {\n  --tw-gradient-to: #a5b4fc;\n}\n\n.hover\\:to-indigo-400:hover {\n  --tw-gradient-to: #818cf8;\n}\n\n.hover\\:to-indigo-500:hover {\n  --tw-gradient-to: #6366f1;\n}\n\n.hover\\:to-indigo-600:hover {\n  --tw-gradient-to: #4f46e5;\n}\n\n.hover\\:to-indigo-700:hover {\n  --tw-gradient-to: #4338ca;\n}\n\n.hover\\:to-indigo-800:hover {\n  --tw-gradient-to: #3730a3;\n}\n\n.hover\\:to-indigo-900:hover {\n  --tw-gradient-to: #312e81;\n}\n\n.hover\\:to-purple-50:hover {\n  --tw-gradient-to: #f5f3ff;\n}\n\n.hover\\:to-purple-100:hover {\n  --tw-gradient-to: #ede9fe;\n}\n\n.hover\\:to-purple-200:hover {\n  --tw-gradient-to: #ddd6fe;\n}\n\n.hover\\:to-purple-300:hover {\n  --tw-gradient-to: #c4b5fd;\n}\n\n.hover\\:to-purple-400:hover {\n  --tw-gradient-to: #a78bfa;\n}\n\n.hover\\:to-purple-500:hover {\n  --tw-gradient-to: #8b5cf6;\n}\n\n.hover\\:to-purple-600:hover {\n  --tw-gradient-to: #7c3aed;\n}\n\n.hover\\:to-purple-700:hover {\n  --tw-gradient-to: #6d28d9;\n}\n\n.hover\\:to-purple-800:hover {\n  --tw-gradient-to: #5b21b6;\n}\n\n.hover\\:to-purple-900:hover {\n  --tw-gradient-to: #4c1d95;\n}\n\n.hover\\:to-pink-50:hover {\n  --tw-gradient-to: #fdf2f8;\n}\n\n.hover\\:to-pink-100:hover {\n  --tw-gradient-to: #fce7f3;\n}\n\n.hover\\:to-pink-200:hover {\n  --tw-gradient-to: #fbcfe8;\n}\n\n.hover\\:to-pink-300:hover {\n  --tw-gradient-to: #f9a8d4;\n}\n\n.hover\\:to-pink-400:hover {\n  --tw-gradient-to: #f472b6;\n}\n\n.hover\\:to-pink-500:hover {\n  --tw-gradient-to: #ec4899;\n}\n\n.hover\\:to-pink-600:hover {\n  --tw-gradient-to: #db2777;\n}\n\n.hover\\:to-pink-700:hover {\n  --tw-gradient-to: #be185d;\n}\n\n.hover\\:to-pink-800:hover {\n  --tw-gradient-to: #9d174d;\n}\n\n.hover\\:to-pink-900:hover {\n  --tw-gradient-to: #831843;\n}\n\n.hover\\:to-origin-protocol-button-start:hover {\n  --tw-gradient-to: #8C66FC;\n}\n\n.hover\\:to-origin-protocol-button-end:hover {\n  --tw-gradient-to: #0274F1;\n}\n\n.hover\\:to-ousd-button-start:hover {\n  --tw-gradient-to: #B361E6;\n}\n\n.hover\\:to-ousd-button-end:hover {\n  --tw-gradient-to: #6A36FC;\n}\n\n.hover\\:to-ousd-button-dark-start:hover {\n  --tw-gradient-to: #402154;\n}\n\n.hover\\:to-ousd-button-dark-end:hover {\n  --tw-gradient-to: #120046;\n}\n\n.hover\\:to-story-button-start:hover {\n  --tw-gradient-to: #8C66FC;\n}\n\n.hover\\:to-story-button-end:hover {\n  --tw-gradient-to: #429CFF;\n}\n\n.hover\\:to-story-pink-start:hover {\n  --tw-gradient-to: #FB25F1;\n}\n\n.hover\\:to-story-pink-end:hover {\n  --tw-gradient-to: #FD9BC2;\n}\n\n.hover\\:to-footer-end:hover {\n  --tw-gradient-to: #1E313F;\n}\n\n.focus\\:to-transparent:focus {\n  --tw-gradient-to: transparent;\n}\n\n.focus\\:to-current:focus {\n  --tw-gradient-to: currentColor;\n}\n\n.focus\\:to-black:focus {\n  --tw-gradient-to: #000;\n}\n\n.focus\\:to-white:focus {\n  --tw-gradient-to: #fff;\n}\n\n.focus\\:to-gray-50:focus {\n  --tw-gradient-to: #f9fafb;\n}\n\n.focus\\:to-gray-100:focus {\n  --tw-gradient-to: #f3f4f6;\n}\n\n.focus\\:to-gray-200:focus {\n  --tw-gradient-to: #e5e7eb;\n}\n\n.focus\\:to-gray-300:focus {\n  --tw-gradient-to: #d1d5db;\n}\n\n.focus\\:to-gray-400:focus {\n  --tw-gradient-to: #9ca3af;\n}\n\n.focus\\:to-gray-500:focus {\n  --tw-gradient-to: #6b7280;\n}\n\n.focus\\:to-gray-600:focus {\n  --tw-gradient-to: #4b5563;\n}\n\n.focus\\:to-gray-700:focus {\n  --tw-gradient-to: #374151;\n}\n\n.focus\\:to-gray-800:focus {\n  --tw-gradient-to: #1f2937;\n}\n\n.focus\\:to-gray-900:focus {\n  --tw-gradient-to: #111827;\n}\n\n.focus\\:to-red-50:focus {\n  --tw-gradient-to: #fef2f2;\n}\n\n.focus\\:to-red-100:focus {\n  --tw-gradient-to: #fee2e2;\n}\n\n.focus\\:to-red-200:focus {\n  --tw-gradient-to: #fecaca;\n}\n\n.focus\\:to-red-300:focus {\n  --tw-gradient-to: #fca5a5;\n}\n\n.focus\\:to-red-400:focus {\n  --tw-gradient-to: #f87171;\n}\n\n.focus\\:to-red-500:focus {\n  --tw-gradient-to: #ef4444;\n}\n\n.focus\\:to-red-600:focus {\n  --tw-gradient-to: #dc2626;\n}\n\n.focus\\:to-red-700:focus {\n  --tw-gradient-to: #b91c1c;\n}\n\n.focus\\:to-red-800:focus {\n  --tw-gradient-to: #991b1b;\n}\n\n.focus\\:to-red-900:focus {\n  --tw-gradient-to: #7f1d1d;\n}\n\n.focus\\:to-yellow-50:focus {\n  --tw-gradient-to: #fffbeb;\n}\n\n.focus\\:to-yellow-100:focus {\n  --tw-gradient-to: #fef3c7;\n}\n\n.focus\\:to-yellow-200:focus {\n  --tw-gradient-to: #fde68a;\n}\n\n.focus\\:to-yellow-300:focus {\n  --tw-gradient-to: #fcd34d;\n}\n\n.focus\\:to-yellow-400:focus {\n  --tw-gradient-to: #fbbf24;\n}\n\n.focus\\:to-yellow-500:focus {\n  --tw-gradient-to: #f59e0b;\n}\n\n.focus\\:to-yellow-600:focus {\n  --tw-gradient-to: #d97706;\n}\n\n.focus\\:to-yellow-700:focus {\n  --tw-gradient-to: #b45309;\n}\n\n.focus\\:to-yellow-800:focus {\n  --tw-gradient-to: #92400e;\n}\n\n.focus\\:to-yellow-900:focus {\n  --tw-gradient-to: #78350f;\n}\n\n.focus\\:to-green-50:focus {\n  --tw-gradient-to: #ecfdf5;\n}\n\n.focus\\:to-green-100:focus {\n  --tw-gradient-to: #d1fae5;\n}\n\n.focus\\:to-green-200:focus {\n  --tw-gradient-to: #a7f3d0;\n}\n\n.focus\\:to-green-300:focus {\n  --tw-gradient-to: #6ee7b7;\n}\n\n.focus\\:to-green-400:focus {\n  --tw-gradient-to: #34d399;\n}\n\n.focus\\:to-green-500:focus {\n  --tw-gradient-to: #10b981;\n}\n\n.focus\\:to-green-600:focus {\n  --tw-gradient-to: #059669;\n}\n\n.focus\\:to-green-700:focus {\n  --tw-gradient-to: #047857;\n}\n\n.focus\\:to-green-800:focus {\n  --tw-gradient-to: #065f46;\n}\n\n.focus\\:to-green-900:focus {\n  --tw-gradient-to: #064e3b;\n}\n\n.focus\\:to-blue-50:focus {\n  --tw-gradient-to: #eff6ff;\n}\n\n.focus\\:to-blue-100:focus {\n  --tw-gradient-to: #dbeafe;\n}\n\n.focus\\:to-blue-200:focus {\n  --tw-gradient-to: #bfdbfe;\n}\n\n.focus\\:to-blue-300:focus {\n  --tw-gradient-to: #93c5fd;\n}\n\n.focus\\:to-blue-400:focus {\n  --tw-gradient-to: #60a5fa;\n}\n\n.focus\\:to-blue-500:focus {\n  --tw-gradient-to: #3b82f6;\n}\n\n.focus\\:to-blue-600:focus {\n  --tw-gradient-to: #2563eb;\n}\n\n.focus\\:to-blue-700:focus {\n  --tw-gradient-to: #1d4ed8;\n}\n\n.focus\\:to-blue-800:focus {\n  --tw-gradient-to: #1e40af;\n}\n\n.focus\\:to-blue-900:focus {\n  --tw-gradient-to: #1e3a8a;\n}\n\n.focus\\:to-indigo-50:focus {\n  --tw-gradient-to: #eef2ff;\n}\n\n.focus\\:to-indigo-100:focus {\n  --tw-gradient-to: #e0e7ff;\n}\n\n.focus\\:to-indigo-200:focus {\n  --tw-gradient-to: #c7d2fe;\n}\n\n.focus\\:to-indigo-300:focus {\n  --tw-gradient-to: #a5b4fc;\n}\n\n.focus\\:to-indigo-400:focus {\n  --tw-gradient-to: #818cf8;\n}\n\n.focus\\:to-indigo-500:focus {\n  --tw-gradient-to: #6366f1;\n}\n\n.focus\\:to-indigo-600:focus {\n  --tw-gradient-to: #4f46e5;\n}\n\n.focus\\:to-indigo-700:focus {\n  --tw-gradient-to: #4338ca;\n}\n\n.focus\\:to-indigo-800:focus {\n  --tw-gradient-to: #3730a3;\n}\n\n.focus\\:to-indigo-900:focus {\n  --tw-gradient-to: #312e81;\n}\n\n.focus\\:to-purple-50:focus {\n  --tw-gradient-to: #f5f3ff;\n}\n\n.focus\\:to-purple-100:focus {\n  --tw-gradient-to: #ede9fe;\n}\n\n.focus\\:to-purple-200:focus {\n  --tw-gradient-to: #ddd6fe;\n}\n\n.focus\\:to-purple-300:focus {\n  --tw-gradient-to: #c4b5fd;\n}\n\n.focus\\:to-purple-400:focus {\n  --tw-gradient-to: #a78bfa;\n}\n\n.focus\\:to-purple-500:focus {\n  --tw-gradient-to: #8b5cf6;\n}\n\n.focus\\:to-purple-600:focus {\n  --tw-gradient-to: #7c3aed;\n}\n\n.focus\\:to-purple-700:focus {\n  --tw-gradient-to: #6d28d9;\n}\n\n.focus\\:to-purple-800:focus {\n  --tw-gradient-to: #5b21b6;\n}\n\n.focus\\:to-purple-900:focus {\n  --tw-gradient-to: #4c1d95;\n}\n\n.focus\\:to-pink-50:focus {\n  --tw-gradient-to: #fdf2f8;\n}\n\n.focus\\:to-pink-100:focus {\n  --tw-gradient-to: #fce7f3;\n}\n\n.focus\\:to-pink-200:focus {\n  --tw-gradient-to: #fbcfe8;\n}\n\n.focus\\:to-pink-300:focus {\n  --tw-gradient-to: #f9a8d4;\n}\n\n.focus\\:to-pink-400:focus {\n  --tw-gradient-to: #f472b6;\n}\n\n.focus\\:to-pink-500:focus {\n  --tw-gradient-to: #ec4899;\n}\n\n.focus\\:to-pink-600:focus {\n  --tw-gradient-to: #db2777;\n}\n\n.focus\\:to-pink-700:focus {\n  --tw-gradient-to: #be185d;\n}\n\n.focus\\:to-pink-800:focus {\n  --tw-gradient-to: #9d174d;\n}\n\n.focus\\:to-pink-900:focus {\n  --tw-gradient-to: #831843;\n}\n\n.focus\\:to-origin-protocol-button-start:focus {\n  --tw-gradient-to: #8C66FC;\n}\n\n.focus\\:to-origin-protocol-button-end:focus {\n  --tw-gradient-to: #0274F1;\n}\n\n.focus\\:to-ousd-button-start:focus {\n  --tw-gradient-to: #B361E6;\n}\n\n.focus\\:to-ousd-button-end:focus {\n  --tw-gradient-to: #6A36FC;\n}\n\n.focus\\:to-ousd-button-dark-start:focus {\n  --tw-gradient-to: #402154;\n}\n\n.focus\\:to-ousd-button-dark-end:focus {\n  --tw-gradient-to: #120046;\n}\n\n.focus\\:to-story-button-start:focus {\n  --tw-gradient-to: #8C66FC;\n}\n\n.focus\\:to-story-button-end:focus {\n  --tw-gradient-to: #429CFF;\n}\n\n.focus\\:to-story-pink-start:focus {\n  --tw-gradient-to: #FB25F1;\n}\n\n.focus\\:to-story-pink-end:focus {\n  --tw-gradient-to: #FD9BC2;\n}\n\n.focus\\:to-footer-end:focus {\n  --tw-gradient-to: #1E313F;\n}\n\n.decoration-slice {\n  -webkit-box-decoration-break: slice;\n          box-decoration-break: slice;\n}\n\n.decoration-clone {\n  -webkit-box-decoration-break: clone;\n          box-decoration-break: clone;\n}\n\n.bg-auto {\n  background-size: auto;\n}\n\n.bg-cover {\n  background-size: cover;\n}\n\n.bg-contain {\n  background-size: contain;\n}\n\n.bg-fixed {\n  background-attachment: fixed;\n}\n\n.bg-local {\n  background-attachment: local;\n}\n\n.bg-scroll {\n  background-attachment: scroll;\n}\n\n.bg-clip-border {\n  background-clip: border-box;\n}\n\n.bg-clip-padding {\n  background-clip: padding-box;\n}\n\n.bg-clip-content {\n  background-clip: content-box;\n}\n\n.bg-clip-text {\n  -webkit-background-clip: text;\n          background-clip: text;\n}\n\n.bg-bottom {\n  background-position: bottom;\n}\n\n.bg-center {\n  background-position: center;\n}\n\n.bg-left {\n  background-position: left;\n}\n\n.bg-left-bottom {\n  background-position: left bottom;\n}\n\n.bg-left-top {\n  background-position: left top;\n}\n\n.bg-right {\n  background-position: right;\n}\n\n.bg-right-bottom {\n  background-position: right bottom;\n}\n\n.bg-right-top {\n  background-position: right top;\n}\n\n.bg-top {\n  background-position: top;\n}\n\n.bg-repeat {\n  background-repeat: repeat;\n}\n\n.bg-no-repeat {\n  background-repeat: no-repeat;\n}\n\n.bg-repeat-x {\n  background-repeat: repeat-x;\n}\n\n.bg-repeat-y {\n  background-repeat: repeat-y;\n}\n\n.bg-repeat-round {\n  background-repeat: round;\n}\n\n.bg-repeat-space {\n  background-repeat: space;\n}\n\n.bg-origin-border {\n  background-origin: border-box;\n}\n\n.bg-origin-padding {\n  background-origin: padding-box;\n}\n\n.bg-origin-content {\n  background-origin: content-box;\n}\n\n.fill-current {\n  fill: currentColor;\n}\n\n.stroke-current {\n  stroke: currentColor;\n}\n\n.stroke-0 {\n  stroke-width: 0;\n}\n\n.stroke-1 {\n  stroke-width: 1;\n}\n\n.stroke-2 {\n  stroke-width: 2;\n}\n\n.object-contain {\n  -o-object-fit: contain;\n     object-fit: contain;\n}\n\n.object-cover {\n  -o-object-fit: cover;\n     object-fit: cover;\n}\n\n.object-fill {\n  -o-object-fit: fill;\n     object-fit: fill;\n}\n\n.object-none {\n  -o-object-fit: none;\n     object-fit: none;\n}\n\n.object-scale-down {\n  -o-object-fit: scale-down;\n     object-fit: scale-down;\n}\n\n.object-bottom {\n  -o-object-position: bottom;\n     object-position: bottom;\n}\n\n.object-center {\n  -o-object-position: center;\n     object-position: center;\n}\n\n.object-left {\n  -o-object-position: left;\n     object-position: left;\n}\n\n.object-left-bottom {\n  -o-object-position: left bottom;\n     object-position: left bottom;\n}\n\n.object-left-top {\n  -o-object-position: left top;\n     object-position: left top;\n}\n\n.object-right {\n  -o-object-position: right;\n     object-position: right;\n}\n\n.object-right-bottom {\n  -o-object-position: right bottom;\n     object-position: right bottom;\n}\n\n.object-right-top {\n  -o-object-position: right top;\n     object-position: right top;\n}\n\n.object-top {\n  -o-object-position: top;\n     object-position: top;\n}\n\n.p-0 {\n  padding: 0px;\n}\n\n.p-1 {\n  padding: 0.25rem;\n}\n\n.p-2 {\n  padding: 0.5rem;\n}\n\n.p-3 {\n  padding: 0.75rem;\n}\n\n.p-4 {\n  padding: 1rem;\n}\n\n.p-5 {\n  padding: 1.25rem;\n}\n\n.p-6 {\n  padding: 1.5rem;\n}\n\n.p-7 {\n  padding: 1.75rem;\n}\n\n.p-8 {\n  padding: 2rem;\n}\n\n.p-9 {\n  padding: 2.25rem;\n}\n\n.p-10 {\n  padding: 2.5rem;\n}\n\n.p-11 {\n  padding: 2.75rem;\n}\n\n.p-12 {\n  padding: 3rem;\n}\n\n.p-14 {\n  padding: 3.5rem;\n}\n\n.p-16 {\n  padding: 4rem;\n}\n\n.p-20 {\n  padding: 5rem;\n}\n\n.p-24 {\n  padding: 6rem;\n}\n\n.p-28 {\n  padding: 7rem;\n}\n\n.p-32 {\n  padding: 8rem;\n}\n\n.p-36 {\n  padding: 9rem;\n}\n\n.p-40 {\n  padding: 10rem;\n}\n\n.p-44 {\n  padding: 11rem;\n}\n\n.p-48 {\n  padding: 12rem;\n}\n\n.p-52 {\n  padding: 13rem;\n}\n\n.p-56 {\n  padding: 14rem;\n}\n\n.p-60 {\n  padding: 15rem;\n}\n\n.p-64 {\n  padding: 16rem;\n}\n\n.p-72 {\n  padding: 18rem;\n}\n\n.p-80 {\n  padding: 20rem;\n}\n\n.p-96 {\n  padding: 24rem;\n}\n\n.p-px {\n  padding: 1px;\n}\n\n.p-0\\.5 {\n  padding: 0.125rem;\n}\n\n.p-1\\.5 {\n  padding: 0.375rem;\n}\n\n.p-2\\.5 {\n  padding: 0.625rem;\n}\n\n.p-3\\.5 {\n  padding: 0.875rem;\n}\n\n.px-0 {\n  padding-left: 0px;\n  padding-right: 0px;\n}\n\n.px-1 {\n  padding-left: 0.25rem;\n  padding-right: 0.25rem;\n}\n\n.px-2 {\n  padding-left: 0.5rem;\n  padding-right: 0.5rem;\n}\n\n.px-3 {\n  padding-left: 0.75rem;\n  padding-right: 0.75rem;\n}\n\n.px-4 {\n  padding-left: 1rem;\n  padding-right: 1rem;\n}\n\n.px-5 {\n  padding-left: 1.25rem;\n  padding-right: 1.25rem;\n}\n\n.px-6 {\n  padding-left: 1.5rem;\n  padding-right: 1.5rem;\n}\n\n.px-7 {\n  padding-left: 1.75rem;\n  padding-right: 1.75rem;\n}\n\n.px-8 {\n  padding-left: 2rem;\n  padding-right: 2rem;\n}\n\n.px-9 {\n  padding-left: 2.25rem;\n  padding-right: 2.25rem;\n}\n\n.px-10 {\n  padding-left: 2.5rem;\n  padding-right: 2.5rem;\n}\n\n.px-11 {\n  padding-left: 2.75rem;\n  padding-right: 2.75rem;\n}\n\n.px-12 {\n  padding-left: 3rem;\n  padding-right: 3rem;\n}\n\n.px-14 {\n  padding-left: 3.5rem;\n  padding-right: 3.5rem;\n}\n\n.px-16 {\n  padding-left: 4rem;\n  padding-right: 4rem;\n}\n\n.px-20 {\n  padding-left: 5rem;\n  padding-right: 5rem;\n}\n\n.px-24 {\n  padding-left: 6rem;\n  padding-right: 6rem;\n}\n\n.px-28 {\n  padding-left: 7rem;\n  padding-right: 7rem;\n}\n\n.px-32 {\n  padding-left: 8rem;\n  padding-right: 8rem;\n}\n\n.px-36 {\n  padding-left: 9rem;\n  padding-right: 9rem;\n}\n\n.px-40 {\n  padding-left: 10rem;\n  padding-right: 10rem;\n}\n\n.px-44 {\n  padding-left: 11rem;\n  padding-right: 11rem;\n}\n\n.px-48 {\n  padding-left: 12rem;\n  padding-right: 12rem;\n}\n\n.px-52 {\n  padding-left: 13rem;\n  padding-right: 13rem;\n}\n\n.px-56 {\n  padding-left: 14rem;\n  padding-right: 14rem;\n}\n\n.px-60 {\n  padding-left: 15rem;\n  padding-right: 15rem;\n}\n\n.px-64 {\n  padding-left: 16rem;\n  padding-right: 16rem;\n}\n\n.px-72 {\n  padding-left: 18rem;\n  padding-right: 18rem;\n}\n\n.px-80 {\n  padding-left: 20rem;\n  padding-right: 20rem;\n}\n\n.px-96 {\n  padding-left: 24rem;\n  padding-right: 24rem;\n}\n\n.px-px {\n  padding-left: 1px;\n  padding-right: 1px;\n}\n\n.px-0\\.5 {\n  padding-left: 0.125rem;\n  padding-right: 0.125rem;\n}\n\n.px-1\\.5 {\n  padding-left: 0.375rem;\n  padding-right: 0.375rem;\n}\n\n.px-2\\.5 {\n  padding-left: 0.625rem;\n  padding-right: 0.625rem;\n}\n\n.px-3\\.5 {\n  padding-left: 0.875rem;\n  padding-right: 0.875rem;\n}\n\n.py-0 {\n  padding-top: 0px;\n  padding-bottom: 0px;\n}\n\n.py-1 {\n  padding-top: 0.25rem;\n  padding-bottom: 0.25rem;\n}\n\n.py-2 {\n  padding-top: 0.5rem;\n  padding-bottom: 0.5rem;\n}\n\n.py-3 {\n  padding-top: 0.75rem;\n  padding-bottom: 0.75rem;\n}\n\n.py-4 {\n  padding-top: 1rem;\n  padding-bottom: 1rem;\n}\n\n.py-5 {\n  padding-top: 1.25rem;\n  padding-bottom: 1.25rem;\n}\n\n.py-6 {\n  padding-top: 1.5rem;\n  padding-bottom: 1.5rem;\n}\n\n.py-7 {\n  padding-top: 1.75rem;\n  padding-bottom: 1.75rem;\n}\n\n.py-8 {\n  padding-top: 2rem;\n  padding-bottom: 2rem;\n}\n\n.py-9 {\n  padding-top: 2.25rem;\n  padding-bottom: 2.25rem;\n}\n\n.py-10 {\n  padding-top: 2.5rem;\n  padding-bottom: 2.5rem;\n}\n\n.py-11 {\n  padding-top: 2.75rem;\n  padding-bottom: 2.75rem;\n}\n\n.py-12 {\n  padding-top: 3rem;\n  padding-bottom: 3rem;\n}\n\n.py-14 {\n  padding-top: 3.5rem;\n  padding-bottom: 3.5rem;\n}\n\n.py-16 {\n  padding-top: 4rem;\n  padding-bottom: 4rem;\n}\n\n.py-20 {\n  padding-top: 5rem;\n  padding-bottom: 5rem;\n}\n\n.py-24 {\n  padding-top: 6rem;\n  padding-bottom: 6rem;\n}\n\n.py-28 {\n  padding-top: 7rem;\n  padding-bottom: 7rem;\n}\n\n.py-32 {\n  padding-top: 8rem;\n  padding-bottom: 8rem;\n}\n\n.py-36 {\n  padding-top: 9rem;\n  padding-bottom: 9rem;\n}\n\n.py-40 {\n  padding-top: 10rem;\n  padding-bottom: 10rem;\n}\n\n.py-44 {\n  padding-top: 11rem;\n  padding-bottom: 11rem;\n}\n\n.py-48 {\n  padding-top: 12rem;\n  padding-bottom: 12rem;\n}\n\n.py-52 {\n  padding-top: 13rem;\n  padding-bottom: 13rem;\n}\n\n.py-56 {\n  padding-top: 14rem;\n  padding-bottom: 14rem;\n}\n\n.py-60 {\n  padding-top: 15rem;\n  padding-bottom: 15rem;\n}\n\n.py-64 {\n  padding-top: 16rem;\n  padding-bottom: 16rem;\n}\n\n.py-72 {\n  padding-top: 18rem;\n  padding-bottom: 18rem;\n}\n\n.py-80 {\n  padding-top: 20rem;\n  padding-bottom: 20rem;\n}\n\n.py-96 {\n  padding-top: 24rem;\n  padding-bottom: 24rem;\n}\n\n.py-px {\n  padding-top: 1px;\n  padding-bottom: 1px;\n}\n\n.py-0\\.5 {\n  padding-top: 0.125rem;\n  padding-bottom: 0.125rem;\n}\n\n.py-1\\.5 {\n  padding-top: 0.375rem;\n  padding-bottom: 0.375rem;\n}\n\n.py-2\\.5 {\n  padding-top: 0.625rem;\n  padding-bottom: 0.625rem;\n}\n\n.py-3\\.5 {\n  padding-top: 0.875rem;\n  padding-bottom: 0.875rem;\n}\n\n.pt-0 {\n  padding-top: 0px;\n}\n\n.pt-1 {\n  padding-top: 0.25rem;\n}\n\n.pt-2 {\n  padding-top: 0.5rem;\n}\n\n.pt-3 {\n  padding-top: 0.75rem;\n}\n\n.pt-4 {\n  padding-top: 1rem;\n}\n\n.pt-5 {\n  padding-top: 1.25rem;\n}\n\n.pt-6 {\n  padding-top: 1.5rem;\n}\n\n.pt-7 {\n  padding-top: 1.75rem;\n}\n\n.pt-8 {\n  padding-top: 2rem;\n}\n\n.pt-9 {\n  padding-top: 2.25rem;\n}\n\n.pt-10 {\n  padding-top: 2.5rem;\n}\n\n.pt-11 {\n  padding-top: 2.75rem;\n}\n\n.pt-12 {\n  padding-top: 3rem;\n}\n\n.pt-14 {\n  padding-top: 3.5rem;\n}\n\n.pt-16 {\n  padding-top: 4rem;\n}\n\n.pt-20 {\n  padding-top: 5rem;\n}\n\n.pt-24 {\n  padding-top: 6rem;\n}\n\n.pt-28 {\n  padding-top: 7rem;\n}\n\n.pt-32 {\n  padding-top: 8rem;\n}\n\n.pt-36 {\n  padding-top: 9rem;\n}\n\n.pt-40 {\n  padding-top: 10rem;\n}\n\n.pt-44 {\n  padding-top: 11rem;\n}\n\n.pt-48 {\n  padding-top: 12rem;\n}\n\n.pt-52 {\n  padding-top: 13rem;\n}\n\n.pt-56 {\n  padding-top: 14rem;\n}\n\n.pt-60 {\n  padding-top: 15rem;\n}\n\n.pt-64 {\n  padding-top: 16rem;\n}\n\n.pt-72 {\n  padding-top: 18rem;\n}\n\n.pt-80 {\n  padding-top: 20rem;\n}\n\n.pt-96 {\n  padding-top: 24rem;\n}\n\n.pt-px {\n  padding-top: 1px;\n}\n\n.pt-0\\.5 {\n  padding-top: 0.125rem;\n}\n\n.pt-1\\.5 {\n  padding-top: 0.375rem;\n}\n\n.pt-2\\.5 {\n  padding-top: 0.625rem;\n}\n\n.pt-3\\.5 {\n  padding-top: 0.875rem;\n}\n\n.pr-0 {\n  padding-right: 0px;\n}\n\n.pr-1 {\n  padding-right: 0.25rem;\n}\n\n.pr-2 {\n  padding-right: 0.5rem;\n}\n\n.pr-3 {\n  padding-right: 0.75rem;\n}\n\n.pr-4 {\n  padding-right: 1rem;\n}\n\n.pr-5 {\n  padding-right: 1.25rem;\n}\n\n.pr-6 {\n  padding-right: 1.5rem;\n}\n\n.pr-7 {\n  padding-right: 1.75rem;\n}\n\n.pr-8 {\n  padding-right: 2rem;\n}\n\n.pr-9 {\n  padding-right: 2.25rem;\n}\n\n.pr-10 {\n  padding-right: 2.5rem;\n}\n\n.pr-11 {\n  padding-right: 2.75rem;\n}\n\n.pr-12 {\n  padding-right: 3rem;\n}\n\n.pr-14 {\n  padding-right: 3.5rem;\n}\n\n.pr-16 {\n  padding-right: 4rem;\n}\n\n.pr-20 {\n  padding-right: 5rem;\n}\n\n.pr-24 {\n  padding-right: 6rem;\n}\n\n.pr-28 {\n  padding-right: 7rem;\n}\n\n.pr-32 {\n  padding-right: 8rem;\n}\n\n.pr-36 {\n  padding-right: 9rem;\n}\n\n.pr-40 {\n  padding-right: 10rem;\n}\n\n.pr-44 {\n  padding-right: 11rem;\n}\n\n.pr-48 {\n  padding-right: 12rem;\n}\n\n.pr-52 {\n  padding-right: 13rem;\n}\n\n.pr-56 {\n  padding-right: 14rem;\n}\n\n.pr-60 {\n  padding-right: 15rem;\n}\n\n.pr-64 {\n  padding-right: 16rem;\n}\n\n.pr-72 {\n  padding-right: 18rem;\n}\n\n.pr-80 {\n  padding-right: 20rem;\n}\n\n.pr-96 {\n  padding-right: 24rem;\n}\n\n.pr-px {\n  padding-right: 1px;\n}\n\n.pr-0\\.5 {\n  padding-right: 0.125rem;\n}\n\n.pr-1\\.5 {\n  padding-right: 0.375rem;\n}\n\n.pr-2\\.5 {\n  padding-right: 0.625rem;\n}\n\n.pr-3\\.5 {\n  padding-right: 0.875rem;\n}\n\n.pb-0 {\n  padding-bottom: 0px;\n}\n\n.pb-1 {\n  padding-bottom: 0.25rem;\n}\n\n.pb-2 {\n  padding-bottom: 0.5rem;\n}\n\n.pb-3 {\n  padding-bottom: 0.75rem;\n}\n\n.pb-4 {\n  padding-bottom: 1rem;\n}\n\n.pb-5 {\n  padding-bottom: 1.25rem;\n}\n\n.pb-6 {\n  padding-bottom: 1.5rem;\n}\n\n.pb-7 {\n  padding-bottom: 1.75rem;\n}\n\n.pb-8 {\n  padding-bottom: 2rem;\n}\n\n.pb-9 {\n  padding-bottom: 2.25rem;\n}\n\n.pb-10 {\n  padding-bottom: 2.5rem;\n}\n\n.pb-11 {\n  padding-bottom: 2.75rem;\n}\n\n.pb-12 {\n  padding-bottom: 3rem;\n}\n\n.pb-14 {\n  padding-bottom: 3.5rem;\n}\n\n.pb-16 {\n  padding-bottom: 4rem;\n}\n\n.pb-20 {\n  padding-bottom: 5rem;\n}\n\n.pb-24 {\n  padding-bottom: 6rem;\n}\n\n.pb-28 {\n  padding-bottom: 7rem;\n}\n\n.pb-32 {\n  padding-bottom: 8rem;\n}\n\n.pb-36 {\n  padding-bottom: 9rem;\n}\n\n.pb-40 {\n  padding-bottom: 10rem;\n}\n\n.pb-44 {\n  padding-bottom: 11rem;\n}\n\n.pb-48 {\n  padding-bottom: 12rem;\n}\n\n.pb-52 {\n  padding-bottom: 13rem;\n}\n\n.pb-56 {\n  padding-bottom: 14rem;\n}\n\n.pb-60 {\n  padding-bottom: 15rem;\n}\n\n.pb-64 {\n  padding-bottom: 16rem;\n}\n\n.pb-72 {\n  padding-bottom: 18rem;\n}\n\n.pb-80 {\n  padding-bottom: 20rem;\n}\n\n.pb-96 {\n  padding-bottom: 24rem;\n}\n\n.pb-px {\n  padding-bottom: 1px;\n}\n\n.pb-0\\.5 {\n  padding-bottom: 0.125rem;\n}\n\n.pb-1\\.5 {\n  padding-bottom: 0.375rem;\n}\n\n.pb-2\\.5 {\n  padding-bottom: 0.625rem;\n}\n\n.pb-3\\.5 {\n  padding-bottom: 0.875rem;\n}\n\n.pl-0 {\n  padding-left: 0px;\n}\n\n.pl-1 {\n  padding-left: 0.25rem;\n}\n\n.pl-2 {\n  padding-left: 0.5rem;\n}\n\n.pl-3 {\n  padding-left: 0.75rem;\n}\n\n.pl-4 {\n  padding-left: 1rem;\n}\n\n.pl-5 {\n  padding-left: 1.25rem;\n}\n\n.pl-6 {\n  padding-left: 1.5rem;\n}\n\n.pl-7 {\n  padding-left: 1.75rem;\n}\n\n.pl-8 {\n  padding-left: 2rem;\n}\n\n.pl-9 {\n  padding-left: 2.25rem;\n}\n\n.pl-10 {\n  padding-left: 2.5rem;\n}\n\n.pl-11 {\n  padding-left: 2.75rem;\n}\n\n.pl-12 {\n  padding-left: 3rem;\n}\n\n.pl-14 {\n  padding-left: 3.5rem;\n}\n\n.pl-16 {\n  padding-left: 4rem;\n}\n\n.pl-20 {\n  padding-left: 5rem;\n}\n\n.pl-24 {\n  padding-left: 6rem;\n}\n\n.pl-28 {\n  padding-left: 7rem;\n}\n\n.pl-32 {\n  padding-left: 8rem;\n}\n\n.pl-36 {\n  padding-left: 9rem;\n}\n\n.pl-40 {\n  padding-left: 10rem;\n}\n\n.pl-44 {\n  padding-left: 11rem;\n}\n\n.pl-48 {\n  padding-left: 12rem;\n}\n\n.pl-52 {\n  padding-left: 13rem;\n}\n\n.pl-56 {\n  padding-left: 14rem;\n}\n\n.pl-60 {\n  padding-left: 15rem;\n}\n\n.pl-64 {\n  padding-left: 16rem;\n}\n\n.pl-72 {\n  padding-left: 18rem;\n}\n\n.pl-80 {\n  padding-left: 20rem;\n}\n\n.pl-96 {\n  padding-left: 24rem;\n}\n\n.pl-px {\n  padding-left: 1px;\n}\n\n.pl-0\\.5 {\n  padding-left: 0.125rem;\n}\n\n.pl-1\\.5 {\n  padding-left: 0.375rem;\n}\n\n.pl-2\\.5 {\n  padding-left: 0.625rem;\n}\n\n.pl-3\\.5 {\n  padding-left: 0.875rem;\n}\n\n.text-left {\n  text-align: left;\n}\n\n.text-center {\n  text-align: center;\n}\n\n.text-right {\n  text-align: right;\n}\n\n.text-justify {\n  text-align: justify;\n}\n\n.align-baseline {\n  vertical-align: baseline;\n}\n\n.align-top {\n  vertical-align: top;\n}\n\n.align-middle {\n  vertical-align: middle;\n}\n\n.align-bottom {\n  vertical-align: bottom;\n}\n\n.align-text-top {\n  vertical-align: text-top;\n}\n\n.align-text-bottom {\n  vertical-align: text-bottom;\n}\n\n.font-sans {\n  font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n}\n\n.font-serif {\n  font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n}\n\n.font-mono {\n  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n}\n\n.font-sansSailec {\n  font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n}\n\n.font-sansInter {\n  font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n}\n\n.text-xs {\n  font-size: 0.75rem;\n  line-height: 1rem;\n}\n\n.text-sm {\n  font-size: 0.875rem;\n  line-height: 1.25rem;\n}\n\n.text-base {\n  font-size: 1rem;\n  line-height: 1.5rem;\n}\n\n.text-lg {\n  font-size: 1.125rem;\n  line-height: 1.75rem;\n}\n\n.text-xl {\n  font-size: 1.25rem;\n  line-height: 1.75rem;\n}\n\n.text-2xl {\n  font-size: 1.5rem;\n  line-height: 2rem;\n}\n\n.text-3xl {\n  font-size: 2rem;\n  line-height: 2.25rem;\n}\n\n.text-4xl {\n  font-size: 2.25rem;\n  line-height: 2.5rem;\n}\n\n.text-5xl {\n  font-size: 3rem;\n  line-height: 1;\n}\n\n.text-6xl {\n  font-size: 3.75rem;\n  line-height: 1;\n}\n\n.text-7xl {\n  font-size: 4.5rem;\n  line-height: 1;\n}\n\n.text-8xl {\n  font-size: 6rem;\n  line-height: 1;\n}\n\n.text-9xl {\n  font-size: 8rem;\n  line-height: 1;\n}\n\n.text-2xs {\n  font-size: 10pt;\n  letter-spacing: -0.01em;\n}\n\n.font-thin {\n  font-weight: 100;\n}\n\n.font-extralight {\n  font-weight: 200;\n}\n\n.font-light {\n  font-weight: 300;\n}\n\n.font-normal {\n  font-weight: 400;\n}\n\n.font-medium {\n  font-weight: 500;\n}\n\n.font-semibold {\n  font-weight: 600;\n}\n\n.font-bold {\n  font-weight: 700;\n}\n\n.font-extrabold {\n  font-weight: 800;\n}\n\n.font-black {\n  font-weight: 900;\n}\n\n.uppercase {\n  text-transform: uppercase;\n}\n\n.lowercase {\n  text-transform: lowercase;\n}\n\n.capitalize {\n  text-transform: capitalize;\n}\n\n.normal-case {\n  text-transform: none;\n}\n\n.italic {\n  font-style: italic;\n}\n\n.not-italic {\n  font-style: normal;\n}\n\n.ordinal, .slashed-zero, .lining-nums, .oldstyle-nums, .proportional-nums, .tabular-nums, .diagonal-fractions, .stacked-fractions {\n  --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n  --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n  --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n  --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n  --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n  font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n}\n\n.normal-nums {\n  font-variant-numeric: normal;\n}\n\n.ordinal {\n  --tw-ordinal: ordinal;\n}\n\n.slashed-zero {\n  --tw-slashed-zero: slashed-zero;\n}\n\n.lining-nums {\n  --tw-numeric-figure: lining-nums;\n}\n\n.oldstyle-nums {\n  --tw-numeric-figure: oldstyle-nums;\n}\n\n.proportional-nums {\n  --tw-numeric-spacing: proportional-nums;\n}\n\n.tabular-nums {\n  --tw-numeric-spacing: tabular-nums;\n}\n\n.diagonal-fractions {\n  --tw-numeric-fraction: diagonal-fractions;\n}\n\n.stacked-fractions {\n  --tw-numeric-fraction: stacked-fractions;\n}\n\n.leading-3 {\n  line-height: .75rem;\n}\n\n.leading-4 {\n  line-height: 1rem;\n}\n\n.leading-5 {\n  line-height: 1.25rem;\n}\n\n.leading-6 {\n  line-height: 1.5rem;\n}\n\n.leading-7 {\n  line-height: 1.75rem;\n}\n\n.leading-8 {\n  line-height: 2rem;\n}\n\n.leading-9 {\n  line-height: 2.25rem;\n}\n\n.leading-10 {\n  line-height: 2.5rem;\n}\n\n.leading-none {\n  line-height: 1;\n}\n\n.leading-tight {\n  line-height: 1.25;\n}\n\n.leading-snug {\n  line-height: 1.375;\n}\n\n.leading-normal {\n  line-height: 1.5;\n}\n\n.leading-relaxed {\n  line-height: 1.625;\n}\n\n.leading-loose {\n  line-height: 2;\n}\n\n.leading-button {\n  line-height: 3.5rem;\n}\n\n.tracking-tighter {\n  letter-spacing: -0.05em;\n}\n\n.tracking-tight {\n  letter-spacing: -0.025em;\n}\n\n.tracking-normal {\n  letter-spacing: 0em;\n}\n\n.tracking-wide {\n  letter-spacing: 0.025em;\n}\n\n.tracking-wider {\n  letter-spacing: 0.05em;\n}\n\n.tracking-widest {\n  letter-spacing: 0.1em;\n}\n\n.text-transparent {\n  color: transparent;\n}\n\n.text-current {\n  color: currentColor;\n}\n\n.text-black {\n  --tw-text-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-text-opacity));\n}\n\n.text-white {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n.text-gray-50 {\n  --tw-text-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-text-opacity));\n}\n\n.text-gray-100 {\n  --tw-text-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-text-opacity));\n}\n\n.text-gray-200 {\n  --tw-text-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-text-opacity));\n}\n\n.text-gray-300 {\n  --tw-text-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-text-opacity));\n}\n\n.text-gray-400 {\n  --tw-text-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-text-opacity));\n}\n\n.text-gray-500 {\n  --tw-text-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-text-opacity));\n}\n\n.text-gray-600 {\n  --tw-text-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-text-opacity));\n}\n\n.text-gray-700 {\n  --tw-text-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-text-opacity));\n}\n\n.text-gray-800 {\n  --tw-text-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-text-opacity));\n}\n\n.text-gray-900 {\n  --tw-text-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-text-opacity));\n}\n\n.text-red-50 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-text-opacity));\n}\n\n.text-red-100 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-text-opacity));\n}\n\n.text-red-200 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-text-opacity));\n}\n\n.text-red-300 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-text-opacity));\n}\n\n.text-red-400 {\n  --tw-text-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-text-opacity));\n}\n\n.text-red-500 {\n  --tw-text-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-text-opacity));\n}\n\n.text-red-600 {\n  --tw-text-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-text-opacity));\n}\n\n.text-red-700 {\n  --tw-text-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-text-opacity));\n}\n\n.text-red-800 {\n  --tw-text-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-text-opacity));\n}\n\n.text-red-900 {\n  --tw-text-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-text-opacity));\n}\n\n.text-yellow-50 {\n  --tw-text-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-text-opacity));\n}\n\n.text-yellow-100 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-text-opacity));\n}\n\n.text-yellow-200 {\n  --tw-text-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-text-opacity));\n}\n\n.text-yellow-300 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-text-opacity));\n}\n\n.text-yellow-400 {\n  --tw-text-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-text-opacity));\n}\n\n.text-yellow-500 {\n  --tw-text-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-text-opacity));\n}\n\n.text-yellow-600 {\n  --tw-text-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-text-opacity));\n}\n\n.text-yellow-700 {\n  --tw-text-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-text-opacity));\n}\n\n.text-yellow-800 {\n  --tw-text-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-text-opacity));\n}\n\n.text-yellow-900 {\n  --tw-text-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-text-opacity));\n}\n\n.text-green-50 {\n  --tw-text-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-text-opacity));\n}\n\n.text-green-100 {\n  --tw-text-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-text-opacity));\n}\n\n.text-green-200 {\n  --tw-text-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-text-opacity));\n}\n\n.text-green-300 {\n  --tw-text-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-text-opacity));\n}\n\n.text-green-400 {\n  --tw-text-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-text-opacity));\n}\n\n.text-green-500 {\n  --tw-text-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-text-opacity));\n}\n\n.text-green-600 {\n  --tw-text-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-text-opacity));\n}\n\n.text-green-700 {\n  --tw-text-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-text-opacity));\n}\n\n.text-green-800 {\n  --tw-text-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-text-opacity));\n}\n\n.text-green-900 {\n  --tw-text-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-text-opacity));\n}\n\n.text-blue-50 {\n  --tw-text-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-text-opacity));\n}\n\n.text-blue-100 {\n  --tw-text-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-text-opacity));\n}\n\n.text-blue-200 {\n  --tw-text-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-text-opacity));\n}\n\n.text-blue-300 {\n  --tw-text-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-text-opacity));\n}\n\n.text-blue-400 {\n  --tw-text-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-text-opacity));\n}\n\n.text-blue-500 {\n  --tw-text-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-text-opacity));\n}\n\n.text-blue-600 {\n  --tw-text-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-text-opacity));\n}\n\n.text-blue-700 {\n  --tw-text-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-text-opacity));\n}\n\n.text-blue-800 {\n  --tw-text-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-text-opacity));\n}\n\n.text-blue-900 {\n  --tw-text-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-text-opacity));\n}\n\n.text-indigo-50 {\n  --tw-text-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-text-opacity));\n}\n\n.text-indigo-100 {\n  --tw-text-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-text-opacity));\n}\n\n.text-indigo-200 {\n  --tw-text-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-text-opacity));\n}\n\n.text-indigo-300 {\n  --tw-text-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-text-opacity));\n}\n\n.text-indigo-400 {\n  --tw-text-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-text-opacity));\n}\n\n.text-indigo-500 {\n  --tw-text-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-text-opacity));\n}\n\n.text-indigo-600 {\n  --tw-text-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-text-opacity));\n}\n\n.text-indigo-700 {\n  --tw-text-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-text-opacity));\n}\n\n.text-indigo-800 {\n  --tw-text-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-text-opacity));\n}\n\n.text-indigo-900 {\n  --tw-text-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-text-opacity));\n}\n\n.text-purple-50 {\n  --tw-text-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-text-opacity));\n}\n\n.text-purple-100 {\n  --tw-text-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-text-opacity));\n}\n\n.text-purple-200 {\n  --tw-text-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-text-opacity));\n}\n\n.text-purple-300 {\n  --tw-text-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-text-opacity));\n}\n\n.text-purple-400 {\n  --tw-text-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-text-opacity));\n}\n\n.text-purple-500 {\n  --tw-text-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-text-opacity));\n}\n\n.text-purple-600 {\n  --tw-text-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-text-opacity));\n}\n\n.text-purple-700 {\n  --tw-text-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-text-opacity));\n}\n\n.text-purple-800 {\n  --tw-text-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-text-opacity));\n}\n\n.text-purple-900 {\n  --tw-text-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-text-opacity));\n}\n\n.text-pink-50 {\n  --tw-text-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-text-opacity));\n}\n\n.text-pink-100 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-text-opacity));\n}\n\n.text-pink-200 {\n  --tw-text-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-text-opacity));\n}\n\n.text-pink-300 {\n  --tw-text-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-text-opacity));\n}\n\n.text-pink-400 {\n  --tw-text-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-text-opacity));\n}\n\n.text-pink-500 {\n  --tw-text-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-text-opacity));\n}\n\n.text-pink-600 {\n  --tw-text-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-text-opacity));\n}\n\n.text-pink-700 {\n  --tw-text-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-text-opacity));\n}\n\n.text-pink-800 {\n  --tw-text-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-text-opacity));\n}\n\n.text-pink-900 {\n  --tw-text-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-text-opacity));\n}\n\n.text-origin-protocol-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.text-origin-protocol-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-text-opacity));\n}\n\n.text-ousd-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-text-opacity));\n}\n\n.text-ousd-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-text-opacity));\n}\n\n.text-ousd-button-dark-start {\n  --tw-text-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-text-opacity));\n}\n\n.text-ousd-button-dark-end {\n  --tw-text-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-text-opacity));\n}\n\n.text-story-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.text-story-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-text-opacity));\n}\n\n.text-story-pink-start {\n  --tw-text-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-text-opacity));\n}\n\n.text-story-pink-end {\n  --tw-text-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-text-opacity));\n}\n\n.text-footer-end {\n  --tw-text-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-text-opacity));\n}\n\n.text-story-blue {\n  --tw-text-opacity: 1;\n  color: rgba(43, 112, 245, var(--tw-text-opacity));\n}\n\n.text-story-pink {\n  --tw-text-opacity: 1;\n  color: rgba(252, 40, 241, var(--tw-text-opacity));\n}\n\n.text-link-blue {\n  --tw-text-opacity: 1;\n  color: rgba(0, 116, 240, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-transparent {\n  color: transparent;\n}\n\n.group:hover .group-hover\\:text-current {\n  color: currentColor;\n}\n\n.group:hover .group-hover\\:text-black {\n  --tw-text-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-white {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-50 {\n  --tw-text-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-100 {\n  --tw-text-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-200 {\n  --tw-text-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-300 {\n  --tw-text-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-400 {\n  --tw-text-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-500 {\n  --tw-text-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-600 {\n  --tw-text-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-700 {\n  --tw-text-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-800 {\n  --tw-text-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-gray-900 {\n  --tw-text-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-50 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-100 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-200 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-300 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-400 {\n  --tw-text-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-500 {\n  --tw-text-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-600 {\n  --tw-text-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-700 {\n  --tw-text-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-800 {\n  --tw-text-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-red-900 {\n  --tw-text-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-50 {\n  --tw-text-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-100 {\n  --tw-text-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-200 {\n  --tw-text-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-300 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-400 {\n  --tw-text-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-500 {\n  --tw-text-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-600 {\n  --tw-text-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-700 {\n  --tw-text-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-800 {\n  --tw-text-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-yellow-900 {\n  --tw-text-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-50 {\n  --tw-text-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-100 {\n  --tw-text-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-200 {\n  --tw-text-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-300 {\n  --tw-text-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-400 {\n  --tw-text-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-500 {\n  --tw-text-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-600 {\n  --tw-text-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-700 {\n  --tw-text-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-800 {\n  --tw-text-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-green-900 {\n  --tw-text-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-50 {\n  --tw-text-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-100 {\n  --tw-text-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-200 {\n  --tw-text-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-300 {\n  --tw-text-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-400 {\n  --tw-text-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-500 {\n  --tw-text-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-600 {\n  --tw-text-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-700 {\n  --tw-text-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-800 {\n  --tw-text-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-blue-900 {\n  --tw-text-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-50 {\n  --tw-text-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-100 {\n  --tw-text-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-200 {\n  --tw-text-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-300 {\n  --tw-text-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-400 {\n  --tw-text-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-500 {\n  --tw-text-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-600 {\n  --tw-text-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-700 {\n  --tw-text-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-800 {\n  --tw-text-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-indigo-900 {\n  --tw-text-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-50 {\n  --tw-text-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-100 {\n  --tw-text-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-200 {\n  --tw-text-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-300 {\n  --tw-text-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-400 {\n  --tw-text-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-500 {\n  --tw-text-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-600 {\n  --tw-text-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-700 {\n  --tw-text-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-800 {\n  --tw-text-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-purple-900 {\n  --tw-text-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-50 {\n  --tw-text-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-100 {\n  --tw-text-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-200 {\n  --tw-text-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-300 {\n  --tw-text-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-400 {\n  --tw-text-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-500 {\n  --tw-text-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-600 {\n  --tw-text-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-700 {\n  --tw-text-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-800 {\n  --tw-text-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-pink-900 {\n  --tw-text-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-origin-protocol-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-origin-protocol-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-ousd-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-ousd-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-ousd-button-dark-start {\n  --tw-text-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-ousd-button-dark-end {\n  --tw-text-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-button-start {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-button-end {\n  --tw-text-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-pink-start {\n  --tw-text-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-pink-end {\n  --tw-text-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-footer-end {\n  --tw-text-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-blue {\n  --tw-text-opacity: 1;\n  color: rgba(43, 112, 245, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-story-pink {\n  --tw-text-opacity: 1;\n  color: rgba(252, 40, 241, var(--tw-text-opacity));\n}\n\n.group:hover .group-hover\\:text-link-blue {\n  --tw-text-opacity: 1;\n  color: rgba(0, 116, 240, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-transparent:focus-within {\n  color: transparent;\n}\n\n.focus-within\\:text-current:focus-within {\n  color: currentColor;\n}\n\n.focus-within\\:text-black:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-white:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-gray-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-red-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-yellow-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-green-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-blue-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-indigo-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-purple-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-50:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-100:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-200:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-300:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-400:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-500:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-600:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-700:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-800:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-pink-900:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-origin-protocol-button-start:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-origin-protocol-button-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-ousd-button-start:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-ousd-button-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-ousd-button-dark-start:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-ousd-button-dark-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-button-start:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-button-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-pink-start:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-pink-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-footer-end:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-blue:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(43, 112, 245, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-story-pink:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(252, 40, 241, var(--tw-text-opacity));\n}\n\n.focus-within\\:text-link-blue:focus-within {\n  --tw-text-opacity: 1;\n  color: rgba(0, 116, 240, var(--tw-text-opacity));\n}\n\n.hover\\:text-transparent:hover {\n  color: transparent;\n}\n\n.hover\\:text-current:hover {\n  color: currentColor;\n}\n\n.hover\\:text-black:hover {\n  --tw-text-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-text-opacity));\n}\n\n.hover\\:text-white:hover {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-text-opacity));\n}\n\n.hover\\:text-gray-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-text-opacity));\n}\n\n.hover\\:text-red-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-text-opacity));\n}\n\n.hover\\:text-yellow-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-text-opacity));\n}\n\n.hover\\:text-green-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-text-opacity));\n}\n\n.hover\\:text-blue-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-text-opacity));\n}\n\n.hover\\:text-indigo-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-text-opacity));\n}\n\n.hover\\:text-purple-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-50:hover {\n  --tw-text-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-100:hover {\n  --tw-text-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-200:hover {\n  --tw-text-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-300:hover {\n  --tw-text-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-400:hover {\n  --tw-text-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-500:hover {\n  --tw-text-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-600:hover {\n  --tw-text-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-700:hover {\n  --tw-text-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-800:hover {\n  --tw-text-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-text-opacity));\n}\n\n.hover\\:text-pink-900:hover {\n  --tw-text-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-text-opacity));\n}\n\n.hover\\:text-origin-protocol-button-start:hover {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.hover\\:text-origin-protocol-button-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-text-opacity));\n}\n\n.hover\\:text-ousd-button-start:hover {\n  --tw-text-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-text-opacity));\n}\n\n.hover\\:text-ousd-button-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-text-opacity));\n}\n\n.hover\\:text-ousd-button-dark-start:hover {\n  --tw-text-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-text-opacity));\n}\n\n.hover\\:text-ousd-button-dark-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-button-start:hover {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-button-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-pink-start:hover {\n  --tw-text-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-pink-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-text-opacity));\n}\n\n.hover\\:text-footer-end:hover {\n  --tw-text-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-blue:hover {\n  --tw-text-opacity: 1;\n  color: rgba(43, 112, 245, var(--tw-text-opacity));\n}\n\n.hover\\:text-story-pink:hover {\n  --tw-text-opacity: 1;\n  color: rgba(252, 40, 241, var(--tw-text-opacity));\n}\n\n.hover\\:text-link-blue:hover {\n  --tw-text-opacity: 1;\n  color: rgba(0, 116, 240, var(--tw-text-opacity));\n}\n\n.focus\\:text-transparent:focus {\n  color: transparent;\n}\n\n.focus\\:text-current:focus {\n  color: currentColor;\n}\n\n.focus\\:text-black:focus {\n  --tw-text-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-text-opacity));\n}\n\n.focus\\:text-white:focus {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-text-opacity));\n}\n\n.focus\\:text-gray-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-text-opacity));\n}\n\n.focus\\:text-red-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-text-opacity));\n}\n\n.focus\\:text-yellow-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-text-opacity));\n}\n\n.focus\\:text-green-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-text-opacity));\n}\n\n.focus\\:text-blue-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-text-opacity));\n}\n\n.focus\\:text-indigo-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-text-opacity));\n}\n\n.focus\\:text-purple-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-50:focus {\n  --tw-text-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-100:focus {\n  --tw-text-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-200:focus {\n  --tw-text-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-300:focus {\n  --tw-text-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-400:focus {\n  --tw-text-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-500:focus {\n  --tw-text-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-600:focus {\n  --tw-text-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-700:focus {\n  --tw-text-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-800:focus {\n  --tw-text-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-text-opacity));\n}\n\n.focus\\:text-pink-900:focus {\n  --tw-text-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-text-opacity));\n}\n\n.focus\\:text-origin-protocol-button-start:focus {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.focus\\:text-origin-protocol-button-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-text-opacity));\n}\n\n.focus\\:text-ousd-button-start:focus {\n  --tw-text-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-text-opacity));\n}\n\n.focus\\:text-ousd-button-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-text-opacity));\n}\n\n.focus\\:text-ousd-button-dark-start:focus {\n  --tw-text-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-text-opacity));\n}\n\n.focus\\:text-ousd-button-dark-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-button-start:focus {\n  --tw-text-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-button-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-pink-start:focus {\n  --tw-text-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-pink-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-text-opacity));\n}\n\n.focus\\:text-footer-end:focus {\n  --tw-text-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-blue:focus {\n  --tw-text-opacity: 1;\n  color: rgba(43, 112, 245, var(--tw-text-opacity));\n}\n\n.focus\\:text-story-pink:focus {\n  --tw-text-opacity: 1;\n  color: rgba(252, 40, 241, var(--tw-text-opacity));\n}\n\n.focus\\:text-link-blue:focus {\n  --tw-text-opacity: 1;\n  color: rgba(0, 116, 240, var(--tw-text-opacity));\n}\n\n.text-opacity-0 {\n  --tw-text-opacity: 0;\n}\n\n.text-opacity-5 {\n  --tw-text-opacity: 0.05;\n}\n\n.text-opacity-10 {\n  --tw-text-opacity: 0.1;\n}\n\n.text-opacity-20 {\n  --tw-text-opacity: 0.2;\n}\n\n.text-opacity-25 {\n  --tw-text-opacity: 0.25;\n}\n\n.text-opacity-30 {\n  --tw-text-opacity: 0.3;\n}\n\n.text-opacity-40 {\n  --tw-text-opacity: 0.4;\n}\n\n.text-opacity-50 {\n  --tw-text-opacity: 0.5;\n}\n\n.text-opacity-60 {\n  --tw-text-opacity: 0.6;\n}\n\n.text-opacity-70 {\n  --tw-text-opacity: 0.7;\n}\n\n.text-opacity-75 {\n  --tw-text-opacity: 0.75;\n}\n\n.text-opacity-80 {\n  --tw-text-opacity: 0.8;\n}\n\n.text-opacity-90 {\n  --tw-text-opacity: 0.9;\n}\n\n.text-opacity-95 {\n  --tw-text-opacity: 0.95;\n}\n\n.text-opacity-100 {\n  --tw-text-opacity: 1;\n}\n\n.group:hover .group-hover\\:text-opacity-0 {\n  --tw-text-opacity: 0;\n}\n\n.group:hover .group-hover\\:text-opacity-5 {\n  --tw-text-opacity: 0.05;\n}\n\n.group:hover .group-hover\\:text-opacity-10 {\n  --tw-text-opacity: 0.1;\n}\n\n.group:hover .group-hover\\:text-opacity-20 {\n  --tw-text-opacity: 0.2;\n}\n\n.group:hover .group-hover\\:text-opacity-25 {\n  --tw-text-opacity: 0.25;\n}\n\n.group:hover .group-hover\\:text-opacity-30 {\n  --tw-text-opacity: 0.3;\n}\n\n.group:hover .group-hover\\:text-opacity-40 {\n  --tw-text-opacity: 0.4;\n}\n\n.group:hover .group-hover\\:text-opacity-50 {\n  --tw-text-opacity: 0.5;\n}\n\n.group:hover .group-hover\\:text-opacity-60 {\n  --tw-text-opacity: 0.6;\n}\n\n.group:hover .group-hover\\:text-opacity-70 {\n  --tw-text-opacity: 0.7;\n}\n\n.group:hover .group-hover\\:text-opacity-75 {\n  --tw-text-opacity: 0.75;\n}\n\n.group:hover .group-hover\\:text-opacity-80 {\n  --tw-text-opacity: 0.8;\n}\n\n.group:hover .group-hover\\:text-opacity-90 {\n  --tw-text-opacity: 0.9;\n}\n\n.group:hover .group-hover\\:text-opacity-95 {\n  --tw-text-opacity: 0.95;\n}\n\n.group:hover .group-hover\\:text-opacity-100 {\n  --tw-text-opacity: 1;\n}\n\n.focus-within\\:text-opacity-0:focus-within {\n  --tw-text-opacity: 0;\n}\n\n.focus-within\\:text-opacity-5:focus-within {\n  --tw-text-opacity: 0.05;\n}\n\n.focus-within\\:text-opacity-10:focus-within {\n  --tw-text-opacity: 0.1;\n}\n\n.focus-within\\:text-opacity-20:focus-within {\n  --tw-text-opacity: 0.2;\n}\n\n.focus-within\\:text-opacity-25:focus-within {\n  --tw-text-opacity: 0.25;\n}\n\n.focus-within\\:text-opacity-30:focus-within {\n  --tw-text-opacity: 0.3;\n}\n\n.focus-within\\:text-opacity-40:focus-within {\n  --tw-text-opacity: 0.4;\n}\n\n.focus-within\\:text-opacity-50:focus-within {\n  --tw-text-opacity: 0.5;\n}\n\n.focus-within\\:text-opacity-60:focus-within {\n  --tw-text-opacity: 0.6;\n}\n\n.focus-within\\:text-opacity-70:focus-within {\n  --tw-text-opacity: 0.7;\n}\n\n.focus-within\\:text-opacity-75:focus-within {\n  --tw-text-opacity: 0.75;\n}\n\n.focus-within\\:text-opacity-80:focus-within {\n  --tw-text-opacity: 0.8;\n}\n\n.focus-within\\:text-opacity-90:focus-within {\n  --tw-text-opacity: 0.9;\n}\n\n.focus-within\\:text-opacity-95:focus-within {\n  --tw-text-opacity: 0.95;\n}\n\n.focus-within\\:text-opacity-100:focus-within {\n  --tw-text-opacity: 1;\n}\n\n.hover\\:text-opacity-0:hover {\n  --tw-text-opacity: 0;\n}\n\n.hover\\:text-opacity-5:hover {\n  --tw-text-opacity: 0.05;\n}\n\n.hover\\:text-opacity-10:hover {\n  --tw-text-opacity: 0.1;\n}\n\n.hover\\:text-opacity-20:hover {\n  --tw-text-opacity: 0.2;\n}\n\n.hover\\:text-opacity-25:hover {\n  --tw-text-opacity: 0.25;\n}\n\n.hover\\:text-opacity-30:hover {\n  --tw-text-opacity: 0.3;\n}\n\n.hover\\:text-opacity-40:hover {\n  --tw-text-opacity: 0.4;\n}\n\n.hover\\:text-opacity-50:hover {\n  --tw-text-opacity: 0.5;\n}\n\n.hover\\:text-opacity-60:hover {\n  --tw-text-opacity: 0.6;\n}\n\n.hover\\:text-opacity-70:hover {\n  --tw-text-opacity: 0.7;\n}\n\n.hover\\:text-opacity-75:hover {\n  --tw-text-opacity: 0.75;\n}\n\n.hover\\:text-opacity-80:hover {\n  --tw-text-opacity: 0.8;\n}\n\n.hover\\:text-opacity-90:hover {\n  --tw-text-opacity: 0.9;\n}\n\n.hover\\:text-opacity-95:hover {\n  --tw-text-opacity: 0.95;\n}\n\n.hover\\:text-opacity-100:hover {\n  --tw-text-opacity: 1;\n}\n\n.focus\\:text-opacity-0:focus {\n  --tw-text-opacity: 0;\n}\n\n.focus\\:text-opacity-5:focus {\n  --tw-text-opacity: 0.05;\n}\n\n.focus\\:text-opacity-10:focus {\n  --tw-text-opacity: 0.1;\n}\n\n.focus\\:text-opacity-20:focus {\n  --tw-text-opacity: 0.2;\n}\n\n.focus\\:text-opacity-25:focus {\n  --tw-text-opacity: 0.25;\n}\n\n.focus\\:text-opacity-30:focus {\n  --tw-text-opacity: 0.3;\n}\n\n.focus\\:text-opacity-40:focus {\n  --tw-text-opacity: 0.4;\n}\n\n.focus\\:text-opacity-50:focus {\n  --tw-text-opacity: 0.5;\n}\n\n.focus\\:text-opacity-60:focus {\n  --tw-text-opacity: 0.6;\n}\n\n.focus\\:text-opacity-70:focus {\n  --tw-text-opacity: 0.7;\n}\n\n.focus\\:text-opacity-75:focus {\n  --tw-text-opacity: 0.75;\n}\n\n.focus\\:text-opacity-80:focus {\n  --tw-text-opacity: 0.8;\n}\n\n.focus\\:text-opacity-90:focus {\n  --tw-text-opacity: 0.9;\n}\n\n.focus\\:text-opacity-95:focus {\n  --tw-text-opacity: 0.95;\n}\n\n.focus\\:text-opacity-100:focus {\n  --tw-text-opacity: 1;\n}\n\n.underline {\n  text-decoration: underline;\n}\n\n.line-through {\n  text-decoration: line-through;\n}\n\n.no-underline {\n  text-decoration: none;\n}\n\n.group:hover .group-hover\\:underline {\n  text-decoration: underline;\n}\n\n.group:hover .group-hover\\:line-through {\n  text-decoration: line-through;\n}\n\n.group:hover .group-hover\\:no-underline {\n  text-decoration: none;\n}\n\n.focus-within\\:underline:focus-within {\n  text-decoration: underline;\n}\n\n.focus-within\\:line-through:focus-within {\n  text-decoration: line-through;\n}\n\n.focus-within\\:no-underline:focus-within {\n  text-decoration: none;\n}\n\n.hover\\:underline:hover {\n  text-decoration: underline;\n}\n\n.hover\\:line-through:hover {\n  text-decoration: line-through;\n}\n\n.hover\\:no-underline:hover {\n  text-decoration: none;\n}\n\n.focus\\:underline:focus {\n  text-decoration: underline;\n}\n\n.focus\\:line-through:focus {\n  text-decoration: line-through;\n}\n\n.focus\\:no-underline:focus {\n  text-decoration: none;\n}\n\n.antialiased {\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n\n.subpixel-antialiased {\n  -webkit-font-smoothing: auto;\n  -moz-osx-font-smoothing: auto;\n}\n\n.placeholder-transparent::-moz-placeholder {\n  color: transparent;\n}\n\n.placeholder-transparent::placeholder {\n  color: transparent;\n}\n\n.placeholder-current::-moz-placeholder {\n  color: currentColor;\n}\n\n.placeholder-current::placeholder {\n  color: currentColor;\n}\n\n.placeholder-black::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n}\n\n.placeholder-black::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n}\n\n.placeholder-white::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-white::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n}\n\n.placeholder-gray-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n}\n\n.placeholder-red-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n}\n\n.placeholder-yellow-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n}\n\n.placeholder-green-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n}\n\n.placeholder-blue-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n}\n\n.placeholder-indigo-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n}\n\n.placeholder-purple-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-50::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-50::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-100::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-200::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-200::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-300::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-300::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-400::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-400::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-500::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-500::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-600::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-600::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-700::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-700::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-800::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-800::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-900::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n}\n\n.placeholder-pink-900::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n}\n\n.placeholder-origin-protocol-button-start::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-origin-protocol-button-start::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-origin-protocol-button-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-origin-protocol-button-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-start::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-start::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-dark-start::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-dark-start::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-dark-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n}\n\n.placeholder-ousd-button-dark-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-button-start::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-button-start::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-button-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-button-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-pink-start::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-pink-start::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-pink-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n}\n\n.placeholder-story-pink-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n}\n\n.placeholder-footer-end::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n}\n\n.placeholder-footer-end::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-transparent:focus::-moz-placeholder {\n  color: transparent;\n}\n\n.focus\\:placeholder-transparent:focus::placeholder {\n  color: transparent;\n}\n\n.focus\\:placeholder-current:focus::-moz-placeholder {\n  color: currentColor;\n}\n\n.focus\\:placeholder-current:focus::placeholder {\n  color: currentColor;\n}\n\n.focus\\:placeholder-black:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-black:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-white:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-white:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-gray-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-red-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-yellow-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-green-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-blue-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-indigo-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-purple-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-50:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-200:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-200:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-300:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-300:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-400:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-400:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-500:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-500:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-600:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-600:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-700:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-700:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-800:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-800:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-900:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-pink-900:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-start:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-button-start:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-button-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-pink-start:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-story-pink-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-footer-end:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n}\n\n.focus\\:placeholder-footer-end:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n  color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n}\n\n.placeholder-opacity-0::-moz-placeholder {\n  --tw-placeholder-opacity: 0;\n}\n\n.placeholder-opacity-0::placeholder {\n  --tw-placeholder-opacity: 0;\n}\n\n.placeholder-opacity-5::-moz-placeholder {\n  --tw-placeholder-opacity: 0.05;\n}\n\n.placeholder-opacity-5::placeholder {\n  --tw-placeholder-opacity: 0.05;\n}\n\n.placeholder-opacity-10::-moz-placeholder {\n  --tw-placeholder-opacity: 0.1;\n}\n\n.placeholder-opacity-10::placeholder {\n  --tw-placeholder-opacity: 0.1;\n}\n\n.placeholder-opacity-20::-moz-placeholder {\n  --tw-placeholder-opacity: 0.2;\n}\n\n.placeholder-opacity-20::placeholder {\n  --tw-placeholder-opacity: 0.2;\n}\n\n.placeholder-opacity-25::-moz-placeholder {\n  --tw-placeholder-opacity: 0.25;\n}\n\n.placeholder-opacity-25::placeholder {\n  --tw-placeholder-opacity: 0.25;\n}\n\n.placeholder-opacity-30::-moz-placeholder {\n  --tw-placeholder-opacity: 0.3;\n}\n\n.placeholder-opacity-30::placeholder {\n  --tw-placeholder-opacity: 0.3;\n}\n\n.placeholder-opacity-40::-moz-placeholder {\n  --tw-placeholder-opacity: 0.4;\n}\n\n.placeholder-opacity-40::placeholder {\n  --tw-placeholder-opacity: 0.4;\n}\n\n.placeholder-opacity-50::-moz-placeholder {\n  --tw-placeholder-opacity: 0.5;\n}\n\n.placeholder-opacity-50::placeholder {\n  --tw-placeholder-opacity: 0.5;\n}\n\n.placeholder-opacity-60::-moz-placeholder {\n  --tw-placeholder-opacity: 0.6;\n}\n\n.placeholder-opacity-60::placeholder {\n  --tw-placeholder-opacity: 0.6;\n}\n\n.placeholder-opacity-70::-moz-placeholder {\n  --tw-placeholder-opacity: 0.7;\n}\n\n.placeholder-opacity-70::placeholder {\n  --tw-placeholder-opacity: 0.7;\n}\n\n.placeholder-opacity-75::-moz-placeholder {\n  --tw-placeholder-opacity: 0.75;\n}\n\n.placeholder-opacity-75::placeholder {\n  --tw-placeholder-opacity: 0.75;\n}\n\n.placeholder-opacity-80::-moz-placeholder {\n  --tw-placeholder-opacity: 0.8;\n}\n\n.placeholder-opacity-80::placeholder {\n  --tw-placeholder-opacity: 0.8;\n}\n\n.placeholder-opacity-90::-moz-placeholder {\n  --tw-placeholder-opacity: 0.9;\n}\n\n.placeholder-opacity-90::placeholder {\n  --tw-placeholder-opacity: 0.9;\n}\n\n.placeholder-opacity-95::-moz-placeholder {\n  --tw-placeholder-opacity: 0.95;\n}\n\n.placeholder-opacity-95::placeholder {\n  --tw-placeholder-opacity: 0.95;\n}\n\n.placeholder-opacity-100::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n}\n\n.placeholder-opacity-100::placeholder {\n  --tw-placeholder-opacity: 1;\n}\n\n.focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0;\n}\n\n.focus\\:placeholder-opacity-0:focus::placeholder {\n  --tw-placeholder-opacity: 0;\n}\n\n.focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.05;\n}\n\n.focus\\:placeholder-opacity-5:focus::placeholder {\n  --tw-placeholder-opacity: 0.05;\n}\n\n.focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.1;\n}\n\n.focus\\:placeholder-opacity-10:focus::placeholder {\n  --tw-placeholder-opacity: 0.1;\n}\n\n.focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.2;\n}\n\n.focus\\:placeholder-opacity-20:focus::placeholder {\n  --tw-placeholder-opacity: 0.2;\n}\n\n.focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.25;\n}\n\n.focus\\:placeholder-opacity-25:focus::placeholder {\n  --tw-placeholder-opacity: 0.25;\n}\n\n.focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.3;\n}\n\n.focus\\:placeholder-opacity-30:focus::placeholder {\n  --tw-placeholder-opacity: 0.3;\n}\n\n.focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.4;\n}\n\n.focus\\:placeholder-opacity-40:focus::placeholder {\n  --tw-placeholder-opacity: 0.4;\n}\n\n.focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.5;\n}\n\n.focus\\:placeholder-opacity-50:focus::placeholder {\n  --tw-placeholder-opacity: 0.5;\n}\n\n.focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.6;\n}\n\n.focus\\:placeholder-opacity-60:focus::placeholder {\n  --tw-placeholder-opacity: 0.6;\n}\n\n.focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.7;\n}\n\n.focus\\:placeholder-opacity-70:focus::placeholder {\n  --tw-placeholder-opacity: 0.7;\n}\n\n.focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.75;\n}\n\n.focus\\:placeholder-opacity-75:focus::placeholder {\n  --tw-placeholder-opacity: 0.75;\n}\n\n.focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.8;\n}\n\n.focus\\:placeholder-opacity-80:focus::placeholder {\n  --tw-placeholder-opacity: 0.8;\n}\n\n.focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.9;\n}\n\n.focus\\:placeholder-opacity-90:focus::placeholder {\n  --tw-placeholder-opacity: 0.9;\n}\n\n.focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 0.95;\n}\n\n.focus\\:placeholder-opacity-95:focus::placeholder {\n  --tw-placeholder-opacity: 0.95;\n}\n\n.focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n  --tw-placeholder-opacity: 1;\n}\n\n.focus\\:placeholder-opacity-100:focus::placeholder {\n  --tw-placeholder-opacity: 1;\n}\n\n.opacity-0 {\n  opacity: 0;\n}\n\n.opacity-5 {\n  opacity: 0.05;\n}\n\n.opacity-10 {\n  opacity: 0.1;\n}\n\n.opacity-20 {\n  opacity: 0.2;\n}\n\n.opacity-25 {\n  opacity: 0.25;\n}\n\n.opacity-30 {\n  opacity: 0.3;\n}\n\n.opacity-40 {\n  opacity: 0.4;\n}\n\n.opacity-50 {\n  opacity: 0.5;\n}\n\n.opacity-60 {\n  opacity: 0.6;\n}\n\n.opacity-70 {\n  opacity: 0.7;\n}\n\n.opacity-75 {\n  opacity: 0.75;\n}\n\n.opacity-80 {\n  opacity: 0.8;\n}\n\n.opacity-90 {\n  opacity: 0.9;\n}\n\n.opacity-95 {\n  opacity: 0.95;\n}\n\n.opacity-100 {\n  opacity: 1;\n}\n\n.group:hover .group-hover\\:opacity-0 {\n  opacity: 0;\n}\n\n.group:hover .group-hover\\:opacity-5 {\n  opacity: 0.05;\n}\n\n.group:hover .group-hover\\:opacity-10 {\n  opacity: 0.1;\n}\n\n.group:hover .group-hover\\:opacity-20 {\n  opacity: 0.2;\n}\n\n.group:hover .group-hover\\:opacity-25 {\n  opacity: 0.25;\n}\n\n.group:hover .group-hover\\:opacity-30 {\n  opacity: 0.3;\n}\n\n.group:hover .group-hover\\:opacity-40 {\n  opacity: 0.4;\n}\n\n.group:hover .group-hover\\:opacity-50 {\n  opacity: 0.5;\n}\n\n.group:hover .group-hover\\:opacity-60 {\n  opacity: 0.6;\n}\n\n.group:hover .group-hover\\:opacity-70 {\n  opacity: 0.7;\n}\n\n.group:hover .group-hover\\:opacity-75 {\n  opacity: 0.75;\n}\n\n.group:hover .group-hover\\:opacity-80 {\n  opacity: 0.8;\n}\n\n.group:hover .group-hover\\:opacity-90 {\n  opacity: 0.9;\n}\n\n.group:hover .group-hover\\:opacity-95 {\n  opacity: 0.95;\n}\n\n.group:hover .group-hover\\:opacity-100 {\n  opacity: 1;\n}\n\n.focus-within\\:opacity-0:focus-within {\n  opacity: 0;\n}\n\n.focus-within\\:opacity-5:focus-within {\n  opacity: 0.05;\n}\n\n.focus-within\\:opacity-10:focus-within {\n  opacity: 0.1;\n}\n\n.focus-within\\:opacity-20:focus-within {\n  opacity: 0.2;\n}\n\n.focus-within\\:opacity-25:focus-within {\n  opacity: 0.25;\n}\n\n.focus-within\\:opacity-30:focus-within {\n  opacity: 0.3;\n}\n\n.focus-within\\:opacity-40:focus-within {\n  opacity: 0.4;\n}\n\n.focus-within\\:opacity-50:focus-within {\n  opacity: 0.5;\n}\n\n.focus-within\\:opacity-60:focus-within {\n  opacity: 0.6;\n}\n\n.focus-within\\:opacity-70:focus-within {\n  opacity: 0.7;\n}\n\n.focus-within\\:opacity-75:focus-within {\n  opacity: 0.75;\n}\n\n.focus-within\\:opacity-80:focus-within {\n  opacity: 0.8;\n}\n\n.focus-within\\:opacity-90:focus-within {\n  opacity: 0.9;\n}\n\n.focus-within\\:opacity-95:focus-within {\n  opacity: 0.95;\n}\n\n.focus-within\\:opacity-100:focus-within {\n  opacity: 1;\n}\n\n.hover\\:opacity-0:hover {\n  opacity: 0;\n}\n\n.hover\\:opacity-5:hover {\n  opacity: 0.05;\n}\n\n.hover\\:opacity-10:hover {\n  opacity: 0.1;\n}\n\n.hover\\:opacity-20:hover {\n  opacity: 0.2;\n}\n\n.hover\\:opacity-25:hover {\n  opacity: 0.25;\n}\n\n.hover\\:opacity-30:hover {\n  opacity: 0.3;\n}\n\n.hover\\:opacity-40:hover {\n  opacity: 0.4;\n}\n\n.hover\\:opacity-50:hover {\n  opacity: 0.5;\n}\n\n.hover\\:opacity-60:hover {\n  opacity: 0.6;\n}\n\n.hover\\:opacity-70:hover {\n  opacity: 0.7;\n}\n\n.hover\\:opacity-75:hover {\n  opacity: 0.75;\n}\n\n.hover\\:opacity-80:hover {\n  opacity: 0.8;\n}\n\n.hover\\:opacity-90:hover {\n  opacity: 0.9;\n}\n\n.hover\\:opacity-95:hover {\n  opacity: 0.95;\n}\n\n.hover\\:opacity-100:hover {\n  opacity: 1;\n}\n\n.focus\\:opacity-0:focus {\n  opacity: 0;\n}\n\n.focus\\:opacity-5:focus {\n  opacity: 0.05;\n}\n\n.focus\\:opacity-10:focus {\n  opacity: 0.1;\n}\n\n.focus\\:opacity-20:focus {\n  opacity: 0.2;\n}\n\n.focus\\:opacity-25:focus {\n  opacity: 0.25;\n}\n\n.focus\\:opacity-30:focus {\n  opacity: 0.3;\n}\n\n.focus\\:opacity-40:focus {\n  opacity: 0.4;\n}\n\n.focus\\:opacity-50:focus {\n  opacity: 0.5;\n}\n\n.focus\\:opacity-60:focus {\n  opacity: 0.6;\n}\n\n.focus\\:opacity-70:focus {\n  opacity: 0.7;\n}\n\n.focus\\:opacity-75:focus {\n  opacity: 0.75;\n}\n\n.focus\\:opacity-80:focus {\n  opacity: 0.8;\n}\n\n.focus\\:opacity-90:focus {\n  opacity: 0.9;\n}\n\n.focus\\:opacity-95:focus {\n  opacity: 0.95;\n}\n\n.focus\\:opacity-100:focus {\n  opacity: 1;\n}\n\n.bg-blend-normal {\n  background-blend-mode: normal;\n}\n\n.bg-blend-multiply {\n  background-blend-mode: multiply;\n}\n\n.bg-blend-screen {\n  background-blend-mode: screen;\n}\n\n.bg-blend-overlay {\n  background-blend-mode: overlay;\n}\n\n.bg-blend-darken {\n  background-blend-mode: darken;\n}\n\n.bg-blend-lighten {\n  background-blend-mode: lighten;\n}\n\n.bg-blend-color-dodge {\n  background-blend-mode: color-dodge;\n}\n\n.bg-blend-color-burn {\n  background-blend-mode: color-burn;\n}\n\n.bg-blend-hard-light {\n  background-blend-mode: hard-light;\n}\n\n.bg-blend-soft-light {\n  background-blend-mode: soft-light;\n}\n\n.bg-blend-difference {\n  background-blend-mode: difference;\n}\n\n.bg-blend-exclusion {\n  background-blend-mode: exclusion;\n}\n\n.bg-blend-hue {\n  background-blend-mode: hue;\n}\n\n.bg-blend-saturation {\n  background-blend-mode: saturation;\n}\n\n.bg-blend-color {\n  background-blend-mode: color;\n}\n\n.bg-blend-luminosity {\n  background-blend-mode: luminosity;\n}\n\n.mix-blend-normal {\n  mix-blend-mode: normal;\n}\n\n.mix-blend-multiply {\n  mix-blend-mode: multiply;\n}\n\n.mix-blend-screen {\n  mix-blend-mode: screen;\n}\n\n.mix-blend-overlay {\n  mix-blend-mode: overlay;\n}\n\n.mix-blend-darken {\n  mix-blend-mode: darken;\n}\n\n.mix-blend-lighten {\n  mix-blend-mode: lighten;\n}\n\n.mix-blend-color-dodge {\n  mix-blend-mode: color-dodge;\n}\n\n.mix-blend-color-burn {\n  mix-blend-mode: color-burn;\n}\n\n.mix-blend-hard-light {\n  mix-blend-mode: hard-light;\n}\n\n.mix-blend-soft-light {\n  mix-blend-mode: soft-light;\n}\n\n.mix-blend-difference {\n  mix-blend-mode: difference;\n}\n\n.mix-blend-exclusion {\n  mix-blend-mode: exclusion;\n}\n\n.mix-blend-hue {\n  mix-blend-mode: hue;\n}\n\n.mix-blend-saturation {\n  mix-blend-mode: saturation;\n}\n\n.mix-blend-color {\n  mix-blend-mode: color;\n}\n\n.mix-blend-luminosity {\n  mix-blend-mode: luminosity;\n}\n\n*, ::before, ::after {\n  --tw-shadow: 0 0 #0000;\n}\n\n.shadow-sm {\n  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow {\n  --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-md {\n  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-lg {\n  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-xl {\n  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-2xl {\n  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-inner {\n  --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.shadow-none {\n  --tw-shadow: 0 0 #0000;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-sm {\n  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow {\n  --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-md {\n  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-lg {\n  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-xl {\n  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-2xl {\n  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-inner {\n  --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.group:hover .group-hover\\:shadow-none {\n  --tw-shadow: 0 0 #0000;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-sm:focus-within {\n  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow:focus-within {\n  --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-md:focus-within {\n  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-lg:focus-within {\n  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-xl:focus-within {\n  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-2xl:focus-within {\n  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-inner:focus-within {\n  --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus-within\\:shadow-none:focus-within {\n  --tw-shadow: 0 0 #0000;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-sm:hover {\n  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow:hover {\n  --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-md:hover {\n  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-lg:hover {\n  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-xl:hover {\n  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-2xl:hover {\n  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-inner:hover {\n  --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.hover\\:shadow-none:hover {\n  --tw-shadow: 0 0 #0000;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-sm:focus {\n  --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow:focus {\n  --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-md:focus {\n  --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-lg:focus {\n  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-xl:focus {\n  --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-2xl:focus {\n  --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-inner:focus {\n  --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.focus\\:shadow-none:focus {\n  --tw-shadow: 0 0 #0000;\n  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n}\n\n.outline-none {\n  outline: 2px solid transparent;\n  outline-offset: 2px;\n}\n\n.outline-white {\n  outline: 2px dotted white;\n  outline-offset: 2px;\n}\n\n.outline-black {\n  outline: 2px dotted black;\n  outline-offset: 2px;\n}\n\n.focus-within\\:outline-none:focus-within {\n  outline: 2px solid transparent;\n  outline-offset: 2px;\n}\n\n.focus-within\\:outline-white:focus-within {\n  outline: 2px dotted white;\n  outline-offset: 2px;\n}\n\n.focus-within\\:outline-black:focus-within {\n  outline: 2px dotted black;\n  outline-offset: 2px;\n}\n\n.focus\\:outline-none:focus {\n  outline: 2px solid transparent;\n  outline-offset: 2px;\n}\n\n.focus\\:outline-white:focus {\n  outline: 2px dotted white;\n  outline-offset: 2px;\n}\n\n.focus\\:outline-black:focus {\n  outline: 2px dotted black;\n  outline-offset: 2px;\n}\n\n*, ::before, ::after {\n  --tw-ring-inset: var(--tw-empty,/*!*/ /*!*/);\n  --tw-ring-offset-width: 0px;\n  --tw-ring-offset-color: #fff;\n  --tw-ring-color: rgba(59, 130, 246, 0.5);\n  --tw-ring-offset-shadow: 0 0 #0000;\n  --tw-ring-shadow: 0 0 #0000;\n}\n\n.ring-0 {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring-1 {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring-2 {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring-4 {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring-8 {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring-0:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring-1:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring-2:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring-4:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring-8:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus-within\\:ring:focus-within {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring-0:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring-1:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring-2:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring-4:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring-8:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.focus\\:ring:focus {\n  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n}\n\n.ring-inset {\n  --tw-ring-inset: inset;\n}\n\n.focus-within\\:ring-inset:focus-within {\n  --tw-ring-inset: inset;\n}\n\n.focus\\:ring-inset:focus {\n  --tw-ring-inset: inset;\n}\n\n.ring-transparent {\n  --tw-ring-color: transparent;\n}\n\n.ring-current {\n  --tw-ring-color: currentColor;\n}\n\n.ring-black {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n}\n\n.ring-white {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n}\n\n.ring-gray-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n}\n\n.ring-gray-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n}\n\n.ring-gray-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n}\n\n.ring-gray-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n}\n\n.ring-gray-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n}\n\n.ring-gray-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n}\n\n.ring-gray-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n}\n\n.ring-gray-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n}\n\n.ring-gray-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n}\n\n.ring-gray-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n}\n\n.ring-red-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n}\n\n.ring-red-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n}\n\n.ring-red-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n}\n\n.ring-red-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n}\n\n.ring-red-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n}\n\n.ring-red-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n}\n\n.ring-red-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n}\n\n.ring-red-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n}\n\n.ring-red-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n}\n\n.ring-red-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n}\n\n.ring-yellow-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n}\n\n.ring-yellow-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n}\n\n.ring-yellow-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n}\n\n.ring-yellow-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n}\n\n.ring-yellow-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n}\n\n.ring-yellow-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n}\n\n.ring-yellow-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n}\n\n.ring-yellow-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n}\n\n.ring-yellow-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n}\n\n.ring-yellow-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n}\n\n.ring-green-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n}\n\n.ring-green-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n}\n\n.ring-green-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n}\n\n.ring-green-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n}\n\n.ring-green-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n}\n\n.ring-green-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n}\n\n.ring-green-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n}\n\n.ring-green-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n}\n\n.ring-green-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n}\n\n.ring-green-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n}\n\n.ring-blue-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n}\n\n.ring-blue-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n}\n\n.ring-blue-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n}\n\n.ring-blue-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n}\n\n.ring-blue-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n}\n\n.ring-blue-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n}\n\n.ring-blue-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n}\n\n.ring-blue-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n}\n\n.ring-blue-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n}\n\n.ring-blue-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n}\n\n.ring-indigo-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n}\n\n.ring-indigo-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n}\n\n.ring-indigo-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n}\n\n.ring-indigo-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n}\n\n.ring-indigo-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n}\n\n.ring-indigo-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n}\n\n.ring-indigo-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n}\n\n.ring-indigo-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n}\n\n.ring-indigo-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n}\n\n.ring-indigo-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n}\n\n.ring-purple-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n}\n\n.ring-purple-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n}\n\n.ring-purple-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n}\n\n.ring-purple-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n}\n\n.ring-purple-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n}\n\n.ring-purple-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n}\n\n.ring-purple-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n}\n\n.ring-purple-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n}\n\n.ring-purple-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n}\n\n.ring-purple-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n}\n\n.ring-pink-50 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n}\n\n.ring-pink-100 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n}\n\n.ring-pink-200 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n}\n\n.ring-pink-300 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n}\n\n.ring-pink-400 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n}\n\n.ring-pink-500 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n}\n\n.ring-pink-600 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n}\n\n.ring-pink-700 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n}\n\n.ring-pink-800 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n}\n\n.ring-pink-900 {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n}\n\n.ring-origin-protocol-button-start {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.ring-origin-protocol-button-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n}\n\n.ring-ousd-button-start {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n}\n\n.ring-ousd-button-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n}\n\n.ring-ousd-button-dark-start {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n}\n\n.ring-ousd-button-dark-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n}\n\n.ring-story-button-start {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.ring-story-button-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n}\n\n.ring-story-pink-start {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n}\n\n.ring-story-pink-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n}\n\n.ring-footer-end {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-transparent:focus-within {\n  --tw-ring-color: transparent;\n}\n\n.focus-within\\:ring-current:focus-within {\n  --tw-ring-color: currentColor;\n}\n\n.focus-within\\:ring-black:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-white:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-gray-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-red-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-yellow-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-green-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-blue-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-indigo-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-purple-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-50:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-100:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-200:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-300:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-400:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-500:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-600:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-700:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-800:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-pink-900:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-origin-protocol-button-start:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-origin-protocol-button-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-ousd-button-start:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-ousd-button-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-ousd-button-dark-start:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-ousd-button-dark-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-story-button-start:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-story-button-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-story-pink-start:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-story-pink-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n}\n\n.focus-within\\:ring-footer-end:focus-within {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-transparent:focus {\n  --tw-ring-color: transparent;\n}\n\n.focus\\:ring-current:focus {\n  --tw-ring-color: currentColor;\n}\n\n.focus\\:ring-black:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-white:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-gray-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-red-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-yellow-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-green-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-blue-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-indigo-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-purple-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-50:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-100:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-200:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-300:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-400:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-500:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-600:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-700:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-800:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-pink-900:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-origin-protocol-button-start:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-origin-protocol-button-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-ousd-button-start:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-ousd-button-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-ousd-button-dark-start:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-ousd-button-dark-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-story-button-start:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-story-button-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-story-pink-start:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-story-pink-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n}\n\n.focus\\:ring-footer-end:focus {\n  --tw-ring-opacity: 1;\n  --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n}\n\n.ring-opacity-0 {\n  --tw-ring-opacity: 0;\n}\n\n.ring-opacity-5 {\n  --tw-ring-opacity: 0.05;\n}\n\n.ring-opacity-10 {\n  --tw-ring-opacity: 0.1;\n}\n\n.ring-opacity-20 {\n  --tw-ring-opacity: 0.2;\n}\n\n.ring-opacity-25 {\n  --tw-ring-opacity: 0.25;\n}\n\n.ring-opacity-30 {\n  --tw-ring-opacity: 0.3;\n}\n\n.ring-opacity-40 {\n  --tw-ring-opacity: 0.4;\n}\n\n.ring-opacity-50 {\n  --tw-ring-opacity: 0.5;\n}\n\n.ring-opacity-60 {\n  --tw-ring-opacity: 0.6;\n}\n\n.ring-opacity-70 {\n  --tw-ring-opacity: 0.7;\n}\n\n.ring-opacity-75 {\n  --tw-ring-opacity: 0.75;\n}\n\n.ring-opacity-80 {\n  --tw-ring-opacity: 0.8;\n}\n\n.ring-opacity-90 {\n  --tw-ring-opacity: 0.9;\n}\n\n.ring-opacity-95 {\n  --tw-ring-opacity: 0.95;\n}\n\n.ring-opacity-100 {\n  --tw-ring-opacity: 1;\n}\n\n.focus-within\\:ring-opacity-0:focus-within {\n  --tw-ring-opacity: 0;\n}\n\n.focus-within\\:ring-opacity-5:focus-within {\n  --tw-ring-opacity: 0.05;\n}\n\n.focus-within\\:ring-opacity-10:focus-within {\n  --tw-ring-opacity: 0.1;\n}\n\n.focus-within\\:ring-opacity-20:focus-within {\n  --tw-ring-opacity: 0.2;\n}\n\n.focus-within\\:ring-opacity-25:focus-within {\n  --tw-ring-opacity: 0.25;\n}\n\n.focus-within\\:ring-opacity-30:focus-within {\n  --tw-ring-opacity: 0.3;\n}\n\n.focus-within\\:ring-opacity-40:focus-within {\n  --tw-ring-opacity: 0.4;\n}\n\n.focus-within\\:ring-opacity-50:focus-within {\n  --tw-ring-opacity: 0.5;\n}\n\n.focus-within\\:ring-opacity-60:focus-within {\n  --tw-ring-opacity: 0.6;\n}\n\n.focus-within\\:ring-opacity-70:focus-within {\n  --tw-ring-opacity: 0.7;\n}\n\n.focus-within\\:ring-opacity-75:focus-within {\n  --tw-ring-opacity: 0.75;\n}\n\n.focus-within\\:ring-opacity-80:focus-within {\n  --tw-ring-opacity: 0.8;\n}\n\n.focus-within\\:ring-opacity-90:focus-within {\n  --tw-ring-opacity: 0.9;\n}\n\n.focus-within\\:ring-opacity-95:focus-within {\n  --tw-ring-opacity: 0.95;\n}\n\n.focus-within\\:ring-opacity-100:focus-within {\n  --tw-ring-opacity: 1;\n}\n\n.focus\\:ring-opacity-0:focus {\n  --tw-ring-opacity: 0;\n}\n\n.focus\\:ring-opacity-5:focus {\n  --tw-ring-opacity: 0.05;\n}\n\n.focus\\:ring-opacity-10:focus {\n  --tw-ring-opacity: 0.1;\n}\n\n.focus\\:ring-opacity-20:focus {\n  --tw-ring-opacity: 0.2;\n}\n\n.focus\\:ring-opacity-25:focus {\n  --tw-ring-opacity: 0.25;\n}\n\n.focus\\:ring-opacity-30:focus {\n  --tw-ring-opacity: 0.3;\n}\n\n.focus\\:ring-opacity-40:focus {\n  --tw-ring-opacity: 0.4;\n}\n\n.focus\\:ring-opacity-50:focus {\n  --tw-ring-opacity: 0.5;\n}\n\n.focus\\:ring-opacity-60:focus {\n  --tw-ring-opacity: 0.6;\n}\n\n.focus\\:ring-opacity-70:focus {\n  --tw-ring-opacity: 0.7;\n}\n\n.focus\\:ring-opacity-75:focus {\n  --tw-ring-opacity: 0.75;\n}\n\n.focus\\:ring-opacity-80:focus {\n  --tw-ring-opacity: 0.8;\n}\n\n.focus\\:ring-opacity-90:focus {\n  --tw-ring-opacity: 0.9;\n}\n\n.focus\\:ring-opacity-95:focus {\n  --tw-ring-opacity: 0.95;\n}\n\n.focus\\:ring-opacity-100:focus {\n  --tw-ring-opacity: 1;\n}\n\n.ring-offset-0 {\n  --tw-ring-offset-width: 0px;\n}\n\n.ring-offset-1 {\n  --tw-ring-offset-width: 1px;\n}\n\n.ring-offset-2 {\n  --tw-ring-offset-width: 2px;\n}\n\n.ring-offset-4 {\n  --tw-ring-offset-width: 4px;\n}\n\n.ring-offset-8 {\n  --tw-ring-offset-width: 8px;\n}\n\n.focus-within\\:ring-offset-0:focus-within {\n  --tw-ring-offset-width: 0px;\n}\n\n.focus-within\\:ring-offset-1:focus-within {\n  --tw-ring-offset-width: 1px;\n}\n\n.focus-within\\:ring-offset-2:focus-within {\n  --tw-ring-offset-width: 2px;\n}\n\n.focus-within\\:ring-offset-4:focus-within {\n  --tw-ring-offset-width: 4px;\n}\n\n.focus-within\\:ring-offset-8:focus-within {\n  --tw-ring-offset-width: 8px;\n}\n\n.focus\\:ring-offset-0:focus {\n  --tw-ring-offset-width: 0px;\n}\n\n.focus\\:ring-offset-1:focus {\n  --tw-ring-offset-width: 1px;\n}\n\n.focus\\:ring-offset-2:focus {\n  --tw-ring-offset-width: 2px;\n}\n\n.focus\\:ring-offset-4:focus {\n  --tw-ring-offset-width: 4px;\n}\n\n.focus\\:ring-offset-8:focus {\n  --tw-ring-offset-width: 8px;\n}\n\n.ring-offset-transparent {\n  --tw-ring-offset-color: transparent;\n}\n\n.ring-offset-current {\n  --tw-ring-offset-color: currentColor;\n}\n\n.ring-offset-black {\n  --tw-ring-offset-color: #000;\n}\n\n.ring-offset-white {\n  --tw-ring-offset-color: #fff;\n}\n\n.ring-offset-gray-50 {\n  --tw-ring-offset-color: #f9fafb;\n}\n\n.ring-offset-gray-100 {\n  --tw-ring-offset-color: #f3f4f6;\n}\n\n.ring-offset-gray-200 {\n  --tw-ring-offset-color: #e5e7eb;\n}\n\n.ring-offset-gray-300 {\n  --tw-ring-offset-color: #d1d5db;\n}\n\n.ring-offset-gray-400 {\n  --tw-ring-offset-color: #9ca3af;\n}\n\n.ring-offset-gray-500 {\n  --tw-ring-offset-color: #6b7280;\n}\n\n.ring-offset-gray-600 {\n  --tw-ring-offset-color: #4b5563;\n}\n\n.ring-offset-gray-700 {\n  --tw-ring-offset-color: #374151;\n}\n\n.ring-offset-gray-800 {\n  --tw-ring-offset-color: #1f2937;\n}\n\n.ring-offset-gray-900 {\n  --tw-ring-offset-color: #111827;\n}\n\n.ring-offset-red-50 {\n  --tw-ring-offset-color: #fef2f2;\n}\n\n.ring-offset-red-100 {\n  --tw-ring-offset-color: #fee2e2;\n}\n\n.ring-offset-red-200 {\n  --tw-ring-offset-color: #fecaca;\n}\n\n.ring-offset-red-300 {\n  --tw-ring-offset-color: #fca5a5;\n}\n\n.ring-offset-red-400 {\n  --tw-ring-offset-color: #f87171;\n}\n\n.ring-offset-red-500 {\n  --tw-ring-offset-color: #ef4444;\n}\n\n.ring-offset-red-600 {\n  --tw-ring-offset-color: #dc2626;\n}\n\n.ring-offset-red-700 {\n  --tw-ring-offset-color: #b91c1c;\n}\n\n.ring-offset-red-800 {\n  --tw-ring-offset-color: #991b1b;\n}\n\n.ring-offset-red-900 {\n  --tw-ring-offset-color: #7f1d1d;\n}\n\n.ring-offset-yellow-50 {\n  --tw-ring-offset-color: #fffbeb;\n}\n\n.ring-offset-yellow-100 {\n  --tw-ring-offset-color: #fef3c7;\n}\n\n.ring-offset-yellow-200 {\n  --tw-ring-offset-color: #fde68a;\n}\n\n.ring-offset-yellow-300 {\n  --tw-ring-offset-color: #fcd34d;\n}\n\n.ring-offset-yellow-400 {\n  --tw-ring-offset-color: #fbbf24;\n}\n\n.ring-offset-yellow-500 {\n  --tw-ring-offset-color: #f59e0b;\n}\n\n.ring-offset-yellow-600 {\n  --tw-ring-offset-color: #d97706;\n}\n\n.ring-offset-yellow-700 {\n  --tw-ring-offset-color: #b45309;\n}\n\n.ring-offset-yellow-800 {\n  --tw-ring-offset-color: #92400e;\n}\n\n.ring-offset-yellow-900 {\n  --tw-ring-offset-color: #78350f;\n}\n\n.ring-offset-green-50 {\n  --tw-ring-offset-color: #ecfdf5;\n}\n\n.ring-offset-green-100 {\n  --tw-ring-offset-color: #d1fae5;\n}\n\n.ring-offset-green-200 {\n  --tw-ring-offset-color: #a7f3d0;\n}\n\n.ring-offset-green-300 {\n  --tw-ring-offset-color: #6ee7b7;\n}\n\n.ring-offset-green-400 {\n  --tw-ring-offset-color: #34d399;\n}\n\n.ring-offset-green-500 {\n  --tw-ring-offset-color: #10b981;\n}\n\n.ring-offset-green-600 {\n  --tw-ring-offset-color: #059669;\n}\n\n.ring-offset-green-700 {\n  --tw-ring-offset-color: #047857;\n}\n\n.ring-offset-green-800 {\n  --tw-ring-offset-color: #065f46;\n}\n\n.ring-offset-green-900 {\n  --tw-ring-offset-color: #064e3b;\n}\n\n.ring-offset-blue-50 {\n  --tw-ring-offset-color: #eff6ff;\n}\n\n.ring-offset-blue-100 {\n  --tw-ring-offset-color: #dbeafe;\n}\n\n.ring-offset-blue-200 {\n  --tw-ring-offset-color: #bfdbfe;\n}\n\n.ring-offset-blue-300 {\n  --tw-ring-offset-color: #93c5fd;\n}\n\n.ring-offset-blue-400 {\n  --tw-ring-offset-color: #60a5fa;\n}\n\n.ring-offset-blue-500 {\n  --tw-ring-offset-color: #3b82f6;\n}\n\n.ring-offset-blue-600 {\n  --tw-ring-offset-color: #2563eb;\n}\n\n.ring-offset-blue-700 {\n  --tw-ring-offset-color: #1d4ed8;\n}\n\n.ring-offset-blue-800 {\n  --tw-ring-offset-color: #1e40af;\n}\n\n.ring-offset-blue-900 {\n  --tw-ring-offset-color: #1e3a8a;\n}\n\n.ring-offset-indigo-50 {\n  --tw-ring-offset-color: #eef2ff;\n}\n\n.ring-offset-indigo-100 {\n  --tw-ring-offset-color: #e0e7ff;\n}\n\n.ring-offset-indigo-200 {\n  --tw-ring-offset-color: #c7d2fe;\n}\n\n.ring-offset-indigo-300 {\n  --tw-ring-offset-color: #a5b4fc;\n}\n\n.ring-offset-indigo-400 {\n  --tw-ring-offset-color: #818cf8;\n}\n\n.ring-offset-indigo-500 {\n  --tw-ring-offset-color: #6366f1;\n}\n\n.ring-offset-indigo-600 {\n  --tw-ring-offset-color: #4f46e5;\n}\n\n.ring-offset-indigo-700 {\n  --tw-ring-offset-color: #4338ca;\n}\n\n.ring-offset-indigo-800 {\n  --tw-ring-offset-color: #3730a3;\n}\n\n.ring-offset-indigo-900 {\n  --tw-ring-offset-color: #312e81;\n}\n\n.ring-offset-purple-50 {\n  --tw-ring-offset-color: #f5f3ff;\n}\n\n.ring-offset-purple-100 {\n  --tw-ring-offset-color: #ede9fe;\n}\n\n.ring-offset-purple-200 {\n  --tw-ring-offset-color: #ddd6fe;\n}\n\n.ring-offset-purple-300 {\n  --tw-ring-offset-color: #c4b5fd;\n}\n\n.ring-offset-purple-400 {\n  --tw-ring-offset-color: #a78bfa;\n}\n\n.ring-offset-purple-500 {\n  --tw-ring-offset-color: #8b5cf6;\n}\n\n.ring-offset-purple-600 {\n  --tw-ring-offset-color: #7c3aed;\n}\n\n.ring-offset-purple-700 {\n  --tw-ring-offset-color: #6d28d9;\n}\n\n.ring-offset-purple-800 {\n  --tw-ring-offset-color: #5b21b6;\n}\n\n.ring-offset-purple-900 {\n  --tw-ring-offset-color: #4c1d95;\n}\n\n.ring-offset-pink-50 {\n  --tw-ring-offset-color: #fdf2f8;\n}\n\n.ring-offset-pink-100 {\n  --tw-ring-offset-color: #fce7f3;\n}\n\n.ring-offset-pink-200 {\n  --tw-ring-offset-color: #fbcfe8;\n}\n\n.ring-offset-pink-300 {\n  --tw-ring-offset-color: #f9a8d4;\n}\n\n.ring-offset-pink-400 {\n  --tw-ring-offset-color: #f472b6;\n}\n\n.ring-offset-pink-500 {\n  --tw-ring-offset-color: #ec4899;\n}\n\n.ring-offset-pink-600 {\n  --tw-ring-offset-color: #db2777;\n}\n\n.ring-offset-pink-700 {\n  --tw-ring-offset-color: #be185d;\n}\n\n.ring-offset-pink-800 {\n  --tw-ring-offset-color: #9d174d;\n}\n\n.ring-offset-pink-900 {\n  --tw-ring-offset-color: #831843;\n}\n\n.ring-offset-origin-protocol-button-start {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.ring-offset-origin-protocol-button-end {\n  --tw-ring-offset-color: #0274F1;\n}\n\n.ring-offset-ousd-button-start {\n  --tw-ring-offset-color: #B361E6;\n}\n\n.ring-offset-ousd-button-end {\n  --tw-ring-offset-color: #6A36FC;\n}\n\n.ring-offset-ousd-button-dark-start {\n  --tw-ring-offset-color: #402154;\n}\n\n.ring-offset-ousd-button-dark-end {\n  --tw-ring-offset-color: #120046;\n}\n\n.ring-offset-story-button-start {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.ring-offset-story-button-end {\n  --tw-ring-offset-color: #429CFF;\n}\n\n.ring-offset-story-pink-start {\n  --tw-ring-offset-color: #FB25F1;\n}\n\n.ring-offset-story-pink-end {\n  --tw-ring-offset-color: #FD9BC2;\n}\n\n.ring-offset-footer-end {\n  --tw-ring-offset-color: #1E313F;\n}\n\n.focus-within\\:ring-offset-transparent:focus-within {\n  --tw-ring-offset-color: transparent;\n}\n\n.focus-within\\:ring-offset-current:focus-within {\n  --tw-ring-offset-color: currentColor;\n}\n\n.focus-within\\:ring-offset-black:focus-within {\n  --tw-ring-offset-color: #000;\n}\n\n.focus-within\\:ring-offset-white:focus-within {\n  --tw-ring-offset-color: #fff;\n}\n\n.focus-within\\:ring-offset-gray-50:focus-within {\n  --tw-ring-offset-color: #f9fafb;\n}\n\n.focus-within\\:ring-offset-gray-100:focus-within {\n  --tw-ring-offset-color: #f3f4f6;\n}\n\n.focus-within\\:ring-offset-gray-200:focus-within {\n  --tw-ring-offset-color: #e5e7eb;\n}\n\n.focus-within\\:ring-offset-gray-300:focus-within {\n  --tw-ring-offset-color: #d1d5db;\n}\n\n.focus-within\\:ring-offset-gray-400:focus-within {\n  --tw-ring-offset-color: #9ca3af;\n}\n\n.focus-within\\:ring-offset-gray-500:focus-within {\n  --tw-ring-offset-color: #6b7280;\n}\n\n.focus-within\\:ring-offset-gray-600:focus-within {\n  --tw-ring-offset-color: #4b5563;\n}\n\n.focus-within\\:ring-offset-gray-700:focus-within {\n  --tw-ring-offset-color: #374151;\n}\n\n.focus-within\\:ring-offset-gray-800:focus-within {\n  --tw-ring-offset-color: #1f2937;\n}\n\n.focus-within\\:ring-offset-gray-900:focus-within {\n  --tw-ring-offset-color: #111827;\n}\n\n.focus-within\\:ring-offset-red-50:focus-within {\n  --tw-ring-offset-color: #fef2f2;\n}\n\n.focus-within\\:ring-offset-red-100:focus-within {\n  --tw-ring-offset-color: #fee2e2;\n}\n\n.focus-within\\:ring-offset-red-200:focus-within {\n  --tw-ring-offset-color: #fecaca;\n}\n\n.focus-within\\:ring-offset-red-300:focus-within {\n  --tw-ring-offset-color: #fca5a5;\n}\n\n.focus-within\\:ring-offset-red-400:focus-within {\n  --tw-ring-offset-color: #f87171;\n}\n\n.focus-within\\:ring-offset-red-500:focus-within {\n  --tw-ring-offset-color: #ef4444;\n}\n\n.focus-within\\:ring-offset-red-600:focus-within {\n  --tw-ring-offset-color: #dc2626;\n}\n\n.focus-within\\:ring-offset-red-700:focus-within {\n  --tw-ring-offset-color: #b91c1c;\n}\n\n.focus-within\\:ring-offset-red-800:focus-within {\n  --tw-ring-offset-color: #991b1b;\n}\n\n.focus-within\\:ring-offset-red-900:focus-within {\n  --tw-ring-offset-color: #7f1d1d;\n}\n\n.focus-within\\:ring-offset-yellow-50:focus-within {\n  --tw-ring-offset-color: #fffbeb;\n}\n\n.focus-within\\:ring-offset-yellow-100:focus-within {\n  --tw-ring-offset-color: #fef3c7;\n}\n\n.focus-within\\:ring-offset-yellow-200:focus-within {\n  --tw-ring-offset-color: #fde68a;\n}\n\n.focus-within\\:ring-offset-yellow-300:focus-within {\n  --tw-ring-offset-color: #fcd34d;\n}\n\n.focus-within\\:ring-offset-yellow-400:focus-within {\n  --tw-ring-offset-color: #fbbf24;\n}\n\n.focus-within\\:ring-offset-yellow-500:focus-within {\n  --tw-ring-offset-color: #f59e0b;\n}\n\n.focus-within\\:ring-offset-yellow-600:focus-within {\n  --tw-ring-offset-color: #d97706;\n}\n\n.focus-within\\:ring-offset-yellow-700:focus-within {\n  --tw-ring-offset-color: #b45309;\n}\n\n.focus-within\\:ring-offset-yellow-800:focus-within {\n  --tw-ring-offset-color: #92400e;\n}\n\n.focus-within\\:ring-offset-yellow-900:focus-within {\n  --tw-ring-offset-color: #78350f;\n}\n\n.focus-within\\:ring-offset-green-50:focus-within {\n  --tw-ring-offset-color: #ecfdf5;\n}\n\n.focus-within\\:ring-offset-green-100:focus-within {\n  --tw-ring-offset-color: #d1fae5;\n}\n\n.focus-within\\:ring-offset-green-200:focus-within {\n  --tw-ring-offset-color: #a7f3d0;\n}\n\n.focus-within\\:ring-offset-green-300:focus-within {\n  --tw-ring-offset-color: #6ee7b7;\n}\n\n.focus-within\\:ring-offset-green-400:focus-within {\n  --tw-ring-offset-color: #34d399;\n}\n\n.focus-within\\:ring-offset-green-500:focus-within {\n  --tw-ring-offset-color: #10b981;\n}\n\n.focus-within\\:ring-offset-green-600:focus-within {\n  --tw-ring-offset-color: #059669;\n}\n\n.focus-within\\:ring-offset-green-700:focus-within {\n  --tw-ring-offset-color: #047857;\n}\n\n.focus-within\\:ring-offset-green-800:focus-within {\n  --tw-ring-offset-color: #065f46;\n}\n\n.focus-within\\:ring-offset-green-900:focus-within {\n  --tw-ring-offset-color: #064e3b;\n}\n\n.focus-within\\:ring-offset-blue-50:focus-within {\n  --tw-ring-offset-color: #eff6ff;\n}\n\n.focus-within\\:ring-offset-blue-100:focus-within {\n  --tw-ring-offset-color: #dbeafe;\n}\n\n.focus-within\\:ring-offset-blue-200:focus-within {\n  --tw-ring-offset-color: #bfdbfe;\n}\n\n.focus-within\\:ring-offset-blue-300:focus-within {\n  --tw-ring-offset-color: #93c5fd;\n}\n\n.focus-within\\:ring-offset-blue-400:focus-within {\n  --tw-ring-offset-color: #60a5fa;\n}\n\n.focus-within\\:ring-offset-blue-500:focus-within {\n  --tw-ring-offset-color: #3b82f6;\n}\n\n.focus-within\\:ring-offset-blue-600:focus-within {\n  --tw-ring-offset-color: #2563eb;\n}\n\n.focus-within\\:ring-offset-blue-700:focus-within {\n  --tw-ring-offset-color: #1d4ed8;\n}\n\n.focus-within\\:ring-offset-blue-800:focus-within {\n  --tw-ring-offset-color: #1e40af;\n}\n\n.focus-within\\:ring-offset-blue-900:focus-within {\n  --tw-ring-offset-color: #1e3a8a;\n}\n\n.focus-within\\:ring-offset-indigo-50:focus-within {\n  --tw-ring-offset-color: #eef2ff;\n}\n\n.focus-within\\:ring-offset-indigo-100:focus-within {\n  --tw-ring-offset-color: #e0e7ff;\n}\n\n.focus-within\\:ring-offset-indigo-200:focus-within {\n  --tw-ring-offset-color: #c7d2fe;\n}\n\n.focus-within\\:ring-offset-indigo-300:focus-within {\n  --tw-ring-offset-color: #a5b4fc;\n}\n\n.focus-within\\:ring-offset-indigo-400:focus-within {\n  --tw-ring-offset-color: #818cf8;\n}\n\n.focus-within\\:ring-offset-indigo-500:focus-within {\n  --tw-ring-offset-color: #6366f1;\n}\n\n.focus-within\\:ring-offset-indigo-600:focus-within {\n  --tw-ring-offset-color: #4f46e5;\n}\n\n.focus-within\\:ring-offset-indigo-700:focus-within {\n  --tw-ring-offset-color: #4338ca;\n}\n\n.focus-within\\:ring-offset-indigo-800:focus-within {\n  --tw-ring-offset-color: #3730a3;\n}\n\n.focus-within\\:ring-offset-indigo-900:focus-within {\n  --tw-ring-offset-color: #312e81;\n}\n\n.focus-within\\:ring-offset-purple-50:focus-within {\n  --tw-ring-offset-color: #f5f3ff;\n}\n\n.focus-within\\:ring-offset-purple-100:focus-within {\n  --tw-ring-offset-color: #ede9fe;\n}\n\n.focus-within\\:ring-offset-purple-200:focus-within {\n  --tw-ring-offset-color: #ddd6fe;\n}\n\n.focus-within\\:ring-offset-purple-300:focus-within {\n  --tw-ring-offset-color: #c4b5fd;\n}\n\n.focus-within\\:ring-offset-purple-400:focus-within {\n  --tw-ring-offset-color: #a78bfa;\n}\n\n.focus-within\\:ring-offset-purple-500:focus-within {\n  --tw-ring-offset-color: #8b5cf6;\n}\n\n.focus-within\\:ring-offset-purple-600:focus-within {\n  --tw-ring-offset-color: #7c3aed;\n}\n\n.focus-within\\:ring-offset-purple-700:focus-within {\n  --tw-ring-offset-color: #6d28d9;\n}\n\n.focus-within\\:ring-offset-purple-800:focus-within {\n  --tw-ring-offset-color: #5b21b6;\n}\n\n.focus-within\\:ring-offset-purple-900:focus-within {\n  --tw-ring-offset-color: #4c1d95;\n}\n\n.focus-within\\:ring-offset-pink-50:focus-within {\n  --tw-ring-offset-color: #fdf2f8;\n}\n\n.focus-within\\:ring-offset-pink-100:focus-within {\n  --tw-ring-offset-color: #fce7f3;\n}\n\n.focus-within\\:ring-offset-pink-200:focus-within {\n  --tw-ring-offset-color: #fbcfe8;\n}\n\n.focus-within\\:ring-offset-pink-300:focus-within {\n  --tw-ring-offset-color: #f9a8d4;\n}\n\n.focus-within\\:ring-offset-pink-400:focus-within {\n  --tw-ring-offset-color: #f472b6;\n}\n\n.focus-within\\:ring-offset-pink-500:focus-within {\n  --tw-ring-offset-color: #ec4899;\n}\n\n.focus-within\\:ring-offset-pink-600:focus-within {\n  --tw-ring-offset-color: #db2777;\n}\n\n.focus-within\\:ring-offset-pink-700:focus-within {\n  --tw-ring-offset-color: #be185d;\n}\n\n.focus-within\\:ring-offset-pink-800:focus-within {\n  --tw-ring-offset-color: #9d174d;\n}\n\n.focus-within\\:ring-offset-pink-900:focus-within {\n  --tw-ring-offset-color: #831843;\n}\n\n.focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n  --tw-ring-offset-color: #0274F1;\n}\n\n.focus-within\\:ring-offset-ousd-button-start:focus-within {\n  --tw-ring-offset-color: #B361E6;\n}\n\n.focus-within\\:ring-offset-ousd-button-end:focus-within {\n  --tw-ring-offset-color: #6A36FC;\n}\n\n.focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n  --tw-ring-offset-color: #402154;\n}\n\n.focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n  --tw-ring-offset-color: #120046;\n}\n\n.focus-within\\:ring-offset-story-button-start:focus-within {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.focus-within\\:ring-offset-story-button-end:focus-within {\n  --tw-ring-offset-color: #429CFF;\n}\n\n.focus-within\\:ring-offset-story-pink-start:focus-within {\n  --tw-ring-offset-color: #FB25F1;\n}\n\n.focus-within\\:ring-offset-story-pink-end:focus-within {\n  --tw-ring-offset-color: #FD9BC2;\n}\n\n.focus-within\\:ring-offset-footer-end:focus-within {\n  --tw-ring-offset-color: #1E313F;\n}\n\n.focus\\:ring-offset-transparent:focus {\n  --tw-ring-offset-color: transparent;\n}\n\n.focus\\:ring-offset-current:focus {\n  --tw-ring-offset-color: currentColor;\n}\n\n.focus\\:ring-offset-black:focus {\n  --tw-ring-offset-color: #000;\n}\n\n.focus\\:ring-offset-white:focus {\n  --tw-ring-offset-color: #fff;\n}\n\n.focus\\:ring-offset-gray-50:focus {\n  --tw-ring-offset-color: #f9fafb;\n}\n\n.focus\\:ring-offset-gray-100:focus {\n  --tw-ring-offset-color: #f3f4f6;\n}\n\n.focus\\:ring-offset-gray-200:focus {\n  --tw-ring-offset-color: #e5e7eb;\n}\n\n.focus\\:ring-offset-gray-300:focus {\n  --tw-ring-offset-color: #d1d5db;\n}\n\n.focus\\:ring-offset-gray-400:focus {\n  --tw-ring-offset-color: #9ca3af;\n}\n\n.focus\\:ring-offset-gray-500:focus {\n  --tw-ring-offset-color: #6b7280;\n}\n\n.focus\\:ring-offset-gray-600:focus {\n  --tw-ring-offset-color: #4b5563;\n}\n\n.focus\\:ring-offset-gray-700:focus {\n  --tw-ring-offset-color: #374151;\n}\n\n.focus\\:ring-offset-gray-800:focus {\n  --tw-ring-offset-color: #1f2937;\n}\n\n.focus\\:ring-offset-gray-900:focus {\n  --tw-ring-offset-color: #111827;\n}\n\n.focus\\:ring-offset-red-50:focus {\n  --tw-ring-offset-color: #fef2f2;\n}\n\n.focus\\:ring-offset-red-100:focus {\n  --tw-ring-offset-color: #fee2e2;\n}\n\n.focus\\:ring-offset-red-200:focus {\n  --tw-ring-offset-color: #fecaca;\n}\n\n.focus\\:ring-offset-red-300:focus {\n  --tw-ring-offset-color: #fca5a5;\n}\n\n.focus\\:ring-offset-red-400:focus {\n  --tw-ring-offset-color: #f87171;\n}\n\n.focus\\:ring-offset-red-500:focus {\n  --tw-ring-offset-color: #ef4444;\n}\n\n.focus\\:ring-offset-red-600:focus {\n  --tw-ring-offset-color: #dc2626;\n}\n\n.focus\\:ring-offset-red-700:focus {\n  --tw-ring-offset-color: #b91c1c;\n}\n\n.focus\\:ring-offset-red-800:focus {\n  --tw-ring-offset-color: #991b1b;\n}\n\n.focus\\:ring-offset-red-900:focus {\n  --tw-ring-offset-color: #7f1d1d;\n}\n\n.focus\\:ring-offset-yellow-50:focus {\n  --tw-ring-offset-color: #fffbeb;\n}\n\n.focus\\:ring-offset-yellow-100:focus {\n  --tw-ring-offset-color: #fef3c7;\n}\n\n.focus\\:ring-offset-yellow-200:focus {\n  --tw-ring-offset-color: #fde68a;\n}\n\n.focus\\:ring-offset-yellow-300:focus {\n  --tw-ring-offset-color: #fcd34d;\n}\n\n.focus\\:ring-offset-yellow-400:focus {\n  --tw-ring-offset-color: #fbbf24;\n}\n\n.focus\\:ring-offset-yellow-500:focus {\n  --tw-ring-offset-color: #f59e0b;\n}\n\n.focus\\:ring-offset-yellow-600:focus {\n  --tw-ring-offset-color: #d97706;\n}\n\n.focus\\:ring-offset-yellow-700:focus {\n  --tw-ring-offset-color: #b45309;\n}\n\n.focus\\:ring-offset-yellow-800:focus {\n  --tw-ring-offset-color: #92400e;\n}\n\n.focus\\:ring-offset-yellow-900:focus {\n  --tw-ring-offset-color: #78350f;\n}\n\n.focus\\:ring-offset-green-50:focus {\n  --tw-ring-offset-color: #ecfdf5;\n}\n\n.focus\\:ring-offset-green-100:focus {\n  --tw-ring-offset-color: #d1fae5;\n}\n\n.focus\\:ring-offset-green-200:focus {\n  --tw-ring-offset-color: #a7f3d0;\n}\n\n.focus\\:ring-offset-green-300:focus {\n  --tw-ring-offset-color: #6ee7b7;\n}\n\n.focus\\:ring-offset-green-400:focus {\n  --tw-ring-offset-color: #34d399;\n}\n\n.focus\\:ring-offset-green-500:focus {\n  --tw-ring-offset-color: #10b981;\n}\n\n.focus\\:ring-offset-green-600:focus {\n  --tw-ring-offset-color: #059669;\n}\n\n.focus\\:ring-offset-green-700:focus {\n  --tw-ring-offset-color: #047857;\n}\n\n.focus\\:ring-offset-green-800:focus {\n  --tw-ring-offset-color: #065f46;\n}\n\n.focus\\:ring-offset-green-900:focus {\n  --tw-ring-offset-color: #064e3b;\n}\n\n.focus\\:ring-offset-blue-50:focus {\n  --tw-ring-offset-color: #eff6ff;\n}\n\n.focus\\:ring-offset-blue-100:focus {\n  --tw-ring-offset-color: #dbeafe;\n}\n\n.focus\\:ring-offset-blue-200:focus {\n  --tw-ring-offset-color: #bfdbfe;\n}\n\n.focus\\:ring-offset-blue-300:focus {\n  --tw-ring-offset-color: #93c5fd;\n}\n\n.focus\\:ring-offset-blue-400:focus {\n  --tw-ring-offset-color: #60a5fa;\n}\n\n.focus\\:ring-offset-blue-500:focus {\n  --tw-ring-offset-color: #3b82f6;\n}\n\n.focus\\:ring-offset-blue-600:focus {\n  --tw-ring-offset-color: #2563eb;\n}\n\n.focus\\:ring-offset-blue-700:focus {\n  --tw-ring-offset-color: #1d4ed8;\n}\n\n.focus\\:ring-offset-blue-800:focus {\n  --tw-ring-offset-color: #1e40af;\n}\n\n.focus\\:ring-offset-blue-900:focus {\n  --tw-ring-offset-color: #1e3a8a;\n}\n\n.focus\\:ring-offset-indigo-50:focus {\n  --tw-ring-offset-color: #eef2ff;\n}\n\n.focus\\:ring-offset-indigo-100:focus {\n  --tw-ring-offset-color: #e0e7ff;\n}\n\n.focus\\:ring-offset-indigo-200:focus {\n  --tw-ring-offset-color: #c7d2fe;\n}\n\n.focus\\:ring-offset-indigo-300:focus {\n  --tw-ring-offset-color: #a5b4fc;\n}\n\n.focus\\:ring-offset-indigo-400:focus {\n  --tw-ring-offset-color: #818cf8;\n}\n\n.focus\\:ring-offset-indigo-500:focus {\n  --tw-ring-offset-color: #6366f1;\n}\n\n.focus\\:ring-offset-indigo-600:focus {\n  --tw-ring-offset-color: #4f46e5;\n}\n\n.focus\\:ring-offset-indigo-700:focus {\n  --tw-ring-offset-color: #4338ca;\n}\n\n.focus\\:ring-offset-indigo-800:focus {\n  --tw-ring-offset-color: #3730a3;\n}\n\n.focus\\:ring-offset-indigo-900:focus {\n  --tw-ring-offset-color: #312e81;\n}\n\n.focus\\:ring-offset-purple-50:focus {\n  --tw-ring-offset-color: #f5f3ff;\n}\n\n.focus\\:ring-offset-purple-100:focus {\n  --tw-ring-offset-color: #ede9fe;\n}\n\n.focus\\:ring-offset-purple-200:focus {\n  --tw-ring-offset-color: #ddd6fe;\n}\n\n.focus\\:ring-offset-purple-300:focus {\n  --tw-ring-offset-color: #c4b5fd;\n}\n\n.focus\\:ring-offset-purple-400:focus {\n  --tw-ring-offset-color: #a78bfa;\n}\n\n.focus\\:ring-offset-purple-500:focus {\n  --tw-ring-offset-color: #8b5cf6;\n}\n\n.focus\\:ring-offset-purple-600:focus {\n  --tw-ring-offset-color: #7c3aed;\n}\n\n.focus\\:ring-offset-purple-700:focus {\n  --tw-ring-offset-color: #6d28d9;\n}\n\n.focus\\:ring-offset-purple-800:focus {\n  --tw-ring-offset-color: #5b21b6;\n}\n\n.focus\\:ring-offset-purple-900:focus {\n  --tw-ring-offset-color: #4c1d95;\n}\n\n.focus\\:ring-offset-pink-50:focus {\n  --tw-ring-offset-color: #fdf2f8;\n}\n\n.focus\\:ring-offset-pink-100:focus {\n  --tw-ring-offset-color: #fce7f3;\n}\n\n.focus\\:ring-offset-pink-200:focus {\n  --tw-ring-offset-color: #fbcfe8;\n}\n\n.focus\\:ring-offset-pink-300:focus {\n  --tw-ring-offset-color: #f9a8d4;\n}\n\n.focus\\:ring-offset-pink-400:focus {\n  --tw-ring-offset-color: #f472b6;\n}\n\n.focus\\:ring-offset-pink-500:focus {\n  --tw-ring-offset-color: #ec4899;\n}\n\n.focus\\:ring-offset-pink-600:focus {\n  --tw-ring-offset-color: #db2777;\n}\n\n.focus\\:ring-offset-pink-700:focus {\n  --tw-ring-offset-color: #be185d;\n}\n\n.focus\\:ring-offset-pink-800:focus {\n  --tw-ring-offset-color: #9d174d;\n}\n\n.focus\\:ring-offset-pink-900:focus {\n  --tw-ring-offset-color: #831843;\n}\n\n.focus\\:ring-offset-origin-protocol-button-start:focus {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.focus\\:ring-offset-origin-protocol-button-end:focus {\n  --tw-ring-offset-color: #0274F1;\n}\n\n.focus\\:ring-offset-ousd-button-start:focus {\n  --tw-ring-offset-color: #B361E6;\n}\n\n.focus\\:ring-offset-ousd-button-end:focus {\n  --tw-ring-offset-color: #6A36FC;\n}\n\n.focus\\:ring-offset-ousd-button-dark-start:focus {\n  --tw-ring-offset-color: #402154;\n}\n\n.focus\\:ring-offset-ousd-button-dark-end:focus {\n  --tw-ring-offset-color: #120046;\n}\n\n.focus\\:ring-offset-story-button-start:focus {\n  --tw-ring-offset-color: #8C66FC;\n}\n\n.focus\\:ring-offset-story-button-end:focus {\n  --tw-ring-offset-color: #429CFF;\n}\n\n.focus\\:ring-offset-story-pink-start:focus {\n  --tw-ring-offset-color: #FB25F1;\n}\n\n.focus\\:ring-offset-story-pink-end:focus {\n  --tw-ring-offset-color: #FD9BC2;\n}\n\n.focus\\:ring-offset-footer-end:focus {\n  --tw-ring-offset-color: #1E313F;\n}\n\n.filter {\n  --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n  --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n  --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n  --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n  --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n  --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n  --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n  --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n  --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n  filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n}\n\n.filter-none {\n  filter: none;\n}\n\n.blur-0 {\n  --tw-blur: blur(0);\n}\n\n.blur-none {\n  --tw-blur: blur(0);\n}\n\n.blur-sm {\n  --tw-blur: blur(4px);\n}\n\n.blur {\n  --tw-blur: blur(8px);\n}\n\n.blur-md {\n  --tw-blur: blur(12px);\n}\n\n.blur-lg {\n  --tw-blur: blur(16px);\n}\n\n.blur-xl {\n  --tw-blur: blur(24px);\n}\n\n.blur-2xl {\n  --tw-blur: blur(40px);\n}\n\n.blur-3xl {\n  --tw-blur: blur(64px);\n}\n\n.brightness-0 {\n  --tw-brightness: brightness(0);\n}\n\n.brightness-50 {\n  --tw-brightness: brightness(.5);\n}\n\n.brightness-75 {\n  --tw-brightness: brightness(.75);\n}\n\n.brightness-90 {\n  --tw-brightness: brightness(.9);\n}\n\n.brightness-95 {\n  --tw-brightness: brightness(.95);\n}\n\n.brightness-100 {\n  --tw-brightness: brightness(1);\n}\n\n.brightness-105 {\n  --tw-brightness: brightness(1.05);\n}\n\n.brightness-110 {\n  --tw-brightness: brightness(1.1);\n}\n\n.brightness-125 {\n  --tw-brightness: brightness(1.25);\n}\n\n.brightness-150 {\n  --tw-brightness: brightness(1.5);\n}\n\n.brightness-200 {\n  --tw-brightness: brightness(2);\n}\n\n.contrast-0 {\n  --tw-contrast: contrast(0);\n}\n\n.contrast-50 {\n  --tw-contrast: contrast(.5);\n}\n\n.contrast-75 {\n  --tw-contrast: contrast(.75);\n}\n\n.contrast-100 {\n  --tw-contrast: contrast(1);\n}\n\n.contrast-125 {\n  --tw-contrast: contrast(1.25);\n}\n\n.contrast-150 {\n  --tw-contrast: contrast(1.5);\n}\n\n.contrast-200 {\n  --tw-contrast: contrast(2);\n}\n\n.drop-shadow-sm {\n  --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n}\n\n.drop-shadow {\n  --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n}\n\n.drop-shadow-md {\n  --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n}\n\n.drop-shadow-lg {\n  --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n}\n\n.drop-shadow-xl {\n  --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n}\n\n.drop-shadow-2xl {\n  --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n}\n\n.drop-shadow-none {\n  --tw-drop-shadow: drop-shadow(0 0 #0000);\n}\n\n.grayscale-0 {\n  --tw-grayscale: grayscale(0);\n}\n\n.grayscale {\n  --tw-grayscale: grayscale(100%);\n}\n\n.hue-rotate-0 {\n  --tw-hue-rotate: hue-rotate(0deg);\n}\n\n.hue-rotate-15 {\n  --tw-hue-rotate: hue-rotate(15deg);\n}\n\n.hue-rotate-30 {\n  --tw-hue-rotate: hue-rotate(30deg);\n}\n\n.hue-rotate-60 {\n  --tw-hue-rotate: hue-rotate(60deg);\n}\n\n.hue-rotate-90 {\n  --tw-hue-rotate: hue-rotate(90deg);\n}\n\n.hue-rotate-180 {\n  --tw-hue-rotate: hue-rotate(180deg);\n}\n\n.-hue-rotate-180 {\n  --tw-hue-rotate: hue-rotate(-180deg);\n}\n\n.-hue-rotate-90 {\n  --tw-hue-rotate: hue-rotate(-90deg);\n}\n\n.-hue-rotate-60 {\n  --tw-hue-rotate: hue-rotate(-60deg);\n}\n\n.-hue-rotate-30 {\n  --tw-hue-rotate: hue-rotate(-30deg);\n}\n\n.-hue-rotate-15 {\n  --tw-hue-rotate: hue-rotate(-15deg);\n}\n\n.invert-0 {\n  --tw-invert: invert(0);\n}\n\n.invert {\n  --tw-invert: invert(100%);\n}\n\n.saturate-0 {\n  --tw-saturate: saturate(0);\n}\n\n.saturate-50 {\n  --tw-saturate: saturate(.5);\n}\n\n.saturate-100 {\n  --tw-saturate: saturate(1);\n}\n\n.saturate-150 {\n  --tw-saturate: saturate(1.5);\n}\n\n.saturate-200 {\n  --tw-saturate: saturate(2);\n}\n\n.sepia-0 {\n  --tw-sepia: sepia(0);\n}\n\n.sepia {\n  --tw-sepia: sepia(100%);\n}\n\n.backdrop-filter {\n  --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n  --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n  -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n          backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n}\n\n.backdrop-filter-none {\n  -webkit-backdrop-filter: none;\n          backdrop-filter: none;\n}\n\n.backdrop-blur-0 {\n  --tw-backdrop-blur: blur(0);\n}\n\n.backdrop-blur-none {\n  --tw-backdrop-blur: blur(0);\n}\n\n.backdrop-blur-sm {\n  --tw-backdrop-blur: blur(4px);\n}\n\n.backdrop-blur {\n  --tw-backdrop-blur: blur(8px);\n}\n\n.backdrop-blur-md {\n  --tw-backdrop-blur: blur(12px);\n}\n\n.backdrop-blur-lg {\n  --tw-backdrop-blur: blur(16px);\n}\n\n.backdrop-blur-xl {\n  --tw-backdrop-blur: blur(24px);\n}\n\n.backdrop-blur-2xl {\n  --tw-backdrop-blur: blur(40px);\n}\n\n.backdrop-blur-3xl {\n  --tw-backdrop-blur: blur(64px);\n}\n\n.backdrop-brightness-0 {\n  --tw-backdrop-brightness: brightness(0);\n}\n\n.backdrop-brightness-50 {\n  --tw-backdrop-brightness: brightness(.5);\n}\n\n.backdrop-brightness-75 {\n  --tw-backdrop-brightness: brightness(.75);\n}\n\n.backdrop-brightness-90 {\n  --tw-backdrop-brightness: brightness(.9);\n}\n\n.backdrop-brightness-95 {\n  --tw-backdrop-brightness: brightness(.95);\n}\n\n.backdrop-brightness-100 {\n  --tw-backdrop-brightness: brightness(1);\n}\n\n.backdrop-brightness-105 {\n  --tw-backdrop-brightness: brightness(1.05);\n}\n\n.backdrop-brightness-110 {\n  --tw-backdrop-brightness: brightness(1.1);\n}\n\n.backdrop-brightness-125 {\n  --tw-backdrop-brightness: brightness(1.25);\n}\n\n.backdrop-brightness-150 {\n  --tw-backdrop-brightness: brightness(1.5);\n}\n\n.backdrop-brightness-200 {\n  --tw-backdrop-brightness: brightness(2);\n}\n\n.backdrop-contrast-0 {\n  --tw-backdrop-contrast: contrast(0);\n}\n\n.backdrop-contrast-50 {\n  --tw-backdrop-contrast: contrast(.5);\n}\n\n.backdrop-contrast-75 {\n  --tw-backdrop-contrast: contrast(.75);\n}\n\n.backdrop-contrast-100 {\n  --tw-backdrop-contrast: contrast(1);\n}\n\n.backdrop-contrast-125 {\n  --tw-backdrop-contrast: contrast(1.25);\n}\n\n.backdrop-contrast-150 {\n  --tw-backdrop-contrast: contrast(1.5);\n}\n\n.backdrop-contrast-200 {\n  --tw-backdrop-contrast: contrast(2);\n}\n\n.backdrop-grayscale-0 {\n  --tw-backdrop-grayscale: grayscale(0);\n}\n\n.backdrop-grayscale {\n  --tw-backdrop-grayscale: grayscale(100%);\n}\n\n.backdrop-hue-rotate-0 {\n  --tw-backdrop-hue-rotate: hue-rotate(0deg);\n}\n\n.backdrop-hue-rotate-15 {\n  --tw-backdrop-hue-rotate: hue-rotate(15deg);\n}\n\n.backdrop-hue-rotate-30 {\n  --tw-backdrop-hue-rotate: hue-rotate(30deg);\n}\n\n.backdrop-hue-rotate-60 {\n  --tw-backdrop-hue-rotate: hue-rotate(60deg);\n}\n\n.backdrop-hue-rotate-90 {\n  --tw-backdrop-hue-rotate: hue-rotate(90deg);\n}\n\n.backdrop-hue-rotate-180 {\n  --tw-backdrop-hue-rotate: hue-rotate(180deg);\n}\n\n.-backdrop-hue-rotate-180 {\n  --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n}\n\n.-backdrop-hue-rotate-90 {\n  --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n}\n\n.-backdrop-hue-rotate-60 {\n  --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n}\n\n.-backdrop-hue-rotate-30 {\n  --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n}\n\n.-backdrop-hue-rotate-15 {\n  --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n}\n\n.backdrop-invert-0 {\n  --tw-backdrop-invert: invert(0);\n}\n\n.backdrop-invert {\n  --tw-backdrop-invert: invert(100%);\n}\n\n.backdrop-opacity-0 {\n  --tw-backdrop-opacity: opacity(0);\n}\n\n.backdrop-opacity-5 {\n  --tw-backdrop-opacity: opacity(0.05);\n}\n\n.backdrop-opacity-10 {\n  --tw-backdrop-opacity: opacity(0.1);\n}\n\n.backdrop-opacity-20 {\n  --tw-backdrop-opacity: opacity(0.2);\n}\n\n.backdrop-opacity-25 {\n  --tw-backdrop-opacity: opacity(0.25);\n}\n\n.backdrop-opacity-30 {\n  --tw-backdrop-opacity: opacity(0.3);\n}\n\n.backdrop-opacity-40 {\n  --tw-backdrop-opacity: opacity(0.4);\n}\n\n.backdrop-opacity-50 {\n  --tw-backdrop-opacity: opacity(0.5);\n}\n\n.backdrop-opacity-60 {\n  --tw-backdrop-opacity: opacity(0.6);\n}\n\n.backdrop-opacity-70 {\n  --tw-backdrop-opacity: opacity(0.7);\n}\n\n.backdrop-opacity-75 {\n  --tw-backdrop-opacity: opacity(0.75);\n}\n\n.backdrop-opacity-80 {\n  --tw-backdrop-opacity: opacity(0.8);\n}\n\n.backdrop-opacity-90 {\n  --tw-backdrop-opacity: opacity(0.9);\n}\n\n.backdrop-opacity-95 {\n  --tw-backdrop-opacity: opacity(0.95);\n}\n\n.backdrop-opacity-100 {\n  --tw-backdrop-opacity: opacity(1);\n}\n\n.backdrop-saturate-0 {\n  --tw-backdrop-saturate: saturate(0);\n}\n\n.backdrop-saturate-50 {\n  --tw-backdrop-saturate: saturate(.5);\n}\n\n.backdrop-saturate-100 {\n  --tw-backdrop-saturate: saturate(1);\n}\n\n.backdrop-saturate-150 {\n  --tw-backdrop-saturate: saturate(1.5);\n}\n\n.backdrop-saturate-200 {\n  --tw-backdrop-saturate: saturate(2);\n}\n\n.backdrop-sepia-0 {\n  --tw-backdrop-sepia: sepia(0);\n}\n\n.backdrop-sepia {\n  --tw-backdrop-sepia: sepia(100%);\n}\n\n.transition-none {\n  transition-property: none;\n}\n\n.transition-all {\n  transition-property: all;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.transition {\n  transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n  transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n  transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.transition-colors {\n  transition-property: background-color, border-color, color, fill, stroke;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.transition-opacity {\n  transition-property: opacity;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.transition-shadow {\n  transition-property: box-shadow;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.transition-transform {\n  transition-property: transform;\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  transition-duration: 150ms;\n}\n\n.delay-75 {\n  transition-delay: 75ms;\n}\n\n.delay-100 {\n  transition-delay: 100ms;\n}\n\n.delay-150 {\n  transition-delay: 150ms;\n}\n\n.delay-200 {\n  transition-delay: 200ms;\n}\n\n.delay-300 {\n  transition-delay: 300ms;\n}\n\n.delay-500 {\n  transition-delay: 500ms;\n}\n\n.delay-700 {\n  transition-delay: 700ms;\n}\n\n.delay-1000 {\n  transition-delay: 1000ms;\n}\n\n.duration-75 {\n  transition-duration: 75ms;\n}\n\n.duration-100 {\n  transition-duration: 100ms;\n}\n\n.duration-150 {\n  transition-duration: 150ms;\n}\n\n.duration-200 {\n  transition-duration: 200ms;\n}\n\n.duration-300 {\n  transition-duration: 300ms;\n}\n\n.duration-500 {\n  transition-duration: 500ms;\n}\n\n.duration-700 {\n  transition-duration: 700ms;\n}\n\n.duration-1000 {\n  transition-duration: 1000ms;\n}\n\n.ease-linear {\n  transition-timing-function: linear;\n}\n\n.ease-in {\n  transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n}\n\n.ease-out {\n  transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n}\n\n.ease-in-out {\n  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 100;\n\n  src: url(fonts/Inter/Inter-Thin.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 200;\n\n  src: url(fonts/Inter/Inter-ExtraLight.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 300;\n\n  src: url(fonts/Inter/Inter-Light.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 400;\n\n  src: url(fonts/Inter/Inter-Regular.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 500;\n\n  src: url(fonts/Inter/Inter-Medium.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 600;\n\n  src: url(fonts/Inter/Inter-SemiBold.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 700;\n\n  src: url(fonts/Inter/Inter-Bold.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 800;\n\n  src: url(fonts/Inter/Inter-ExtraBold.ttf);\n}\n\n@font-face {\n  font-family: Inter;\n\n  font-weight: 900;\n\n  src: url(fonts/Inter/Inter-Black.ttf);\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 100;\n\n  src: url(fonts/Sailec/Sailec-Hairline.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 200;\n\n  src: url(fonts/Sailec/Sailec-Thin.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 300;\n\n  src: url(fonts/Sailec/Sailec-Light.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 400;\n\n  src: url(fonts/Sailec/Sailec-Regular.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 500;\n\n  src: url(fonts/Sailec/Sailec-Medium.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 700;\n\n  src: url(fonts/Sailec/Sailec-Bold.otf) format(\"opentype\");\n}\n\n@font-face {\n  font-family: Sailec;\n\n  font-weight: 900;\n\n  src: url(fonts/Sailec/Sailec-Black.otf) format(\"opentype\");\n}\n\n@media (min-width: 640px) {\n  .sm\\:container {\n    width: 100%;\n  }\n\n  @media (min-width: 640px) {\n    .sm\\:container {\n      max-width: 640px;\n    }\n  }\n\n  @media (min-width: 768px) {\n    .sm\\:container {\n      max-width: 768px;\n    }\n  }\n\n  @media (min-width: 1024px) {\n    .sm\\:container {\n      max-width: 1024px;\n    }\n  }\n\n  @media (min-width: 1280px) {\n    .sm\\:container {\n      max-width: 1280px;\n    }\n  }\n\n  @media (min-width: 1536px) {\n    .sm\\:container {\n      max-width: 1536px;\n    }\n  }\n\n  .sm\\:sr-only {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .sm\\:not-sr-only {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .sm\\:focus-within\\:sr-only:focus-within {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .sm\\:focus-within\\:not-sr-only:focus-within {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .sm\\:focus\\:sr-only:focus {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .sm\\:focus\\:not-sr-only:focus {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .sm\\:pointer-events-none {\n    pointer-events: none;\n  }\n\n  .sm\\:pointer-events-auto {\n    pointer-events: auto;\n  }\n\n  .sm\\:visible {\n    visibility: visible;\n  }\n\n  .sm\\:invisible {\n    visibility: hidden;\n  }\n\n  .sm\\:static {\n    position: static;\n  }\n\n  .sm\\:fixed {\n    position: fixed;\n  }\n\n  .sm\\:absolute {\n    position: absolute;\n  }\n\n  .sm\\:relative {\n    position: relative;\n  }\n\n  .sm\\:sticky {\n    position: sticky;\n  }\n\n  .sm\\:inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .sm\\:inset-1 {\n    top: 0.25rem;\n    right: 0.25rem;\n    bottom: 0.25rem;\n    left: 0.25rem;\n  }\n\n  .sm\\:inset-2 {\n    top: 0.5rem;\n    right: 0.5rem;\n    bottom: 0.5rem;\n    left: 0.5rem;\n  }\n\n  .sm\\:inset-3 {\n    top: 0.75rem;\n    right: 0.75rem;\n    bottom: 0.75rem;\n    left: 0.75rem;\n  }\n\n  .sm\\:inset-4 {\n    top: 1rem;\n    right: 1rem;\n    bottom: 1rem;\n    left: 1rem;\n  }\n\n  .sm\\:inset-5 {\n    top: 1.25rem;\n    right: 1.25rem;\n    bottom: 1.25rem;\n    left: 1.25rem;\n  }\n\n  .sm\\:inset-6 {\n    top: 1.5rem;\n    right: 1.5rem;\n    bottom: 1.5rem;\n    left: 1.5rem;\n  }\n\n  .sm\\:inset-7 {\n    top: 1.75rem;\n    right: 1.75rem;\n    bottom: 1.75rem;\n    left: 1.75rem;\n  }\n\n  .sm\\:inset-8 {\n    top: 2rem;\n    right: 2rem;\n    bottom: 2rem;\n    left: 2rem;\n  }\n\n  .sm\\:inset-9 {\n    top: 2.25rem;\n    right: 2.25rem;\n    bottom: 2.25rem;\n    left: 2.25rem;\n  }\n\n  .sm\\:inset-10 {\n    top: 2.5rem;\n    right: 2.5rem;\n    bottom: 2.5rem;\n    left: 2.5rem;\n  }\n\n  .sm\\:inset-11 {\n    top: 2.75rem;\n    right: 2.75rem;\n    bottom: 2.75rem;\n    left: 2.75rem;\n  }\n\n  .sm\\:inset-12 {\n    top: 3rem;\n    right: 3rem;\n    bottom: 3rem;\n    left: 3rem;\n  }\n\n  .sm\\:inset-14 {\n    top: 3.5rem;\n    right: 3.5rem;\n    bottom: 3.5rem;\n    left: 3.5rem;\n  }\n\n  .sm\\:inset-16 {\n    top: 4rem;\n    right: 4rem;\n    bottom: 4rem;\n    left: 4rem;\n  }\n\n  .sm\\:inset-20 {\n    top: 5rem;\n    right: 5rem;\n    bottom: 5rem;\n    left: 5rem;\n  }\n\n  .sm\\:inset-24 {\n    top: 6rem;\n    right: 6rem;\n    bottom: 6rem;\n    left: 6rem;\n  }\n\n  .sm\\:inset-28 {\n    top: 7rem;\n    right: 7rem;\n    bottom: 7rem;\n    left: 7rem;\n  }\n\n  .sm\\:inset-32 {\n    top: 8rem;\n    right: 8rem;\n    bottom: 8rem;\n    left: 8rem;\n  }\n\n  .sm\\:inset-36 {\n    top: 9rem;\n    right: 9rem;\n    bottom: 9rem;\n    left: 9rem;\n  }\n\n  .sm\\:inset-40 {\n    top: 10rem;\n    right: 10rem;\n    bottom: 10rem;\n    left: 10rem;\n  }\n\n  .sm\\:inset-44 {\n    top: 11rem;\n    right: 11rem;\n    bottom: 11rem;\n    left: 11rem;\n  }\n\n  .sm\\:inset-48 {\n    top: 12rem;\n    right: 12rem;\n    bottom: 12rem;\n    left: 12rem;\n  }\n\n  .sm\\:inset-52 {\n    top: 13rem;\n    right: 13rem;\n    bottom: 13rem;\n    left: 13rem;\n  }\n\n  .sm\\:inset-56 {\n    top: 14rem;\n    right: 14rem;\n    bottom: 14rem;\n    left: 14rem;\n  }\n\n  .sm\\:inset-60 {\n    top: 15rem;\n    right: 15rem;\n    bottom: 15rem;\n    left: 15rem;\n  }\n\n  .sm\\:inset-64 {\n    top: 16rem;\n    right: 16rem;\n    bottom: 16rem;\n    left: 16rem;\n  }\n\n  .sm\\:inset-72 {\n    top: 18rem;\n    right: 18rem;\n    bottom: 18rem;\n    left: 18rem;\n  }\n\n  .sm\\:inset-80 {\n    top: 20rem;\n    right: 20rem;\n    bottom: 20rem;\n    left: 20rem;\n  }\n\n  .sm\\:inset-96 {\n    top: 24rem;\n    right: 24rem;\n    bottom: 24rem;\n    left: 24rem;\n  }\n\n  .sm\\:inset-auto {\n    top: auto;\n    right: auto;\n    bottom: auto;\n    left: auto;\n  }\n\n  .sm\\:inset-px {\n    top: 1px;\n    right: 1px;\n    bottom: 1px;\n    left: 1px;\n  }\n\n  .sm\\:inset-0\\.5 {\n    top: 0.125rem;\n    right: 0.125rem;\n    bottom: 0.125rem;\n    left: 0.125rem;\n  }\n\n  .sm\\:inset-1\\.5 {\n    top: 0.375rem;\n    right: 0.375rem;\n    bottom: 0.375rem;\n    left: 0.375rem;\n  }\n\n  .sm\\:inset-2\\.5 {\n    top: 0.625rem;\n    right: 0.625rem;\n    bottom: 0.625rem;\n    left: 0.625rem;\n  }\n\n  .sm\\:inset-3\\.5 {\n    top: 0.875rem;\n    right: 0.875rem;\n    bottom: 0.875rem;\n    left: 0.875rem;\n  }\n\n  .sm\\:-inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .sm\\:-inset-1 {\n    top: -0.25rem;\n    right: -0.25rem;\n    bottom: -0.25rem;\n    left: -0.25rem;\n  }\n\n  .sm\\:-inset-2 {\n    top: -0.5rem;\n    right: -0.5rem;\n    bottom: -0.5rem;\n    left: -0.5rem;\n  }\n\n  .sm\\:-inset-3 {\n    top: -0.75rem;\n    right: -0.75rem;\n    bottom: -0.75rem;\n    left: -0.75rem;\n  }\n\n  .sm\\:-inset-4 {\n    top: -1rem;\n    right: -1rem;\n    bottom: -1rem;\n    left: -1rem;\n  }\n\n  .sm\\:-inset-5 {\n    top: -1.25rem;\n    right: -1.25rem;\n    bottom: -1.25rem;\n    left: -1.25rem;\n  }\n\n  .sm\\:-inset-6 {\n    top: -1.5rem;\n    right: -1.5rem;\n    bottom: -1.5rem;\n    left: -1.5rem;\n  }\n\n  .sm\\:-inset-7 {\n    top: -1.75rem;\n    right: -1.75rem;\n    bottom: -1.75rem;\n    left: -1.75rem;\n  }\n\n  .sm\\:-inset-8 {\n    top: -2rem;\n    right: -2rem;\n    bottom: -2rem;\n    left: -2rem;\n  }\n\n  .sm\\:-inset-9 {\n    top: -2.25rem;\n    right: -2.25rem;\n    bottom: -2.25rem;\n    left: -2.25rem;\n  }\n\n  .sm\\:-inset-10 {\n    top: -2.5rem;\n    right: -2.5rem;\n    bottom: -2.5rem;\n    left: -2.5rem;\n  }\n\n  .sm\\:-inset-11 {\n    top: -2.75rem;\n    right: -2.75rem;\n    bottom: -2.75rem;\n    left: -2.75rem;\n  }\n\n  .sm\\:-inset-12 {\n    top: -3rem;\n    right: -3rem;\n    bottom: -3rem;\n    left: -3rem;\n  }\n\n  .sm\\:-inset-14 {\n    top: -3.5rem;\n    right: -3.5rem;\n    bottom: -3.5rem;\n    left: -3.5rem;\n  }\n\n  .sm\\:-inset-16 {\n    top: -4rem;\n    right: -4rem;\n    bottom: -4rem;\n    left: -4rem;\n  }\n\n  .sm\\:-inset-20 {\n    top: -5rem;\n    right: -5rem;\n    bottom: -5rem;\n    left: -5rem;\n  }\n\n  .sm\\:-inset-24 {\n    top: -6rem;\n    right: -6rem;\n    bottom: -6rem;\n    left: -6rem;\n  }\n\n  .sm\\:-inset-28 {\n    top: -7rem;\n    right: -7rem;\n    bottom: -7rem;\n    left: -7rem;\n  }\n\n  .sm\\:-inset-32 {\n    top: -8rem;\n    right: -8rem;\n    bottom: -8rem;\n    left: -8rem;\n  }\n\n  .sm\\:-inset-36 {\n    top: -9rem;\n    right: -9rem;\n    bottom: -9rem;\n    left: -9rem;\n  }\n\n  .sm\\:-inset-40 {\n    top: -10rem;\n    right: -10rem;\n    bottom: -10rem;\n    left: -10rem;\n  }\n\n  .sm\\:-inset-44 {\n    top: -11rem;\n    right: -11rem;\n    bottom: -11rem;\n    left: -11rem;\n  }\n\n  .sm\\:-inset-48 {\n    top: -12rem;\n    right: -12rem;\n    bottom: -12rem;\n    left: -12rem;\n  }\n\n  .sm\\:-inset-52 {\n    top: -13rem;\n    right: -13rem;\n    bottom: -13rem;\n    left: -13rem;\n  }\n\n  .sm\\:-inset-56 {\n    top: -14rem;\n    right: -14rem;\n    bottom: -14rem;\n    left: -14rem;\n  }\n\n  .sm\\:-inset-60 {\n    top: -15rem;\n    right: -15rem;\n    bottom: -15rem;\n    left: -15rem;\n  }\n\n  .sm\\:-inset-64 {\n    top: -16rem;\n    right: -16rem;\n    bottom: -16rem;\n    left: -16rem;\n  }\n\n  .sm\\:-inset-72 {\n    top: -18rem;\n    right: -18rem;\n    bottom: -18rem;\n    left: -18rem;\n  }\n\n  .sm\\:-inset-80 {\n    top: -20rem;\n    right: -20rem;\n    bottom: -20rem;\n    left: -20rem;\n  }\n\n  .sm\\:-inset-96 {\n    top: -24rem;\n    right: -24rem;\n    bottom: -24rem;\n    left: -24rem;\n  }\n\n  .sm\\:-inset-px {\n    top: -1px;\n    right: -1px;\n    bottom: -1px;\n    left: -1px;\n  }\n\n  .sm\\:-inset-0\\.5 {\n    top: -0.125rem;\n    right: -0.125rem;\n    bottom: -0.125rem;\n    left: -0.125rem;\n  }\n\n  .sm\\:-inset-1\\.5 {\n    top: -0.375rem;\n    right: -0.375rem;\n    bottom: -0.375rem;\n    left: -0.375rem;\n  }\n\n  .sm\\:-inset-2\\.5 {\n    top: -0.625rem;\n    right: -0.625rem;\n    bottom: -0.625rem;\n    left: -0.625rem;\n  }\n\n  .sm\\:-inset-3\\.5 {\n    top: -0.875rem;\n    right: -0.875rem;\n    bottom: -0.875rem;\n    left: -0.875rem;\n  }\n\n  .sm\\:inset-1\\/2 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .sm\\:inset-1\\/3 {\n    top: 33.333333%;\n    right: 33.333333%;\n    bottom: 33.333333%;\n    left: 33.333333%;\n  }\n\n  .sm\\:inset-2\\/3 {\n    top: 66.666667%;\n    right: 66.666667%;\n    bottom: 66.666667%;\n    left: 66.666667%;\n  }\n\n  .sm\\:inset-1\\/4 {\n    top: 25%;\n    right: 25%;\n    bottom: 25%;\n    left: 25%;\n  }\n\n  .sm\\:inset-2\\/4 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .sm\\:inset-3\\/4 {\n    top: 75%;\n    right: 75%;\n    bottom: 75%;\n    left: 75%;\n  }\n\n  .sm\\:inset-full {\n    top: 100%;\n    right: 100%;\n    bottom: 100%;\n    left: 100%;\n  }\n\n  .sm\\:-inset-1\\/2 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .sm\\:-inset-1\\/3 {\n    top: -33.333333%;\n    right: -33.333333%;\n    bottom: -33.333333%;\n    left: -33.333333%;\n  }\n\n  .sm\\:-inset-2\\/3 {\n    top: -66.666667%;\n    right: -66.666667%;\n    bottom: -66.666667%;\n    left: -66.666667%;\n  }\n\n  .sm\\:-inset-1\\/4 {\n    top: -25%;\n    right: -25%;\n    bottom: -25%;\n    left: -25%;\n  }\n\n  .sm\\:-inset-2\\/4 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .sm\\:-inset-3\\/4 {\n    top: -75%;\n    right: -75%;\n    bottom: -75%;\n    left: -75%;\n  }\n\n  .sm\\:-inset-full {\n    top: -100%;\n    right: -100%;\n    bottom: -100%;\n    left: -100%;\n  }\n\n  .sm\\:inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .sm\\:inset-x-1 {\n    left: 0.25rem;\n    right: 0.25rem;\n  }\n\n  .sm\\:inset-x-2 {\n    left: 0.5rem;\n    right: 0.5rem;\n  }\n\n  .sm\\:inset-x-3 {\n    left: 0.75rem;\n    right: 0.75rem;\n  }\n\n  .sm\\:inset-x-4 {\n    left: 1rem;\n    right: 1rem;\n  }\n\n  .sm\\:inset-x-5 {\n    left: 1.25rem;\n    right: 1.25rem;\n  }\n\n  .sm\\:inset-x-6 {\n    left: 1.5rem;\n    right: 1.5rem;\n  }\n\n  .sm\\:inset-x-7 {\n    left: 1.75rem;\n    right: 1.75rem;\n  }\n\n  .sm\\:inset-x-8 {\n    left: 2rem;\n    right: 2rem;\n  }\n\n  .sm\\:inset-x-9 {\n    left: 2.25rem;\n    right: 2.25rem;\n  }\n\n  .sm\\:inset-x-10 {\n    left: 2.5rem;\n    right: 2.5rem;\n  }\n\n  .sm\\:inset-x-11 {\n    left: 2.75rem;\n    right: 2.75rem;\n  }\n\n  .sm\\:inset-x-12 {\n    left: 3rem;\n    right: 3rem;\n  }\n\n  .sm\\:inset-x-14 {\n    left: 3.5rem;\n    right: 3.5rem;\n  }\n\n  .sm\\:inset-x-16 {\n    left: 4rem;\n    right: 4rem;\n  }\n\n  .sm\\:inset-x-20 {\n    left: 5rem;\n    right: 5rem;\n  }\n\n  .sm\\:inset-x-24 {\n    left: 6rem;\n    right: 6rem;\n  }\n\n  .sm\\:inset-x-28 {\n    left: 7rem;\n    right: 7rem;\n  }\n\n  .sm\\:inset-x-32 {\n    left: 8rem;\n    right: 8rem;\n  }\n\n  .sm\\:inset-x-36 {\n    left: 9rem;\n    right: 9rem;\n  }\n\n  .sm\\:inset-x-40 {\n    left: 10rem;\n    right: 10rem;\n  }\n\n  .sm\\:inset-x-44 {\n    left: 11rem;\n    right: 11rem;\n  }\n\n  .sm\\:inset-x-48 {\n    left: 12rem;\n    right: 12rem;\n  }\n\n  .sm\\:inset-x-52 {\n    left: 13rem;\n    right: 13rem;\n  }\n\n  .sm\\:inset-x-56 {\n    left: 14rem;\n    right: 14rem;\n  }\n\n  .sm\\:inset-x-60 {\n    left: 15rem;\n    right: 15rem;\n  }\n\n  .sm\\:inset-x-64 {\n    left: 16rem;\n    right: 16rem;\n  }\n\n  .sm\\:inset-x-72 {\n    left: 18rem;\n    right: 18rem;\n  }\n\n  .sm\\:inset-x-80 {\n    left: 20rem;\n    right: 20rem;\n  }\n\n  .sm\\:inset-x-96 {\n    left: 24rem;\n    right: 24rem;\n  }\n\n  .sm\\:inset-x-auto {\n    left: auto;\n    right: auto;\n  }\n\n  .sm\\:inset-x-px {\n    left: 1px;\n    right: 1px;\n  }\n\n  .sm\\:inset-x-0\\.5 {\n    left: 0.125rem;\n    right: 0.125rem;\n  }\n\n  .sm\\:inset-x-1\\.5 {\n    left: 0.375rem;\n    right: 0.375rem;\n  }\n\n  .sm\\:inset-x-2\\.5 {\n    left: 0.625rem;\n    right: 0.625rem;\n  }\n\n  .sm\\:inset-x-3\\.5 {\n    left: 0.875rem;\n    right: 0.875rem;\n  }\n\n  .sm\\:-inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .sm\\:-inset-x-1 {\n    left: -0.25rem;\n    right: -0.25rem;\n  }\n\n  .sm\\:-inset-x-2 {\n    left: -0.5rem;\n    right: -0.5rem;\n  }\n\n  .sm\\:-inset-x-3 {\n    left: -0.75rem;\n    right: -0.75rem;\n  }\n\n  .sm\\:-inset-x-4 {\n    left: -1rem;\n    right: -1rem;\n  }\n\n  .sm\\:-inset-x-5 {\n    left: -1.25rem;\n    right: -1.25rem;\n  }\n\n  .sm\\:-inset-x-6 {\n    left: -1.5rem;\n    right: -1.5rem;\n  }\n\n  .sm\\:-inset-x-7 {\n    left: -1.75rem;\n    right: -1.75rem;\n  }\n\n  .sm\\:-inset-x-8 {\n    left: -2rem;\n    right: -2rem;\n  }\n\n  .sm\\:-inset-x-9 {\n    left: -2.25rem;\n    right: -2.25rem;\n  }\n\n  .sm\\:-inset-x-10 {\n    left: -2.5rem;\n    right: -2.5rem;\n  }\n\n  .sm\\:-inset-x-11 {\n    left: -2.75rem;\n    right: -2.75rem;\n  }\n\n  .sm\\:-inset-x-12 {\n    left: -3rem;\n    right: -3rem;\n  }\n\n  .sm\\:-inset-x-14 {\n    left: -3.5rem;\n    right: -3.5rem;\n  }\n\n  .sm\\:-inset-x-16 {\n    left: -4rem;\n    right: -4rem;\n  }\n\n  .sm\\:-inset-x-20 {\n    left: -5rem;\n    right: -5rem;\n  }\n\n  .sm\\:-inset-x-24 {\n    left: -6rem;\n    right: -6rem;\n  }\n\n  .sm\\:-inset-x-28 {\n    left: -7rem;\n    right: -7rem;\n  }\n\n  .sm\\:-inset-x-32 {\n    left: -8rem;\n    right: -8rem;\n  }\n\n  .sm\\:-inset-x-36 {\n    left: -9rem;\n    right: -9rem;\n  }\n\n  .sm\\:-inset-x-40 {\n    left: -10rem;\n    right: -10rem;\n  }\n\n  .sm\\:-inset-x-44 {\n    left: -11rem;\n    right: -11rem;\n  }\n\n  .sm\\:-inset-x-48 {\n    left: -12rem;\n    right: -12rem;\n  }\n\n  .sm\\:-inset-x-52 {\n    left: -13rem;\n    right: -13rem;\n  }\n\n  .sm\\:-inset-x-56 {\n    left: -14rem;\n    right: -14rem;\n  }\n\n  .sm\\:-inset-x-60 {\n    left: -15rem;\n    right: -15rem;\n  }\n\n  .sm\\:-inset-x-64 {\n    left: -16rem;\n    right: -16rem;\n  }\n\n  .sm\\:-inset-x-72 {\n    left: -18rem;\n    right: -18rem;\n  }\n\n  .sm\\:-inset-x-80 {\n    left: -20rem;\n    right: -20rem;\n  }\n\n  .sm\\:-inset-x-96 {\n    left: -24rem;\n    right: -24rem;\n  }\n\n  .sm\\:-inset-x-px {\n    left: -1px;\n    right: -1px;\n  }\n\n  .sm\\:-inset-x-0\\.5 {\n    left: -0.125rem;\n    right: -0.125rem;\n  }\n\n  .sm\\:-inset-x-1\\.5 {\n    left: -0.375rem;\n    right: -0.375rem;\n  }\n\n  .sm\\:-inset-x-2\\.5 {\n    left: -0.625rem;\n    right: -0.625rem;\n  }\n\n  .sm\\:-inset-x-3\\.5 {\n    left: -0.875rem;\n    right: -0.875rem;\n  }\n\n  .sm\\:inset-x-1\\/2 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .sm\\:inset-x-1\\/3 {\n    left: 33.333333%;\n    right: 33.333333%;\n  }\n\n  .sm\\:inset-x-2\\/3 {\n    left: 66.666667%;\n    right: 66.666667%;\n  }\n\n  .sm\\:inset-x-1\\/4 {\n    left: 25%;\n    right: 25%;\n  }\n\n  .sm\\:inset-x-2\\/4 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .sm\\:inset-x-3\\/4 {\n    left: 75%;\n    right: 75%;\n  }\n\n  .sm\\:inset-x-full {\n    left: 100%;\n    right: 100%;\n  }\n\n  .sm\\:-inset-x-1\\/2 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .sm\\:-inset-x-1\\/3 {\n    left: -33.333333%;\n    right: -33.333333%;\n  }\n\n  .sm\\:-inset-x-2\\/3 {\n    left: -66.666667%;\n    right: -66.666667%;\n  }\n\n  .sm\\:-inset-x-1\\/4 {\n    left: -25%;\n    right: -25%;\n  }\n\n  .sm\\:-inset-x-2\\/4 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .sm\\:-inset-x-3\\/4 {\n    left: -75%;\n    right: -75%;\n  }\n\n  .sm\\:-inset-x-full {\n    left: -100%;\n    right: -100%;\n  }\n\n  .sm\\:inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .sm\\:inset-y-1 {\n    top: 0.25rem;\n    bottom: 0.25rem;\n  }\n\n  .sm\\:inset-y-2 {\n    top: 0.5rem;\n    bottom: 0.5rem;\n  }\n\n  .sm\\:inset-y-3 {\n    top: 0.75rem;\n    bottom: 0.75rem;\n  }\n\n  .sm\\:inset-y-4 {\n    top: 1rem;\n    bottom: 1rem;\n  }\n\n  .sm\\:inset-y-5 {\n    top: 1.25rem;\n    bottom: 1.25rem;\n  }\n\n  .sm\\:inset-y-6 {\n    top: 1.5rem;\n    bottom: 1.5rem;\n  }\n\n  .sm\\:inset-y-7 {\n    top: 1.75rem;\n    bottom: 1.75rem;\n  }\n\n  .sm\\:inset-y-8 {\n    top: 2rem;\n    bottom: 2rem;\n  }\n\n  .sm\\:inset-y-9 {\n    top: 2.25rem;\n    bottom: 2.25rem;\n  }\n\n  .sm\\:inset-y-10 {\n    top: 2.5rem;\n    bottom: 2.5rem;\n  }\n\n  .sm\\:inset-y-11 {\n    top: 2.75rem;\n    bottom: 2.75rem;\n  }\n\n  .sm\\:inset-y-12 {\n    top: 3rem;\n    bottom: 3rem;\n  }\n\n  .sm\\:inset-y-14 {\n    top: 3.5rem;\n    bottom: 3.5rem;\n  }\n\n  .sm\\:inset-y-16 {\n    top: 4rem;\n    bottom: 4rem;\n  }\n\n  .sm\\:inset-y-20 {\n    top: 5rem;\n    bottom: 5rem;\n  }\n\n  .sm\\:inset-y-24 {\n    top: 6rem;\n    bottom: 6rem;\n  }\n\n  .sm\\:inset-y-28 {\n    top: 7rem;\n    bottom: 7rem;\n  }\n\n  .sm\\:inset-y-32 {\n    top: 8rem;\n    bottom: 8rem;\n  }\n\n  .sm\\:inset-y-36 {\n    top: 9rem;\n    bottom: 9rem;\n  }\n\n  .sm\\:inset-y-40 {\n    top: 10rem;\n    bottom: 10rem;\n  }\n\n  .sm\\:inset-y-44 {\n    top: 11rem;\n    bottom: 11rem;\n  }\n\n  .sm\\:inset-y-48 {\n    top: 12rem;\n    bottom: 12rem;\n  }\n\n  .sm\\:inset-y-52 {\n    top: 13rem;\n    bottom: 13rem;\n  }\n\n  .sm\\:inset-y-56 {\n    top: 14rem;\n    bottom: 14rem;\n  }\n\n  .sm\\:inset-y-60 {\n    top: 15rem;\n    bottom: 15rem;\n  }\n\n  .sm\\:inset-y-64 {\n    top: 16rem;\n    bottom: 16rem;\n  }\n\n  .sm\\:inset-y-72 {\n    top: 18rem;\n    bottom: 18rem;\n  }\n\n  .sm\\:inset-y-80 {\n    top: 20rem;\n    bottom: 20rem;\n  }\n\n  .sm\\:inset-y-96 {\n    top: 24rem;\n    bottom: 24rem;\n  }\n\n  .sm\\:inset-y-auto {\n    top: auto;\n    bottom: auto;\n  }\n\n  .sm\\:inset-y-px {\n    top: 1px;\n    bottom: 1px;\n  }\n\n  .sm\\:inset-y-0\\.5 {\n    top: 0.125rem;\n    bottom: 0.125rem;\n  }\n\n  .sm\\:inset-y-1\\.5 {\n    top: 0.375rem;\n    bottom: 0.375rem;\n  }\n\n  .sm\\:inset-y-2\\.5 {\n    top: 0.625rem;\n    bottom: 0.625rem;\n  }\n\n  .sm\\:inset-y-3\\.5 {\n    top: 0.875rem;\n    bottom: 0.875rem;\n  }\n\n  .sm\\:-inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .sm\\:-inset-y-1 {\n    top: -0.25rem;\n    bottom: -0.25rem;\n  }\n\n  .sm\\:-inset-y-2 {\n    top: -0.5rem;\n    bottom: -0.5rem;\n  }\n\n  .sm\\:-inset-y-3 {\n    top: -0.75rem;\n    bottom: -0.75rem;\n  }\n\n  .sm\\:-inset-y-4 {\n    top: -1rem;\n    bottom: -1rem;\n  }\n\n  .sm\\:-inset-y-5 {\n    top: -1.25rem;\n    bottom: -1.25rem;\n  }\n\n  .sm\\:-inset-y-6 {\n    top: -1.5rem;\n    bottom: -1.5rem;\n  }\n\n  .sm\\:-inset-y-7 {\n    top: -1.75rem;\n    bottom: -1.75rem;\n  }\n\n  .sm\\:-inset-y-8 {\n    top: -2rem;\n    bottom: -2rem;\n  }\n\n  .sm\\:-inset-y-9 {\n    top: -2.25rem;\n    bottom: -2.25rem;\n  }\n\n  .sm\\:-inset-y-10 {\n    top: -2.5rem;\n    bottom: -2.5rem;\n  }\n\n  .sm\\:-inset-y-11 {\n    top: -2.75rem;\n    bottom: -2.75rem;\n  }\n\n  .sm\\:-inset-y-12 {\n    top: -3rem;\n    bottom: -3rem;\n  }\n\n  .sm\\:-inset-y-14 {\n    top: -3.5rem;\n    bottom: -3.5rem;\n  }\n\n  .sm\\:-inset-y-16 {\n    top: -4rem;\n    bottom: -4rem;\n  }\n\n  .sm\\:-inset-y-20 {\n    top: -5rem;\n    bottom: -5rem;\n  }\n\n  .sm\\:-inset-y-24 {\n    top: -6rem;\n    bottom: -6rem;\n  }\n\n  .sm\\:-inset-y-28 {\n    top: -7rem;\n    bottom: -7rem;\n  }\n\n  .sm\\:-inset-y-32 {\n    top: -8rem;\n    bottom: -8rem;\n  }\n\n  .sm\\:-inset-y-36 {\n    top: -9rem;\n    bottom: -9rem;\n  }\n\n  .sm\\:-inset-y-40 {\n    top: -10rem;\n    bottom: -10rem;\n  }\n\n  .sm\\:-inset-y-44 {\n    top: -11rem;\n    bottom: -11rem;\n  }\n\n  .sm\\:-inset-y-48 {\n    top: -12rem;\n    bottom: -12rem;\n  }\n\n  .sm\\:-inset-y-52 {\n    top: -13rem;\n    bottom: -13rem;\n  }\n\n  .sm\\:-inset-y-56 {\n    top: -14rem;\n    bottom: -14rem;\n  }\n\n  .sm\\:-inset-y-60 {\n    top: -15rem;\n    bottom: -15rem;\n  }\n\n  .sm\\:-inset-y-64 {\n    top: -16rem;\n    bottom: -16rem;\n  }\n\n  .sm\\:-inset-y-72 {\n    top: -18rem;\n    bottom: -18rem;\n  }\n\n  .sm\\:-inset-y-80 {\n    top: -20rem;\n    bottom: -20rem;\n  }\n\n  .sm\\:-inset-y-96 {\n    top: -24rem;\n    bottom: -24rem;\n  }\n\n  .sm\\:-inset-y-px {\n    top: -1px;\n    bottom: -1px;\n  }\n\n  .sm\\:-inset-y-0\\.5 {\n    top: -0.125rem;\n    bottom: -0.125rem;\n  }\n\n  .sm\\:-inset-y-1\\.5 {\n    top: -0.375rem;\n    bottom: -0.375rem;\n  }\n\n  .sm\\:-inset-y-2\\.5 {\n    top: -0.625rem;\n    bottom: -0.625rem;\n  }\n\n  .sm\\:-inset-y-3\\.5 {\n    top: -0.875rem;\n    bottom: -0.875rem;\n  }\n\n  .sm\\:inset-y-1\\/2 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .sm\\:inset-y-1\\/3 {\n    top: 33.333333%;\n    bottom: 33.333333%;\n  }\n\n  .sm\\:inset-y-2\\/3 {\n    top: 66.666667%;\n    bottom: 66.666667%;\n  }\n\n  .sm\\:inset-y-1\\/4 {\n    top: 25%;\n    bottom: 25%;\n  }\n\n  .sm\\:inset-y-2\\/4 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .sm\\:inset-y-3\\/4 {\n    top: 75%;\n    bottom: 75%;\n  }\n\n  .sm\\:inset-y-full {\n    top: 100%;\n    bottom: 100%;\n  }\n\n  .sm\\:-inset-y-1\\/2 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .sm\\:-inset-y-1\\/3 {\n    top: -33.333333%;\n    bottom: -33.333333%;\n  }\n\n  .sm\\:-inset-y-2\\/3 {\n    top: -66.666667%;\n    bottom: -66.666667%;\n  }\n\n  .sm\\:-inset-y-1\\/4 {\n    top: -25%;\n    bottom: -25%;\n  }\n\n  .sm\\:-inset-y-2\\/4 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .sm\\:-inset-y-3\\/4 {\n    top: -75%;\n    bottom: -75%;\n  }\n\n  .sm\\:-inset-y-full {\n    top: -100%;\n    bottom: -100%;\n  }\n\n  .sm\\:top-0 {\n    top: 0px;\n  }\n\n  .sm\\:top-1 {\n    top: 0.25rem;\n  }\n\n  .sm\\:top-2 {\n    top: 0.5rem;\n  }\n\n  .sm\\:top-3 {\n    top: 0.75rem;\n  }\n\n  .sm\\:top-4 {\n    top: 1rem;\n  }\n\n  .sm\\:top-5 {\n    top: 1.25rem;\n  }\n\n  .sm\\:top-6 {\n    top: 1.5rem;\n  }\n\n  .sm\\:top-7 {\n    top: 1.75rem;\n  }\n\n  .sm\\:top-8 {\n    top: 2rem;\n  }\n\n  .sm\\:top-9 {\n    top: 2.25rem;\n  }\n\n  .sm\\:top-10 {\n    top: 2.5rem;\n  }\n\n  .sm\\:top-11 {\n    top: 2.75rem;\n  }\n\n  .sm\\:top-12 {\n    top: 3rem;\n  }\n\n  .sm\\:top-14 {\n    top: 3.5rem;\n  }\n\n  .sm\\:top-16 {\n    top: 4rem;\n  }\n\n  .sm\\:top-20 {\n    top: 5rem;\n  }\n\n  .sm\\:top-24 {\n    top: 6rem;\n  }\n\n  .sm\\:top-28 {\n    top: 7rem;\n  }\n\n  .sm\\:top-32 {\n    top: 8rem;\n  }\n\n  .sm\\:top-36 {\n    top: 9rem;\n  }\n\n  .sm\\:top-40 {\n    top: 10rem;\n  }\n\n  .sm\\:top-44 {\n    top: 11rem;\n  }\n\n  .sm\\:top-48 {\n    top: 12rem;\n  }\n\n  .sm\\:top-52 {\n    top: 13rem;\n  }\n\n  .sm\\:top-56 {\n    top: 14rem;\n  }\n\n  .sm\\:top-60 {\n    top: 15rem;\n  }\n\n  .sm\\:top-64 {\n    top: 16rem;\n  }\n\n  .sm\\:top-72 {\n    top: 18rem;\n  }\n\n  .sm\\:top-80 {\n    top: 20rem;\n  }\n\n  .sm\\:top-96 {\n    top: 24rem;\n  }\n\n  .sm\\:top-auto {\n    top: auto;\n  }\n\n  .sm\\:top-px {\n    top: 1px;\n  }\n\n  .sm\\:top-0\\.5 {\n    top: 0.125rem;\n  }\n\n  .sm\\:top-1\\.5 {\n    top: 0.375rem;\n  }\n\n  .sm\\:top-2\\.5 {\n    top: 0.625rem;\n  }\n\n  .sm\\:top-3\\.5 {\n    top: 0.875rem;\n  }\n\n  .sm\\:-top-0 {\n    top: 0px;\n  }\n\n  .sm\\:-top-1 {\n    top: -0.25rem;\n  }\n\n  .sm\\:-top-2 {\n    top: -0.5rem;\n  }\n\n  .sm\\:-top-3 {\n    top: -0.75rem;\n  }\n\n  .sm\\:-top-4 {\n    top: -1rem;\n  }\n\n  .sm\\:-top-5 {\n    top: -1.25rem;\n  }\n\n  .sm\\:-top-6 {\n    top: -1.5rem;\n  }\n\n  .sm\\:-top-7 {\n    top: -1.75rem;\n  }\n\n  .sm\\:-top-8 {\n    top: -2rem;\n  }\n\n  .sm\\:-top-9 {\n    top: -2.25rem;\n  }\n\n  .sm\\:-top-10 {\n    top: -2.5rem;\n  }\n\n  .sm\\:-top-11 {\n    top: -2.75rem;\n  }\n\n  .sm\\:-top-12 {\n    top: -3rem;\n  }\n\n  .sm\\:-top-14 {\n    top: -3.5rem;\n  }\n\n  .sm\\:-top-16 {\n    top: -4rem;\n  }\n\n  .sm\\:-top-20 {\n    top: -5rem;\n  }\n\n  .sm\\:-top-24 {\n    top: -6rem;\n  }\n\n  .sm\\:-top-28 {\n    top: -7rem;\n  }\n\n  .sm\\:-top-32 {\n    top: -8rem;\n  }\n\n  .sm\\:-top-36 {\n    top: -9rem;\n  }\n\n  .sm\\:-top-40 {\n    top: -10rem;\n  }\n\n  .sm\\:-top-44 {\n    top: -11rem;\n  }\n\n  .sm\\:-top-48 {\n    top: -12rem;\n  }\n\n  .sm\\:-top-52 {\n    top: -13rem;\n  }\n\n  .sm\\:-top-56 {\n    top: -14rem;\n  }\n\n  .sm\\:-top-60 {\n    top: -15rem;\n  }\n\n  .sm\\:-top-64 {\n    top: -16rem;\n  }\n\n  .sm\\:-top-72 {\n    top: -18rem;\n  }\n\n  .sm\\:-top-80 {\n    top: -20rem;\n  }\n\n  .sm\\:-top-96 {\n    top: -24rem;\n  }\n\n  .sm\\:-top-px {\n    top: -1px;\n  }\n\n  .sm\\:-top-0\\.5 {\n    top: -0.125rem;\n  }\n\n  .sm\\:-top-1\\.5 {\n    top: -0.375rem;\n  }\n\n  .sm\\:-top-2\\.5 {\n    top: -0.625rem;\n  }\n\n  .sm\\:-top-3\\.5 {\n    top: -0.875rem;\n  }\n\n  .sm\\:top-1\\/2 {\n    top: 50%;\n  }\n\n  .sm\\:top-1\\/3 {\n    top: 33.333333%;\n  }\n\n  .sm\\:top-2\\/3 {\n    top: 66.666667%;\n  }\n\n  .sm\\:top-1\\/4 {\n    top: 25%;\n  }\n\n  .sm\\:top-2\\/4 {\n    top: 50%;\n  }\n\n  .sm\\:top-3\\/4 {\n    top: 75%;\n  }\n\n  .sm\\:top-full {\n    top: 100%;\n  }\n\n  .sm\\:-top-1\\/2 {\n    top: -50%;\n  }\n\n  .sm\\:-top-1\\/3 {\n    top: -33.333333%;\n  }\n\n  .sm\\:-top-2\\/3 {\n    top: -66.666667%;\n  }\n\n  .sm\\:-top-1\\/4 {\n    top: -25%;\n  }\n\n  .sm\\:-top-2\\/4 {\n    top: -50%;\n  }\n\n  .sm\\:-top-3\\/4 {\n    top: -75%;\n  }\n\n  .sm\\:-top-full {\n    top: -100%;\n  }\n\n  .sm\\:right-0 {\n    right: 0px;\n  }\n\n  .sm\\:right-1 {\n    right: 0.25rem;\n  }\n\n  .sm\\:right-2 {\n    right: 0.5rem;\n  }\n\n  .sm\\:right-3 {\n    right: 0.75rem;\n  }\n\n  .sm\\:right-4 {\n    right: 1rem;\n  }\n\n  .sm\\:right-5 {\n    right: 1.25rem;\n  }\n\n  .sm\\:right-6 {\n    right: 1.5rem;\n  }\n\n  .sm\\:right-7 {\n    right: 1.75rem;\n  }\n\n  .sm\\:right-8 {\n    right: 2rem;\n  }\n\n  .sm\\:right-9 {\n    right: 2.25rem;\n  }\n\n  .sm\\:right-10 {\n    right: 2.5rem;\n  }\n\n  .sm\\:right-11 {\n    right: 2.75rem;\n  }\n\n  .sm\\:right-12 {\n    right: 3rem;\n  }\n\n  .sm\\:right-14 {\n    right: 3.5rem;\n  }\n\n  .sm\\:right-16 {\n    right: 4rem;\n  }\n\n  .sm\\:right-20 {\n    right: 5rem;\n  }\n\n  .sm\\:right-24 {\n    right: 6rem;\n  }\n\n  .sm\\:right-28 {\n    right: 7rem;\n  }\n\n  .sm\\:right-32 {\n    right: 8rem;\n  }\n\n  .sm\\:right-36 {\n    right: 9rem;\n  }\n\n  .sm\\:right-40 {\n    right: 10rem;\n  }\n\n  .sm\\:right-44 {\n    right: 11rem;\n  }\n\n  .sm\\:right-48 {\n    right: 12rem;\n  }\n\n  .sm\\:right-52 {\n    right: 13rem;\n  }\n\n  .sm\\:right-56 {\n    right: 14rem;\n  }\n\n  .sm\\:right-60 {\n    right: 15rem;\n  }\n\n  .sm\\:right-64 {\n    right: 16rem;\n  }\n\n  .sm\\:right-72 {\n    right: 18rem;\n  }\n\n  .sm\\:right-80 {\n    right: 20rem;\n  }\n\n  .sm\\:right-96 {\n    right: 24rem;\n  }\n\n  .sm\\:right-auto {\n    right: auto;\n  }\n\n  .sm\\:right-px {\n    right: 1px;\n  }\n\n  .sm\\:right-0\\.5 {\n    right: 0.125rem;\n  }\n\n  .sm\\:right-1\\.5 {\n    right: 0.375rem;\n  }\n\n  .sm\\:right-2\\.5 {\n    right: 0.625rem;\n  }\n\n  .sm\\:right-3\\.5 {\n    right: 0.875rem;\n  }\n\n  .sm\\:-right-0 {\n    right: 0px;\n  }\n\n  .sm\\:-right-1 {\n    right: -0.25rem;\n  }\n\n  .sm\\:-right-2 {\n    right: -0.5rem;\n  }\n\n  .sm\\:-right-3 {\n    right: -0.75rem;\n  }\n\n  .sm\\:-right-4 {\n    right: -1rem;\n  }\n\n  .sm\\:-right-5 {\n    right: -1.25rem;\n  }\n\n  .sm\\:-right-6 {\n    right: -1.5rem;\n  }\n\n  .sm\\:-right-7 {\n    right: -1.75rem;\n  }\n\n  .sm\\:-right-8 {\n    right: -2rem;\n  }\n\n  .sm\\:-right-9 {\n    right: -2.25rem;\n  }\n\n  .sm\\:-right-10 {\n    right: -2.5rem;\n  }\n\n  .sm\\:-right-11 {\n    right: -2.75rem;\n  }\n\n  .sm\\:-right-12 {\n    right: -3rem;\n  }\n\n  .sm\\:-right-14 {\n    right: -3.5rem;\n  }\n\n  .sm\\:-right-16 {\n    right: -4rem;\n  }\n\n  .sm\\:-right-20 {\n    right: -5rem;\n  }\n\n  .sm\\:-right-24 {\n    right: -6rem;\n  }\n\n  .sm\\:-right-28 {\n    right: -7rem;\n  }\n\n  .sm\\:-right-32 {\n    right: -8rem;\n  }\n\n  .sm\\:-right-36 {\n    right: -9rem;\n  }\n\n  .sm\\:-right-40 {\n    right: -10rem;\n  }\n\n  .sm\\:-right-44 {\n    right: -11rem;\n  }\n\n  .sm\\:-right-48 {\n    right: -12rem;\n  }\n\n  .sm\\:-right-52 {\n    right: -13rem;\n  }\n\n  .sm\\:-right-56 {\n    right: -14rem;\n  }\n\n  .sm\\:-right-60 {\n    right: -15rem;\n  }\n\n  .sm\\:-right-64 {\n    right: -16rem;\n  }\n\n  .sm\\:-right-72 {\n    right: -18rem;\n  }\n\n  .sm\\:-right-80 {\n    right: -20rem;\n  }\n\n  .sm\\:-right-96 {\n    right: -24rem;\n  }\n\n  .sm\\:-right-px {\n    right: -1px;\n  }\n\n  .sm\\:-right-0\\.5 {\n    right: -0.125rem;\n  }\n\n  .sm\\:-right-1\\.5 {\n    right: -0.375rem;\n  }\n\n  .sm\\:-right-2\\.5 {\n    right: -0.625rem;\n  }\n\n  .sm\\:-right-3\\.5 {\n    right: -0.875rem;\n  }\n\n  .sm\\:right-1\\/2 {\n    right: 50%;\n  }\n\n  .sm\\:right-1\\/3 {\n    right: 33.333333%;\n  }\n\n  .sm\\:right-2\\/3 {\n    right: 66.666667%;\n  }\n\n  .sm\\:right-1\\/4 {\n    right: 25%;\n  }\n\n  .sm\\:right-2\\/4 {\n    right: 50%;\n  }\n\n  .sm\\:right-3\\/4 {\n    right: 75%;\n  }\n\n  .sm\\:right-full {\n    right: 100%;\n  }\n\n  .sm\\:-right-1\\/2 {\n    right: -50%;\n  }\n\n  .sm\\:-right-1\\/3 {\n    right: -33.333333%;\n  }\n\n  .sm\\:-right-2\\/3 {\n    right: -66.666667%;\n  }\n\n  .sm\\:-right-1\\/4 {\n    right: -25%;\n  }\n\n  .sm\\:-right-2\\/4 {\n    right: -50%;\n  }\n\n  .sm\\:-right-3\\/4 {\n    right: -75%;\n  }\n\n  .sm\\:-right-full {\n    right: -100%;\n  }\n\n  .sm\\:bottom-0 {\n    bottom: 0px;\n  }\n\n  .sm\\:bottom-1 {\n    bottom: 0.25rem;\n  }\n\n  .sm\\:bottom-2 {\n    bottom: 0.5rem;\n  }\n\n  .sm\\:bottom-3 {\n    bottom: 0.75rem;\n  }\n\n  .sm\\:bottom-4 {\n    bottom: 1rem;\n  }\n\n  .sm\\:bottom-5 {\n    bottom: 1.25rem;\n  }\n\n  .sm\\:bottom-6 {\n    bottom: 1.5rem;\n  }\n\n  .sm\\:bottom-7 {\n    bottom: 1.75rem;\n  }\n\n  .sm\\:bottom-8 {\n    bottom: 2rem;\n  }\n\n  .sm\\:bottom-9 {\n    bottom: 2.25rem;\n  }\n\n  .sm\\:bottom-10 {\n    bottom: 2.5rem;\n  }\n\n  .sm\\:bottom-11 {\n    bottom: 2.75rem;\n  }\n\n  .sm\\:bottom-12 {\n    bottom: 3rem;\n  }\n\n  .sm\\:bottom-14 {\n    bottom: 3.5rem;\n  }\n\n  .sm\\:bottom-16 {\n    bottom: 4rem;\n  }\n\n  .sm\\:bottom-20 {\n    bottom: 5rem;\n  }\n\n  .sm\\:bottom-24 {\n    bottom: 6rem;\n  }\n\n  .sm\\:bottom-28 {\n    bottom: 7rem;\n  }\n\n  .sm\\:bottom-32 {\n    bottom: 8rem;\n  }\n\n  .sm\\:bottom-36 {\n    bottom: 9rem;\n  }\n\n  .sm\\:bottom-40 {\n    bottom: 10rem;\n  }\n\n  .sm\\:bottom-44 {\n    bottom: 11rem;\n  }\n\n  .sm\\:bottom-48 {\n    bottom: 12rem;\n  }\n\n  .sm\\:bottom-52 {\n    bottom: 13rem;\n  }\n\n  .sm\\:bottom-56 {\n    bottom: 14rem;\n  }\n\n  .sm\\:bottom-60 {\n    bottom: 15rem;\n  }\n\n  .sm\\:bottom-64 {\n    bottom: 16rem;\n  }\n\n  .sm\\:bottom-72 {\n    bottom: 18rem;\n  }\n\n  .sm\\:bottom-80 {\n    bottom: 20rem;\n  }\n\n  .sm\\:bottom-96 {\n    bottom: 24rem;\n  }\n\n  .sm\\:bottom-auto {\n    bottom: auto;\n  }\n\n  .sm\\:bottom-px {\n    bottom: 1px;\n  }\n\n  .sm\\:bottom-0\\.5 {\n    bottom: 0.125rem;\n  }\n\n  .sm\\:bottom-1\\.5 {\n    bottom: 0.375rem;\n  }\n\n  .sm\\:bottom-2\\.5 {\n    bottom: 0.625rem;\n  }\n\n  .sm\\:bottom-3\\.5 {\n    bottom: 0.875rem;\n  }\n\n  .sm\\:-bottom-0 {\n    bottom: 0px;\n  }\n\n  .sm\\:-bottom-1 {\n    bottom: -0.25rem;\n  }\n\n  .sm\\:-bottom-2 {\n    bottom: -0.5rem;\n  }\n\n  .sm\\:-bottom-3 {\n    bottom: -0.75rem;\n  }\n\n  .sm\\:-bottom-4 {\n    bottom: -1rem;\n  }\n\n  .sm\\:-bottom-5 {\n    bottom: -1.25rem;\n  }\n\n  .sm\\:-bottom-6 {\n    bottom: -1.5rem;\n  }\n\n  .sm\\:-bottom-7 {\n    bottom: -1.75rem;\n  }\n\n  .sm\\:-bottom-8 {\n    bottom: -2rem;\n  }\n\n  .sm\\:-bottom-9 {\n    bottom: -2.25rem;\n  }\n\n  .sm\\:-bottom-10 {\n    bottom: -2.5rem;\n  }\n\n  .sm\\:-bottom-11 {\n    bottom: -2.75rem;\n  }\n\n  .sm\\:-bottom-12 {\n    bottom: -3rem;\n  }\n\n  .sm\\:-bottom-14 {\n    bottom: -3.5rem;\n  }\n\n  .sm\\:-bottom-16 {\n    bottom: -4rem;\n  }\n\n  .sm\\:-bottom-20 {\n    bottom: -5rem;\n  }\n\n  .sm\\:-bottom-24 {\n    bottom: -6rem;\n  }\n\n  .sm\\:-bottom-28 {\n    bottom: -7rem;\n  }\n\n  .sm\\:-bottom-32 {\n    bottom: -8rem;\n  }\n\n  .sm\\:-bottom-36 {\n    bottom: -9rem;\n  }\n\n  .sm\\:-bottom-40 {\n    bottom: -10rem;\n  }\n\n  .sm\\:-bottom-44 {\n    bottom: -11rem;\n  }\n\n  .sm\\:-bottom-48 {\n    bottom: -12rem;\n  }\n\n  .sm\\:-bottom-52 {\n    bottom: -13rem;\n  }\n\n  .sm\\:-bottom-56 {\n    bottom: -14rem;\n  }\n\n  .sm\\:-bottom-60 {\n    bottom: -15rem;\n  }\n\n  .sm\\:-bottom-64 {\n    bottom: -16rem;\n  }\n\n  .sm\\:-bottom-72 {\n    bottom: -18rem;\n  }\n\n  .sm\\:-bottom-80 {\n    bottom: -20rem;\n  }\n\n  .sm\\:-bottom-96 {\n    bottom: -24rem;\n  }\n\n  .sm\\:-bottom-px {\n    bottom: -1px;\n  }\n\n  .sm\\:-bottom-0\\.5 {\n    bottom: -0.125rem;\n  }\n\n  .sm\\:-bottom-1\\.5 {\n    bottom: -0.375rem;\n  }\n\n  .sm\\:-bottom-2\\.5 {\n    bottom: -0.625rem;\n  }\n\n  .sm\\:-bottom-3\\.5 {\n    bottom: -0.875rem;\n  }\n\n  .sm\\:bottom-1\\/2 {\n    bottom: 50%;\n  }\n\n  .sm\\:bottom-1\\/3 {\n    bottom: 33.333333%;\n  }\n\n  .sm\\:bottom-2\\/3 {\n    bottom: 66.666667%;\n  }\n\n  .sm\\:bottom-1\\/4 {\n    bottom: 25%;\n  }\n\n  .sm\\:bottom-2\\/4 {\n    bottom: 50%;\n  }\n\n  .sm\\:bottom-3\\/4 {\n    bottom: 75%;\n  }\n\n  .sm\\:bottom-full {\n    bottom: 100%;\n  }\n\n  .sm\\:-bottom-1\\/2 {\n    bottom: -50%;\n  }\n\n  .sm\\:-bottom-1\\/3 {\n    bottom: -33.333333%;\n  }\n\n  .sm\\:-bottom-2\\/3 {\n    bottom: -66.666667%;\n  }\n\n  .sm\\:-bottom-1\\/4 {\n    bottom: -25%;\n  }\n\n  .sm\\:-bottom-2\\/4 {\n    bottom: -50%;\n  }\n\n  .sm\\:-bottom-3\\/4 {\n    bottom: -75%;\n  }\n\n  .sm\\:-bottom-full {\n    bottom: -100%;\n  }\n\n  .sm\\:left-0 {\n    left: 0px;\n  }\n\n  .sm\\:left-1 {\n    left: 0.25rem;\n  }\n\n  .sm\\:left-2 {\n    left: 0.5rem;\n  }\n\n  .sm\\:left-3 {\n    left: 0.75rem;\n  }\n\n  .sm\\:left-4 {\n    left: 1rem;\n  }\n\n  .sm\\:left-5 {\n    left: 1.25rem;\n  }\n\n  .sm\\:left-6 {\n    left: 1.5rem;\n  }\n\n  .sm\\:left-7 {\n    left: 1.75rem;\n  }\n\n  .sm\\:left-8 {\n    left: 2rem;\n  }\n\n  .sm\\:left-9 {\n    left: 2.25rem;\n  }\n\n  .sm\\:left-10 {\n    left: 2.5rem;\n  }\n\n  .sm\\:left-11 {\n    left: 2.75rem;\n  }\n\n  .sm\\:left-12 {\n    left: 3rem;\n  }\n\n  .sm\\:left-14 {\n    left: 3.5rem;\n  }\n\n  .sm\\:left-16 {\n    left: 4rem;\n  }\n\n  .sm\\:left-20 {\n    left: 5rem;\n  }\n\n  .sm\\:left-24 {\n    left: 6rem;\n  }\n\n  .sm\\:left-28 {\n    left: 7rem;\n  }\n\n  .sm\\:left-32 {\n    left: 8rem;\n  }\n\n  .sm\\:left-36 {\n    left: 9rem;\n  }\n\n  .sm\\:left-40 {\n    left: 10rem;\n  }\n\n  .sm\\:left-44 {\n    left: 11rem;\n  }\n\n  .sm\\:left-48 {\n    left: 12rem;\n  }\n\n  .sm\\:left-52 {\n    left: 13rem;\n  }\n\n  .sm\\:left-56 {\n    left: 14rem;\n  }\n\n  .sm\\:left-60 {\n    left: 15rem;\n  }\n\n  .sm\\:left-64 {\n    left: 16rem;\n  }\n\n  .sm\\:left-72 {\n    left: 18rem;\n  }\n\n  .sm\\:left-80 {\n    left: 20rem;\n  }\n\n  .sm\\:left-96 {\n    left: 24rem;\n  }\n\n  .sm\\:left-auto {\n    left: auto;\n  }\n\n  .sm\\:left-px {\n    left: 1px;\n  }\n\n  .sm\\:left-0\\.5 {\n    left: 0.125rem;\n  }\n\n  .sm\\:left-1\\.5 {\n    left: 0.375rem;\n  }\n\n  .sm\\:left-2\\.5 {\n    left: 0.625rem;\n  }\n\n  .sm\\:left-3\\.5 {\n    left: 0.875rem;\n  }\n\n  .sm\\:-left-0 {\n    left: 0px;\n  }\n\n  .sm\\:-left-1 {\n    left: -0.25rem;\n  }\n\n  .sm\\:-left-2 {\n    left: -0.5rem;\n  }\n\n  .sm\\:-left-3 {\n    left: -0.75rem;\n  }\n\n  .sm\\:-left-4 {\n    left: -1rem;\n  }\n\n  .sm\\:-left-5 {\n    left: -1.25rem;\n  }\n\n  .sm\\:-left-6 {\n    left: -1.5rem;\n  }\n\n  .sm\\:-left-7 {\n    left: -1.75rem;\n  }\n\n  .sm\\:-left-8 {\n    left: -2rem;\n  }\n\n  .sm\\:-left-9 {\n    left: -2.25rem;\n  }\n\n  .sm\\:-left-10 {\n    left: -2.5rem;\n  }\n\n  .sm\\:-left-11 {\n    left: -2.75rem;\n  }\n\n  .sm\\:-left-12 {\n    left: -3rem;\n  }\n\n  .sm\\:-left-14 {\n    left: -3.5rem;\n  }\n\n  .sm\\:-left-16 {\n    left: -4rem;\n  }\n\n  .sm\\:-left-20 {\n    left: -5rem;\n  }\n\n  .sm\\:-left-24 {\n    left: -6rem;\n  }\n\n  .sm\\:-left-28 {\n    left: -7rem;\n  }\n\n  .sm\\:-left-32 {\n    left: -8rem;\n  }\n\n  .sm\\:-left-36 {\n    left: -9rem;\n  }\n\n  .sm\\:-left-40 {\n    left: -10rem;\n  }\n\n  .sm\\:-left-44 {\n    left: -11rem;\n  }\n\n  .sm\\:-left-48 {\n    left: -12rem;\n  }\n\n  .sm\\:-left-52 {\n    left: -13rem;\n  }\n\n  .sm\\:-left-56 {\n    left: -14rem;\n  }\n\n  .sm\\:-left-60 {\n    left: -15rem;\n  }\n\n  .sm\\:-left-64 {\n    left: -16rem;\n  }\n\n  .sm\\:-left-72 {\n    left: -18rem;\n  }\n\n  .sm\\:-left-80 {\n    left: -20rem;\n  }\n\n  .sm\\:-left-96 {\n    left: -24rem;\n  }\n\n  .sm\\:-left-px {\n    left: -1px;\n  }\n\n  .sm\\:-left-0\\.5 {\n    left: -0.125rem;\n  }\n\n  .sm\\:-left-1\\.5 {\n    left: -0.375rem;\n  }\n\n  .sm\\:-left-2\\.5 {\n    left: -0.625rem;\n  }\n\n  .sm\\:-left-3\\.5 {\n    left: -0.875rem;\n  }\n\n  .sm\\:left-1\\/2 {\n    left: 50%;\n  }\n\n  .sm\\:left-1\\/3 {\n    left: 33.333333%;\n  }\n\n  .sm\\:left-2\\/3 {\n    left: 66.666667%;\n  }\n\n  .sm\\:left-1\\/4 {\n    left: 25%;\n  }\n\n  .sm\\:left-2\\/4 {\n    left: 50%;\n  }\n\n  .sm\\:left-3\\/4 {\n    left: 75%;\n  }\n\n  .sm\\:left-full {\n    left: 100%;\n  }\n\n  .sm\\:-left-1\\/2 {\n    left: -50%;\n  }\n\n  .sm\\:-left-1\\/3 {\n    left: -33.333333%;\n  }\n\n  .sm\\:-left-2\\/3 {\n    left: -66.666667%;\n  }\n\n  .sm\\:-left-1\\/4 {\n    left: -25%;\n  }\n\n  .sm\\:-left-2\\/4 {\n    left: -50%;\n  }\n\n  .sm\\:-left-3\\/4 {\n    left: -75%;\n  }\n\n  .sm\\:-left-full {\n    left: -100%;\n  }\n\n  .sm\\:isolate {\n    isolation: isolate;\n  }\n\n  .sm\\:isolation-auto {\n    isolation: auto;\n  }\n\n  .sm\\:z-0 {\n    z-index: 0;\n  }\n\n  .sm\\:z-10 {\n    z-index: 10;\n  }\n\n  .sm\\:z-20 {\n    z-index: 20;\n  }\n\n  .sm\\:z-30 {\n    z-index: 30;\n  }\n\n  .sm\\:z-40 {\n    z-index: 40;\n  }\n\n  .sm\\:z-50 {\n    z-index: 50;\n  }\n\n  .sm\\:z-auto {\n    z-index: auto;\n  }\n\n  .sm\\:focus-within\\:z-0:focus-within {\n    z-index: 0;\n  }\n\n  .sm\\:focus-within\\:z-10:focus-within {\n    z-index: 10;\n  }\n\n  .sm\\:focus-within\\:z-20:focus-within {\n    z-index: 20;\n  }\n\n  .sm\\:focus-within\\:z-30:focus-within {\n    z-index: 30;\n  }\n\n  .sm\\:focus-within\\:z-40:focus-within {\n    z-index: 40;\n  }\n\n  .sm\\:focus-within\\:z-50:focus-within {\n    z-index: 50;\n  }\n\n  .sm\\:focus-within\\:z-auto:focus-within {\n    z-index: auto;\n  }\n\n  .sm\\:focus\\:z-0:focus {\n    z-index: 0;\n  }\n\n  .sm\\:focus\\:z-10:focus {\n    z-index: 10;\n  }\n\n  .sm\\:focus\\:z-20:focus {\n    z-index: 20;\n  }\n\n  .sm\\:focus\\:z-30:focus {\n    z-index: 30;\n  }\n\n  .sm\\:focus\\:z-40:focus {\n    z-index: 40;\n  }\n\n  .sm\\:focus\\:z-50:focus {\n    z-index: 50;\n  }\n\n  .sm\\:focus\\:z-auto:focus {\n    z-index: auto;\n  }\n\n  .sm\\:order-1 {\n    order: 1;\n  }\n\n  .sm\\:order-2 {\n    order: 2;\n  }\n\n  .sm\\:order-3 {\n    order: 3;\n  }\n\n  .sm\\:order-4 {\n    order: 4;\n  }\n\n  .sm\\:order-5 {\n    order: 5;\n  }\n\n  .sm\\:order-6 {\n    order: 6;\n  }\n\n  .sm\\:order-7 {\n    order: 7;\n  }\n\n  .sm\\:order-8 {\n    order: 8;\n  }\n\n  .sm\\:order-9 {\n    order: 9;\n  }\n\n  .sm\\:order-10 {\n    order: 10;\n  }\n\n  .sm\\:order-11 {\n    order: 11;\n  }\n\n  .sm\\:order-12 {\n    order: 12;\n  }\n\n  .sm\\:order-first {\n    order: -9999;\n  }\n\n  .sm\\:order-last {\n    order: 9999;\n  }\n\n  .sm\\:order-none {\n    order: 0;\n  }\n\n  .sm\\:col-auto {\n    grid-column: auto;\n  }\n\n  .sm\\:col-span-1 {\n    grid-column: span 1 / span 1;\n  }\n\n  .sm\\:col-span-2 {\n    grid-column: span 2 / span 2;\n  }\n\n  .sm\\:col-span-3 {\n    grid-column: span 3 / span 3;\n  }\n\n  .sm\\:col-span-4 {\n    grid-column: span 4 / span 4;\n  }\n\n  .sm\\:col-span-5 {\n    grid-column: span 5 / span 5;\n  }\n\n  .sm\\:col-span-6 {\n    grid-column: span 6 / span 6;\n  }\n\n  .sm\\:col-span-7 {\n    grid-column: span 7 / span 7;\n  }\n\n  .sm\\:col-span-8 {\n    grid-column: span 8 / span 8;\n  }\n\n  .sm\\:col-span-9 {\n    grid-column: span 9 / span 9;\n  }\n\n  .sm\\:col-span-10 {\n    grid-column: span 10 / span 10;\n  }\n\n  .sm\\:col-span-11 {\n    grid-column: span 11 / span 11;\n  }\n\n  .sm\\:col-span-12 {\n    grid-column: span 12 / span 12;\n  }\n\n  .sm\\:col-span-full {\n    grid-column: 1 / -1;\n  }\n\n  .sm\\:col-start-1 {\n    grid-column-start: 1;\n  }\n\n  .sm\\:col-start-2 {\n    grid-column-start: 2;\n  }\n\n  .sm\\:col-start-3 {\n    grid-column-start: 3;\n  }\n\n  .sm\\:col-start-4 {\n    grid-column-start: 4;\n  }\n\n  .sm\\:col-start-5 {\n    grid-column-start: 5;\n  }\n\n  .sm\\:col-start-6 {\n    grid-column-start: 6;\n  }\n\n  .sm\\:col-start-7 {\n    grid-column-start: 7;\n  }\n\n  .sm\\:col-start-8 {\n    grid-column-start: 8;\n  }\n\n  .sm\\:col-start-9 {\n    grid-column-start: 9;\n  }\n\n  .sm\\:col-start-10 {\n    grid-column-start: 10;\n  }\n\n  .sm\\:col-start-11 {\n    grid-column-start: 11;\n  }\n\n  .sm\\:col-start-12 {\n    grid-column-start: 12;\n  }\n\n  .sm\\:col-start-13 {\n    grid-column-start: 13;\n  }\n\n  .sm\\:col-start-auto {\n    grid-column-start: auto;\n  }\n\n  .sm\\:col-end-1 {\n    grid-column-end: 1;\n  }\n\n  .sm\\:col-end-2 {\n    grid-column-end: 2;\n  }\n\n  .sm\\:col-end-3 {\n    grid-column-end: 3;\n  }\n\n  .sm\\:col-end-4 {\n    grid-column-end: 4;\n  }\n\n  .sm\\:col-end-5 {\n    grid-column-end: 5;\n  }\n\n  .sm\\:col-end-6 {\n    grid-column-end: 6;\n  }\n\n  .sm\\:col-end-7 {\n    grid-column-end: 7;\n  }\n\n  .sm\\:col-end-8 {\n    grid-column-end: 8;\n  }\n\n  .sm\\:col-end-9 {\n    grid-column-end: 9;\n  }\n\n  .sm\\:col-end-10 {\n    grid-column-end: 10;\n  }\n\n  .sm\\:col-end-11 {\n    grid-column-end: 11;\n  }\n\n  .sm\\:col-end-12 {\n    grid-column-end: 12;\n  }\n\n  .sm\\:col-end-13 {\n    grid-column-end: 13;\n  }\n\n  .sm\\:col-end-auto {\n    grid-column-end: auto;\n  }\n\n  .sm\\:row-auto {\n    grid-row: auto;\n  }\n\n  .sm\\:row-span-1 {\n    grid-row: span 1 / span 1;\n  }\n\n  .sm\\:row-span-2 {\n    grid-row: span 2 / span 2;\n  }\n\n  .sm\\:row-span-3 {\n    grid-row: span 3 / span 3;\n  }\n\n  .sm\\:row-span-4 {\n    grid-row: span 4 / span 4;\n  }\n\n  .sm\\:row-span-5 {\n    grid-row: span 5 / span 5;\n  }\n\n  .sm\\:row-span-6 {\n    grid-row: span 6 / span 6;\n  }\n\n  .sm\\:row-span-full {\n    grid-row: 1 / -1;\n  }\n\n  .sm\\:row-start-1 {\n    grid-row-start: 1;\n  }\n\n  .sm\\:row-start-2 {\n    grid-row-start: 2;\n  }\n\n  .sm\\:row-start-3 {\n    grid-row-start: 3;\n  }\n\n  .sm\\:row-start-4 {\n    grid-row-start: 4;\n  }\n\n  .sm\\:row-start-5 {\n    grid-row-start: 5;\n  }\n\n  .sm\\:row-start-6 {\n    grid-row-start: 6;\n  }\n\n  .sm\\:row-start-7 {\n    grid-row-start: 7;\n  }\n\n  .sm\\:row-start-auto {\n    grid-row-start: auto;\n  }\n\n  .sm\\:row-end-1 {\n    grid-row-end: 1;\n  }\n\n  .sm\\:row-end-2 {\n    grid-row-end: 2;\n  }\n\n  .sm\\:row-end-3 {\n    grid-row-end: 3;\n  }\n\n  .sm\\:row-end-4 {\n    grid-row-end: 4;\n  }\n\n  .sm\\:row-end-5 {\n    grid-row-end: 5;\n  }\n\n  .sm\\:row-end-6 {\n    grid-row-end: 6;\n  }\n\n  .sm\\:row-end-7 {\n    grid-row-end: 7;\n  }\n\n  .sm\\:row-end-auto {\n    grid-row-end: auto;\n  }\n\n  .sm\\:float-right {\n    float: right;\n  }\n\n  .sm\\:float-left {\n    float: left;\n  }\n\n  .sm\\:float-none {\n    float: none;\n  }\n\n  .sm\\:clear-left {\n    clear: left;\n  }\n\n  .sm\\:clear-right {\n    clear: right;\n  }\n\n  .sm\\:clear-both {\n    clear: both;\n  }\n\n  .sm\\:clear-none {\n    clear: none;\n  }\n\n  .sm\\:m-0 {\n    margin: 0px;\n  }\n\n  .sm\\:m-1 {\n    margin: 0.25rem;\n  }\n\n  .sm\\:m-2 {\n    margin: 0.5rem;\n  }\n\n  .sm\\:m-3 {\n    margin: 0.75rem;\n  }\n\n  .sm\\:m-4 {\n    margin: 1rem;\n  }\n\n  .sm\\:m-5 {\n    margin: 1.25rem;\n  }\n\n  .sm\\:m-6 {\n    margin: 1.5rem;\n  }\n\n  .sm\\:m-7 {\n    margin: 1.75rem;\n  }\n\n  .sm\\:m-8 {\n    margin: 2rem;\n  }\n\n  .sm\\:m-9 {\n    margin: 2.25rem;\n  }\n\n  .sm\\:m-10 {\n    margin: 2.5rem;\n  }\n\n  .sm\\:m-11 {\n    margin: 2.75rem;\n  }\n\n  .sm\\:m-12 {\n    margin: 3rem;\n  }\n\n  .sm\\:m-14 {\n    margin: 3.5rem;\n  }\n\n  .sm\\:m-16 {\n    margin: 4rem;\n  }\n\n  .sm\\:m-20 {\n    margin: 5rem;\n  }\n\n  .sm\\:m-24 {\n    margin: 6rem;\n  }\n\n  .sm\\:m-28 {\n    margin: 7rem;\n  }\n\n  .sm\\:m-32 {\n    margin: 8rem;\n  }\n\n  .sm\\:m-36 {\n    margin: 9rem;\n  }\n\n  .sm\\:m-40 {\n    margin: 10rem;\n  }\n\n  .sm\\:m-44 {\n    margin: 11rem;\n  }\n\n  .sm\\:m-48 {\n    margin: 12rem;\n  }\n\n  .sm\\:m-52 {\n    margin: 13rem;\n  }\n\n  .sm\\:m-56 {\n    margin: 14rem;\n  }\n\n  .sm\\:m-60 {\n    margin: 15rem;\n  }\n\n  .sm\\:m-64 {\n    margin: 16rem;\n  }\n\n  .sm\\:m-72 {\n    margin: 18rem;\n  }\n\n  .sm\\:m-80 {\n    margin: 20rem;\n  }\n\n  .sm\\:m-96 {\n    margin: 24rem;\n  }\n\n  .sm\\:m-auto {\n    margin: auto;\n  }\n\n  .sm\\:m-px {\n    margin: 1px;\n  }\n\n  .sm\\:m-0\\.5 {\n    margin: 0.125rem;\n  }\n\n  .sm\\:m-1\\.5 {\n    margin: 0.375rem;\n  }\n\n  .sm\\:m-2\\.5 {\n    margin: 0.625rem;\n  }\n\n  .sm\\:m-3\\.5 {\n    margin: 0.875rem;\n  }\n\n  .sm\\:-m-0 {\n    margin: 0px;\n  }\n\n  .sm\\:-m-1 {\n    margin: -0.25rem;\n  }\n\n  .sm\\:-m-2 {\n    margin: -0.5rem;\n  }\n\n  .sm\\:-m-3 {\n    margin: -0.75rem;\n  }\n\n  .sm\\:-m-4 {\n    margin: -1rem;\n  }\n\n  .sm\\:-m-5 {\n    margin: -1.25rem;\n  }\n\n  .sm\\:-m-6 {\n    margin: -1.5rem;\n  }\n\n  .sm\\:-m-7 {\n    margin: -1.75rem;\n  }\n\n  .sm\\:-m-8 {\n    margin: -2rem;\n  }\n\n  .sm\\:-m-9 {\n    margin: -2.25rem;\n  }\n\n  .sm\\:-m-10 {\n    margin: -2.5rem;\n  }\n\n  .sm\\:-m-11 {\n    margin: -2.75rem;\n  }\n\n  .sm\\:-m-12 {\n    margin: -3rem;\n  }\n\n  .sm\\:-m-14 {\n    margin: -3.5rem;\n  }\n\n  .sm\\:-m-16 {\n    margin: -4rem;\n  }\n\n  .sm\\:-m-20 {\n    margin: -5rem;\n  }\n\n  .sm\\:-m-24 {\n    margin: -6rem;\n  }\n\n  .sm\\:-m-28 {\n    margin: -7rem;\n  }\n\n  .sm\\:-m-32 {\n    margin: -8rem;\n  }\n\n  .sm\\:-m-36 {\n    margin: -9rem;\n  }\n\n  .sm\\:-m-40 {\n    margin: -10rem;\n  }\n\n  .sm\\:-m-44 {\n    margin: -11rem;\n  }\n\n  .sm\\:-m-48 {\n    margin: -12rem;\n  }\n\n  .sm\\:-m-52 {\n    margin: -13rem;\n  }\n\n  .sm\\:-m-56 {\n    margin: -14rem;\n  }\n\n  .sm\\:-m-60 {\n    margin: -15rem;\n  }\n\n  .sm\\:-m-64 {\n    margin: -16rem;\n  }\n\n  .sm\\:-m-72 {\n    margin: -18rem;\n  }\n\n  .sm\\:-m-80 {\n    margin: -20rem;\n  }\n\n  .sm\\:-m-96 {\n    margin: -24rem;\n  }\n\n  .sm\\:-m-px {\n    margin: -1px;\n  }\n\n  .sm\\:-m-0\\.5 {\n    margin: -0.125rem;\n  }\n\n  .sm\\:-m-1\\.5 {\n    margin: -0.375rem;\n  }\n\n  .sm\\:-m-2\\.5 {\n    margin: -0.625rem;\n  }\n\n  .sm\\:-m-3\\.5 {\n    margin: -0.875rem;\n  }\n\n  .sm\\:mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .sm\\:mx-1 {\n    margin-left: 0.25rem;\n    margin-right: 0.25rem;\n  }\n\n  .sm\\:mx-2 {\n    margin-left: 0.5rem;\n    margin-right: 0.5rem;\n  }\n\n  .sm\\:mx-3 {\n    margin-left: 0.75rem;\n    margin-right: 0.75rem;\n  }\n\n  .sm\\:mx-4 {\n    margin-left: 1rem;\n    margin-right: 1rem;\n  }\n\n  .sm\\:mx-5 {\n    margin-left: 1.25rem;\n    margin-right: 1.25rem;\n  }\n\n  .sm\\:mx-6 {\n    margin-left: 1.5rem;\n    margin-right: 1.5rem;\n  }\n\n  .sm\\:mx-7 {\n    margin-left: 1.75rem;\n    margin-right: 1.75rem;\n  }\n\n  .sm\\:mx-8 {\n    margin-left: 2rem;\n    margin-right: 2rem;\n  }\n\n  .sm\\:mx-9 {\n    margin-left: 2.25rem;\n    margin-right: 2.25rem;\n  }\n\n  .sm\\:mx-10 {\n    margin-left: 2.5rem;\n    margin-right: 2.5rem;\n  }\n\n  .sm\\:mx-11 {\n    margin-left: 2.75rem;\n    margin-right: 2.75rem;\n  }\n\n  .sm\\:mx-12 {\n    margin-left: 3rem;\n    margin-right: 3rem;\n  }\n\n  .sm\\:mx-14 {\n    margin-left: 3.5rem;\n    margin-right: 3.5rem;\n  }\n\n  .sm\\:mx-16 {\n    margin-left: 4rem;\n    margin-right: 4rem;\n  }\n\n  .sm\\:mx-20 {\n    margin-left: 5rem;\n    margin-right: 5rem;\n  }\n\n  .sm\\:mx-24 {\n    margin-left: 6rem;\n    margin-right: 6rem;\n  }\n\n  .sm\\:mx-28 {\n    margin-left: 7rem;\n    margin-right: 7rem;\n  }\n\n  .sm\\:mx-32 {\n    margin-left: 8rem;\n    margin-right: 8rem;\n  }\n\n  .sm\\:mx-36 {\n    margin-left: 9rem;\n    margin-right: 9rem;\n  }\n\n  .sm\\:mx-40 {\n    margin-left: 10rem;\n    margin-right: 10rem;\n  }\n\n  .sm\\:mx-44 {\n    margin-left: 11rem;\n    margin-right: 11rem;\n  }\n\n  .sm\\:mx-48 {\n    margin-left: 12rem;\n    margin-right: 12rem;\n  }\n\n  .sm\\:mx-52 {\n    margin-left: 13rem;\n    margin-right: 13rem;\n  }\n\n  .sm\\:mx-56 {\n    margin-left: 14rem;\n    margin-right: 14rem;\n  }\n\n  .sm\\:mx-60 {\n    margin-left: 15rem;\n    margin-right: 15rem;\n  }\n\n  .sm\\:mx-64 {\n    margin-left: 16rem;\n    margin-right: 16rem;\n  }\n\n  .sm\\:mx-72 {\n    margin-left: 18rem;\n    margin-right: 18rem;\n  }\n\n  .sm\\:mx-80 {\n    margin-left: 20rem;\n    margin-right: 20rem;\n  }\n\n  .sm\\:mx-96 {\n    margin-left: 24rem;\n    margin-right: 24rem;\n  }\n\n  .sm\\:mx-auto {\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .sm\\:mx-px {\n    margin-left: 1px;\n    margin-right: 1px;\n  }\n\n  .sm\\:mx-0\\.5 {\n    margin-left: 0.125rem;\n    margin-right: 0.125rem;\n  }\n\n  .sm\\:mx-1\\.5 {\n    margin-left: 0.375rem;\n    margin-right: 0.375rem;\n  }\n\n  .sm\\:mx-2\\.5 {\n    margin-left: 0.625rem;\n    margin-right: 0.625rem;\n  }\n\n  .sm\\:mx-3\\.5 {\n    margin-left: 0.875rem;\n    margin-right: 0.875rem;\n  }\n\n  .sm\\:-mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .sm\\:-mx-1 {\n    margin-left: -0.25rem;\n    margin-right: -0.25rem;\n  }\n\n  .sm\\:-mx-2 {\n    margin-left: -0.5rem;\n    margin-right: -0.5rem;\n  }\n\n  .sm\\:-mx-3 {\n    margin-left: -0.75rem;\n    margin-right: -0.75rem;\n  }\n\n  .sm\\:-mx-4 {\n    margin-left: -1rem;\n    margin-right: -1rem;\n  }\n\n  .sm\\:-mx-5 {\n    margin-left: -1.25rem;\n    margin-right: -1.25rem;\n  }\n\n  .sm\\:-mx-6 {\n    margin-left: -1.5rem;\n    margin-right: -1.5rem;\n  }\n\n  .sm\\:-mx-7 {\n    margin-left: -1.75rem;\n    margin-right: -1.75rem;\n  }\n\n  .sm\\:-mx-8 {\n    margin-left: -2rem;\n    margin-right: -2rem;\n  }\n\n  .sm\\:-mx-9 {\n    margin-left: -2.25rem;\n    margin-right: -2.25rem;\n  }\n\n  .sm\\:-mx-10 {\n    margin-left: -2.5rem;\n    margin-right: -2.5rem;\n  }\n\n  .sm\\:-mx-11 {\n    margin-left: -2.75rem;\n    margin-right: -2.75rem;\n  }\n\n  .sm\\:-mx-12 {\n    margin-left: -3rem;\n    margin-right: -3rem;\n  }\n\n  .sm\\:-mx-14 {\n    margin-left: -3.5rem;\n    margin-right: -3.5rem;\n  }\n\n  .sm\\:-mx-16 {\n    margin-left: -4rem;\n    margin-right: -4rem;\n  }\n\n  .sm\\:-mx-20 {\n    margin-left: -5rem;\n    margin-right: -5rem;\n  }\n\n  .sm\\:-mx-24 {\n    margin-left: -6rem;\n    margin-right: -6rem;\n  }\n\n  .sm\\:-mx-28 {\n    margin-left: -7rem;\n    margin-right: -7rem;\n  }\n\n  .sm\\:-mx-32 {\n    margin-left: -8rem;\n    margin-right: -8rem;\n  }\n\n  .sm\\:-mx-36 {\n    margin-left: -9rem;\n    margin-right: -9rem;\n  }\n\n  .sm\\:-mx-40 {\n    margin-left: -10rem;\n    margin-right: -10rem;\n  }\n\n  .sm\\:-mx-44 {\n    margin-left: -11rem;\n    margin-right: -11rem;\n  }\n\n  .sm\\:-mx-48 {\n    margin-left: -12rem;\n    margin-right: -12rem;\n  }\n\n  .sm\\:-mx-52 {\n    margin-left: -13rem;\n    margin-right: -13rem;\n  }\n\n  .sm\\:-mx-56 {\n    margin-left: -14rem;\n    margin-right: -14rem;\n  }\n\n  .sm\\:-mx-60 {\n    margin-left: -15rem;\n    margin-right: -15rem;\n  }\n\n  .sm\\:-mx-64 {\n    margin-left: -16rem;\n    margin-right: -16rem;\n  }\n\n  .sm\\:-mx-72 {\n    margin-left: -18rem;\n    margin-right: -18rem;\n  }\n\n  .sm\\:-mx-80 {\n    margin-left: -20rem;\n    margin-right: -20rem;\n  }\n\n  .sm\\:-mx-96 {\n    margin-left: -24rem;\n    margin-right: -24rem;\n  }\n\n  .sm\\:-mx-px {\n    margin-left: -1px;\n    margin-right: -1px;\n  }\n\n  .sm\\:-mx-0\\.5 {\n    margin-left: -0.125rem;\n    margin-right: -0.125rem;\n  }\n\n  .sm\\:-mx-1\\.5 {\n    margin-left: -0.375rem;\n    margin-right: -0.375rem;\n  }\n\n  .sm\\:-mx-2\\.5 {\n    margin-left: -0.625rem;\n    margin-right: -0.625rem;\n  }\n\n  .sm\\:-mx-3\\.5 {\n    margin-left: -0.875rem;\n    margin-right: -0.875rem;\n  }\n\n  .sm\\:my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .sm\\:my-1 {\n    margin-top: 0.25rem;\n    margin-bottom: 0.25rem;\n  }\n\n  .sm\\:my-2 {\n    margin-top: 0.5rem;\n    margin-bottom: 0.5rem;\n  }\n\n  .sm\\:my-3 {\n    margin-top: 0.75rem;\n    margin-bottom: 0.75rem;\n  }\n\n  .sm\\:my-4 {\n    margin-top: 1rem;\n    margin-bottom: 1rem;\n  }\n\n  .sm\\:my-5 {\n    margin-top: 1.25rem;\n    margin-bottom: 1.25rem;\n  }\n\n  .sm\\:my-6 {\n    margin-top: 1.5rem;\n    margin-bottom: 1.5rem;\n  }\n\n  .sm\\:my-7 {\n    margin-top: 1.75rem;\n    margin-bottom: 1.75rem;\n  }\n\n  .sm\\:my-8 {\n    margin-top: 2rem;\n    margin-bottom: 2rem;\n  }\n\n  .sm\\:my-9 {\n    margin-top: 2.25rem;\n    margin-bottom: 2.25rem;\n  }\n\n  .sm\\:my-10 {\n    margin-top: 2.5rem;\n    margin-bottom: 2.5rem;\n  }\n\n  .sm\\:my-11 {\n    margin-top: 2.75rem;\n    margin-bottom: 2.75rem;\n  }\n\n  .sm\\:my-12 {\n    margin-top: 3rem;\n    margin-bottom: 3rem;\n  }\n\n  .sm\\:my-14 {\n    margin-top: 3.5rem;\n    margin-bottom: 3.5rem;\n  }\n\n  .sm\\:my-16 {\n    margin-top: 4rem;\n    margin-bottom: 4rem;\n  }\n\n  .sm\\:my-20 {\n    margin-top: 5rem;\n    margin-bottom: 5rem;\n  }\n\n  .sm\\:my-24 {\n    margin-top: 6rem;\n    margin-bottom: 6rem;\n  }\n\n  .sm\\:my-28 {\n    margin-top: 7rem;\n    margin-bottom: 7rem;\n  }\n\n  .sm\\:my-32 {\n    margin-top: 8rem;\n    margin-bottom: 8rem;\n  }\n\n  .sm\\:my-36 {\n    margin-top: 9rem;\n    margin-bottom: 9rem;\n  }\n\n  .sm\\:my-40 {\n    margin-top: 10rem;\n    margin-bottom: 10rem;\n  }\n\n  .sm\\:my-44 {\n    margin-top: 11rem;\n    margin-bottom: 11rem;\n  }\n\n  .sm\\:my-48 {\n    margin-top: 12rem;\n    margin-bottom: 12rem;\n  }\n\n  .sm\\:my-52 {\n    margin-top: 13rem;\n    margin-bottom: 13rem;\n  }\n\n  .sm\\:my-56 {\n    margin-top: 14rem;\n    margin-bottom: 14rem;\n  }\n\n  .sm\\:my-60 {\n    margin-top: 15rem;\n    margin-bottom: 15rem;\n  }\n\n  .sm\\:my-64 {\n    margin-top: 16rem;\n    margin-bottom: 16rem;\n  }\n\n  .sm\\:my-72 {\n    margin-top: 18rem;\n    margin-bottom: 18rem;\n  }\n\n  .sm\\:my-80 {\n    margin-top: 20rem;\n    margin-bottom: 20rem;\n  }\n\n  .sm\\:my-96 {\n    margin-top: 24rem;\n    margin-bottom: 24rem;\n  }\n\n  .sm\\:my-auto {\n    margin-top: auto;\n    margin-bottom: auto;\n  }\n\n  .sm\\:my-px {\n    margin-top: 1px;\n    margin-bottom: 1px;\n  }\n\n  .sm\\:my-0\\.5 {\n    margin-top: 0.125rem;\n    margin-bottom: 0.125rem;\n  }\n\n  .sm\\:my-1\\.5 {\n    margin-top: 0.375rem;\n    margin-bottom: 0.375rem;\n  }\n\n  .sm\\:my-2\\.5 {\n    margin-top: 0.625rem;\n    margin-bottom: 0.625rem;\n  }\n\n  .sm\\:my-3\\.5 {\n    margin-top: 0.875rem;\n    margin-bottom: 0.875rem;\n  }\n\n  .sm\\:-my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .sm\\:-my-1 {\n    margin-top: -0.25rem;\n    margin-bottom: -0.25rem;\n  }\n\n  .sm\\:-my-2 {\n    margin-top: -0.5rem;\n    margin-bottom: -0.5rem;\n  }\n\n  .sm\\:-my-3 {\n    margin-top: -0.75rem;\n    margin-bottom: -0.75rem;\n  }\n\n  .sm\\:-my-4 {\n    margin-top: -1rem;\n    margin-bottom: -1rem;\n  }\n\n  .sm\\:-my-5 {\n    margin-top: -1.25rem;\n    margin-bottom: -1.25rem;\n  }\n\n  .sm\\:-my-6 {\n    margin-top: -1.5rem;\n    margin-bottom: -1.5rem;\n  }\n\n  .sm\\:-my-7 {\n    margin-top: -1.75rem;\n    margin-bottom: -1.75rem;\n  }\n\n  .sm\\:-my-8 {\n    margin-top: -2rem;\n    margin-bottom: -2rem;\n  }\n\n  .sm\\:-my-9 {\n    margin-top: -2.25rem;\n    margin-bottom: -2.25rem;\n  }\n\n  .sm\\:-my-10 {\n    margin-top: -2.5rem;\n    margin-bottom: -2.5rem;\n  }\n\n  .sm\\:-my-11 {\n    margin-top: -2.75rem;\n    margin-bottom: -2.75rem;\n  }\n\n  .sm\\:-my-12 {\n    margin-top: -3rem;\n    margin-bottom: -3rem;\n  }\n\n  .sm\\:-my-14 {\n    margin-top: -3.5rem;\n    margin-bottom: -3.5rem;\n  }\n\n  .sm\\:-my-16 {\n    margin-top: -4rem;\n    margin-bottom: -4rem;\n  }\n\n  .sm\\:-my-20 {\n    margin-top: -5rem;\n    margin-bottom: -5rem;\n  }\n\n  .sm\\:-my-24 {\n    margin-top: -6rem;\n    margin-bottom: -6rem;\n  }\n\n  .sm\\:-my-28 {\n    margin-top: -7rem;\n    margin-bottom: -7rem;\n  }\n\n  .sm\\:-my-32 {\n    margin-top: -8rem;\n    margin-bottom: -8rem;\n  }\n\n  .sm\\:-my-36 {\n    margin-top: -9rem;\n    margin-bottom: -9rem;\n  }\n\n  .sm\\:-my-40 {\n    margin-top: -10rem;\n    margin-bottom: -10rem;\n  }\n\n  .sm\\:-my-44 {\n    margin-top: -11rem;\n    margin-bottom: -11rem;\n  }\n\n  .sm\\:-my-48 {\n    margin-top: -12rem;\n    margin-bottom: -12rem;\n  }\n\n  .sm\\:-my-52 {\n    margin-top: -13rem;\n    margin-bottom: -13rem;\n  }\n\n  .sm\\:-my-56 {\n    margin-top: -14rem;\n    margin-bottom: -14rem;\n  }\n\n  .sm\\:-my-60 {\n    margin-top: -15rem;\n    margin-bottom: -15rem;\n  }\n\n  .sm\\:-my-64 {\n    margin-top: -16rem;\n    margin-bottom: -16rem;\n  }\n\n  .sm\\:-my-72 {\n    margin-top: -18rem;\n    margin-bottom: -18rem;\n  }\n\n  .sm\\:-my-80 {\n    margin-top: -20rem;\n    margin-bottom: -20rem;\n  }\n\n  .sm\\:-my-96 {\n    margin-top: -24rem;\n    margin-bottom: -24rem;\n  }\n\n  .sm\\:-my-px {\n    margin-top: -1px;\n    margin-bottom: -1px;\n  }\n\n  .sm\\:-my-0\\.5 {\n    margin-top: -0.125rem;\n    margin-bottom: -0.125rem;\n  }\n\n  .sm\\:-my-1\\.5 {\n    margin-top: -0.375rem;\n    margin-bottom: -0.375rem;\n  }\n\n  .sm\\:-my-2\\.5 {\n    margin-top: -0.625rem;\n    margin-bottom: -0.625rem;\n  }\n\n  .sm\\:-my-3\\.5 {\n    margin-top: -0.875rem;\n    margin-bottom: -0.875rem;\n  }\n\n  .sm\\:mt-0 {\n    margin-top: 0px;\n  }\n\n  .sm\\:mt-1 {\n    margin-top: 0.25rem;\n  }\n\n  .sm\\:mt-2 {\n    margin-top: 0.5rem;\n  }\n\n  .sm\\:mt-3 {\n    margin-top: 0.75rem;\n  }\n\n  .sm\\:mt-4 {\n    margin-top: 1rem;\n  }\n\n  .sm\\:mt-5 {\n    margin-top: 1.25rem;\n  }\n\n  .sm\\:mt-6 {\n    margin-top: 1.5rem;\n  }\n\n  .sm\\:mt-7 {\n    margin-top: 1.75rem;\n  }\n\n  .sm\\:mt-8 {\n    margin-top: 2rem;\n  }\n\n  .sm\\:mt-9 {\n    margin-top: 2.25rem;\n  }\n\n  .sm\\:mt-10 {\n    margin-top: 2.5rem;\n  }\n\n  .sm\\:mt-11 {\n    margin-top: 2.75rem;\n  }\n\n  .sm\\:mt-12 {\n    margin-top: 3rem;\n  }\n\n  .sm\\:mt-14 {\n    margin-top: 3.5rem;\n  }\n\n  .sm\\:mt-16 {\n    margin-top: 4rem;\n  }\n\n  .sm\\:mt-20 {\n    margin-top: 5rem;\n  }\n\n  .sm\\:mt-24 {\n    margin-top: 6rem;\n  }\n\n  .sm\\:mt-28 {\n    margin-top: 7rem;\n  }\n\n  .sm\\:mt-32 {\n    margin-top: 8rem;\n  }\n\n  .sm\\:mt-36 {\n    margin-top: 9rem;\n  }\n\n  .sm\\:mt-40 {\n    margin-top: 10rem;\n  }\n\n  .sm\\:mt-44 {\n    margin-top: 11rem;\n  }\n\n  .sm\\:mt-48 {\n    margin-top: 12rem;\n  }\n\n  .sm\\:mt-52 {\n    margin-top: 13rem;\n  }\n\n  .sm\\:mt-56 {\n    margin-top: 14rem;\n  }\n\n  .sm\\:mt-60 {\n    margin-top: 15rem;\n  }\n\n  .sm\\:mt-64 {\n    margin-top: 16rem;\n  }\n\n  .sm\\:mt-72 {\n    margin-top: 18rem;\n  }\n\n  .sm\\:mt-80 {\n    margin-top: 20rem;\n  }\n\n  .sm\\:mt-96 {\n    margin-top: 24rem;\n  }\n\n  .sm\\:mt-auto {\n    margin-top: auto;\n  }\n\n  .sm\\:mt-px {\n    margin-top: 1px;\n  }\n\n  .sm\\:mt-0\\.5 {\n    margin-top: 0.125rem;\n  }\n\n  .sm\\:mt-1\\.5 {\n    margin-top: 0.375rem;\n  }\n\n  .sm\\:mt-2\\.5 {\n    margin-top: 0.625rem;\n  }\n\n  .sm\\:mt-3\\.5 {\n    margin-top: 0.875rem;\n  }\n\n  .sm\\:-mt-0 {\n    margin-top: 0px;\n  }\n\n  .sm\\:-mt-1 {\n    margin-top: -0.25rem;\n  }\n\n  .sm\\:-mt-2 {\n    margin-top: -0.5rem;\n  }\n\n  .sm\\:-mt-3 {\n    margin-top: -0.75rem;\n  }\n\n  .sm\\:-mt-4 {\n    margin-top: -1rem;\n  }\n\n  .sm\\:-mt-5 {\n    margin-top: -1.25rem;\n  }\n\n  .sm\\:-mt-6 {\n    margin-top: -1.5rem;\n  }\n\n  .sm\\:-mt-7 {\n    margin-top: -1.75rem;\n  }\n\n  .sm\\:-mt-8 {\n    margin-top: -2rem;\n  }\n\n  .sm\\:-mt-9 {\n    margin-top: -2.25rem;\n  }\n\n  .sm\\:-mt-10 {\n    margin-top: -2.5rem;\n  }\n\n  .sm\\:-mt-11 {\n    margin-top: -2.75rem;\n  }\n\n  .sm\\:-mt-12 {\n    margin-top: -3rem;\n  }\n\n  .sm\\:-mt-14 {\n    margin-top: -3.5rem;\n  }\n\n  .sm\\:-mt-16 {\n    margin-top: -4rem;\n  }\n\n  .sm\\:-mt-20 {\n    margin-top: -5rem;\n  }\n\n  .sm\\:-mt-24 {\n    margin-top: -6rem;\n  }\n\n  .sm\\:-mt-28 {\n    margin-top: -7rem;\n  }\n\n  .sm\\:-mt-32 {\n    margin-top: -8rem;\n  }\n\n  .sm\\:-mt-36 {\n    margin-top: -9rem;\n  }\n\n  .sm\\:-mt-40 {\n    margin-top: -10rem;\n  }\n\n  .sm\\:-mt-44 {\n    margin-top: -11rem;\n  }\n\n  .sm\\:-mt-48 {\n    margin-top: -12rem;\n  }\n\n  .sm\\:-mt-52 {\n    margin-top: -13rem;\n  }\n\n  .sm\\:-mt-56 {\n    margin-top: -14rem;\n  }\n\n  .sm\\:-mt-60 {\n    margin-top: -15rem;\n  }\n\n  .sm\\:-mt-64 {\n    margin-top: -16rem;\n  }\n\n  .sm\\:-mt-72 {\n    margin-top: -18rem;\n  }\n\n  .sm\\:-mt-80 {\n    margin-top: -20rem;\n  }\n\n  .sm\\:-mt-96 {\n    margin-top: -24rem;\n  }\n\n  .sm\\:-mt-px {\n    margin-top: -1px;\n  }\n\n  .sm\\:-mt-0\\.5 {\n    margin-top: -0.125rem;\n  }\n\n  .sm\\:-mt-1\\.5 {\n    margin-top: -0.375rem;\n  }\n\n  .sm\\:-mt-2\\.5 {\n    margin-top: -0.625rem;\n  }\n\n  .sm\\:-mt-3\\.5 {\n    margin-top: -0.875rem;\n  }\n\n  .sm\\:mr-0 {\n    margin-right: 0px;\n  }\n\n  .sm\\:mr-1 {\n    margin-right: 0.25rem;\n  }\n\n  .sm\\:mr-2 {\n    margin-right: 0.5rem;\n  }\n\n  .sm\\:mr-3 {\n    margin-right: 0.75rem;\n  }\n\n  .sm\\:mr-4 {\n    margin-right: 1rem;\n  }\n\n  .sm\\:mr-5 {\n    margin-right: 1.25rem;\n  }\n\n  .sm\\:mr-6 {\n    margin-right: 1.5rem;\n  }\n\n  .sm\\:mr-7 {\n    margin-right: 1.75rem;\n  }\n\n  .sm\\:mr-8 {\n    margin-right: 2rem;\n  }\n\n  .sm\\:mr-9 {\n    margin-right: 2.25rem;\n  }\n\n  .sm\\:mr-10 {\n    margin-right: 2.5rem;\n  }\n\n  .sm\\:mr-11 {\n    margin-right: 2.75rem;\n  }\n\n  .sm\\:mr-12 {\n    margin-right: 3rem;\n  }\n\n  .sm\\:mr-14 {\n    margin-right: 3.5rem;\n  }\n\n  .sm\\:mr-16 {\n    margin-right: 4rem;\n  }\n\n  .sm\\:mr-20 {\n    margin-right: 5rem;\n  }\n\n  .sm\\:mr-24 {\n    margin-right: 6rem;\n  }\n\n  .sm\\:mr-28 {\n    margin-right: 7rem;\n  }\n\n  .sm\\:mr-32 {\n    margin-right: 8rem;\n  }\n\n  .sm\\:mr-36 {\n    margin-right: 9rem;\n  }\n\n  .sm\\:mr-40 {\n    margin-right: 10rem;\n  }\n\n  .sm\\:mr-44 {\n    margin-right: 11rem;\n  }\n\n  .sm\\:mr-48 {\n    margin-right: 12rem;\n  }\n\n  .sm\\:mr-52 {\n    margin-right: 13rem;\n  }\n\n  .sm\\:mr-56 {\n    margin-right: 14rem;\n  }\n\n  .sm\\:mr-60 {\n    margin-right: 15rem;\n  }\n\n  .sm\\:mr-64 {\n    margin-right: 16rem;\n  }\n\n  .sm\\:mr-72 {\n    margin-right: 18rem;\n  }\n\n  .sm\\:mr-80 {\n    margin-right: 20rem;\n  }\n\n  .sm\\:mr-96 {\n    margin-right: 24rem;\n  }\n\n  .sm\\:mr-auto {\n    margin-right: auto;\n  }\n\n  .sm\\:mr-px {\n    margin-right: 1px;\n  }\n\n  .sm\\:mr-0\\.5 {\n    margin-right: 0.125rem;\n  }\n\n  .sm\\:mr-1\\.5 {\n    margin-right: 0.375rem;\n  }\n\n  .sm\\:mr-2\\.5 {\n    margin-right: 0.625rem;\n  }\n\n  .sm\\:mr-3\\.5 {\n    margin-right: 0.875rem;\n  }\n\n  .sm\\:-mr-0 {\n    margin-right: 0px;\n  }\n\n  .sm\\:-mr-1 {\n    margin-right: -0.25rem;\n  }\n\n  .sm\\:-mr-2 {\n    margin-right: -0.5rem;\n  }\n\n  .sm\\:-mr-3 {\n    margin-right: -0.75rem;\n  }\n\n  .sm\\:-mr-4 {\n    margin-right: -1rem;\n  }\n\n  .sm\\:-mr-5 {\n    margin-right: -1.25rem;\n  }\n\n  .sm\\:-mr-6 {\n    margin-right: -1.5rem;\n  }\n\n  .sm\\:-mr-7 {\n    margin-right: -1.75rem;\n  }\n\n  .sm\\:-mr-8 {\n    margin-right: -2rem;\n  }\n\n  .sm\\:-mr-9 {\n    margin-right: -2.25rem;\n  }\n\n  .sm\\:-mr-10 {\n    margin-right: -2.5rem;\n  }\n\n  .sm\\:-mr-11 {\n    margin-right: -2.75rem;\n  }\n\n  .sm\\:-mr-12 {\n    margin-right: -3rem;\n  }\n\n  .sm\\:-mr-14 {\n    margin-right: -3.5rem;\n  }\n\n  .sm\\:-mr-16 {\n    margin-right: -4rem;\n  }\n\n  .sm\\:-mr-20 {\n    margin-right: -5rem;\n  }\n\n  .sm\\:-mr-24 {\n    margin-right: -6rem;\n  }\n\n  .sm\\:-mr-28 {\n    margin-right: -7rem;\n  }\n\n  .sm\\:-mr-32 {\n    margin-right: -8rem;\n  }\n\n  .sm\\:-mr-36 {\n    margin-right: -9rem;\n  }\n\n  .sm\\:-mr-40 {\n    margin-right: -10rem;\n  }\n\n  .sm\\:-mr-44 {\n    margin-right: -11rem;\n  }\n\n  .sm\\:-mr-48 {\n    margin-right: -12rem;\n  }\n\n  .sm\\:-mr-52 {\n    margin-right: -13rem;\n  }\n\n  .sm\\:-mr-56 {\n    margin-right: -14rem;\n  }\n\n  .sm\\:-mr-60 {\n    margin-right: -15rem;\n  }\n\n  .sm\\:-mr-64 {\n    margin-right: -16rem;\n  }\n\n  .sm\\:-mr-72 {\n    margin-right: -18rem;\n  }\n\n  .sm\\:-mr-80 {\n    margin-right: -20rem;\n  }\n\n  .sm\\:-mr-96 {\n    margin-right: -24rem;\n  }\n\n  .sm\\:-mr-px {\n    margin-right: -1px;\n  }\n\n  .sm\\:-mr-0\\.5 {\n    margin-right: -0.125rem;\n  }\n\n  .sm\\:-mr-1\\.5 {\n    margin-right: -0.375rem;\n  }\n\n  .sm\\:-mr-2\\.5 {\n    margin-right: -0.625rem;\n  }\n\n  .sm\\:-mr-3\\.5 {\n    margin-right: -0.875rem;\n  }\n\n  .sm\\:mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .sm\\:mb-1 {\n    margin-bottom: 0.25rem;\n  }\n\n  .sm\\:mb-2 {\n    margin-bottom: 0.5rem;\n  }\n\n  .sm\\:mb-3 {\n    margin-bottom: 0.75rem;\n  }\n\n  .sm\\:mb-4 {\n    margin-bottom: 1rem;\n  }\n\n  .sm\\:mb-5 {\n    margin-bottom: 1.25rem;\n  }\n\n  .sm\\:mb-6 {\n    margin-bottom: 1.5rem;\n  }\n\n  .sm\\:mb-7 {\n    margin-bottom: 1.75rem;\n  }\n\n  .sm\\:mb-8 {\n    margin-bottom: 2rem;\n  }\n\n  .sm\\:mb-9 {\n    margin-bottom: 2.25rem;\n  }\n\n  .sm\\:mb-10 {\n    margin-bottom: 2.5rem;\n  }\n\n  .sm\\:mb-11 {\n    margin-bottom: 2.75rem;\n  }\n\n  .sm\\:mb-12 {\n    margin-bottom: 3rem;\n  }\n\n  .sm\\:mb-14 {\n    margin-bottom: 3.5rem;\n  }\n\n  .sm\\:mb-16 {\n    margin-bottom: 4rem;\n  }\n\n  .sm\\:mb-20 {\n    margin-bottom: 5rem;\n  }\n\n  .sm\\:mb-24 {\n    margin-bottom: 6rem;\n  }\n\n  .sm\\:mb-28 {\n    margin-bottom: 7rem;\n  }\n\n  .sm\\:mb-32 {\n    margin-bottom: 8rem;\n  }\n\n  .sm\\:mb-36 {\n    margin-bottom: 9rem;\n  }\n\n  .sm\\:mb-40 {\n    margin-bottom: 10rem;\n  }\n\n  .sm\\:mb-44 {\n    margin-bottom: 11rem;\n  }\n\n  .sm\\:mb-48 {\n    margin-bottom: 12rem;\n  }\n\n  .sm\\:mb-52 {\n    margin-bottom: 13rem;\n  }\n\n  .sm\\:mb-56 {\n    margin-bottom: 14rem;\n  }\n\n  .sm\\:mb-60 {\n    margin-bottom: 15rem;\n  }\n\n  .sm\\:mb-64 {\n    margin-bottom: 16rem;\n  }\n\n  .sm\\:mb-72 {\n    margin-bottom: 18rem;\n  }\n\n  .sm\\:mb-80 {\n    margin-bottom: 20rem;\n  }\n\n  .sm\\:mb-96 {\n    margin-bottom: 24rem;\n  }\n\n  .sm\\:mb-auto {\n    margin-bottom: auto;\n  }\n\n  .sm\\:mb-px {\n    margin-bottom: 1px;\n  }\n\n  .sm\\:mb-0\\.5 {\n    margin-bottom: 0.125rem;\n  }\n\n  .sm\\:mb-1\\.5 {\n    margin-bottom: 0.375rem;\n  }\n\n  .sm\\:mb-2\\.5 {\n    margin-bottom: 0.625rem;\n  }\n\n  .sm\\:mb-3\\.5 {\n    margin-bottom: 0.875rem;\n  }\n\n  .sm\\:-mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .sm\\:-mb-1 {\n    margin-bottom: -0.25rem;\n  }\n\n  .sm\\:-mb-2 {\n    margin-bottom: -0.5rem;\n  }\n\n  .sm\\:-mb-3 {\n    margin-bottom: -0.75rem;\n  }\n\n  .sm\\:-mb-4 {\n    margin-bottom: -1rem;\n  }\n\n  .sm\\:-mb-5 {\n    margin-bottom: -1.25rem;\n  }\n\n  .sm\\:-mb-6 {\n    margin-bottom: -1.5rem;\n  }\n\n  .sm\\:-mb-7 {\n    margin-bottom: -1.75rem;\n  }\n\n  .sm\\:-mb-8 {\n    margin-bottom: -2rem;\n  }\n\n  .sm\\:-mb-9 {\n    margin-bottom: -2.25rem;\n  }\n\n  .sm\\:-mb-10 {\n    margin-bottom: -2.5rem;\n  }\n\n  .sm\\:-mb-11 {\n    margin-bottom: -2.75rem;\n  }\n\n  .sm\\:-mb-12 {\n    margin-bottom: -3rem;\n  }\n\n  .sm\\:-mb-14 {\n    margin-bottom: -3.5rem;\n  }\n\n  .sm\\:-mb-16 {\n    margin-bottom: -4rem;\n  }\n\n  .sm\\:-mb-20 {\n    margin-bottom: -5rem;\n  }\n\n  .sm\\:-mb-24 {\n    margin-bottom: -6rem;\n  }\n\n  .sm\\:-mb-28 {\n    margin-bottom: -7rem;\n  }\n\n  .sm\\:-mb-32 {\n    margin-bottom: -8rem;\n  }\n\n  .sm\\:-mb-36 {\n    margin-bottom: -9rem;\n  }\n\n  .sm\\:-mb-40 {\n    margin-bottom: -10rem;\n  }\n\n  .sm\\:-mb-44 {\n    margin-bottom: -11rem;\n  }\n\n  .sm\\:-mb-48 {\n    margin-bottom: -12rem;\n  }\n\n  .sm\\:-mb-52 {\n    margin-bottom: -13rem;\n  }\n\n  .sm\\:-mb-56 {\n    margin-bottom: -14rem;\n  }\n\n  .sm\\:-mb-60 {\n    margin-bottom: -15rem;\n  }\n\n  .sm\\:-mb-64 {\n    margin-bottom: -16rem;\n  }\n\n  .sm\\:-mb-72 {\n    margin-bottom: -18rem;\n  }\n\n  .sm\\:-mb-80 {\n    margin-bottom: -20rem;\n  }\n\n  .sm\\:-mb-96 {\n    margin-bottom: -24rem;\n  }\n\n  .sm\\:-mb-px {\n    margin-bottom: -1px;\n  }\n\n  .sm\\:-mb-0\\.5 {\n    margin-bottom: -0.125rem;\n  }\n\n  .sm\\:-mb-1\\.5 {\n    margin-bottom: -0.375rem;\n  }\n\n  .sm\\:-mb-2\\.5 {\n    margin-bottom: -0.625rem;\n  }\n\n  .sm\\:-mb-3\\.5 {\n    margin-bottom: -0.875rem;\n  }\n\n  .sm\\:ml-0 {\n    margin-left: 0px;\n  }\n\n  .sm\\:ml-1 {\n    margin-left: 0.25rem;\n  }\n\n  .sm\\:ml-2 {\n    margin-left: 0.5rem;\n  }\n\n  .sm\\:ml-3 {\n    margin-left: 0.75rem;\n  }\n\n  .sm\\:ml-4 {\n    margin-left: 1rem;\n  }\n\n  .sm\\:ml-5 {\n    margin-left: 1.25rem;\n  }\n\n  .sm\\:ml-6 {\n    margin-left: 1.5rem;\n  }\n\n  .sm\\:ml-7 {\n    margin-left: 1.75rem;\n  }\n\n  .sm\\:ml-8 {\n    margin-left: 2rem;\n  }\n\n  .sm\\:ml-9 {\n    margin-left: 2.25rem;\n  }\n\n  .sm\\:ml-10 {\n    margin-left: 2.5rem;\n  }\n\n  .sm\\:ml-11 {\n    margin-left: 2.75rem;\n  }\n\n  .sm\\:ml-12 {\n    margin-left: 3rem;\n  }\n\n  .sm\\:ml-14 {\n    margin-left: 3.5rem;\n  }\n\n  .sm\\:ml-16 {\n    margin-left: 4rem;\n  }\n\n  .sm\\:ml-20 {\n    margin-left: 5rem;\n  }\n\n  .sm\\:ml-24 {\n    margin-left: 6rem;\n  }\n\n  .sm\\:ml-28 {\n    margin-left: 7rem;\n  }\n\n  .sm\\:ml-32 {\n    margin-left: 8rem;\n  }\n\n  .sm\\:ml-36 {\n    margin-left: 9rem;\n  }\n\n  .sm\\:ml-40 {\n    margin-left: 10rem;\n  }\n\n  .sm\\:ml-44 {\n    margin-left: 11rem;\n  }\n\n  .sm\\:ml-48 {\n    margin-left: 12rem;\n  }\n\n  .sm\\:ml-52 {\n    margin-left: 13rem;\n  }\n\n  .sm\\:ml-56 {\n    margin-left: 14rem;\n  }\n\n  .sm\\:ml-60 {\n    margin-left: 15rem;\n  }\n\n  .sm\\:ml-64 {\n    margin-left: 16rem;\n  }\n\n  .sm\\:ml-72 {\n    margin-left: 18rem;\n  }\n\n  .sm\\:ml-80 {\n    margin-left: 20rem;\n  }\n\n  .sm\\:ml-96 {\n    margin-left: 24rem;\n  }\n\n  .sm\\:ml-auto {\n    margin-left: auto;\n  }\n\n  .sm\\:ml-px {\n    margin-left: 1px;\n  }\n\n  .sm\\:ml-0\\.5 {\n    margin-left: 0.125rem;\n  }\n\n  .sm\\:ml-1\\.5 {\n    margin-left: 0.375rem;\n  }\n\n  .sm\\:ml-2\\.5 {\n    margin-left: 0.625rem;\n  }\n\n  .sm\\:ml-3\\.5 {\n    margin-left: 0.875rem;\n  }\n\n  .sm\\:-ml-0 {\n    margin-left: 0px;\n  }\n\n  .sm\\:-ml-1 {\n    margin-left: -0.25rem;\n  }\n\n  .sm\\:-ml-2 {\n    margin-left: -0.5rem;\n  }\n\n  .sm\\:-ml-3 {\n    margin-left: -0.75rem;\n  }\n\n  .sm\\:-ml-4 {\n    margin-left: -1rem;\n  }\n\n  .sm\\:-ml-5 {\n    margin-left: -1.25rem;\n  }\n\n  .sm\\:-ml-6 {\n    margin-left: -1.5rem;\n  }\n\n  .sm\\:-ml-7 {\n    margin-left: -1.75rem;\n  }\n\n  .sm\\:-ml-8 {\n    margin-left: -2rem;\n  }\n\n  .sm\\:-ml-9 {\n    margin-left: -2.25rem;\n  }\n\n  .sm\\:-ml-10 {\n    margin-left: -2.5rem;\n  }\n\n  .sm\\:-ml-11 {\n    margin-left: -2.75rem;\n  }\n\n  .sm\\:-ml-12 {\n    margin-left: -3rem;\n  }\n\n  .sm\\:-ml-14 {\n    margin-left: -3.5rem;\n  }\n\n  .sm\\:-ml-16 {\n    margin-left: -4rem;\n  }\n\n  .sm\\:-ml-20 {\n    margin-left: -5rem;\n  }\n\n  .sm\\:-ml-24 {\n    margin-left: -6rem;\n  }\n\n  .sm\\:-ml-28 {\n    margin-left: -7rem;\n  }\n\n  .sm\\:-ml-32 {\n    margin-left: -8rem;\n  }\n\n  .sm\\:-ml-36 {\n    margin-left: -9rem;\n  }\n\n  .sm\\:-ml-40 {\n    margin-left: -10rem;\n  }\n\n  .sm\\:-ml-44 {\n    margin-left: -11rem;\n  }\n\n  .sm\\:-ml-48 {\n    margin-left: -12rem;\n  }\n\n  .sm\\:-ml-52 {\n    margin-left: -13rem;\n  }\n\n  .sm\\:-ml-56 {\n    margin-left: -14rem;\n  }\n\n  .sm\\:-ml-60 {\n    margin-left: -15rem;\n  }\n\n  .sm\\:-ml-64 {\n    margin-left: -16rem;\n  }\n\n  .sm\\:-ml-72 {\n    margin-left: -18rem;\n  }\n\n  .sm\\:-ml-80 {\n    margin-left: -20rem;\n  }\n\n  .sm\\:-ml-96 {\n    margin-left: -24rem;\n  }\n\n  .sm\\:-ml-px {\n    margin-left: -1px;\n  }\n\n  .sm\\:-ml-0\\.5 {\n    margin-left: -0.125rem;\n  }\n\n  .sm\\:-ml-1\\.5 {\n    margin-left: -0.375rem;\n  }\n\n  .sm\\:-ml-2\\.5 {\n    margin-left: -0.625rem;\n  }\n\n  .sm\\:-ml-3\\.5 {\n    margin-left: -0.875rem;\n  }\n\n  .sm\\:box-border {\n    box-sizing: border-box;\n  }\n\n  .sm\\:box-content {\n    box-sizing: content-box;\n  }\n\n  .sm\\:block {\n    display: block;\n  }\n\n  .sm\\:inline-block {\n    display: inline-block;\n  }\n\n  .sm\\:inline {\n    display: inline;\n  }\n\n  .sm\\:flex {\n    display: flex;\n  }\n\n  .sm\\:inline-flex {\n    display: inline-flex;\n  }\n\n  .sm\\:table {\n    display: table;\n  }\n\n  .sm\\:inline-table {\n    display: inline-table;\n  }\n\n  .sm\\:table-caption {\n    display: table-caption;\n  }\n\n  .sm\\:table-cell {\n    display: table-cell;\n  }\n\n  .sm\\:table-column {\n    display: table-column;\n  }\n\n  .sm\\:table-column-group {\n    display: table-column-group;\n  }\n\n  .sm\\:table-footer-group {\n    display: table-footer-group;\n  }\n\n  .sm\\:table-header-group {\n    display: table-header-group;\n  }\n\n  .sm\\:table-row-group {\n    display: table-row-group;\n  }\n\n  .sm\\:table-row {\n    display: table-row;\n  }\n\n  .sm\\:flow-root {\n    display: flow-root;\n  }\n\n  .sm\\:grid {\n    display: grid;\n  }\n\n  .sm\\:inline-grid {\n    display: inline-grid;\n  }\n\n  .sm\\:contents {\n    display: contents;\n  }\n\n  .sm\\:list-item {\n    display: list-item;\n  }\n\n  .sm\\:hidden {\n    display: none;\n  }\n\n  .sm\\:h-0 {\n    height: 0px;\n  }\n\n  .sm\\:h-1 {\n    height: 0.25rem;\n  }\n\n  .sm\\:h-2 {\n    height: 0.5rem;\n  }\n\n  .sm\\:h-3 {\n    height: 0.75rem;\n  }\n\n  .sm\\:h-4 {\n    height: 1rem;\n  }\n\n  .sm\\:h-5 {\n    height: 1.25rem;\n  }\n\n  .sm\\:h-6 {\n    height: 1.5rem;\n  }\n\n  .sm\\:h-7 {\n    height: 1.75rem;\n  }\n\n  .sm\\:h-8 {\n    height: 2rem;\n  }\n\n  .sm\\:h-9 {\n    height: 2.25rem;\n  }\n\n  .sm\\:h-10 {\n    height: 2.5rem;\n  }\n\n  .sm\\:h-11 {\n    height: 2.75rem;\n  }\n\n  .sm\\:h-12 {\n    height: 3rem;\n  }\n\n  .sm\\:h-14 {\n    height: 3.5rem;\n  }\n\n  .sm\\:h-16 {\n    height: 4rem;\n  }\n\n  .sm\\:h-20 {\n    height: 5rem;\n  }\n\n  .sm\\:h-24 {\n    height: 6rem;\n  }\n\n  .sm\\:h-28 {\n    height: 7rem;\n  }\n\n  .sm\\:h-32 {\n    height: 8rem;\n  }\n\n  .sm\\:h-36 {\n    height: 9rem;\n  }\n\n  .sm\\:h-40 {\n    height: 10rem;\n  }\n\n  .sm\\:h-44 {\n    height: 11rem;\n  }\n\n  .sm\\:h-48 {\n    height: 12rem;\n  }\n\n  .sm\\:h-52 {\n    height: 13rem;\n  }\n\n  .sm\\:h-56 {\n    height: 14rem;\n  }\n\n  .sm\\:h-60 {\n    height: 15rem;\n  }\n\n  .sm\\:h-64 {\n    height: 16rem;\n  }\n\n  .sm\\:h-72 {\n    height: 18rem;\n  }\n\n  .sm\\:h-80 {\n    height: 20rem;\n  }\n\n  .sm\\:h-96 {\n    height: 24rem;\n  }\n\n  .sm\\:h-auto {\n    height: auto;\n  }\n\n  .sm\\:h-px {\n    height: 1px;\n  }\n\n  .sm\\:h-0\\.5 {\n    height: 0.125rem;\n  }\n\n  .sm\\:h-1\\.5 {\n    height: 0.375rem;\n  }\n\n  .sm\\:h-2\\.5 {\n    height: 0.625rem;\n  }\n\n  .sm\\:h-3\\.5 {\n    height: 0.875rem;\n  }\n\n  .sm\\:h-1\\/2 {\n    height: 50%;\n  }\n\n  .sm\\:h-1\\/3 {\n    height: 33.333333%;\n  }\n\n  .sm\\:h-2\\/3 {\n    height: 66.666667%;\n  }\n\n  .sm\\:h-1\\/4 {\n    height: 25%;\n  }\n\n  .sm\\:h-2\\/4 {\n    height: 50%;\n  }\n\n  .sm\\:h-3\\/4 {\n    height: 75%;\n  }\n\n  .sm\\:h-1\\/5 {\n    height: 20%;\n  }\n\n  .sm\\:h-2\\/5 {\n    height: 40%;\n  }\n\n  .sm\\:h-3\\/5 {\n    height: 60%;\n  }\n\n  .sm\\:h-4\\/5 {\n    height: 80%;\n  }\n\n  .sm\\:h-1\\/6 {\n    height: 16.666667%;\n  }\n\n  .sm\\:h-2\\/6 {\n    height: 33.333333%;\n  }\n\n  .sm\\:h-3\\/6 {\n    height: 50%;\n  }\n\n  .sm\\:h-4\\/6 {\n    height: 66.666667%;\n  }\n\n  .sm\\:h-5\\/6 {\n    height: 83.333333%;\n  }\n\n  .sm\\:h-full {\n    height: 100%;\n  }\n\n  .sm\\:h-screen {\n    height: 100vh;\n  }\n\n  .sm\\:max-h-0 {\n    max-height: 0px;\n  }\n\n  .sm\\:max-h-1 {\n    max-height: 0.25rem;\n  }\n\n  .sm\\:max-h-2 {\n    max-height: 0.5rem;\n  }\n\n  .sm\\:max-h-3 {\n    max-height: 0.75rem;\n  }\n\n  .sm\\:max-h-4 {\n    max-height: 1rem;\n  }\n\n  .sm\\:max-h-5 {\n    max-height: 1.25rem;\n  }\n\n  .sm\\:max-h-6 {\n    max-height: 1.5rem;\n  }\n\n  .sm\\:max-h-7 {\n    max-height: 1.75rem;\n  }\n\n  .sm\\:max-h-8 {\n    max-height: 2rem;\n  }\n\n  .sm\\:max-h-9 {\n    max-height: 2.25rem;\n  }\n\n  .sm\\:max-h-10 {\n    max-height: 2.5rem;\n  }\n\n  .sm\\:max-h-11 {\n    max-height: 2.75rem;\n  }\n\n  .sm\\:max-h-12 {\n    max-height: 3rem;\n  }\n\n  .sm\\:max-h-14 {\n    max-height: 3.5rem;\n  }\n\n  .sm\\:max-h-16 {\n    max-height: 4rem;\n  }\n\n  .sm\\:max-h-20 {\n    max-height: 5rem;\n  }\n\n  .sm\\:max-h-24 {\n    max-height: 6rem;\n  }\n\n  .sm\\:max-h-28 {\n    max-height: 7rem;\n  }\n\n  .sm\\:max-h-32 {\n    max-height: 8rem;\n  }\n\n  .sm\\:max-h-36 {\n    max-height: 9rem;\n  }\n\n  .sm\\:max-h-40 {\n    max-height: 10rem;\n  }\n\n  .sm\\:max-h-44 {\n    max-height: 11rem;\n  }\n\n  .sm\\:max-h-48 {\n    max-height: 12rem;\n  }\n\n  .sm\\:max-h-52 {\n    max-height: 13rem;\n  }\n\n  .sm\\:max-h-56 {\n    max-height: 14rem;\n  }\n\n  .sm\\:max-h-60 {\n    max-height: 15rem;\n  }\n\n  .sm\\:max-h-64 {\n    max-height: 16rem;\n  }\n\n  .sm\\:max-h-72 {\n    max-height: 18rem;\n  }\n\n  .sm\\:max-h-80 {\n    max-height: 20rem;\n  }\n\n  .sm\\:max-h-96 {\n    max-height: 24rem;\n  }\n\n  .sm\\:max-h-px {\n    max-height: 1px;\n  }\n\n  .sm\\:max-h-0\\.5 {\n    max-height: 0.125rem;\n  }\n\n  .sm\\:max-h-1\\.5 {\n    max-height: 0.375rem;\n  }\n\n  .sm\\:max-h-2\\.5 {\n    max-height: 0.625rem;\n  }\n\n  .sm\\:max-h-3\\.5 {\n    max-height: 0.875rem;\n  }\n\n  .sm\\:max-h-full {\n    max-height: 100%;\n  }\n\n  .sm\\:max-h-screen {\n    max-height: 100vh;\n  }\n\n  .sm\\:min-h-0 {\n    min-height: 0px;\n  }\n\n  .sm\\:min-h-full {\n    min-height: 100%;\n  }\n\n  .sm\\:min-h-screen {\n    min-height: 100vh;\n  }\n\n  .sm\\:w-0 {\n    width: 0px;\n  }\n\n  .sm\\:w-1 {\n    width: 0.25rem;\n  }\n\n  .sm\\:w-2 {\n    width: 0.5rem;\n  }\n\n  .sm\\:w-3 {\n    width: 0.75rem;\n  }\n\n  .sm\\:w-4 {\n    width: 1rem;\n  }\n\n  .sm\\:w-5 {\n    width: 1.25rem;\n  }\n\n  .sm\\:w-6 {\n    width: 1.5rem;\n  }\n\n  .sm\\:w-7 {\n    width: 1.75rem;\n  }\n\n  .sm\\:w-8 {\n    width: 2rem;\n  }\n\n  .sm\\:w-9 {\n    width: 2.25rem;\n  }\n\n  .sm\\:w-10 {\n    width: 2.5rem;\n  }\n\n  .sm\\:w-11 {\n    width: 2.75rem;\n  }\n\n  .sm\\:w-12 {\n    width: 3rem;\n  }\n\n  .sm\\:w-14 {\n    width: 3.5rem;\n  }\n\n  .sm\\:w-16 {\n    width: 4rem;\n  }\n\n  .sm\\:w-20 {\n    width: 5rem;\n  }\n\n  .sm\\:w-24 {\n    width: 6rem;\n  }\n\n  .sm\\:w-28 {\n    width: 7rem;\n  }\n\n  .sm\\:w-32 {\n    width: 8rem;\n  }\n\n  .sm\\:w-36 {\n    width: 9rem;\n  }\n\n  .sm\\:w-40 {\n    width: 10rem;\n  }\n\n  .sm\\:w-44 {\n    width: 11rem;\n  }\n\n  .sm\\:w-48 {\n    width: 12rem;\n  }\n\n  .sm\\:w-52 {\n    width: 13rem;\n  }\n\n  .sm\\:w-56 {\n    width: 14rem;\n  }\n\n  .sm\\:w-60 {\n    width: 15rem;\n  }\n\n  .sm\\:w-64 {\n    width: 16rem;\n  }\n\n  .sm\\:w-72 {\n    width: 18rem;\n  }\n\n  .sm\\:w-80 {\n    width: 20rem;\n  }\n\n  .sm\\:w-96 {\n    width: 24rem;\n  }\n\n  .sm\\:w-auto {\n    width: auto;\n  }\n\n  .sm\\:w-px {\n    width: 1px;\n  }\n\n  .sm\\:w-0\\.5 {\n    width: 0.125rem;\n  }\n\n  .sm\\:w-1\\.5 {\n    width: 0.375rem;\n  }\n\n  .sm\\:w-2\\.5 {\n    width: 0.625rem;\n  }\n\n  .sm\\:w-3\\.5 {\n    width: 0.875rem;\n  }\n\n  .sm\\:w-1\\/2 {\n    width: 50%;\n  }\n\n  .sm\\:w-1\\/3 {\n    width: 33.333333%;\n  }\n\n  .sm\\:w-2\\/3 {\n    width: 66.666667%;\n  }\n\n  .sm\\:w-1\\/4 {\n    width: 25%;\n  }\n\n  .sm\\:w-2\\/4 {\n    width: 50%;\n  }\n\n  .sm\\:w-3\\/4 {\n    width: 75%;\n  }\n\n  .sm\\:w-1\\/5 {\n    width: 20%;\n  }\n\n  .sm\\:w-2\\/5 {\n    width: 40%;\n  }\n\n  .sm\\:w-3\\/5 {\n    width: 60%;\n  }\n\n  .sm\\:w-4\\/5 {\n    width: 80%;\n  }\n\n  .sm\\:w-1\\/6 {\n    width: 16.666667%;\n  }\n\n  .sm\\:w-2\\/6 {\n    width: 33.333333%;\n  }\n\n  .sm\\:w-3\\/6 {\n    width: 50%;\n  }\n\n  .sm\\:w-4\\/6 {\n    width: 66.666667%;\n  }\n\n  .sm\\:w-5\\/6 {\n    width: 83.333333%;\n  }\n\n  .sm\\:w-1\\/12 {\n    width: 8.333333%;\n  }\n\n  .sm\\:w-2\\/12 {\n    width: 16.666667%;\n  }\n\n  .sm\\:w-3\\/12 {\n    width: 25%;\n  }\n\n  .sm\\:w-4\\/12 {\n    width: 33.333333%;\n  }\n\n  .sm\\:w-5\\/12 {\n    width: 41.666667%;\n  }\n\n  .sm\\:w-6\\/12 {\n    width: 50%;\n  }\n\n  .sm\\:w-7\\/12 {\n    width: 58.333333%;\n  }\n\n  .sm\\:w-8\\/12 {\n    width: 66.666667%;\n  }\n\n  .sm\\:w-9\\/12 {\n    width: 75%;\n  }\n\n  .sm\\:w-10\\/12 {\n    width: 83.333333%;\n  }\n\n  .sm\\:w-11\\/12 {\n    width: 91.666667%;\n  }\n\n  .sm\\:w-full {\n    width: 100%;\n  }\n\n  .sm\\:w-screen {\n    width: 100vw;\n  }\n\n  .sm\\:w-min {\n    width: -webkit-min-content;\n    width: -moz-min-content;\n    width: min-content;\n  }\n\n  .sm\\:w-max {\n    width: -webkit-max-content;\n    width: -moz-max-content;\n    width: max-content;\n  }\n\n  .sm\\:min-w-0 {\n    min-width: 0px;\n  }\n\n  .sm\\:min-w-full {\n    min-width: 100%;\n  }\n\n  .sm\\:min-w-min {\n    min-width: -webkit-min-content;\n    min-width: -moz-min-content;\n    min-width: min-content;\n  }\n\n  .sm\\:min-w-max {\n    min-width: -webkit-max-content;\n    min-width: -moz-max-content;\n    min-width: max-content;\n  }\n\n  .sm\\:max-w-0 {\n    max-width: 0rem;\n  }\n\n  .sm\\:max-w-none {\n    max-width: none;\n  }\n\n  .sm\\:max-w-xs {\n    max-width: 20rem;\n  }\n\n  .sm\\:max-w-sm {\n    max-width: 24rem;\n  }\n\n  .sm\\:max-w-md {\n    max-width: 28rem;\n  }\n\n  .sm\\:max-w-lg {\n    max-width: 32rem;\n  }\n\n  .sm\\:max-w-xl {\n    max-width: 36rem;\n  }\n\n  .sm\\:max-w-2xl {\n    max-width: 42rem;\n  }\n\n  .sm\\:max-w-3xl {\n    max-width: 48rem;\n  }\n\n  .sm\\:max-w-4xl {\n    max-width: 56rem;\n  }\n\n  .sm\\:max-w-5xl {\n    max-width: 64rem;\n  }\n\n  .sm\\:max-w-6xl {\n    max-width: 72rem;\n  }\n\n  .sm\\:max-w-7xl {\n    max-width: 80rem;\n  }\n\n  .sm\\:max-w-full {\n    max-width: 100%;\n  }\n\n  .sm\\:max-w-min {\n    max-width: -webkit-min-content;\n    max-width: -moz-min-content;\n    max-width: min-content;\n  }\n\n  .sm\\:max-w-max {\n    max-width: -webkit-max-content;\n    max-width: -moz-max-content;\n    max-width: max-content;\n  }\n\n  .sm\\:max-w-prose {\n    max-width: 65ch;\n  }\n\n  .sm\\:max-w-screen-sm {\n    max-width: 640px;\n  }\n\n  .sm\\:max-w-screen-md {\n    max-width: 768px;\n  }\n\n  .sm\\:max-w-screen-lg {\n    max-width: 1024px;\n  }\n\n  .sm\\:max-w-screen-xl {\n    max-width: 1280px;\n  }\n\n  .sm\\:max-w-screen-2xl {\n    max-width: 1536px;\n  }\n\n  .sm\\:flex-1 {\n    flex: 1 1 0%;\n  }\n\n  .sm\\:flex-2 {\n    flex: 2 2 0%;\n  }\n\n  .sm\\:flex-3 {\n    flex: 3 3 0%;\n  }\n\n  .sm\\:flex-4 {\n    flex: 4 4 0%;\n  }\n\n  .sm\\:flex-5 {\n    flex: 5 5 0%;\n  }\n\n  .sm\\:flex-6 {\n    flex: 6 6 0%;\n  }\n\n  .sm\\:flex-7 {\n    flex: 7 7 0%;\n  }\n\n  .sm\\:flex-8 {\n    flex: 8 8 0%;\n  }\n\n  .sm\\:flex-9 {\n    flex: 9 9 0%;\n  }\n\n  .sm\\:flex-10 {\n    flex: 10 10 0%;\n  }\n\n  .sm\\:flex-11 {\n    flex: 11 11 0%;\n  }\n\n  .sm\\:flex-12 {\n    flex: 12 12 0%;\n  }\n\n  .sm\\:flex-auto {\n    flex: 1 1 auto;\n  }\n\n  .sm\\:flex-initial {\n    flex: 0 1 auto;\n  }\n\n  .sm\\:flex-none {\n    flex: none;\n  }\n\n  .sm\\:flex-shrink-0 {\n    flex-shrink: 0;\n  }\n\n  .sm\\:flex-shrink {\n    flex-shrink: 1;\n  }\n\n  .sm\\:flex-grow-0 {\n    flex-grow: 0;\n  }\n\n  .sm\\:flex-grow {\n    flex-grow: 1;\n  }\n\n  .sm\\:table-auto {\n    table-layout: auto;\n  }\n\n  .sm\\:table-fixed {\n    table-layout: fixed;\n  }\n\n  .sm\\:border-collapse {\n    border-collapse: collapse;\n  }\n\n  .sm\\:border-separate {\n    border-collapse: separate;\n  }\n\n  .sm\\:origin-center {\n    transform-origin: center;\n  }\n\n  .sm\\:origin-top {\n    transform-origin: top;\n  }\n\n  .sm\\:origin-top-right {\n    transform-origin: top right;\n  }\n\n  .sm\\:origin-right {\n    transform-origin: right;\n  }\n\n  .sm\\:origin-bottom-right {\n    transform-origin: bottom right;\n  }\n\n  .sm\\:origin-bottom {\n    transform-origin: bottom;\n  }\n\n  .sm\\:origin-bottom-left {\n    transform-origin: bottom left;\n  }\n\n  .sm\\:origin-left {\n    transform-origin: left;\n  }\n\n  .sm\\:origin-top-left {\n    transform-origin: top left;\n  }\n\n  .sm\\:transform {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .sm\\:transform-gpu {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .sm\\:transform-none {\n    transform: none;\n  }\n\n  .sm\\:translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:translate-x-1 {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .sm\\:translate-x-2 {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .sm\\:translate-x-3 {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .sm\\:translate-x-4 {\n    --tw-translate-x: 1rem;\n  }\n\n  .sm\\:translate-x-5 {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .sm\\:translate-x-6 {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .sm\\:translate-x-7 {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .sm\\:translate-x-8 {\n    --tw-translate-x: 2rem;\n  }\n\n  .sm\\:translate-x-9 {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .sm\\:translate-x-10 {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .sm\\:translate-x-11 {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .sm\\:translate-x-12 {\n    --tw-translate-x: 3rem;\n  }\n\n  .sm\\:translate-x-14 {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .sm\\:translate-x-16 {\n    --tw-translate-x: 4rem;\n  }\n\n  .sm\\:translate-x-20 {\n    --tw-translate-x: 5rem;\n  }\n\n  .sm\\:translate-x-24 {\n    --tw-translate-x: 6rem;\n  }\n\n  .sm\\:translate-x-28 {\n    --tw-translate-x: 7rem;\n  }\n\n  .sm\\:translate-x-32 {\n    --tw-translate-x: 8rem;\n  }\n\n  .sm\\:translate-x-36 {\n    --tw-translate-x: 9rem;\n  }\n\n  .sm\\:translate-x-40 {\n    --tw-translate-x: 10rem;\n  }\n\n  .sm\\:translate-x-44 {\n    --tw-translate-x: 11rem;\n  }\n\n  .sm\\:translate-x-48 {\n    --tw-translate-x: 12rem;\n  }\n\n  .sm\\:translate-x-52 {\n    --tw-translate-x: 13rem;\n  }\n\n  .sm\\:translate-x-56 {\n    --tw-translate-x: 14rem;\n  }\n\n  .sm\\:translate-x-60 {\n    --tw-translate-x: 15rem;\n  }\n\n  .sm\\:translate-x-64 {\n    --tw-translate-x: 16rem;\n  }\n\n  .sm\\:translate-x-72 {\n    --tw-translate-x: 18rem;\n  }\n\n  .sm\\:translate-x-80 {\n    --tw-translate-x: 20rem;\n  }\n\n  .sm\\:translate-x-96 {\n    --tw-translate-x: 24rem;\n  }\n\n  .sm\\:translate-x-px {\n    --tw-translate-x: 1px;\n  }\n\n  .sm\\:translate-x-0\\.5 {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .sm\\:translate-x-1\\.5 {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .sm\\:translate-x-2\\.5 {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .sm\\:translate-x-3\\.5 {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .sm\\:-translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:-translate-x-1 {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .sm\\:-translate-x-2 {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .sm\\:-translate-x-3 {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .sm\\:-translate-x-4 {\n    --tw-translate-x: -1rem;\n  }\n\n  .sm\\:-translate-x-5 {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .sm\\:-translate-x-6 {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .sm\\:-translate-x-7 {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .sm\\:-translate-x-8 {\n    --tw-translate-x: -2rem;\n  }\n\n  .sm\\:-translate-x-9 {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .sm\\:-translate-x-10 {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .sm\\:-translate-x-11 {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .sm\\:-translate-x-12 {\n    --tw-translate-x: -3rem;\n  }\n\n  .sm\\:-translate-x-14 {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .sm\\:-translate-x-16 {\n    --tw-translate-x: -4rem;\n  }\n\n  .sm\\:-translate-x-20 {\n    --tw-translate-x: -5rem;\n  }\n\n  .sm\\:-translate-x-24 {\n    --tw-translate-x: -6rem;\n  }\n\n  .sm\\:-translate-x-28 {\n    --tw-translate-x: -7rem;\n  }\n\n  .sm\\:-translate-x-32 {\n    --tw-translate-x: -8rem;\n  }\n\n  .sm\\:-translate-x-36 {\n    --tw-translate-x: -9rem;\n  }\n\n  .sm\\:-translate-x-40 {\n    --tw-translate-x: -10rem;\n  }\n\n  .sm\\:-translate-x-44 {\n    --tw-translate-x: -11rem;\n  }\n\n  .sm\\:-translate-x-48 {\n    --tw-translate-x: -12rem;\n  }\n\n  .sm\\:-translate-x-52 {\n    --tw-translate-x: -13rem;\n  }\n\n  .sm\\:-translate-x-56 {\n    --tw-translate-x: -14rem;\n  }\n\n  .sm\\:-translate-x-60 {\n    --tw-translate-x: -15rem;\n  }\n\n  .sm\\:-translate-x-64 {\n    --tw-translate-x: -16rem;\n  }\n\n  .sm\\:-translate-x-72 {\n    --tw-translate-x: -18rem;\n  }\n\n  .sm\\:-translate-x-80 {\n    --tw-translate-x: -20rem;\n  }\n\n  .sm\\:-translate-x-96 {\n    --tw-translate-x: -24rem;\n  }\n\n  .sm\\:-translate-x-px {\n    --tw-translate-x: -1px;\n  }\n\n  .sm\\:-translate-x-0\\.5 {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .sm\\:-translate-x-1\\.5 {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .sm\\:-translate-x-2\\.5 {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .sm\\:-translate-x-3\\.5 {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .sm\\:translate-x-1\\/2 {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:translate-x-1\\/3 {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .sm\\:translate-x-2\\/3 {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .sm\\:translate-x-1\\/4 {\n    --tw-translate-x: 25%;\n  }\n\n  .sm\\:translate-x-2\\/4 {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:translate-x-3\\/4 {\n    --tw-translate-x: 75%;\n  }\n\n  .sm\\:translate-x-full {\n    --tw-translate-x: 100%;\n  }\n\n  .sm\\:-translate-x-1\\/2 {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:-translate-x-1\\/3 {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .sm\\:-translate-x-2\\/3 {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .sm\\:-translate-x-1\\/4 {\n    --tw-translate-x: -25%;\n  }\n\n  .sm\\:-translate-x-2\\/4 {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:-translate-x-3\\/4 {\n    --tw-translate-x: -75%;\n  }\n\n  .sm\\:-translate-x-full {\n    --tw-translate-x: -100%;\n  }\n\n  .sm\\:translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:translate-y-1 {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .sm\\:translate-y-2 {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .sm\\:translate-y-3 {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .sm\\:translate-y-4 {\n    --tw-translate-y: 1rem;\n  }\n\n  .sm\\:translate-y-5 {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .sm\\:translate-y-6 {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .sm\\:translate-y-7 {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .sm\\:translate-y-8 {\n    --tw-translate-y: 2rem;\n  }\n\n  .sm\\:translate-y-9 {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .sm\\:translate-y-10 {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .sm\\:translate-y-11 {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .sm\\:translate-y-12 {\n    --tw-translate-y: 3rem;\n  }\n\n  .sm\\:translate-y-14 {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .sm\\:translate-y-16 {\n    --tw-translate-y: 4rem;\n  }\n\n  .sm\\:translate-y-20 {\n    --tw-translate-y: 5rem;\n  }\n\n  .sm\\:translate-y-24 {\n    --tw-translate-y: 6rem;\n  }\n\n  .sm\\:translate-y-28 {\n    --tw-translate-y: 7rem;\n  }\n\n  .sm\\:translate-y-32 {\n    --tw-translate-y: 8rem;\n  }\n\n  .sm\\:translate-y-36 {\n    --tw-translate-y: 9rem;\n  }\n\n  .sm\\:translate-y-40 {\n    --tw-translate-y: 10rem;\n  }\n\n  .sm\\:translate-y-44 {\n    --tw-translate-y: 11rem;\n  }\n\n  .sm\\:translate-y-48 {\n    --tw-translate-y: 12rem;\n  }\n\n  .sm\\:translate-y-52 {\n    --tw-translate-y: 13rem;\n  }\n\n  .sm\\:translate-y-56 {\n    --tw-translate-y: 14rem;\n  }\n\n  .sm\\:translate-y-60 {\n    --tw-translate-y: 15rem;\n  }\n\n  .sm\\:translate-y-64 {\n    --tw-translate-y: 16rem;\n  }\n\n  .sm\\:translate-y-72 {\n    --tw-translate-y: 18rem;\n  }\n\n  .sm\\:translate-y-80 {\n    --tw-translate-y: 20rem;\n  }\n\n  .sm\\:translate-y-96 {\n    --tw-translate-y: 24rem;\n  }\n\n  .sm\\:translate-y-px {\n    --tw-translate-y: 1px;\n  }\n\n  .sm\\:translate-y-0\\.5 {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .sm\\:translate-y-1\\.5 {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .sm\\:translate-y-2\\.5 {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .sm\\:translate-y-3\\.5 {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .sm\\:-translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:-translate-y-1 {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .sm\\:-translate-y-2 {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .sm\\:-translate-y-3 {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .sm\\:-translate-y-4 {\n    --tw-translate-y: -1rem;\n  }\n\n  .sm\\:-translate-y-5 {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .sm\\:-translate-y-6 {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .sm\\:-translate-y-7 {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .sm\\:-translate-y-8 {\n    --tw-translate-y: -2rem;\n  }\n\n  .sm\\:-translate-y-9 {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .sm\\:-translate-y-10 {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .sm\\:-translate-y-11 {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .sm\\:-translate-y-12 {\n    --tw-translate-y: -3rem;\n  }\n\n  .sm\\:-translate-y-14 {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .sm\\:-translate-y-16 {\n    --tw-translate-y: -4rem;\n  }\n\n  .sm\\:-translate-y-20 {\n    --tw-translate-y: -5rem;\n  }\n\n  .sm\\:-translate-y-24 {\n    --tw-translate-y: -6rem;\n  }\n\n  .sm\\:-translate-y-28 {\n    --tw-translate-y: -7rem;\n  }\n\n  .sm\\:-translate-y-32 {\n    --tw-translate-y: -8rem;\n  }\n\n  .sm\\:-translate-y-36 {\n    --tw-translate-y: -9rem;\n  }\n\n  .sm\\:-translate-y-40 {\n    --tw-translate-y: -10rem;\n  }\n\n  .sm\\:-translate-y-44 {\n    --tw-translate-y: -11rem;\n  }\n\n  .sm\\:-translate-y-48 {\n    --tw-translate-y: -12rem;\n  }\n\n  .sm\\:-translate-y-52 {\n    --tw-translate-y: -13rem;\n  }\n\n  .sm\\:-translate-y-56 {\n    --tw-translate-y: -14rem;\n  }\n\n  .sm\\:-translate-y-60 {\n    --tw-translate-y: -15rem;\n  }\n\n  .sm\\:-translate-y-64 {\n    --tw-translate-y: -16rem;\n  }\n\n  .sm\\:-translate-y-72 {\n    --tw-translate-y: -18rem;\n  }\n\n  .sm\\:-translate-y-80 {\n    --tw-translate-y: -20rem;\n  }\n\n  .sm\\:-translate-y-96 {\n    --tw-translate-y: -24rem;\n  }\n\n  .sm\\:-translate-y-px {\n    --tw-translate-y: -1px;\n  }\n\n  .sm\\:-translate-y-0\\.5 {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .sm\\:-translate-y-1\\.5 {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .sm\\:-translate-y-2\\.5 {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .sm\\:-translate-y-3\\.5 {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .sm\\:translate-y-1\\/2 {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:translate-y-1\\/3 {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .sm\\:translate-y-2\\/3 {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .sm\\:translate-y-1\\/4 {\n    --tw-translate-y: 25%;\n  }\n\n  .sm\\:translate-y-2\\/4 {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:translate-y-3\\/4 {\n    --tw-translate-y: 75%;\n  }\n\n  .sm\\:translate-y-full {\n    --tw-translate-y: 100%;\n  }\n\n  .sm\\:-translate-y-1\\/2 {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:-translate-y-1\\/3 {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .sm\\:-translate-y-2\\/3 {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .sm\\:-translate-y-1\\/4 {\n    --tw-translate-y: -25%;\n  }\n\n  .sm\\:-translate-y-2\\/4 {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:-translate-y-3\\/4 {\n    --tw-translate-y: -75%;\n  }\n\n  .sm\\:-translate-y-full {\n    --tw-translate-y: -100%;\n  }\n\n  .sm\\:hover\\:translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:hover\\:translate-x-1:hover {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .sm\\:hover\\:translate-x-2:hover {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .sm\\:hover\\:translate-x-3:hover {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .sm\\:hover\\:translate-x-4:hover {\n    --tw-translate-x: 1rem;\n  }\n\n  .sm\\:hover\\:translate-x-5:hover {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .sm\\:hover\\:translate-x-6:hover {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .sm\\:hover\\:translate-x-7:hover {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .sm\\:hover\\:translate-x-8:hover {\n    --tw-translate-x: 2rem;\n  }\n\n  .sm\\:hover\\:translate-x-9:hover {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .sm\\:hover\\:translate-x-10:hover {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .sm\\:hover\\:translate-x-11:hover {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .sm\\:hover\\:translate-x-12:hover {\n    --tw-translate-x: 3rem;\n  }\n\n  .sm\\:hover\\:translate-x-14:hover {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .sm\\:hover\\:translate-x-16:hover {\n    --tw-translate-x: 4rem;\n  }\n\n  .sm\\:hover\\:translate-x-20:hover {\n    --tw-translate-x: 5rem;\n  }\n\n  .sm\\:hover\\:translate-x-24:hover {\n    --tw-translate-x: 6rem;\n  }\n\n  .sm\\:hover\\:translate-x-28:hover {\n    --tw-translate-x: 7rem;\n  }\n\n  .sm\\:hover\\:translate-x-32:hover {\n    --tw-translate-x: 8rem;\n  }\n\n  .sm\\:hover\\:translate-x-36:hover {\n    --tw-translate-x: 9rem;\n  }\n\n  .sm\\:hover\\:translate-x-40:hover {\n    --tw-translate-x: 10rem;\n  }\n\n  .sm\\:hover\\:translate-x-44:hover {\n    --tw-translate-x: 11rem;\n  }\n\n  .sm\\:hover\\:translate-x-48:hover {\n    --tw-translate-x: 12rem;\n  }\n\n  .sm\\:hover\\:translate-x-52:hover {\n    --tw-translate-x: 13rem;\n  }\n\n  .sm\\:hover\\:translate-x-56:hover {\n    --tw-translate-x: 14rem;\n  }\n\n  .sm\\:hover\\:translate-x-60:hover {\n    --tw-translate-x: 15rem;\n  }\n\n  .sm\\:hover\\:translate-x-64:hover {\n    --tw-translate-x: 16rem;\n  }\n\n  .sm\\:hover\\:translate-x-72:hover {\n    --tw-translate-x: 18rem;\n  }\n\n  .sm\\:hover\\:translate-x-80:hover {\n    --tw-translate-x: 20rem;\n  }\n\n  .sm\\:hover\\:translate-x-96:hover {\n    --tw-translate-x: 24rem;\n  }\n\n  .sm\\:hover\\:translate-x-px:hover {\n    --tw-translate-x: 1px;\n  }\n\n  .sm\\:hover\\:translate-x-0\\.5:hover {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .sm\\:hover\\:translate-x-1\\.5:hover {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .sm\\:hover\\:translate-x-2\\.5:hover {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .sm\\:hover\\:translate-x-3\\.5:hover {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .sm\\:hover\\:-translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:hover\\:-translate-x-1:hover {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .sm\\:hover\\:-translate-x-2:hover {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .sm\\:hover\\:-translate-x-3:hover {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .sm\\:hover\\:-translate-x-4:hover {\n    --tw-translate-x: -1rem;\n  }\n\n  .sm\\:hover\\:-translate-x-5:hover {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .sm\\:hover\\:-translate-x-6:hover {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .sm\\:hover\\:-translate-x-7:hover {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .sm\\:hover\\:-translate-x-8:hover {\n    --tw-translate-x: -2rem;\n  }\n\n  .sm\\:hover\\:-translate-x-9:hover {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .sm\\:hover\\:-translate-x-10:hover {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .sm\\:hover\\:-translate-x-11:hover {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .sm\\:hover\\:-translate-x-12:hover {\n    --tw-translate-x: -3rem;\n  }\n\n  .sm\\:hover\\:-translate-x-14:hover {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .sm\\:hover\\:-translate-x-16:hover {\n    --tw-translate-x: -4rem;\n  }\n\n  .sm\\:hover\\:-translate-x-20:hover {\n    --tw-translate-x: -5rem;\n  }\n\n  .sm\\:hover\\:-translate-x-24:hover {\n    --tw-translate-x: -6rem;\n  }\n\n  .sm\\:hover\\:-translate-x-28:hover {\n    --tw-translate-x: -7rem;\n  }\n\n  .sm\\:hover\\:-translate-x-32:hover {\n    --tw-translate-x: -8rem;\n  }\n\n  .sm\\:hover\\:-translate-x-36:hover {\n    --tw-translate-x: -9rem;\n  }\n\n  .sm\\:hover\\:-translate-x-40:hover {\n    --tw-translate-x: -10rem;\n  }\n\n  .sm\\:hover\\:-translate-x-44:hover {\n    --tw-translate-x: -11rem;\n  }\n\n  .sm\\:hover\\:-translate-x-48:hover {\n    --tw-translate-x: -12rem;\n  }\n\n  .sm\\:hover\\:-translate-x-52:hover {\n    --tw-translate-x: -13rem;\n  }\n\n  .sm\\:hover\\:-translate-x-56:hover {\n    --tw-translate-x: -14rem;\n  }\n\n  .sm\\:hover\\:-translate-x-60:hover {\n    --tw-translate-x: -15rem;\n  }\n\n  .sm\\:hover\\:-translate-x-64:hover {\n    --tw-translate-x: -16rem;\n  }\n\n  .sm\\:hover\\:-translate-x-72:hover {\n    --tw-translate-x: -18rem;\n  }\n\n  .sm\\:hover\\:-translate-x-80:hover {\n    --tw-translate-x: -20rem;\n  }\n\n  .sm\\:hover\\:-translate-x-96:hover {\n    --tw-translate-x: -24rem;\n  }\n\n  .sm\\:hover\\:-translate-x-px:hover {\n    --tw-translate-x: -1px;\n  }\n\n  .sm\\:hover\\:-translate-x-0\\.5:hover {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .sm\\:hover\\:-translate-x-1\\.5:hover {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .sm\\:hover\\:-translate-x-2\\.5:hover {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .sm\\:hover\\:-translate-x-3\\.5:hover {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .sm\\:hover\\:translate-x-1\\/2:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:hover\\:translate-x-1\\/3:hover {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .sm\\:hover\\:translate-x-2\\/3:hover {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .sm\\:hover\\:translate-x-1\\/4:hover {\n    --tw-translate-x: 25%;\n  }\n\n  .sm\\:hover\\:translate-x-2\\/4:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:hover\\:translate-x-3\\/4:hover {\n    --tw-translate-x: 75%;\n  }\n\n  .sm\\:hover\\:translate-x-full:hover {\n    --tw-translate-x: 100%;\n  }\n\n  .sm\\:hover\\:-translate-x-1\\/2:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:hover\\:-translate-x-1\\/3:hover {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .sm\\:hover\\:-translate-x-2\\/3:hover {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .sm\\:hover\\:-translate-x-1\\/4:hover {\n    --tw-translate-x: -25%;\n  }\n\n  .sm\\:hover\\:-translate-x-2\\/4:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:hover\\:-translate-x-3\\/4:hover {\n    --tw-translate-x: -75%;\n  }\n\n  .sm\\:hover\\:-translate-x-full:hover {\n    --tw-translate-x: -100%;\n  }\n\n  .sm\\:hover\\:translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:hover\\:translate-y-1:hover {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .sm\\:hover\\:translate-y-2:hover {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .sm\\:hover\\:translate-y-3:hover {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .sm\\:hover\\:translate-y-4:hover {\n    --tw-translate-y: 1rem;\n  }\n\n  .sm\\:hover\\:translate-y-5:hover {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .sm\\:hover\\:translate-y-6:hover {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .sm\\:hover\\:translate-y-7:hover {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .sm\\:hover\\:translate-y-8:hover {\n    --tw-translate-y: 2rem;\n  }\n\n  .sm\\:hover\\:translate-y-9:hover {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .sm\\:hover\\:translate-y-10:hover {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .sm\\:hover\\:translate-y-11:hover {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .sm\\:hover\\:translate-y-12:hover {\n    --tw-translate-y: 3rem;\n  }\n\n  .sm\\:hover\\:translate-y-14:hover {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .sm\\:hover\\:translate-y-16:hover {\n    --tw-translate-y: 4rem;\n  }\n\n  .sm\\:hover\\:translate-y-20:hover {\n    --tw-translate-y: 5rem;\n  }\n\n  .sm\\:hover\\:translate-y-24:hover {\n    --tw-translate-y: 6rem;\n  }\n\n  .sm\\:hover\\:translate-y-28:hover {\n    --tw-translate-y: 7rem;\n  }\n\n  .sm\\:hover\\:translate-y-32:hover {\n    --tw-translate-y: 8rem;\n  }\n\n  .sm\\:hover\\:translate-y-36:hover {\n    --tw-translate-y: 9rem;\n  }\n\n  .sm\\:hover\\:translate-y-40:hover {\n    --tw-translate-y: 10rem;\n  }\n\n  .sm\\:hover\\:translate-y-44:hover {\n    --tw-translate-y: 11rem;\n  }\n\n  .sm\\:hover\\:translate-y-48:hover {\n    --tw-translate-y: 12rem;\n  }\n\n  .sm\\:hover\\:translate-y-52:hover {\n    --tw-translate-y: 13rem;\n  }\n\n  .sm\\:hover\\:translate-y-56:hover {\n    --tw-translate-y: 14rem;\n  }\n\n  .sm\\:hover\\:translate-y-60:hover {\n    --tw-translate-y: 15rem;\n  }\n\n  .sm\\:hover\\:translate-y-64:hover {\n    --tw-translate-y: 16rem;\n  }\n\n  .sm\\:hover\\:translate-y-72:hover {\n    --tw-translate-y: 18rem;\n  }\n\n  .sm\\:hover\\:translate-y-80:hover {\n    --tw-translate-y: 20rem;\n  }\n\n  .sm\\:hover\\:translate-y-96:hover {\n    --tw-translate-y: 24rem;\n  }\n\n  .sm\\:hover\\:translate-y-px:hover {\n    --tw-translate-y: 1px;\n  }\n\n  .sm\\:hover\\:translate-y-0\\.5:hover {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .sm\\:hover\\:translate-y-1\\.5:hover {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .sm\\:hover\\:translate-y-2\\.5:hover {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .sm\\:hover\\:translate-y-3\\.5:hover {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .sm\\:hover\\:-translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:hover\\:-translate-y-1:hover {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .sm\\:hover\\:-translate-y-2:hover {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .sm\\:hover\\:-translate-y-3:hover {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .sm\\:hover\\:-translate-y-4:hover {\n    --tw-translate-y: -1rem;\n  }\n\n  .sm\\:hover\\:-translate-y-5:hover {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .sm\\:hover\\:-translate-y-6:hover {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .sm\\:hover\\:-translate-y-7:hover {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .sm\\:hover\\:-translate-y-8:hover {\n    --tw-translate-y: -2rem;\n  }\n\n  .sm\\:hover\\:-translate-y-9:hover {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .sm\\:hover\\:-translate-y-10:hover {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .sm\\:hover\\:-translate-y-11:hover {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .sm\\:hover\\:-translate-y-12:hover {\n    --tw-translate-y: -3rem;\n  }\n\n  .sm\\:hover\\:-translate-y-14:hover {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .sm\\:hover\\:-translate-y-16:hover {\n    --tw-translate-y: -4rem;\n  }\n\n  .sm\\:hover\\:-translate-y-20:hover {\n    --tw-translate-y: -5rem;\n  }\n\n  .sm\\:hover\\:-translate-y-24:hover {\n    --tw-translate-y: -6rem;\n  }\n\n  .sm\\:hover\\:-translate-y-28:hover {\n    --tw-translate-y: -7rem;\n  }\n\n  .sm\\:hover\\:-translate-y-32:hover {\n    --tw-translate-y: -8rem;\n  }\n\n  .sm\\:hover\\:-translate-y-36:hover {\n    --tw-translate-y: -9rem;\n  }\n\n  .sm\\:hover\\:-translate-y-40:hover {\n    --tw-translate-y: -10rem;\n  }\n\n  .sm\\:hover\\:-translate-y-44:hover {\n    --tw-translate-y: -11rem;\n  }\n\n  .sm\\:hover\\:-translate-y-48:hover {\n    --tw-translate-y: -12rem;\n  }\n\n  .sm\\:hover\\:-translate-y-52:hover {\n    --tw-translate-y: -13rem;\n  }\n\n  .sm\\:hover\\:-translate-y-56:hover {\n    --tw-translate-y: -14rem;\n  }\n\n  .sm\\:hover\\:-translate-y-60:hover {\n    --tw-translate-y: -15rem;\n  }\n\n  .sm\\:hover\\:-translate-y-64:hover {\n    --tw-translate-y: -16rem;\n  }\n\n  .sm\\:hover\\:-translate-y-72:hover {\n    --tw-translate-y: -18rem;\n  }\n\n  .sm\\:hover\\:-translate-y-80:hover {\n    --tw-translate-y: -20rem;\n  }\n\n  .sm\\:hover\\:-translate-y-96:hover {\n    --tw-translate-y: -24rem;\n  }\n\n  .sm\\:hover\\:-translate-y-px:hover {\n    --tw-translate-y: -1px;\n  }\n\n  .sm\\:hover\\:-translate-y-0\\.5:hover {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .sm\\:hover\\:-translate-y-1\\.5:hover {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .sm\\:hover\\:-translate-y-2\\.5:hover {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .sm\\:hover\\:-translate-y-3\\.5:hover {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .sm\\:hover\\:translate-y-1\\/2:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:hover\\:translate-y-1\\/3:hover {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .sm\\:hover\\:translate-y-2\\/3:hover {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .sm\\:hover\\:translate-y-1\\/4:hover {\n    --tw-translate-y: 25%;\n  }\n\n  .sm\\:hover\\:translate-y-2\\/4:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:hover\\:translate-y-3\\/4:hover {\n    --tw-translate-y: 75%;\n  }\n\n  .sm\\:hover\\:translate-y-full:hover {\n    --tw-translate-y: 100%;\n  }\n\n  .sm\\:hover\\:-translate-y-1\\/2:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:hover\\:-translate-y-1\\/3:hover {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .sm\\:hover\\:-translate-y-2\\/3:hover {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .sm\\:hover\\:-translate-y-1\\/4:hover {\n    --tw-translate-y: -25%;\n  }\n\n  .sm\\:hover\\:-translate-y-2\\/4:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:hover\\:-translate-y-3\\/4:hover {\n    --tw-translate-y: -75%;\n  }\n\n  .sm\\:hover\\:-translate-y-full:hover {\n    --tw-translate-y: -100%;\n  }\n\n  .sm\\:focus\\:translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:focus\\:translate-x-1:focus {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .sm\\:focus\\:translate-x-2:focus {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .sm\\:focus\\:translate-x-3:focus {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .sm\\:focus\\:translate-x-4:focus {\n    --tw-translate-x: 1rem;\n  }\n\n  .sm\\:focus\\:translate-x-5:focus {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .sm\\:focus\\:translate-x-6:focus {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .sm\\:focus\\:translate-x-7:focus {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .sm\\:focus\\:translate-x-8:focus {\n    --tw-translate-x: 2rem;\n  }\n\n  .sm\\:focus\\:translate-x-9:focus {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .sm\\:focus\\:translate-x-10:focus {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .sm\\:focus\\:translate-x-11:focus {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .sm\\:focus\\:translate-x-12:focus {\n    --tw-translate-x: 3rem;\n  }\n\n  .sm\\:focus\\:translate-x-14:focus {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .sm\\:focus\\:translate-x-16:focus {\n    --tw-translate-x: 4rem;\n  }\n\n  .sm\\:focus\\:translate-x-20:focus {\n    --tw-translate-x: 5rem;\n  }\n\n  .sm\\:focus\\:translate-x-24:focus {\n    --tw-translate-x: 6rem;\n  }\n\n  .sm\\:focus\\:translate-x-28:focus {\n    --tw-translate-x: 7rem;\n  }\n\n  .sm\\:focus\\:translate-x-32:focus {\n    --tw-translate-x: 8rem;\n  }\n\n  .sm\\:focus\\:translate-x-36:focus {\n    --tw-translate-x: 9rem;\n  }\n\n  .sm\\:focus\\:translate-x-40:focus {\n    --tw-translate-x: 10rem;\n  }\n\n  .sm\\:focus\\:translate-x-44:focus {\n    --tw-translate-x: 11rem;\n  }\n\n  .sm\\:focus\\:translate-x-48:focus {\n    --tw-translate-x: 12rem;\n  }\n\n  .sm\\:focus\\:translate-x-52:focus {\n    --tw-translate-x: 13rem;\n  }\n\n  .sm\\:focus\\:translate-x-56:focus {\n    --tw-translate-x: 14rem;\n  }\n\n  .sm\\:focus\\:translate-x-60:focus {\n    --tw-translate-x: 15rem;\n  }\n\n  .sm\\:focus\\:translate-x-64:focus {\n    --tw-translate-x: 16rem;\n  }\n\n  .sm\\:focus\\:translate-x-72:focus {\n    --tw-translate-x: 18rem;\n  }\n\n  .sm\\:focus\\:translate-x-80:focus {\n    --tw-translate-x: 20rem;\n  }\n\n  .sm\\:focus\\:translate-x-96:focus {\n    --tw-translate-x: 24rem;\n  }\n\n  .sm\\:focus\\:translate-x-px:focus {\n    --tw-translate-x: 1px;\n  }\n\n  .sm\\:focus\\:translate-x-0\\.5:focus {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .sm\\:focus\\:translate-x-1\\.5:focus {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .sm\\:focus\\:translate-x-2\\.5:focus {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .sm\\:focus\\:translate-x-3\\.5:focus {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .sm\\:focus\\:-translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .sm\\:focus\\:-translate-x-1:focus {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .sm\\:focus\\:-translate-x-2:focus {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .sm\\:focus\\:-translate-x-3:focus {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .sm\\:focus\\:-translate-x-4:focus {\n    --tw-translate-x: -1rem;\n  }\n\n  .sm\\:focus\\:-translate-x-5:focus {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .sm\\:focus\\:-translate-x-6:focus {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .sm\\:focus\\:-translate-x-7:focus {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .sm\\:focus\\:-translate-x-8:focus {\n    --tw-translate-x: -2rem;\n  }\n\n  .sm\\:focus\\:-translate-x-9:focus {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .sm\\:focus\\:-translate-x-10:focus {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .sm\\:focus\\:-translate-x-11:focus {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .sm\\:focus\\:-translate-x-12:focus {\n    --tw-translate-x: -3rem;\n  }\n\n  .sm\\:focus\\:-translate-x-14:focus {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .sm\\:focus\\:-translate-x-16:focus {\n    --tw-translate-x: -4rem;\n  }\n\n  .sm\\:focus\\:-translate-x-20:focus {\n    --tw-translate-x: -5rem;\n  }\n\n  .sm\\:focus\\:-translate-x-24:focus {\n    --tw-translate-x: -6rem;\n  }\n\n  .sm\\:focus\\:-translate-x-28:focus {\n    --tw-translate-x: -7rem;\n  }\n\n  .sm\\:focus\\:-translate-x-32:focus {\n    --tw-translate-x: -8rem;\n  }\n\n  .sm\\:focus\\:-translate-x-36:focus {\n    --tw-translate-x: -9rem;\n  }\n\n  .sm\\:focus\\:-translate-x-40:focus {\n    --tw-translate-x: -10rem;\n  }\n\n  .sm\\:focus\\:-translate-x-44:focus {\n    --tw-translate-x: -11rem;\n  }\n\n  .sm\\:focus\\:-translate-x-48:focus {\n    --tw-translate-x: -12rem;\n  }\n\n  .sm\\:focus\\:-translate-x-52:focus {\n    --tw-translate-x: -13rem;\n  }\n\n  .sm\\:focus\\:-translate-x-56:focus {\n    --tw-translate-x: -14rem;\n  }\n\n  .sm\\:focus\\:-translate-x-60:focus {\n    --tw-translate-x: -15rem;\n  }\n\n  .sm\\:focus\\:-translate-x-64:focus {\n    --tw-translate-x: -16rem;\n  }\n\n  .sm\\:focus\\:-translate-x-72:focus {\n    --tw-translate-x: -18rem;\n  }\n\n  .sm\\:focus\\:-translate-x-80:focus {\n    --tw-translate-x: -20rem;\n  }\n\n  .sm\\:focus\\:-translate-x-96:focus {\n    --tw-translate-x: -24rem;\n  }\n\n  .sm\\:focus\\:-translate-x-px:focus {\n    --tw-translate-x: -1px;\n  }\n\n  .sm\\:focus\\:-translate-x-0\\.5:focus {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .sm\\:focus\\:-translate-x-1\\.5:focus {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .sm\\:focus\\:-translate-x-2\\.5:focus {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .sm\\:focus\\:-translate-x-3\\.5:focus {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .sm\\:focus\\:translate-x-1\\/2:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:focus\\:translate-x-1\\/3:focus {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .sm\\:focus\\:translate-x-2\\/3:focus {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .sm\\:focus\\:translate-x-1\\/4:focus {\n    --tw-translate-x: 25%;\n  }\n\n  .sm\\:focus\\:translate-x-2\\/4:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .sm\\:focus\\:translate-x-3\\/4:focus {\n    --tw-translate-x: 75%;\n  }\n\n  .sm\\:focus\\:translate-x-full:focus {\n    --tw-translate-x: 100%;\n  }\n\n  .sm\\:focus\\:-translate-x-1\\/2:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:focus\\:-translate-x-1\\/3:focus {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .sm\\:focus\\:-translate-x-2\\/3:focus {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .sm\\:focus\\:-translate-x-1\\/4:focus {\n    --tw-translate-x: -25%;\n  }\n\n  .sm\\:focus\\:-translate-x-2\\/4:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .sm\\:focus\\:-translate-x-3\\/4:focus {\n    --tw-translate-x: -75%;\n  }\n\n  .sm\\:focus\\:-translate-x-full:focus {\n    --tw-translate-x: -100%;\n  }\n\n  .sm\\:focus\\:translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:focus\\:translate-y-1:focus {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .sm\\:focus\\:translate-y-2:focus {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .sm\\:focus\\:translate-y-3:focus {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .sm\\:focus\\:translate-y-4:focus {\n    --tw-translate-y: 1rem;\n  }\n\n  .sm\\:focus\\:translate-y-5:focus {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .sm\\:focus\\:translate-y-6:focus {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .sm\\:focus\\:translate-y-7:focus {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .sm\\:focus\\:translate-y-8:focus {\n    --tw-translate-y: 2rem;\n  }\n\n  .sm\\:focus\\:translate-y-9:focus {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .sm\\:focus\\:translate-y-10:focus {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .sm\\:focus\\:translate-y-11:focus {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .sm\\:focus\\:translate-y-12:focus {\n    --tw-translate-y: 3rem;\n  }\n\n  .sm\\:focus\\:translate-y-14:focus {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .sm\\:focus\\:translate-y-16:focus {\n    --tw-translate-y: 4rem;\n  }\n\n  .sm\\:focus\\:translate-y-20:focus {\n    --tw-translate-y: 5rem;\n  }\n\n  .sm\\:focus\\:translate-y-24:focus {\n    --tw-translate-y: 6rem;\n  }\n\n  .sm\\:focus\\:translate-y-28:focus {\n    --tw-translate-y: 7rem;\n  }\n\n  .sm\\:focus\\:translate-y-32:focus {\n    --tw-translate-y: 8rem;\n  }\n\n  .sm\\:focus\\:translate-y-36:focus {\n    --tw-translate-y: 9rem;\n  }\n\n  .sm\\:focus\\:translate-y-40:focus {\n    --tw-translate-y: 10rem;\n  }\n\n  .sm\\:focus\\:translate-y-44:focus {\n    --tw-translate-y: 11rem;\n  }\n\n  .sm\\:focus\\:translate-y-48:focus {\n    --tw-translate-y: 12rem;\n  }\n\n  .sm\\:focus\\:translate-y-52:focus {\n    --tw-translate-y: 13rem;\n  }\n\n  .sm\\:focus\\:translate-y-56:focus {\n    --tw-translate-y: 14rem;\n  }\n\n  .sm\\:focus\\:translate-y-60:focus {\n    --tw-translate-y: 15rem;\n  }\n\n  .sm\\:focus\\:translate-y-64:focus {\n    --tw-translate-y: 16rem;\n  }\n\n  .sm\\:focus\\:translate-y-72:focus {\n    --tw-translate-y: 18rem;\n  }\n\n  .sm\\:focus\\:translate-y-80:focus {\n    --tw-translate-y: 20rem;\n  }\n\n  .sm\\:focus\\:translate-y-96:focus {\n    --tw-translate-y: 24rem;\n  }\n\n  .sm\\:focus\\:translate-y-px:focus {\n    --tw-translate-y: 1px;\n  }\n\n  .sm\\:focus\\:translate-y-0\\.5:focus {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .sm\\:focus\\:translate-y-1\\.5:focus {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .sm\\:focus\\:translate-y-2\\.5:focus {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .sm\\:focus\\:translate-y-3\\.5:focus {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .sm\\:focus\\:-translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .sm\\:focus\\:-translate-y-1:focus {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .sm\\:focus\\:-translate-y-2:focus {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .sm\\:focus\\:-translate-y-3:focus {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .sm\\:focus\\:-translate-y-4:focus {\n    --tw-translate-y: -1rem;\n  }\n\n  .sm\\:focus\\:-translate-y-5:focus {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .sm\\:focus\\:-translate-y-6:focus {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .sm\\:focus\\:-translate-y-7:focus {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .sm\\:focus\\:-translate-y-8:focus {\n    --tw-translate-y: -2rem;\n  }\n\n  .sm\\:focus\\:-translate-y-9:focus {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .sm\\:focus\\:-translate-y-10:focus {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .sm\\:focus\\:-translate-y-11:focus {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .sm\\:focus\\:-translate-y-12:focus {\n    --tw-translate-y: -3rem;\n  }\n\n  .sm\\:focus\\:-translate-y-14:focus {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .sm\\:focus\\:-translate-y-16:focus {\n    --tw-translate-y: -4rem;\n  }\n\n  .sm\\:focus\\:-translate-y-20:focus {\n    --tw-translate-y: -5rem;\n  }\n\n  .sm\\:focus\\:-translate-y-24:focus {\n    --tw-translate-y: -6rem;\n  }\n\n  .sm\\:focus\\:-translate-y-28:focus {\n    --tw-translate-y: -7rem;\n  }\n\n  .sm\\:focus\\:-translate-y-32:focus {\n    --tw-translate-y: -8rem;\n  }\n\n  .sm\\:focus\\:-translate-y-36:focus {\n    --tw-translate-y: -9rem;\n  }\n\n  .sm\\:focus\\:-translate-y-40:focus {\n    --tw-translate-y: -10rem;\n  }\n\n  .sm\\:focus\\:-translate-y-44:focus {\n    --tw-translate-y: -11rem;\n  }\n\n  .sm\\:focus\\:-translate-y-48:focus {\n    --tw-translate-y: -12rem;\n  }\n\n  .sm\\:focus\\:-translate-y-52:focus {\n    --tw-translate-y: -13rem;\n  }\n\n  .sm\\:focus\\:-translate-y-56:focus {\n    --tw-translate-y: -14rem;\n  }\n\n  .sm\\:focus\\:-translate-y-60:focus {\n    --tw-translate-y: -15rem;\n  }\n\n  .sm\\:focus\\:-translate-y-64:focus {\n    --tw-translate-y: -16rem;\n  }\n\n  .sm\\:focus\\:-translate-y-72:focus {\n    --tw-translate-y: -18rem;\n  }\n\n  .sm\\:focus\\:-translate-y-80:focus {\n    --tw-translate-y: -20rem;\n  }\n\n  .sm\\:focus\\:-translate-y-96:focus {\n    --tw-translate-y: -24rem;\n  }\n\n  .sm\\:focus\\:-translate-y-px:focus {\n    --tw-translate-y: -1px;\n  }\n\n  .sm\\:focus\\:-translate-y-0\\.5:focus {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .sm\\:focus\\:-translate-y-1\\.5:focus {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .sm\\:focus\\:-translate-y-2\\.5:focus {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .sm\\:focus\\:-translate-y-3\\.5:focus {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .sm\\:focus\\:translate-y-1\\/2:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:focus\\:translate-y-1\\/3:focus {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .sm\\:focus\\:translate-y-2\\/3:focus {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .sm\\:focus\\:translate-y-1\\/4:focus {\n    --tw-translate-y: 25%;\n  }\n\n  .sm\\:focus\\:translate-y-2\\/4:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .sm\\:focus\\:translate-y-3\\/4:focus {\n    --tw-translate-y: 75%;\n  }\n\n  .sm\\:focus\\:translate-y-full:focus {\n    --tw-translate-y: 100%;\n  }\n\n  .sm\\:focus\\:-translate-y-1\\/2:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:focus\\:-translate-y-1\\/3:focus {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .sm\\:focus\\:-translate-y-2\\/3:focus {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .sm\\:focus\\:-translate-y-1\\/4:focus {\n    --tw-translate-y: -25%;\n  }\n\n  .sm\\:focus\\:-translate-y-2\\/4:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .sm\\:focus\\:-translate-y-3\\/4:focus {\n    --tw-translate-y: -75%;\n  }\n\n  .sm\\:focus\\:-translate-y-full:focus {\n    --tw-translate-y: -100%;\n  }\n\n  .sm\\:rotate-0 {\n    --tw-rotate: 0deg;\n  }\n\n  .sm\\:rotate-1 {\n    --tw-rotate: 1deg;\n  }\n\n  .sm\\:rotate-2 {\n    --tw-rotate: 2deg;\n  }\n\n  .sm\\:rotate-3 {\n    --tw-rotate: 3deg;\n  }\n\n  .sm\\:rotate-6 {\n    --tw-rotate: 6deg;\n  }\n\n  .sm\\:rotate-12 {\n    --tw-rotate: 12deg;\n  }\n\n  .sm\\:rotate-45 {\n    --tw-rotate: 45deg;\n  }\n\n  .sm\\:rotate-90 {\n    --tw-rotate: 90deg;\n  }\n\n  .sm\\:rotate-180 {\n    --tw-rotate: 180deg;\n  }\n\n  .sm\\:-rotate-180 {\n    --tw-rotate: -180deg;\n  }\n\n  .sm\\:-rotate-90 {\n    --tw-rotate: -90deg;\n  }\n\n  .sm\\:-rotate-45 {\n    --tw-rotate: -45deg;\n  }\n\n  .sm\\:-rotate-12 {\n    --tw-rotate: -12deg;\n  }\n\n  .sm\\:-rotate-6 {\n    --tw-rotate: -6deg;\n  }\n\n  .sm\\:-rotate-3 {\n    --tw-rotate: -3deg;\n  }\n\n  .sm\\:-rotate-2 {\n    --tw-rotate: -2deg;\n  }\n\n  .sm\\:-rotate-1 {\n    --tw-rotate: -1deg;\n  }\n\n  .sm\\:hover\\:rotate-0:hover {\n    --tw-rotate: 0deg;\n  }\n\n  .sm\\:hover\\:rotate-1:hover {\n    --tw-rotate: 1deg;\n  }\n\n  .sm\\:hover\\:rotate-2:hover {\n    --tw-rotate: 2deg;\n  }\n\n  .sm\\:hover\\:rotate-3:hover {\n    --tw-rotate: 3deg;\n  }\n\n  .sm\\:hover\\:rotate-6:hover {\n    --tw-rotate: 6deg;\n  }\n\n  .sm\\:hover\\:rotate-12:hover {\n    --tw-rotate: 12deg;\n  }\n\n  .sm\\:hover\\:rotate-45:hover {\n    --tw-rotate: 45deg;\n  }\n\n  .sm\\:hover\\:rotate-90:hover {\n    --tw-rotate: 90deg;\n  }\n\n  .sm\\:hover\\:rotate-180:hover {\n    --tw-rotate: 180deg;\n  }\n\n  .sm\\:hover\\:-rotate-180:hover {\n    --tw-rotate: -180deg;\n  }\n\n  .sm\\:hover\\:-rotate-90:hover {\n    --tw-rotate: -90deg;\n  }\n\n  .sm\\:hover\\:-rotate-45:hover {\n    --tw-rotate: -45deg;\n  }\n\n  .sm\\:hover\\:-rotate-12:hover {\n    --tw-rotate: -12deg;\n  }\n\n  .sm\\:hover\\:-rotate-6:hover {\n    --tw-rotate: -6deg;\n  }\n\n  .sm\\:hover\\:-rotate-3:hover {\n    --tw-rotate: -3deg;\n  }\n\n  .sm\\:hover\\:-rotate-2:hover {\n    --tw-rotate: -2deg;\n  }\n\n  .sm\\:hover\\:-rotate-1:hover {\n    --tw-rotate: -1deg;\n  }\n\n  .sm\\:focus\\:rotate-0:focus {\n    --tw-rotate: 0deg;\n  }\n\n  .sm\\:focus\\:rotate-1:focus {\n    --tw-rotate: 1deg;\n  }\n\n  .sm\\:focus\\:rotate-2:focus {\n    --tw-rotate: 2deg;\n  }\n\n  .sm\\:focus\\:rotate-3:focus {\n    --tw-rotate: 3deg;\n  }\n\n  .sm\\:focus\\:rotate-6:focus {\n    --tw-rotate: 6deg;\n  }\n\n  .sm\\:focus\\:rotate-12:focus {\n    --tw-rotate: 12deg;\n  }\n\n  .sm\\:focus\\:rotate-45:focus {\n    --tw-rotate: 45deg;\n  }\n\n  .sm\\:focus\\:rotate-90:focus {\n    --tw-rotate: 90deg;\n  }\n\n  .sm\\:focus\\:rotate-180:focus {\n    --tw-rotate: 180deg;\n  }\n\n  .sm\\:focus\\:-rotate-180:focus {\n    --tw-rotate: -180deg;\n  }\n\n  .sm\\:focus\\:-rotate-90:focus {\n    --tw-rotate: -90deg;\n  }\n\n  .sm\\:focus\\:-rotate-45:focus {\n    --tw-rotate: -45deg;\n  }\n\n  .sm\\:focus\\:-rotate-12:focus {\n    --tw-rotate: -12deg;\n  }\n\n  .sm\\:focus\\:-rotate-6:focus {\n    --tw-rotate: -6deg;\n  }\n\n  .sm\\:focus\\:-rotate-3:focus {\n    --tw-rotate: -3deg;\n  }\n\n  .sm\\:focus\\:-rotate-2:focus {\n    --tw-rotate: -2deg;\n  }\n\n  .sm\\:focus\\:-rotate-1:focus {\n    --tw-rotate: -1deg;\n  }\n\n  .sm\\:skew-x-0 {\n    --tw-skew-x: 0deg;\n  }\n\n  .sm\\:skew-x-1 {\n    --tw-skew-x: 1deg;\n  }\n\n  .sm\\:skew-x-2 {\n    --tw-skew-x: 2deg;\n  }\n\n  .sm\\:skew-x-3 {\n    --tw-skew-x: 3deg;\n  }\n\n  .sm\\:skew-x-6 {\n    --tw-skew-x: 6deg;\n  }\n\n  .sm\\:skew-x-12 {\n    --tw-skew-x: 12deg;\n  }\n\n  .sm\\:-skew-x-12 {\n    --tw-skew-x: -12deg;\n  }\n\n  .sm\\:-skew-x-6 {\n    --tw-skew-x: -6deg;\n  }\n\n  .sm\\:-skew-x-3 {\n    --tw-skew-x: -3deg;\n  }\n\n  .sm\\:-skew-x-2 {\n    --tw-skew-x: -2deg;\n  }\n\n  .sm\\:-skew-x-1 {\n    --tw-skew-x: -1deg;\n  }\n\n  .sm\\:skew-y-0 {\n    --tw-skew-y: 0deg;\n  }\n\n  .sm\\:skew-y-1 {\n    --tw-skew-y: 1deg;\n  }\n\n  .sm\\:skew-y-2 {\n    --tw-skew-y: 2deg;\n  }\n\n  .sm\\:skew-y-3 {\n    --tw-skew-y: 3deg;\n  }\n\n  .sm\\:skew-y-6 {\n    --tw-skew-y: 6deg;\n  }\n\n  .sm\\:skew-y-12 {\n    --tw-skew-y: 12deg;\n  }\n\n  .sm\\:-skew-y-12 {\n    --tw-skew-y: -12deg;\n  }\n\n  .sm\\:-skew-y-6 {\n    --tw-skew-y: -6deg;\n  }\n\n  .sm\\:-skew-y-3 {\n    --tw-skew-y: -3deg;\n  }\n\n  .sm\\:-skew-y-2 {\n    --tw-skew-y: -2deg;\n  }\n\n  .sm\\:-skew-y-1 {\n    --tw-skew-y: -1deg;\n  }\n\n  .sm\\:hover\\:skew-x-0:hover {\n    --tw-skew-x: 0deg;\n  }\n\n  .sm\\:hover\\:skew-x-1:hover {\n    --tw-skew-x: 1deg;\n  }\n\n  .sm\\:hover\\:skew-x-2:hover {\n    --tw-skew-x: 2deg;\n  }\n\n  .sm\\:hover\\:skew-x-3:hover {\n    --tw-skew-x: 3deg;\n  }\n\n  .sm\\:hover\\:skew-x-6:hover {\n    --tw-skew-x: 6deg;\n  }\n\n  .sm\\:hover\\:skew-x-12:hover {\n    --tw-skew-x: 12deg;\n  }\n\n  .sm\\:hover\\:-skew-x-12:hover {\n    --tw-skew-x: -12deg;\n  }\n\n  .sm\\:hover\\:-skew-x-6:hover {\n    --tw-skew-x: -6deg;\n  }\n\n  .sm\\:hover\\:-skew-x-3:hover {\n    --tw-skew-x: -3deg;\n  }\n\n  .sm\\:hover\\:-skew-x-2:hover {\n    --tw-skew-x: -2deg;\n  }\n\n  .sm\\:hover\\:-skew-x-1:hover {\n    --tw-skew-x: -1deg;\n  }\n\n  .sm\\:hover\\:skew-y-0:hover {\n    --tw-skew-y: 0deg;\n  }\n\n  .sm\\:hover\\:skew-y-1:hover {\n    --tw-skew-y: 1deg;\n  }\n\n  .sm\\:hover\\:skew-y-2:hover {\n    --tw-skew-y: 2deg;\n  }\n\n  .sm\\:hover\\:skew-y-3:hover {\n    --tw-skew-y: 3deg;\n  }\n\n  .sm\\:hover\\:skew-y-6:hover {\n    --tw-skew-y: 6deg;\n  }\n\n  .sm\\:hover\\:skew-y-12:hover {\n    --tw-skew-y: 12deg;\n  }\n\n  .sm\\:hover\\:-skew-y-12:hover {\n    --tw-skew-y: -12deg;\n  }\n\n  .sm\\:hover\\:-skew-y-6:hover {\n    --tw-skew-y: -6deg;\n  }\n\n  .sm\\:hover\\:-skew-y-3:hover {\n    --tw-skew-y: -3deg;\n  }\n\n  .sm\\:hover\\:-skew-y-2:hover {\n    --tw-skew-y: -2deg;\n  }\n\n  .sm\\:hover\\:-skew-y-1:hover {\n    --tw-skew-y: -1deg;\n  }\n\n  .sm\\:focus\\:skew-x-0:focus {\n    --tw-skew-x: 0deg;\n  }\n\n  .sm\\:focus\\:skew-x-1:focus {\n    --tw-skew-x: 1deg;\n  }\n\n  .sm\\:focus\\:skew-x-2:focus {\n    --tw-skew-x: 2deg;\n  }\n\n  .sm\\:focus\\:skew-x-3:focus {\n    --tw-skew-x: 3deg;\n  }\n\n  .sm\\:focus\\:skew-x-6:focus {\n    --tw-skew-x: 6deg;\n  }\n\n  .sm\\:focus\\:skew-x-12:focus {\n    --tw-skew-x: 12deg;\n  }\n\n  .sm\\:focus\\:-skew-x-12:focus {\n    --tw-skew-x: -12deg;\n  }\n\n  .sm\\:focus\\:-skew-x-6:focus {\n    --tw-skew-x: -6deg;\n  }\n\n  .sm\\:focus\\:-skew-x-3:focus {\n    --tw-skew-x: -3deg;\n  }\n\n  .sm\\:focus\\:-skew-x-2:focus {\n    --tw-skew-x: -2deg;\n  }\n\n  .sm\\:focus\\:-skew-x-1:focus {\n    --tw-skew-x: -1deg;\n  }\n\n  .sm\\:focus\\:skew-y-0:focus {\n    --tw-skew-y: 0deg;\n  }\n\n  .sm\\:focus\\:skew-y-1:focus {\n    --tw-skew-y: 1deg;\n  }\n\n  .sm\\:focus\\:skew-y-2:focus {\n    --tw-skew-y: 2deg;\n  }\n\n  .sm\\:focus\\:skew-y-3:focus {\n    --tw-skew-y: 3deg;\n  }\n\n  .sm\\:focus\\:skew-y-6:focus {\n    --tw-skew-y: 6deg;\n  }\n\n  .sm\\:focus\\:skew-y-12:focus {\n    --tw-skew-y: 12deg;\n  }\n\n  .sm\\:focus\\:-skew-y-12:focus {\n    --tw-skew-y: -12deg;\n  }\n\n  .sm\\:focus\\:-skew-y-6:focus {\n    --tw-skew-y: -6deg;\n  }\n\n  .sm\\:focus\\:-skew-y-3:focus {\n    --tw-skew-y: -3deg;\n  }\n\n  .sm\\:focus\\:-skew-y-2:focus {\n    --tw-skew-y: -2deg;\n  }\n\n  .sm\\:focus\\:-skew-y-1:focus {\n    --tw-skew-y: -1deg;\n  }\n\n  .sm\\:scale-0 {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:scale-50 {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:scale-75 {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:scale-90 {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:scale-95 {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:scale-100 {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:scale-105 {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:scale-110 {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:scale-125 {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:scale-150 {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:hover\\:scale-0:hover {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:hover\\:scale-50:hover {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:hover\\:scale-75:hover {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:hover\\:scale-90:hover {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:hover\\:scale-95:hover {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:hover\\:scale-100:hover {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:hover\\:scale-105:hover {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:hover\\:scale-110:hover {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:hover\\:scale-125:hover {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:hover\\:scale-150:hover {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:focus\\:scale-0:focus {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:focus\\:scale-50:focus {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:focus\\:scale-75:focus {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:focus\\:scale-90:focus {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:focus\\:scale-95:focus {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:focus\\:scale-100:focus {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:focus\\:scale-105:focus {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:focus\\:scale-110:focus {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:focus\\:scale-125:focus {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:focus\\:scale-150:focus {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:scale-x-0 {\n    --tw-scale-x: 0;\n  }\n\n  .sm\\:scale-x-50 {\n    --tw-scale-x: .5;\n  }\n\n  .sm\\:scale-x-75 {\n    --tw-scale-x: .75;\n  }\n\n  .sm\\:scale-x-90 {\n    --tw-scale-x: .9;\n  }\n\n  .sm\\:scale-x-95 {\n    --tw-scale-x: .95;\n  }\n\n  .sm\\:scale-x-100 {\n    --tw-scale-x: 1;\n  }\n\n  .sm\\:scale-x-105 {\n    --tw-scale-x: 1.05;\n  }\n\n  .sm\\:scale-x-110 {\n    --tw-scale-x: 1.1;\n  }\n\n  .sm\\:scale-x-125 {\n    --tw-scale-x: 1.25;\n  }\n\n  .sm\\:scale-x-150 {\n    --tw-scale-x: 1.5;\n  }\n\n  .sm\\:scale-y-0 {\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:scale-y-50 {\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:scale-y-75 {\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:scale-y-90 {\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:scale-y-95 {\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:scale-y-100 {\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:scale-y-105 {\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:scale-y-110 {\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:scale-y-125 {\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:scale-y-150 {\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:hover\\:scale-x-0:hover {\n    --tw-scale-x: 0;\n  }\n\n  .sm\\:hover\\:scale-x-50:hover {\n    --tw-scale-x: .5;\n  }\n\n  .sm\\:hover\\:scale-x-75:hover {\n    --tw-scale-x: .75;\n  }\n\n  .sm\\:hover\\:scale-x-90:hover {\n    --tw-scale-x: .9;\n  }\n\n  .sm\\:hover\\:scale-x-95:hover {\n    --tw-scale-x: .95;\n  }\n\n  .sm\\:hover\\:scale-x-100:hover {\n    --tw-scale-x: 1;\n  }\n\n  .sm\\:hover\\:scale-x-105:hover {\n    --tw-scale-x: 1.05;\n  }\n\n  .sm\\:hover\\:scale-x-110:hover {\n    --tw-scale-x: 1.1;\n  }\n\n  .sm\\:hover\\:scale-x-125:hover {\n    --tw-scale-x: 1.25;\n  }\n\n  .sm\\:hover\\:scale-x-150:hover {\n    --tw-scale-x: 1.5;\n  }\n\n  .sm\\:hover\\:scale-y-0:hover {\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:hover\\:scale-y-50:hover {\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:hover\\:scale-y-75:hover {\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:hover\\:scale-y-90:hover {\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:hover\\:scale-y-95:hover {\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:hover\\:scale-y-100:hover {\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:hover\\:scale-y-105:hover {\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:hover\\:scale-y-110:hover {\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:hover\\:scale-y-125:hover {\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:hover\\:scale-y-150:hover {\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:focus\\:scale-x-0:focus {\n    --tw-scale-x: 0;\n  }\n\n  .sm\\:focus\\:scale-x-50:focus {\n    --tw-scale-x: .5;\n  }\n\n  .sm\\:focus\\:scale-x-75:focus {\n    --tw-scale-x: .75;\n  }\n\n  .sm\\:focus\\:scale-x-90:focus {\n    --tw-scale-x: .9;\n  }\n\n  .sm\\:focus\\:scale-x-95:focus {\n    --tw-scale-x: .95;\n  }\n\n  .sm\\:focus\\:scale-x-100:focus {\n    --tw-scale-x: 1;\n  }\n\n  .sm\\:focus\\:scale-x-105:focus {\n    --tw-scale-x: 1.05;\n  }\n\n  .sm\\:focus\\:scale-x-110:focus {\n    --tw-scale-x: 1.1;\n  }\n\n  .sm\\:focus\\:scale-x-125:focus {\n    --tw-scale-x: 1.25;\n  }\n\n  .sm\\:focus\\:scale-x-150:focus {\n    --tw-scale-x: 1.5;\n  }\n\n  .sm\\:focus\\:scale-y-0:focus {\n    --tw-scale-y: 0;\n  }\n\n  .sm\\:focus\\:scale-y-50:focus {\n    --tw-scale-y: .5;\n  }\n\n  .sm\\:focus\\:scale-y-75:focus {\n    --tw-scale-y: .75;\n  }\n\n  .sm\\:focus\\:scale-y-90:focus {\n    --tw-scale-y: .9;\n  }\n\n  .sm\\:focus\\:scale-y-95:focus {\n    --tw-scale-y: .95;\n  }\n\n  .sm\\:focus\\:scale-y-100:focus {\n    --tw-scale-y: 1;\n  }\n\n  .sm\\:focus\\:scale-y-105:focus {\n    --tw-scale-y: 1.05;\n  }\n\n  .sm\\:focus\\:scale-y-110:focus {\n    --tw-scale-y: 1.1;\n  }\n\n  .sm\\:focus\\:scale-y-125:focus {\n    --tw-scale-y: 1.25;\n  }\n\n  .sm\\:focus\\:scale-y-150:focus {\n    --tw-scale-y: 1.5;\n  }\n\n  .sm\\:animate-none {\n    -webkit-animation: none;\n            animation: none;\n  }\n\n  .sm\\:animate-spin {\n    -webkit-animation: spin 1s linear infinite;\n            animation: spin 1s linear infinite;\n  }\n\n  .sm\\:animate-ping {\n    -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n            animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n  }\n\n  .sm\\:animate-pulse {\n    -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n            animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n  }\n\n  .sm\\:animate-bounce {\n    -webkit-animation: bounce 1s infinite;\n            animation: bounce 1s infinite;\n  }\n\n  .sm\\:animate-gradient {\n    -webkit-animation: gradient 5s ease infinite;\n            animation: gradient 5s ease infinite;\n  }\n\n  .sm\\:cursor-auto {\n    cursor: auto;\n  }\n\n  .sm\\:cursor-default {\n    cursor: default;\n  }\n\n  .sm\\:cursor-pointer {\n    cursor: pointer;\n  }\n\n  .sm\\:cursor-wait {\n    cursor: wait;\n  }\n\n  .sm\\:cursor-text {\n    cursor: text;\n  }\n\n  .sm\\:cursor-move {\n    cursor: move;\n  }\n\n  .sm\\:cursor-help {\n    cursor: help;\n  }\n\n  .sm\\:cursor-not-allowed {\n    cursor: not-allowed;\n  }\n\n  .sm\\:select-none {\n    -webkit-user-select: none;\n       -moz-user-select: none;\n            user-select: none;\n  }\n\n  .sm\\:select-text {\n    -webkit-user-select: text;\n       -moz-user-select: text;\n            user-select: text;\n  }\n\n  .sm\\:select-all {\n    -webkit-user-select: all;\n       -moz-user-select: all;\n            user-select: all;\n  }\n\n  .sm\\:select-auto {\n    -webkit-user-select: auto;\n       -moz-user-select: auto;\n            user-select: auto;\n  }\n\n  .sm\\:resize-none {\n    resize: none;\n  }\n\n  .sm\\:resize-y {\n    resize: vertical;\n  }\n\n  .sm\\:resize-x {\n    resize: horizontal;\n  }\n\n  .sm\\:resize {\n    resize: both;\n  }\n\n  .sm\\:list-inside {\n    list-style-position: inside;\n  }\n\n  .sm\\:list-outside {\n    list-style-position: outside;\n  }\n\n  .sm\\:list-none {\n    list-style-type: none;\n  }\n\n  .sm\\:list-disc {\n    list-style-type: disc;\n  }\n\n  .sm\\:list-decimal {\n    list-style-type: decimal;\n  }\n\n  .sm\\:appearance-none {\n    -webkit-appearance: none;\n       -moz-appearance: none;\n            appearance: none;\n  }\n\n  .sm\\:auto-cols-auto {\n    grid-auto-columns: auto;\n  }\n\n  .sm\\:auto-cols-min {\n    grid-auto-columns: -webkit-min-content;\n    grid-auto-columns: min-content;\n  }\n\n  .sm\\:auto-cols-max {\n    grid-auto-columns: -webkit-max-content;\n    grid-auto-columns: max-content;\n  }\n\n  .sm\\:auto-cols-fr {\n    grid-auto-columns: minmax(0, 1fr);\n  }\n\n  .sm\\:grid-flow-row {\n    grid-auto-flow: row;\n  }\n\n  .sm\\:grid-flow-col {\n    grid-auto-flow: column;\n  }\n\n  .sm\\:grid-flow-row-dense {\n    grid-auto-flow: row dense;\n  }\n\n  .sm\\:grid-flow-col-dense {\n    grid-auto-flow: column dense;\n  }\n\n  .sm\\:auto-rows-auto {\n    grid-auto-rows: auto;\n  }\n\n  .sm\\:auto-rows-min {\n    grid-auto-rows: -webkit-min-content;\n    grid-auto-rows: min-content;\n  }\n\n  .sm\\:auto-rows-max {\n    grid-auto-rows: -webkit-max-content;\n    grid-auto-rows: max-content;\n  }\n\n  .sm\\:auto-rows-fr {\n    grid-auto-rows: minmax(0, 1fr);\n  }\n\n  .sm\\:grid-cols-1 {\n    grid-template-columns: repeat(1, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-2 {\n    grid-template-columns: repeat(2, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-3 {\n    grid-template-columns: repeat(3, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-4 {\n    grid-template-columns: repeat(4, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-5 {\n    grid-template-columns: repeat(5, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-6 {\n    grid-template-columns: repeat(6, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-7 {\n    grid-template-columns: repeat(7, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-8 {\n    grid-template-columns: repeat(8, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-9 {\n    grid-template-columns: repeat(9, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-10 {\n    grid-template-columns: repeat(10, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-11 {\n    grid-template-columns: repeat(11, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-12 {\n    grid-template-columns: repeat(12, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-cols-none {\n    grid-template-columns: none;\n  }\n\n  .sm\\:grid-rows-1 {\n    grid-template-rows: repeat(1, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-2 {\n    grid-template-rows: repeat(2, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-3 {\n    grid-template-rows: repeat(3, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-4 {\n    grid-template-rows: repeat(4, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-5 {\n    grid-template-rows: repeat(5, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-6 {\n    grid-template-rows: repeat(6, minmax(0, 1fr));\n  }\n\n  .sm\\:grid-rows-none {\n    grid-template-rows: none;\n  }\n\n  .sm\\:flex-row {\n    flex-direction: row;\n  }\n\n  .sm\\:flex-row-reverse {\n    flex-direction: row-reverse;\n  }\n\n  .sm\\:flex-col {\n    flex-direction: column;\n  }\n\n  .sm\\:flex-col-reverse {\n    flex-direction: column-reverse;\n  }\n\n  .sm\\:flex-wrap {\n    flex-wrap: wrap;\n  }\n\n  .sm\\:flex-wrap-reverse {\n    flex-wrap: wrap-reverse;\n  }\n\n  .sm\\:flex-nowrap {\n    flex-wrap: nowrap;\n  }\n\n  .sm\\:place-content-center {\n    place-content: center;\n  }\n\n  .sm\\:place-content-start {\n    place-content: start;\n  }\n\n  .sm\\:place-content-end {\n    place-content: end;\n  }\n\n  .sm\\:place-content-between {\n    place-content: space-between;\n  }\n\n  .sm\\:place-content-around {\n    place-content: space-around;\n  }\n\n  .sm\\:place-content-evenly {\n    place-content: space-evenly;\n  }\n\n  .sm\\:place-content-stretch {\n    place-content: stretch;\n  }\n\n  .sm\\:place-items-start {\n    place-items: start;\n  }\n\n  .sm\\:place-items-end {\n    place-items: end;\n  }\n\n  .sm\\:place-items-center {\n    place-items: center;\n  }\n\n  .sm\\:place-items-stretch {\n    place-items: stretch;\n  }\n\n  .sm\\:content-center {\n    align-content: center;\n  }\n\n  .sm\\:content-start {\n    align-content: flex-start;\n  }\n\n  .sm\\:content-end {\n    align-content: flex-end;\n  }\n\n  .sm\\:content-between {\n    align-content: space-between;\n  }\n\n  .sm\\:content-around {\n    align-content: space-around;\n  }\n\n  .sm\\:content-evenly {\n    align-content: space-evenly;\n  }\n\n  .sm\\:items-start {\n    align-items: flex-start;\n  }\n\n  .sm\\:items-end {\n    align-items: flex-end;\n  }\n\n  .sm\\:items-center {\n    align-items: center;\n  }\n\n  .sm\\:items-baseline {\n    align-items: baseline;\n  }\n\n  .sm\\:items-stretch {\n    align-items: stretch;\n  }\n\n  .sm\\:justify-start {\n    justify-content: flex-start;\n  }\n\n  .sm\\:justify-end {\n    justify-content: flex-end;\n  }\n\n  .sm\\:justify-center {\n    justify-content: center;\n  }\n\n  .sm\\:justify-between {\n    justify-content: space-between;\n  }\n\n  .sm\\:justify-around {\n    justify-content: space-around;\n  }\n\n  .sm\\:justify-evenly {\n    justify-content: space-evenly;\n  }\n\n  .sm\\:justify-items-start {\n    justify-items: start;\n  }\n\n  .sm\\:justify-items-end {\n    justify-items: end;\n  }\n\n  .sm\\:justify-items-center {\n    justify-items: center;\n  }\n\n  .sm\\:justify-items-stretch {\n    justify-items: stretch;\n  }\n\n  .sm\\:gap-0 {\n    gap: 0px;\n  }\n\n  .sm\\:gap-1 {\n    gap: 0.25rem;\n  }\n\n  .sm\\:gap-2 {\n    gap: 0.5rem;\n  }\n\n  .sm\\:gap-3 {\n    gap: 0.75rem;\n  }\n\n  .sm\\:gap-4 {\n    gap: 1rem;\n  }\n\n  .sm\\:gap-5 {\n    gap: 1.25rem;\n  }\n\n  .sm\\:gap-6 {\n    gap: 1.5rem;\n  }\n\n  .sm\\:gap-7 {\n    gap: 1.75rem;\n  }\n\n  .sm\\:gap-8 {\n    gap: 2rem;\n  }\n\n  .sm\\:gap-9 {\n    gap: 2.25rem;\n  }\n\n  .sm\\:gap-10 {\n    gap: 2.5rem;\n  }\n\n  .sm\\:gap-11 {\n    gap: 2.75rem;\n  }\n\n  .sm\\:gap-12 {\n    gap: 3rem;\n  }\n\n  .sm\\:gap-14 {\n    gap: 3.5rem;\n  }\n\n  .sm\\:gap-16 {\n    gap: 4rem;\n  }\n\n  .sm\\:gap-20 {\n    gap: 5rem;\n  }\n\n  .sm\\:gap-24 {\n    gap: 6rem;\n  }\n\n  .sm\\:gap-28 {\n    gap: 7rem;\n  }\n\n  .sm\\:gap-32 {\n    gap: 8rem;\n  }\n\n  .sm\\:gap-36 {\n    gap: 9rem;\n  }\n\n  .sm\\:gap-40 {\n    gap: 10rem;\n  }\n\n  .sm\\:gap-44 {\n    gap: 11rem;\n  }\n\n  .sm\\:gap-48 {\n    gap: 12rem;\n  }\n\n  .sm\\:gap-52 {\n    gap: 13rem;\n  }\n\n  .sm\\:gap-56 {\n    gap: 14rem;\n  }\n\n  .sm\\:gap-60 {\n    gap: 15rem;\n  }\n\n  .sm\\:gap-64 {\n    gap: 16rem;\n  }\n\n  .sm\\:gap-72 {\n    gap: 18rem;\n  }\n\n  .sm\\:gap-80 {\n    gap: 20rem;\n  }\n\n  .sm\\:gap-96 {\n    gap: 24rem;\n  }\n\n  .sm\\:gap-px {\n    gap: 1px;\n  }\n\n  .sm\\:gap-0\\.5 {\n    gap: 0.125rem;\n  }\n\n  .sm\\:gap-1\\.5 {\n    gap: 0.375rem;\n  }\n\n  .sm\\:gap-2\\.5 {\n    gap: 0.625rem;\n  }\n\n  .sm\\:gap-3\\.5 {\n    gap: 0.875rem;\n  }\n\n  .sm\\:gap-x-0 {\n    -moz-column-gap: 0px;\n         column-gap: 0px;\n  }\n\n  .sm\\:gap-x-1 {\n    -moz-column-gap: 0.25rem;\n         column-gap: 0.25rem;\n  }\n\n  .sm\\:gap-x-2 {\n    -moz-column-gap: 0.5rem;\n         column-gap: 0.5rem;\n  }\n\n  .sm\\:gap-x-3 {\n    -moz-column-gap: 0.75rem;\n         column-gap: 0.75rem;\n  }\n\n  .sm\\:gap-x-4 {\n    -moz-column-gap: 1rem;\n         column-gap: 1rem;\n  }\n\n  .sm\\:gap-x-5 {\n    -moz-column-gap: 1.25rem;\n         column-gap: 1.25rem;\n  }\n\n  .sm\\:gap-x-6 {\n    -moz-column-gap: 1.5rem;\n         column-gap: 1.5rem;\n  }\n\n  .sm\\:gap-x-7 {\n    -moz-column-gap: 1.75rem;\n         column-gap: 1.75rem;\n  }\n\n  .sm\\:gap-x-8 {\n    -moz-column-gap: 2rem;\n         column-gap: 2rem;\n  }\n\n  .sm\\:gap-x-9 {\n    -moz-column-gap: 2.25rem;\n         column-gap: 2.25rem;\n  }\n\n  .sm\\:gap-x-10 {\n    -moz-column-gap: 2.5rem;\n         column-gap: 2.5rem;\n  }\n\n  .sm\\:gap-x-11 {\n    -moz-column-gap: 2.75rem;\n         column-gap: 2.75rem;\n  }\n\n  .sm\\:gap-x-12 {\n    -moz-column-gap: 3rem;\n         column-gap: 3rem;\n  }\n\n  .sm\\:gap-x-14 {\n    -moz-column-gap: 3.5rem;\n         column-gap: 3.5rem;\n  }\n\n  .sm\\:gap-x-16 {\n    -moz-column-gap: 4rem;\n         column-gap: 4rem;\n  }\n\n  .sm\\:gap-x-20 {\n    -moz-column-gap: 5rem;\n         column-gap: 5rem;\n  }\n\n  .sm\\:gap-x-24 {\n    -moz-column-gap: 6rem;\n         column-gap: 6rem;\n  }\n\n  .sm\\:gap-x-28 {\n    -moz-column-gap: 7rem;\n         column-gap: 7rem;\n  }\n\n  .sm\\:gap-x-32 {\n    -moz-column-gap: 8rem;\n         column-gap: 8rem;\n  }\n\n  .sm\\:gap-x-36 {\n    -moz-column-gap: 9rem;\n         column-gap: 9rem;\n  }\n\n  .sm\\:gap-x-40 {\n    -moz-column-gap: 10rem;\n         column-gap: 10rem;\n  }\n\n  .sm\\:gap-x-44 {\n    -moz-column-gap: 11rem;\n         column-gap: 11rem;\n  }\n\n  .sm\\:gap-x-48 {\n    -moz-column-gap: 12rem;\n         column-gap: 12rem;\n  }\n\n  .sm\\:gap-x-52 {\n    -moz-column-gap: 13rem;\n         column-gap: 13rem;\n  }\n\n  .sm\\:gap-x-56 {\n    -moz-column-gap: 14rem;\n         column-gap: 14rem;\n  }\n\n  .sm\\:gap-x-60 {\n    -moz-column-gap: 15rem;\n         column-gap: 15rem;\n  }\n\n  .sm\\:gap-x-64 {\n    -moz-column-gap: 16rem;\n         column-gap: 16rem;\n  }\n\n  .sm\\:gap-x-72 {\n    -moz-column-gap: 18rem;\n         column-gap: 18rem;\n  }\n\n  .sm\\:gap-x-80 {\n    -moz-column-gap: 20rem;\n         column-gap: 20rem;\n  }\n\n  .sm\\:gap-x-96 {\n    -moz-column-gap: 24rem;\n         column-gap: 24rem;\n  }\n\n  .sm\\:gap-x-px {\n    -moz-column-gap: 1px;\n         column-gap: 1px;\n  }\n\n  .sm\\:gap-x-0\\.5 {\n    -moz-column-gap: 0.125rem;\n         column-gap: 0.125rem;\n  }\n\n  .sm\\:gap-x-1\\.5 {\n    -moz-column-gap: 0.375rem;\n         column-gap: 0.375rem;\n  }\n\n  .sm\\:gap-x-2\\.5 {\n    -moz-column-gap: 0.625rem;\n         column-gap: 0.625rem;\n  }\n\n  .sm\\:gap-x-3\\.5 {\n    -moz-column-gap: 0.875rem;\n         column-gap: 0.875rem;\n  }\n\n  .sm\\:gap-y-0 {\n    row-gap: 0px;\n  }\n\n  .sm\\:gap-y-1 {\n    row-gap: 0.25rem;\n  }\n\n  .sm\\:gap-y-2 {\n    row-gap: 0.5rem;\n  }\n\n  .sm\\:gap-y-3 {\n    row-gap: 0.75rem;\n  }\n\n  .sm\\:gap-y-4 {\n    row-gap: 1rem;\n  }\n\n  .sm\\:gap-y-5 {\n    row-gap: 1.25rem;\n  }\n\n  .sm\\:gap-y-6 {\n    row-gap: 1.5rem;\n  }\n\n  .sm\\:gap-y-7 {\n    row-gap: 1.75rem;\n  }\n\n  .sm\\:gap-y-8 {\n    row-gap: 2rem;\n  }\n\n  .sm\\:gap-y-9 {\n    row-gap: 2.25rem;\n  }\n\n  .sm\\:gap-y-10 {\n    row-gap: 2.5rem;\n  }\n\n  .sm\\:gap-y-11 {\n    row-gap: 2.75rem;\n  }\n\n  .sm\\:gap-y-12 {\n    row-gap: 3rem;\n  }\n\n  .sm\\:gap-y-14 {\n    row-gap: 3.5rem;\n  }\n\n  .sm\\:gap-y-16 {\n    row-gap: 4rem;\n  }\n\n  .sm\\:gap-y-20 {\n    row-gap: 5rem;\n  }\n\n  .sm\\:gap-y-24 {\n    row-gap: 6rem;\n  }\n\n  .sm\\:gap-y-28 {\n    row-gap: 7rem;\n  }\n\n  .sm\\:gap-y-32 {\n    row-gap: 8rem;\n  }\n\n  .sm\\:gap-y-36 {\n    row-gap: 9rem;\n  }\n\n  .sm\\:gap-y-40 {\n    row-gap: 10rem;\n  }\n\n  .sm\\:gap-y-44 {\n    row-gap: 11rem;\n  }\n\n  .sm\\:gap-y-48 {\n    row-gap: 12rem;\n  }\n\n  .sm\\:gap-y-52 {\n    row-gap: 13rem;\n  }\n\n  .sm\\:gap-y-56 {\n    row-gap: 14rem;\n  }\n\n  .sm\\:gap-y-60 {\n    row-gap: 15rem;\n  }\n\n  .sm\\:gap-y-64 {\n    row-gap: 16rem;\n  }\n\n  .sm\\:gap-y-72 {\n    row-gap: 18rem;\n  }\n\n  .sm\\:gap-y-80 {\n    row-gap: 20rem;\n  }\n\n  .sm\\:gap-y-96 {\n    row-gap: 24rem;\n  }\n\n  .sm\\:gap-y-px {\n    row-gap: 1px;\n  }\n\n  .sm\\:gap-y-0\\.5 {\n    row-gap: 0.125rem;\n  }\n\n  .sm\\:gap-y-1\\.5 {\n    row-gap: 0.375rem;\n  }\n\n  .sm\\:gap-y-2\\.5 {\n    row-gap: 0.625rem;\n  }\n\n  .sm\\:gap-y-3\\.5 {\n    row-gap: 0.875rem;\n  }\n\n  .sm\\:space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1rem * var(--tw-space-x-reverse));\n    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2rem * var(--tw-space-x-reverse));\n    margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3rem * var(--tw-space-x-reverse));\n    margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(4rem * var(--tw-space-x-reverse));\n    margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(5rem * var(--tw-space-x-reverse));\n    margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(6rem * var(--tw-space-x-reverse));\n    margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(7rem * var(--tw-space-x-reverse));\n    margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(8rem * var(--tw-space-x-reverse));\n    margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(9rem * var(--tw-space-x-reverse));\n    margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(10rem * var(--tw-space-x-reverse));\n    margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(11rem * var(--tw-space-x-reverse));\n    margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(12rem * var(--tw-space-x-reverse));\n    margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(13rem * var(--tw-space-x-reverse));\n    margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(14rem * var(--tw-space-x-reverse));\n    margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(15rem * var(--tw-space-x-reverse));\n    margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(16rem * var(--tw-space-x-reverse));\n    margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(18rem * var(--tw-space-x-reverse));\n    margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(20rem * var(--tw-space-x-reverse));\n    margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(24rem * var(--tw-space-x-reverse));\n    margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1px * var(--tw-space-x-reverse));\n    margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-4rem * var(--tw-space-x-reverse));\n    margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-6rem * var(--tw-space-x-reverse));\n    margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-7rem * var(--tw-space-x-reverse));\n    margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-8rem * var(--tw-space-x-reverse));\n    margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-9rem * var(--tw-space-x-reverse));\n    margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-10rem * var(--tw-space-x-reverse));\n    margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-11rem * var(--tw-space-x-reverse));\n    margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-12rem * var(--tw-space-x-reverse));\n    margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-13rem * var(--tw-space-x-reverse));\n    margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-14rem * var(--tw-space-x-reverse));\n    margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-15rem * var(--tw-space-x-reverse));\n    margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-16rem * var(--tw-space-x-reverse));\n    margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-18rem * var(--tw-space-x-reverse));\n    margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-20rem * var(--tw-space-x-reverse));\n    margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-24rem * var(--tw-space-x-reverse));\n    margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1px * var(--tw-space-x-reverse));\n    margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .sm\\:space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1px * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .sm\\:space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 1;\n  }\n\n  .sm\\:space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 1;\n  }\n\n  .sm\\:divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(0px * var(--tw-divide-x-reverse));\n    border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .sm\\:divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(2px * var(--tw-divide-x-reverse));\n    border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .sm\\:divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(4px * var(--tw-divide-x-reverse));\n    border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .sm\\:divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(8px * var(--tw-divide-x-reverse));\n    border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .sm\\:divide-x > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(1px * var(--tw-divide-x-reverse));\n    border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .sm\\:divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n  }\n\n  .sm\\:divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n  }\n\n  .sm\\:divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n  }\n\n  .sm\\:divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n  }\n\n  .sm\\:divide-y > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n  }\n\n  .sm\\:divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 1;\n  }\n\n  .sm\\:divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 1;\n  }\n\n  .sm\\:divide-solid > :not([hidden]) ~ :not([hidden]) {\n    border-style: solid;\n  }\n\n  .sm\\:divide-dashed > :not([hidden]) ~ :not([hidden]) {\n    border-style: dashed;\n  }\n\n  .sm\\:divide-dotted > :not([hidden]) ~ :not([hidden]) {\n    border-style: dotted;\n  }\n\n  .sm\\:divide-double > :not([hidden]) ~ :not([hidden]) {\n    border-style: double;\n  }\n\n  .sm\\:divide-none > :not([hidden]) ~ :not([hidden]) {\n    border-style: none;\n  }\n\n  .sm\\:divide-transparent > :not([hidden]) ~ :not([hidden]) {\n    border-color: transparent;\n  }\n\n  .sm\\:divide-current > :not([hidden]) ~ :not([hidden]) {\n    border-color: currentColor;\n  }\n\n  .sm\\:divide-black > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-white > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n  }\n\n  .sm\\:divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0;\n  }\n\n  .sm\\:divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.05;\n  }\n\n  .sm\\:divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.1;\n  }\n\n  .sm\\:divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.2;\n  }\n\n  .sm\\:divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.25;\n  }\n\n  .sm\\:divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.3;\n  }\n\n  .sm\\:divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.4;\n  }\n\n  .sm\\:divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.5;\n  }\n\n  .sm\\:divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.6;\n  }\n\n  .sm\\:divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.7;\n  }\n\n  .sm\\:divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.75;\n  }\n\n  .sm\\:divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.8;\n  }\n\n  .sm\\:divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.9;\n  }\n\n  .sm\\:divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.95;\n  }\n\n  .sm\\:divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n  }\n\n  .sm\\:place-self-auto {\n    place-self: auto;\n  }\n\n  .sm\\:place-self-start {\n    place-self: start;\n  }\n\n  .sm\\:place-self-end {\n    place-self: end;\n  }\n\n  .sm\\:place-self-center {\n    place-self: center;\n  }\n\n  .sm\\:place-self-stretch {\n    place-self: stretch;\n  }\n\n  .sm\\:self-auto {\n    align-self: auto;\n  }\n\n  .sm\\:self-start {\n    align-self: flex-start;\n  }\n\n  .sm\\:self-end {\n    align-self: flex-end;\n  }\n\n  .sm\\:self-center {\n    align-self: center;\n  }\n\n  .sm\\:self-stretch {\n    align-self: stretch;\n  }\n\n  .sm\\:self-baseline {\n    align-self: baseline;\n  }\n\n  .sm\\:justify-self-auto {\n    justify-self: auto;\n  }\n\n  .sm\\:justify-self-start {\n    justify-self: start;\n  }\n\n  .sm\\:justify-self-end {\n    justify-self: end;\n  }\n\n  .sm\\:justify-self-center {\n    justify-self: center;\n  }\n\n  .sm\\:justify-self-stretch {\n    justify-self: stretch;\n  }\n\n  .sm\\:overflow-auto {\n    overflow: auto;\n  }\n\n  .sm\\:overflow-hidden {\n    overflow: hidden;\n  }\n\n  .sm\\:overflow-visible {\n    overflow: visible;\n  }\n\n  .sm\\:overflow-scroll {\n    overflow: scroll;\n  }\n\n  .sm\\:overflow-x-auto {\n    overflow-x: auto;\n  }\n\n  .sm\\:overflow-y-auto {\n    overflow-y: auto;\n  }\n\n  .sm\\:overflow-x-hidden {\n    overflow-x: hidden;\n  }\n\n  .sm\\:overflow-y-hidden {\n    overflow-y: hidden;\n  }\n\n  .sm\\:overflow-x-visible {\n    overflow-x: visible;\n  }\n\n  .sm\\:overflow-y-visible {\n    overflow-y: visible;\n  }\n\n  .sm\\:overflow-x-scroll {\n    overflow-x: scroll;\n  }\n\n  .sm\\:overflow-y-scroll {\n    overflow-y: scroll;\n  }\n\n  .sm\\:overscroll-auto {\n    overscroll-behavior: auto;\n  }\n\n  .sm\\:overscroll-contain {\n    overscroll-behavior: contain;\n  }\n\n  .sm\\:overscroll-none {\n    overscroll-behavior: none;\n  }\n\n  .sm\\:overscroll-y-auto {\n    overscroll-behavior-y: auto;\n  }\n\n  .sm\\:overscroll-y-contain {\n    overscroll-behavior-y: contain;\n  }\n\n  .sm\\:overscroll-y-none {\n    overscroll-behavior-y: none;\n  }\n\n  .sm\\:overscroll-x-auto {\n    overscroll-behavior-x: auto;\n  }\n\n  .sm\\:overscroll-x-contain {\n    overscroll-behavior-x: contain;\n  }\n\n  .sm\\:overscroll-x-none {\n    overscroll-behavior-x: none;\n  }\n\n  .sm\\:truncate {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .sm\\:overflow-ellipsis {\n    text-overflow: ellipsis;\n  }\n\n  .sm\\:overflow-clip {\n    text-overflow: clip;\n  }\n\n  .sm\\:whitespace-normal {\n    white-space: normal;\n  }\n\n  .sm\\:whitespace-nowrap {\n    white-space: nowrap;\n  }\n\n  .sm\\:whitespace-pre {\n    white-space: pre;\n  }\n\n  .sm\\:whitespace-pre-line {\n    white-space: pre-line;\n  }\n\n  .sm\\:whitespace-pre-wrap {\n    white-space: pre-wrap;\n  }\n\n  .sm\\:break-normal {\n    overflow-wrap: normal;\n    word-break: normal;\n  }\n\n  .sm\\:break-words {\n    overflow-wrap: break-word;\n  }\n\n  .sm\\:break-all {\n    word-break: break-all;\n  }\n\n  .sm\\:rounded-none {\n    border-radius: 0px;\n  }\n\n  .sm\\:rounded-sm {\n    border-radius: 0.125rem;\n  }\n\n  .sm\\:rounded {\n    border-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-md {\n    border-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-lg {\n    border-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-xl {\n    border-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-2xl {\n    border-radius: 1rem;\n  }\n\n  .sm\\:rounded-3xl {\n    border-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-full {\n    border-radius: 9999px;\n  }\n\n  .sm\\:rounded-t-none {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n  }\n\n  .sm\\:rounded-t-sm {\n    border-top-left-radius: 0.125rem;\n    border-top-right-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-t {\n    border-top-left-radius: 0.25rem;\n    border-top-right-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-t-md {\n    border-top-left-radius: 0.375rem;\n    border-top-right-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-t-lg {\n    border-top-left-radius: 0.5rem;\n    border-top-right-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-t-xl {\n    border-top-left-radius: 0.75rem;\n    border-top-right-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-t-2xl {\n    border-top-left-radius: 1rem;\n    border-top-right-radius: 1rem;\n  }\n\n  .sm\\:rounded-t-3xl {\n    border-top-left-radius: 1.5rem;\n    border-top-right-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-t-full {\n    border-top-left-radius: 9999px;\n    border-top-right-radius: 9999px;\n  }\n\n  .sm\\:rounded-r-none {\n    border-top-right-radius: 0px;\n    border-bottom-right-radius: 0px;\n  }\n\n  .sm\\:rounded-r-sm {\n    border-top-right-radius: 0.125rem;\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-r {\n    border-top-right-radius: 0.25rem;\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-r-md {\n    border-top-right-radius: 0.375rem;\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-r-lg {\n    border-top-right-radius: 0.5rem;\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-r-xl {\n    border-top-right-radius: 0.75rem;\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-r-2xl {\n    border-top-right-radius: 1rem;\n    border-bottom-right-radius: 1rem;\n  }\n\n  .sm\\:rounded-r-3xl {\n    border-top-right-radius: 1.5rem;\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-r-full {\n    border-top-right-radius: 9999px;\n    border-bottom-right-radius: 9999px;\n  }\n\n  .sm\\:rounded-b-none {\n    border-bottom-right-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .sm\\:rounded-b-sm {\n    border-bottom-right-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-b {\n    border-bottom-right-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-b-md {\n    border-bottom-right-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-b-lg {\n    border-bottom-right-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-b-xl {\n    border-bottom-right-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-b-2xl {\n    border-bottom-right-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .sm\\:rounded-b-3xl {\n    border-bottom-right-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-b-full {\n    border-bottom-right-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .sm\\:rounded-l-none {\n    border-top-left-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .sm\\:rounded-l-sm {\n    border-top-left-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-l {\n    border-top-left-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-l-md {\n    border-top-left-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-l-lg {\n    border-top-left-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-l-xl {\n    border-top-left-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-l-2xl {\n    border-top-left-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .sm\\:rounded-l-3xl {\n    border-top-left-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-l-full {\n    border-top-left-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .sm\\:rounded-tl-none {\n    border-top-left-radius: 0px;\n  }\n\n  .sm\\:rounded-tl-sm {\n    border-top-left-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-tl {\n    border-top-left-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-tl-md {\n    border-top-left-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-tl-lg {\n    border-top-left-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-tl-xl {\n    border-top-left-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-tl-2xl {\n    border-top-left-radius: 1rem;\n  }\n\n  .sm\\:rounded-tl-3xl {\n    border-top-left-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-tl-full {\n    border-top-left-radius: 9999px;\n  }\n\n  .sm\\:rounded-tr-none {\n    border-top-right-radius: 0px;\n  }\n\n  .sm\\:rounded-tr-sm {\n    border-top-right-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-tr {\n    border-top-right-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-tr-md {\n    border-top-right-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-tr-lg {\n    border-top-right-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-tr-xl {\n    border-top-right-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-tr-2xl {\n    border-top-right-radius: 1rem;\n  }\n\n  .sm\\:rounded-tr-3xl {\n    border-top-right-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-tr-full {\n    border-top-right-radius: 9999px;\n  }\n\n  .sm\\:rounded-br-none {\n    border-bottom-right-radius: 0px;\n  }\n\n  .sm\\:rounded-br-sm {\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-br {\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-br-md {\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-br-lg {\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-br-xl {\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-br-2xl {\n    border-bottom-right-radius: 1rem;\n  }\n\n  .sm\\:rounded-br-3xl {\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-br-full {\n    border-bottom-right-radius: 9999px;\n  }\n\n  .sm\\:rounded-bl-none {\n    border-bottom-left-radius: 0px;\n  }\n\n  .sm\\:rounded-bl-sm {\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .sm\\:rounded-bl {\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .sm\\:rounded-bl-md {\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .sm\\:rounded-bl-lg {\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .sm\\:rounded-bl-xl {\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .sm\\:rounded-bl-2xl {\n    border-bottom-left-radius: 1rem;\n  }\n\n  .sm\\:rounded-bl-3xl {\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .sm\\:rounded-bl-full {\n    border-bottom-left-radius: 9999px;\n  }\n\n  .sm\\:border-0 {\n    border-width: 0px;\n  }\n\n  .sm\\:border-2 {\n    border-width: 2px;\n  }\n\n  .sm\\:border-4 {\n    border-width: 4px;\n  }\n\n  .sm\\:border-8 {\n    border-width: 8px;\n  }\n\n  .sm\\:border {\n    border-width: 1px;\n  }\n\n  .sm\\:border-t-0 {\n    border-top-width: 0px;\n  }\n\n  .sm\\:border-t-2 {\n    border-top-width: 2px;\n  }\n\n  .sm\\:border-t-4 {\n    border-top-width: 4px;\n  }\n\n  .sm\\:border-t-8 {\n    border-top-width: 8px;\n  }\n\n  .sm\\:border-t {\n    border-top-width: 1px;\n  }\n\n  .sm\\:border-r-0 {\n    border-right-width: 0px;\n  }\n\n  .sm\\:border-r-2 {\n    border-right-width: 2px;\n  }\n\n  .sm\\:border-r-4 {\n    border-right-width: 4px;\n  }\n\n  .sm\\:border-r-8 {\n    border-right-width: 8px;\n  }\n\n  .sm\\:border-r {\n    border-right-width: 1px;\n  }\n\n  .sm\\:border-b-0 {\n    border-bottom-width: 0px;\n  }\n\n  .sm\\:border-b-2 {\n    border-bottom-width: 2px;\n  }\n\n  .sm\\:border-b-4 {\n    border-bottom-width: 4px;\n  }\n\n  .sm\\:border-b-8 {\n    border-bottom-width: 8px;\n  }\n\n  .sm\\:border-b {\n    border-bottom-width: 1px;\n  }\n\n  .sm\\:border-l-0 {\n    border-left-width: 0px;\n  }\n\n  .sm\\:border-l-2 {\n    border-left-width: 2px;\n  }\n\n  .sm\\:border-l-4 {\n    border-left-width: 4px;\n  }\n\n  .sm\\:border-l-8 {\n    border-left-width: 8px;\n  }\n\n  .sm\\:border-l {\n    border-left-width: 1px;\n  }\n\n  .sm\\:border-solid {\n    border-style: solid;\n  }\n\n  .sm\\:border-dashed {\n    border-style: dashed;\n  }\n\n  .sm\\:border-dotted {\n    border-style: dotted;\n  }\n\n  .sm\\:border-double {\n    border-style: double;\n  }\n\n  .sm\\:border-none {\n    border-style: none;\n  }\n\n  .sm\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .sm\\:border-current {\n    border-color: currentColor;\n  }\n\n  .sm\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-current {\n    border-color: currentColor;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-transparent:focus-within {\n    border-color: transparent;\n  }\n\n  .sm\\:focus-within\\:border-current:focus-within {\n    border-color: currentColor;\n  }\n\n  .sm\\:focus-within\\:border-black:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-white:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-gray-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-red-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-yellow-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-green-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-blue-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-indigo-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-purple-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-pink-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-origin-protocol-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-origin-protocol-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-ousd-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-ousd-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-ousd-button-dark-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-ousd-button-dark-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-story-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-story-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-story-pink-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-story-pink-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus-within\\:border-footer-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-transparent:hover {\n    border-color: transparent;\n  }\n\n  .sm\\:hover\\:border-current:hover {\n    border-color: currentColor;\n  }\n\n  .sm\\:hover\\:border-black:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-white:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-gray-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-red-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-yellow-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-green-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-blue-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-indigo-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-purple-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-pink-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-origin-protocol-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-origin-protocol-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-ousd-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-ousd-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-ousd-button-dark-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-ousd-button-dark-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-story-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-story-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-story-pink-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-story-pink-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .sm\\:hover\\:border-footer-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-transparent:focus {\n    border-color: transparent;\n  }\n\n  .sm\\:focus\\:border-current:focus {\n    border-color: currentColor;\n  }\n\n  .sm\\:focus\\:border-black:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-white:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-gray-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-red-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-yellow-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-green-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-blue-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-indigo-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-purple-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-pink-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-origin-protocol-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-origin-protocol-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-ousd-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-ousd-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-ousd-button-dark-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-ousd-button-dark-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-story-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-story-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-story-pink-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-story-pink-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .sm\\:focus\\:border-footer-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .sm\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .sm\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .sm\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .sm\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .sm\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .sm\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .sm\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .sm\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .sm\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .sm\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .sm\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .sm\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .sm\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .sm\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .sm\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .group:hover .sm\\:group-hover\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .sm\\:focus-within\\:border-opacity-0:focus-within {\n    --tw-border-opacity: 0;\n  }\n\n  .sm\\:focus-within\\:border-opacity-5:focus-within {\n    --tw-border-opacity: 0.05;\n  }\n\n  .sm\\:focus-within\\:border-opacity-10:focus-within {\n    --tw-border-opacity: 0.1;\n  }\n\n  .sm\\:focus-within\\:border-opacity-20:focus-within {\n    --tw-border-opacity: 0.2;\n  }\n\n  .sm\\:focus-within\\:border-opacity-25:focus-within {\n    --tw-border-opacity: 0.25;\n  }\n\n  .sm\\:focus-within\\:border-opacity-30:focus-within {\n    --tw-border-opacity: 0.3;\n  }\n\n  .sm\\:focus-within\\:border-opacity-40:focus-within {\n    --tw-border-opacity: 0.4;\n  }\n\n  .sm\\:focus-within\\:border-opacity-50:focus-within {\n    --tw-border-opacity: 0.5;\n  }\n\n  .sm\\:focus-within\\:border-opacity-60:focus-within {\n    --tw-border-opacity: 0.6;\n  }\n\n  .sm\\:focus-within\\:border-opacity-70:focus-within {\n    --tw-border-opacity: 0.7;\n  }\n\n  .sm\\:focus-within\\:border-opacity-75:focus-within {\n    --tw-border-opacity: 0.75;\n  }\n\n  .sm\\:focus-within\\:border-opacity-80:focus-within {\n    --tw-border-opacity: 0.8;\n  }\n\n  .sm\\:focus-within\\:border-opacity-90:focus-within {\n    --tw-border-opacity: 0.9;\n  }\n\n  .sm\\:focus-within\\:border-opacity-95:focus-within {\n    --tw-border-opacity: 0.95;\n  }\n\n  .sm\\:focus-within\\:border-opacity-100:focus-within {\n    --tw-border-opacity: 1;\n  }\n\n  .sm\\:hover\\:border-opacity-0:hover {\n    --tw-border-opacity: 0;\n  }\n\n  .sm\\:hover\\:border-opacity-5:hover {\n    --tw-border-opacity: 0.05;\n  }\n\n  .sm\\:hover\\:border-opacity-10:hover {\n    --tw-border-opacity: 0.1;\n  }\n\n  .sm\\:hover\\:border-opacity-20:hover {\n    --tw-border-opacity: 0.2;\n  }\n\n  .sm\\:hover\\:border-opacity-25:hover {\n    --tw-border-opacity: 0.25;\n  }\n\n  .sm\\:hover\\:border-opacity-30:hover {\n    --tw-border-opacity: 0.3;\n  }\n\n  .sm\\:hover\\:border-opacity-40:hover {\n    --tw-border-opacity: 0.4;\n  }\n\n  .sm\\:hover\\:border-opacity-50:hover {\n    --tw-border-opacity: 0.5;\n  }\n\n  .sm\\:hover\\:border-opacity-60:hover {\n    --tw-border-opacity: 0.6;\n  }\n\n  .sm\\:hover\\:border-opacity-70:hover {\n    --tw-border-opacity: 0.7;\n  }\n\n  .sm\\:hover\\:border-opacity-75:hover {\n    --tw-border-opacity: 0.75;\n  }\n\n  .sm\\:hover\\:border-opacity-80:hover {\n    --tw-border-opacity: 0.8;\n  }\n\n  .sm\\:hover\\:border-opacity-90:hover {\n    --tw-border-opacity: 0.9;\n  }\n\n  .sm\\:hover\\:border-opacity-95:hover {\n    --tw-border-opacity: 0.95;\n  }\n\n  .sm\\:hover\\:border-opacity-100:hover {\n    --tw-border-opacity: 1;\n  }\n\n  .sm\\:focus\\:border-opacity-0:focus {\n    --tw-border-opacity: 0;\n  }\n\n  .sm\\:focus\\:border-opacity-5:focus {\n    --tw-border-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:border-opacity-10:focus {\n    --tw-border-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:border-opacity-20:focus {\n    --tw-border-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:border-opacity-25:focus {\n    --tw-border-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:border-opacity-30:focus {\n    --tw-border-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:border-opacity-40:focus {\n    --tw-border-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:border-opacity-50:focus {\n    --tw-border-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:border-opacity-60:focus {\n    --tw-border-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:border-opacity-70:focus {\n    --tw-border-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:border-opacity-75:focus {\n    --tw-border-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:border-opacity-80:focus {\n    --tw-border-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:border-opacity-90:focus {\n    --tw-border-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:border-opacity-95:focus {\n    --tw-border-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:border-opacity-100:focus {\n    --tw-border-opacity: 1;\n  }\n\n  .sm\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .sm\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .sm\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-transparent:focus-within {\n    background-color: transparent;\n  }\n\n  .sm\\:focus-within\\:bg-current:focus-within {\n    background-color: currentColor;\n  }\n\n  .sm\\:focus-within\\:bg-black:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-white:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-gray-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-red-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-yellow-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-green-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-blue-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-indigo-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-purple-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-pink-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-origin-protocol-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-origin-protocol-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-ousd-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-ousd-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-ousd-button-dark-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-ousd-button-dark-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-story-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-story-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-story-pink-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-story-pink-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus-within\\:bg-footer-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-transparent:hover {\n    background-color: transparent;\n  }\n\n  .sm\\:hover\\:bg-current:hover {\n    background-color: currentColor;\n  }\n\n  .sm\\:hover\\:bg-black:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-white:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-gray-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-red-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-yellow-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-green-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-blue-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-indigo-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-purple-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-pink-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-origin-protocol-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-origin-protocol-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-ousd-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-ousd-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-ousd-button-dark-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-ousd-button-dark-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-story-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-story-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-story-pink-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-story-pink-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .sm\\:hover\\:bg-footer-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-transparent:focus {\n    background-color: transparent;\n  }\n\n  .sm\\:focus\\:bg-current:focus {\n    background-color: currentColor;\n  }\n\n  .sm\\:focus\\:bg-black:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-white:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-gray-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-red-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-yellow-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-green-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-blue-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-indigo-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-purple-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-pink-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-origin-protocol-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-origin-protocol-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-ousd-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-ousd-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-ousd-button-dark-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-ousd-button-dark-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-story-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-story-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-story-pink-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-story-pink-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .sm\\:focus\\:bg-footer-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .sm\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .sm\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .sm\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .sm\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .sm\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .sm\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .sm\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .sm\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .sm\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .sm\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .sm\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .sm\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .sm\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .sm\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .sm\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .group:hover .sm\\:group-hover\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-0:focus-within {\n    --tw-bg-opacity: 0;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-5:focus-within {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-10:focus-within {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-20:focus-within {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-25:focus-within {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-30:focus-within {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-40:focus-within {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-50:focus-within {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-60:focus-within {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-70:focus-within {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-75:focus-within {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-80:focus-within {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-90:focus-within {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-95:focus-within {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .sm\\:focus-within\\:bg-opacity-100:focus-within {\n    --tw-bg-opacity: 1;\n  }\n\n  .sm\\:hover\\:bg-opacity-0:hover {\n    --tw-bg-opacity: 0;\n  }\n\n  .sm\\:hover\\:bg-opacity-5:hover {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .sm\\:hover\\:bg-opacity-10:hover {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .sm\\:hover\\:bg-opacity-20:hover {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .sm\\:hover\\:bg-opacity-25:hover {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .sm\\:hover\\:bg-opacity-30:hover {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .sm\\:hover\\:bg-opacity-40:hover {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .sm\\:hover\\:bg-opacity-50:hover {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .sm\\:hover\\:bg-opacity-60:hover {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .sm\\:hover\\:bg-opacity-70:hover {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .sm\\:hover\\:bg-opacity-75:hover {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .sm\\:hover\\:bg-opacity-80:hover {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .sm\\:hover\\:bg-opacity-90:hover {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .sm\\:hover\\:bg-opacity-95:hover {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .sm\\:hover\\:bg-opacity-100:hover {\n    --tw-bg-opacity: 1;\n  }\n\n  .sm\\:focus\\:bg-opacity-0:focus {\n    --tw-bg-opacity: 0;\n  }\n\n  .sm\\:focus\\:bg-opacity-5:focus {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:bg-opacity-10:focus {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:bg-opacity-20:focus {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:bg-opacity-25:focus {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:bg-opacity-30:focus {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:bg-opacity-40:focus {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:bg-opacity-50:focus {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:bg-opacity-60:focus {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:bg-opacity-70:focus {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:bg-opacity-75:focus {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:bg-opacity-80:focus {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:bg-opacity-90:focus {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:bg-opacity-95:focus {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:bg-opacity-100:focus {\n    --tw-bg-opacity: 1;\n  }\n\n  .sm\\:bg-none {\n    background-image: none;\n  }\n\n  .sm\\:bg-gradient-to-t {\n    background-image: linear-gradient(to top, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-tr {\n    background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-r {\n    background-image: linear-gradient(to right, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-br {\n    background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-b {\n    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-bl {\n    background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-l {\n    background-image: linear-gradient(to left, var(--tw-gradient-stops));\n  }\n\n  .sm\\:bg-gradient-to-tl {\n    background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n  }\n\n  .sm\\:from-transparent {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:from-current {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:from-black {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:from-white {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:from-gray-50 {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:from-gray-100 {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:from-gray-200 {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:from-gray-300 {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:from-gray-400 {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:from-gray-500 {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:from-gray-600 {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:from-gray-700 {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:from-gray-800 {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:from-gray-900 {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:from-red-50 {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:from-red-100 {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:from-red-200 {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:from-red-300 {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:from-red-400 {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:from-red-500 {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:from-red-600 {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:from-red-700 {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:from-red-800 {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:from-red-900 {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:from-yellow-50 {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:from-yellow-100 {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:from-yellow-200 {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:from-yellow-300 {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:from-yellow-400 {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:from-yellow-500 {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:from-yellow-600 {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:from-yellow-700 {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:from-yellow-800 {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:from-yellow-900 {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:from-green-50 {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:from-green-100 {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:from-green-200 {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:from-green-300 {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:from-green-400 {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:from-green-500 {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:from-green-600 {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:from-green-700 {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:from-green-800 {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:from-green-900 {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:from-blue-50 {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:from-blue-100 {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:from-blue-200 {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:from-blue-300 {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:from-blue-400 {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:from-blue-500 {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:from-blue-600 {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:from-blue-700 {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:from-blue-800 {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:from-blue-900 {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:from-indigo-50 {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:from-indigo-100 {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:from-indigo-200 {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:from-indigo-300 {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:from-indigo-400 {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:from-indigo-500 {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:from-indigo-600 {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:from-indigo-700 {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:from-indigo-800 {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:from-indigo-900 {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:from-purple-50 {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:from-purple-100 {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:from-purple-200 {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:from-purple-300 {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:from-purple-400 {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:from-purple-500 {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:from-purple-600 {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:from-purple-700 {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:from-purple-800 {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:from-purple-900 {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:from-pink-50 {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:from-pink-100 {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:from-pink-200 {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:from-pink-300 {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:from-pink-400 {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:from-pink-500 {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:from-pink-600 {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:from-pink-700 {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:from-pink-800 {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:from-pink-900 {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:from-origin-protocol-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:from-origin-protocol-button-end {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:from-ousd-button-start {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:from-ousd-button-end {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:from-ousd-button-dark-start {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:from-ousd-button-dark-end {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:from-story-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:from-story-button-end {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:from-story-pink-start {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:from-story-pink-end {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:from-footer-end {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:hover\\:from-transparent:hover {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:hover\\:from-current:hover {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:hover\\:from-black:hover {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:hover\\:from-white:hover {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:hover\\:from-gray-50:hover {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:hover\\:from-gray-100:hover {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:hover\\:from-gray-200:hover {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:hover\\:from-gray-300:hover {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:hover\\:from-gray-400:hover {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:hover\\:from-gray-500:hover {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:hover\\:from-gray-600:hover {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:hover\\:from-gray-700:hover {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:hover\\:from-gray-800:hover {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:hover\\:from-gray-900:hover {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:hover\\:from-red-50:hover {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:hover\\:from-red-100:hover {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:hover\\:from-red-200:hover {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:hover\\:from-red-300:hover {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:hover\\:from-red-400:hover {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:hover\\:from-red-500:hover {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:hover\\:from-red-600:hover {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:hover\\:from-red-700:hover {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:hover\\:from-red-800:hover {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:hover\\:from-red-900:hover {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-50:hover {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-100:hover {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-200:hover {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-300:hover {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-400:hover {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-500:hover {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-600:hover {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-700:hover {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-800:hover {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:hover\\:from-yellow-900:hover {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:hover\\:from-green-50:hover {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:hover\\:from-green-100:hover {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:hover\\:from-green-200:hover {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:hover\\:from-green-300:hover {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:hover\\:from-green-400:hover {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:hover\\:from-green-500:hover {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:hover\\:from-green-600:hover {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:hover\\:from-green-700:hover {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:hover\\:from-green-800:hover {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:hover\\:from-green-900:hover {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:hover\\:from-blue-50:hover {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:hover\\:from-blue-100:hover {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:hover\\:from-blue-200:hover {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:hover\\:from-blue-300:hover {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:hover\\:from-blue-400:hover {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:hover\\:from-blue-500:hover {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:hover\\:from-blue-600:hover {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:hover\\:from-blue-700:hover {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:hover\\:from-blue-800:hover {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:hover\\:from-blue-900:hover {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-50:hover {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-100:hover {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-200:hover {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-300:hover {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-400:hover {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-500:hover {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-600:hover {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-700:hover {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-800:hover {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:hover\\:from-indigo-900:hover {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:hover\\:from-purple-50:hover {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:hover\\:from-purple-100:hover {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:hover\\:from-purple-200:hover {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:hover\\:from-purple-300:hover {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:hover\\:from-purple-400:hover {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:hover\\:from-purple-500:hover {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:hover\\:from-purple-600:hover {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:hover\\:from-purple-700:hover {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:hover\\:from-purple-800:hover {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:hover\\:from-purple-900:hover {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:hover\\:from-pink-50:hover {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:hover\\:from-pink-100:hover {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:hover\\:from-pink-200:hover {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:hover\\:from-pink-300:hover {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:hover\\:from-pink-400:hover {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:hover\\:from-pink-500:hover {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:hover\\:from-pink-600:hover {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:hover\\:from-pink-700:hover {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:hover\\:from-pink-800:hover {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:hover\\:from-pink-900:hover {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:hover\\:from-origin-protocol-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:hover\\:from-origin-protocol-button-end:hover {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:hover\\:from-ousd-button-start:hover {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:hover\\:from-ousd-button-end:hover {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:hover\\:from-ousd-button-dark-start:hover {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:hover\\:from-ousd-button-dark-end:hover {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:hover\\:from-story-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:hover\\:from-story-button-end:hover {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:hover\\:from-story-pink-start:hover {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:hover\\:from-story-pink-end:hover {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:hover\\:from-footer-end:hover {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:focus\\:from-transparent:focus {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:focus\\:from-current:focus {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:focus\\:from-black:focus {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:focus\\:from-white:focus {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:focus\\:from-gray-50:focus {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:focus\\:from-gray-100:focus {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:focus\\:from-gray-200:focus {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:focus\\:from-gray-300:focus {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:focus\\:from-gray-400:focus {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:focus\\:from-gray-500:focus {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:focus\\:from-gray-600:focus {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:focus\\:from-gray-700:focus {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:focus\\:from-gray-800:focus {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:focus\\:from-gray-900:focus {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:focus\\:from-red-50:focus {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:focus\\:from-red-100:focus {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:focus\\:from-red-200:focus {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:focus\\:from-red-300:focus {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:focus\\:from-red-400:focus {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:focus\\:from-red-500:focus {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:focus\\:from-red-600:focus {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:focus\\:from-red-700:focus {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:focus\\:from-red-800:focus {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:focus\\:from-red-900:focus {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-50:focus {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-100:focus {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-200:focus {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-300:focus {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-400:focus {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-500:focus {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-600:focus {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-700:focus {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-800:focus {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:focus\\:from-yellow-900:focus {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:focus\\:from-green-50:focus {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:focus\\:from-green-100:focus {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:focus\\:from-green-200:focus {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:focus\\:from-green-300:focus {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:focus\\:from-green-400:focus {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:focus\\:from-green-500:focus {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:focus\\:from-green-600:focus {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:focus\\:from-green-700:focus {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:focus\\:from-green-800:focus {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:focus\\:from-green-900:focus {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:focus\\:from-blue-50:focus {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:focus\\:from-blue-100:focus {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:focus\\:from-blue-200:focus {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:focus\\:from-blue-300:focus {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:focus\\:from-blue-400:focus {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:focus\\:from-blue-500:focus {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:focus\\:from-blue-600:focus {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:focus\\:from-blue-700:focus {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:focus\\:from-blue-800:focus {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:focus\\:from-blue-900:focus {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-50:focus {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-100:focus {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-200:focus {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-300:focus {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-400:focus {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-500:focus {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-600:focus {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-700:focus {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-800:focus {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:focus\\:from-indigo-900:focus {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:focus\\:from-purple-50:focus {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:focus\\:from-purple-100:focus {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:focus\\:from-purple-200:focus {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:focus\\:from-purple-300:focus {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:focus\\:from-purple-400:focus {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:focus\\:from-purple-500:focus {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:focus\\:from-purple-600:focus {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:focus\\:from-purple-700:focus {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:focus\\:from-purple-800:focus {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:focus\\:from-purple-900:focus {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:focus\\:from-pink-50:focus {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:focus\\:from-pink-100:focus {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:focus\\:from-pink-200:focus {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:focus\\:from-pink-300:focus {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:focus\\:from-pink-400:focus {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:focus\\:from-pink-500:focus {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:focus\\:from-pink-600:focus {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:focus\\:from-pink-700:focus {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:focus\\:from-pink-800:focus {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:focus\\:from-pink-900:focus {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:focus\\:from-origin-protocol-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:focus\\:from-origin-protocol-button-end:focus {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:focus\\:from-ousd-button-start:focus {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:focus\\:from-ousd-button-end:focus {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:focus\\:from-ousd-button-dark-start:focus {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:focus\\:from-ousd-button-dark-end:focus {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:focus\\:from-story-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:focus\\:from-story-button-end:focus {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:focus\\:from-story-pink-start:focus {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:focus\\:from-story-pink-end:focus {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:focus\\:from-footer-end:focus {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:via-transparent {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:via-current {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:via-black {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:via-white {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:via-gray-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:via-gray-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:via-gray-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:via-gray-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:via-gray-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:via-gray-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:via-gray-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:via-gray-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:via-gray-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:via-gray-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:via-red-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:via-red-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:via-red-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:via-red-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:via-red-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:via-red-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:via-red-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:via-red-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:via-red-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:via-red-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:via-yellow-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:via-yellow-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:via-yellow-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:via-yellow-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:via-yellow-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:via-yellow-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:via-yellow-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:via-yellow-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:via-yellow-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:via-yellow-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:via-green-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:via-green-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:via-green-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:via-green-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:via-green-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:via-green-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:via-green-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:via-green-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:via-green-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:via-green-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:via-blue-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:via-blue-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:via-blue-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:via-blue-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:via-blue-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:via-blue-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:via-blue-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:via-blue-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:via-blue-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:via-blue-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:via-indigo-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:via-indigo-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:via-indigo-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:via-indigo-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:via-indigo-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:via-indigo-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:via-indigo-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:via-indigo-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:via-indigo-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:via-indigo-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:via-purple-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:via-purple-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:via-purple-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:via-purple-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:via-purple-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:via-purple-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:via-purple-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:via-purple-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:via-purple-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:via-purple-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:via-pink-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:via-pink-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:via-pink-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:via-pink-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:via-pink-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:via-pink-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:via-pink-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:via-pink-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:via-pink-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:via-pink-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:via-origin-protocol-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:via-origin-protocol-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:via-ousd-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:via-ousd-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:via-ousd-button-dark-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:via-ousd-button-dark-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:via-story-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:via-story-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:via-story-pink-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:via-story-pink-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:via-footer-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:hover\\:via-transparent:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:hover\\:via-current:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:hover\\:via-black:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:hover\\:via-white:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:hover\\:via-gray-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:hover\\:via-gray-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:hover\\:via-gray-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:hover\\:via-gray-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:hover\\:via-gray-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:hover\\:via-gray-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:hover\\:via-gray-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:hover\\:via-gray-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:hover\\:via-gray-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:hover\\:via-gray-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:hover\\:via-red-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:hover\\:via-red-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:hover\\:via-red-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:hover\\:via-red-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:hover\\:via-red-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:hover\\:via-red-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:hover\\:via-red-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:hover\\:via-red-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:hover\\:via-red-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:hover\\:via-red-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:hover\\:via-yellow-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:hover\\:via-green-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:hover\\:via-green-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:hover\\:via-green-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:hover\\:via-green-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:hover\\:via-green-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:hover\\:via-green-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:hover\\:via-green-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:hover\\:via-green-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:hover\\:via-green-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:hover\\:via-green-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:hover\\:via-blue-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:hover\\:via-blue-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:hover\\:via-blue-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:hover\\:via-blue-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:hover\\:via-blue-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:hover\\:via-blue-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:hover\\:via-blue-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:hover\\:via-blue-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:hover\\:via-blue-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:hover\\:via-blue-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:hover\\:via-indigo-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:hover\\:via-purple-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:hover\\:via-purple-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:hover\\:via-purple-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:hover\\:via-purple-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:hover\\:via-purple-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:hover\\:via-purple-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:hover\\:via-purple-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:hover\\:via-purple-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:hover\\:via-purple-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:hover\\:via-purple-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:hover\\:via-pink-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:hover\\:via-pink-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:hover\\:via-pink-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:hover\\:via-pink-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:hover\\:via-pink-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:hover\\:via-pink-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:hover\\:via-pink-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:hover\\:via-pink-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:hover\\:via-pink-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:hover\\:via-pink-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:hover\\:via-origin-protocol-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:hover\\:via-origin-protocol-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:hover\\:via-ousd-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:hover\\:via-ousd-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:hover\\:via-ousd-button-dark-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:hover\\:via-ousd-button-dark-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:hover\\:via-story-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:hover\\:via-story-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:hover\\:via-story-pink-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:hover\\:via-story-pink-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:hover\\:via-footer-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:focus\\:via-transparent:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:focus\\:via-current:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:focus\\:via-black:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .sm\\:focus\\:via-white:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .sm\\:focus\\:via-gray-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .sm\\:focus\\:via-gray-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .sm\\:focus\\:via-gray-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .sm\\:focus\\:via-gray-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .sm\\:focus\\:via-gray-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .sm\\:focus\\:via-gray-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .sm\\:focus\\:via-gray-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .sm\\:focus\\:via-gray-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .sm\\:focus\\:via-gray-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .sm\\:focus\\:via-gray-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .sm\\:focus\\:via-red-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .sm\\:focus\\:via-red-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .sm\\:focus\\:via-red-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .sm\\:focus\\:via-red-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .sm\\:focus\\:via-red-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .sm\\:focus\\:via-red-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .sm\\:focus\\:via-red-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .sm\\:focus\\:via-red-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .sm\\:focus\\:via-red-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .sm\\:focus\\:via-red-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .sm\\:focus\\:via-yellow-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .sm\\:focus\\:via-green-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .sm\\:focus\\:via-green-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .sm\\:focus\\:via-green-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .sm\\:focus\\:via-green-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .sm\\:focus\\:via-green-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .sm\\:focus\\:via-green-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .sm\\:focus\\:via-green-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .sm\\:focus\\:via-green-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .sm\\:focus\\:via-green-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .sm\\:focus\\:via-green-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .sm\\:focus\\:via-blue-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .sm\\:focus\\:via-blue-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .sm\\:focus\\:via-blue-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .sm\\:focus\\:via-blue-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .sm\\:focus\\:via-blue-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .sm\\:focus\\:via-blue-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .sm\\:focus\\:via-blue-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .sm\\:focus\\:via-blue-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .sm\\:focus\\:via-blue-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .sm\\:focus\\:via-blue-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .sm\\:focus\\:via-indigo-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .sm\\:focus\\:via-purple-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .sm\\:focus\\:via-purple-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .sm\\:focus\\:via-purple-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .sm\\:focus\\:via-purple-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .sm\\:focus\\:via-purple-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .sm\\:focus\\:via-purple-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .sm\\:focus\\:via-purple-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .sm\\:focus\\:via-purple-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .sm\\:focus\\:via-purple-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .sm\\:focus\\:via-purple-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .sm\\:focus\\:via-pink-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .sm\\:focus\\:via-pink-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .sm\\:focus\\:via-pink-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .sm\\:focus\\:via-pink-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .sm\\:focus\\:via-pink-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .sm\\:focus\\:via-pink-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .sm\\:focus\\:via-pink-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .sm\\:focus\\:via-pink-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .sm\\:focus\\:via-pink-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .sm\\:focus\\:via-pink-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .sm\\:focus\\:via-origin-protocol-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:focus\\:via-origin-protocol-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .sm\\:focus\\:via-ousd-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .sm\\:focus\\:via-ousd-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .sm\\:focus\\:via-ousd-button-dark-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .sm\\:focus\\:via-ousd-button-dark-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .sm\\:focus\\:via-story-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .sm\\:focus\\:via-story-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .sm\\:focus\\:via-story-pink-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .sm\\:focus\\:via-story-pink-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .sm\\:focus\\:via-footer-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .sm\\:to-transparent {\n    --tw-gradient-to: transparent;\n  }\n\n  .sm\\:to-current {\n    --tw-gradient-to: currentColor;\n  }\n\n  .sm\\:to-black {\n    --tw-gradient-to: #000;\n  }\n\n  .sm\\:to-white {\n    --tw-gradient-to: #fff;\n  }\n\n  .sm\\:to-gray-50 {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .sm\\:to-gray-100 {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .sm\\:to-gray-200 {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .sm\\:to-gray-300 {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .sm\\:to-gray-400 {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .sm\\:to-gray-500 {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .sm\\:to-gray-600 {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .sm\\:to-gray-700 {\n    --tw-gradient-to: #374151;\n  }\n\n  .sm\\:to-gray-800 {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .sm\\:to-gray-900 {\n    --tw-gradient-to: #111827;\n  }\n\n  .sm\\:to-red-50 {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .sm\\:to-red-100 {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .sm\\:to-red-200 {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .sm\\:to-red-300 {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .sm\\:to-red-400 {\n    --tw-gradient-to: #f87171;\n  }\n\n  .sm\\:to-red-500 {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .sm\\:to-red-600 {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .sm\\:to-red-700 {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .sm\\:to-red-800 {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .sm\\:to-red-900 {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .sm\\:to-yellow-50 {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .sm\\:to-yellow-100 {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .sm\\:to-yellow-200 {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .sm\\:to-yellow-300 {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .sm\\:to-yellow-400 {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .sm\\:to-yellow-500 {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .sm\\:to-yellow-600 {\n    --tw-gradient-to: #d97706;\n  }\n\n  .sm\\:to-yellow-700 {\n    --tw-gradient-to: #b45309;\n  }\n\n  .sm\\:to-yellow-800 {\n    --tw-gradient-to: #92400e;\n  }\n\n  .sm\\:to-yellow-900 {\n    --tw-gradient-to: #78350f;\n  }\n\n  .sm\\:to-green-50 {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .sm\\:to-green-100 {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .sm\\:to-green-200 {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .sm\\:to-green-300 {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .sm\\:to-green-400 {\n    --tw-gradient-to: #34d399;\n  }\n\n  .sm\\:to-green-500 {\n    --tw-gradient-to: #10b981;\n  }\n\n  .sm\\:to-green-600 {\n    --tw-gradient-to: #059669;\n  }\n\n  .sm\\:to-green-700 {\n    --tw-gradient-to: #047857;\n  }\n\n  .sm\\:to-green-800 {\n    --tw-gradient-to: #065f46;\n  }\n\n  .sm\\:to-green-900 {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .sm\\:to-blue-50 {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .sm\\:to-blue-100 {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .sm\\:to-blue-200 {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .sm\\:to-blue-300 {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .sm\\:to-blue-400 {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .sm\\:to-blue-500 {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .sm\\:to-blue-600 {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .sm\\:to-blue-700 {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .sm\\:to-blue-800 {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .sm\\:to-blue-900 {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .sm\\:to-indigo-50 {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .sm\\:to-indigo-100 {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .sm\\:to-indigo-200 {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .sm\\:to-indigo-300 {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .sm\\:to-indigo-400 {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .sm\\:to-indigo-500 {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .sm\\:to-indigo-600 {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .sm\\:to-indigo-700 {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .sm\\:to-indigo-800 {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .sm\\:to-indigo-900 {\n    --tw-gradient-to: #312e81;\n  }\n\n  .sm\\:to-purple-50 {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .sm\\:to-purple-100 {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .sm\\:to-purple-200 {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .sm\\:to-purple-300 {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .sm\\:to-purple-400 {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .sm\\:to-purple-500 {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .sm\\:to-purple-600 {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .sm\\:to-purple-700 {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .sm\\:to-purple-800 {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .sm\\:to-purple-900 {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .sm\\:to-pink-50 {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .sm\\:to-pink-100 {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .sm\\:to-pink-200 {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .sm\\:to-pink-300 {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .sm\\:to-pink-400 {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .sm\\:to-pink-500 {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .sm\\:to-pink-600 {\n    --tw-gradient-to: #db2777;\n  }\n\n  .sm\\:to-pink-700 {\n    --tw-gradient-to: #be185d;\n  }\n\n  .sm\\:to-pink-800 {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .sm\\:to-pink-900 {\n    --tw-gradient-to: #831843;\n  }\n\n  .sm\\:to-origin-protocol-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:to-origin-protocol-button-end {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .sm\\:to-ousd-button-start {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .sm\\:to-ousd-button-end {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .sm\\:to-ousd-button-dark-start {\n    --tw-gradient-to: #402154;\n  }\n\n  .sm\\:to-ousd-button-dark-end {\n    --tw-gradient-to: #120046;\n  }\n\n  .sm\\:to-story-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:to-story-button-end {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .sm\\:to-story-pink-start {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .sm\\:to-story-pink-end {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .sm\\:to-footer-end {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .sm\\:hover\\:to-transparent:hover {\n    --tw-gradient-to: transparent;\n  }\n\n  .sm\\:hover\\:to-current:hover {\n    --tw-gradient-to: currentColor;\n  }\n\n  .sm\\:hover\\:to-black:hover {\n    --tw-gradient-to: #000;\n  }\n\n  .sm\\:hover\\:to-white:hover {\n    --tw-gradient-to: #fff;\n  }\n\n  .sm\\:hover\\:to-gray-50:hover {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .sm\\:hover\\:to-gray-100:hover {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .sm\\:hover\\:to-gray-200:hover {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .sm\\:hover\\:to-gray-300:hover {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .sm\\:hover\\:to-gray-400:hover {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .sm\\:hover\\:to-gray-500:hover {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .sm\\:hover\\:to-gray-600:hover {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .sm\\:hover\\:to-gray-700:hover {\n    --tw-gradient-to: #374151;\n  }\n\n  .sm\\:hover\\:to-gray-800:hover {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .sm\\:hover\\:to-gray-900:hover {\n    --tw-gradient-to: #111827;\n  }\n\n  .sm\\:hover\\:to-red-50:hover {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .sm\\:hover\\:to-red-100:hover {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .sm\\:hover\\:to-red-200:hover {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .sm\\:hover\\:to-red-300:hover {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .sm\\:hover\\:to-red-400:hover {\n    --tw-gradient-to: #f87171;\n  }\n\n  .sm\\:hover\\:to-red-500:hover {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .sm\\:hover\\:to-red-600:hover {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .sm\\:hover\\:to-red-700:hover {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .sm\\:hover\\:to-red-800:hover {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .sm\\:hover\\:to-red-900:hover {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .sm\\:hover\\:to-yellow-50:hover {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .sm\\:hover\\:to-yellow-100:hover {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .sm\\:hover\\:to-yellow-200:hover {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .sm\\:hover\\:to-yellow-300:hover {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .sm\\:hover\\:to-yellow-400:hover {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .sm\\:hover\\:to-yellow-500:hover {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .sm\\:hover\\:to-yellow-600:hover {\n    --tw-gradient-to: #d97706;\n  }\n\n  .sm\\:hover\\:to-yellow-700:hover {\n    --tw-gradient-to: #b45309;\n  }\n\n  .sm\\:hover\\:to-yellow-800:hover {\n    --tw-gradient-to: #92400e;\n  }\n\n  .sm\\:hover\\:to-yellow-900:hover {\n    --tw-gradient-to: #78350f;\n  }\n\n  .sm\\:hover\\:to-green-50:hover {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .sm\\:hover\\:to-green-100:hover {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .sm\\:hover\\:to-green-200:hover {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .sm\\:hover\\:to-green-300:hover {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .sm\\:hover\\:to-green-400:hover {\n    --tw-gradient-to: #34d399;\n  }\n\n  .sm\\:hover\\:to-green-500:hover {\n    --tw-gradient-to: #10b981;\n  }\n\n  .sm\\:hover\\:to-green-600:hover {\n    --tw-gradient-to: #059669;\n  }\n\n  .sm\\:hover\\:to-green-700:hover {\n    --tw-gradient-to: #047857;\n  }\n\n  .sm\\:hover\\:to-green-800:hover {\n    --tw-gradient-to: #065f46;\n  }\n\n  .sm\\:hover\\:to-green-900:hover {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .sm\\:hover\\:to-blue-50:hover {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .sm\\:hover\\:to-blue-100:hover {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .sm\\:hover\\:to-blue-200:hover {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .sm\\:hover\\:to-blue-300:hover {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .sm\\:hover\\:to-blue-400:hover {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .sm\\:hover\\:to-blue-500:hover {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .sm\\:hover\\:to-blue-600:hover {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .sm\\:hover\\:to-blue-700:hover {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .sm\\:hover\\:to-blue-800:hover {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .sm\\:hover\\:to-blue-900:hover {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .sm\\:hover\\:to-indigo-50:hover {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .sm\\:hover\\:to-indigo-100:hover {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .sm\\:hover\\:to-indigo-200:hover {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .sm\\:hover\\:to-indigo-300:hover {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .sm\\:hover\\:to-indigo-400:hover {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .sm\\:hover\\:to-indigo-500:hover {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .sm\\:hover\\:to-indigo-600:hover {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .sm\\:hover\\:to-indigo-700:hover {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .sm\\:hover\\:to-indigo-800:hover {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .sm\\:hover\\:to-indigo-900:hover {\n    --tw-gradient-to: #312e81;\n  }\n\n  .sm\\:hover\\:to-purple-50:hover {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .sm\\:hover\\:to-purple-100:hover {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .sm\\:hover\\:to-purple-200:hover {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .sm\\:hover\\:to-purple-300:hover {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .sm\\:hover\\:to-purple-400:hover {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .sm\\:hover\\:to-purple-500:hover {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .sm\\:hover\\:to-purple-600:hover {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .sm\\:hover\\:to-purple-700:hover {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .sm\\:hover\\:to-purple-800:hover {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .sm\\:hover\\:to-purple-900:hover {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .sm\\:hover\\:to-pink-50:hover {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .sm\\:hover\\:to-pink-100:hover {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .sm\\:hover\\:to-pink-200:hover {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .sm\\:hover\\:to-pink-300:hover {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .sm\\:hover\\:to-pink-400:hover {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .sm\\:hover\\:to-pink-500:hover {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .sm\\:hover\\:to-pink-600:hover {\n    --tw-gradient-to: #db2777;\n  }\n\n  .sm\\:hover\\:to-pink-700:hover {\n    --tw-gradient-to: #be185d;\n  }\n\n  .sm\\:hover\\:to-pink-800:hover {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .sm\\:hover\\:to-pink-900:hover {\n    --tw-gradient-to: #831843;\n  }\n\n  .sm\\:hover\\:to-origin-protocol-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:hover\\:to-origin-protocol-button-end:hover {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .sm\\:hover\\:to-ousd-button-start:hover {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .sm\\:hover\\:to-ousd-button-end:hover {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .sm\\:hover\\:to-ousd-button-dark-start:hover {\n    --tw-gradient-to: #402154;\n  }\n\n  .sm\\:hover\\:to-ousd-button-dark-end:hover {\n    --tw-gradient-to: #120046;\n  }\n\n  .sm\\:hover\\:to-story-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:hover\\:to-story-button-end:hover {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .sm\\:hover\\:to-story-pink-start:hover {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .sm\\:hover\\:to-story-pink-end:hover {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .sm\\:hover\\:to-footer-end:hover {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .sm\\:focus\\:to-transparent:focus {\n    --tw-gradient-to: transparent;\n  }\n\n  .sm\\:focus\\:to-current:focus {\n    --tw-gradient-to: currentColor;\n  }\n\n  .sm\\:focus\\:to-black:focus {\n    --tw-gradient-to: #000;\n  }\n\n  .sm\\:focus\\:to-white:focus {\n    --tw-gradient-to: #fff;\n  }\n\n  .sm\\:focus\\:to-gray-50:focus {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .sm\\:focus\\:to-gray-100:focus {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .sm\\:focus\\:to-gray-200:focus {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .sm\\:focus\\:to-gray-300:focus {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .sm\\:focus\\:to-gray-400:focus {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .sm\\:focus\\:to-gray-500:focus {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .sm\\:focus\\:to-gray-600:focus {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .sm\\:focus\\:to-gray-700:focus {\n    --tw-gradient-to: #374151;\n  }\n\n  .sm\\:focus\\:to-gray-800:focus {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .sm\\:focus\\:to-gray-900:focus {\n    --tw-gradient-to: #111827;\n  }\n\n  .sm\\:focus\\:to-red-50:focus {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .sm\\:focus\\:to-red-100:focus {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .sm\\:focus\\:to-red-200:focus {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .sm\\:focus\\:to-red-300:focus {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .sm\\:focus\\:to-red-400:focus {\n    --tw-gradient-to: #f87171;\n  }\n\n  .sm\\:focus\\:to-red-500:focus {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .sm\\:focus\\:to-red-600:focus {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .sm\\:focus\\:to-red-700:focus {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .sm\\:focus\\:to-red-800:focus {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .sm\\:focus\\:to-red-900:focus {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .sm\\:focus\\:to-yellow-50:focus {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .sm\\:focus\\:to-yellow-100:focus {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .sm\\:focus\\:to-yellow-200:focus {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .sm\\:focus\\:to-yellow-300:focus {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .sm\\:focus\\:to-yellow-400:focus {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .sm\\:focus\\:to-yellow-500:focus {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .sm\\:focus\\:to-yellow-600:focus {\n    --tw-gradient-to: #d97706;\n  }\n\n  .sm\\:focus\\:to-yellow-700:focus {\n    --tw-gradient-to: #b45309;\n  }\n\n  .sm\\:focus\\:to-yellow-800:focus {\n    --tw-gradient-to: #92400e;\n  }\n\n  .sm\\:focus\\:to-yellow-900:focus {\n    --tw-gradient-to: #78350f;\n  }\n\n  .sm\\:focus\\:to-green-50:focus {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .sm\\:focus\\:to-green-100:focus {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .sm\\:focus\\:to-green-200:focus {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .sm\\:focus\\:to-green-300:focus {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .sm\\:focus\\:to-green-400:focus {\n    --tw-gradient-to: #34d399;\n  }\n\n  .sm\\:focus\\:to-green-500:focus {\n    --tw-gradient-to: #10b981;\n  }\n\n  .sm\\:focus\\:to-green-600:focus {\n    --tw-gradient-to: #059669;\n  }\n\n  .sm\\:focus\\:to-green-700:focus {\n    --tw-gradient-to: #047857;\n  }\n\n  .sm\\:focus\\:to-green-800:focus {\n    --tw-gradient-to: #065f46;\n  }\n\n  .sm\\:focus\\:to-green-900:focus {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .sm\\:focus\\:to-blue-50:focus {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .sm\\:focus\\:to-blue-100:focus {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .sm\\:focus\\:to-blue-200:focus {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .sm\\:focus\\:to-blue-300:focus {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .sm\\:focus\\:to-blue-400:focus {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .sm\\:focus\\:to-blue-500:focus {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .sm\\:focus\\:to-blue-600:focus {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .sm\\:focus\\:to-blue-700:focus {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .sm\\:focus\\:to-blue-800:focus {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .sm\\:focus\\:to-blue-900:focus {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .sm\\:focus\\:to-indigo-50:focus {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .sm\\:focus\\:to-indigo-100:focus {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .sm\\:focus\\:to-indigo-200:focus {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .sm\\:focus\\:to-indigo-300:focus {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .sm\\:focus\\:to-indigo-400:focus {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .sm\\:focus\\:to-indigo-500:focus {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .sm\\:focus\\:to-indigo-600:focus {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .sm\\:focus\\:to-indigo-700:focus {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .sm\\:focus\\:to-indigo-800:focus {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .sm\\:focus\\:to-indigo-900:focus {\n    --tw-gradient-to: #312e81;\n  }\n\n  .sm\\:focus\\:to-purple-50:focus {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .sm\\:focus\\:to-purple-100:focus {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .sm\\:focus\\:to-purple-200:focus {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .sm\\:focus\\:to-purple-300:focus {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .sm\\:focus\\:to-purple-400:focus {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .sm\\:focus\\:to-purple-500:focus {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .sm\\:focus\\:to-purple-600:focus {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .sm\\:focus\\:to-purple-700:focus {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .sm\\:focus\\:to-purple-800:focus {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .sm\\:focus\\:to-purple-900:focus {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .sm\\:focus\\:to-pink-50:focus {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .sm\\:focus\\:to-pink-100:focus {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .sm\\:focus\\:to-pink-200:focus {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .sm\\:focus\\:to-pink-300:focus {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .sm\\:focus\\:to-pink-400:focus {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .sm\\:focus\\:to-pink-500:focus {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .sm\\:focus\\:to-pink-600:focus {\n    --tw-gradient-to: #db2777;\n  }\n\n  .sm\\:focus\\:to-pink-700:focus {\n    --tw-gradient-to: #be185d;\n  }\n\n  .sm\\:focus\\:to-pink-800:focus {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .sm\\:focus\\:to-pink-900:focus {\n    --tw-gradient-to: #831843;\n  }\n\n  .sm\\:focus\\:to-origin-protocol-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:focus\\:to-origin-protocol-button-end:focus {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .sm\\:focus\\:to-ousd-button-start:focus {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .sm\\:focus\\:to-ousd-button-end:focus {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .sm\\:focus\\:to-ousd-button-dark-start:focus {\n    --tw-gradient-to: #402154;\n  }\n\n  .sm\\:focus\\:to-ousd-button-dark-end:focus {\n    --tw-gradient-to: #120046;\n  }\n\n  .sm\\:focus\\:to-story-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .sm\\:focus\\:to-story-button-end:focus {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .sm\\:focus\\:to-story-pink-start:focus {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .sm\\:focus\\:to-story-pink-end:focus {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .sm\\:focus\\:to-footer-end:focus {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .sm\\:decoration-slice {\n    -webkit-box-decoration-break: slice;\n            box-decoration-break: slice;\n  }\n\n  .sm\\:decoration-clone {\n    -webkit-box-decoration-break: clone;\n            box-decoration-break: clone;\n  }\n\n  .sm\\:bg-auto {\n    background-size: auto;\n  }\n\n  .sm\\:bg-cover {\n    background-size: cover;\n  }\n\n  .sm\\:bg-contain {\n    background-size: contain;\n  }\n\n  .sm\\:bg-fixed {\n    background-attachment: fixed;\n  }\n\n  .sm\\:bg-local {\n    background-attachment: local;\n  }\n\n  .sm\\:bg-scroll {\n    background-attachment: scroll;\n  }\n\n  .sm\\:bg-clip-border {\n    background-clip: border-box;\n  }\n\n  .sm\\:bg-clip-padding {\n    background-clip: padding-box;\n  }\n\n  .sm\\:bg-clip-content {\n    background-clip: content-box;\n  }\n\n  .sm\\:bg-clip-text {\n    -webkit-background-clip: text;\n            background-clip: text;\n  }\n\n  .sm\\:bg-bottom {\n    background-position: bottom;\n  }\n\n  .sm\\:bg-center {\n    background-position: center;\n  }\n\n  .sm\\:bg-left {\n    background-position: left;\n  }\n\n  .sm\\:bg-left-bottom {\n    background-position: left bottom;\n  }\n\n  .sm\\:bg-left-top {\n    background-position: left top;\n  }\n\n  .sm\\:bg-right {\n    background-position: right;\n  }\n\n  .sm\\:bg-right-bottom {\n    background-position: right bottom;\n  }\n\n  .sm\\:bg-right-top {\n    background-position: right top;\n  }\n\n  .sm\\:bg-top {\n    background-position: top;\n  }\n\n  .sm\\:bg-repeat {\n    background-repeat: repeat;\n  }\n\n  .sm\\:bg-no-repeat {\n    background-repeat: no-repeat;\n  }\n\n  .sm\\:bg-repeat-x {\n    background-repeat: repeat-x;\n  }\n\n  .sm\\:bg-repeat-y {\n    background-repeat: repeat-y;\n  }\n\n  .sm\\:bg-repeat-round {\n    background-repeat: round;\n  }\n\n  .sm\\:bg-repeat-space {\n    background-repeat: space;\n  }\n\n  .sm\\:bg-origin-border {\n    background-origin: border-box;\n  }\n\n  .sm\\:bg-origin-padding {\n    background-origin: padding-box;\n  }\n\n  .sm\\:bg-origin-content {\n    background-origin: content-box;\n  }\n\n  .sm\\:fill-current {\n    fill: currentColor;\n  }\n\n  .sm\\:stroke-current {\n    stroke: currentColor;\n  }\n\n  .sm\\:stroke-0 {\n    stroke-width: 0;\n  }\n\n  .sm\\:stroke-1 {\n    stroke-width: 1;\n  }\n\n  .sm\\:stroke-2 {\n    stroke-width: 2;\n  }\n\n  .sm\\:object-contain {\n    -o-object-fit: contain;\n       object-fit: contain;\n  }\n\n  .sm\\:object-cover {\n    -o-object-fit: cover;\n       object-fit: cover;\n  }\n\n  .sm\\:object-fill {\n    -o-object-fit: fill;\n       object-fit: fill;\n  }\n\n  .sm\\:object-none {\n    -o-object-fit: none;\n       object-fit: none;\n  }\n\n  .sm\\:object-scale-down {\n    -o-object-fit: scale-down;\n       object-fit: scale-down;\n  }\n\n  .sm\\:object-bottom {\n    -o-object-position: bottom;\n       object-position: bottom;\n  }\n\n  .sm\\:object-center {\n    -o-object-position: center;\n       object-position: center;\n  }\n\n  .sm\\:object-left {\n    -o-object-position: left;\n       object-position: left;\n  }\n\n  .sm\\:object-left-bottom {\n    -o-object-position: left bottom;\n       object-position: left bottom;\n  }\n\n  .sm\\:object-left-top {\n    -o-object-position: left top;\n       object-position: left top;\n  }\n\n  .sm\\:object-right {\n    -o-object-position: right;\n       object-position: right;\n  }\n\n  .sm\\:object-right-bottom {\n    -o-object-position: right bottom;\n       object-position: right bottom;\n  }\n\n  .sm\\:object-right-top {\n    -o-object-position: right top;\n       object-position: right top;\n  }\n\n  .sm\\:object-top {\n    -o-object-position: top;\n       object-position: top;\n  }\n\n  .sm\\:p-0 {\n    padding: 0px;\n  }\n\n  .sm\\:p-1 {\n    padding: 0.25rem;\n  }\n\n  .sm\\:p-2 {\n    padding: 0.5rem;\n  }\n\n  .sm\\:p-3 {\n    padding: 0.75rem;\n  }\n\n  .sm\\:p-4 {\n    padding: 1rem;\n  }\n\n  .sm\\:p-5 {\n    padding: 1.25rem;\n  }\n\n  .sm\\:p-6 {\n    padding: 1.5rem;\n  }\n\n  .sm\\:p-7 {\n    padding: 1.75rem;\n  }\n\n  .sm\\:p-8 {\n    padding: 2rem;\n  }\n\n  .sm\\:p-9 {\n    padding: 2.25rem;\n  }\n\n  .sm\\:p-10 {\n    padding: 2.5rem;\n  }\n\n  .sm\\:p-11 {\n    padding: 2.75rem;\n  }\n\n  .sm\\:p-12 {\n    padding: 3rem;\n  }\n\n  .sm\\:p-14 {\n    padding: 3.5rem;\n  }\n\n  .sm\\:p-16 {\n    padding: 4rem;\n  }\n\n  .sm\\:p-20 {\n    padding: 5rem;\n  }\n\n  .sm\\:p-24 {\n    padding: 6rem;\n  }\n\n  .sm\\:p-28 {\n    padding: 7rem;\n  }\n\n  .sm\\:p-32 {\n    padding: 8rem;\n  }\n\n  .sm\\:p-36 {\n    padding: 9rem;\n  }\n\n  .sm\\:p-40 {\n    padding: 10rem;\n  }\n\n  .sm\\:p-44 {\n    padding: 11rem;\n  }\n\n  .sm\\:p-48 {\n    padding: 12rem;\n  }\n\n  .sm\\:p-52 {\n    padding: 13rem;\n  }\n\n  .sm\\:p-56 {\n    padding: 14rem;\n  }\n\n  .sm\\:p-60 {\n    padding: 15rem;\n  }\n\n  .sm\\:p-64 {\n    padding: 16rem;\n  }\n\n  .sm\\:p-72 {\n    padding: 18rem;\n  }\n\n  .sm\\:p-80 {\n    padding: 20rem;\n  }\n\n  .sm\\:p-96 {\n    padding: 24rem;\n  }\n\n  .sm\\:p-px {\n    padding: 1px;\n  }\n\n  .sm\\:p-0\\.5 {\n    padding: 0.125rem;\n  }\n\n  .sm\\:p-1\\.5 {\n    padding: 0.375rem;\n  }\n\n  .sm\\:p-2\\.5 {\n    padding: 0.625rem;\n  }\n\n  .sm\\:p-3\\.5 {\n    padding: 0.875rem;\n  }\n\n  .sm\\:px-0 {\n    padding-left: 0px;\n    padding-right: 0px;\n  }\n\n  .sm\\:px-1 {\n    padding-left: 0.25rem;\n    padding-right: 0.25rem;\n  }\n\n  .sm\\:px-2 {\n    padding-left: 0.5rem;\n    padding-right: 0.5rem;\n  }\n\n  .sm\\:px-3 {\n    padding-left: 0.75rem;\n    padding-right: 0.75rem;\n  }\n\n  .sm\\:px-4 {\n    padding-left: 1rem;\n    padding-right: 1rem;\n  }\n\n  .sm\\:px-5 {\n    padding-left: 1.25rem;\n    padding-right: 1.25rem;\n  }\n\n  .sm\\:px-6 {\n    padding-left: 1.5rem;\n    padding-right: 1.5rem;\n  }\n\n  .sm\\:px-7 {\n    padding-left: 1.75rem;\n    padding-right: 1.75rem;\n  }\n\n  .sm\\:px-8 {\n    padding-left: 2rem;\n    padding-right: 2rem;\n  }\n\n  .sm\\:px-9 {\n    padding-left: 2.25rem;\n    padding-right: 2.25rem;\n  }\n\n  .sm\\:px-10 {\n    padding-left: 2.5rem;\n    padding-right: 2.5rem;\n  }\n\n  .sm\\:px-11 {\n    padding-left: 2.75rem;\n    padding-right: 2.75rem;\n  }\n\n  .sm\\:px-12 {\n    padding-left: 3rem;\n    padding-right: 3rem;\n  }\n\n  .sm\\:px-14 {\n    padding-left: 3.5rem;\n    padding-right: 3.5rem;\n  }\n\n  .sm\\:px-16 {\n    padding-left: 4rem;\n    padding-right: 4rem;\n  }\n\n  .sm\\:px-20 {\n    padding-left: 5rem;\n    padding-right: 5rem;\n  }\n\n  .sm\\:px-24 {\n    padding-left: 6rem;\n    padding-right: 6rem;\n  }\n\n  .sm\\:px-28 {\n    padding-left: 7rem;\n    padding-right: 7rem;\n  }\n\n  .sm\\:px-32 {\n    padding-left: 8rem;\n    padding-right: 8rem;\n  }\n\n  .sm\\:px-36 {\n    padding-left: 9rem;\n    padding-right: 9rem;\n  }\n\n  .sm\\:px-40 {\n    padding-left: 10rem;\n    padding-right: 10rem;\n  }\n\n  .sm\\:px-44 {\n    padding-left: 11rem;\n    padding-right: 11rem;\n  }\n\n  .sm\\:px-48 {\n    padding-left: 12rem;\n    padding-right: 12rem;\n  }\n\n  .sm\\:px-52 {\n    padding-left: 13rem;\n    padding-right: 13rem;\n  }\n\n  .sm\\:px-56 {\n    padding-left: 14rem;\n    padding-right: 14rem;\n  }\n\n  .sm\\:px-60 {\n    padding-left: 15rem;\n    padding-right: 15rem;\n  }\n\n  .sm\\:px-64 {\n    padding-left: 16rem;\n    padding-right: 16rem;\n  }\n\n  .sm\\:px-72 {\n    padding-left: 18rem;\n    padding-right: 18rem;\n  }\n\n  .sm\\:px-80 {\n    padding-left: 20rem;\n    padding-right: 20rem;\n  }\n\n  .sm\\:px-96 {\n    padding-left: 24rem;\n    padding-right: 24rem;\n  }\n\n  .sm\\:px-px {\n    padding-left: 1px;\n    padding-right: 1px;\n  }\n\n  .sm\\:px-0\\.5 {\n    padding-left: 0.125rem;\n    padding-right: 0.125rem;\n  }\n\n  .sm\\:px-1\\.5 {\n    padding-left: 0.375rem;\n    padding-right: 0.375rem;\n  }\n\n  .sm\\:px-2\\.5 {\n    padding-left: 0.625rem;\n    padding-right: 0.625rem;\n  }\n\n  .sm\\:px-3\\.5 {\n    padding-left: 0.875rem;\n    padding-right: 0.875rem;\n  }\n\n  .sm\\:py-0 {\n    padding-top: 0px;\n    padding-bottom: 0px;\n  }\n\n  .sm\\:py-1 {\n    padding-top: 0.25rem;\n    padding-bottom: 0.25rem;\n  }\n\n  .sm\\:py-2 {\n    padding-top: 0.5rem;\n    padding-bottom: 0.5rem;\n  }\n\n  .sm\\:py-3 {\n    padding-top: 0.75rem;\n    padding-bottom: 0.75rem;\n  }\n\n  .sm\\:py-4 {\n    padding-top: 1rem;\n    padding-bottom: 1rem;\n  }\n\n  .sm\\:py-5 {\n    padding-top: 1.25rem;\n    padding-bottom: 1.25rem;\n  }\n\n  .sm\\:py-6 {\n    padding-top: 1.5rem;\n    padding-bottom: 1.5rem;\n  }\n\n  .sm\\:py-7 {\n    padding-top: 1.75rem;\n    padding-bottom: 1.75rem;\n  }\n\n  .sm\\:py-8 {\n    padding-top: 2rem;\n    padding-bottom: 2rem;\n  }\n\n  .sm\\:py-9 {\n    padding-top: 2.25rem;\n    padding-bottom: 2.25rem;\n  }\n\n  .sm\\:py-10 {\n    padding-top: 2.5rem;\n    padding-bottom: 2.5rem;\n  }\n\n  .sm\\:py-11 {\n    padding-top: 2.75rem;\n    padding-bottom: 2.75rem;\n  }\n\n  .sm\\:py-12 {\n    padding-top: 3rem;\n    padding-bottom: 3rem;\n  }\n\n  .sm\\:py-14 {\n    padding-top: 3.5rem;\n    padding-bottom: 3.5rem;\n  }\n\n  .sm\\:py-16 {\n    padding-top: 4rem;\n    padding-bottom: 4rem;\n  }\n\n  .sm\\:py-20 {\n    padding-top: 5rem;\n    padding-bottom: 5rem;\n  }\n\n  .sm\\:py-24 {\n    padding-top: 6rem;\n    padding-bottom: 6rem;\n  }\n\n  .sm\\:py-28 {\n    padding-top: 7rem;\n    padding-bottom: 7rem;\n  }\n\n  .sm\\:py-32 {\n    padding-top: 8rem;\n    padding-bottom: 8rem;\n  }\n\n  .sm\\:py-36 {\n    padding-top: 9rem;\n    padding-bottom: 9rem;\n  }\n\n  .sm\\:py-40 {\n    padding-top: 10rem;\n    padding-bottom: 10rem;\n  }\n\n  .sm\\:py-44 {\n    padding-top: 11rem;\n    padding-bottom: 11rem;\n  }\n\n  .sm\\:py-48 {\n    padding-top: 12rem;\n    padding-bottom: 12rem;\n  }\n\n  .sm\\:py-52 {\n    padding-top: 13rem;\n    padding-bottom: 13rem;\n  }\n\n  .sm\\:py-56 {\n    padding-top: 14rem;\n    padding-bottom: 14rem;\n  }\n\n  .sm\\:py-60 {\n    padding-top: 15rem;\n    padding-bottom: 15rem;\n  }\n\n  .sm\\:py-64 {\n    padding-top: 16rem;\n    padding-bottom: 16rem;\n  }\n\n  .sm\\:py-72 {\n    padding-top: 18rem;\n    padding-bottom: 18rem;\n  }\n\n  .sm\\:py-80 {\n    padding-top: 20rem;\n    padding-bottom: 20rem;\n  }\n\n  .sm\\:py-96 {\n    padding-top: 24rem;\n    padding-bottom: 24rem;\n  }\n\n  .sm\\:py-px {\n    padding-top: 1px;\n    padding-bottom: 1px;\n  }\n\n  .sm\\:py-0\\.5 {\n    padding-top: 0.125rem;\n    padding-bottom: 0.125rem;\n  }\n\n  .sm\\:py-1\\.5 {\n    padding-top: 0.375rem;\n    padding-bottom: 0.375rem;\n  }\n\n  .sm\\:py-2\\.5 {\n    padding-top: 0.625rem;\n    padding-bottom: 0.625rem;\n  }\n\n  .sm\\:py-3\\.5 {\n    padding-top: 0.875rem;\n    padding-bottom: 0.875rem;\n  }\n\n  .sm\\:pt-0 {\n    padding-top: 0px;\n  }\n\n  .sm\\:pt-1 {\n    padding-top: 0.25rem;\n  }\n\n  .sm\\:pt-2 {\n    padding-top: 0.5rem;\n  }\n\n  .sm\\:pt-3 {\n    padding-top: 0.75rem;\n  }\n\n  .sm\\:pt-4 {\n    padding-top: 1rem;\n  }\n\n  .sm\\:pt-5 {\n    padding-top: 1.25rem;\n  }\n\n  .sm\\:pt-6 {\n    padding-top: 1.5rem;\n  }\n\n  .sm\\:pt-7 {\n    padding-top: 1.75rem;\n  }\n\n  .sm\\:pt-8 {\n    padding-top: 2rem;\n  }\n\n  .sm\\:pt-9 {\n    padding-top: 2.25rem;\n  }\n\n  .sm\\:pt-10 {\n    padding-top: 2.5rem;\n  }\n\n  .sm\\:pt-11 {\n    padding-top: 2.75rem;\n  }\n\n  .sm\\:pt-12 {\n    padding-top: 3rem;\n  }\n\n  .sm\\:pt-14 {\n    padding-top: 3.5rem;\n  }\n\n  .sm\\:pt-16 {\n    padding-top: 4rem;\n  }\n\n  .sm\\:pt-20 {\n    padding-top: 5rem;\n  }\n\n  .sm\\:pt-24 {\n    padding-top: 6rem;\n  }\n\n  .sm\\:pt-28 {\n    padding-top: 7rem;\n  }\n\n  .sm\\:pt-32 {\n    padding-top: 8rem;\n  }\n\n  .sm\\:pt-36 {\n    padding-top: 9rem;\n  }\n\n  .sm\\:pt-40 {\n    padding-top: 10rem;\n  }\n\n  .sm\\:pt-44 {\n    padding-top: 11rem;\n  }\n\n  .sm\\:pt-48 {\n    padding-top: 12rem;\n  }\n\n  .sm\\:pt-52 {\n    padding-top: 13rem;\n  }\n\n  .sm\\:pt-56 {\n    padding-top: 14rem;\n  }\n\n  .sm\\:pt-60 {\n    padding-top: 15rem;\n  }\n\n  .sm\\:pt-64 {\n    padding-top: 16rem;\n  }\n\n  .sm\\:pt-72 {\n    padding-top: 18rem;\n  }\n\n  .sm\\:pt-80 {\n    padding-top: 20rem;\n  }\n\n  .sm\\:pt-96 {\n    padding-top: 24rem;\n  }\n\n  .sm\\:pt-px {\n    padding-top: 1px;\n  }\n\n  .sm\\:pt-0\\.5 {\n    padding-top: 0.125rem;\n  }\n\n  .sm\\:pt-1\\.5 {\n    padding-top: 0.375rem;\n  }\n\n  .sm\\:pt-2\\.5 {\n    padding-top: 0.625rem;\n  }\n\n  .sm\\:pt-3\\.5 {\n    padding-top: 0.875rem;\n  }\n\n  .sm\\:pr-0 {\n    padding-right: 0px;\n  }\n\n  .sm\\:pr-1 {\n    padding-right: 0.25rem;\n  }\n\n  .sm\\:pr-2 {\n    padding-right: 0.5rem;\n  }\n\n  .sm\\:pr-3 {\n    padding-right: 0.75rem;\n  }\n\n  .sm\\:pr-4 {\n    padding-right: 1rem;\n  }\n\n  .sm\\:pr-5 {\n    padding-right: 1.25rem;\n  }\n\n  .sm\\:pr-6 {\n    padding-right: 1.5rem;\n  }\n\n  .sm\\:pr-7 {\n    padding-right: 1.75rem;\n  }\n\n  .sm\\:pr-8 {\n    padding-right: 2rem;\n  }\n\n  .sm\\:pr-9 {\n    padding-right: 2.25rem;\n  }\n\n  .sm\\:pr-10 {\n    padding-right: 2.5rem;\n  }\n\n  .sm\\:pr-11 {\n    padding-right: 2.75rem;\n  }\n\n  .sm\\:pr-12 {\n    padding-right: 3rem;\n  }\n\n  .sm\\:pr-14 {\n    padding-right: 3.5rem;\n  }\n\n  .sm\\:pr-16 {\n    padding-right: 4rem;\n  }\n\n  .sm\\:pr-20 {\n    padding-right: 5rem;\n  }\n\n  .sm\\:pr-24 {\n    padding-right: 6rem;\n  }\n\n  .sm\\:pr-28 {\n    padding-right: 7rem;\n  }\n\n  .sm\\:pr-32 {\n    padding-right: 8rem;\n  }\n\n  .sm\\:pr-36 {\n    padding-right: 9rem;\n  }\n\n  .sm\\:pr-40 {\n    padding-right: 10rem;\n  }\n\n  .sm\\:pr-44 {\n    padding-right: 11rem;\n  }\n\n  .sm\\:pr-48 {\n    padding-right: 12rem;\n  }\n\n  .sm\\:pr-52 {\n    padding-right: 13rem;\n  }\n\n  .sm\\:pr-56 {\n    padding-right: 14rem;\n  }\n\n  .sm\\:pr-60 {\n    padding-right: 15rem;\n  }\n\n  .sm\\:pr-64 {\n    padding-right: 16rem;\n  }\n\n  .sm\\:pr-72 {\n    padding-right: 18rem;\n  }\n\n  .sm\\:pr-80 {\n    padding-right: 20rem;\n  }\n\n  .sm\\:pr-96 {\n    padding-right: 24rem;\n  }\n\n  .sm\\:pr-px {\n    padding-right: 1px;\n  }\n\n  .sm\\:pr-0\\.5 {\n    padding-right: 0.125rem;\n  }\n\n  .sm\\:pr-1\\.5 {\n    padding-right: 0.375rem;\n  }\n\n  .sm\\:pr-2\\.5 {\n    padding-right: 0.625rem;\n  }\n\n  .sm\\:pr-3\\.5 {\n    padding-right: 0.875rem;\n  }\n\n  .sm\\:pb-0 {\n    padding-bottom: 0px;\n  }\n\n  .sm\\:pb-1 {\n    padding-bottom: 0.25rem;\n  }\n\n  .sm\\:pb-2 {\n    padding-bottom: 0.5rem;\n  }\n\n  .sm\\:pb-3 {\n    padding-bottom: 0.75rem;\n  }\n\n  .sm\\:pb-4 {\n    padding-bottom: 1rem;\n  }\n\n  .sm\\:pb-5 {\n    padding-bottom: 1.25rem;\n  }\n\n  .sm\\:pb-6 {\n    padding-bottom: 1.5rem;\n  }\n\n  .sm\\:pb-7 {\n    padding-bottom: 1.75rem;\n  }\n\n  .sm\\:pb-8 {\n    padding-bottom: 2rem;\n  }\n\n  .sm\\:pb-9 {\n    padding-bottom: 2.25rem;\n  }\n\n  .sm\\:pb-10 {\n    padding-bottom: 2.5rem;\n  }\n\n  .sm\\:pb-11 {\n    padding-bottom: 2.75rem;\n  }\n\n  .sm\\:pb-12 {\n    padding-bottom: 3rem;\n  }\n\n  .sm\\:pb-14 {\n    padding-bottom: 3.5rem;\n  }\n\n  .sm\\:pb-16 {\n    padding-bottom: 4rem;\n  }\n\n  .sm\\:pb-20 {\n    padding-bottom: 5rem;\n  }\n\n  .sm\\:pb-24 {\n    padding-bottom: 6rem;\n  }\n\n  .sm\\:pb-28 {\n    padding-bottom: 7rem;\n  }\n\n  .sm\\:pb-32 {\n    padding-bottom: 8rem;\n  }\n\n  .sm\\:pb-36 {\n    padding-bottom: 9rem;\n  }\n\n  .sm\\:pb-40 {\n    padding-bottom: 10rem;\n  }\n\n  .sm\\:pb-44 {\n    padding-bottom: 11rem;\n  }\n\n  .sm\\:pb-48 {\n    padding-bottom: 12rem;\n  }\n\n  .sm\\:pb-52 {\n    padding-bottom: 13rem;\n  }\n\n  .sm\\:pb-56 {\n    padding-bottom: 14rem;\n  }\n\n  .sm\\:pb-60 {\n    padding-bottom: 15rem;\n  }\n\n  .sm\\:pb-64 {\n    padding-bottom: 16rem;\n  }\n\n  .sm\\:pb-72 {\n    padding-bottom: 18rem;\n  }\n\n  .sm\\:pb-80 {\n    padding-bottom: 20rem;\n  }\n\n  .sm\\:pb-96 {\n    padding-bottom: 24rem;\n  }\n\n  .sm\\:pb-px {\n    padding-bottom: 1px;\n  }\n\n  .sm\\:pb-0\\.5 {\n    padding-bottom: 0.125rem;\n  }\n\n  .sm\\:pb-1\\.5 {\n    padding-bottom: 0.375rem;\n  }\n\n  .sm\\:pb-2\\.5 {\n    padding-bottom: 0.625rem;\n  }\n\n  .sm\\:pb-3\\.5 {\n    padding-bottom: 0.875rem;\n  }\n\n  .sm\\:pl-0 {\n    padding-left: 0px;\n  }\n\n  .sm\\:pl-1 {\n    padding-left: 0.25rem;\n  }\n\n  .sm\\:pl-2 {\n    padding-left: 0.5rem;\n  }\n\n  .sm\\:pl-3 {\n    padding-left: 0.75rem;\n  }\n\n  .sm\\:pl-4 {\n    padding-left: 1rem;\n  }\n\n  .sm\\:pl-5 {\n    padding-left: 1.25rem;\n  }\n\n  .sm\\:pl-6 {\n    padding-left: 1.5rem;\n  }\n\n  .sm\\:pl-7 {\n    padding-left: 1.75rem;\n  }\n\n  .sm\\:pl-8 {\n    padding-left: 2rem;\n  }\n\n  .sm\\:pl-9 {\n    padding-left: 2.25rem;\n  }\n\n  .sm\\:pl-10 {\n    padding-left: 2.5rem;\n  }\n\n  .sm\\:pl-11 {\n    padding-left: 2.75rem;\n  }\n\n  .sm\\:pl-12 {\n    padding-left: 3rem;\n  }\n\n  .sm\\:pl-14 {\n    padding-left: 3.5rem;\n  }\n\n  .sm\\:pl-16 {\n    padding-left: 4rem;\n  }\n\n  .sm\\:pl-20 {\n    padding-left: 5rem;\n  }\n\n  .sm\\:pl-24 {\n    padding-left: 6rem;\n  }\n\n  .sm\\:pl-28 {\n    padding-left: 7rem;\n  }\n\n  .sm\\:pl-32 {\n    padding-left: 8rem;\n  }\n\n  .sm\\:pl-36 {\n    padding-left: 9rem;\n  }\n\n  .sm\\:pl-40 {\n    padding-left: 10rem;\n  }\n\n  .sm\\:pl-44 {\n    padding-left: 11rem;\n  }\n\n  .sm\\:pl-48 {\n    padding-left: 12rem;\n  }\n\n  .sm\\:pl-52 {\n    padding-left: 13rem;\n  }\n\n  .sm\\:pl-56 {\n    padding-left: 14rem;\n  }\n\n  .sm\\:pl-60 {\n    padding-left: 15rem;\n  }\n\n  .sm\\:pl-64 {\n    padding-left: 16rem;\n  }\n\n  .sm\\:pl-72 {\n    padding-left: 18rem;\n  }\n\n  .sm\\:pl-80 {\n    padding-left: 20rem;\n  }\n\n  .sm\\:pl-96 {\n    padding-left: 24rem;\n  }\n\n  .sm\\:pl-px {\n    padding-left: 1px;\n  }\n\n  .sm\\:pl-0\\.5 {\n    padding-left: 0.125rem;\n  }\n\n  .sm\\:pl-1\\.5 {\n    padding-left: 0.375rem;\n  }\n\n  .sm\\:pl-2\\.5 {\n    padding-left: 0.625rem;\n  }\n\n  .sm\\:pl-3\\.5 {\n    padding-left: 0.875rem;\n  }\n\n  .sm\\:text-left {\n    text-align: left;\n  }\n\n  .sm\\:text-center {\n    text-align: center;\n  }\n\n  .sm\\:text-right {\n    text-align: right;\n  }\n\n  .sm\\:text-justify {\n    text-align: justify;\n  }\n\n  .sm\\:align-baseline {\n    vertical-align: baseline;\n  }\n\n  .sm\\:align-top {\n    vertical-align: top;\n  }\n\n  .sm\\:align-middle {\n    vertical-align: middle;\n  }\n\n  .sm\\:align-bottom {\n    vertical-align: bottom;\n  }\n\n  .sm\\:align-text-top {\n    vertical-align: text-top;\n  }\n\n  .sm\\:align-text-bottom {\n    vertical-align: text-bottom;\n  }\n\n  .sm\\:font-sans {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .sm\\:font-serif {\n    font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n  }\n\n  .sm\\:font-mono {\n    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  }\n\n  .sm\\:font-sansSailec {\n    font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .sm\\:font-sansInter {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .sm\\:text-xs {\n    font-size: 0.75rem;\n    line-height: 1rem;\n  }\n\n  .sm\\:text-sm {\n    font-size: 0.875rem;\n    line-height: 1.25rem;\n  }\n\n  .sm\\:text-base {\n    font-size: 1rem;\n    line-height: 1.5rem;\n  }\n\n  .sm\\:text-lg {\n    font-size: 1.125rem;\n    line-height: 1.75rem;\n  }\n\n  .sm\\:text-xl {\n    font-size: 1.25rem;\n    line-height: 1.75rem;\n  }\n\n  .sm\\:text-2xl {\n    font-size: 1.5rem;\n    line-height: 2rem;\n  }\n\n  .sm\\:text-3xl {\n    font-size: 2rem;\n    line-height: 2.25rem;\n  }\n\n  .sm\\:text-4xl {\n    font-size: 2.25rem;\n    line-height: 2.5rem;\n  }\n\n  .sm\\:text-5xl {\n    font-size: 3rem;\n    line-height: 1;\n  }\n\n  .sm\\:text-6xl {\n    font-size: 3.75rem;\n    line-height: 1;\n  }\n\n  .sm\\:text-7xl {\n    font-size: 4.5rem;\n    line-height: 1;\n  }\n\n  .sm\\:text-8xl {\n    font-size: 6rem;\n    line-height: 1;\n  }\n\n  .sm\\:text-9xl {\n    font-size: 8rem;\n    line-height: 1;\n  }\n\n  .sm\\:text-2xs {\n    font-size: 10pt;\n    letter-spacing: -0.01em;\n  }\n\n  .sm\\:font-thin {\n    font-weight: 100;\n  }\n\n  .sm\\:font-extralight {\n    font-weight: 200;\n  }\n\n  .sm\\:font-light {\n    font-weight: 300;\n  }\n\n  .sm\\:font-normal {\n    font-weight: 400;\n  }\n\n  .sm\\:font-medium {\n    font-weight: 500;\n  }\n\n  .sm\\:font-semibold {\n    font-weight: 600;\n  }\n\n  .sm\\:font-bold {\n    font-weight: 700;\n  }\n\n  .sm\\:font-extrabold {\n    font-weight: 800;\n  }\n\n  .sm\\:font-black {\n    font-weight: 900;\n  }\n\n  .sm\\:uppercase {\n    text-transform: uppercase;\n  }\n\n  .sm\\:lowercase {\n    text-transform: lowercase;\n  }\n\n  .sm\\:capitalize {\n    text-transform: capitalize;\n  }\n\n  .sm\\:normal-case {\n    text-transform: none;\n  }\n\n  .sm\\:italic {\n    font-style: italic;\n  }\n\n  .sm\\:not-italic {\n    font-style: normal;\n  }\n\n  .sm\\:ordinal, .sm\\:slashed-zero, .sm\\:lining-nums, .sm\\:oldstyle-nums, .sm\\:proportional-nums, .sm\\:tabular-nums, .sm\\:diagonal-fractions, .sm\\:stacked-fractions {\n    --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n    --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n    font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n  }\n\n  .sm\\:normal-nums {\n    font-variant-numeric: normal;\n  }\n\n  .sm\\:ordinal {\n    --tw-ordinal: ordinal;\n  }\n\n  .sm\\:slashed-zero {\n    --tw-slashed-zero: slashed-zero;\n  }\n\n  .sm\\:lining-nums {\n    --tw-numeric-figure: lining-nums;\n  }\n\n  .sm\\:oldstyle-nums {\n    --tw-numeric-figure: oldstyle-nums;\n  }\n\n  .sm\\:proportional-nums {\n    --tw-numeric-spacing: proportional-nums;\n  }\n\n  .sm\\:tabular-nums {\n    --tw-numeric-spacing: tabular-nums;\n  }\n\n  .sm\\:diagonal-fractions {\n    --tw-numeric-fraction: diagonal-fractions;\n  }\n\n  .sm\\:stacked-fractions {\n    --tw-numeric-fraction: stacked-fractions;\n  }\n\n  .sm\\:leading-3 {\n    line-height: .75rem;\n  }\n\n  .sm\\:leading-4 {\n    line-height: 1rem;\n  }\n\n  .sm\\:leading-5 {\n    line-height: 1.25rem;\n  }\n\n  .sm\\:leading-6 {\n    line-height: 1.5rem;\n  }\n\n  .sm\\:leading-7 {\n    line-height: 1.75rem;\n  }\n\n  .sm\\:leading-8 {\n    line-height: 2rem;\n  }\n\n  .sm\\:leading-9 {\n    line-height: 2.25rem;\n  }\n\n  .sm\\:leading-10 {\n    line-height: 2.5rem;\n  }\n\n  .sm\\:leading-none {\n    line-height: 1;\n  }\n\n  .sm\\:leading-tight {\n    line-height: 1.25;\n  }\n\n  .sm\\:leading-snug {\n    line-height: 1.375;\n  }\n\n  .sm\\:leading-normal {\n    line-height: 1.5;\n  }\n\n  .sm\\:leading-relaxed {\n    line-height: 1.625;\n  }\n\n  .sm\\:leading-loose {\n    line-height: 2;\n  }\n\n  .sm\\:leading-button {\n    line-height: 3.5rem;\n  }\n\n  .sm\\:tracking-tighter {\n    letter-spacing: -0.05em;\n  }\n\n  .sm\\:tracking-tight {\n    letter-spacing: -0.025em;\n  }\n\n  .sm\\:tracking-normal {\n    letter-spacing: 0em;\n  }\n\n  .sm\\:tracking-wide {\n    letter-spacing: 0.025em;\n  }\n\n  .sm\\:tracking-wider {\n    letter-spacing: 0.05em;\n  }\n\n  .sm\\:tracking-widest {\n    letter-spacing: 0.1em;\n  }\n\n  .sm\\:text-transparent {\n    color: transparent;\n  }\n\n  .sm\\:text-current {\n    color: currentColor;\n  }\n\n  .sm\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-transparent {\n    color: transparent;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-current {\n    color: currentColor;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .sm\\:group-hover\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-transparent:focus-within {\n    color: transparent;\n  }\n\n  .sm\\:focus-within\\:text-current:focus-within {\n    color: currentColor;\n  }\n\n  .sm\\:focus-within\\:text-black:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-white:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-gray-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-red-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-yellow-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-green-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-blue-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-indigo-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-purple-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-pink-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-origin-protocol-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-origin-protocol-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-ousd-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-ousd-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-ousd-button-dark-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-ousd-button-dark-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-pink-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-pink-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-footer-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-story-pink:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus-within\\:text-link-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-transparent:hover {\n    color: transparent;\n  }\n\n  .sm\\:hover\\:text-current:hover {\n    color: currentColor;\n  }\n\n  .sm\\:hover\\:text-black:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-white:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-gray-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-red-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-yellow-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-green-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-blue-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-indigo-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-purple-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-pink-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-origin-protocol-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-origin-protocol-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-ousd-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-ousd-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-ousd-button-dark-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-ousd-button-dark-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-pink-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-pink-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-footer-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-story-pink:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:hover\\:text-link-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-transparent:focus {\n    color: transparent;\n  }\n\n  .sm\\:focus\\:text-current:focus {\n    color: currentColor;\n  }\n\n  .sm\\:focus\\:text-black:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-white:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-gray-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-red-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-yellow-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-green-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-blue-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-indigo-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-purple-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-pink-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-origin-protocol-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-origin-protocol-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-ousd-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-ousd-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-ousd-button-dark-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-ousd-button-dark-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-pink-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-pink-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-footer-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-story-pink:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .sm\\:focus\\:text-link-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .sm\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .sm\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .sm\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .sm\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .sm\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .sm\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .sm\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .sm\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .sm\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .sm\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .sm\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .sm\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .sm\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .sm\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .sm\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .group:hover .sm\\:group-hover\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .sm\\:focus-within\\:text-opacity-0:focus-within {\n    --tw-text-opacity: 0;\n  }\n\n  .sm\\:focus-within\\:text-opacity-5:focus-within {\n    --tw-text-opacity: 0.05;\n  }\n\n  .sm\\:focus-within\\:text-opacity-10:focus-within {\n    --tw-text-opacity: 0.1;\n  }\n\n  .sm\\:focus-within\\:text-opacity-20:focus-within {\n    --tw-text-opacity: 0.2;\n  }\n\n  .sm\\:focus-within\\:text-opacity-25:focus-within {\n    --tw-text-opacity: 0.25;\n  }\n\n  .sm\\:focus-within\\:text-opacity-30:focus-within {\n    --tw-text-opacity: 0.3;\n  }\n\n  .sm\\:focus-within\\:text-opacity-40:focus-within {\n    --tw-text-opacity: 0.4;\n  }\n\n  .sm\\:focus-within\\:text-opacity-50:focus-within {\n    --tw-text-opacity: 0.5;\n  }\n\n  .sm\\:focus-within\\:text-opacity-60:focus-within {\n    --tw-text-opacity: 0.6;\n  }\n\n  .sm\\:focus-within\\:text-opacity-70:focus-within {\n    --tw-text-opacity: 0.7;\n  }\n\n  .sm\\:focus-within\\:text-opacity-75:focus-within {\n    --tw-text-opacity: 0.75;\n  }\n\n  .sm\\:focus-within\\:text-opacity-80:focus-within {\n    --tw-text-opacity: 0.8;\n  }\n\n  .sm\\:focus-within\\:text-opacity-90:focus-within {\n    --tw-text-opacity: 0.9;\n  }\n\n  .sm\\:focus-within\\:text-opacity-95:focus-within {\n    --tw-text-opacity: 0.95;\n  }\n\n  .sm\\:focus-within\\:text-opacity-100:focus-within {\n    --tw-text-opacity: 1;\n  }\n\n  .sm\\:hover\\:text-opacity-0:hover {\n    --tw-text-opacity: 0;\n  }\n\n  .sm\\:hover\\:text-opacity-5:hover {\n    --tw-text-opacity: 0.05;\n  }\n\n  .sm\\:hover\\:text-opacity-10:hover {\n    --tw-text-opacity: 0.1;\n  }\n\n  .sm\\:hover\\:text-opacity-20:hover {\n    --tw-text-opacity: 0.2;\n  }\n\n  .sm\\:hover\\:text-opacity-25:hover {\n    --tw-text-opacity: 0.25;\n  }\n\n  .sm\\:hover\\:text-opacity-30:hover {\n    --tw-text-opacity: 0.3;\n  }\n\n  .sm\\:hover\\:text-opacity-40:hover {\n    --tw-text-opacity: 0.4;\n  }\n\n  .sm\\:hover\\:text-opacity-50:hover {\n    --tw-text-opacity: 0.5;\n  }\n\n  .sm\\:hover\\:text-opacity-60:hover {\n    --tw-text-opacity: 0.6;\n  }\n\n  .sm\\:hover\\:text-opacity-70:hover {\n    --tw-text-opacity: 0.7;\n  }\n\n  .sm\\:hover\\:text-opacity-75:hover {\n    --tw-text-opacity: 0.75;\n  }\n\n  .sm\\:hover\\:text-opacity-80:hover {\n    --tw-text-opacity: 0.8;\n  }\n\n  .sm\\:hover\\:text-opacity-90:hover {\n    --tw-text-opacity: 0.9;\n  }\n\n  .sm\\:hover\\:text-opacity-95:hover {\n    --tw-text-opacity: 0.95;\n  }\n\n  .sm\\:hover\\:text-opacity-100:hover {\n    --tw-text-opacity: 1;\n  }\n\n  .sm\\:focus\\:text-opacity-0:focus {\n    --tw-text-opacity: 0;\n  }\n\n  .sm\\:focus\\:text-opacity-5:focus {\n    --tw-text-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:text-opacity-10:focus {\n    --tw-text-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:text-opacity-20:focus {\n    --tw-text-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:text-opacity-25:focus {\n    --tw-text-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:text-opacity-30:focus {\n    --tw-text-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:text-opacity-40:focus {\n    --tw-text-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:text-opacity-50:focus {\n    --tw-text-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:text-opacity-60:focus {\n    --tw-text-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:text-opacity-70:focus {\n    --tw-text-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:text-opacity-75:focus {\n    --tw-text-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:text-opacity-80:focus {\n    --tw-text-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:text-opacity-90:focus {\n    --tw-text-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:text-opacity-95:focus {\n    --tw-text-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:text-opacity-100:focus {\n    --tw-text-opacity: 1;\n  }\n\n  .sm\\:underline {\n    text-decoration: underline;\n  }\n\n  .sm\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .sm\\:no-underline {\n    text-decoration: none;\n  }\n\n  .group:hover .sm\\:group-hover\\:underline {\n    text-decoration: underline;\n  }\n\n  .group:hover .sm\\:group-hover\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .group:hover .sm\\:group-hover\\:no-underline {\n    text-decoration: none;\n  }\n\n  .sm\\:focus-within\\:underline:focus-within {\n    text-decoration: underline;\n  }\n\n  .sm\\:focus-within\\:line-through:focus-within {\n    text-decoration: line-through;\n  }\n\n  .sm\\:focus-within\\:no-underline:focus-within {\n    text-decoration: none;\n  }\n\n  .sm\\:hover\\:underline:hover {\n    text-decoration: underline;\n  }\n\n  .sm\\:hover\\:line-through:hover {\n    text-decoration: line-through;\n  }\n\n  .sm\\:hover\\:no-underline:hover {\n    text-decoration: none;\n  }\n\n  .sm\\:focus\\:underline:focus {\n    text-decoration: underline;\n  }\n\n  .sm\\:focus\\:line-through:focus {\n    text-decoration: line-through;\n  }\n\n  .sm\\:focus\\:no-underline:focus {\n    text-decoration: none;\n  }\n\n  .sm\\:antialiased {\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  .sm\\:subpixel-antialiased {\n    -webkit-font-smoothing: auto;\n    -moz-osx-font-smoothing: auto;\n  }\n\n  .sm\\:placeholder-transparent::-moz-placeholder {\n    color: transparent;\n  }\n\n  .sm\\:placeholder-transparent::placeholder {\n    color: transparent;\n  }\n\n  .sm\\:placeholder-current::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .sm\\:placeholder-current::placeholder {\n    color: currentColor;\n  }\n\n  .sm\\:placeholder-black::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-black::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-white::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-white::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-gray-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-red-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-yellow-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-green-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-blue-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-indigo-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-purple-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-pink-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-origin-protocol-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-origin-protocol-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-origin-protocol-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-origin-protocol-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-dark-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-dark-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-dark-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-ousd-button-dark-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-pink-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-pink-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-pink-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-story-pink-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-footer-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-footer-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-transparent:focus::-moz-placeholder {\n    color: transparent;\n  }\n\n  .sm\\:focus\\:placeholder-transparent:focus::placeholder {\n    color: transparent;\n  }\n\n  .sm\\:focus\\:placeholder-current:focus::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .sm\\:focus\\:placeholder-current:focus::placeholder {\n    color: currentColor;\n  }\n\n  .sm\\:focus\\:placeholder-black:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-black:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-white:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-white:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-gray-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-red-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-yellow-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-green-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-blue-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-indigo-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-purple-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-pink-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-pink-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-story-pink-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-footer-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:focus\\:placeholder-footer-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .sm\\:placeholder-opacity-0::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .sm\\:placeholder-opacity-0::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .sm\\:placeholder-opacity-5::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .sm\\:placeholder-opacity-5::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .sm\\:placeholder-opacity-10::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .sm\\:placeholder-opacity-10::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .sm\\:placeholder-opacity-20::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .sm\\:placeholder-opacity-20::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .sm\\:placeholder-opacity-25::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .sm\\:placeholder-opacity-25::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .sm\\:placeholder-opacity-30::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .sm\\:placeholder-opacity-30::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .sm\\:placeholder-opacity-40::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .sm\\:placeholder-opacity-40::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .sm\\:placeholder-opacity-50::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .sm\\:placeholder-opacity-50::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .sm\\:placeholder-opacity-60::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .sm\\:placeholder-opacity-60::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .sm\\:placeholder-opacity-70::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .sm\\:placeholder-opacity-70::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .sm\\:placeholder-opacity-75::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .sm\\:placeholder-opacity-75::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .sm\\:placeholder-opacity-80::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .sm\\:placeholder-opacity-80::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .sm\\:placeholder-opacity-90::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .sm\\:placeholder-opacity-90::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .sm\\:placeholder-opacity-95::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .sm\\:placeholder-opacity-95::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .sm\\:placeholder-opacity-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .sm\\:placeholder-opacity-100::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-0:focus::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-5:focus::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-10:focus::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-20:focus::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-25:focus::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-30:focus::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-40:focus::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-50:focus::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-60:focus::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-70:focus::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-75:focus::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-80:focus::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-90:focus::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-95:focus::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .sm\\:focus\\:placeholder-opacity-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .sm\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .sm\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .sm\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .sm\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .sm\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .sm\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .sm\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .sm\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .sm\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .sm\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .sm\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .sm\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .sm\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .sm\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .sm\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .group:hover .sm\\:group-hover\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .sm\\:focus-within\\:opacity-0:focus-within {\n    opacity: 0;\n  }\n\n  .sm\\:focus-within\\:opacity-5:focus-within {\n    opacity: 0.05;\n  }\n\n  .sm\\:focus-within\\:opacity-10:focus-within {\n    opacity: 0.1;\n  }\n\n  .sm\\:focus-within\\:opacity-20:focus-within {\n    opacity: 0.2;\n  }\n\n  .sm\\:focus-within\\:opacity-25:focus-within {\n    opacity: 0.25;\n  }\n\n  .sm\\:focus-within\\:opacity-30:focus-within {\n    opacity: 0.3;\n  }\n\n  .sm\\:focus-within\\:opacity-40:focus-within {\n    opacity: 0.4;\n  }\n\n  .sm\\:focus-within\\:opacity-50:focus-within {\n    opacity: 0.5;\n  }\n\n  .sm\\:focus-within\\:opacity-60:focus-within {\n    opacity: 0.6;\n  }\n\n  .sm\\:focus-within\\:opacity-70:focus-within {\n    opacity: 0.7;\n  }\n\n  .sm\\:focus-within\\:opacity-75:focus-within {\n    opacity: 0.75;\n  }\n\n  .sm\\:focus-within\\:opacity-80:focus-within {\n    opacity: 0.8;\n  }\n\n  .sm\\:focus-within\\:opacity-90:focus-within {\n    opacity: 0.9;\n  }\n\n  .sm\\:focus-within\\:opacity-95:focus-within {\n    opacity: 0.95;\n  }\n\n  .sm\\:focus-within\\:opacity-100:focus-within {\n    opacity: 1;\n  }\n\n  .sm\\:hover\\:opacity-0:hover {\n    opacity: 0;\n  }\n\n  .sm\\:hover\\:opacity-5:hover {\n    opacity: 0.05;\n  }\n\n  .sm\\:hover\\:opacity-10:hover {\n    opacity: 0.1;\n  }\n\n  .sm\\:hover\\:opacity-20:hover {\n    opacity: 0.2;\n  }\n\n  .sm\\:hover\\:opacity-25:hover {\n    opacity: 0.25;\n  }\n\n  .sm\\:hover\\:opacity-30:hover {\n    opacity: 0.3;\n  }\n\n  .sm\\:hover\\:opacity-40:hover {\n    opacity: 0.4;\n  }\n\n  .sm\\:hover\\:opacity-50:hover {\n    opacity: 0.5;\n  }\n\n  .sm\\:hover\\:opacity-60:hover {\n    opacity: 0.6;\n  }\n\n  .sm\\:hover\\:opacity-70:hover {\n    opacity: 0.7;\n  }\n\n  .sm\\:hover\\:opacity-75:hover {\n    opacity: 0.75;\n  }\n\n  .sm\\:hover\\:opacity-80:hover {\n    opacity: 0.8;\n  }\n\n  .sm\\:hover\\:opacity-90:hover {\n    opacity: 0.9;\n  }\n\n  .sm\\:hover\\:opacity-95:hover {\n    opacity: 0.95;\n  }\n\n  .sm\\:hover\\:opacity-100:hover {\n    opacity: 1;\n  }\n\n  .sm\\:focus\\:opacity-0:focus {\n    opacity: 0;\n  }\n\n  .sm\\:focus\\:opacity-5:focus {\n    opacity: 0.05;\n  }\n\n  .sm\\:focus\\:opacity-10:focus {\n    opacity: 0.1;\n  }\n\n  .sm\\:focus\\:opacity-20:focus {\n    opacity: 0.2;\n  }\n\n  .sm\\:focus\\:opacity-25:focus {\n    opacity: 0.25;\n  }\n\n  .sm\\:focus\\:opacity-30:focus {\n    opacity: 0.3;\n  }\n\n  .sm\\:focus\\:opacity-40:focus {\n    opacity: 0.4;\n  }\n\n  .sm\\:focus\\:opacity-50:focus {\n    opacity: 0.5;\n  }\n\n  .sm\\:focus\\:opacity-60:focus {\n    opacity: 0.6;\n  }\n\n  .sm\\:focus\\:opacity-70:focus {\n    opacity: 0.7;\n  }\n\n  .sm\\:focus\\:opacity-75:focus {\n    opacity: 0.75;\n  }\n\n  .sm\\:focus\\:opacity-80:focus {\n    opacity: 0.8;\n  }\n\n  .sm\\:focus\\:opacity-90:focus {\n    opacity: 0.9;\n  }\n\n  .sm\\:focus\\:opacity-95:focus {\n    opacity: 0.95;\n  }\n\n  .sm\\:focus\\:opacity-100:focus {\n    opacity: 1;\n  }\n\n  .sm\\:bg-blend-normal {\n    background-blend-mode: normal;\n  }\n\n  .sm\\:bg-blend-multiply {\n    background-blend-mode: multiply;\n  }\n\n  .sm\\:bg-blend-screen {\n    background-blend-mode: screen;\n  }\n\n  .sm\\:bg-blend-overlay {\n    background-blend-mode: overlay;\n  }\n\n  .sm\\:bg-blend-darken {\n    background-blend-mode: darken;\n  }\n\n  .sm\\:bg-blend-lighten {\n    background-blend-mode: lighten;\n  }\n\n  .sm\\:bg-blend-color-dodge {\n    background-blend-mode: color-dodge;\n  }\n\n  .sm\\:bg-blend-color-burn {\n    background-blend-mode: color-burn;\n  }\n\n  .sm\\:bg-blend-hard-light {\n    background-blend-mode: hard-light;\n  }\n\n  .sm\\:bg-blend-soft-light {\n    background-blend-mode: soft-light;\n  }\n\n  .sm\\:bg-blend-difference {\n    background-blend-mode: difference;\n  }\n\n  .sm\\:bg-blend-exclusion {\n    background-blend-mode: exclusion;\n  }\n\n  .sm\\:bg-blend-hue {\n    background-blend-mode: hue;\n  }\n\n  .sm\\:bg-blend-saturation {\n    background-blend-mode: saturation;\n  }\n\n  .sm\\:bg-blend-color {\n    background-blend-mode: color;\n  }\n\n  .sm\\:bg-blend-luminosity {\n    background-blend-mode: luminosity;\n  }\n\n  .sm\\:mix-blend-normal {\n    mix-blend-mode: normal;\n  }\n\n  .sm\\:mix-blend-multiply {\n    mix-blend-mode: multiply;\n  }\n\n  .sm\\:mix-blend-screen {\n    mix-blend-mode: screen;\n  }\n\n  .sm\\:mix-blend-overlay {\n    mix-blend-mode: overlay;\n  }\n\n  .sm\\:mix-blend-darken {\n    mix-blend-mode: darken;\n  }\n\n  .sm\\:mix-blend-lighten {\n    mix-blend-mode: lighten;\n  }\n\n  .sm\\:mix-blend-color-dodge {\n    mix-blend-mode: color-dodge;\n  }\n\n  .sm\\:mix-blend-color-burn {\n    mix-blend-mode: color-burn;\n  }\n\n  .sm\\:mix-blend-hard-light {\n    mix-blend-mode: hard-light;\n  }\n\n  .sm\\:mix-blend-soft-light {\n    mix-blend-mode: soft-light;\n  }\n\n  .sm\\:mix-blend-difference {\n    mix-blend-mode: difference;\n  }\n\n  .sm\\:mix-blend-exclusion {\n    mix-blend-mode: exclusion;\n  }\n\n  .sm\\:mix-blend-hue {\n    mix-blend-mode: hue;\n  }\n\n  .sm\\:mix-blend-saturation {\n    mix-blend-mode: saturation;\n  }\n\n  .sm\\:mix-blend-color {\n    mix-blend-mode: color;\n  }\n\n  .sm\\:mix-blend-luminosity {\n    mix-blend-mode: luminosity;\n  }\n\n  .sm\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .sm\\:group-hover\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-sm:focus-within {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow:focus-within {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-md:focus-within {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-lg:focus-within {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-xl:focus-within {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-2xl:focus-within {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-inner:focus-within {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus-within\\:shadow-none:focus-within {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-sm:hover {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow:hover {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-md:hover {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-lg:hover {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-xl:hover {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-2xl:hover {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-inner:hover {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:hover\\:shadow-none:hover {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-sm:focus {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow:focus {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-md:focus {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-lg:focus {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-xl:focus {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-2xl:focus {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-inner:focus {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:focus\\:shadow-none:focus {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .sm\\:outline-none {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .sm\\:outline-white {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .sm\\:outline-black {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus-within\\:outline-none:focus-within {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus-within\\:outline-white:focus-within {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus-within\\:outline-black:focus-within {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus\\:outline-none:focus {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus\\:outline-white:focus {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .sm\\:focus\\:outline-black:focus {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .sm\\:ring-0 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring-1 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring-2 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring-4 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring-8 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring-0:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring-1:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring-2:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring-4:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring-8:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus-within\\:ring:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring-0:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring-1:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring-2:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring-4:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring-8:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:focus\\:ring:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .sm\\:ring-inset {\n    --tw-ring-inset: inset;\n  }\n\n  .sm\\:focus-within\\:ring-inset:focus-within {\n    --tw-ring-inset: inset;\n  }\n\n  .sm\\:focus\\:ring-inset:focus {\n    --tw-ring-inset: inset;\n  }\n\n  .sm\\:ring-transparent {\n    --tw-ring-color: transparent;\n  }\n\n  .sm\\:ring-current {\n    --tw-ring-color: currentColor;\n  }\n\n  .sm\\:ring-black {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-white {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-gray-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-red-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-yellow-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-green-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-blue-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-indigo-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-purple-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-pink-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-origin-protocol-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-origin-protocol-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-ousd-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-ousd-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-ousd-button-dark-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-ousd-button-dark-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-story-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-story-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-story-pink-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-story-pink-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-footer-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-transparent:focus-within {\n    --tw-ring-color: transparent;\n  }\n\n  .sm\\:focus-within\\:ring-current:focus-within {\n    --tw-ring-color: currentColor;\n  }\n\n  .sm\\:focus-within\\:ring-black:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-white:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-gray-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-red-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-yellow-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-green-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-blue-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-indigo-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-purple-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-pink-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-origin-protocol-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-origin-protocol-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-ousd-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-ousd-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-ousd-button-dark-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-ousd-button-dark-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-story-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-story-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-story-pink-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-story-pink-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus-within\\:ring-footer-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-transparent:focus {\n    --tw-ring-color: transparent;\n  }\n\n  .sm\\:focus\\:ring-current:focus {\n    --tw-ring-color: currentColor;\n  }\n\n  .sm\\:focus\\:ring-black:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-white:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-gray-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-red-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-yellow-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-green-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-blue-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-indigo-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-purple-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-pink-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-origin-protocol-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-origin-protocol-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-ousd-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-ousd-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-ousd-button-dark-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-ousd-button-dark-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-story-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-story-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-story-pink-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-story-pink-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .sm\\:focus\\:ring-footer-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .sm\\:ring-opacity-0 {\n    --tw-ring-opacity: 0;\n  }\n\n  .sm\\:ring-opacity-5 {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .sm\\:ring-opacity-10 {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .sm\\:ring-opacity-20 {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .sm\\:ring-opacity-25 {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .sm\\:ring-opacity-30 {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .sm\\:ring-opacity-40 {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .sm\\:ring-opacity-50 {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .sm\\:ring-opacity-60 {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .sm\\:ring-opacity-70 {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .sm\\:ring-opacity-75 {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .sm\\:ring-opacity-80 {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .sm\\:ring-opacity-90 {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .sm\\:ring-opacity-95 {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .sm\\:ring-opacity-100 {\n    --tw-ring-opacity: 1;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-0:focus-within {\n    --tw-ring-opacity: 0;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-5:focus-within {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-10:focus-within {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-20:focus-within {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-25:focus-within {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-30:focus-within {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-40:focus-within {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-50:focus-within {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-60:focus-within {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-70:focus-within {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-75:focus-within {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-80:focus-within {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-90:focus-within {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-95:focus-within {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .sm\\:focus-within\\:ring-opacity-100:focus-within {\n    --tw-ring-opacity: 1;\n  }\n\n  .sm\\:focus\\:ring-opacity-0:focus {\n    --tw-ring-opacity: 0;\n  }\n\n  .sm\\:focus\\:ring-opacity-5:focus {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .sm\\:focus\\:ring-opacity-10:focus {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .sm\\:focus\\:ring-opacity-20:focus {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .sm\\:focus\\:ring-opacity-25:focus {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .sm\\:focus\\:ring-opacity-30:focus {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .sm\\:focus\\:ring-opacity-40:focus {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .sm\\:focus\\:ring-opacity-50:focus {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .sm\\:focus\\:ring-opacity-60:focus {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .sm\\:focus\\:ring-opacity-70:focus {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .sm\\:focus\\:ring-opacity-75:focus {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .sm\\:focus\\:ring-opacity-80:focus {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .sm\\:focus\\:ring-opacity-90:focus {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .sm\\:focus\\:ring-opacity-95:focus {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .sm\\:focus\\:ring-opacity-100:focus {\n    --tw-ring-opacity: 1;\n  }\n\n  .sm\\:ring-offset-0 {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .sm\\:ring-offset-1 {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .sm\\:ring-offset-2 {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .sm\\:ring-offset-4 {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .sm\\:ring-offset-8 {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .sm\\:focus-within\\:ring-offset-0:focus-within {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .sm\\:focus-within\\:ring-offset-1:focus-within {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .sm\\:focus-within\\:ring-offset-2:focus-within {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .sm\\:focus-within\\:ring-offset-4:focus-within {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .sm\\:focus-within\\:ring-offset-8:focus-within {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .sm\\:focus\\:ring-offset-0:focus {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .sm\\:focus\\:ring-offset-1:focus {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .sm\\:focus\\:ring-offset-2:focus {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .sm\\:focus\\:ring-offset-4:focus {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .sm\\:focus\\:ring-offset-8:focus {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .sm\\:ring-offset-transparent {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .sm\\:ring-offset-current {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .sm\\:ring-offset-black {\n    --tw-ring-offset-color: #000;\n  }\n\n  .sm\\:ring-offset-white {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .sm\\:ring-offset-gray-50 {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .sm\\:ring-offset-gray-100 {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .sm\\:ring-offset-gray-200 {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .sm\\:ring-offset-gray-300 {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .sm\\:ring-offset-gray-400 {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .sm\\:ring-offset-gray-500 {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .sm\\:ring-offset-gray-600 {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .sm\\:ring-offset-gray-700 {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .sm\\:ring-offset-gray-800 {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .sm\\:ring-offset-gray-900 {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .sm\\:ring-offset-red-50 {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .sm\\:ring-offset-red-100 {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .sm\\:ring-offset-red-200 {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .sm\\:ring-offset-red-300 {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .sm\\:ring-offset-red-400 {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .sm\\:ring-offset-red-500 {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .sm\\:ring-offset-red-600 {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .sm\\:ring-offset-red-700 {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .sm\\:ring-offset-red-800 {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .sm\\:ring-offset-red-900 {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .sm\\:ring-offset-yellow-50 {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .sm\\:ring-offset-yellow-100 {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .sm\\:ring-offset-yellow-200 {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .sm\\:ring-offset-yellow-300 {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .sm\\:ring-offset-yellow-400 {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .sm\\:ring-offset-yellow-500 {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .sm\\:ring-offset-yellow-600 {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .sm\\:ring-offset-yellow-700 {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .sm\\:ring-offset-yellow-800 {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .sm\\:ring-offset-yellow-900 {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .sm\\:ring-offset-green-50 {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .sm\\:ring-offset-green-100 {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .sm\\:ring-offset-green-200 {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .sm\\:ring-offset-green-300 {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .sm\\:ring-offset-green-400 {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .sm\\:ring-offset-green-500 {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .sm\\:ring-offset-green-600 {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .sm\\:ring-offset-green-700 {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .sm\\:ring-offset-green-800 {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .sm\\:ring-offset-green-900 {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .sm\\:ring-offset-blue-50 {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .sm\\:ring-offset-blue-100 {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .sm\\:ring-offset-blue-200 {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .sm\\:ring-offset-blue-300 {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .sm\\:ring-offset-blue-400 {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .sm\\:ring-offset-blue-500 {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .sm\\:ring-offset-blue-600 {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .sm\\:ring-offset-blue-700 {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .sm\\:ring-offset-blue-800 {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .sm\\:ring-offset-blue-900 {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .sm\\:ring-offset-indigo-50 {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .sm\\:ring-offset-indigo-100 {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .sm\\:ring-offset-indigo-200 {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .sm\\:ring-offset-indigo-300 {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .sm\\:ring-offset-indigo-400 {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .sm\\:ring-offset-indigo-500 {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .sm\\:ring-offset-indigo-600 {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .sm\\:ring-offset-indigo-700 {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .sm\\:ring-offset-indigo-800 {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .sm\\:ring-offset-indigo-900 {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .sm\\:ring-offset-purple-50 {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .sm\\:ring-offset-purple-100 {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .sm\\:ring-offset-purple-200 {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .sm\\:ring-offset-purple-300 {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .sm\\:ring-offset-purple-400 {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .sm\\:ring-offset-purple-500 {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .sm\\:ring-offset-purple-600 {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .sm\\:ring-offset-purple-700 {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .sm\\:ring-offset-purple-800 {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .sm\\:ring-offset-purple-900 {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .sm\\:ring-offset-pink-50 {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .sm\\:ring-offset-pink-100 {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .sm\\:ring-offset-pink-200 {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .sm\\:ring-offset-pink-300 {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .sm\\:ring-offset-pink-400 {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .sm\\:ring-offset-pink-500 {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .sm\\:ring-offset-pink-600 {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .sm\\:ring-offset-pink-700 {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .sm\\:ring-offset-pink-800 {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .sm\\:ring-offset-pink-900 {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .sm\\:ring-offset-origin-protocol-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:ring-offset-origin-protocol-button-end {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .sm\\:ring-offset-ousd-button-start {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .sm\\:ring-offset-ousd-button-end {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .sm\\:ring-offset-ousd-button-dark-start {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .sm\\:ring-offset-ousd-button-dark-end {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .sm\\:ring-offset-story-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:ring-offset-story-button-end {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .sm\\:ring-offset-story-pink-start {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .sm\\:ring-offset-story-pink-end {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .sm\\:ring-offset-footer-end {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .sm\\:focus-within\\:ring-offset-transparent:focus-within {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .sm\\:focus-within\\:ring-offset-current:focus-within {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .sm\\:focus-within\\:ring-offset-black:focus-within {\n    --tw-ring-offset-color: #000;\n  }\n\n  .sm\\:focus-within\\:ring-offset-white:focus-within {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-50:focus-within {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-100:focus-within {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-200:focus-within {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-300:focus-within {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-400:focus-within {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-500:focus-within {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-600:focus-within {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-700:focus-within {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-800:focus-within {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .sm\\:focus-within\\:ring-offset-gray-900:focus-within {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-50:focus-within {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-100:focus-within {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-200:focus-within {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-300:focus-within {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-400:focus-within {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-500:focus-within {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-600:focus-within {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-700:focus-within {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-800:focus-within {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .sm\\:focus-within\\:ring-offset-red-900:focus-within {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-50:focus-within {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-100:focus-within {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-200:focus-within {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-300:focus-within {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-400:focus-within {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-500:focus-within {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-600:focus-within {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-700:focus-within {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-800:focus-within {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .sm\\:focus-within\\:ring-offset-yellow-900:focus-within {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-50:focus-within {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-100:focus-within {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-200:focus-within {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-300:focus-within {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-400:focus-within {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-500:focus-within {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-600:focus-within {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-700:focus-within {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-800:focus-within {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .sm\\:focus-within\\:ring-offset-green-900:focus-within {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-50:focus-within {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-100:focus-within {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-200:focus-within {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-300:focus-within {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-400:focus-within {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-500:focus-within {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-600:focus-within {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-700:focus-within {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-800:focus-within {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .sm\\:focus-within\\:ring-offset-blue-900:focus-within {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-50:focus-within {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-100:focus-within {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-200:focus-within {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-300:focus-within {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-400:focus-within {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-500:focus-within {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-600:focus-within {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-700:focus-within {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-800:focus-within {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .sm\\:focus-within\\:ring-offset-indigo-900:focus-within {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-50:focus-within {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-100:focus-within {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-200:focus-within {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-300:focus-within {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-400:focus-within {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-500:focus-within {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-600:focus-within {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-700:focus-within {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-800:focus-within {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-purple-900:focus-within {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-50:focus-within {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-100:focus-within {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-200:focus-within {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-300:focus-within {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-400:focus-within {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-500:focus-within {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-600:focus-within {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-700:focus-within {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-800:focus-within {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .sm\\:focus-within\\:ring-offset-pink-900:focus-within {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .sm\\:focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .sm\\:focus-within\\:ring-offset-ousd-button-start:focus-within {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .sm\\:focus-within\\:ring-offset-ousd-button-end:focus-within {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .sm\\:focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .sm\\:focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .sm\\:focus-within\\:ring-offset-story-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:focus-within\\:ring-offset-story-button-end:focus-within {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .sm\\:focus-within\\:ring-offset-story-pink-start:focus-within {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .sm\\:focus-within\\:ring-offset-story-pink-end:focus-within {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .sm\\:focus-within\\:ring-offset-footer-end:focus-within {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .sm\\:focus\\:ring-offset-transparent:focus {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .sm\\:focus\\:ring-offset-current:focus {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .sm\\:focus\\:ring-offset-black:focus {\n    --tw-ring-offset-color: #000;\n  }\n\n  .sm\\:focus\\:ring-offset-white:focus {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-50:focus {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-100:focus {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-200:focus {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-300:focus {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-400:focus {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-500:focus {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-600:focus {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-700:focus {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-800:focus {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .sm\\:focus\\:ring-offset-gray-900:focus {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .sm\\:focus\\:ring-offset-red-50:focus {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .sm\\:focus\\:ring-offset-red-100:focus {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .sm\\:focus\\:ring-offset-red-200:focus {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .sm\\:focus\\:ring-offset-red-300:focus {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .sm\\:focus\\:ring-offset-red-400:focus {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .sm\\:focus\\:ring-offset-red-500:focus {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .sm\\:focus\\:ring-offset-red-600:focus {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .sm\\:focus\\:ring-offset-red-700:focus {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .sm\\:focus\\:ring-offset-red-800:focus {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .sm\\:focus\\:ring-offset-red-900:focus {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-50:focus {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-100:focus {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-200:focus {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-300:focus {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-400:focus {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-500:focus {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-600:focus {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-700:focus {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-800:focus {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .sm\\:focus\\:ring-offset-yellow-900:focus {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .sm\\:focus\\:ring-offset-green-50:focus {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .sm\\:focus\\:ring-offset-green-100:focus {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .sm\\:focus\\:ring-offset-green-200:focus {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .sm\\:focus\\:ring-offset-green-300:focus {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .sm\\:focus\\:ring-offset-green-400:focus {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .sm\\:focus\\:ring-offset-green-500:focus {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .sm\\:focus\\:ring-offset-green-600:focus {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .sm\\:focus\\:ring-offset-green-700:focus {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .sm\\:focus\\:ring-offset-green-800:focus {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .sm\\:focus\\:ring-offset-green-900:focus {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-50:focus {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-100:focus {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-200:focus {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-300:focus {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-400:focus {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-500:focus {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-600:focus {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-700:focus {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-800:focus {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .sm\\:focus\\:ring-offset-blue-900:focus {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-50:focus {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-100:focus {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-200:focus {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-300:focus {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-400:focus {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-500:focus {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-600:focus {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-700:focus {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-800:focus {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .sm\\:focus\\:ring-offset-indigo-900:focus {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-50:focus {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-100:focus {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-200:focus {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-300:focus {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-400:focus {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-500:focus {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-600:focus {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-700:focus {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-800:focus {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .sm\\:focus\\:ring-offset-purple-900:focus {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-50:focus {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-100:focus {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-200:focus {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-300:focus {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-400:focus {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-500:focus {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-600:focus {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-700:focus {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-800:focus {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .sm\\:focus\\:ring-offset-pink-900:focus {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .sm\\:focus\\:ring-offset-origin-protocol-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:focus\\:ring-offset-origin-protocol-button-end:focus {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .sm\\:focus\\:ring-offset-ousd-button-start:focus {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .sm\\:focus\\:ring-offset-ousd-button-end:focus {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .sm\\:focus\\:ring-offset-ousd-button-dark-start:focus {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .sm\\:focus\\:ring-offset-ousd-button-dark-end:focus {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .sm\\:focus\\:ring-offset-story-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .sm\\:focus\\:ring-offset-story-button-end:focus {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .sm\\:focus\\:ring-offset-story-pink-start:focus {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .sm\\:focus\\:ring-offset-story-pink-end:focus {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .sm\\:focus\\:ring-offset-footer-end:focus {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .sm\\:filter {\n    --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n    --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n  }\n\n  .sm\\:filter-none {\n    filter: none;\n  }\n\n  .sm\\:blur-0 {\n    --tw-blur: blur(0);\n  }\n\n  .sm\\:blur-none {\n    --tw-blur: blur(0);\n  }\n\n  .sm\\:blur-sm {\n    --tw-blur: blur(4px);\n  }\n\n  .sm\\:blur {\n    --tw-blur: blur(8px);\n  }\n\n  .sm\\:blur-md {\n    --tw-blur: blur(12px);\n  }\n\n  .sm\\:blur-lg {\n    --tw-blur: blur(16px);\n  }\n\n  .sm\\:blur-xl {\n    --tw-blur: blur(24px);\n  }\n\n  .sm\\:blur-2xl {\n    --tw-blur: blur(40px);\n  }\n\n  .sm\\:blur-3xl {\n    --tw-blur: blur(64px);\n  }\n\n  .sm\\:brightness-0 {\n    --tw-brightness: brightness(0);\n  }\n\n  .sm\\:brightness-50 {\n    --tw-brightness: brightness(.5);\n  }\n\n  .sm\\:brightness-75 {\n    --tw-brightness: brightness(.75);\n  }\n\n  .sm\\:brightness-90 {\n    --tw-brightness: brightness(.9);\n  }\n\n  .sm\\:brightness-95 {\n    --tw-brightness: brightness(.95);\n  }\n\n  .sm\\:brightness-100 {\n    --tw-brightness: brightness(1);\n  }\n\n  .sm\\:brightness-105 {\n    --tw-brightness: brightness(1.05);\n  }\n\n  .sm\\:brightness-110 {\n    --tw-brightness: brightness(1.1);\n  }\n\n  .sm\\:brightness-125 {\n    --tw-brightness: brightness(1.25);\n  }\n\n  .sm\\:brightness-150 {\n    --tw-brightness: brightness(1.5);\n  }\n\n  .sm\\:brightness-200 {\n    --tw-brightness: brightness(2);\n  }\n\n  .sm\\:contrast-0 {\n    --tw-contrast: contrast(0);\n  }\n\n  .sm\\:contrast-50 {\n    --tw-contrast: contrast(.5);\n  }\n\n  .sm\\:contrast-75 {\n    --tw-contrast: contrast(.75);\n  }\n\n  .sm\\:contrast-100 {\n    --tw-contrast: contrast(1);\n  }\n\n  .sm\\:contrast-125 {\n    --tw-contrast: contrast(1.25);\n  }\n\n  .sm\\:contrast-150 {\n    --tw-contrast: contrast(1.5);\n  }\n\n  .sm\\:contrast-200 {\n    --tw-contrast: contrast(2);\n  }\n\n  .sm\\:drop-shadow-sm {\n    --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n  }\n\n  .sm\\:drop-shadow {\n    --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n  }\n\n  .sm\\:drop-shadow-md {\n    --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n  }\n\n  .sm\\:drop-shadow-lg {\n    --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n  }\n\n  .sm\\:drop-shadow-xl {\n    --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n  }\n\n  .sm\\:drop-shadow-2xl {\n    --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n  }\n\n  .sm\\:drop-shadow-none {\n    --tw-drop-shadow: drop-shadow(0 0 #0000);\n  }\n\n  .sm\\:grayscale-0 {\n    --tw-grayscale: grayscale(0);\n  }\n\n  .sm\\:grayscale {\n    --tw-grayscale: grayscale(100%);\n  }\n\n  .sm\\:hue-rotate-0 {\n    --tw-hue-rotate: hue-rotate(0deg);\n  }\n\n  .sm\\:hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(15deg);\n  }\n\n  .sm\\:hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(30deg);\n  }\n\n  .sm\\:hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(60deg);\n  }\n\n  .sm\\:hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(90deg);\n  }\n\n  .sm\\:hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(180deg);\n  }\n\n  .sm\\:-hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .sm\\:-hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .sm\\:-hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .sm\\:-hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .sm\\:-hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .sm\\:invert-0 {\n    --tw-invert: invert(0);\n  }\n\n  .sm\\:invert {\n    --tw-invert: invert(100%);\n  }\n\n  .sm\\:saturate-0 {\n    --tw-saturate: saturate(0);\n  }\n\n  .sm\\:saturate-50 {\n    --tw-saturate: saturate(.5);\n  }\n\n  .sm\\:saturate-100 {\n    --tw-saturate: saturate(1);\n  }\n\n  .sm\\:saturate-150 {\n    --tw-saturate: saturate(1.5);\n  }\n\n  .sm\\:saturate-200 {\n    --tw-saturate: saturate(2);\n  }\n\n  .sm\\:sepia-0 {\n    --tw-sepia: sepia(0);\n  }\n\n  .sm\\:sepia {\n    --tw-sepia: sepia(100%);\n  }\n\n  .sm\\:backdrop-filter {\n    --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n    -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n            backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n  }\n\n  .sm\\:backdrop-filter-none {\n    -webkit-backdrop-filter: none;\n            backdrop-filter: none;\n  }\n\n  .sm\\:backdrop-blur-0 {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .sm\\:backdrop-blur-none {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .sm\\:backdrop-blur-sm {\n    --tw-backdrop-blur: blur(4px);\n  }\n\n  .sm\\:backdrop-blur {\n    --tw-backdrop-blur: blur(8px);\n  }\n\n  .sm\\:backdrop-blur-md {\n    --tw-backdrop-blur: blur(12px);\n  }\n\n  .sm\\:backdrop-blur-lg {\n    --tw-backdrop-blur: blur(16px);\n  }\n\n  .sm\\:backdrop-blur-xl {\n    --tw-backdrop-blur: blur(24px);\n  }\n\n  .sm\\:backdrop-blur-2xl {\n    --tw-backdrop-blur: blur(40px);\n  }\n\n  .sm\\:backdrop-blur-3xl {\n    --tw-backdrop-blur: blur(64px);\n  }\n\n  .sm\\:backdrop-brightness-0 {\n    --tw-backdrop-brightness: brightness(0);\n  }\n\n  .sm\\:backdrop-brightness-50 {\n    --tw-backdrop-brightness: brightness(.5);\n  }\n\n  .sm\\:backdrop-brightness-75 {\n    --tw-backdrop-brightness: brightness(.75);\n  }\n\n  .sm\\:backdrop-brightness-90 {\n    --tw-backdrop-brightness: brightness(.9);\n  }\n\n  .sm\\:backdrop-brightness-95 {\n    --tw-backdrop-brightness: brightness(.95);\n  }\n\n  .sm\\:backdrop-brightness-100 {\n    --tw-backdrop-brightness: brightness(1);\n  }\n\n  .sm\\:backdrop-brightness-105 {\n    --tw-backdrop-brightness: brightness(1.05);\n  }\n\n  .sm\\:backdrop-brightness-110 {\n    --tw-backdrop-brightness: brightness(1.1);\n  }\n\n  .sm\\:backdrop-brightness-125 {\n    --tw-backdrop-brightness: brightness(1.25);\n  }\n\n  .sm\\:backdrop-brightness-150 {\n    --tw-backdrop-brightness: brightness(1.5);\n  }\n\n  .sm\\:backdrop-brightness-200 {\n    --tw-backdrop-brightness: brightness(2);\n  }\n\n  .sm\\:backdrop-contrast-0 {\n    --tw-backdrop-contrast: contrast(0);\n  }\n\n  .sm\\:backdrop-contrast-50 {\n    --tw-backdrop-contrast: contrast(.5);\n  }\n\n  .sm\\:backdrop-contrast-75 {\n    --tw-backdrop-contrast: contrast(.75);\n  }\n\n  .sm\\:backdrop-contrast-100 {\n    --tw-backdrop-contrast: contrast(1);\n  }\n\n  .sm\\:backdrop-contrast-125 {\n    --tw-backdrop-contrast: contrast(1.25);\n  }\n\n  .sm\\:backdrop-contrast-150 {\n    --tw-backdrop-contrast: contrast(1.5);\n  }\n\n  .sm\\:backdrop-contrast-200 {\n    --tw-backdrop-contrast: contrast(2);\n  }\n\n  .sm\\:backdrop-grayscale-0 {\n    --tw-backdrop-grayscale: grayscale(0);\n  }\n\n  .sm\\:backdrop-grayscale {\n    --tw-backdrop-grayscale: grayscale(100%);\n  }\n\n  .sm\\:backdrop-hue-rotate-0 {\n    --tw-backdrop-hue-rotate: hue-rotate(0deg);\n  }\n\n  .sm\\:backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(15deg);\n  }\n\n  .sm\\:backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(30deg);\n  }\n\n  .sm\\:backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(60deg);\n  }\n\n  .sm\\:backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(90deg);\n  }\n\n  .sm\\:backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(180deg);\n  }\n\n  .sm\\:-backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .sm\\:-backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .sm\\:-backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .sm\\:-backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .sm\\:-backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .sm\\:backdrop-invert-0 {\n    --tw-backdrop-invert: invert(0);\n  }\n\n  .sm\\:backdrop-invert {\n    --tw-backdrop-invert: invert(100%);\n  }\n\n  .sm\\:backdrop-opacity-0 {\n    --tw-backdrop-opacity: opacity(0);\n  }\n\n  .sm\\:backdrop-opacity-5 {\n    --tw-backdrop-opacity: opacity(0.05);\n  }\n\n  .sm\\:backdrop-opacity-10 {\n    --tw-backdrop-opacity: opacity(0.1);\n  }\n\n  .sm\\:backdrop-opacity-20 {\n    --tw-backdrop-opacity: opacity(0.2);\n  }\n\n  .sm\\:backdrop-opacity-25 {\n    --tw-backdrop-opacity: opacity(0.25);\n  }\n\n  .sm\\:backdrop-opacity-30 {\n    --tw-backdrop-opacity: opacity(0.3);\n  }\n\n  .sm\\:backdrop-opacity-40 {\n    --tw-backdrop-opacity: opacity(0.4);\n  }\n\n  .sm\\:backdrop-opacity-50 {\n    --tw-backdrop-opacity: opacity(0.5);\n  }\n\n  .sm\\:backdrop-opacity-60 {\n    --tw-backdrop-opacity: opacity(0.6);\n  }\n\n  .sm\\:backdrop-opacity-70 {\n    --tw-backdrop-opacity: opacity(0.7);\n  }\n\n  .sm\\:backdrop-opacity-75 {\n    --tw-backdrop-opacity: opacity(0.75);\n  }\n\n  .sm\\:backdrop-opacity-80 {\n    --tw-backdrop-opacity: opacity(0.8);\n  }\n\n  .sm\\:backdrop-opacity-90 {\n    --tw-backdrop-opacity: opacity(0.9);\n  }\n\n  .sm\\:backdrop-opacity-95 {\n    --tw-backdrop-opacity: opacity(0.95);\n  }\n\n  .sm\\:backdrop-opacity-100 {\n    --tw-backdrop-opacity: opacity(1);\n  }\n\n  .sm\\:backdrop-saturate-0 {\n    --tw-backdrop-saturate: saturate(0);\n  }\n\n  .sm\\:backdrop-saturate-50 {\n    --tw-backdrop-saturate: saturate(.5);\n  }\n\n  .sm\\:backdrop-saturate-100 {\n    --tw-backdrop-saturate: saturate(1);\n  }\n\n  .sm\\:backdrop-saturate-150 {\n    --tw-backdrop-saturate: saturate(1.5);\n  }\n\n  .sm\\:backdrop-saturate-200 {\n    --tw-backdrop-saturate: saturate(2);\n  }\n\n  .sm\\:backdrop-sepia-0 {\n    --tw-backdrop-sepia: sepia(0);\n  }\n\n  .sm\\:backdrop-sepia {\n    --tw-backdrop-sepia: sepia(100%);\n  }\n\n  .sm\\:transition-none {\n    transition-property: none;\n  }\n\n  .sm\\:transition-all {\n    transition-property: all;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:transition {\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:transition-colors {\n    transition-property: background-color, border-color, color, fill, stroke;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:transition-opacity {\n    transition-property: opacity;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:transition-shadow {\n    transition-property: box-shadow;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:transition-transform {\n    transition-property: transform;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .sm\\:delay-75 {\n    transition-delay: 75ms;\n  }\n\n  .sm\\:delay-100 {\n    transition-delay: 100ms;\n  }\n\n  .sm\\:delay-150 {\n    transition-delay: 150ms;\n  }\n\n  .sm\\:delay-200 {\n    transition-delay: 200ms;\n  }\n\n  .sm\\:delay-300 {\n    transition-delay: 300ms;\n  }\n\n  .sm\\:delay-500 {\n    transition-delay: 500ms;\n  }\n\n  .sm\\:delay-700 {\n    transition-delay: 700ms;\n  }\n\n  .sm\\:delay-1000 {\n    transition-delay: 1000ms;\n  }\n\n  .sm\\:duration-75 {\n    transition-duration: 75ms;\n  }\n\n  .sm\\:duration-100 {\n    transition-duration: 100ms;\n  }\n\n  .sm\\:duration-150 {\n    transition-duration: 150ms;\n  }\n\n  .sm\\:duration-200 {\n    transition-duration: 200ms;\n  }\n\n  .sm\\:duration-300 {\n    transition-duration: 300ms;\n  }\n\n  .sm\\:duration-500 {\n    transition-duration: 500ms;\n  }\n\n  .sm\\:duration-700 {\n    transition-duration: 700ms;\n  }\n\n  .sm\\:duration-1000 {\n    transition-duration: 1000ms;\n  }\n\n  .sm\\:ease-linear {\n    transition-timing-function: linear;\n  }\n\n  .sm\\:ease-in {\n    transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n  }\n\n  .sm\\:ease-out {\n    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n  }\n\n  .sm\\:ease-in-out {\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  }\n}\n\n@media (min-width: 768px) {\n  .md\\:container {\n    width: 100%;\n  }\n\n  @media (min-width: 640px) {\n    .md\\:container {\n      max-width: 640px;\n    }\n  }\n\n  @media (min-width: 768px) {\n    .md\\:container {\n      max-width: 768px;\n    }\n  }\n\n  @media (min-width: 1024px) {\n    .md\\:container {\n      max-width: 1024px;\n    }\n  }\n\n  @media (min-width: 1280px) {\n    .md\\:container {\n      max-width: 1280px;\n    }\n  }\n\n  @media (min-width: 1536px) {\n    .md\\:container {\n      max-width: 1536px;\n    }\n  }\n\n  .md\\:sr-only {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .md\\:not-sr-only {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .md\\:focus-within\\:sr-only:focus-within {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .md\\:focus-within\\:not-sr-only:focus-within {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .md\\:focus\\:sr-only:focus {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .md\\:focus\\:not-sr-only:focus {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .md\\:pointer-events-none {\n    pointer-events: none;\n  }\n\n  .md\\:pointer-events-auto {\n    pointer-events: auto;\n  }\n\n  .md\\:visible {\n    visibility: visible;\n  }\n\n  .md\\:invisible {\n    visibility: hidden;\n  }\n\n  .md\\:static {\n    position: static;\n  }\n\n  .md\\:fixed {\n    position: fixed;\n  }\n\n  .md\\:absolute {\n    position: absolute;\n  }\n\n  .md\\:relative {\n    position: relative;\n  }\n\n  .md\\:sticky {\n    position: sticky;\n  }\n\n  .md\\:inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .md\\:inset-1 {\n    top: 0.25rem;\n    right: 0.25rem;\n    bottom: 0.25rem;\n    left: 0.25rem;\n  }\n\n  .md\\:inset-2 {\n    top: 0.5rem;\n    right: 0.5rem;\n    bottom: 0.5rem;\n    left: 0.5rem;\n  }\n\n  .md\\:inset-3 {\n    top: 0.75rem;\n    right: 0.75rem;\n    bottom: 0.75rem;\n    left: 0.75rem;\n  }\n\n  .md\\:inset-4 {\n    top: 1rem;\n    right: 1rem;\n    bottom: 1rem;\n    left: 1rem;\n  }\n\n  .md\\:inset-5 {\n    top: 1.25rem;\n    right: 1.25rem;\n    bottom: 1.25rem;\n    left: 1.25rem;\n  }\n\n  .md\\:inset-6 {\n    top: 1.5rem;\n    right: 1.5rem;\n    bottom: 1.5rem;\n    left: 1.5rem;\n  }\n\n  .md\\:inset-7 {\n    top: 1.75rem;\n    right: 1.75rem;\n    bottom: 1.75rem;\n    left: 1.75rem;\n  }\n\n  .md\\:inset-8 {\n    top: 2rem;\n    right: 2rem;\n    bottom: 2rem;\n    left: 2rem;\n  }\n\n  .md\\:inset-9 {\n    top: 2.25rem;\n    right: 2.25rem;\n    bottom: 2.25rem;\n    left: 2.25rem;\n  }\n\n  .md\\:inset-10 {\n    top: 2.5rem;\n    right: 2.5rem;\n    bottom: 2.5rem;\n    left: 2.5rem;\n  }\n\n  .md\\:inset-11 {\n    top: 2.75rem;\n    right: 2.75rem;\n    bottom: 2.75rem;\n    left: 2.75rem;\n  }\n\n  .md\\:inset-12 {\n    top: 3rem;\n    right: 3rem;\n    bottom: 3rem;\n    left: 3rem;\n  }\n\n  .md\\:inset-14 {\n    top: 3.5rem;\n    right: 3.5rem;\n    bottom: 3.5rem;\n    left: 3.5rem;\n  }\n\n  .md\\:inset-16 {\n    top: 4rem;\n    right: 4rem;\n    bottom: 4rem;\n    left: 4rem;\n  }\n\n  .md\\:inset-20 {\n    top: 5rem;\n    right: 5rem;\n    bottom: 5rem;\n    left: 5rem;\n  }\n\n  .md\\:inset-24 {\n    top: 6rem;\n    right: 6rem;\n    bottom: 6rem;\n    left: 6rem;\n  }\n\n  .md\\:inset-28 {\n    top: 7rem;\n    right: 7rem;\n    bottom: 7rem;\n    left: 7rem;\n  }\n\n  .md\\:inset-32 {\n    top: 8rem;\n    right: 8rem;\n    bottom: 8rem;\n    left: 8rem;\n  }\n\n  .md\\:inset-36 {\n    top: 9rem;\n    right: 9rem;\n    bottom: 9rem;\n    left: 9rem;\n  }\n\n  .md\\:inset-40 {\n    top: 10rem;\n    right: 10rem;\n    bottom: 10rem;\n    left: 10rem;\n  }\n\n  .md\\:inset-44 {\n    top: 11rem;\n    right: 11rem;\n    bottom: 11rem;\n    left: 11rem;\n  }\n\n  .md\\:inset-48 {\n    top: 12rem;\n    right: 12rem;\n    bottom: 12rem;\n    left: 12rem;\n  }\n\n  .md\\:inset-52 {\n    top: 13rem;\n    right: 13rem;\n    bottom: 13rem;\n    left: 13rem;\n  }\n\n  .md\\:inset-56 {\n    top: 14rem;\n    right: 14rem;\n    bottom: 14rem;\n    left: 14rem;\n  }\n\n  .md\\:inset-60 {\n    top: 15rem;\n    right: 15rem;\n    bottom: 15rem;\n    left: 15rem;\n  }\n\n  .md\\:inset-64 {\n    top: 16rem;\n    right: 16rem;\n    bottom: 16rem;\n    left: 16rem;\n  }\n\n  .md\\:inset-72 {\n    top: 18rem;\n    right: 18rem;\n    bottom: 18rem;\n    left: 18rem;\n  }\n\n  .md\\:inset-80 {\n    top: 20rem;\n    right: 20rem;\n    bottom: 20rem;\n    left: 20rem;\n  }\n\n  .md\\:inset-96 {\n    top: 24rem;\n    right: 24rem;\n    bottom: 24rem;\n    left: 24rem;\n  }\n\n  .md\\:inset-auto {\n    top: auto;\n    right: auto;\n    bottom: auto;\n    left: auto;\n  }\n\n  .md\\:inset-px {\n    top: 1px;\n    right: 1px;\n    bottom: 1px;\n    left: 1px;\n  }\n\n  .md\\:inset-0\\.5 {\n    top: 0.125rem;\n    right: 0.125rem;\n    bottom: 0.125rem;\n    left: 0.125rem;\n  }\n\n  .md\\:inset-1\\.5 {\n    top: 0.375rem;\n    right: 0.375rem;\n    bottom: 0.375rem;\n    left: 0.375rem;\n  }\n\n  .md\\:inset-2\\.5 {\n    top: 0.625rem;\n    right: 0.625rem;\n    bottom: 0.625rem;\n    left: 0.625rem;\n  }\n\n  .md\\:inset-3\\.5 {\n    top: 0.875rem;\n    right: 0.875rem;\n    bottom: 0.875rem;\n    left: 0.875rem;\n  }\n\n  .md\\:-inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .md\\:-inset-1 {\n    top: -0.25rem;\n    right: -0.25rem;\n    bottom: -0.25rem;\n    left: -0.25rem;\n  }\n\n  .md\\:-inset-2 {\n    top: -0.5rem;\n    right: -0.5rem;\n    bottom: -0.5rem;\n    left: -0.5rem;\n  }\n\n  .md\\:-inset-3 {\n    top: -0.75rem;\n    right: -0.75rem;\n    bottom: -0.75rem;\n    left: -0.75rem;\n  }\n\n  .md\\:-inset-4 {\n    top: -1rem;\n    right: -1rem;\n    bottom: -1rem;\n    left: -1rem;\n  }\n\n  .md\\:-inset-5 {\n    top: -1.25rem;\n    right: -1.25rem;\n    bottom: -1.25rem;\n    left: -1.25rem;\n  }\n\n  .md\\:-inset-6 {\n    top: -1.5rem;\n    right: -1.5rem;\n    bottom: -1.5rem;\n    left: -1.5rem;\n  }\n\n  .md\\:-inset-7 {\n    top: -1.75rem;\n    right: -1.75rem;\n    bottom: -1.75rem;\n    left: -1.75rem;\n  }\n\n  .md\\:-inset-8 {\n    top: -2rem;\n    right: -2rem;\n    bottom: -2rem;\n    left: -2rem;\n  }\n\n  .md\\:-inset-9 {\n    top: -2.25rem;\n    right: -2.25rem;\n    bottom: -2.25rem;\n    left: -2.25rem;\n  }\n\n  .md\\:-inset-10 {\n    top: -2.5rem;\n    right: -2.5rem;\n    bottom: -2.5rem;\n    left: -2.5rem;\n  }\n\n  .md\\:-inset-11 {\n    top: -2.75rem;\n    right: -2.75rem;\n    bottom: -2.75rem;\n    left: -2.75rem;\n  }\n\n  .md\\:-inset-12 {\n    top: -3rem;\n    right: -3rem;\n    bottom: -3rem;\n    left: -3rem;\n  }\n\n  .md\\:-inset-14 {\n    top: -3.5rem;\n    right: -3.5rem;\n    bottom: -3.5rem;\n    left: -3.5rem;\n  }\n\n  .md\\:-inset-16 {\n    top: -4rem;\n    right: -4rem;\n    bottom: -4rem;\n    left: -4rem;\n  }\n\n  .md\\:-inset-20 {\n    top: -5rem;\n    right: -5rem;\n    bottom: -5rem;\n    left: -5rem;\n  }\n\n  .md\\:-inset-24 {\n    top: -6rem;\n    right: -6rem;\n    bottom: -6rem;\n    left: -6rem;\n  }\n\n  .md\\:-inset-28 {\n    top: -7rem;\n    right: -7rem;\n    bottom: -7rem;\n    left: -7rem;\n  }\n\n  .md\\:-inset-32 {\n    top: -8rem;\n    right: -8rem;\n    bottom: -8rem;\n    left: -8rem;\n  }\n\n  .md\\:-inset-36 {\n    top: -9rem;\n    right: -9rem;\n    bottom: -9rem;\n    left: -9rem;\n  }\n\n  .md\\:-inset-40 {\n    top: -10rem;\n    right: -10rem;\n    bottom: -10rem;\n    left: -10rem;\n  }\n\n  .md\\:-inset-44 {\n    top: -11rem;\n    right: -11rem;\n    bottom: -11rem;\n    left: -11rem;\n  }\n\n  .md\\:-inset-48 {\n    top: -12rem;\n    right: -12rem;\n    bottom: -12rem;\n    left: -12rem;\n  }\n\n  .md\\:-inset-52 {\n    top: -13rem;\n    right: -13rem;\n    bottom: -13rem;\n    left: -13rem;\n  }\n\n  .md\\:-inset-56 {\n    top: -14rem;\n    right: -14rem;\n    bottom: -14rem;\n    left: -14rem;\n  }\n\n  .md\\:-inset-60 {\n    top: -15rem;\n    right: -15rem;\n    bottom: -15rem;\n    left: -15rem;\n  }\n\n  .md\\:-inset-64 {\n    top: -16rem;\n    right: -16rem;\n    bottom: -16rem;\n    left: -16rem;\n  }\n\n  .md\\:-inset-72 {\n    top: -18rem;\n    right: -18rem;\n    bottom: -18rem;\n    left: -18rem;\n  }\n\n  .md\\:-inset-80 {\n    top: -20rem;\n    right: -20rem;\n    bottom: -20rem;\n    left: -20rem;\n  }\n\n  .md\\:-inset-96 {\n    top: -24rem;\n    right: -24rem;\n    bottom: -24rem;\n    left: -24rem;\n  }\n\n  .md\\:-inset-px {\n    top: -1px;\n    right: -1px;\n    bottom: -1px;\n    left: -1px;\n  }\n\n  .md\\:-inset-0\\.5 {\n    top: -0.125rem;\n    right: -0.125rem;\n    bottom: -0.125rem;\n    left: -0.125rem;\n  }\n\n  .md\\:-inset-1\\.5 {\n    top: -0.375rem;\n    right: -0.375rem;\n    bottom: -0.375rem;\n    left: -0.375rem;\n  }\n\n  .md\\:-inset-2\\.5 {\n    top: -0.625rem;\n    right: -0.625rem;\n    bottom: -0.625rem;\n    left: -0.625rem;\n  }\n\n  .md\\:-inset-3\\.5 {\n    top: -0.875rem;\n    right: -0.875rem;\n    bottom: -0.875rem;\n    left: -0.875rem;\n  }\n\n  .md\\:inset-1\\/2 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .md\\:inset-1\\/3 {\n    top: 33.333333%;\n    right: 33.333333%;\n    bottom: 33.333333%;\n    left: 33.333333%;\n  }\n\n  .md\\:inset-2\\/3 {\n    top: 66.666667%;\n    right: 66.666667%;\n    bottom: 66.666667%;\n    left: 66.666667%;\n  }\n\n  .md\\:inset-1\\/4 {\n    top: 25%;\n    right: 25%;\n    bottom: 25%;\n    left: 25%;\n  }\n\n  .md\\:inset-2\\/4 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .md\\:inset-3\\/4 {\n    top: 75%;\n    right: 75%;\n    bottom: 75%;\n    left: 75%;\n  }\n\n  .md\\:inset-full {\n    top: 100%;\n    right: 100%;\n    bottom: 100%;\n    left: 100%;\n  }\n\n  .md\\:-inset-1\\/2 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .md\\:-inset-1\\/3 {\n    top: -33.333333%;\n    right: -33.333333%;\n    bottom: -33.333333%;\n    left: -33.333333%;\n  }\n\n  .md\\:-inset-2\\/3 {\n    top: -66.666667%;\n    right: -66.666667%;\n    bottom: -66.666667%;\n    left: -66.666667%;\n  }\n\n  .md\\:-inset-1\\/4 {\n    top: -25%;\n    right: -25%;\n    bottom: -25%;\n    left: -25%;\n  }\n\n  .md\\:-inset-2\\/4 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .md\\:-inset-3\\/4 {\n    top: -75%;\n    right: -75%;\n    bottom: -75%;\n    left: -75%;\n  }\n\n  .md\\:-inset-full {\n    top: -100%;\n    right: -100%;\n    bottom: -100%;\n    left: -100%;\n  }\n\n  .md\\:inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .md\\:inset-x-1 {\n    left: 0.25rem;\n    right: 0.25rem;\n  }\n\n  .md\\:inset-x-2 {\n    left: 0.5rem;\n    right: 0.5rem;\n  }\n\n  .md\\:inset-x-3 {\n    left: 0.75rem;\n    right: 0.75rem;\n  }\n\n  .md\\:inset-x-4 {\n    left: 1rem;\n    right: 1rem;\n  }\n\n  .md\\:inset-x-5 {\n    left: 1.25rem;\n    right: 1.25rem;\n  }\n\n  .md\\:inset-x-6 {\n    left: 1.5rem;\n    right: 1.5rem;\n  }\n\n  .md\\:inset-x-7 {\n    left: 1.75rem;\n    right: 1.75rem;\n  }\n\n  .md\\:inset-x-8 {\n    left: 2rem;\n    right: 2rem;\n  }\n\n  .md\\:inset-x-9 {\n    left: 2.25rem;\n    right: 2.25rem;\n  }\n\n  .md\\:inset-x-10 {\n    left: 2.5rem;\n    right: 2.5rem;\n  }\n\n  .md\\:inset-x-11 {\n    left: 2.75rem;\n    right: 2.75rem;\n  }\n\n  .md\\:inset-x-12 {\n    left: 3rem;\n    right: 3rem;\n  }\n\n  .md\\:inset-x-14 {\n    left: 3.5rem;\n    right: 3.5rem;\n  }\n\n  .md\\:inset-x-16 {\n    left: 4rem;\n    right: 4rem;\n  }\n\n  .md\\:inset-x-20 {\n    left: 5rem;\n    right: 5rem;\n  }\n\n  .md\\:inset-x-24 {\n    left: 6rem;\n    right: 6rem;\n  }\n\n  .md\\:inset-x-28 {\n    left: 7rem;\n    right: 7rem;\n  }\n\n  .md\\:inset-x-32 {\n    left: 8rem;\n    right: 8rem;\n  }\n\n  .md\\:inset-x-36 {\n    left: 9rem;\n    right: 9rem;\n  }\n\n  .md\\:inset-x-40 {\n    left: 10rem;\n    right: 10rem;\n  }\n\n  .md\\:inset-x-44 {\n    left: 11rem;\n    right: 11rem;\n  }\n\n  .md\\:inset-x-48 {\n    left: 12rem;\n    right: 12rem;\n  }\n\n  .md\\:inset-x-52 {\n    left: 13rem;\n    right: 13rem;\n  }\n\n  .md\\:inset-x-56 {\n    left: 14rem;\n    right: 14rem;\n  }\n\n  .md\\:inset-x-60 {\n    left: 15rem;\n    right: 15rem;\n  }\n\n  .md\\:inset-x-64 {\n    left: 16rem;\n    right: 16rem;\n  }\n\n  .md\\:inset-x-72 {\n    left: 18rem;\n    right: 18rem;\n  }\n\n  .md\\:inset-x-80 {\n    left: 20rem;\n    right: 20rem;\n  }\n\n  .md\\:inset-x-96 {\n    left: 24rem;\n    right: 24rem;\n  }\n\n  .md\\:inset-x-auto {\n    left: auto;\n    right: auto;\n  }\n\n  .md\\:inset-x-px {\n    left: 1px;\n    right: 1px;\n  }\n\n  .md\\:inset-x-0\\.5 {\n    left: 0.125rem;\n    right: 0.125rem;\n  }\n\n  .md\\:inset-x-1\\.5 {\n    left: 0.375rem;\n    right: 0.375rem;\n  }\n\n  .md\\:inset-x-2\\.5 {\n    left: 0.625rem;\n    right: 0.625rem;\n  }\n\n  .md\\:inset-x-3\\.5 {\n    left: 0.875rem;\n    right: 0.875rem;\n  }\n\n  .md\\:-inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .md\\:-inset-x-1 {\n    left: -0.25rem;\n    right: -0.25rem;\n  }\n\n  .md\\:-inset-x-2 {\n    left: -0.5rem;\n    right: -0.5rem;\n  }\n\n  .md\\:-inset-x-3 {\n    left: -0.75rem;\n    right: -0.75rem;\n  }\n\n  .md\\:-inset-x-4 {\n    left: -1rem;\n    right: -1rem;\n  }\n\n  .md\\:-inset-x-5 {\n    left: -1.25rem;\n    right: -1.25rem;\n  }\n\n  .md\\:-inset-x-6 {\n    left: -1.5rem;\n    right: -1.5rem;\n  }\n\n  .md\\:-inset-x-7 {\n    left: -1.75rem;\n    right: -1.75rem;\n  }\n\n  .md\\:-inset-x-8 {\n    left: -2rem;\n    right: -2rem;\n  }\n\n  .md\\:-inset-x-9 {\n    left: -2.25rem;\n    right: -2.25rem;\n  }\n\n  .md\\:-inset-x-10 {\n    left: -2.5rem;\n    right: -2.5rem;\n  }\n\n  .md\\:-inset-x-11 {\n    left: -2.75rem;\n    right: -2.75rem;\n  }\n\n  .md\\:-inset-x-12 {\n    left: -3rem;\n    right: -3rem;\n  }\n\n  .md\\:-inset-x-14 {\n    left: -3.5rem;\n    right: -3.5rem;\n  }\n\n  .md\\:-inset-x-16 {\n    left: -4rem;\n    right: -4rem;\n  }\n\n  .md\\:-inset-x-20 {\n    left: -5rem;\n    right: -5rem;\n  }\n\n  .md\\:-inset-x-24 {\n    left: -6rem;\n    right: -6rem;\n  }\n\n  .md\\:-inset-x-28 {\n    left: -7rem;\n    right: -7rem;\n  }\n\n  .md\\:-inset-x-32 {\n    left: -8rem;\n    right: -8rem;\n  }\n\n  .md\\:-inset-x-36 {\n    left: -9rem;\n    right: -9rem;\n  }\n\n  .md\\:-inset-x-40 {\n    left: -10rem;\n    right: -10rem;\n  }\n\n  .md\\:-inset-x-44 {\n    left: -11rem;\n    right: -11rem;\n  }\n\n  .md\\:-inset-x-48 {\n    left: -12rem;\n    right: -12rem;\n  }\n\n  .md\\:-inset-x-52 {\n    left: -13rem;\n    right: -13rem;\n  }\n\n  .md\\:-inset-x-56 {\n    left: -14rem;\n    right: -14rem;\n  }\n\n  .md\\:-inset-x-60 {\n    left: -15rem;\n    right: -15rem;\n  }\n\n  .md\\:-inset-x-64 {\n    left: -16rem;\n    right: -16rem;\n  }\n\n  .md\\:-inset-x-72 {\n    left: -18rem;\n    right: -18rem;\n  }\n\n  .md\\:-inset-x-80 {\n    left: -20rem;\n    right: -20rem;\n  }\n\n  .md\\:-inset-x-96 {\n    left: -24rem;\n    right: -24rem;\n  }\n\n  .md\\:-inset-x-px {\n    left: -1px;\n    right: -1px;\n  }\n\n  .md\\:-inset-x-0\\.5 {\n    left: -0.125rem;\n    right: -0.125rem;\n  }\n\n  .md\\:-inset-x-1\\.5 {\n    left: -0.375rem;\n    right: -0.375rem;\n  }\n\n  .md\\:-inset-x-2\\.5 {\n    left: -0.625rem;\n    right: -0.625rem;\n  }\n\n  .md\\:-inset-x-3\\.5 {\n    left: -0.875rem;\n    right: -0.875rem;\n  }\n\n  .md\\:inset-x-1\\/2 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .md\\:inset-x-1\\/3 {\n    left: 33.333333%;\n    right: 33.333333%;\n  }\n\n  .md\\:inset-x-2\\/3 {\n    left: 66.666667%;\n    right: 66.666667%;\n  }\n\n  .md\\:inset-x-1\\/4 {\n    left: 25%;\n    right: 25%;\n  }\n\n  .md\\:inset-x-2\\/4 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .md\\:inset-x-3\\/4 {\n    left: 75%;\n    right: 75%;\n  }\n\n  .md\\:inset-x-full {\n    left: 100%;\n    right: 100%;\n  }\n\n  .md\\:-inset-x-1\\/2 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .md\\:-inset-x-1\\/3 {\n    left: -33.333333%;\n    right: -33.333333%;\n  }\n\n  .md\\:-inset-x-2\\/3 {\n    left: -66.666667%;\n    right: -66.666667%;\n  }\n\n  .md\\:-inset-x-1\\/4 {\n    left: -25%;\n    right: -25%;\n  }\n\n  .md\\:-inset-x-2\\/4 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .md\\:-inset-x-3\\/4 {\n    left: -75%;\n    right: -75%;\n  }\n\n  .md\\:-inset-x-full {\n    left: -100%;\n    right: -100%;\n  }\n\n  .md\\:inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .md\\:inset-y-1 {\n    top: 0.25rem;\n    bottom: 0.25rem;\n  }\n\n  .md\\:inset-y-2 {\n    top: 0.5rem;\n    bottom: 0.5rem;\n  }\n\n  .md\\:inset-y-3 {\n    top: 0.75rem;\n    bottom: 0.75rem;\n  }\n\n  .md\\:inset-y-4 {\n    top: 1rem;\n    bottom: 1rem;\n  }\n\n  .md\\:inset-y-5 {\n    top: 1.25rem;\n    bottom: 1.25rem;\n  }\n\n  .md\\:inset-y-6 {\n    top: 1.5rem;\n    bottom: 1.5rem;\n  }\n\n  .md\\:inset-y-7 {\n    top: 1.75rem;\n    bottom: 1.75rem;\n  }\n\n  .md\\:inset-y-8 {\n    top: 2rem;\n    bottom: 2rem;\n  }\n\n  .md\\:inset-y-9 {\n    top: 2.25rem;\n    bottom: 2.25rem;\n  }\n\n  .md\\:inset-y-10 {\n    top: 2.5rem;\n    bottom: 2.5rem;\n  }\n\n  .md\\:inset-y-11 {\n    top: 2.75rem;\n    bottom: 2.75rem;\n  }\n\n  .md\\:inset-y-12 {\n    top: 3rem;\n    bottom: 3rem;\n  }\n\n  .md\\:inset-y-14 {\n    top: 3.5rem;\n    bottom: 3.5rem;\n  }\n\n  .md\\:inset-y-16 {\n    top: 4rem;\n    bottom: 4rem;\n  }\n\n  .md\\:inset-y-20 {\n    top: 5rem;\n    bottom: 5rem;\n  }\n\n  .md\\:inset-y-24 {\n    top: 6rem;\n    bottom: 6rem;\n  }\n\n  .md\\:inset-y-28 {\n    top: 7rem;\n    bottom: 7rem;\n  }\n\n  .md\\:inset-y-32 {\n    top: 8rem;\n    bottom: 8rem;\n  }\n\n  .md\\:inset-y-36 {\n    top: 9rem;\n    bottom: 9rem;\n  }\n\n  .md\\:inset-y-40 {\n    top: 10rem;\n    bottom: 10rem;\n  }\n\n  .md\\:inset-y-44 {\n    top: 11rem;\n    bottom: 11rem;\n  }\n\n  .md\\:inset-y-48 {\n    top: 12rem;\n    bottom: 12rem;\n  }\n\n  .md\\:inset-y-52 {\n    top: 13rem;\n    bottom: 13rem;\n  }\n\n  .md\\:inset-y-56 {\n    top: 14rem;\n    bottom: 14rem;\n  }\n\n  .md\\:inset-y-60 {\n    top: 15rem;\n    bottom: 15rem;\n  }\n\n  .md\\:inset-y-64 {\n    top: 16rem;\n    bottom: 16rem;\n  }\n\n  .md\\:inset-y-72 {\n    top: 18rem;\n    bottom: 18rem;\n  }\n\n  .md\\:inset-y-80 {\n    top: 20rem;\n    bottom: 20rem;\n  }\n\n  .md\\:inset-y-96 {\n    top: 24rem;\n    bottom: 24rem;\n  }\n\n  .md\\:inset-y-auto {\n    top: auto;\n    bottom: auto;\n  }\n\n  .md\\:inset-y-px {\n    top: 1px;\n    bottom: 1px;\n  }\n\n  .md\\:inset-y-0\\.5 {\n    top: 0.125rem;\n    bottom: 0.125rem;\n  }\n\n  .md\\:inset-y-1\\.5 {\n    top: 0.375rem;\n    bottom: 0.375rem;\n  }\n\n  .md\\:inset-y-2\\.5 {\n    top: 0.625rem;\n    bottom: 0.625rem;\n  }\n\n  .md\\:inset-y-3\\.5 {\n    top: 0.875rem;\n    bottom: 0.875rem;\n  }\n\n  .md\\:-inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .md\\:-inset-y-1 {\n    top: -0.25rem;\n    bottom: -0.25rem;\n  }\n\n  .md\\:-inset-y-2 {\n    top: -0.5rem;\n    bottom: -0.5rem;\n  }\n\n  .md\\:-inset-y-3 {\n    top: -0.75rem;\n    bottom: -0.75rem;\n  }\n\n  .md\\:-inset-y-4 {\n    top: -1rem;\n    bottom: -1rem;\n  }\n\n  .md\\:-inset-y-5 {\n    top: -1.25rem;\n    bottom: -1.25rem;\n  }\n\n  .md\\:-inset-y-6 {\n    top: -1.5rem;\n    bottom: -1.5rem;\n  }\n\n  .md\\:-inset-y-7 {\n    top: -1.75rem;\n    bottom: -1.75rem;\n  }\n\n  .md\\:-inset-y-8 {\n    top: -2rem;\n    bottom: -2rem;\n  }\n\n  .md\\:-inset-y-9 {\n    top: -2.25rem;\n    bottom: -2.25rem;\n  }\n\n  .md\\:-inset-y-10 {\n    top: -2.5rem;\n    bottom: -2.5rem;\n  }\n\n  .md\\:-inset-y-11 {\n    top: -2.75rem;\n    bottom: -2.75rem;\n  }\n\n  .md\\:-inset-y-12 {\n    top: -3rem;\n    bottom: -3rem;\n  }\n\n  .md\\:-inset-y-14 {\n    top: -3.5rem;\n    bottom: -3.5rem;\n  }\n\n  .md\\:-inset-y-16 {\n    top: -4rem;\n    bottom: -4rem;\n  }\n\n  .md\\:-inset-y-20 {\n    top: -5rem;\n    bottom: -5rem;\n  }\n\n  .md\\:-inset-y-24 {\n    top: -6rem;\n    bottom: -6rem;\n  }\n\n  .md\\:-inset-y-28 {\n    top: -7rem;\n    bottom: -7rem;\n  }\n\n  .md\\:-inset-y-32 {\n    top: -8rem;\n    bottom: -8rem;\n  }\n\n  .md\\:-inset-y-36 {\n    top: -9rem;\n    bottom: -9rem;\n  }\n\n  .md\\:-inset-y-40 {\n    top: -10rem;\n    bottom: -10rem;\n  }\n\n  .md\\:-inset-y-44 {\n    top: -11rem;\n    bottom: -11rem;\n  }\n\n  .md\\:-inset-y-48 {\n    top: -12rem;\n    bottom: -12rem;\n  }\n\n  .md\\:-inset-y-52 {\n    top: -13rem;\n    bottom: -13rem;\n  }\n\n  .md\\:-inset-y-56 {\n    top: -14rem;\n    bottom: -14rem;\n  }\n\n  .md\\:-inset-y-60 {\n    top: -15rem;\n    bottom: -15rem;\n  }\n\n  .md\\:-inset-y-64 {\n    top: -16rem;\n    bottom: -16rem;\n  }\n\n  .md\\:-inset-y-72 {\n    top: -18rem;\n    bottom: -18rem;\n  }\n\n  .md\\:-inset-y-80 {\n    top: -20rem;\n    bottom: -20rem;\n  }\n\n  .md\\:-inset-y-96 {\n    top: -24rem;\n    bottom: -24rem;\n  }\n\n  .md\\:-inset-y-px {\n    top: -1px;\n    bottom: -1px;\n  }\n\n  .md\\:-inset-y-0\\.5 {\n    top: -0.125rem;\n    bottom: -0.125rem;\n  }\n\n  .md\\:-inset-y-1\\.5 {\n    top: -0.375rem;\n    bottom: -0.375rem;\n  }\n\n  .md\\:-inset-y-2\\.5 {\n    top: -0.625rem;\n    bottom: -0.625rem;\n  }\n\n  .md\\:-inset-y-3\\.5 {\n    top: -0.875rem;\n    bottom: -0.875rem;\n  }\n\n  .md\\:inset-y-1\\/2 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .md\\:inset-y-1\\/3 {\n    top: 33.333333%;\n    bottom: 33.333333%;\n  }\n\n  .md\\:inset-y-2\\/3 {\n    top: 66.666667%;\n    bottom: 66.666667%;\n  }\n\n  .md\\:inset-y-1\\/4 {\n    top: 25%;\n    bottom: 25%;\n  }\n\n  .md\\:inset-y-2\\/4 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .md\\:inset-y-3\\/4 {\n    top: 75%;\n    bottom: 75%;\n  }\n\n  .md\\:inset-y-full {\n    top: 100%;\n    bottom: 100%;\n  }\n\n  .md\\:-inset-y-1\\/2 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .md\\:-inset-y-1\\/3 {\n    top: -33.333333%;\n    bottom: -33.333333%;\n  }\n\n  .md\\:-inset-y-2\\/3 {\n    top: -66.666667%;\n    bottom: -66.666667%;\n  }\n\n  .md\\:-inset-y-1\\/4 {\n    top: -25%;\n    bottom: -25%;\n  }\n\n  .md\\:-inset-y-2\\/4 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .md\\:-inset-y-3\\/4 {\n    top: -75%;\n    bottom: -75%;\n  }\n\n  .md\\:-inset-y-full {\n    top: -100%;\n    bottom: -100%;\n  }\n\n  .md\\:top-0 {\n    top: 0px;\n  }\n\n  .md\\:top-1 {\n    top: 0.25rem;\n  }\n\n  .md\\:top-2 {\n    top: 0.5rem;\n  }\n\n  .md\\:top-3 {\n    top: 0.75rem;\n  }\n\n  .md\\:top-4 {\n    top: 1rem;\n  }\n\n  .md\\:top-5 {\n    top: 1.25rem;\n  }\n\n  .md\\:top-6 {\n    top: 1.5rem;\n  }\n\n  .md\\:top-7 {\n    top: 1.75rem;\n  }\n\n  .md\\:top-8 {\n    top: 2rem;\n  }\n\n  .md\\:top-9 {\n    top: 2.25rem;\n  }\n\n  .md\\:top-10 {\n    top: 2.5rem;\n  }\n\n  .md\\:top-11 {\n    top: 2.75rem;\n  }\n\n  .md\\:top-12 {\n    top: 3rem;\n  }\n\n  .md\\:top-14 {\n    top: 3.5rem;\n  }\n\n  .md\\:top-16 {\n    top: 4rem;\n  }\n\n  .md\\:top-20 {\n    top: 5rem;\n  }\n\n  .md\\:top-24 {\n    top: 6rem;\n  }\n\n  .md\\:top-28 {\n    top: 7rem;\n  }\n\n  .md\\:top-32 {\n    top: 8rem;\n  }\n\n  .md\\:top-36 {\n    top: 9rem;\n  }\n\n  .md\\:top-40 {\n    top: 10rem;\n  }\n\n  .md\\:top-44 {\n    top: 11rem;\n  }\n\n  .md\\:top-48 {\n    top: 12rem;\n  }\n\n  .md\\:top-52 {\n    top: 13rem;\n  }\n\n  .md\\:top-56 {\n    top: 14rem;\n  }\n\n  .md\\:top-60 {\n    top: 15rem;\n  }\n\n  .md\\:top-64 {\n    top: 16rem;\n  }\n\n  .md\\:top-72 {\n    top: 18rem;\n  }\n\n  .md\\:top-80 {\n    top: 20rem;\n  }\n\n  .md\\:top-96 {\n    top: 24rem;\n  }\n\n  .md\\:top-auto {\n    top: auto;\n  }\n\n  .md\\:top-px {\n    top: 1px;\n  }\n\n  .md\\:top-0\\.5 {\n    top: 0.125rem;\n  }\n\n  .md\\:top-1\\.5 {\n    top: 0.375rem;\n  }\n\n  .md\\:top-2\\.5 {\n    top: 0.625rem;\n  }\n\n  .md\\:top-3\\.5 {\n    top: 0.875rem;\n  }\n\n  .md\\:-top-0 {\n    top: 0px;\n  }\n\n  .md\\:-top-1 {\n    top: -0.25rem;\n  }\n\n  .md\\:-top-2 {\n    top: -0.5rem;\n  }\n\n  .md\\:-top-3 {\n    top: -0.75rem;\n  }\n\n  .md\\:-top-4 {\n    top: -1rem;\n  }\n\n  .md\\:-top-5 {\n    top: -1.25rem;\n  }\n\n  .md\\:-top-6 {\n    top: -1.5rem;\n  }\n\n  .md\\:-top-7 {\n    top: -1.75rem;\n  }\n\n  .md\\:-top-8 {\n    top: -2rem;\n  }\n\n  .md\\:-top-9 {\n    top: -2.25rem;\n  }\n\n  .md\\:-top-10 {\n    top: -2.5rem;\n  }\n\n  .md\\:-top-11 {\n    top: -2.75rem;\n  }\n\n  .md\\:-top-12 {\n    top: -3rem;\n  }\n\n  .md\\:-top-14 {\n    top: -3.5rem;\n  }\n\n  .md\\:-top-16 {\n    top: -4rem;\n  }\n\n  .md\\:-top-20 {\n    top: -5rem;\n  }\n\n  .md\\:-top-24 {\n    top: -6rem;\n  }\n\n  .md\\:-top-28 {\n    top: -7rem;\n  }\n\n  .md\\:-top-32 {\n    top: -8rem;\n  }\n\n  .md\\:-top-36 {\n    top: -9rem;\n  }\n\n  .md\\:-top-40 {\n    top: -10rem;\n  }\n\n  .md\\:-top-44 {\n    top: -11rem;\n  }\n\n  .md\\:-top-48 {\n    top: -12rem;\n  }\n\n  .md\\:-top-52 {\n    top: -13rem;\n  }\n\n  .md\\:-top-56 {\n    top: -14rem;\n  }\n\n  .md\\:-top-60 {\n    top: -15rem;\n  }\n\n  .md\\:-top-64 {\n    top: -16rem;\n  }\n\n  .md\\:-top-72 {\n    top: -18rem;\n  }\n\n  .md\\:-top-80 {\n    top: -20rem;\n  }\n\n  .md\\:-top-96 {\n    top: -24rem;\n  }\n\n  .md\\:-top-px {\n    top: -1px;\n  }\n\n  .md\\:-top-0\\.5 {\n    top: -0.125rem;\n  }\n\n  .md\\:-top-1\\.5 {\n    top: -0.375rem;\n  }\n\n  .md\\:-top-2\\.5 {\n    top: -0.625rem;\n  }\n\n  .md\\:-top-3\\.5 {\n    top: -0.875rem;\n  }\n\n  .md\\:top-1\\/2 {\n    top: 50%;\n  }\n\n  .md\\:top-1\\/3 {\n    top: 33.333333%;\n  }\n\n  .md\\:top-2\\/3 {\n    top: 66.666667%;\n  }\n\n  .md\\:top-1\\/4 {\n    top: 25%;\n  }\n\n  .md\\:top-2\\/4 {\n    top: 50%;\n  }\n\n  .md\\:top-3\\/4 {\n    top: 75%;\n  }\n\n  .md\\:top-full {\n    top: 100%;\n  }\n\n  .md\\:-top-1\\/2 {\n    top: -50%;\n  }\n\n  .md\\:-top-1\\/3 {\n    top: -33.333333%;\n  }\n\n  .md\\:-top-2\\/3 {\n    top: -66.666667%;\n  }\n\n  .md\\:-top-1\\/4 {\n    top: -25%;\n  }\n\n  .md\\:-top-2\\/4 {\n    top: -50%;\n  }\n\n  .md\\:-top-3\\/4 {\n    top: -75%;\n  }\n\n  .md\\:-top-full {\n    top: -100%;\n  }\n\n  .md\\:right-0 {\n    right: 0px;\n  }\n\n  .md\\:right-1 {\n    right: 0.25rem;\n  }\n\n  .md\\:right-2 {\n    right: 0.5rem;\n  }\n\n  .md\\:right-3 {\n    right: 0.75rem;\n  }\n\n  .md\\:right-4 {\n    right: 1rem;\n  }\n\n  .md\\:right-5 {\n    right: 1.25rem;\n  }\n\n  .md\\:right-6 {\n    right: 1.5rem;\n  }\n\n  .md\\:right-7 {\n    right: 1.75rem;\n  }\n\n  .md\\:right-8 {\n    right: 2rem;\n  }\n\n  .md\\:right-9 {\n    right: 2.25rem;\n  }\n\n  .md\\:right-10 {\n    right: 2.5rem;\n  }\n\n  .md\\:right-11 {\n    right: 2.75rem;\n  }\n\n  .md\\:right-12 {\n    right: 3rem;\n  }\n\n  .md\\:right-14 {\n    right: 3.5rem;\n  }\n\n  .md\\:right-16 {\n    right: 4rem;\n  }\n\n  .md\\:right-20 {\n    right: 5rem;\n  }\n\n  .md\\:right-24 {\n    right: 6rem;\n  }\n\n  .md\\:right-28 {\n    right: 7rem;\n  }\n\n  .md\\:right-32 {\n    right: 8rem;\n  }\n\n  .md\\:right-36 {\n    right: 9rem;\n  }\n\n  .md\\:right-40 {\n    right: 10rem;\n  }\n\n  .md\\:right-44 {\n    right: 11rem;\n  }\n\n  .md\\:right-48 {\n    right: 12rem;\n  }\n\n  .md\\:right-52 {\n    right: 13rem;\n  }\n\n  .md\\:right-56 {\n    right: 14rem;\n  }\n\n  .md\\:right-60 {\n    right: 15rem;\n  }\n\n  .md\\:right-64 {\n    right: 16rem;\n  }\n\n  .md\\:right-72 {\n    right: 18rem;\n  }\n\n  .md\\:right-80 {\n    right: 20rem;\n  }\n\n  .md\\:right-96 {\n    right: 24rem;\n  }\n\n  .md\\:right-auto {\n    right: auto;\n  }\n\n  .md\\:right-px {\n    right: 1px;\n  }\n\n  .md\\:right-0\\.5 {\n    right: 0.125rem;\n  }\n\n  .md\\:right-1\\.5 {\n    right: 0.375rem;\n  }\n\n  .md\\:right-2\\.5 {\n    right: 0.625rem;\n  }\n\n  .md\\:right-3\\.5 {\n    right: 0.875rem;\n  }\n\n  .md\\:-right-0 {\n    right: 0px;\n  }\n\n  .md\\:-right-1 {\n    right: -0.25rem;\n  }\n\n  .md\\:-right-2 {\n    right: -0.5rem;\n  }\n\n  .md\\:-right-3 {\n    right: -0.75rem;\n  }\n\n  .md\\:-right-4 {\n    right: -1rem;\n  }\n\n  .md\\:-right-5 {\n    right: -1.25rem;\n  }\n\n  .md\\:-right-6 {\n    right: -1.5rem;\n  }\n\n  .md\\:-right-7 {\n    right: -1.75rem;\n  }\n\n  .md\\:-right-8 {\n    right: -2rem;\n  }\n\n  .md\\:-right-9 {\n    right: -2.25rem;\n  }\n\n  .md\\:-right-10 {\n    right: -2.5rem;\n  }\n\n  .md\\:-right-11 {\n    right: -2.75rem;\n  }\n\n  .md\\:-right-12 {\n    right: -3rem;\n  }\n\n  .md\\:-right-14 {\n    right: -3.5rem;\n  }\n\n  .md\\:-right-16 {\n    right: -4rem;\n  }\n\n  .md\\:-right-20 {\n    right: -5rem;\n  }\n\n  .md\\:-right-24 {\n    right: -6rem;\n  }\n\n  .md\\:-right-28 {\n    right: -7rem;\n  }\n\n  .md\\:-right-32 {\n    right: -8rem;\n  }\n\n  .md\\:-right-36 {\n    right: -9rem;\n  }\n\n  .md\\:-right-40 {\n    right: -10rem;\n  }\n\n  .md\\:-right-44 {\n    right: -11rem;\n  }\n\n  .md\\:-right-48 {\n    right: -12rem;\n  }\n\n  .md\\:-right-52 {\n    right: -13rem;\n  }\n\n  .md\\:-right-56 {\n    right: -14rem;\n  }\n\n  .md\\:-right-60 {\n    right: -15rem;\n  }\n\n  .md\\:-right-64 {\n    right: -16rem;\n  }\n\n  .md\\:-right-72 {\n    right: -18rem;\n  }\n\n  .md\\:-right-80 {\n    right: -20rem;\n  }\n\n  .md\\:-right-96 {\n    right: -24rem;\n  }\n\n  .md\\:-right-px {\n    right: -1px;\n  }\n\n  .md\\:-right-0\\.5 {\n    right: -0.125rem;\n  }\n\n  .md\\:-right-1\\.5 {\n    right: -0.375rem;\n  }\n\n  .md\\:-right-2\\.5 {\n    right: -0.625rem;\n  }\n\n  .md\\:-right-3\\.5 {\n    right: -0.875rem;\n  }\n\n  .md\\:right-1\\/2 {\n    right: 50%;\n  }\n\n  .md\\:right-1\\/3 {\n    right: 33.333333%;\n  }\n\n  .md\\:right-2\\/3 {\n    right: 66.666667%;\n  }\n\n  .md\\:right-1\\/4 {\n    right: 25%;\n  }\n\n  .md\\:right-2\\/4 {\n    right: 50%;\n  }\n\n  .md\\:right-3\\/4 {\n    right: 75%;\n  }\n\n  .md\\:right-full {\n    right: 100%;\n  }\n\n  .md\\:-right-1\\/2 {\n    right: -50%;\n  }\n\n  .md\\:-right-1\\/3 {\n    right: -33.333333%;\n  }\n\n  .md\\:-right-2\\/3 {\n    right: -66.666667%;\n  }\n\n  .md\\:-right-1\\/4 {\n    right: -25%;\n  }\n\n  .md\\:-right-2\\/4 {\n    right: -50%;\n  }\n\n  .md\\:-right-3\\/4 {\n    right: -75%;\n  }\n\n  .md\\:-right-full {\n    right: -100%;\n  }\n\n  .md\\:bottom-0 {\n    bottom: 0px;\n  }\n\n  .md\\:bottom-1 {\n    bottom: 0.25rem;\n  }\n\n  .md\\:bottom-2 {\n    bottom: 0.5rem;\n  }\n\n  .md\\:bottom-3 {\n    bottom: 0.75rem;\n  }\n\n  .md\\:bottom-4 {\n    bottom: 1rem;\n  }\n\n  .md\\:bottom-5 {\n    bottom: 1.25rem;\n  }\n\n  .md\\:bottom-6 {\n    bottom: 1.5rem;\n  }\n\n  .md\\:bottom-7 {\n    bottom: 1.75rem;\n  }\n\n  .md\\:bottom-8 {\n    bottom: 2rem;\n  }\n\n  .md\\:bottom-9 {\n    bottom: 2.25rem;\n  }\n\n  .md\\:bottom-10 {\n    bottom: 2.5rem;\n  }\n\n  .md\\:bottom-11 {\n    bottom: 2.75rem;\n  }\n\n  .md\\:bottom-12 {\n    bottom: 3rem;\n  }\n\n  .md\\:bottom-14 {\n    bottom: 3.5rem;\n  }\n\n  .md\\:bottom-16 {\n    bottom: 4rem;\n  }\n\n  .md\\:bottom-20 {\n    bottom: 5rem;\n  }\n\n  .md\\:bottom-24 {\n    bottom: 6rem;\n  }\n\n  .md\\:bottom-28 {\n    bottom: 7rem;\n  }\n\n  .md\\:bottom-32 {\n    bottom: 8rem;\n  }\n\n  .md\\:bottom-36 {\n    bottom: 9rem;\n  }\n\n  .md\\:bottom-40 {\n    bottom: 10rem;\n  }\n\n  .md\\:bottom-44 {\n    bottom: 11rem;\n  }\n\n  .md\\:bottom-48 {\n    bottom: 12rem;\n  }\n\n  .md\\:bottom-52 {\n    bottom: 13rem;\n  }\n\n  .md\\:bottom-56 {\n    bottom: 14rem;\n  }\n\n  .md\\:bottom-60 {\n    bottom: 15rem;\n  }\n\n  .md\\:bottom-64 {\n    bottom: 16rem;\n  }\n\n  .md\\:bottom-72 {\n    bottom: 18rem;\n  }\n\n  .md\\:bottom-80 {\n    bottom: 20rem;\n  }\n\n  .md\\:bottom-96 {\n    bottom: 24rem;\n  }\n\n  .md\\:bottom-auto {\n    bottom: auto;\n  }\n\n  .md\\:bottom-px {\n    bottom: 1px;\n  }\n\n  .md\\:bottom-0\\.5 {\n    bottom: 0.125rem;\n  }\n\n  .md\\:bottom-1\\.5 {\n    bottom: 0.375rem;\n  }\n\n  .md\\:bottom-2\\.5 {\n    bottom: 0.625rem;\n  }\n\n  .md\\:bottom-3\\.5 {\n    bottom: 0.875rem;\n  }\n\n  .md\\:-bottom-0 {\n    bottom: 0px;\n  }\n\n  .md\\:-bottom-1 {\n    bottom: -0.25rem;\n  }\n\n  .md\\:-bottom-2 {\n    bottom: -0.5rem;\n  }\n\n  .md\\:-bottom-3 {\n    bottom: -0.75rem;\n  }\n\n  .md\\:-bottom-4 {\n    bottom: -1rem;\n  }\n\n  .md\\:-bottom-5 {\n    bottom: -1.25rem;\n  }\n\n  .md\\:-bottom-6 {\n    bottom: -1.5rem;\n  }\n\n  .md\\:-bottom-7 {\n    bottom: -1.75rem;\n  }\n\n  .md\\:-bottom-8 {\n    bottom: -2rem;\n  }\n\n  .md\\:-bottom-9 {\n    bottom: -2.25rem;\n  }\n\n  .md\\:-bottom-10 {\n    bottom: -2.5rem;\n  }\n\n  .md\\:-bottom-11 {\n    bottom: -2.75rem;\n  }\n\n  .md\\:-bottom-12 {\n    bottom: -3rem;\n  }\n\n  .md\\:-bottom-14 {\n    bottom: -3.5rem;\n  }\n\n  .md\\:-bottom-16 {\n    bottom: -4rem;\n  }\n\n  .md\\:-bottom-20 {\n    bottom: -5rem;\n  }\n\n  .md\\:-bottom-24 {\n    bottom: -6rem;\n  }\n\n  .md\\:-bottom-28 {\n    bottom: -7rem;\n  }\n\n  .md\\:-bottom-32 {\n    bottom: -8rem;\n  }\n\n  .md\\:-bottom-36 {\n    bottom: -9rem;\n  }\n\n  .md\\:-bottom-40 {\n    bottom: -10rem;\n  }\n\n  .md\\:-bottom-44 {\n    bottom: -11rem;\n  }\n\n  .md\\:-bottom-48 {\n    bottom: -12rem;\n  }\n\n  .md\\:-bottom-52 {\n    bottom: -13rem;\n  }\n\n  .md\\:-bottom-56 {\n    bottom: -14rem;\n  }\n\n  .md\\:-bottom-60 {\n    bottom: -15rem;\n  }\n\n  .md\\:-bottom-64 {\n    bottom: -16rem;\n  }\n\n  .md\\:-bottom-72 {\n    bottom: -18rem;\n  }\n\n  .md\\:-bottom-80 {\n    bottom: -20rem;\n  }\n\n  .md\\:-bottom-96 {\n    bottom: -24rem;\n  }\n\n  .md\\:-bottom-px {\n    bottom: -1px;\n  }\n\n  .md\\:-bottom-0\\.5 {\n    bottom: -0.125rem;\n  }\n\n  .md\\:-bottom-1\\.5 {\n    bottom: -0.375rem;\n  }\n\n  .md\\:-bottom-2\\.5 {\n    bottom: -0.625rem;\n  }\n\n  .md\\:-bottom-3\\.5 {\n    bottom: -0.875rem;\n  }\n\n  .md\\:bottom-1\\/2 {\n    bottom: 50%;\n  }\n\n  .md\\:bottom-1\\/3 {\n    bottom: 33.333333%;\n  }\n\n  .md\\:bottom-2\\/3 {\n    bottom: 66.666667%;\n  }\n\n  .md\\:bottom-1\\/4 {\n    bottom: 25%;\n  }\n\n  .md\\:bottom-2\\/4 {\n    bottom: 50%;\n  }\n\n  .md\\:bottom-3\\/4 {\n    bottom: 75%;\n  }\n\n  .md\\:bottom-full {\n    bottom: 100%;\n  }\n\n  .md\\:-bottom-1\\/2 {\n    bottom: -50%;\n  }\n\n  .md\\:-bottom-1\\/3 {\n    bottom: -33.333333%;\n  }\n\n  .md\\:-bottom-2\\/3 {\n    bottom: -66.666667%;\n  }\n\n  .md\\:-bottom-1\\/4 {\n    bottom: -25%;\n  }\n\n  .md\\:-bottom-2\\/4 {\n    bottom: -50%;\n  }\n\n  .md\\:-bottom-3\\/4 {\n    bottom: -75%;\n  }\n\n  .md\\:-bottom-full {\n    bottom: -100%;\n  }\n\n  .md\\:left-0 {\n    left: 0px;\n  }\n\n  .md\\:left-1 {\n    left: 0.25rem;\n  }\n\n  .md\\:left-2 {\n    left: 0.5rem;\n  }\n\n  .md\\:left-3 {\n    left: 0.75rem;\n  }\n\n  .md\\:left-4 {\n    left: 1rem;\n  }\n\n  .md\\:left-5 {\n    left: 1.25rem;\n  }\n\n  .md\\:left-6 {\n    left: 1.5rem;\n  }\n\n  .md\\:left-7 {\n    left: 1.75rem;\n  }\n\n  .md\\:left-8 {\n    left: 2rem;\n  }\n\n  .md\\:left-9 {\n    left: 2.25rem;\n  }\n\n  .md\\:left-10 {\n    left: 2.5rem;\n  }\n\n  .md\\:left-11 {\n    left: 2.75rem;\n  }\n\n  .md\\:left-12 {\n    left: 3rem;\n  }\n\n  .md\\:left-14 {\n    left: 3.5rem;\n  }\n\n  .md\\:left-16 {\n    left: 4rem;\n  }\n\n  .md\\:left-20 {\n    left: 5rem;\n  }\n\n  .md\\:left-24 {\n    left: 6rem;\n  }\n\n  .md\\:left-28 {\n    left: 7rem;\n  }\n\n  .md\\:left-32 {\n    left: 8rem;\n  }\n\n  .md\\:left-36 {\n    left: 9rem;\n  }\n\n  .md\\:left-40 {\n    left: 10rem;\n  }\n\n  .md\\:left-44 {\n    left: 11rem;\n  }\n\n  .md\\:left-48 {\n    left: 12rem;\n  }\n\n  .md\\:left-52 {\n    left: 13rem;\n  }\n\n  .md\\:left-56 {\n    left: 14rem;\n  }\n\n  .md\\:left-60 {\n    left: 15rem;\n  }\n\n  .md\\:left-64 {\n    left: 16rem;\n  }\n\n  .md\\:left-72 {\n    left: 18rem;\n  }\n\n  .md\\:left-80 {\n    left: 20rem;\n  }\n\n  .md\\:left-96 {\n    left: 24rem;\n  }\n\n  .md\\:left-auto {\n    left: auto;\n  }\n\n  .md\\:left-px {\n    left: 1px;\n  }\n\n  .md\\:left-0\\.5 {\n    left: 0.125rem;\n  }\n\n  .md\\:left-1\\.5 {\n    left: 0.375rem;\n  }\n\n  .md\\:left-2\\.5 {\n    left: 0.625rem;\n  }\n\n  .md\\:left-3\\.5 {\n    left: 0.875rem;\n  }\n\n  .md\\:-left-0 {\n    left: 0px;\n  }\n\n  .md\\:-left-1 {\n    left: -0.25rem;\n  }\n\n  .md\\:-left-2 {\n    left: -0.5rem;\n  }\n\n  .md\\:-left-3 {\n    left: -0.75rem;\n  }\n\n  .md\\:-left-4 {\n    left: -1rem;\n  }\n\n  .md\\:-left-5 {\n    left: -1.25rem;\n  }\n\n  .md\\:-left-6 {\n    left: -1.5rem;\n  }\n\n  .md\\:-left-7 {\n    left: -1.75rem;\n  }\n\n  .md\\:-left-8 {\n    left: -2rem;\n  }\n\n  .md\\:-left-9 {\n    left: -2.25rem;\n  }\n\n  .md\\:-left-10 {\n    left: -2.5rem;\n  }\n\n  .md\\:-left-11 {\n    left: -2.75rem;\n  }\n\n  .md\\:-left-12 {\n    left: -3rem;\n  }\n\n  .md\\:-left-14 {\n    left: -3.5rem;\n  }\n\n  .md\\:-left-16 {\n    left: -4rem;\n  }\n\n  .md\\:-left-20 {\n    left: -5rem;\n  }\n\n  .md\\:-left-24 {\n    left: -6rem;\n  }\n\n  .md\\:-left-28 {\n    left: -7rem;\n  }\n\n  .md\\:-left-32 {\n    left: -8rem;\n  }\n\n  .md\\:-left-36 {\n    left: -9rem;\n  }\n\n  .md\\:-left-40 {\n    left: -10rem;\n  }\n\n  .md\\:-left-44 {\n    left: -11rem;\n  }\n\n  .md\\:-left-48 {\n    left: -12rem;\n  }\n\n  .md\\:-left-52 {\n    left: -13rem;\n  }\n\n  .md\\:-left-56 {\n    left: -14rem;\n  }\n\n  .md\\:-left-60 {\n    left: -15rem;\n  }\n\n  .md\\:-left-64 {\n    left: -16rem;\n  }\n\n  .md\\:-left-72 {\n    left: -18rem;\n  }\n\n  .md\\:-left-80 {\n    left: -20rem;\n  }\n\n  .md\\:-left-96 {\n    left: -24rem;\n  }\n\n  .md\\:-left-px {\n    left: -1px;\n  }\n\n  .md\\:-left-0\\.5 {\n    left: -0.125rem;\n  }\n\n  .md\\:-left-1\\.5 {\n    left: -0.375rem;\n  }\n\n  .md\\:-left-2\\.5 {\n    left: -0.625rem;\n  }\n\n  .md\\:-left-3\\.5 {\n    left: -0.875rem;\n  }\n\n  .md\\:left-1\\/2 {\n    left: 50%;\n  }\n\n  .md\\:left-1\\/3 {\n    left: 33.333333%;\n  }\n\n  .md\\:left-2\\/3 {\n    left: 66.666667%;\n  }\n\n  .md\\:left-1\\/4 {\n    left: 25%;\n  }\n\n  .md\\:left-2\\/4 {\n    left: 50%;\n  }\n\n  .md\\:left-3\\/4 {\n    left: 75%;\n  }\n\n  .md\\:left-full {\n    left: 100%;\n  }\n\n  .md\\:-left-1\\/2 {\n    left: -50%;\n  }\n\n  .md\\:-left-1\\/3 {\n    left: -33.333333%;\n  }\n\n  .md\\:-left-2\\/3 {\n    left: -66.666667%;\n  }\n\n  .md\\:-left-1\\/4 {\n    left: -25%;\n  }\n\n  .md\\:-left-2\\/4 {\n    left: -50%;\n  }\n\n  .md\\:-left-3\\/4 {\n    left: -75%;\n  }\n\n  .md\\:-left-full {\n    left: -100%;\n  }\n\n  .md\\:isolate {\n    isolation: isolate;\n  }\n\n  .md\\:isolation-auto {\n    isolation: auto;\n  }\n\n  .md\\:z-0 {\n    z-index: 0;\n  }\n\n  .md\\:z-10 {\n    z-index: 10;\n  }\n\n  .md\\:z-20 {\n    z-index: 20;\n  }\n\n  .md\\:z-30 {\n    z-index: 30;\n  }\n\n  .md\\:z-40 {\n    z-index: 40;\n  }\n\n  .md\\:z-50 {\n    z-index: 50;\n  }\n\n  .md\\:z-auto {\n    z-index: auto;\n  }\n\n  .md\\:focus-within\\:z-0:focus-within {\n    z-index: 0;\n  }\n\n  .md\\:focus-within\\:z-10:focus-within {\n    z-index: 10;\n  }\n\n  .md\\:focus-within\\:z-20:focus-within {\n    z-index: 20;\n  }\n\n  .md\\:focus-within\\:z-30:focus-within {\n    z-index: 30;\n  }\n\n  .md\\:focus-within\\:z-40:focus-within {\n    z-index: 40;\n  }\n\n  .md\\:focus-within\\:z-50:focus-within {\n    z-index: 50;\n  }\n\n  .md\\:focus-within\\:z-auto:focus-within {\n    z-index: auto;\n  }\n\n  .md\\:focus\\:z-0:focus {\n    z-index: 0;\n  }\n\n  .md\\:focus\\:z-10:focus {\n    z-index: 10;\n  }\n\n  .md\\:focus\\:z-20:focus {\n    z-index: 20;\n  }\n\n  .md\\:focus\\:z-30:focus {\n    z-index: 30;\n  }\n\n  .md\\:focus\\:z-40:focus {\n    z-index: 40;\n  }\n\n  .md\\:focus\\:z-50:focus {\n    z-index: 50;\n  }\n\n  .md\\:focus\\:z-auto:focus {\n    z-index: auto;\n  }\n\n  .md\\:order-1 {\n    order: 1;\n  }\n\n  .md\\:order-2 {\n    order: 2;\n  }\n\n  .md\\:order-3 {\n    order: 3;\n  }\n\n  .md\\:order-4 {\n    order: 4;\n  }\n\n  .md\\:order-5 {\n    order: 5;\n  }\n\n  .md\\:order-6 {\n    order: 6;\n  }\n\n  .md\\:order-7 {\n    order: 7;\n  }\n\n  .md\\:order-8 {\n    order: 8;\n  }\n\n  .md\\:order-9 {\n    order: 9;\n  }\n\n  .md\\:order-10 {\n    order: 10;\n  }\n\n  .md\\:order-11 {\n    order: 11;\n  }\n\n  .md\\:order-12 {\n    order: 12;\n  }\n\n  .md\\:order-first {\n    order: -9999;\n  }\n\n  .md\\:order-last {\n    order: 9999;\n  }\n\n  .md\\:order-none {\n    order: 0;\n  }\n\n  .md\\:col-auto {\n    grid-column: auto;\n  }\n\n  .md\\:col-span-1 {\n    grid-column: span 1 / span 1;\n  }\n\n  .md\\:col-span-2 {\n    grid-column: span 2 / span 2;\n  }\n\n  .md\\:col-span-3 {\n    grid-column: span 3 / span 3;\n  }\n\n  .md\\:col-span-4 {\n    grid-column: span 4 / span 4;\n  }\n\n  .md\\:col-span-5 {\n    grid-column: span 5 / span 5;\n  }\n\n  .md\\:col-span-6 {\n    grid-column: span 6 / span 6;\n  }\n\n  .md\\:col-span-7 {\n    grid-column: span 7 / span 7;\n  }\n\n  .md\\:col-span-8 {\n    grid-column: span 8 / span 8;\n  }\n\n  .md\\:col-span-9 {\n    grid-column: span 9 / span 9;\n  }\n\n  .md\\:col-span-10 {\n    grid-column: span 10 / span 10;\n  }\n\n  .md\\:col-span-11 {\n    grid-column: span 11 / span 11;\n  }\n\n  .md\\:col-span-12 {\n    grid-column: span 12 / span 12;\n  }\n\n  .md\\:col-span-full {\n    grid-column: 1 / -1;\n  }\n\n  .md\\:col-start-1 {\n    grid-column-start: 1;\n  }\n\n  .md\\:col-start-2 {\n    grid-column-start: 2;\n  }\n\n  .md\\:col-start-3 {\n    grid-column-start: 3;\n  }\n\n  .md\\:col-start-4 {\n    grid-column-start: 4;\n  }\n\n  .md\\:col-start-5 {\n    grid-column-start: 5;\n  }\n\n  .md\\:col-start-6 {\n    grid-column-start: 6;\n  }\n\n  .md\\:col-start-7 {\n    grid-column-start: 7;\n  }\n\n  .md\\:col-start-8 {\n    grid-column-start: 8;\n  }\n\n  .md\\:col-start-9 {\n    grid-column-start: 9;\n  }\n\n  .md\\:col-start-10 {\n    grid-column-start: 10;\n  }\n\n  .md\\:col-start-11 {\n    grid-column-start: 11;\n  }\n\n  .md\\:col-start-12 {\n    grid-column-start: 12;\n  }\n\n  .md\\:col-start-13 {\n    grid-column-start: 13;\n  }\n\n  .md\\:col-start-auto {\n    grid-column-start: auto;\n  }\n\n  .md\\:col-end-1 {\n    grid-column-end: 1;\n  }\n\n  .md\\:col-end-2 {\n    grid-column-end: 2;\n  }\n\n  .md\\:col-end-3 {\n    grid-column-end: 3;\n  }\n\n  .md\\:col-end-4 {\n    grid-column-end: 4;\n  }\n\n  .md\\:col-end-5 {\n    grid-column-end: 5;\n  }\n\n  .md\\:col-end-6 {\n    grid-column-end: 6;\n  }\n\n  .md\\:col-end-7 {\n    grid-column-end: 7;\n  }\n\n  .md\\:col-end-8 {\n    grid-column-end: 8;\n  }\n\n  .md\\:col-end-9 {\n    grid-column-end: 9;\n  }\n\n  .md\\:col-end-10 {\n    grid-column-end: 10;\n  }\n\n  .md\\:col-end-11 {\n    grid-column-end: 11;\n  }\n\n  .md\\:col-end-12 {\n    grid-column-end: 12;\n  }\n\n  .md\\:col-end-13 {\n    grid-column-end: 13;\n  }\n\n  .md\\:col-end-auto {\n    grid-column-end: auto;\n  }\n\n  .md\\:row-auto {\n    grid-row: auto;\n  }\n\n  .md\\:row-span-1 {\n    grid-row: span 1 / span 1;\n  }\n\n  .md\\:row-span-2 {\n    grid-row: span 2 / span 2;\n  }\n\n  .md\\:row-span-3 {\n    grid-row: span 3 / span 3;\n  }\n\n  .md\\:row-span-4 {\n    grid-row: span 4 / span 4;\n  }\n\n  .md\\:row-span-5 {\n    grid-row: span 5 / span 5;\n  }\n\n  .md\\:row-span-6 {\n    grid-row: span 6 / span 6;\n  }\n\n  .md\\:row-span-full {\n    grid-row: 1 / -1;\n  }\n\n  .md\\:row-start-1 {\n    grid-row-start: 1;\n  }\n\n  .md\\:row-start-2 {\n    grid-row-start: 2;\n  }\n\n  .md\\:row-start-3 {\n    grid-row-start: 3;\n  }\n\n  .md\\:row-start-4 {\n    grid-row-start: 4;\n  }\n\n  .md\\:row-start-5 {\n    grid-row-start: 5;\n  }\n\n  .md\\:row-start-6 {\n    grid-row-start: 6;\n  }\n\n  .md\\:row-start-7 {\n    grid-row-start: 7;\n  }\n\n  .md\\:row-start-auto {\n    grid-row-start: auto;\n  }\n\n  .md\\:row-end-1 {\n    grid-row-end: 1;\n  }\n\n  .md\\:row-end-2 {\n    grid-row-end: 2;\n  }\n\n  .md\\:row-end-3 {\n    grid-row-end: 3;\n  }\n\n  .md\\:row-end-4 {\n    grid-row-end: 4;\n  }\n\n  .md\\:row-end-5 {\n    grid-row-end: 5;\n  }\n\n  .md\\:row-end-6 {\n    grid-row-end: 6;\n  }\n\n  .md\\:row-end-7 {\n    grid-row-end: 7;\n  }\n\n  .md\\:row-end-auto {\n    grid-row-end: auto;\n  }\n\n  .md\\:float-right {\n    float: right;\n  }\n\n  .md\\:float-left {\n    float: left;\n  }\n\n  .md\\:float-none {\n    float: none;\n  }\n\n  .md\\:clear-left {\n    clear: left;\n  }\n\n  .md\\:clear-right {\n    clear: right;\n  }\n\n  .md\\:clear-both {\n    clear: both;\n  }\n\n  .md\\:clear-none {\n    clear: none;\n  }\n\n  .md\\:m-0 {\n    margin: 0px;\n  }\n\n  .md\\:m-1 {\n    margin: 0.25rem;\n  }\n\n  .md\\:m-2 {\n    margin: 0.5rem;\n  }\n\n  .md\\:m-3 {\n    margin: 0.75rem;\n  }\n\n  .md\\:m-4 {\n    margin: 1rem;\n  }\n\n  .md\\:m-5 {\n    margin: 1.25rem;\n  }\n\n  .md\\:m-6 {\n    margin: 1.5rem;\n  }\n\n  .md\\:m-7 {\n    margin: 1.75rem;\n  }\n\n  .md\\:m-8 {\n    margin: 2rem;\n  }\n\n  .md\\:m-9 {\n    margin: 2.25rem;\n  }\n\n  .md\\:m-10 {\n    margin: 2.5rem;\n  }\n\n  .md\\:m-11 {\n    margin: 2.75rem;\n  }\n\n  .md\\:m-12 {\n    margin: 3rem;\n  }\n\n  .md\\:m-14 {\n    margin: 3.5rem;\n  }\n\n  .md\\:m-16 {\n    margin: 4rem;\n  }\n\n  .md\\:m-20 {\n    margin: 5rem;\n  }\n\n  .md\\:m-24 {\n    margin: 6rem;\n  }\n\n  .md\\:m-28 {\n    margin: 7rem;\n  }\n\n  .md\\:m-32 {\n    margin: 8rem;\n  }\n\n  .md\\:m-36 {\n    margin: 9rem;\n  }\n\n  .md\\:m-40 {\n    margin: 10rem;\n  }\n\n  .md\\:m-44 {\n    margin: 11rem;\n  }\n\n  .md\\:m-48 {\n    margin: 12rem;\n  }\n\n  .md\\:m-52 {\n    margin: 13rem;\n  }\n\n  .md\\:m-56 {\n    margin: 14rem;\n  }\n\n  .md\\:m-60 {\n    margin: 15rem;\n  }\n\n  .md\\:m-64 {\n    margin: 16rem;\n  }\n\n  .md\\:m-72 {\n    margin: 18rem;\n  }\n\n  .md\\:m-80 {\n    margin: 20rem;\n  }\n\n  .md\\:m-96 {\n    margin: 24rem;\n  }\n\n  .md\\:m-auto {\n    margin: auto;\n  }\n\n  .md\\:m-px {\n    margin: 1px;\n  }\n\n  .md\\:m-0\\.5 {\n    margin: 0.125rem;\n  }\n\n  .md\\:m-1\\.5 {\n    margin: 0.375rem;\n  }\n\n  .md\\:m-2\\.5 {\n    margin: 0.625rem;\n  }\n\n  .md\\:m-3\\.5 {\n    margin: 0.875rem;\n  }\n\n  .md\\:-m-0 {\n    margin: 0px;\n  }\n\n  .md\\:-m-1 {\n    margin: -0.25rem;\n  }\n\n  .md\\:-m-2 {\n    margin: -0.5rem;\n  }\n\n  .md\\:-m-3 {\n    margin: -0.75rem;\n  }\n\n  .md\\:-m-4 {\n    margin: -1rem;\n  }\n\n  .md\\:-m-5 {\n    margin: -1.25rem;\n  }\n\n  .md\\:-m-6 {\n    margin: -1.5rem;\n  }\n\n  .md\\:-m-7 {\n    margin: -1.75rem;\n  }\n\n  .md\\:-m-8 {\n    margin: -2rem;\n  }\n\n  .md\\:-m-9 {\n    margin: -2.25rem;\n  }\n\n  .md\\:-m-10 {\n    margin: -2.5rem;\n  }\n\n  .md\\:-m-11 {\n    margin: -2.75rem;\n  }\n\n  .md\\:-m-12 {\n    margin: -3rem;\n  }\n\n  .md\\:-m-14 {\n    margin: -3.5rem;\n  }\n\n  .md\\:-m-16 {\n    margin: -4rem;\n  }\n\n  .md\\:-m-20 {\n    margin: -5rem;\n  }\n\n  .md\\:-m-24 {\n    margin: -6rem;\n  }\n\n  .md\\:-m-28 {\n    margin: -7rem;\n  }\n\n  .md\\:-m-32 {\n    margin: -8rem;\n  }\n\n  .md\\:-m-36 {\n    margin: -9rem;\n  }\n\n  .md\\:-m-40 {\n    margin: -10rem;\n  }\n\n  .md\\:-m-44 {\n    margin: -11rem;\n  }\n\n  .md\\:-m-48 {\n    margin: -12rem;\n  }\n\n  .md\\:-m-52 {\n    margin: -13rem;\n  }\n\n  .md\\:-m-56 {\n    margin: -14rem;\n  }\n\n  .md\\:-m-60 {\n    margin: -15rem;\n  }\n\n  .md\\:-m-64 {\n    margin: -16rem;\n  }\n\n  .md\\:-m-72 {\n    margin: -18rem;\n  }\n\n  .md\\:-m-80 {\n    margin: -20rem;\n  }\n\n  .md\\:-m-96 {\n    margin: -24rem;\n  }\n\n  .md\\:-m-px {\n    margin: -1px;\n  }\n\n  .md\\:-m-0\\.5 {\n    margin: -0.125rem;\n  }\n\n  .md\\:-m-1\\.5 {\n    margin: -0.375rem;\n  }\n\n  .md\\:-m-2\\.5 {\n    margin: -0.625rem;\n  }\n\n  .md\\:-m-3\\.5 {\n    margin: -0.875rem;\n  }\n\n  .md\\:mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .md\\:mx-1 {\n    margin-left: 0.25rem;\n    margin-right: 0.25rem;\n  }\n\n  .md\\:mx-2 {\n    margin-left: 0.5rem;\n    margin-right: 0.5rem;\n  }\n\n  .md\\:mx-3 {\n    margin-left: 0.75rem;\n    margin-right: 0.75rem;\n  }\n\n  .md\\:mx-4 {\n    margin-left: 1rem;\n    margin-right: 1rem;\n  }\n\n  .md\\:mx-5 {\n    margin-left: 1.25rem;\n    margin-right: 1.25rem;\n  }\n\n  .md\\:mx-6 {\n    margin-left: 1.5rem;\n    margin-right: 1.5rem;\n  }\n\n  .md\\:mx-7 {\n    margin-left: 1.75rem;\n    margin-right: 1.75rem;\n  }\n\n  .md\\:mx-8 {\n    margin-left: 2rem;\n    margin-right: 2rem;\n  }\n\n  .md\\:mx-9 {\n    margin-left: 2.25rem;\n    margin-right: 2.25rem;\n  }\n\n  .md\\:mx-10 {\n    margin-left: 2.5rem;\n    margin-right: 2.5rem;\n  }\n\n  .md\\:mx-11 {\n    margin-left: 2.75rem;\n    margin-right: 2.75rem;\n  }\n\n  .md\\:mx-12 {\n    margin-left: 3rem;\n    margin-right: 3rem;\n  }\n\n  .md\\:mx-14 {\n    margin-left: 3.5rem;\n    margin-right: 3.5rem;\n  }\n\n  .md\\:mx-16 {\n    margin-left: 4rem;\n    margin-right: 4rem;\n  }\n\n  .md\\:mx-20 {\n    margin-left: 5rem;\n    margin-right: 5rem;\n  }\n\n  .md\\:mx-24 {\n    margin-left: 6rem;\n    margin-right: 6rem;\n  }\n\n  .md\\:mx-28 {\n    margin-left: 7rem;\n    margin-right: 7rem;\n  }\n\n  .md\\:mx-32 {\n    margin-left: 8rem;\n    margin-right: 8rem;\n  }\n\n  .md\\:mx-36 {\n    margin-left: 9rem;\n    margin-right: 9rem;\n  }\n\n  .md\\:mx-40 {\n    margin-left: 10rem;\n    margin-right: 10rem;\n  }\n\n  .md\\:mx-44 {\n    margin-left: 11rem;\n    margin-right: 11rem;\n  }\n\n  .md\\:mx-48 {\n    margin-left: 12rem;\n    margin-right: 12rem;\n  }\n\n  .md\\:mx-52 {\n    margin-left: 13rem;\n    margin-right: 13rem;\n  }\n\n  .md\\:mx-56 {\n    margin-left: 14rem;\n    margin-right: 14rem;\n  }\n\n  .md\\:mx-60 {\n    margin-left: 15rem;\n    margin-right: 15rem;\n  }\n\n  .md\\:mx-64 {\n    margin-left: 16rem;\n    margin-right: 16rem;\n  }\n\n  .md\\:mx-72 {\n    margin-left: 18rem;\n    margin-right: 18rem;\n  }\n\n  .md\\:mx-80 {\n    margin-left: 20rem;\n    margin-right: 20rem;\n  }\n\n  .md\\:mx-96 {\n    margin-left: 24rem;\n    margin-right: 24rem;\n  }\n\n  .md\\:mx-auto {\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .md\\:mx-px {\n    margin-left: 1px;\n    margin-right: 1px;\n  }\n\n  .md\\:mx-0\\.5 {\n    margin-left: 0.125rem;\n    margin-right: 0.125rem;\n  }\n\n  .md\\:mx-1\\.5 {\n    margin-left: 0.375rem;\n    margin-right: 0.375rem;\n  }\n\n  .md\\:mx-2\\.5 {\n    margin-left: 0.625rem;\n    margin-right: 0.625rem;\n  }\n\n  .md\\:mx-3\\.5 {\n    margin-left: 0.875rem;\n    margin-right: 0.875rem;\n  }\n\n  .md\\:-mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .md\\:-mx-1 {\n    margin-left: -0.25rem;\n    margin-right: -0.25rem;\n  }\n\n  .md\\:-mx-2 {\n    margin-left: -0.5rem;\n    margin-right: -0.5rem;\n  }\n\n  .md\\:-mx-3 {\n    margin-left: -0.75rem;\n    margin-right: -0.75rem;\n  }\n\n  .md\\:-mx-4 {\n    margin-left: -1rem;\n    margin-right: -1rem;\n  }\n\n  .md\\:-mx-5 {\n    margin-left: -1.25rem;\n    margin-right: -1.25rem;\n  }\n\n  .md\\:-mx-6 {\n    margin-left: -1.5rem;\n    margin-right: -1.5rem;\n  }\n\n  .md\\:-mx-7 {\n    margin-left: -1.75rem;\n    margin-right: -1.75rem;\n  }\n\n  .md\\:-mx-8 {\n    margin-left: -2rem;\n    margin-right: -2rem;\n  }\n\n  .md\\:-mx-9 {\n    margin-left: -2.25rem;\n    margin-right: -2.25rem;\n  }\n\n  .md\\:-mx-10 {\n    margin-left: -2.5rem;\n    margin-right: -2.5rem;\n  }\n\n  .md\\:-mx-11 {\n    margin-left: -2.75rem;\n    margin-right: -2.75rem;\n  }\n\n  .md\\:-mx-12 {\n    margin-left: -3rem;\n    margin-right: -3rem;\n  }\n\n  .md\\:-mx-14 {\n    margin-left: -3.5rem;\n    margin-right: -3.5rem;\n  }\n\n  .md\\:-mx-16 {\n    margin-left: -4rem;\n    margin-right: -4rem;\n  }\n\n  .md\\:-mx-20 {\n    margin-left: -5rem;\n    margin-right: -5rem;\n  }\n\n  .md\\:-mx-24 {\n    margin-left: -6rem;\n    margin-right: -6rem;\n  }\n\n  .md\\:-mx-28 {\n    margin-left: -7rem;\n    margin-right: -7rem;\n  }\n\n  .md\\:-mx-32 {\n    margin-left: -8rem;\n    margin-right: -8rem;\n  }\n\n  .md\\:-mx-36 {\n    margin-left: -9rem;\n    margin-right: -9rem;\n  }\n\n  .md\\:-mx-40 {\n    margin-left: -10rem;\n    margin-right: -10rem;\n  }\n\n  .md\\:-mx-44 {\n    margin-left: -11rem;\n    margin-right: -11rem;\n  }\n\n  .md\\:-mx-48 {\n    margin-left: -12rem;\n    margin-right: -12rem;\n  }\n\n  .md\\:-mx-52 {\n    margin-left: -13rem;\n    margin-right: -13rem;\n  }\n\n  .md\\:-mx-56 {\n    margin-left: -14rem;\n    margin-right: -14rem;\n  }\n\n  .md\\:-mx-60 {\n    margin-left: -15rem;\n    margin-right: -15rem;\n  }\n\n  .md\\:-mx-64 {\n    margin-left: -16rem;\n    margin-right: -16rem;\n  }\n\n  .md\\:-mx-72 {\n    margin-left: -18rem;\n    margin-right: -18rem;\n  }\n\n  .md\\:-mx-80 {\n    margin-left: -20rem;\n    margin-right: -20rem;\n  }\n\n  .md\\:-mx-96 {\n    margin-left: -24rem;\n    margin-right: -24rem;\n  }\n\n  .md\\:-mx-px {\n    margin-left: -1px;\n    margin-right: -1px;\n  }\n\n  .md\\:-mx-0\\.5 {\n    margin-left: -0.125rem;\n    margin-right: -0.125rem;\n  }\n\n  .md\\:-mx-1\\.5 {\n    margin-left: -0.375rem;\n    margin-right: -0.375rem;\n  }\n\n  .md\\:-mx-2\\.5 {\n    margin-left: -0.625rem;\n    margin-right: -0.625rem;\n  }\n\n  .md\\:-mx-3\\.5 {\n    margin-left: -0.875rem;\n    margin-right: -0.875rem;\n  }\n\n  .md\\:my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .md\\:my-1 {\n    margin-top: 0.25rem;\n    margin-bottom: 0.25rem;\n  }\n\n  .md\\:my-2 {\n    margin-top: 0.5rem;\n    margin-bottom: 0.5rem;\n  }\n\n  .md\\:my-3 {\n    margin-top: 0.75rem;\n    margin-bottom: 0.75rem;\n  }\n\n  .md\\:my-4 {\n    margin-top: 1rem;\n    margin-bottom: 1rem;\n  }\n\n  .md\\:my-5 {\n    margin-top: 1.25rem;\n    margin-bottom: 1.25rem;\n  }\n\n  .md\\:my-6 {\n    margin-top: 1.5rem;\n    margin-bottom: 1.5rem;\n  }\n\n  .md\\:my-7 {\n    margin-top: 1.75rem;\n    margin-bottom: 1.75rem;\n  }\n\n  .md\\:my-8 {\n    margin-top: 2rem;\n    margin-bottom: 2rem;\n  }\n\n  .md\\:my-9 {\n    margin-top: 2.25rem;\n    margin-bottom: 2.25rem;\n  }\n\n  .md\\:my-10 {\n    margin-top: 2.5rem;\n    margin-bottom: 2.5rem;\n  }\n\n  .md\\:my-11 {\n    margin-top: 2.75rem;\n    margin-bottom: 2.75rem;\n  }\n\n  .md\\:my-12 {\n    margin-top: 3rem;\n    margin-bottom: 3rem;\n  }\n\n  .md\\:my-14 {\n    margin-top: 3.5rem;\n    margin-bottom: 3.5rem;\n  }\n\n  .md\\:my-16 {\n    margin-top: 4rem;\n    margin-bottom: 4rem;\n  }\n\n  .md\\:my-20 {\n    margin-top: 5rem;\n    margin-bottom: 5rem;\n  }\n\n  .md\\:my-24 {\n    margin-top: 6rem;\n    margin-bottom: 6rem;\n  }\n\n  .md\\:my-28 {\n    margin-top: 7rem;\n    margin-bottom: 7rem;\n  }\n\n  .md\\:my-32 {\n    margin-top: 8rem;\n    margin-bottom: 8rem;\n  }\n\n  .md\\:my-36 {\n    margin-top: 9rem;\n    margin-bottom: 9rem;\n  }\n\n  .md\\:my-40 {\n    margin-top: 10rem;\n    margin-bottom: 10rem;\n  }\n\n  .md\\:my-44 {\n    margin-top: 11rem;\n    margin-bottom: 11rem;\n  }\n\n  .md\\:my-48 {\n    margin-top: 12rem;\n    margin-bottom: 12rem;\n  }\n\n  .md\\:my-52 {\n    margin-top: 13rem;\n    margin-bottom: 13rem;\n  }\n\n  .md\\:my-56 {\n    margin-top: 14rem;\n    margin-bottom: 14rem;\n  }\n\n  .md\\:my-60 {\n    margin-top: 15rem;\n    margin-bottom: 15rem;\n  }\n\n  .md\\:my-64 {\n    margin-top: 16rem;\n    margin-bottom: 16rem;\n  }\n\n  .md\\:my-72 {\n    margin-top: 18rem;\n    margin-bottom: 18rem;\n  }\n\n  .md\\:my-80 {\n    margin-top: 20rem;\n    margin-bottom: 20rem;\n  }\n\n  .md\\:my-96 {\n    margin-top: 24rem;\n    margin-bottom: 24rem;\n  }\n\n  .md\\:my-auto {\n    margin-top: auto;\n    margin-bottom: auto;\n  }\n\n  .md\\:my-px {\n    margin-top: 1px;\n    margin-bottom: 1px;\n  }\n\n  .md\\:my-0\\.5 {\n    margin-top: 0.125rem;\n    margin-bottom: 0.125rem;\n  }\n\n  .md\\:my-1\\.5 {\n    margin-top: 0.375rem;\n    margin-bottom: 0.375rem;\n  }\n\n  .md\\:my-2\\.5 {\n    margin-top: 0.625rem;\n    margin-bottom: 0.625rem;\n  }\n\n  .md\\:my-3\\.5 {\n    margin-top: 0.875rem;\n    margin-bottom: 0.875rem;\n  }\n\n  .md\\:-my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .md\\:-my-1 {\n    margin-top: -0.25rem;\n    margin-bottom: -0.25rem;\n  }\n\n  .md\\:-my-2 {\n    margin-top: -0.5rem;\n    margin-bottom: -0.5rem;\n  }\n\n  .md\\:-my-3 {\n    margin-top: -0.75rem;\n    margin-bottom: -0.75rem;\n  }\n\n  .md\\:-my-4 {\n    margin-top: -1rem;\n    margin-bottom: -1rem;\n  }\n\n  .md\\:-my-5 {\n    margin-top: -1.25rem;\n    margin-bottom: -1.25rem;\n  }\n\n  .md\\:-my-6 {\n    margin-top: -1.5rem;\n    margin-bottom: -1.5rem;\n  }\n\n  .md\\:-my-7 {\n    margin-top: -1.75rem;\n    margin-bottom: -1.75rem;\n  }\n\n  .md\\:-my-8 {\n    margin-top: -2rem;\n    margin-bottom: -2rem;\n  }\n\n  .md\\:-my-9 {\n    margin-top: -2.25rem;\n    margin-bottom: -2.25rem;\n  }\n\n  .md\\:-my-10 {\n    margin-top: -2.5rem;\n    margin-bottom: -2.5rem;\n  }\n\n  .md\\:-my-11 {\n    margin-top: -2.75rem;\n    margin-bottom: -2.75rem;\n  }\n\n  .md\\:-my-12 {\n    margin-top: -3rem;\n    margin-bottom: -3rem;\n  }\n\n  .md\\:-my-14 {\n    margin-top: -3.5rem;\n    margin-bottom: -3.5rem;\n  }\n\n  .md\\:-my-16 {\n    margin-top: -4rem;\n    margin-bottom: -4rem;\n  }\n\n  .md\\:-my-20 {\n    margin-top: -5rem;\n    margin-bottom: -5rem;\n  }\n\n  .md\\:-my-24 {\n    margin-top: -6rem;\n    margin-bottom: -6rem;\n  }\n\n  .md\\:-my-28 {\n    margin-top: -7rem;\n    margin-bottom: -7rem;\n  }\n\n  .md\\:-my-32 {\n    margin-top: -8rem;\n    margin-bottom: -8rem;\n  }\n\n  .md\\:-my-36 {\n    margin-top: -9rem;\n    margin-bottom: -9rem;\n  }\n\n  .md\\:-my-40 {\n    margin-top: -10rem;\n    margin-bottom: -10rem;\n  }\n\n  .md\\:-my-44 {\n    margin-top: -11rem;\n    margin-bottom: -11rem;\n  }\n\n  .md\\:-my-48 {\n    margin-top: -12rem;\n    margin-bottom: -12rem;\n  }\n\n  .md\\:-my-52 {\n    margin-top: -13rem;\n    margin-bottom: -13rem;\n  }\n\n  .md\\:-my-56 {\n    margin-top: -14rem;\n    margin-bottom: -14rem;\n  }\n\n  .md\\:-my-60 {\n    margin-top: -15rem;\n    margin-bottom: -15rem;\n  }\n\n  .md\\:-my-64 {\n    margin-top: -16rem;\n    margin-bottom: -16rem;\n  }\n\n  .md\\:-my-72 {\n    margin-top: -18rem;\n    margin-bottom: -18rem;\n  }\n\n  .md\\:-my-80 {\n    margin-top: -20rem;\n    margin-bottom: -20rem;\n  }\n\n  .md\\:-my-96 {\n    margin-top: -24rem;\n    margin-bottom: -24rem;\n  }\n\n  .md\\:-my-px {\n    margin-top: -1px;\n    margin-bottom: -1px;\n  }\n\n  .md\\:-my-0\\.5 {\n    margin-top: -0.125rem;\n    margin-bottom: -0.125rem;\n  }\n\n  .md\\:-my-1\\.5 {\n    margin-top: -0.375rem;\n    margin-bottom: -0.375rem;\n  }\n\n  .md\\:-my-2\\.5 {\n    margin-top: -0.625rem;\n    margin-bottom: -0.625rem;\n  }\n\n  .md\\:-my-3\\.5 {\n    margin-top: -0.875rem;\n    margin-bottom: -0.875rem;\n  }\n\n  .md\\:mt-0 {\n    margin-top: 0px;\n  }\n\n  .md\\:mt-1 {\n    margin-top: 0.25rem;\n  }\n\n  .md\\:mt-2 {\n    margin-top: 0.5rem;\n  }\n\n  .md\\:mt-3 {\n    margin-top: 0.75rem;\n  }\n\n  .md\\:mt-4 {\n    margin-top: 1rem;\n  }\n\n  .md\\:mt-5 {\n    margin-top: 1.25rem;\n  }\n\n  .md\\:mt-6 {\n    margin-top: 1.5rem;\n  }\n\n  .md\\:mt-7 {\n    margin-top: 1.75rem;\n  }\n\n  .md\\:mt-8 {\n    margin-top: 2rem;\n  }\n\n  .md\\:mt-9 {\n    margin-top: 2.25rem;\n  }\n\n  .md\\:mt-10 {\n    margin-top: 2.5rem;\n  }\n\n  .md\\:mt-11 {\n    margin-top: 2.75rem;\n  }\n\n  .md\\:mt-12 {\n    margin-top: 3rem;\n  }\n\n  .md\\:mt-14 {\n    margin-top: 3.5rem;\n  }\n\n  .md\\:mt-16 {\n    margin-top: 4rem;\n  }\n\n  .md\\:mt-20 {\n    margin-top: 5rem;\n  }\n\n  .md\\:mt-24 {\n    margin-top: 6rem;\n  }\n\n  .md\\:mt-28 {\n    margin-top: 7rem;\n  }\n\n  .md\\:mt-32 {\n    margin-top: 8rem;\n  }\n\n  .md\\:mt-36 {\n    margin-top: 9rem;\n  }\n\n  .md\\:mt-40 {\n    margin-top: 10rem;\n  }\n\n  .md\\:mt-44 {\n    margin-top: 11rem;\n  }\n\n  .md\\:mt-48 {\n    margin-top: 12rem;\n  }\n\n  .md\\:mt-52 {\n    margin-top: 13rem;\n  }\n\n  .md\\:mt-56 {\n    margin-top: 14rem;\n  }\n\n  .md\\:mt-60 {\n    margin-top: 15rem;\n  }\n\n  .md\\:mt-64 {\n    margin-top: 16rem;\n  }\n\n  .md\\:mt-72 {\n    margin-top: 18rem;\n  }\n\n  .md\\:mt-80 {\n    margin-top: 20rem;\n  }\n\n  .md\\:mt-96 {\n    margin-top: 24rem;\n  }\n\n  .md\\:mt-auto {\n    margin-top: auto;\n  }\n\n  .md\\:mt-px {\n    margin-top: 1px;\n  }\n\n  .md\\:mt-0\\.5 {\n    margin-top: 0.125rem;\n  }\n\n  .md\\:mt-1\\.5 {\n    margin-top: 0.375rem;\n  }\n\n  .md\\:mt-2\\.5 {\n    margin-top: 0.625rem;\n  }\n\n  .md\\:mt-3\\.5 {\n    margin-top: 0.875rem;\n  }\n\n  .md\\:-mt-0 {\n    margin-top: 0px;\n  }\n\n  .md\\:-mt-1 {\n    margin-top: -0.25rem;\n  }\n\n  .md\\:-mt-2 {\n    margin-top: -0.5rem;\n  }\n\n  .md\\:-mt-3 {\n    margin-top: -0.75rem;\n  }\n\n  .md\\:-mt-4 {\n    margin-top: -1rem;\n  }\n\n  .md\\:-mt-5 {\n    margin-top: -1.25rem;\n  }\n\n  .md\\:-mt-6 {\n    margin-top: -1.5rem;\n  }\n\n  .md\\:-mt-7 {\n    margin-top: -1.75rem;\n  }\n\n  .md\\:-mt-8 {\n    margin-top: -2rem;\n  }\n\n  .md\\:-mt-9 {\n    margin-top: -2.25rem;\n  }\n\n  .md\\:-mt-10 {\n    margin-top: -2.5rem;\n  }\n\n  .md\\:-mt-11 {\n    margin-top: -2.75rem;\n  }\n\n  .md\\:-mt-12 {\n    margin-top: -3rem;\n  }\n\n  .md\\:-mt-14 {\n    margin-top: -3.5rem;\n  }\n\n  .md\\:-mt-16 {\n    margin-top: -4rem;\n  }\n\n  .md\\:-mt-20 {\n    margin-top: -5rem;\n  }\n\n  .md\\:-mt-24 {\n    margin-top: -6rem;\n  }\n\n  .md\\:-mt-28 {\n    margin-top: -7rem;\n  }\n\n  .md\\:-mt-32 {\n    margin-top: -8rem;\n  }\n\n  .md\\:-mt-36 {\n    margin-top: -9rem;\n  }\n\n  .md\\:-mt-40 {\n    margin-top: -10rem;\n  }\n\n  .md\\:-mt-44 {\n    margin-top: -11rem;\n  }\n\n  .md\\:-mt-48 {\n    margin-top: -12rem;\n  }\n\n  .md\\:-mt-52 {\n    margin-top: -13rem;\n  }\n\n  .md\\:-mt-56 {\n    margin-top: -14rem;\n  }\n\n  .md\\:-mt-60 {\n    margin-top: -15rem;\n  }\n\n  .md\\:-mt-64 {\n    margin-top: -16rem;\n  }\n\n  .md\\:-mt-72 {\n    margin-top: -18rem;\n  }\n\n  .md\\:-mt-80 {\n    margin-top: -20rem;\n  }\n\n  .md\\:-mt-96 {\n    margin-top: -24rem;\n  }\n\n  .md\\:-mt-px {\n    margin-top: -1px;\n  }\n\n  .md\\:-mt-0\\.5 {\n    margin-top: -0.125rem;\n  }\n\n  .md\\:-mt-1\\.5 {\n    margin-top: -0.375rem;\n  }\n\n  .md\\:-mt-2\\.5 {\n    margin-top: -0.625rem;\n  }\n\n  .md\\:-mt-3\\.5 {\n    margin-top: -0.875rem;\n  }\n\n  .md\\:mr-0 {\n    margin-right: 0px;\n  }\n\n  .md\\:mr-1 {\n    margin-right: 0.25rem;\n  }\n\n  .md\\:mr-2 {\n    margin-right: 0.5rem;\n  }\n\n  .md\\:mr-3 {\n    margin-right: 0.75rem;\n  }\n\n  .md\\:mr-4 {\n    margin-right: 1rem;\n  }\n\n  .md\\:mr-5 {\n    margin-right: 1.25rem;\n  }\n\n  .md\\:mr-6 {\n    margin-right: 1.5rem;\n  }\n\n  .md\\:mr-7 {\n    margin-right: 1.75rem;\n  }\n\n  .md\\:mr-8 {\n    margin-right: 2rem;\n  }\n\n  .md\\:mr-9 {\n    margin-right: 2.25rem;\n  }\n\n  .md\\:mr-10 {\n    margin-right: 2.5rem;\n  }\n\n  .md\\:mr-11 {\n    margin-right: 2.75rem;\n  }\n\n  .md\\:mr-12 {\n    margin-right: 3rem;\n  }\n\n  .md\\:mr-14 {\n    margin-right: 3.5rem;\n  }\n\n  .md\\:mr-16 {\n    margin-right: 4rem;\n  }\n\n  .md\\:mr-20 {\n    margin-right: 5rem;\n  }\n\n  .md\\:mr-24 {\n    margin-right: 6rem;\n  }\n\n  .md\\:mr-28 {\n    margin-right: 7rem;\n  }\n\n  .md\\:mr-32 {\n    margin-right: 8rem;\n  }\n\n  .md\\:mr-36 {\n    margin-right: 9rem;\n  }\n\n  .md\\:mr-40 {\n    margin-right: 10rem;\n  }\n\n  .md\\:mr-44 {\n    margin-right: 11rem;\n  }\n\n  .md\\:mr-48 {\n    margin-right: 12rem;\n  }\n\n  .md\\:mr-52 {\n    margin-right: 13rem;\n  }\n\n  .md\\:mr-56 {\n    margin-right: 14rem;\n  }\n\n  .md\\:mr-60 {\n    margin-right: 15rem;\n  }\n\n  .md\\:mr-64 {\n    margin-right: 16rem;\n  }\n\n  .md\\:mr-72 {\n    margin-right: 18rem;\n  }\n\n  .md\\:mr-80 {\n    margin-right: 20rem;\n  }\n\n  .md\\:mr-96 {\n    margin-right: 24rem;\n  }\n\n  .md\\:mr-auto {\n    margin-right: auto;\n  }\n\n  .md\\:mr-px {\n    margin-right: 1px;\n  }\n\n  .md\\:mr-0\\.5 {\n    margin-right: 0.125rem;\n  }\n\n  .md\\:mr-1\\.5 {\n    margin-right: 0.375rem;\n  }\n\n  .md\\:mr-2\\.5 {\n    margin-right: 0.625rem;\n  }\n\n  .md\\:mr-3\\.5 {\n    margin-right: 0.875rem;\n  }\n\n  .md\\:-mr-0 {\n    margin-right: 0px;\n  }\n\n  .md\\:-mr-1 {\n    margin-right: -0.25rem;\n  }\n\n  .md\\:-mr-2 {\n    margin-right: -0.5rem;\n  }\n\n  .md\\:-mr-3 {\n    margin-right: -0.75rem;\n  }\n\n  .md\\:-mr-4 {\n    margin-right: -1rem;\n  }\n\n  .md\\:-mr-5 {\n    margin-right: -1.25rem;\n  }\n\n  .md\\:-mr-6 {\n    margin-right: -1.5rem;\n  }\n\n  .md\\:-mr-7 {\n    margin-right: -1.75rem;\n  }\n\n  .md\\:-mr-8 {\n    margin-right: -2rem;\n  }\n\n  .md\\:-mr-9 {\n    margin-right: -2.25rem;\n  }\n\n  .md\\:-mr-10 {\n    margin-right: -2.5rem;\n  }\n\n  .md\\:-mr-11 {\n    margin-right: -2.75rem;\n  }\n\n  .md\\:-mr-12 {\n    margin-right: -3rem;\n  }\n\n  .md\\:-mr-14 {\n    margin-right: -3.5rem;\n  }\n\n  .md\\:-mr-16 {\n    margin-right: -4rem;\n  }\n\n  .md\\:-mr-20 {\n    margin-right: -5rem;\n  }\n\n  .md\\:-mr-24 {\n    margin-right: -6rem;\n  }\n\n  .md\\:-mr-28 {\n    margin-right: -7rem;\n  }\n\n  .md\\:-mr-32 {\n    margin-right: -8rem;\n  }\n\n  .md\\:-mr-36 {\n    margin-right: -9rem;\n  }\n\n  .md\\:-mr-40 {\n    margin-right: -10rem;\n  }\n\n  .md\\:-mr-44 {\n    margin-right: -11rem;\n  }\n\n  .md\\:-mr-48 {\n    margin-right: -12rem;\n  }\n\n  .md\\:-mr-52 {\n    margin-right: -13rem;\n  }\n\n  .md\\:-mr-56 {\n    margin-right: -14rem;\n  }\n\n  .md\\:-mr-60 {\n    margin-right: -15rem;\n  }\n\n  .md\\:-mr-64 {\n    margin-right: -16rem;\n  }\n\n  .md\\:-mr-72 {\n    margin-right: -18rem;\n  }\n\n  .md\\:-mr-80 {\n    margin-right: -20rem;\n  }\n\n  .md\\:-mr-96 {\n    margin-right: -24rem;\n  }\n\n  .md\\:-mr-px {\n    margin-right: -1px;\n  }\n\n  .md\\:-mr-0\\.5 {\n    margin-right: -0.125rem;\n  }\n\n  .md\\:-mr-1\\.5 {\n    margin-right: -0.375rem;\n  }\n\n  .md\\:-mr-2\\.5 {\n    margin-right: -0.625rem;\n  }\n\n  .md\\:-mr-3\\.5 {\n    margin-right: -0.875rem;\n  }\n\n  .md\\:mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .md\\:mb-1 {\n    margin-bottom: 0.25rem;\n  }\n\n  .md\\:mb-2 {\n    margin-bottom: 0.5rem;\n  }\n\n  .md\\:mb-3 {\n    margin-bottom: 0.75rem;\n  }\n\n  .md\\:mb-4 {\n    margin-bottom: 1rem;\n  }\n\n  .md\\:mb-5 {\n    margin-bottom: 1.25rem;\n  }\n\n  .md\\:mb-6 {\n    margin-bottom: 1.5rem;\n  }\n\n  .md\\:mb-7 {\n    margin-bottom: 1.75rem;\n  }\n\n  .md\\:mb-8 {\n    margin-bottom: 2rem;\n  }\n\n  .md\\:mb-9 {\n    margin-bottom: 2.25rem;\n  }\n\n  .md\\:mb-10 {\n    margin-bottom: 2.5rem;\n  }\n\n  .md\\:mb-11 {\n    margin-bottom: 2.75rem;\n  }\n\n  .md\\:mb-12 {\n    margin-bottom: 3rem;\n  }\n\n  .md\\:mb-14 {\n    margin-bottom: 3.5rem;\n  }\n\n  .md\\:mb-16 {\n    margin-bottom: 4rem;\n  }\n\n  .md\\:mb-20 {\n    margin-bottom: 5rem;\n  }\n\n  .md\\:mb-24 {\n    margin-bottom: 6rem;\n  }\n\n  .md\\:mb-28 {\n    margin-bottom: 7rem;\n  }\n\n  .md\\:mb-32 {\n    margin-bottom: 8rem;\n  }\n\n  .md\\:mb-36 {\n    margin-bottom: 9rem;\n  }\n\n  .md\\:mb-40 {\n    margin-bottom: 10rem;\n  }\n\n  .md\\:mb-44 {\n    margin-bottom: 11rem;\n  }\n\n  .md\\:mb-48 {\n    margin-bottom: 12rem;\n  }\n\n  .md\\:mb-52 {\n    margin-bottom: 13rem;\n  }\n\n  .md\\:mb-56 {\n    margin-bottom: 14rem;\n  }\n\n  .md\\:mb-60 {\n    margin-bottom: 15rem;\n  }\n\n  .md\\:mb-64 {\n    margin-bottom: 16rem;\n  }\n\n  .md\\:mb-72 {\n    margin-bottom: 18rem;\n  }\n\n  .md\\:mb-80 {\n    margin-bottom: 20rem;\n  }\n\n  .md\\:mb-96 {\n    margin-bottom: 24rem;\n  }\n\n  .md\\:mb-auto {\n    margin-bottom: auto;\n  }\n\n  .md\\:mb-px {\n    margin-bottom: 1px;\n  }\n\n  .md\\:mb-0\\.5 {\n    margin-bottom: 0.125rem;\n  }\n\n  .md\\:mb-1\\.5 {\n    margin-bottom: 0.375rem;\n  }\n\n  .md\\:mb-2\\.5 {\n    margin-bottom: 0.625rem;\n  }\n\n  .md\\:mb-3\\.5 {\n    margin-bottom: 0.875rem;\n  }\n\n  .md\\:-mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .md\\:-mb-1 {\n    margin-bottom: -0.25rem;\n  }\n\n  .md\\:-mb-2 {\n    margin-bottom: -0.5rem;\n  }\n\n  .md\\:-mb-3 {\n    margin-bottom: -0.75rem;\n  }\n\n  .md\\:-mb-4 {\n    margin-bottom: -1rem;\n  }\n\n  .md\\:-mb-5 {\n    margin-bottom: -1.25rem;\n  }\n\n  .md\\:-mb-6 {\n    margin-bottom: -1.5rem;\n  }\n\n  .md\\:-mb-7 {\n    margin-bottom: -1.75rem;\n  }\n\n  .md\\:-mb-8 {\n    margin-bottom: -2rem;\n  }\n\n  .md\\:-mb-9 {\n    margin-bottom: -2.25rem;\n  }\n\n  .md\\:-mb-10 {\n    margin-bottom: -2.5rem;\n  }\n\n  .md\\:-mb-11 {\n    margin-bottom: -2.75rem;\n  }\n\n  .md\\:-mb-12 {\n    margin-bottom: -3rem;\n  }\n\n  .md\\:-mb-14 {\n    margin-bottom: -3.5rem;\n  }\n\n  .md\\:-mb-16 {\n    margin-bottom: -4rem;\n  }\n\n  .md\\:-mb-20 {\n    margin-bottom: -5rem;\n  }\n\n  .md\\:-mb-24 {\n    margin-bottom: -6rem;\n  }\n\n  .md\\:-mb-28 {\n    margin-bottom: -7rem;\n  }\n\n  .md\\:-mb-32 {\n    margin-bottom: -8rem;\n  }\n\n  .md\\:-mb-36 {\n    margin-bottom: -9rem;\n  }\n\n  .md\\:-mb-40 {\n    margin-bottom: -10rem;\n  }\n\n  .md\\:-mb-44 {\n    margin-bottom: -11rem;\n  }\n\n  .md\\:-mb-48 {\n    margin-bottom: -12rem;\n  }\n\n  .md\\:-mb-52 {\n    margin-bottom: -13rem;\n  }\n\n  .md\\:-mb-56 {\n    margin-bottom: -14rem;\n  }\n\n  .md\\:-mb-60 {\n    margin-bottom: -15rem;\n  }\n\n  .md\\:-mb-64 {\n    margin-bottom: -16rem;\n  }\n\n  .md\\:-mb-72 {\n    margin-bottom: -18rem;\n  }\n\n  .md\\:-mb-80 {\n    margin-bottom: -20rem;\n  }\n\n  .md\\:-mb-96 {\n    margin-bottom: -24rem;\n  }\n\n  .md\\:-mb-px {\n    margin-bottom: -1px;\n  }\n\n  .md\\:-mb-0\\.5 {\n    margin-bottom: -0.125rem;\n  }\n\n  .md\\:-mb-1\\.5 {\n    margin-bottom: -0.375rem;\n  }\n\n  .md\\:-mb-2\\.5 {\n    margin-bottom: -0.625rem;\n  }\n\n  .md\\:-mb-3\\.5 {\n    margin-bottom: -0.875rem;\n  }\n\n  .md\\:ml-0 {\n    margin-left: 0px;\n  }\n\n  .md\\:ml-1 {\n    margin-left: 0.25rem;\n  }\n\n  .md\\:ml-2 {\n    margin-left: 0.5rem;\n  }\n\n  .md\\:ml-3 {\n    margin-left: 0.75rem;\n  }\n\n  .md\\:ml-4 {\n    margin-left: 1rem;\n  }\n\n  .md\\:ml-5 {\n    margin-left: 1.25rem;\n  }\n\n  .md\\:ml-6 {\n    margin-left: 1.5rem;\n  }\n\n  .md\\:ml-7 {\n    margin-left: 1.75rem;\n  }\n\n  .md\\:ml-8 {\n    margin-left: 2rem;\n  }\n\n  .md\\:ml-9 {\n    margin-left: 2.25rem;\n  }\n\n  .md\\:ml-10 {\n    margin-left: 2.5rem;\n  }\n\n  .md\\:ml-11 {\n    margin-left: 2.75rem;\n  }\n\n  .md\\:ml-12 {\n    margin-left: 3rem;\n  }\n\n  .md\\:ml-14 {\n    margin-left: 3.5rem;\n  }\n\n  .md\\:ml-16 {\n    margin-left: 4rem;\n  }\n\n  .md\\:ml-20 {\n    margin-left: 5rem;\n  }\n\n  .md\\:ml-24 {\n    margin-left: 6rem;\n  }\n\n  .md\\:ml-28 {\n    margin-left: 7rem;\n  }\n\n  .md\\:ml-32 {\n    margin-left: 8rem;\n  }\n\n  .md\\:ml-36 {\n    margin-left: 9rem;\n  }\n\n  .md\\:ml-40 {\n    margin-left: 10rem;\n  }\n\n  .md\\:ml-44 {\n    margin-left: 11rem;\n  }\n\n  .md\\:ml-48 {\n    margin-left: 12rem;\n  }\n\n  .md\\:ml-52 {\n    margin-left: 13rem;\n  }\n\n  .md\\:ml-56 {\n    margin-left: 14rem;\n  }\n\n  .md\\:ml-60 {\n    margin-left: 15rem;\n  }\n\n  .md\\:ml-64 {\n    margin-left: 16rem;\n  }\n\n  .md\\:ml-72 {\n    margin-left: 18rem;\n  }\n\n  .md\\:ml-80 {\n    margin-left: 20rem;\n  }\n\n  .md\\:ml-96 {\n    margin-left: 24rem;\n  }\n\n  .md\\:ml-auto {\n    margin-left: auto;\n  }\n\n  .md\\:ml-px {\n    margin-left: 1px;\n  }\n\n  .md\\:ml-0\\.5 {\n    margin-left: 0.125rem;\n  }\n\n  .md\\:ml-1\\.5 {\n    margin-left: 0.375rem;\n  }\n\n  .md\\:ml-2\\.5 {\n    margin-left: 0.625rem;\n  }\n\n  .md\\:ml-3\\.5 {\n    margin-left: 0.875rem;\n  }\n\n  .md\\:-ml-0 {\n    margin-left: 0px;\n  }\n\n  .md\\:-ml-1 {\n    margin-left: -0.25rem;\n  }\n\n  .md\\:-ml-2 {\n    margin-left: -0.5rem;\n  }\n\n  .md\\:-ml-3 {\n    margin-left: -0.75rem;\n  }\n\n  .md\\:-ml-4 {\n    margin-left: -1rem;\n  }\n\n  .md\\:-ml-5 {\n    margin-left: -1.25rem;\n  }\n\n  .md\\:-ml-6 {\n    margin-left: -1.5rem;\n  }\n\n  .md\\:-ml-7 {\n    margin-left: -1.75rem;\n  }\n\n  .md\\:-ml-8 {\n    margin-left: -2rem;\n  }\n\n  .md\\:-ml-9 {\n    margin-left: -2.25rem;\n  }\n\n  .md\\:-ml-10 {\n    margin-left: -2.5rem;\n  }\n\n  .md\\:-ml-11 {\n    margin-left: -2.75rem;\n  }\n\n  .md\\:-ml-12 {\n    margin-left: -3rem;\n  }\n\n  .md\\:-ml-14 {\n    margin-left: -3.5rem;\n  }\n\n  .md\\:-ml-16 {\n    margin-left: -4rem;\n  }\n\n  .md\\:-ml-20 {\n    margin-left: -5rem;\n  }\n\n  .md\\:-ml-24 {\n    margin-left: -6rem;\n  }\n\n  .md\\:-ml-28 {\n    margin-left: -7rem;\n  }\n\n  .md\\:-ml-32 {\n    margin-left: -8rem;\n  }\n\n  .md\\:-ml-36 {\n    margin-left: -9rem;\n  }\n\n  .md\\:-ml-40 {\n    margin-left: -10rem;\n  }\n\n  .md\\:-ml-44 {\n    margin-left: -11rem;\n  }\n\n  .md\\:-ml-48 {\n    margin-left: -12rem;\n  }\n\n  .md\\:-ml-52 {\n    margin-left: -13rem;\n  }\n\n  .md\\:-ml-56 {\n    margin-left: -14rem;\n  }\n\n  .md\\:-ml-60 {\n    margin-left: -15rem;\n  }\n\n  .md\\:-ml-64 {\n    margin-left: -16rem;\n  }\n\n  .md\\:-ml-72 {\n    margin-left: -18rem;\n  }\n\n  .md\\:-ml-80 {\n    margin-left: -20rem;\n  }\n\n  .md\\:-ml-96 {\n    margin-left: -24rem;\n  }\n\n  .md\\:-ml-px {\n    margin-left: -1px;\n  }\n\n  .md\\:-ml-0\\.5 {\n    margin-left: -0.125rem;\n  }\n\n  .md\\:-ml-1\\.5 {\n    margin-left: -0.375rem;\n  }\n\n  .md\\:-ml-2\\.5 {\n    margin-left: -0.625rem;\n  }\n\n  .md\\:-ml-3\\.5 {\n    margin-left: -0.875rem;\n  }\n\n  .md\\:box-border {\n    box-sizing: border-box;\n  }\n\n  .md\\:box-content {\n    box-sizing: content-box;\n  }\n\n  .md\\:block {\n    display: block;\n  }\n\n  .md\\:inline-block {\n    display: inline-block;\n  }\n\n  .md\\:inline {\n    display: inline;\n  }\n\n  .md\\:flex {\n    display: flex;\n  }\n\n  .md\\:inline-flex {\n    display: inline-flex;\n  }\n\n  .md\\:table {\n    display: table;\n  }\n\n  .md\\:inline-table {\n    display: inline-table;\n  }\n\n  .md\\:table-caption {\n    display: table-caption;\n  }\n\n  .md\\:table-cell {\n    display: table-cell;\n  }\n\n  .md\\:table-column {\n    display: table-column;\n  }\n\n  .md\\:table-column-group {\n    display: table-column-group;\n  }\n\n  .md\\:table-footer-group {\n    display: table-footer-group;\n  }\n\n  .md\\:table-header-group {\n    display: table-header-group;\n  }\n\n  .md\\:table-row-group {\n    display: table-row-group;\n  }\n\n  .md\\:table-row {\n    display: table-row;\n  }\n\n  .md\\:flow-root {\n    display: flow-root;\n  }\n\n  .md\\:grid {\n    display: grid;\n  }\n\n  .md\\:inline-grid {\n    display: inline-grid;\n  }\n\n  .md\\:contents {\n    display: contents;\n  }\n\n  .md\\:list-item {\n    display: list-item;\n  }\n\n  .md\\:hidden {\n    display: none;\n  }\n\n  .md\\:h-0 {\n    height: 0px;\n  }\n\n  .md\\:h-1 {\n    height: 0.25rem;\n  }\n\n  .md\\:h-2 {\n    height: 0.5rem;\n  }\n\n  .md\\:h-3 {\n    height: 0.75rem;\n  }\n\n  .md\\:h-4 {\n    height: 1rem;\n  }\n\n  .md\\:h-5 {\n    height: 1.25rem;\n  }\n\n  .md\\:h-6 {\n    height: 1.5rem;\n  }\n\n  .md\\:h-7 {\n    height: 1.75rem;\n  }\n\n  .md\\:h-8 {\n    height: 2rem;\n  }\n\n  .md\\:h-9 {\n    height: 2.25rem;\n  }\n\n  .md\\:h-10 {\n    height: 2.5rem;\n  }\n\n  .md\\:h-11 {\n    height: 2.75rem;\n  }\n\n  .md\\:h-12 {\n    height: 3rem;\n  }\n\n  .md\\:h-14 {\n    height: 3.5rem;\n  }\n\n  .md\\:h-16 {\n    height: 4rem;\n  }\n\n  .md\\:h-20 {\n    height: 5rem;\n  }\n\n  .md\\:h-24 {\n    height: 6rem;\n  }\n\n  .md\\:h-28 {\n    height: 7rem;\n  }\n\n  .md\\:h-32 {\n    height: 8rem;\n  }\n\n  .md\\:h-36 {\n    height: 9rem;\n  }\n\n  .md\\:h-40 {\n    height: 10rem;\n  }\n\n  .md\\:h-44 {\n    height: 11rem;\n  }\n\n  .md\\:h-48 {\n    height: 12rem;\n  }\n\n  .md\\:h-52 {\n    height: 13rem;\n  }\n\n  .md\\:h-56 {\n    height: 14rem;\n  }\n\n  .md\\:h-60 {\n    height: 15rem;\n  }\n\n  .md\\:h-64 {\n    height: 16rem;\n  }\n\n  .md\\:h-72 {\n    height: 18rem;\n  }\n\n  .md\\:h-80 {\n    height: 20rem;\n  }\n\n  .md\\:h-96 {\n    height: 24rem;\n  }\n\n  .md\\:h-auto {\n    height: auto;\n  }\n\n  .md\\:h-px {\n    height: 1px;\n  }\n\n  .md\\:h-0\\.5 {\n    height: 0.125rem;\n  }\n\n  .md\\:h-1\\.5 {\n    height: 0.375rem;\n  }\n\n  .md\\:h-2\\.5 {\n    height: 0.625rem;\n  }\n\n  .md\\:h-3\\.5 {\n    height: 0.875rem;\n  }\n\n  .md\\:h-1\\/2 {\n    height: 50%;\n  }\n\n  .md\\:h-1\\/3 {\n    height: 33.333333%;\n  }\n\n  .md\\:h-2\\/3 {\n    height: 66.666667%;\n  }\n\n  .md\\:h-1\\/4 {\n    height: 25%;\n  }\n\n  .md\\:h-2\\/4 {\n    height: 50%;\n  }\n\n  .md\\:h-3\\/4 {\n    height: 75%;\n  }\n\n  .md\\:h-1\\/5 {\n    height: 20%;\n  }\n\n  .md\\:h-2\\/5 {\n    height: 40%;\n  }\n\n  .md\\:h-3\\/5 {\n    height: 60%;\n  }\n\n  .md\\:h-4\\/5 {\n    height: 80%;\n  }\n\n  .md\\:h-1\\/6 {\n    height: 16.666667%;\n  }\n\n  .md\\:h-2\\/6 {\n    height: 33.333333%;\n  }\n\n  .md\\:h-3\\/6 {\n    height: 50%;\n  }\n\n  .md\\:h-4\\/6 {\n    height: 66.666667%;\n  }\n\n  .md\\:h-5\\/6 {\n    height: 83.333333%;\n  }\n\n  .md\\:h-full {\n    height: 100%;\n  }\n\n  .md\\:h-screen {\n    height: 100vh;\n  }\n\n  .md\\:max-h-0 {\n    max-height: 0px;\n  }\n\n  .md\\:max-h-1 {\n    max-height: 0.25rem;\n  }\n\n  .md\\:max-h-2 {\n    max-height: 0.5rem;\n  }\n\n  .md\\:max-h-3 {\n    max-height: 0.75rem;\n  }\n\n  .md\\:max-h-4 {\n    max-height: 1rem;\n  }\n\n  .md\\:max-h-5 {\n    max-height: 1.25rem;\n  }\n\n  .md\\:max-h-6 {\n    max-height: 1.5rem;\n  }\n\n  .md\\:max-h-7 {\n    max-height: 1.75rem;\n  }\n\n  .md\\:max-h-8 {\n    max-height: 2rem;\n  }\n\n  .md\\:max-h-9 {\n    max-height: 2.25rem;\n  }\n\n  .md\\:max-h-10 {\n    max-height: 2.5rem;\n  }\n\n  .md\\:max-h-11 {\n    max-height: 2.75rem;\n  }\n\n  .md\\:max-h-12 {\n    max-height: 3rem;\n  }\n\n  .md\\:max-h-14 {\n    max-height: 3.5rem;\n  }\n\n  .md\\:max-h-16 {\n    max-height: 4rem;\n  }\n\n  .md\\:max-h-20 {\n    max-height: 5rem;\n  }\n\n  .md\\:max-h-24 {\n    max-height: 6rem;\n  }\n\n  .md\\:max-h-28 {\n    max-height: 7rem;\n  }\n\n  .md\\:max-h-32 {\n    max-height: 8rem;\n  }\n\n  .md\\:max-h-36 {\n    max-height: 9rem;\n  }\n\n  .md\\:max-h-40 {\n    max-height: 10rem;\n  }\n\n  .md\\:max-h-44 {\n    max-height: 11rem;\n  }\n\n  .md\\:max-h-48 {\n    max-height: 12rem;\n  }\n\n  .md\\:max-h-52 {\n    max-height: 13rem;\n  }\n\n  .md\\:max-h-56 {\n    max-height: 14rem;\n  }\n\n  .md\\:max-h-60 {\n    max-height: 15rem;\n  }\n\n  .md\\:max-h-64 {\n    max-height: 16rem;\n  }\n\n  .md\\:max-h-72 {\n    max-height: 18rem;\n  }\n\n  .md\\:max-h-80 {\n    max-height: 20rem;\n  }\n\n  .md\\:max-h-96 {\n    max-height: 24rem;\n  }\n\n  .md\\:max-h-px {\n    max-height: 1px;\n  }\n\n  .md\\:max-h-0\\.5 {\n    max-height: 0.125rem;\n  }\n\n  .md\\:max-h-1\\.5 {\n    max-height: 0.375rem;\n  }\n\n  .md\\:max-h-2\\.5 {\n    max-height: 0.625rem;\n  }\n\n  .md\\:max-h-3\\.5 {\n    max-height: 0.875rem;\n  }\n\n  .md\\:max-h-full {\n    max-height: 100%;\n  }\n\n  .md\\:max-h-screen {\n    max-height: 100vh;\n  }\n\n  .md\\:min-h-0 {\n    min-height: 0px;\n  }\n\n  .md\\:min-h-full {\n    min-height: 100%;\n  }\n\n  .md\\:min-h-screen {\n    min-height: 100vh;\n  }\n\n  .md\\:w-0 {\n    width: 0px;\n  }\n\n  .md\\:w-1 {\n    width: 0.25rem;\n  }\n\n  .md\\:w-2 {\n    width: 0.5rem;\n  }\n\n  .md\\:w-3 {\n    width: 0.75rem;\n  }\n\n  .md\\:w-4 {\n    width: 1rem;\n  }\n\n  .md\\:w-5 {\n    width: 1.25rem;\n  }\n\n  .md\\:w-6 {\n    width: 1.5rem;\n  }\n\n  .md\\:w-7 {\n    width: 1.75rem;\n  }\n\n  .md\\:w-8 {\n    width: 2rem;\n  }\n\n  .md\\:w-9 {\n    width: 2.25rem;\n  }\n\n  .md\\:w-10 {\n    width: 2.5rem;\n  }\n\n  .md\\:w-11 {\n    width: 2.75rem;\n  }\n\n  .md\\:w-12 {\n    width: 3rem;\n  }\n\n  .md\\:w-14 {\n    width: 3.5rem;\n  }\n\n  .md\\:w-16 {\n    width: 4rem;\n  }\n\n  .md\\:w-20 {\n    width: 5rem;\n  }\n\n  .md\\:w-24 {\n    width: 6rem;\n  }\n\n  .md\\:w-28 {\n    width: 7rem;\n  }\n\n  .md\\:w-32 {\n    width: 8rem;\n  }\n\n  .md\\:w-36 {\n    width: 9rem;\n  }\n\n  .md\\:w-40 {\n    width: 10rem;\n  }\n\n  .md\\:w-44 {\n    width: 11rem;\n  }\n\n  .md\\:w-48 {\n    width: 12rem;\n  }\n\n  .md\\:w-52 {\n    width: 13rem;\n  }\n\n  .md\\:w-56 {\n    width: 14rem;\n  }\n\n  .md\\:w-60 {\n    width: 15rem;\n  }\n\n  .md\\:w-64 {\n    width: 16rem;\n  }\n\n  .md\\:w-72 {\n    width: 18rem;\n  }\n\n  .md\\:w-80 {\n    width: 20rem;\n  }\n\n  .md\\:w-96 {\n    width: 24rem;\n  }\n\n  .md\\:w-auto {\n    width: auto;\n  }\n\n  .md\\:w-px {\n    width: 1px;\n  }\n\n  .md\\:w-0\\.5 {\n    width: 0.125rem;\n  }\n\n  .md\\:w-1\\.5 {\n    width: 0.375rem;\n  }\n\n  .md\\:w-2\\.5 {\n    width: 0.625rem;\n  }\n\n  .md\\:w-3\\.5 {\n    width: 0.875rem;\n  }\n\n  .md\\:w-1\\/2 {\n    width: 50%;\n  }\n\n  .md\\:w-1\\/3 {\n    width: 33.333333%;\n  }\n\n  .md\\:w-2\\/3 {\n    width: 66.666667%;\n  }\n\n  .md\\:w-1\\/4 {\n    width: 25%;\n  }\n\n  .md\\:w-2\\/4 {\n    width: 50%;\n  }\n\n  .md\\:w-3\\/4 {\n    width: 75%;\n  }\n\n  .md\\:w-1\\/5 {\n    width: 20%;\n  }\n\n  .md\\:w-2\\/5 {\n    width: 40%;\n  }\n\n  .md\\:w-3\\/5 {\n    width: 60%;\n  }\n\n  .md\\:w-4\\/5 {\n    width: 80%;\n  }\n\n  .md\\:w-1\\/6 {\n    width: 16.666667%;\n  }\n\n  .md\\:w-2\\/6 {\n    width: 33.333333%;\n  }\n\n  .md\\:w-3\\/6 {\n    width: 50%;\n  }\n\n  .md\\:w-4\\/6 {\n    width: 66.666667%;\n  }\n\n  .md\\:w-5\\/6 {\n    width: 83.333333%;\n  }\n\n  .md\\:w-1\\/12 {\n    width: 8.333333%;\n  }\n\n  .md\\:w-2\\/12 {\n    width: 16.666667%;\n  }\n\n  .md\\:w-3\\/12 {\n    width: 25%;\n  }\n\n  .md\\:w-4\\/12 {\n    width: 33.333333%;\n  }\n\n  .md\\:w-5\\/12 {\n    width: 41.666667%;\n  }\n\n  .md\\:w-6\\/12 {\n    width: 50%;\n  }\n\n  .md\\:w-7\\/12 {\n    width: 58.333333%;\n  }\n\n  .md\\:w-8\\/12 {\n    width: 66.666667%;\n  }\n\n  .md\\:w-9\\/12 {\n    width: 75%;\n  }\n\n  .md\\:w-10\\/12 {\n    width: 83.333333%;\n  }\n\n  .md\\:w-11\\/12 {\n    width: 91.666667%;\n  }\n\n  .md\\:w-full {\n    width: 100%;\n  }\n\n  .md\\:w-screen {\n    width: 100vw;\n  }\n\n  .md\\:w-min {\n    width: -webkit-min-content;\n    width: -moz-min-content;\n    width: min-content;\n  }\n\n  .md\\:w-max {\n    width: -webkit-max-content;\n    width: -moz-max-content;\n    width: max-content;\n  }\n\n  .md\\:min-w-0 {\n    min-width: 0px;\n  }\n\n  .md\\:min-w-full {\n    min-width: 100%;\n  }\n\n  .md\\:min-w-min {\n    min-width: -webkit-min-content;\n    min-width: -moz-min-content;\n    min-width: min-content;\n  }\n\n  .md\\:min-w-max {\n    min-width: -webkit-max-content;\n    min-width: -moz-max-content;\n    min-width: max-content;\n  }\n\n  .md\\:max-w-0 {\n    max-width: 0rem;\n  }\n\n  .md\\:max-w-none {\n    max-width: none;\n  }\n\n  .md\\:max-w-xs {\n    max-width: 20rem;\n  }\n\n  .md\\:max-w-sm {\n    max-width: 24rem;\n  }\n\n  .md\\:max-w-md {\n    max-width: 28rem;\n  }\n\n  .md\\:max-w-lg {\n    max-width: 32rem;\n  }\n\n  .md\\:max-w-xl {\n    max-width: 36rem;\n  }\n\n  .md\\:max-w-2xl {\n    max-width: 42rem;\n  }\n\n  .md\\:max-w-3xl {\n    max-width: 48rem;\n  }\n\n  .md\\:max-w-4xl {\n    max-width: 56rem;\n  }\n\n  .md\\:max-w-5xl {\n    max-width: 64rem;\n  }\n\n  .md\\:max-w-6xl {\n    max-width: 72rem;\n  }\n\n  .md\\:max-w-7xl {\n    max-width: 80rem;\n  }\n\n  .md\\:max-w-full {\n    max-width: 100%;\n  }\n\n  .md\\:max-w-min {\n    max-width: -webkit-min-content;\n    max-width: -moz-min-content;\n    max-width: min-content;\n  }\n\n  .md\\:max-w-max {\n    max-width: -webkit-max-content;\n    max-width: -moz-max-content;\n    max-width: max-content;\n  }\n\n  .md\\:max-w-prose {\n    max-width: 65ch;\n  }\n\n  .md\\:max-w-screen-sm {\n    max-width: 640px;\n  }\n\n  .md\\:max-w-screen-md {\n    max-width: 768px;\n  }\n\n  .md\\:max-w-screen-lg {\n    max-width: 1024px;\n  }\n\n  .md\\:max-w-screen-xl {\n    max-width: 1280px;\n  }\n\n  .md\\:max-w-screen-2xl {\n    max-width: 1536px;\n  }\n\n  .md\\:flex-1 {\n    flex: 1 1 0%;\n  }\n\n  .md\\:flex-2 {\n    flex: 2 2 0%;\n  }\n\n  .md\\:flex-3 {\n    flex: 3 3 0%;\n  }\n\n  .md\\:flex-4 {\n    flex: 4 4 0%;\n  }\n\n  .md\\:flex-5 {\n    flex: 5 5 0%;\n  }\n\n  .md\\:flex-6 {\n    flex: 6 6 0%;\n  }\n\n  .md\\:flex-7 {\n    flex: 7 7 0%;\n  }\n\n  .md\\:flex-8 {\n    flex: 8 8 0%;\n  }\n\n  .md\\:flex-9 {\n    flex: 9 9 0%;\n  }\n\n  .md\\:flex-10 {\n    flex: 10 10 0%;\n  }\n\n  .md\\:flex-11 {\n    flex: 11 11 0%;\n  }\n\n  .md\\:flex-12 {\n    flex: 12 12 0%;\n  }\n\n  .md\\:flex-auto {\n    flex: 1 1 auto;\n  }\n\n  .md\\:flex-initial {\n    flex: 0 1 auto;\n  }\n\n  .md\\:flex-none {\n    flex: none;\n  }\n\n  .md\\:flex-shrink-0 {\n    flex-shrink: 0;\n  }\n\n  .md\\:flex-shrink {\n    flex-shrink: 1;\n  }\n\n  .md\\:flex-grow-0 {\n    flex-grow: 0;\n  }\n\n  .md\\:flex-grow {\n    flex-grow: 1;\n  }\n\n  .md\\:table-auto {\n    table-layout: auto;\n  }\n\n  .md\\:table-fixed {\n    table-layout: fixed;\n  }\n\n  .md\\:border-collapse {\n    border-collapse: collapse;\n  }\n\n  .md\\:border-separate {\n    border-collapse: separate;\n  }\n\n  .md\\:origin-center {\n    transform-origin: center;\n  }\n\n  .md\\:origin-top {\n    transform-origin: top;\n  }\n\n  .md\\:origin-top-right {\n    transform-origin: top right;\n  }\n\n  .md\\:origin-right {\n    transform-origin: right;\n  }\n\n  .md\\:origin-bottom-right {\n    transform-origin: bottom right;\n  }\n\n  .md\\:origin-bottom {\n    transform-origin: bottom;\n  }\n\n  .md\\:origin-bottom-left {\n    transform-origin: bottom left;\n  }\n\n  .md\\:origin-left {\n    transform-origin: left;\n  }\n\n  .md\\:origin-top-left {\n    transform-origin: top left;\n  }\n\n  .md\\:transform {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .md\\:transform-gpu {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .md\\:transform-none {\n    transform: none;\n  }\n\n  .md\\:translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:translate-x-1 {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .md\\:translate-x-2 {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .md\\:translate-x-3 {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .md\\:translate-x-4 {\n    --tw-translate-x: 1rem;\n  }\n\n  .md\\:translate-x-5 {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .md\\:translate-x-6 {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .md\\:translate-x-7 {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .md\\:translate-x-8 {\n    --tw-translate-x: 2rem;\n  }\n\n  .md\\:translate-x-9 {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .md\\:translate-x-10 {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .md\\:translate-x-11 {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .md\\:translate-x-12 {\n    --tw-translate-x: 3rem;\n  }\n\n  .md\\:translate-x-14 {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .md\\:translate-x-16 {\n    --tw-translate-x: 4rem;\n  }\n\n  .md\\:translate-x-20 {\n    --tw-translate-x: 5rem;\n  }\n\n  .md\\:translate-x-24 {\n    --tw-translate-x: 6rem;\n  }\n\n  .md\\:translate-x-28 {\n    --tw-translate-x: 7rem;\n  }\n\n  .md\\:translate-x-32 {\n    --tw-translate-x: 8rem;\n  }\n\n  .md\\:translate-x-36 {\n    --tw-translate-x: 9rem;\n  }\n\n  .md\\:translate-x-40 {\n    --tw-translate-x: 10rem;\n  }\n\n  .md\\:translate-x-44 {\n    --tw-translate-x: 11rem;\n  }\n\n  .md\\:translate-x-48 {\n    --tw-translate-x: 12rem;\n  }\n\n  .md\\:translate-x-52 {\n    --tw-translate-x: 13rem;\n  }\n\n  .md\\:translate-x-56 {\n    --tw-translate-x: 14rem;\n  }\n\n  .md\\:translate-x-60 {\n    --tw-translate-x: 15rem;\n  }\n\n  .md\\:translate-x-64 {\n    --tw-translate-x: 16rem;\n  }\n\n  .md\\:translate-x-72 {\n    --tw-translate-x: 18rem;\n  }\n\n  .md\\:translate-x-80 {\n    --tw-translate-x: 20rem;\n  }\n\n  .md\\:translate-x-96 {\n    --tw-translate-x: 24rem;\n  }\n\n  .md\\:translate-x-px {\n    --tw-translate-x: 1px;\n  }\n\n  .md\\:translate-x-0\\.5 {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .md\\:translate-x-1\\.5 {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .md\\:translate-x-2\\.5 {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .md\\:translate-x-3\\.5 {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .md\\:-translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:-translate-x-1 {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .md\\:-translate-x-2 {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .md\\:-translate-x-3 {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .md\\:-translate-x-4 {\n    --tw-translate-x: -1rem;\n  }\n\n  .md\\:-translate-x-5 {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .md\\:-translate-x-6 {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .md\\:-translate-x-7 {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .md\\:-translate-x-8 {\n    --tw-translate-x: -2rem;\n  }\n\n  .md\\:-translate-x-9 {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .md\\:-translate-x-10 {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .md\\:-translate-x-11 {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .md\\:-translate-x-12 {\n    --tw-translate-x: -3rem;\n  }\n\n  .md\\:-translate-x-14 {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .md\\:-translate-x-16 {\n    --tw-translate-x: -4rem;\n  }\n\n  .md\\:-translate-x-20 {\n    --tw-translate-x: -5rem;\n  }\n\n  .md\\:-translate-x-24 {\n    --tw-translate-x: -6rem;\n  }\n\n  .md\\:-translate-x-28 {\n    --tw-translate-x: -7rem;\n  }\n\n  .md\\:-translate-x-32 {\n    --tw-translate-x: -8rem;\n  }\n\n  .md\\:-translate-x-36 {\n    --tw-translate-x: -9rem;\n  }\n\n  .md\\:-translate-x-40 {\n    --tw-translate-x: -10rem;\n  }\n\n  .md\\:-translate-x-44 {\n    --tw-translate-x: -11rem;\n  }\n\n  .md\\:-translate-x-48 {\n    --tw-translate-x: -12rem;\n  }\n\n  .md\\:-translate-x-52 {\n    --tw-translate-x: -13rem;\n  }\n\n  .md\\:-translate-x-56 {\n    --tw-translate-x: -14rem;\n  }\n\n  .md\\:-translate-x-60 {\n    --tw-translate-x: -15rem;\n  }\n\n  .md\\:-translate-x-64 {\n    --tw-translate-x: -16rem;\n  }\n\n  .md\\:-translate-x-72 {\n    --tw-translate-x: -18rem;\n  }\n\n  .md\\:-translate-x-80 {\n    --tw-translate-x: -20rem;\n  }\n\n  .md\\:-translate-x-96 {\n    --tw-translate-x: -24rem;\n  }\n\n  .md\\:-translate-x-px {\n    --tw-translate-x: -1px;\n  }\n\n  .md\\:-translate-x-0\\.5 {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .md\\:-translate-x-1\\.5 {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .md\\:-translate-x-2\\.5 {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .md\\:-translate-x-3\\.5 {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .md\\:translate-x-1\\/2 {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:translate-x-1\\/3 {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .md\\:translate-x-2\\/3 {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .md\\:translate-x-1\\/4 {\n    --tw-translate-x: 25%;\n  }\n\n  .md\\:translate-x-2\\/4 {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:translate-x-3\\/4 {\n    --tw-translate-x: 75%;\n  }\n\n  .md\\:translate-x-full {\n    --tw-translate-x: 100%;\n  }\n\n  .md\\:-translate-x-1\\/2 {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:-translate-x-1\\/3 {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .md\\:-translate-x-2\\/3 {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .md\\:-translate-x-1\\/4 {\n    --tw-translate-x: -25%;\n  }\n\n  .md\\:-translate-x-2\\/4 {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:-translate-x-3\\/4 {\n    --tw-translate-x: -75%;\n  }\n\n  .md\\:-translate-x-full {\n    --tw-translate-x: -100%;\n  }\n\n  .md\\:translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:translate-y-1 {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .md\\:translate-y-2 {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .md\\:translate-y-3 {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .md\\:translate-y-4 {\n    --tw-translate-y: 1rem;\n  }\n\n  .md\\:translate-y-5 {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .md\\:translate-y-6 {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .md\\:translate-y-7 {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .md\\:translate-y-8 {\n    --tw-translate-y: 2rem;\n  }\n\n  .md\\:translate-y-9 {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .md\\:translate-y-10 {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .md\\:translate-y-11 {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .md\\:translate-y-12 {\n    --tw-translate-y: 3rem;\n  }\n\n  .md\\:translate-y-14 {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .md\\:translate-y-16 {\n    --tw-translate-y: 4rem;\n  }\n\n  .md\\:translate-y-20 {\n    --tw-translate-y: 5rem;\n  }\n\n  .md\\:translate-y-24 {\n    --tw-translate-y: 6rem;\n  }\n\n  .md\\:translate-y-28 {\n    --tw-translate-y: 7rem;\n  }\n\n  .md\\:translate-y-32 {\n    --tw-translate-y: 8rem;\n  }\n\n  .md\\:translate-y-36 {\n    --tw-translate-y: 9rem;\n  }\n\n  .md\\:translate-y-40 {\n    --tw-translate-y: 10rem;\n  }\n\n  .md\\:translate-y-44 {\n    --tw-translate-y: 11rem;\n  }\n\n  .md\\:translate-y-48 {\n    --tw-translate-y: 12rem;\n  }\n\n  .md\\:translate-y-52 {\n    --tw-translate-y: 13rem;\n  }\n\n  .md\\:translate-y-56 {\n    --tw-translate-y: 14rem;\n  }\n\n  .md\\:translate-y-60 {\n    --tw-translate-y: 15rem;\n  }\n\n  .md\\:translate-y-64 {\n    --tw-translate-y: 16rem;\n  }\n\n  .md\\:translate-y-72 {\n    --tw-translate-y: 18rem;\n  }\n\n  .md\\:translate-y-80 {\n    --tw-translate-y: 20rem;\n  }\n\n  .md\\:translate-y-96 {\n    --tw-translate-y: 24rem;\n  }\n\n  .md\\:translate-y-px {\n    --tw-translate-y: 1px;\n  }\n\n  .md\\:translate-y-0\\.5 {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .md\\:translate-y-1\\.5 {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .md\\:translate-y-2\\.5 {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .md\\:translate-y-3\\.5 {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .md\\:-translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:-translate-y-1 {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .md\\:-translate-y-2 {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .md\\:-translate-y-3 {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .md\\:-translate-y-4 {\n    --tw-translate-y: -1rem;\n  }\n\n  .md\\:-translate-y-5 {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .md\\:-translate-y-6 {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .md\\:-translate-y-7 {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .md\\:-translate-y-8 {\n    --tw-translate-y: -2rem;\n  }\n\n  .md\\:-translate-y-9 {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .md\\:-translate-y-10 {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .md\\:-translate-y-11 {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .md\\:-translate-y-12 {\n    --tw-translate-y: -3rem;\n  }\n\n  .md\\:-translate-y-14 {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .md\\:-translate-y-16 {\n    --tw-translate-y: -4rem;\n  }\n\n  .md\\:-translate-y-20 {\n    --tw-translate-y: -5rem;\n  }\n\n  .md\\:-translate-y-24 {\n    --tw-translate-y: -6rem;\n  }\n\n  .md\\:-translate-y-28 {\n    --tw-translate-y: -7rem;\n  }\n\n  .md\\:-translate-y-32 {\n    --tw-translate-y: -8rem;\n  }\n\n  .md\\:-translate-y-36 {\n    --tw-translate-y: -9rem;\n  }\n\n  .md\\:-translate-y-40 {\n    --tw-translate-y: -10rem;\n  }\n\n  .md\\:-translate-y-44 {\n    --tw-translate-y: -11rem;\n  }\n\n  .md\\:-translate-y-48 {\n    --tw-translate-y: -12rem;\n  }\n\n  .md\\:-translate-y-52 {\n    --tw-translate-y: -13rem;\n  }\n\n  .md\\:-translate-y-56 {\n    --tw-translate-y: -14rem;\n  }\n\n  .md\\:-translate-y-60 {\n    --tw-translate-y: -15rem;\n  }\n\n  .md\\:-translate-y-64 {\n    --tw-translate-y: -16rem;\n  }\n\n  .md\\:-translate-y-72 {\n    --tw-translate-y: -18rem;\n  }\n\n  .md\\:-translate-y-80 {\n    --tw-translate-y: -20rem;\n  }\n\n  .md\\:-translate-y-96 {\n    --tw-translate-y: -24rem;\n  }\n\n  .md\\:-translate-y-px {\n    --tw-translate-y: -1px;\n  }\n\n  .md\\:-translate-y-0\\.5 {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .md\\:-translate-y-1\\.5 {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .md\\:-translate-y-2\\.5 {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .md\\:-translate-y-3\\.5 {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .md\\:translate-y-1\\/2 {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:translate-y-1\\/3 {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .md\\:translate-y-2\\/3 {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .md\\:translate-y-1\\/4 {\n    --tw-translate-y: 25%;\n  }\n\n  .md\\:translate-y-2\\/4 {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:translate-y-3\\/4 {\n    --tw-translate-y: 75%;\n  }\n\n  .md\\:translate-y-full {\n    --tw-translate-y: 100%;\n  }\n\n  .md\\:-translate-y-1\\/2 {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:-translate-y-1\\/3 {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .md\\:-translate-y-2\\/3 {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .md\\:-translate-y-1\\/4 {\n    --tw-translate-y: -25%;\n  }\n\n  .md\\:-translate-y-2\\/4 {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:-translate-y-3\\/4 {\n    --tw-translate-y: -75%;\n  }\n\n  .md\\:-translate-y-full {\n    --tw-translate-y: -100%;\n  }\n\n  .md\\:hover\\:translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:hover\\:translate-x-1:hover {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .md\\:hover\\:translate-x-2:hover {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .md\\:hover\\:translate-x-3:hover {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .md\\:hover\\:translate-x-4:hover {\n    --tw-translate-x: 1rem;\n  }\n\n  .md\\:hover\\:translate-x-5:hover {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .md\\:hover\\:translate-x-6:hover {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .md\\:hover\\:translate-x-7:hover {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .md\\:hover\\:translate-x-8:hover {\n    --tw-translate-x: 2rem;\n  }\n\n  .md\\:hover\\:translate-x-9:hover {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .md\\:hover\\:translate-x-10:hover {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .md\\:hover\\:translate-x-11:hover {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .md\\:hover\\:translate-x-12:hover {\n    --tw-translate-x: 3rem;\n  }\n\n  .md\\:hover\\:translate-x-14:hover {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .md\\:hover\\:translate-x-16:hover {\n    --tw-translate-x: 4rem;\n  }\n\n  .md\\:hover\\:translate-x-20:hover {\n    --tw-translate-x: 5rem;\n  }\n\n  .md\\:hover\\:translate-x-24:hover {\n    --tw-translate-x: 6rem;\n  }\n\n  .md\\:hover\\:translate-x-28:hover {\n    --tw-translate-x: 7rem;\n  }\n\n  .md\\:hover\\:translate-x-32:hover {\n    --tw-translate-x: 8rem;\n  }\n\n  .md\\:hover\\:translate-x-36:hover {\n    --tw-translate-x: 9rem;\n  }\n\n  .md\\:hover\\:translate-x-40:hover {\n    --tw-translate-x: 10rem;\n  }\n\n  .md\\:hover\\:translate-x-44:hover {\n    --tw-translate-x: 11rem;\n  }\n\n  .md\\:hover\\:translate-x-48:hover {\n    --tw-translate-x: 12rem;\n  }\n\n  .md\\:hover\\:translate-x-52:hover {\n    --tw-translate-x: 13rem;\n  }\n\n  .md\\:hover\\:translate-x-56:hover {\n    --tw-translate-x: 14rem;\n  }\n\n  .md\\:hover\\:translate-x-60:hover {\n    --tw-translate-x: 15rem;\n  }\n\n  .md\\:hover\\:translate-x-64:hover {\n    --tw-translate-x: 16rem;\n  }\n\n  .md\\:hover\\:translate-x-72:hover {\n    --tw-translate-x: 18rem;\n  }\n\n  .md\\:hover\\:translate-x-80:hover {\n    --tw-translate-x: 20rem;\n  }\n\n  .md\\:hover\\:translate-x-96:hover {\n    --tw-translate-x: 24rem;\n  }\n\n  .md\\:hover\\:translate-x-px:hover {\n    --tw-translate-x: 1px;\n  }\n\n  .md\\:hover\\:translate-x-0\\.5:hover {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .md\\:hover\\:translate-x-1\\.5:hover {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .md\\:hover\\:translate-x-2\\.5:hover {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .md\\:hover\\:translate-x-3\\.5:hover {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .md\\:hover\\:-translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:hover\\:-translate-x-1:hover {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .md\\:hover\\:-translate-x-2:hover {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .md\\:hover\\:-translate-x-3:hover {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .md\\:hover\\:-translate-x-4:hover {\n    --tw-translate-x: -1rem;\n  }\n\n  .md\\:hover\\:-translate-x-5:hover {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .md\\:hover\\:-translate-x-6:hover {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .md\\:hover\\:-translate-x-7:hover {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .md\\:hover\\:-translate-x-8:hover {\n    --tw-translate-x: -2rem;\n  }\n\n  .md\\:hover\\:-translate-x-9:hover {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .md\\:hover\\:-translate-x-10:hover {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .md\\:hover\\:-translate-x-11:hover {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .md\\:hover\\:-translate-x-12:hover {\n    --tw-translate-x: -3rem;\n  }\n\n  .md\\:hover\\:-translate-x-14:hover {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .md\\:hover\\:-translate-x-16:hover {\n    --tw-translate-x: -4rem;\n  }\n\n  .md\\:hover\\:-translate-x-20:hover {\n    --tw-translate-x: -5rem;\n  }\n\n  .md\\:hover\\:-translate-x-24:hover {\n    --tw-translate-x: -6rem;\n  }\n\n  .md\\:hover\\:-translate-x-28:hover {\n    --tw-translate-x: -7rem;\n  }\n\n  .md\\:hover\\:-translate-x-32:hover {\n    --tw-translate-x: -8rem;\n  }\n\n  .md\\:hover\\:-translate-x-36:hover {\n    --tw-translate-x: -9rem;\n  }\n\n  .md\\:hover\\:-translate-x-40:hover {\n    --tw-translate-x: -10rem;\n  }\n\n  .md\\:hover\\:-translate-x-44:hover {\n    --tw-translate-x: -11rem;\n  }\n\n  .md\\:hover\\:-translate-x-48:hover {\n    --tw-translate-x: -12rem;\n  }\n\n  .md\\:hover\\:-translate-x-52:hover {\n    --tw-translate-x: -13rem;\n  }\n\n  .md\\:hover\\:-translate-x-56:hover {\n    --tw-translate-x: -14rem;\n  }\n\n  .md\\:hover\\:-translate-x-60:hover {\n    --tw-translate-x: -15rem;\n  }\n\n  .md\\:hover\\:-translate-x-64:hover {\n    --tw-translate-x: -16rem;\n  }\n\n  .md\\:hover\\:-translate-x-72:hover {\n    --tw-translate-x: -18rem;\n  }\n\n  .md\\:hover\\:-translate-x-80:hover {\n    --tw-translate-x: -20rem;\n  }\n\n  .md\\:hover\\:-translate-x-96:hover {\n    --tw-translate-x: -24rem;\n  }\n\n  .md\\:hover\\:-translate-x-px:hover {\n    --tw-translate-x: -1px;\n  }\n\n  .md\\:hover\\:-translate-x-0\\.5:hover {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .md\\:hover\\:-translate-x-1\\.5:hover {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .md\\:hover\\:-translate-x-2\\.5:hover {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .md\\:hover\\:-translate-x-3\\.5:hover {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .md\\:hover\\:translate-x-1\\/2:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:hover\\:translate-x-1\\/3:hover {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .md\\:hover\\:translate-x-2\\/3:hover {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .md\\:hover\\:translate-x-1\\/4:hover {\n    --tw-translate-x: 25%;\n  }\n\n  .md\\:hover\\:translate-x-2\\/4:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:hover\\:translate-x-3\\/4:hover {\n    --tw-translate-x: 75%;\n  }\n\n  .md\\:hover\\:translate-x-full:hover {\n    --tw-translate-x: 100%;\n  }\n\n  .md\\:hover\\:-translate-x-1\\/2:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:hover\\:-translate-x-1\\/3:hover {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .md\\:hover\\:-translate-x-2\\/3:hover {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .md\\:hover\\:-translate-x-1\\/4:hover {\n    --tw-translate-x: -25%;\n  }\n\n  .md\\:hover\\:-translate-x-2\\/4:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:hover\\:-translate-x-3\\/4:hover {\n    --tw-translate-x: -75%;\n  }\n\n  .md\\:hover\\:-translate-x-full:hover {\n    --tw-translate-x: -100%;\n  }\n\n  .md\\:hover\\:translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:hover\\:translate-y-1:hover {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .md\\:hover\\:translate-y-2:hover {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .md\\:hover\\:translate-y-3:hover {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .md\\:hover\\:translate-y-4:hover {\n    --tw-translate-y: 1rem;\n  }\n\n  .md\\:hover\\:translate-y-5:hover {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .md\\:hover\\:translate-y-6:hover {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .md\\:hover\\:translate-y-7:hover {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .md\\:hover\\:translate-y-8:hover {\n    --tw-translate-y: 2rem;\n  }\n\n  .md\\:hover\\:translate-y-9:hover {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .md\\:hover\\:translate-y-10:hover {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .md\\:hover\\:translate-y-11:hover {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .md\\:hover\\:translate-y-12:hover {\n    --tw-translate-y: 3rem;\n  }\n\n  .md\\:hover\\:translate-y-14:hover {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .md\\:hover\\:translate-y-16:hover {\n    --tw-translate-y: 4rem;\n  }\n\n  .md\\:hover\\:translate-y-20:hover {\n    --tw-translate-y: 5rem;\n  }\n\n  .md\\:hover\\:translate-y-24:hover {\n    --tw-translate-y: 6rem;\n  }\n\n  .md\\:hover\\:translate-y-28:hover {\n    --tw-translate-y: 7rem;\n  }\n\n  .md\\:hover\\:translate-y-32:hover {\n    --tw-translate-y: 8rem;\n  }\n\n  .md\\:hover\\:translate-y-36:hover {\n    --tw-translate-y: 9rem;\n  }\n\n  .md\\:hover\\:translate-y-40:hover {\n    --tw-translate-y: 10rem;\n  }\n\n  .md\\:hover\\:translate-y-44:hover {\n    --tw-translate-y: 11rem;\n  }\n\n  .md\\:hover\\:translate-y-48:hover {\n    --tw-translate-y: 12rem;\n  }\n\n  .md\\:hover\\:translate-y-52:hover {\n    --tw-translate-y: 13rem;\n  }\n\n  .md\\:hover\\:translate-y-56:hover {\n    --tw-translate-y: 14rem;\n  }\n\n  .md\\:hover\\:translate-y-60:hover {\n    --tw-translate-y: 15rem;\n  }\n\n  .md\\:hover\\:translate-y-64:hover {\n    --tw-translate-y: 16rem;\n  }\n\n  .md\\:hover\\:translate-y-72:hover {\n    --tw-translate-y: 18rem;\n  }\n\n  .md\\:hover\\:translate-y-80:hover {\n    --tw-translate-y: 20rem;\n  }\n\n  .md\\:hover\\:translate-y-96:hover {\n    --tw-translate-y: 24rem;\n  }\n\n  .md\\:hover\\:translate-y-px:hover {\n    --tw-translate-y: 1px;\n  }\n\n  .md\\:hover\\:translate-y-0\\.5:hover {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .md\\:hover\\:translate-y-1\\.5:hover {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .md\\:hover\\:translate-y-2\\.5:hover {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .md\\:hover\\:translate-y-3\\.5:hover {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .md\\:hover\\:-translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:hover\\:-translate-y-1:hover {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .md\\:hover\\:-translate-y-2:hover {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .md\\:hover\\:-translate-y-3:hover {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .md\\:hover\\:-translate-y-4:hover {\n    --tw-translate-y: -1rem;\n  }\n\n  .md\\:hover\\:-translate-y-5:hover {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .md\\:hover\\:-translate-y-6:hover {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .md\\:hover\\:-translate-y-7:hover {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .md\\:hover\\:-translate-y-8:hover {\n    --tw-translate-y: -2rem;\n  }\n\n  .md\\:hover\\:-translate-y-9:hover {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .md\\:hover\\:-translate-y-10:hover {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .md\\:hover\\:-translate-y-11:hover {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .md\\:hover\\:-translate-y-12:hover {\n    --tw-translate-y: -3rem;\n  }\n\n  .md\\:hover\\:-translate-y-14:hover {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .md\\:hover\\:-translate-y-16:hover {\n    --tw-translate-y: -4rem;\n  }\n\n  .md\\:hover\\:-translate-y-20:hover {\n    --tw-translate-y: -5rem;\n  }\n\n  .md\\:hover\\:-translate-y-24:hover {\n    --tw-translate-y: -6rem;\n  }\n\n  .md\\:hover\\:-translate-y-28:hover {\n    --tw-translate-y: -7rem;\n  }\n\n  .md\\:hover\\:-translate-y-32:hover {\n    --tw-translate-y: -8rem;\n  }\n\n  .md\\:hover\\:-translate-y-36:hover {\n    --tw-translate-y: -9rem;\n  }\n\n  .md\\:hover\\:-translate-y-40:hover {\n    --tw-translate-y: -10rem;\n  }\n\n  .md\\:hover\\:-translate-y-44:hover {\n    --tw-translate-y: -11rem;\n  }\n\n  .md\\:hover\\:-translate-y-48:hover {\n    --tw-translate-y: -12rem;\n  }\n\n  .md\\:hover\\:-translate-y-52:hover {\n    --tw-translate-y: -13rem;\n  }\n\n  .md\\:hover\\:-translate-y-56:hover {\n    --tw-translate-y: -14rem;\n  }\n\n  .md\\:hover\\:-translate-y-60:hover {\n    --tw-translate-y: -15rem;\n  }\n\n  .md\\:hover\\:-translate-y-64:hover {\n    --tw-translate-y: -16rem;\n  }\n\n  .md\\:hover\\:-translate-y-72:hover {\n    --tw-translate-y: -18rem;\n  }\n\n  .md\\:hover\\:-translate-y-80:hover {\n    --tw-translate-y: -20rem;\n  }\n\n  .md\\:hover\\:-translate-y-96:hover {\n    --tw-translate-y: -24rem;\n  }\n\n  .md\\:hover\\:-translate-y-px:hover {\n    --tw-translate-y: -1px;\n  }\n\n  .md\\:hover\\:-translate-y-0\\.5:hover {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .md\\:hover\\:-translate-y-1\\.5:hover {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .md\\:hover\\:-translate-y-2\\.5:hover {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .md\\:hover\\:-translate-y-3\\.5:hover {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .md\\:hover\\:translate-y-1\\/2:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:hover\\:translate-y-1\\/3:hover {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .md\\:hover\\:translate-y-2\\/3:hover {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .md\\:hover\\:translate-y-1\\/4:hover {\n    --tw-translate-y: 25%;\n  }\n\n  .md\\:hover\\:translate-y-2\\/4:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:hover\\:translate-y-3\\/4:hover {\n    --tw-translate-y: 75%;\n  }\n\n  .md\\:hover\\:translate-y-full:hover {\n    --tw-translate-y: 100%;\n  }\n\n  .md\\:hover\\:-translate-y-1\\/2:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:hover\\:-translate-y-1\\/3:hover {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .md\\:hover\\:-translate-y-2\\/3:hover {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .md\\:hover\\:-translate-y-1\\/4:hover {\n    --tw-translate-y: -25%;\n  }\n\n  .md\\:hover\\:-translate-y-2\\/4:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:hover\\:-translate-y-3\\/4:hover {\n    --tw-translate-y: -75%;\n  }\n\n  .md\\:hover\\:-translate-y-full:hover {\n    --tw-translate-y: -100%;\n  }\n\n  .md\\:focus\\:translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:focus\\:translate-x-1:focus {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .md\\:focus\\:translate-x-2:focus {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .md\\:focus\\:translate-x-3:focus {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .md\\:focus\\:translate-x-4:focus {\n    --tw-translate-x: 1rem;\n  }\n\n  .md\\:focus\\:translate-x-5:focus {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .md\\:focus\\:translate-x-6:focus {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .md\\:focus\\:translate-x-7:focus {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .md\\:focus\\:translate-x-8:focus {\n    --tw-translate-x: 2rem;\n  }\n\n  .md\\:focus\\:translate-x-9:focus {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .md\\:focus\\:translate-x-10:focus {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .md\\:focus\\:translate-x-11:focus {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .md\\:focus\\:translate-x-12:focus {\n    --tw-translate-x: 3rem;\n  }\n\n  .md\\:focus\\:translate-x-14:focus {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .md\\:focus\\:translate-x-16:focus {\n    --tw-translate-x: 4rem;\n  }\n\n  .md\\:focus\\:translate-x-20:focus {\n    --tw-translate-x: 5rem;\n  }\n\n  .md\\:focus\\:translate-x-24:focus {\n    --tw-translate-x: 6rem;\n  }\n\n  .md\\:focus\\:translate-x-28:focus {\n    --tw-translate-x: 7rem;\n  }\n\n  .md\\:focus\\:translate-x-32:focus {\n    --tw-translate-x: 8rem;\n  }\n\n  .md\\:focus\\:translate-x-36:focus {\n    --tw-translate-x: 9rem;\n  }\n\n  .md\\:focus\\:translate-x-40:focus {\n    --tw-translate-x: 10rem;\n  }\n\n  .md\\:focus\\:translate-x-44:focus {\n    --tw-translate-x: 11rem;\n  }\n\n  .md\\:focus\\:translate-x-48:focus {\n    --tw-translate-x: 12rem;\n  }\n\n  .md\\:focus\\:translate-x-52:focus {\n    --tw-translate-x: 13rem;\n  }\n\n  .md\\:focus\\:translate-x-56:focus {\n    --tw-translate-x: 14rem;\n  }\n\n  .md\\:focus\\:translate-x-60:focus {\n    --tw-translate-x: 15rem;\n  }\n\n  .md\\:focus\\:translate-x-64:focus {\n    --tw-translate-x: 16rem;\n  }\n\n  .md\\:focus\\:translate-x-72:focus {\n    --tw-translate-x: 18rem;\n  }\n\n  .md\\:focus\\:translate-x-80:focus {\n    --tw-translate-x: 20rem;\n  }\n\n  .md\\:focus\\:translate-x-96:focus {\n    --tw-translate-x: 24rem;\n  }\n\n  .md\\:focus\\:translate-x-px:focus {\n    --tw-translate-x: 1px;\n  }\n\n  .md\\:focus\\:translate-x-0\\.5:focus {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .md\\:focus\\:translate-x-1\\.5:focus {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .md\\:focus\\:translate-x-2\\.5:focus {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .md\\:focus\\:translate-x-3\\.5:focus {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .md\\:focus\\:-translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .md\\:focus\\:-translate-x-1:focus {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .md\\:focus\\:-translate-x-2:focus {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .md\\:focus\\:-translate-x-3:focus {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .md\\:focus\\:-translate-x-4:focus {\n    --tw-translate-x: -1rem;\n  }\n\n  .md\\:focus\\:-translate-x-5:focus {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .md\\:focus\\:-translate-x-6:focus {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .md\\:focus\\:-translate-x-7:focus {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .md\\:focus\\:-translate-x-8:focus {\n    --tw-translate-x: -2rem;\n  }\n\n  .md\\:focus\\:-translate-x-9:focus {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .md\\:focus\\:-translate-x-10:focus {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .md\\:focus\\:-translate-x-11:focus {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .md\\:focus\\:-translate-x-12:focus {\n    --tw-translate-x: -3rem;\n  }\n\n  .md\\:focus\\:-translate-x-14:focus {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .md\\:focus\\:-translate-x-16:focus {\n    --tw-translate-x: -4rem;\n  }\n\n  .md\\:focus\\:-translate-x-20:focus {\n    --tw-translate-x: -5rem;\n  }\n\n  .md\\:focus\\:-translate-x-24:focus {\n    --tw-translate-x: -6rem;\n  }\n\n  .md\\:focus\\:-translate-x-28:focus {\n    --tw-translate-x: -7rem;\n  }\n\n  .md\\:focus\\:-translate-x-32:focus {\n    --tw-translate-x: -8rem;\n  }\n\n  .md\\:focus\\:-translate-x-36:focus {\n    --tw-translate-x: -9rem;\n  }\n\n  .md\\:focus\\:-translate-x-40:focus {\n    --tw-translate-x: -10rem;\n  }\n\n  .md\\:focus\\:-translate-x-44:focus {\n    --tw-translate-x: -11rem;\n  }\n\n  .md\\:focus\\:-translate-x-48:focus {\n    --tw-translate-x: -12rem;\n  }\n\n  .md\\:focus\\:-translate-x-52:focus {\n    --tw-translate-x: -13rem;\n  }\n\n  .md\\:focus\\:-translate-x-56:focus {\n    --tw-translate-x: -14rem;\n  }\n\n  .md\\:focus\\:-translate-x-60:focus {\n    --tw-translate-x: -15rem;\n  }\n\n  .md\\:focus\\:-translate-x-64:focus {\n    --tw-translate-x: -16rem;\n  }\n\n  .md\\:focus\\:-translate-x-72:focus {\n    --tw-translate-x: -18rem;\n  }\n\n  .md\\:focus\\:-translate-x-80:focus {\n    --tw-translate-x: -20rem;\n  }\n\n  .md\\:focus\\:-translate-x-96:focus {\n    --tw-translate-x: -24rem;\n  }\n\n  .md\\:focus\\:-translate-x-px:focus {\n    --tw-translate-x: -1px;\n  }\n\n  .md\\:focus\\:-translate-x-0\\.5:focus {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .md\\:focus\\:-translate-x-1\\.5:focus {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .md\\:focus\\:-translate-x-2\\.5:focus {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .md\\:focus\\:-translate-x-3\\.5:focus {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .md\\:focus\\:translate-x-1\\/2:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:focus\\:translate-x-1\\/3:focus {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .md\\:focus\\:translate-x-2\\/3:focus {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .md\\:focus\\:translate-x-1\\/4:focus {\n    --tw-translate-x: 25%;\n  }\n\n  .md\\:focus\\:translate-x-2\\/4:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .md\\:focus\\:translate-x-3\\/4:focus {\n    --tw-translate-x: 75%;\n  }\n\n  .md\\:focus\\:translate-x-full:focus {\n    --tw-translate-x: 100%;\n  }\n\n  .md\\:focus\\:-translate-x-1\\/2:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:focus\\:-translate-x-1\\/3:focus {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .md\\:focus\\:-translate-x-2\\/3:focus {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .md\\:focus\\:-translate-x-1\\/4:focus {\n    --tw-translate-x: -25%;\n  }\n\n  .md\\:focus\\:-translate-x-2\\/4:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .md\\:focus\\:-translate-x-3\\/4:focus {\n    --tw-translate-x: -75%;\n  }\n\n  .md\\:focus\\:-translate-x-full:focus {\n    --tw-translate-x: -100%;\n  }\n\n  .md\\:focus\\:translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:focus\\:translate-y-1:focus {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .md\\:focus\\:translate-y-2:focus {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .md\\:focus\\:translate-y-3:focus {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .md\\:focus\\:translate-y-4:focus {\n    --tw-translate-y: 1rem;\n  }\n\n  .md\\:focus\\:translate-y-5:focus {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .md\\:focus\\:translate-y-6:focus {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .md\\:focus\\:translate-y-7:focus {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .md\\:focus\\:translate-y-8:focus {\n    --tw-translate-y: 2rem;\n  }\n\n  .md\\:focus\\:translate-y-9:focus {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .md\\:focus\\:translate-y-10:focus {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .md\\:focus\\:translate-y-11:focus {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .md\\:focus\\:translate-y-12:focus {\n    --tw-translate-y: 3rem;\n  }\n\n  .md\\:focus\\:translate-y-14:focus {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .md\\:focus\\:translate-y-16:focus {\n    --tw-translate-y: 4rem;\n  }\n\n  .md\\:focus\\:translate-y-20:focus {\n    --tw-translate-y: 5rem;\n  }\n\n  .md\\:focus\\:translate-y-24:focus {\n    --tw-translate-y: 6rem;\n  }\n\n  .md\\:focus\\:translate-y-28:focus {\n    --tw-translate-y: 7rem;\n  }\n\n  .md\\:focus\\:translate-y-32:focus {\n    --tw-translate-y: 8rem;\n  }\n\n  .md\\:focus\\:translate-y-36:focus {\n    --tw-translate-y: 9rem;\n  }\n\n  .md\\:focus\\:translate-y-40:focus {\n    --tw-translate-y: 10rem;\n  }\n\n  .md\\:focus\\:translate-y-44:focus {\n    --tw-translate-y: 11rem;\n  }\n\n  .md\\:focus\\:translate-y-48:focus {\n    --tw-translate-y: 12rem;\n  }\n\n  .md\\:focus\\:translate-y-52:focus {\n    --tw-translate-y: 13rem;\n  }\n\n  .md\\:focus\\:translate-y-56:focus {\n    --tw-translate-y: 14rem;\n  }\n\n  .md\\:focus\\:translate-y-60:focus {\n    --tw-translate-y: 15rem;\n  }\n\n  .md\\:focus\\:translate-y-64:focus {\n    --tw-translate-y: 16rem;\n  }\n\n  .md\\:focus\\:translate-y-72:focus {\n    --tw-translate-y: 18rem;\n  }\n\n  .md\\:focus\\:translate-y-80:focus {\n    --tw-translate-y: 20rem;\n  }\n\n  .md\\:focus\\:translate-y-96:focus {\n    --tw-translate-y: 24rem;\n  }\n\n  .md\\:focus\\:translate-y-px:focus {\n    --tw-translate-y: 1px;\n  }\n\n  .md\\:focus\\:translate-y-0\\.5:focus {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .md\\:focus\\:translate-y-1\\.5:focus {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .md\\:focus\\:translate-y-2\\.5:focus {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .md\\:focus\\:translate-y-3\\.5:focus {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .md\\:focus\\:-translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .md\\:focus\\:-translate-y-1:focus {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .md\\:focus\\:-translate-y-2:focus {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .md\\:focus\\:-translate-y-3:focus {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .md\\:focus\\:-translate-y-4:focus {\n    --tw-translate-y: -1rem;\n  }\n\n  .md\\:focus\\:-translate-y-5:focus {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .md\\:focus\\:-translate-y-6:focus {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .md\\:focus\\:-translate-y-7:focus {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .md\\:focus\\:-translate-y-8:focus {\n    --tw-translate-y: -2rem;\n  }\n\n  .md\\:focus\\:-translate-y-9:focus {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .md\\:focus\\:-translate-y-10:focus {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .md\\:focus\\:-translate-y-11:focus {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .md\\:focus\\:-translate-y-12:focus {\n    --tw-translate-y: -3rem;\n  }\n\n  .md\\:focus\\:-translate-y-14:focus {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .md\\:focus\\:-translate-y-16:focus {\n    --tw-translate-y: -4rem;\n  }\n\n  .md\\:focus\\:-translate-y-20:focus {\n    --tw-translate-y: -5rem;\n  }\n\n  .md\\:focus\\:-translate-y-24:focus {\n    --tw-translate-y: -6rem;\n  }\n\n  .md\\:focus\\:-translate-y-28:focus {\n    --tw-translate-y: -7rem;\n  }\n\n  .md\\:focus\\:-translate-y-32:focus {\n    --tw-translate-y: -8rem;\n  }\n\n  .md\\:focus\\:-translate-y-36:focus {\n    --tw-translate-y: -9rem;\n  }\n\n  .md\\:focus\\:-translate-y-40:focus {\n    --tw-translate-y: -10rem;\n  }\n\n  .md\\:focus\\:-translate-y-44:focus {\n    --tw-translate-y: -11rem;\n  }\n\n  .md\\:focus\\:-translate-y-48:focus {\n    --tw-translate-y: -12rem;\n  }\n\n  .md\\:focus\\:-translate-y-52:focus {\n    --tw-translate-y: -13rem;\n  }\n\n  .md\\:focus\\:-translate-y-56:focus {\n    --tw-translate-y: -14rem;\n  }\n\n  .md\\:focus\\:-translate-y-60:focus {\n    --tw-translate-y: -15rem;\n  }\n\n  .md\\:focus\\:-translate-y-64:focus {\n    --tw-translate-y: -16rem;\n  }\n\n  .md\\:focus\\:-translate-y-72:focus {\n    --tw-translate-y: -18rem;\n  }\n\n  .md\\:focus\\:-translate-y-80:focus {\n    --tw-translate-y: -20rem;\n  }\n\n  .md\\:focus\\:-translate-y-96:focus {\n    --tw-translate-y: -24rem;\n  }\n\n  .md\\:focus\\:-translate-y-px:focus {\n    --tw-translate-y: -1px;\n  }\n\n  .md\\:focus\\:-translate-y-0\\.5:focus {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .md\\:focus\\:-translate-y-1\\.5:focus {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .md\\:focus\\:-translate-y-2\\.5:focus {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .md\\:focus\\:-translate-y-3\\.5:focus {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .md\\:focus\\:translate-y-1\\/2:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:focus\\:translate-y-1\\/3:focus {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .md\\:focus\\:translate-y-2\\/3:focus {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .md\\:focus\\:translate-y-1\\/4:focus {\n    --tw-translate-y: 25%;\n  }\n\n  .md\\:focus\\:translate-y-2\\/4:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .md\\:focus\\:translate-y-3\\/4:focus {\n    --tw-translate-y: 75%;\n  }\n\n  .md\\:focus\\:translate-y-full:focus {\n    --tw-translate-y: 100%;\n  }\n\n  .md\\:focus\\:-translate-y-1\\/2:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:focus\\:-translate-y-1\\/3:focus {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .md\\:focus\\:-translate-y-2\\/3:focus {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .md\\:focus\\:-translate-y-1\\/4:focus {\n    --tw-translate-y: -25%;\n  }\n\n  .md\\:focus\\:-translate-y-2\\/4:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .md\\:focus\\:-translate-y-3\\/4:focus {\n    --tw-translate-y: -75%;\n  }\n\n  .md\\:focus\\:-translate-y-full:focus {\n    --tw-translate-y: -100%;\n  }\n\n  .md\\:rotate-0 {\n    --tw-rotate: 0deg;\n  }\n\n  .md\\:rotate-1 {\n    --tw-rotate: 1deg;\n  }\n\n  .md\\:rotate-2 {\n    --tw-rotate: 2deg;\n  }\n\n  .md\\:rotate-3 {\n    --tw-rotate: 3deg;\n  }\n\n  .md\\:rotate-6 {\n    --tw-rotate: 6deg;\n  }\n\n  .md\\:rotate-12 {\n    --tw-rotate: 12deg;\n  }\n\n  .md\\:rotate-45 {\n    --tw-rotate: 45deg;\n  }\n\n  .md\\:rotate-90 {\n    --tw-rotate: 90deg;\n  }\n\n  .md\\:rotate-180 {\n    --tw-rotate: 180deg;\n  }\n\n  .md\\:-rotate-180 {\n    --tw-rotate: -180deg;\n  }\n\n  .md\\:-rotate-90 {\n    --tw-rotate: -90deg;\n  }\n\n  .md\\:-rotate-45 {\n    --tw-rotate: -45deg;\n  }\n\n  .md\\:-rotate-12 {\n    --tw-rotate: -12deg;\n  }\n\n  .md\\:-rotate-6 {\n    --tw-rotate: -6deg;\n  }\n\n  .md\\:-rotate-3 {\n    --tw-rotate: -3deg;\n  }\n\n  .md\\:-rotate-2 {\n    --tw-rotate: -2deg;\n  }\n\n  .md\\:-rotate-1 {\n    --tw-rotate: -1deg;\n  }\n\n  .md\\:hover\\:rotate-0:hover {\n    --tw-rotate: 0deg;\n  }\n\n  .md\\:hover\\:rotate-1:hover {\n    --tw-rotate: 1deg;\n  }\n\n  .md\\:hover\\:rotate-2:hover {\n    --tw-rotate: 2deg;\n  }\n\n  .md\\:hover\\:rotate-3:hover {\n    --tw-rotate: 3deg;\n  }\n\n  .md\\:hover\\:rotate-6:hover {\n    --tw-rotate: 6deg;\n  }\n\n  .md\\:hover\\:rotate-12:hover {\n    --tw-rotate: 12deg;\n  }\n\n  .md\\:hover\\:rotate-45:hover {\n    --tw-rotate: 45deg;\n  }\n\n  .md\\:hover\\:rotate-90:hover {\n    --tw-rotate: 90deg;\n  }\n\n  .md\\:hover\\:rotate-180:hover {\n    --tw-rotate: 180deg;\n  }\n\n  .md\\:hover\\:-rotate-180:hover {\n    --tw-rotate: -180deg;\n  }\n\n  .md\\:hover\\:-rotate-90:hover {\n    --tw-rotate: -90deg;\n  }\n\n  .md\\:hover\\:-rotate-45:hover {\n    --tw-rotate: -45deg;\n  }\n\n  .md\\:hover\\:-rotate-12:hover {\n    --tw-rotate: -12deg;\n  }\n\n  .md\\:hover\\:-rotate-6:hover {\n    --tw-rotate: -6deg;\n  }\n\n  .md\\:hover\\:-rotate-3:hover {\n    --tw-rotate: -3deg;\n  }\n\n  .md\\:hover\\:-rotate-2:hover {\n    --tw-rotate: -2deg;\n  }\n\n  .md\\:hover\\:-rotate-1:hover {\n    --tw-rotate: -1deg;\n  }\n\n  .md\\:focus\\:rotate-0:focus {\n    --tw-rotate: 0deg;\n  }\n\n  .md\\:focus\\:rotate-1:focus {\n    --tw-rotate: 1deg;\n  }\n\n  .md\\:focus\\:rotate-2:focus {\n    --tw-rotate: 2deg;\n  }\n\n  .md\\:focus\\:rotate-3:focus {\n    --tw-rotate: 3deg;\n  }\n\n  .md\\:focus\\:rotate-6:focus {\n    --tw-rotate: 6deg;\n  }\n\n  .md\\:focus\\:rotate-12:focus {\n    --tw-rotate: 12deg;\n  }\n\n  .md\\:focus\\:rotate-45:focus {\n    --tw-rotate: 45deg;\n  }\n\n  .md\\:focus\\:rotate-90:focus {\n    --tw-rotate: 90deg;\n  }\n\n  .md\\:focus\\:rotate-180:focus {\n    --tw-rotate: 180deg;\n  }\n\n  .md\\:focus\\:-rotate-180:focus {\n    --tw-rotate: -180deg;\n  }\n\n  .md\\:focus\\:-rotate-90:focus {\n    --tw-rotate: -90deg;\n  }\n\n  .md\\:focus\\:-rotate-45:focus {\n    --tw-rotate: -45deg;\n  }\n\n  .md\\:focus\\:-rotate-12:focus {\n    --tw-rotate: -12deg;\n  }\n\n  .md\\:focus\\:-rotate-6:focus {\n    --tw-rotate: -6deg;\n  }\n\n  .md\\:focus\\:-rotate-3:focus {\n    --tw-rotate: -3deg;\n  }\n\n  .md\\:focus\\:-rotate-2:focus {\n    --tw-rotate: -2deg;\n  }\n\n  .md\\:focus\\:-rotate-1:focus {\n    --tw-rotate: -1deg;\n  }\n\n  .md\\:skew-x-0 {\n    --tw-skew-x: 0deg;\n  }\n\n  .md\\:skew-x-1 {\n    --tw-skew-x: 1deg;\n  }\n\n  .md\\:skew-x-2 {\n    --tw-skew-x: 2deg;\n  }\n\n  .md\\:skew-x-3 {\n    --tw-skew-x: 3deg;\n  }\n\n  .md\\:skew-x-6 {\n    --tw-skew-x: 6deg;\n  }\n\n  .md\\:skew-x-12 {\n    --tw-skew-x: 12deg;\n  }\n\n  .md\\:-skew-x-12 {\n    --tw-skew-x: -12deg;\n  }\n\n  .md\\:-skew-x-6 {\n    --tw-skew-x: -6deg;\n  }\n\n  .md\\:-skew-x-3 {\n    --tw-skew-x: -3deg;\n  }\n\n  .md\\:-skew-x-2 {\n    --tw-skew-x: -2deg;\n  }\n\n  .md\\:-skew-x-1 {\n    --tw-skew-x: -1deg;\n  }\n\n  .md\\:skew-y-0 {\n    --tw-skew-y: 0deg;\n  }\n\n  .md\\:skew-y-1 {\n    --tw-skew-y: 1deg;\n  }\n\n  .md\\:skew-y-2 {\n    --tw-skew-y: 2deg;\n  }\n\n  .md\\:skew-y-3 {\n    --tw-skew-y: 3deg;\n  }\n\n  .md\\:skew-y-6 {\n    --tw-skew-y: 6deg;\n  }\n\n  .md\\:skew-y-12 {\n    --tw-skew-y: 12deg;\n  }\n\n  .md\\:-skew-y-12 {\n    --tw-skew-y: -12deg;\n  }\n\n  .md\\:-skew-y-6 {\n    --tw-skew-y: -6deg;\n  }\n\n  .md\\:-skew-y-3 {\n    --tw-skew-y: -3deg;\n  }\n\n  .md\\:-skew-y-2 {\n    --tw-skew-y: -2deg;\n  }\n\n  .md\\:-skew-y-1 {\n    --tw-skew-y: -1deg;\n  }\n\n  .md\\:hover\\:skew-x-0:hover {\n    --tw-skew-x: 0deg;\n  }\n\n  .md\\:hover\\:skew-x-1:hover {\n    --tw-skew-x: 1deg;\n  }\n\n  .md\\:hover\\:skew-x-2:hover {\n    --tw-skew-x: 2deg;\n  }\n\n  .md\\:hover\\:skew-x-3:hover {\n    --tw-skew-x: 3deg;\n  }\n\n  .md\\:hover\\:skew-x-6:hover {\n    --tw-skew-x: 6deg;\n  }\n\n  .md\\:hover\\:skew-x-12:hover {\n    --tw-skew-x: 12deg;\n  }\n\n  .md\\:hover\\:-skew-x-12:hover {\n    --tw-skew-x: -12deg;\n  }\n\n  .md\\:hover\\:-skew-x-6:hover {\n    --tw-skew-x: -6deg;\n  }\n\n  .md\\:hover\\:-skew-x-3:hover {\n    --tw-skew-x: -3deg;\n  }\n\n  .md\\:hover\\:-skew-x-2:hover {\n    --tw-skew-x: -2deg;\n  }\n\n  .md\\:hover\\:-skew-x-1:hover {\n    --tw-skew-x: -1deg;\n  }\n\n  .md\\:hover\\:skew-y-0:hover {\n    --tw-skew-y: 0deg;\n  }\n\n  .md\\:hover\\:skew-y-1:hover {\n    --tw-skew-y: 1deg;\n  }\n\n  .md\\:hover\\:skew-y-2:hover {\n    --tw-skew-y: 2deg;\n  }\n\n  .md\\:hover\\:skew-y-3:hover {\n    --tw-skew-y: 3deg;\n  }\n\n  .md\\:hover\\:skew-y-6:hover {\n    --tw-skew-y: 6deg;\n  }\n\n  .md\\:hover\\:skew-y-12:hover {\n    --tw-skew-y: 12deg;\n  }\n\n  .md\\:hover\\:-skew-y-12:hover {\n    --tw-skew-y: -12deg;\n  }\n\n  .md\\:hover\\:-skew-y-6:hover {\n    --tw-skew-y: -6deg;\n  }\n\n  .md\\:hover\\:-skew-y-3:hover {\n    --tw-skew-y: -3deg;\n  }\n\n  .md\\:hover\\:-skew-y-2:hover {\n    --tw-skew-y: -2deg;\n  }\n\n  .md\\:hover\\:-skew-y-1:hover {\n    --tw-skew-y: -1deg;\n  }\n\n  .md\\:focus\\:skew-x-0:focus {\n    --tw-skew-x: 0deg;\n  }\n\n  .md\\:focus\\:skew-x-1:focus {\n    --tw-skew-x: 1deg;\n  }\n\n  .md\\:focus\\:skew-x-2:focus {\n    --tw-skew-x: 2deg;\n  }\n\n  .md\\:focus\\:skew-x-3:focus {\n    --tw-skew-x: 3deg;\n  }\n\n  .md\\:focus\\:skew-x-6:focus {\n    --tw-skew-x: 6deg;\n  }\n\n  .md\\:focus\\:skew-x-12:focus {\n    --tw-skew-x: 12deg;\n  }\n\n  .md\\:focus\\:-skew-x-12:focus {\n    --tw-skew-x: -12deg;\n  }\n\n  .md\\:focus\\:-skew-x-6:focus {\n    --tw-skew-x: -6deg;\n  }\n\n  .md\\:focus\\:-skew-x-3:focus {\n    --tw-skew-x: -3deg;\n  }\n\n  .md\\:focus\\:-skew-x-2:focus {\n    --tw-skew-x: -2deg;\n  }\n\n  .md\\:focus\\:-skew-x-1:focus {\n    --tw-skew-x: -1deg;\n  }\n\n  .md\\:focus\\:skew-y-0:focus {\n    --tw-skew-y: 0deg;\n  }\n\n  .md\\:focus\\:skew-y-1:focus {\n    --tw-skew-y: 1deg;\n  }\n\n  .md\\:focus\\:skew-y-2:focus {\n    --tw-skew-y: 2deg;\n  }\n\n  .md\\:focus\\:skew-y-3:focus {\n    --tw-skew-y: 3deg;\n  }\n\n  .md\\:focus\\:skew-y-6:focus {\n    --tw-skew-y: 6deg;\n  }\n\n  .md\\:focus\\:skew-y-12:focus {\n    --tw-skew-y: 12deg;\n  }\n\n  .md\\:focus\\:-skew-y-12:focus {\n    --tw-skew-y: -12deg;\n  }\n\n  .md\\:focus\\:-skew-y-6:focus {\n    --tw-skew-y: -6deg;\n  }\n\n  .md\\:focus\\:-skew-y-3:focus {\n    --tw-skew-y: -3deg;\n  }\n\n  .md\\:focus\\:-skew-y-2:focus {\n    --tw-skew-y: -2deg;\n  }\n\n  .md\\:focus\\:-skew-y-1:focus {\n    --tw-skew-y: -1deg;\n  }\n\n  .md\\:scale-0 {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .md\\:scale-50 {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .md\\:scale-75 {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .md\\:scale-90 {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .md\\:scale-95 {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .md\\:scale-100 {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .md\\:scale-105 {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:scale-110 {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:scale-125 {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:scale-150 {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:hover\\:scale-0:hover {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .md\\:hover\\:scale-50:hover {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .md\\:hover\\:scale-75:hover {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .md\\:hover\\:scale-90:hover {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .md\\:hover\\:scale-95:hover {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .md\\:hover\\:scale-100:hover {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .md\\:hover\\:scale-105:hover {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:hover\\:scale-110:hover {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:hover\\:scale-125:hover {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:hover\\:scale-150:hover {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:focus\\:scale-0:focus {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .md\\:focus\\:scale-50:focus {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .md\\:focus\\:scale-75:focus {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .md\\:focus\\:scale-90:focus {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .md\\:focus\\:scale-95:focus {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .md\\:focus\\:scale-100:focus {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .md\\:focus\\:scale-105:focus {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:focus\\:scale-110:focus {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:focus\\:scale-125:focus {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:focus\\:scale-150:focus {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:scale-x-0 {\n    --tw-scale-x: 0;\n  }\n\n  .md\\:scale-x-50 {\n    --tw-scale-x: .5;\n  }\n\n  .md\\:scale-x-75 {\n    --tw-scale-x: .75;\n  }\n\n  .md\\:scale-x-90 {\n    --tw-scale-x: .9;\n  }\n\n  .md\\:scale-x-95 {\n    --tw-scale-x: .95;\n  }\n\n  .md\\:scale-x-100 {\n    --tw-scale-x: 1;\n  }\n\n  .md\\:scale-x-105 {\n    --tw-scale-x: 1.05;\n  }\n\n  .md\\:scale-x-110 {\n    --tw-scale-x: 1.1;\n  }\n\n  .md\\:scale-x-125 {\n    --tw-scale-x: 1.25;\n  }\n\n  .md\\:scale-x-150 {\n    --tw-scale-x: 1.5;\n  }\n\n  .md\\:scale-y-0 {\n    --tw-scale-y: 0;\n  }\n\n  .md\\:scale-y-50 {\n    --tw-scale-y: .5;\n  }\n\n  .md\\:scale-y-75 {\n    --tw-scale-y: .75;\n  }\n\n  .md\\:scale-y-90 {\n    --tw-scale-y: .9;\n  }\n\n  .md\\:scale-y-95 {\n    --tw-scale-y: .95;\n  }\n\n  .md\\:scale-y-100 {\n    --tw-scale-y: 1;\n  }\n\n  .md\\:scale-y-105 {\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:scale-y-110 {\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:scale-y-125 {\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:scale-y-150 {\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:hover\\:scale-x-0:hover {\n    --tw-scale-x: 0;\n  }\n\n  .md\\:hover\\:scale-x-50:hover {\n    --tw-scale-x: .5;\n  }\n\n  .md\\:hover\\:scale-x-75:hover {\n    --tw-scale-x: .75;\n  }\n\n  .md\\:hover\\:scale-x-90:hover {\n    --tw-scale-x: .9;\n  }\n\n  .md\\:hover\\:scale-x-95:hover {\n    --tw-scale-x: .95;\n  }\n\n  .md\\:hover\\:scale-x-100:hover {\n    --tw-scale-x: 1;\n  }\n\n  .md\\:hover\\:scale-x-105:hover {\n    --tw-scale-x: 1.05;\n  }\n\n  .md\\:hover\\:scale-x-110:hover {\n    --tw-scale-x: 1.1;\n  }\n\n  .md\\:hover\\:scale-x-125:hover {\n    --tw-scale-x: 1.25;\n  }\n\n  .md\\:hover\\:scale-x-150:hover {\n    --tw-scale-x: 1.5;\n  }\n\n  .md\\:hover\\:scale-y-0:hover {\n    --tw-scale-y: 0;\n  }\n\n  .md\\:hover\\:scale-y-50:hover {\n    --tw-scale-y: .5;\n  }\n\n  .md\\:hover\\:scale-y-75:hover {\n    --tw-scale-y: .75;\n  }\n\n  .md\\:hover\\:scale-y-90:hover {\n    --tw-scale-y: .9;\n  }\n\n  .md\\:hover\\:scale-y-95:hover {\n    --tw-scale-y: .95;\n  }\n\n  .md\\:hover\\:scale-y-100:hover {\n    --tw-scale-y: 1;\n  }\n\n  .md\\:hover\\:scale-y-105:hover {\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:hover\\:scale-y-110:hover {\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:hover\\:scale-y-125:hover {\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:hover\\:scale-y-150:hover {\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:focus\\:scale-x-0:focus {\n    --tw-scale-x: 0;\n  }\n\n  .md\\:focus\\:scale-x-50:focus {\n    --tw-scale-x: .5;\n  }\n\n  .md\\:focus\\:scale-x-75:focus {\n    --tw-scale-x: .75;\n  }\n\n  .md\\:focus\\:scale-x-90:focus {\n    --tw-scale-x: .9;\n  }\n\n  .md\\:focus\\:scale-x-95:focus {\n    --tw-scale-x: .95;\n  }\n\n  .md\\:focus\\:scale-x-100:focus {\n    --tw-scale-x: 1;\n  }\n\n  .md\\:focus\\:scale-x-105:focus {\n    --tw-scale-x: 1.05;\n  }\n\n  .md\\:focus\\:scale-x-110:focus {\n    --tw-scale-x: 1.1;\n  }\n\n  .md\\:focus\\:scale-x-125:focus {\n    --tw-scale-x: 1.25;\n  }\n\n  .md\\:focus\\:scale-x-150:focus {\n    --tw-scale-x: 1.5;\n  }\n\n  .md\\:focus\\:scale-y-0:focus {\n    --tw-scale-y: 0;\n  }\n\n  .md\\:focus\\:scale-y-50:focus {\n    --tw-scale-y: .5;\n  }\n\n  .md\\:focus\\:scale-y-75:focus {\n    --tw-scale-y: .75;\n  }\n\n  .md\\:focus\\:scale-y-90:focus {\n    --tw-scale-y: .9;\n  }\n\n  .md\\:focus\\:scale-y-95:focus {\n    --tw-scale-y: .95;\n  }\n\n  .md\\:focus\\:scale-y-100:focus {\n    --tw-scale-y: 1;\n  }\n\n  .md\\:focus\\:scale-y-105:focus {\n    --tw-scale-y: 1.05;\n  }\n\n  .md\\:focus\\:scale-y-110:focus {\n    --tw-scale-y: 1.1;\n  }\n\n  .md\\:focus\\:scale-y-125:focus {\n    --tw-scale-y: 1.25;\n  }\n\n  .md\\:focus\\:scale-y-150:focus {\n    --tw-scale-y: 1.5;\n  }\n\n  .md\\:animate-none {\n    -webkit-animation: none;\n            animation: none;\n  }\n\n  .md\\:animate-spin {\n    -webkit-animation: spin 1s linear infinite;\n            animation: spin 1s linear infinite;\n  }\n\n  .md\\:animate-ping {\n    -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n            animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n  }\n\n  .md\\:animate-pulse {\n    -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n            animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n  }\n\n  .md\\:animate-bounce {\n    -webkit-animation: bounce 1s infinite;\n            animation: bounce 1s infinite;\n  }\n\n  .md\\:animate-gradient {\n    -webkit-animation: gradient 5s ease infinite;\n            animation: gradient 5s ease infinite;\n  }\n\n  .md\\:cursor-auto {\n    cursor: auto;\n  }\n\n  .md\\:cursor-default {\n    cursor: default;\n  }\n\n  .md\\:cursor-pointer {\n    cursor: pointer;\n  }\n\n  .md\\:cursor-wait {\n    cursor: wait;\n  }\n\n  .md\\:cursor-text {\n    cursor: text;\n  }\n\n  .md\\:cursor-move {\n    cursor: move;\n  }\n\n  .md\\:cursor-help {\n    cursor: help;\n  }\n\n  .md\\:cursor-not-allowed {\n    cursor: not-allowed;\n  }\n\n  .md\\:select-none {\n    -webkit-user-select: none;\n       -moz-user-select: none;\n            user-select: none;\n  }\n\n  .md\\:select-text {\n    -webkit-user-select: text;\n       -moz-user-select: text;\n            user-select: text;\n  }\n\n  .md\\:select-all {\n    -webkit-user-select: all;\n       -moz-user-select: all;\n            user-select: all;\n  }\n\n  .md\\:select-auto {\n    -webkit-user-select: auto;\n       -moz-user-select: auto;\n            user-select: auto;\n  }\n\n  .md\\:resize-none {\n    resize: none;\n  }\n\n  .md\\:resize-y {\n    resize: vertical;\n  }\n\n  .md\\:resize-x {\n    resize: horizontal;\n  }\n\n  .md\\:resize {\n    resize: both;\n  }\n\n  .md\\:list-inside {\n    list-style-position: inside;\n  }\n\n  .md\\:list-outside {\n    list-style-position: outside;\n  }\n\n  .md\\:list-none {\n    list-style-type: none;\n  }\n\n  .md\\:list-disc {\n    list-style-type: disc;\n  }\n\n  .md\\:list-decimal {\n    list-style-type: decimal;\n  }\n\n  .md\\:appearance-none {\n    -webkit-appearance: none;\n       -moz-appearance: none;\n            appearance: none;\n  }\n\n  .md\\:auto-cols-auto {\n    grid-auto-columns: auto;\n  }\n\n  .md\\:auto-cols-min {\n    grid-auto-columns: -webkit-min-content;\n    grid-auto-columns: min-content;\n  }\n\n  .md\\:auto-cols-max {\n    grid-auto-columns: -webkit-max-content;\n    grid-auto-columns: max-content;\n  }\n\n  .md\\:auto-cols-fr {\n    grid-auto-columns: minmax(0, 1fr);\n  }\n\n  .md\\:grid-flow-row {\n    grid-auto-flow: row;\n  }\n\n  .md\\:grid-flow-col {\n    grid-auto-flow: column;\n  }\n\n  .md\\:grid-flow-row-dense {\n    grid-auto-flow: row dense;\n  }\n\n  .md\\:grid-flow-col-dense {\n    grid-auto-flow: column dense;\n  }\n\n  .md\\:auto-rows-auto {\n    grid-auto-rows: auto;\n  }\n\n  .md\\:auto-rows-min {\n    grid-auto-rows: -webkit-min-content;\n    grid-auto-rows: min-content;\n  }\n\n  .md\\:auto-rows-max {\n    grid-auto-rows: -webkit-max-content;\n    grid-auto-rows: max-content;\n  }\n\n  .md\\:auto-rows-fr {\n    grid-auto-rows: minmax(0, 1fr);\n  }\n\n  .md\\:grid-cols-1 {\n    grid-template-columns: repeat(1, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-2 {\n    grid-template-columns: repeat(2, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-3 {\n    grid-template-columns: repeat(3, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-4 {\n    grid-template-columns: repeat(4, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-5 {\n    grid-template-columns: repeat(5, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-6 {\n    grid-template-columns: repeat(6, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-7 {\n    grid-template-columns: repeat(7, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-8 {\n    grid-template-columns: repeat(8, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-9 {\n    grid-template-columns: repeat(9, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-10 {\n    grid-template-columns: repeat(10, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-11 {\n    grid-template-columns: repeat(11, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-12 {\n    grid-template-columns: repeat(12, minmax(0, 1fr));\n  }\n\n  .md\\:grid-cols-none {\n    grid-template-columns: none;\n  }\n\n  .md\\:grid-rows-1 {\n    grid-template-rows: repeat(1, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-2 {\n    grid-template-rows: repeat(2, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-3 {\n    grid-template-rows: repeat(3, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-4 {\n    grid-template-rows: repeat(4, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-5 {\n    grid-template-rows: repeat(5, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-6 {\n    grid-template-rows: repeat(6, minmax(0, 1fr));\n  }\n\n  .md\\:grid-rows-none {\n    grid-template-rows: none;\n  }\n\n  .md\\:flex-row {\n    flex-direction: row;\n  }\n\n  .md\\:flex-row-reverse {\n    flex-direction: row-reverse;\n  }\n\n  .md\\:flex-col {\n    flex-direction: column;\n  }\n\n  .md\\:flex-col-reverse {\n    flex-direction: column-reverse;\n  }\n\n  .md\\:flex-wrap {\n    flex-wrap: wrap;\n  }\n\n  .md\\:flex-wrap-reverse {\n    flex-wrap: wrap-reverse;\n  }\n\n  .md\\:flex-nowrap {\n    flex-wrap: nowrap;\n  }\n\n  .md\\:place-content-center {\n    place-content: center;\n  }\n\n  .md\\:place-content-start {\n    place-content: start;\n  }\n\n  .md\\:place-content-end {\n    place-content: end;\n  }\n\n  .md\\:place-content-between {\n    place-content: space-between;\n  }\n\n  .md\\:place-content-around {\n    place-content: space-around;\n  }\n\n  .md\\:place-content-evenly {\n    place-content: space-evenly;\n  }\n\n  .md\\:place-content-stretch {\n    place-content: stretch;\n  }\n\n  .md\\:place-items-start {\n    place-items: start;\n  }\n\n  .md\\:place-items-end {\n    place-items: end;\n  }\n\n  .md\\:place-items-center {\n    place-items: center;\n  }\n\n  .md\\:place-items-stretch {\n    place-items: stretch;\n  }\n\n  .md\\:content-center {\n    align-content: center;\n  }\n\n  .md\\:content-start {\n    align-content: flex-start;\n  }\n\n  .md\\:content-end {\n    align-content: flex-end;\n  }\n\n  .md\\:content-between {\n    align-content: space-between;\n  }\n\n  .md\\:content-around {\n    align-content: space-around;\n  }\n\n  .md\\:content-evenly {\n    align-content: space-evenly;\n  }\n\n  .md\\:items-start {\n    align-items: flex-start;\n  }\n\n  .md\\:items-end {\n    align-items: flex-end;\n  }\n\n  .md\\:items-center {\n    align-items: center;\n  }\n\n  .md\\:items-baseline {\n    align-items: baseline;\n  }\n\n  .md\\:items-stretch {\n    align-items: stretch;\n  }\n\n  .md\\:justify-start {\n    justify-content: flex-start;\n  }\n\n  .md\\:justify-end {\n    justify-content: flex-end;\n  }\n\n  .md\\:justify-center {\n    justify-content: center;\n  }\n\n  .md\\:justify-between {\n    justify-content: space-between;\n  }\n\n  .md\\:justify-around {\n    justify-content: space-around;\n  }\n\n  .md\\:justify-evenly {\n    justify-content: space-evenly;\n  }\n\n  .md\\:justify-items-start {\n    justify-items: start;\n  }\n\n  .md\\:justify-items-end {\n    justify-items: end;\n  }\n\n  .md\\:justify-items-center {\n    justify-items: center;\n  }\n\n  .md\\:justify-items-stretch {\n    justify-items: stretch;\n  }\n\n  .md\\:gap-0 {\n    gap: 0px;\n  }\n\n  .md\\:gap-1 {\n    gap: 0.25rem;\n  }\n\n  .md\\:gap-2 {\n    gap: 0.5rem;\n  }\n\n  .md\\:gap-3 {\n    gap: 0.75rem;\n  }\n\n  .md\\:gap-4 {\n    gap: 1rem;\n  }\n\n  .md\\:gap-5 {\n    gap: 1.25rem;\n  }\n\n  .md\\:gap-6 {\n    gap: 1.5rem;\n  }\n\n  .md\\:gap-7 {\n    gap: 1.75rem;\n  }\n\n  .md\\:gap-8 {\n    gap: 2rem;\n  }\n\n  .md\\:gap-9 {\n    gap: 2.25rem;\n  }\n\n  .md\\:gap-10 {\n    gap: 2.5rem;\n  }\n\n  .md\\:gap-11 {\n    gap: 2.75rem;\n  }\n\n  .md\\:gap-12 {\n    gap: 3rem;\n  }\n\n  .md\\:gap-14 {\n    gap: 3.5rem;\n  }\n\n  .md\\:gap-16 {\n    gap: 4rem;\n  }\n\n  .md\\:gap-20 {\n    gap: 5rem;\n  }\n\n  .md\\:gap-24 {\n    gap: 6rem;\n  }\n\n  .md\\:gap-28 {\n    gap: 7rem;\n  }\n\n  .md\\:gap-32 {\n    gap: 8rem;\n  }\n\n  .md\\:gap-36 {\n    gap: 9rem;\n  }\n\n  .md\\:gap-40 {\n    gap: 10rem;\n  }\n\n  .md\\:gap-44 {\n    gap: 11rem;\n  }\n\n  .md\\:gap-48 {\n    gap: 12rem;\n  }\n\n  .md\\:gap-52 {\n    gap: 13rem;\n  }\n\n  .md\\:gap-56 {\n    gap: 14rem;\n  }\n\n  .md\\:gap-60 {\n    gap: 15rem;\n  }\n\n  .md\\:gap-64 {\n    gap: 16rem;\n  }\n\n  .md\\:gap-72 {\n    gap: 18rem;\n  }\n\n  .md\\:gap-80 {\n    gap: 20rem;\n  }\n\n  .md\\:gap-96 {\n    gap: 24rem;\n  }\n\n  .md\\:gap-px {\n    gap: 1px;\n  }\n\n  .md\\:gap-0\\.5 {\n    gap: 0.125rem;\n  }\n\n  .md\\:gap-1\\.5 {\n    gap: 0.375rem;\n  }\n\n  .md\\:gap-2\\.5 {\n    gap: 0.625rem;\n  }\n\n  .md\\:gap-3\\.5 {\n    gap: 0.875rem;\n  }\n\n  .md\\:gap-x-0 {\n    -moz-column-gap: 0px;\n         column-gap: 0px;\n  }\n\n  .md\\:gap-x-1 {\n    -moz-column-gap: 0.25rem;\n         column-gap: 0.25rem;\n  }\n\n  .md\\:gap-x-2 {\n    -moz-column-gap: 0.5rem;\n         column-gap: 0.5rem;\n  }\n\n  .md\\:gap-x-3 {\n    -moz-column-gap: 0.75rem;\n         column-gap: 0.75rem;\n  }\n\n  .md\\:gap-x-4 {\n    -moz-column-gap: 1rem;\n         column-gap: 1rem;\n  }\n\n  .md\\:gap-x-5 {\n    -moz-column-gap: 1.25rem;\n         column-gap: 1.25rem;\n  }\n\n  .md\\:gap-x-6 {\n    -moz-column-gap: 1.5rem;\n         column-gap: 1.5rem;\n  }\n\n  .md\\:gap-x-7 {\n    -moz-column-gap: 1.75rem;\n         column-gap: 1.75rem;\n  }\n\n  .md\\:gap-x-8 {\n    -moz-column-gap: 2rem;\n         column-gap: 2rem;\n  }\n\n  .md\\:gap-x-9 {\n    -moz-column-gap: 2.25rem;\n         column-gap: 2.25rem;\n  }\n\n  .md\\:gap-x-10 {\n    -moz-column-gap: 2.5rem;\n         column-gap: 2.5rem;\n  }\n\n  .md\\:gap-x-11 {\n    -moz-column-gap: 2.75rem;\n         column-gap: 2.75rem;\n  }\n\n  .md\\:gap-x-12 {\n    -moz-column-gap: 3rem;\n         column-gap: 3rem;\n  }\n\n  .md\\:gap-x-14 {\n    -moz-column-gap: 3.5rem;\n         column-gap: 3.5rem;\n  }\n\n  .md\\:gap-x-16 {\n    -moz-column-gap: 4rem;\n         column-gap: 4rem;\n  }\n\n  .md\\:gap-x-20 {\n    -moz-column-gap: 5rem;\n         column-gap: 5rem;\n  }\n\n  .md\\:gap-x-24 {\n    -moz-column-gap: 6rem;\n         column-gap: 6rem;\n  }\n\n  .md\\:gap-x-28 {\n    -moz-column-gap: 7rem;\n         column-gap: 7rem;\n  }\n\n  .md\\:gap-x-32 {\n    -moz-column-gap: 8rem;\n         column-gap: 8rem;\n  }\n\n  .md\\:gap-x-36 {\n    -moz-column-gap: 9rem;\n         column-gap: 9rem;\n  }\n\n  .md\\:gap-x-40 {\n    -moz-column-gap: 10rem;\n         column-gap: 10rem;\n  }\n\n  .md\\:gap-x-44 {\n    -moz-column-gap: 11rem;\n         column-gap: 11rem;\n  }\n\n  .md\\:gap-x-48 {\n    -moz-column-gap: 12rem;\n         column-gap: 12rem;\n  }\n\n  .md\\:gap-x-52 {\n    -moz-column-gap: 13rem;\n         column-gap: 13rem;\n  }\n\n  .md\\:gap-x-56 {\n    -moz-column-gap: 14rem;\n         column-gap: 14rem;\n  }\n\n  .md\\:gap-x-60 {\n    -moz-column-gap: 15rem;\n         column-gap: 15rem;\n  }\n\n  .md\\:gap-x-64 {\n    -moz-column-gap: 16rem;\n         column-gap: 16rem;\n  }\n\n  .md\\:gap-x-72 {\n    -moz-column-gap: 18rem;\n         column-gap: 18rem;\n  }\n\n  .md\\:gap-x-80 {\n    -moz-column-gap: 20rem;\n         column-gap: 20rem;\n  }\n\n  .md\\:gap-x-96 {\n    -moz-column-gap: 24rem;\n         column-gap: 24rem;\n  }\n\n  .md\\:gap-x-px {\n    -moz-column-gap: 1px;\n         column-gap: 1px;\n  }\n\n  .md\\:gap-x-0\\.5 {\n    -moz-column-gap: 0.125rem;\n         column-gap: 0.125rem;\n  }\n\n  .md\\:gap-x-1\\.5 {\n    -moz-column-gap: 0.375rem;\n         column-gap: 0.375rem;\n  }\n\n  .md\\:gap-x-2\\.5 {\n    -moz-column-gap: 0.625rem;\n         column-gap: 0.625rem;\n  }\n\n  .md\\:gap-x-3\\.5 {\n    -moz-column-gap: 0.875rem;\n         column-gap: 0.875rem;\n  }\n\n  .md\\:gap-y-0 {\n    row-gap: 0px;\n  }\n\n  .md\\:gap-y-1 {\n    row-gap: 0.25rem;\n  }\n\n  .md\\:gap-y-2 {\n    row-gap: 0.5rem;\n  }\n\n  .md\\:gap-y-3 {\n    row-gap: 0.75rem;\n  }\n\n  .md\\:gap-y-4 {\n    row-gap: 1rem;\n  }\n\n  .md\\:gap-y-5 {\n    row-gap: 1.25rem;\n  }\n\n  .md\\:gap-y-6 {\n    row-gap: 1.5rem;\n  }\n\n  .md\\:gap-y-7 {\n    row-gap: 1.75rem;\n  }\n\n  .md\\:gap-y-8 {\n    row-gap: 2rem;\n  }\n\n  .md\\:gap-y-9 {\n    row-gap: 2.25rem;\n  }\n\n  .md\\:gap-y-10 {\n    row-gap: 2.5rem;\n  }\n\n  .md\\:gap-y-11 {\n    row-gap: 2.75rem;\n  }\n\n  .md\\:gap-y-12 {\n    row-gap: 3rem;\n  }\n\n  .md\\:gap-y-14 {\n    row-gap: 3.5rem;\n  }\n\n  .md\\:gap-y-16 {\n    row-gap: 4rem;\n  }\n\n  .md\\:gap-y-20 {\n    row-gap: 5rem;\n  }\n\n  .md\\:gap-y-24 {\n    row-gap: 6rem;\n  }\n\n  .md\\:gap-y-28 {\n    row-gap: 7rem;\n  }\n\n  .md\\:gap-y-32 {\n    row-gap: 8rem;\n  }\n\n  .md\\:gap-y-36 {\n    row-gap: 9rem;\n  }\n\n  .md\\:gap-y-40 {\n    row-gap: 10rem;\n  }\n\n  .md\\:gap-y-44 {\n    row-gap: 11rem;\n  }\n\n  .md\\:gap-y-48 {\n    row-gap: 12rem;\n  }\n\n  .md\\:gap-y-52 {\n    row-gap: 13rem;\n  }\n\n  .md\\:gap-y-56 {\n    row-gap: 14rem;\n  }\n\n  .md\\:gap-y-60 {\n    row-gap: 15rem;\n  }\n\n  .md\\:gap-y-64 {\n    row-gap: 16rem;\n  }\n\n  .md\\:gap-y-72 {\n    row-gap: 18rem;\n  }\n\n  .md\\:gap-y-80 {\n    row-gap: 20rem;\n  }\n\n  .md\\:gap-y-96 {\n    row-gap: 24rem;\n  }\n\n  .md\\:gap-y-px {\n    row-gap: 1px;\n  }\n\n  .md\\:gap-y-0\\.5 {\n    row-gap: 0.125rem;\n  }\n\n  .md\\:gap-y-1\\.5 {\n    row-gap: 0.375rem;\n  }\n\n  .md\\:gap-y-2\\.5 {\n    row-gap: 0.625rem;\n  }\n\n  .md\\:gap-y-3\\.5 {\n    row-gap: 0.875rem;\n  }\n\n  .md\\:space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1rem * var(--tw-space-x-reverse));\n    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2rem * var(--tw-space-x-reverse));\n    margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3rem * var(--tw-space-x-reverse));\n    margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(4rem * var(--tw-space-x-reverse));\n    margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(5rem * var(--tw-space-x-reverse));\n    margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(6rem * var(--tw-space-x-reverse));\n    margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(7rem * var(--tw-space-x-reverse));\n    margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(8rem * var(--tw-space-x-reverse));\n    margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(9rem * var(--tw-space-x-reverse));\n    margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(10rem * var(--tw-space-x-reverse));\n    margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(11rem * var(--tw-space-x-reverse));\n    margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(12rem * var(--tw-space-x-reverse));\n    margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(13rem * var(--tw-space-x-reverse));\n    margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(14rem * var(--tw-space-x-reverse));\n    margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(15rem * var(--tw-space-x-reverse));\n    margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(16rem * var(--tw-space-x-reverse));\n    margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(18rem * var(--tw-space-x-reverse));\n    margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(20rem * var(--tw-space-x-reverse));\n    margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(24rem * var(--tw-space-x-reverse));\n    margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1px * var(--tw-space-x-reverse));\n    margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-4rem * var(--tw-space-x-reverse));\n    margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-6rem * var(--tw-space-x-reverse));\n    margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-7rem * var(--tw-space-x-reverse));\n    margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-8rem * var(--tw-space-x-reverse));\n    margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-9rem * var(--tw-space-x-reverse));\n    margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-10rem * var(--tw-space-x-reverse));\n    margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-11rem * var(--tw-space-x-reverse));\n    margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-12rem * var(--tw-space-x-reverse));\n    margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-13rem * var(--tw-space-x-reverse));\n    margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-14rem * var(--tw-space-x-reverse));\n    margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-15rem * var(--tw-space-x-reverse));\n    margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-16rem * var(--tw-space-x-reverse));\n    margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-18rem * var(--tw-space-x-reverse));\n    margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-20rem * var(--tw-space-x-reverse));\n    margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-24rem * var(--tw-space-x-reverse));\n    margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1px * var(--tw-space-x-reverse));\n    margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .md\\:space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1px * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .md\\:space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 1;\n  }\n\n  .md\\:space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 1;\n  }\n\n  .md\\:divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(0px * var(--tw-divide-x-reverse));\n    border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .md\\:divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(2px * var(--tw-divide-x-reverse));\n    border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .md\\:divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(4px * var(--tw-divide-x-reverse));\n    border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .md\\:divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(8px * var(--tw-divide-x-reverse));\n    border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .md\\:divide-x > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(1px * var(--tw-divide-x-reverse));\n    border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .md\\:divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n  }\n\n  .md\\:divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n  }\n\n  .md\\:divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n  }\n\n  .md\\:divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n  }\n\n  .md\\:divide-y > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n  }\n\n  .md\\:divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 1;\n  }\n\n  .md\\:divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 1;\n  }\n\n  .md\\:divide-solid > :not([hidden]) ~ :not([hidden]) {\n    border-style: solid;\n  }\n\n  .md\\:divide-dashed > :not([hidden]) ~ :not([hidden]) {\n    border-style: dashed;\n  }\n\n  .md\\:divide-dotted > :not([hidden]) ~ :not([hidden]) {\n    border-style: dotted;\n  }\n\n  .md\\:divide-double > :not([hidden]) ~ :not([hidden]) {\n    border-style: double;\n  }\n\n  .md\\:divide-none > :not([hidden]) ~ :not([hidden]) {\n    border-style: none;\n  }\n\n  .md\\:divide-transparent > :not([hidden]) ~ :not([hidden]) {\n    border-color: transparent;\n  }\n\n  .md\\:divide-current > :not([hidden]) ~ :not([hidden]) {\n    border-color: currentColor;\n  }\n\n  .md\\:divide-black > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-white > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n  }\n\n  .md\\:divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0;\n  }\n\n  .md\\:divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.05;\n  }\n\n  .md\\:divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.1;\n  }\n\n  .md\\:divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.2;\n  }\n\n  .md\\:divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.25;\n  }\n\n  .md\\:divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.3;\n  }\n\n  .md\\:divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.4;\n  }\n\n  .md\\:divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.5;\n  }\n\n  .md\\:divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.6;\n  }\n\n  .md\\:divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.7;\n  }\n\n  .md\\:divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.75;\n  }\n\n  .md\\:divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.8;\n  }\n\n  .md\\:divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.9;\n  }\n\n  .md\\:divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.95;\n  }\n\n  .md\\:divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n  }\n\n  .md\\:place-self-auto {\n    place-self: auto;\n  }\n\n  .md\\:place-self-start {\n    place-self: start;\n  }\n\n  .md\\:place-self-end {\n    place-self: end;\n  }\n\n  .md\\:place-self-center {\n    place-self: center;\n  }\n\n  .md\\:place-self-stretch {\n    place-self: stretch;\n  }\n\n  .md\\:self-auto {\n    align-self: auto;\n  }\n\n  .md\\:self-start {\n    align-self: flex-start;\n  }\n\n  .md\\:self-end {\n    align-self: flex-end;\n  }\n\n  .md\\:self-center {\n    align-self: center;\n  }\n\n  .md\\:self-stretch {\n    align-self: stretch;\n  }\n\n  .md\\:self-baseline {\n    align-self: baseline;\n  }\n\n  .md\\:justify-self-auto {\n    justify-self: auto;\n  }\n\n  .md\\:justify-self-start {\n    justify-self: start;\n  }\n\n  .md\\:justify-self-end {\n    justify-self: end;\n  }\n\n  .md\\:justify-self-center {\n    justify-self: center;\n  }\n\n  .md\\:justify-self-stretch {\n    justify-self: stretch;\n  }\n\n  .md\\:overflow-auto {\n    overflow: auto;\n  }\n\n  .md\\:overflow-hidden {\n    overflow: hidden;\n  }\n\n  .md\\:overflow-visible {\n    overflow: visible;\n  }\n\n  .md\\:overflow-scroll {\n    overflow: scroll;\n  }\n\n  .md\\:overflow-x-auto {\n    overflow-x: auto;\n  }\n\n  .md\\:overflow-y-auto {\n    overflow-y: auto;\n  }\n\n  .md\\:overflow-x-hidden {\n    overflow-x: hidden;\n  }\n\n  .md\\:overflow-y-hidden {\n    overflow-y: hidden;\n  }\n\n  .md\\:overflow-x-visible {\n    overflow-x: visible;\n  }\n\n  .md\\:overflow-y-visible {\n    overflow-y: visible;\n  }\n\n  .md\\:overflow-x-scroll {\n    overflow-x: scroll;\n  }\n\n  .md\\:overflow-y-scroll {\n    overflow-y: scroll;\n  }\n\n  .md\\:overscroll-auto {\n    overscroll-behavior: auto;\n  }\n\n  .md\\:overscroll-contain {\n    overscroll-behavior: contain;\n  }\n\n  .md\\:overscroll-none {\n    overscroll-behavior: none;\n  }\n\n  .md\\:overscroll-y-auto {\n    overscroll-behavior-y: auto;\n  }\n\n  .md\\:overscroll-y-contain {\n    overscroll-behavior-y: contain;\n  }\n\n  .md\\:overscroll-y-none {\n    overscroll-behavior-y: none;\n  }\n\n  .md\\:overscroll-x-auto {\n    overscroll-behavior-x: auto;\n  }\n\n  .md\\:overscroll-x-contain {\n    overscroll-behavior-x: contain;\n  }\n\n  .md\\:overscroll-x-none {\n    overscroll-behavior-x: none;\n  }\n\n  .md\\:truncate {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .md\\:overflow-ellipsis {\n    text-overflow: ellipsis;\n  }\n\n  .md\\:overflow-clip {\n    text-overflow: clip;\n  }\n\n  .md\\:whitespace-normal {\n    white-space: normal;\n  }\n\n  .md\\:whitespace-nowrap {\n    white-space: nowrap;\n  }\n\n  .md\\:whitespace-pre {\n    white-space: pre;\n  }\n\n  .md\\:whitespace-pre-line {\n    white-space: pre-line;\n  }\n\n  .md\\:whitespace-pre-wrap {\n    white-space: pre-wrap;\n  }\n\n  .md\\:break-normal {\n    overflow-wrap: normal;\n    word-break: normal;\n  }\n\n  .md\\:break-words {\n    overflow-wrap: break-word;\n  }\n\n  .md\\:break-all {\n    word-break: break-all;\n  }\n\n  .md\\:rounded-none {\n    border-radius: 0px;\n  }\n\n  .md\\:rounded-sm {\n    border-radius: 0.125rem;\n  }\n\n  .md\\:rounded {\n    border-radius: 0.25rem;\n  }\n\n  .md\\:rounded-md {\n    border-radius: 0.375rem;\n  }\n\n  .md\\:rounded-lg {\n    border-radius: 0.5rem;\n  }\n\n  .md\\:rounded-xl {\n    border-radius: 0.75rem;\n  }\n\n  .md\\:rounded-2xl {\n    border-radius: 1rem;\n  }\n\n  .md\\:rounded-3xl {\n    border-radius: 1.5rem;\n  }\n\n  .md\\:rounded-full {\n    border-radius: 9999px;\n  }\n\n  .md\\:rounded-t-none {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n  }\n\n  .md\\:rounded-t-sm {\n    border-top-left-radius: 0.125rem;\n    border-top-right-radius: 0.125rem;\n  }\n\n  .md\\:rounded-t {\n    border-top-left-radius: 0.25rem;\n    border-top-right-radius: 0.25rem;\n  }\n\n  .md\\:rounded-t-md {\n    border-top-left-radius: 0.375rem;\n    border-top-right-radius: 0.375rem;\n  }\n\n  .md\\:rounded-t-lg {\n    border-top-left-radius: 0.5rem;\n    border-top-right-radius: 0.5rem;\n  }\n\n  .md\\:rounded-t-xl {\n    border-top-left-radius: 0.75rem;\n    border-top-right-radius: 0.75rem;\n  }\n\n  .md\\:rounded-t-2xl {\n    border-top-left-radius: 1rem;\n    border-top-right-radius: 1rem;\n  }\n\n  .md\\:rounded-t-3xl {\n    border-top-left-radius: 1.5rem;\n    border-top-right-radius: 1.5rem;\n  }\n\n  .md\\:rounded-t-full {\n    border-top-left-radius: 9999px;\n    border-top-right-radius: 9999px;\n  }\n\n  .md\\:rounded-r-none {\n    border-top-right-radius: 0px;\n    border-bottom-right-radius: 0px;\n  }\n\n  .md\\:rounded-r-sm {\n    border-top-right-radius: 0.125rem;\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .md\\:rounded-r {\n    border-top-right-radius: 0.25rem;\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .md\\:rounded-r-md {\n    border-top-right-radius: 0.375rem;\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .md\\:rounded-r-lg {\n    border-top-right-radius: 0.5rem;\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .md\\:rounded-r-xl {\n    border-top-right-radius: 0.75rem;\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .md\\:rounded-r-2xl {\n    border-top-right-radius: 1rem;\n    border-bottom-right-radius: 1rem;\n  }\n\n  .md\\:rounded-r-3xl {\n    border-top-right-radius: 1.5rem;\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .md\\:rounded-r-full {\n    border-top-right-radius: 9999px;\n    border-bottom-right-radius: 9999px;\n  }\n\n  .md\\:rounded-b-none {\n    border-bottom-right-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .md\\:rounded-b-sm {\n    border-bottom-right-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .md\\:rounded-b {\n    border-bottom-right-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .md\\:rounded-b-md {\n    border-bottom-right-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .md\\:rounded-b-lg {\n    border-bottom-right-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .md\\:rounded-b-xl {\n    border-bottom-right-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .md\\:rounded-b-2xl {\n    border-bottom-right-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .md\\:rounded-b-3xl {\n    border-bottom-right-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .md\\:rounded-b-full {\n    border-bottom-right-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .md\\:rounded-l-none {\n    border-top-left-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .md\\:rounded-l-sm {\n    border-top-left-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .md\\:rounded-l {\n    border-top-left-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .md\\:rounded-l-md {\n    border-top-left-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .md\\:rounded-l-lg {\n    border-top-left-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .md\\:rounded-l-xl {\n    border-top-left-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .md\\:rounded-l-2xl {\n    border-top-left-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .md\\:rounded-l-3xl {\n    border-top-left-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .md\\:rounded-l-full {\n    border-top-left-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .md\\:rounded-tl-none {\n    border-top-left-radius: 0px;\n  }\n\n  .md\\:rounded-tl-sm {\n    border-top-left-radius: 0.125rem;\n  }\n\n  .md\\:rounded-tl {\n    border-top-left-radius: 0.25rem;\n  }\n\n  .md\\:rounded-tl-md {\n    border-top-left-radius: 0.375rem;\n  }\n\n  .md\\:rounded-tl-lg {\n    border-top-left-radius: 0.5rem;\n  }\n\n  .md\\:rounded-tl-xl {\n    border-top-left-radius: 0.75rem;\n  }\n\n  .md\\:rounded-tl-2xl {\n    border-top-left-radius: 1rem;\n  }\n\n  .md\\:rounded-tl-3xl {\n    border-top-left-radius: 1.5rem;\n  }\n\n  .md\\:rounded-tl-full {\n    border-top-left-radius: 9999px;\n  }\n\n  .md\\:rounded-tr-none {\n    border-top-right-radius: 0px;\n  }\n\n  .md\\:rounded-tr-sm {\n    border-top-right-radius: 0.125rem;\n  }\n\n  .md\\:rounded-tr {\n    border-top-right-radius: 0.25rem;\n  }\n\n  .md\\:rounded-tr-md {\n    border-top-right-radius: 0.375rem;\n  }\n\n  .md\\:rounded-tr-lg {\n    border-top-right-radius: 0.5rem;\n  }\n\n  .md\\:rounded-tr-xl {\n    border-top-right-radius: 0.75rem;\n  }\n\n  .md\\:rounded-tr-2xl {\n    border-top-right-radius: 1rem;\n  }\n\n  .md\\:rounded-tr-3xl {\n    border-top-right-radius: 1.5rem;\n  }\n\n  .md\\:rounded-tr-full {\n    border-top-right-radius: 9999px;\n  }\n\n  .md\\:rounded-br-none {\n    border-bottom-right-radius: 0px;\n  }\n\n  .md\\:rounded-br-sm {\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .md\\:rounded-br {\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .md\\:rounded-br-md {\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .md\\:rounded-br-lg {\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .md\\:rounded-br-xl {\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .md\\:rounded-br-2xl {\n    border-bottom-right-radius: 1rem;\n  }\n\n  .md\\:rounded-br-3xl {\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .md\\:rounded-br-full {\n    border-bottom-right-radius: 9999px;\n  }\n\n  .md\\:rounded-bl-none {\n    border-bottom-left-radius: 0px;\n  }\n\n  .md\\:rounded-bl-sm {\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .md\\:rounded-bl {\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .md\\:rounded-bl-md {\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .md\\:rounded-bl-lg {\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .md\\:rounded-bl-xl {\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .md\\:rounded-bl-2xl {\n    border-bottom-left-radius: 1rem;\n  }\n\n  .md\\:rounded-bl-3xl {\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .md\\:rounded-bl-full {\n    border-bottom-left-radius: 9999px;\n  }\n\n  .md\\:border-0 {\n    border-width: 0px;\n  }\n\n  .md\\:border-2 {\n    border-width: 2px;\n  }\n\n  .md\\:border-4 {\n    border-width: 4px;\n  }\n\n  .md\\:border-8 {\n    border-width: 8px;\n  }\n\n  .md\\:border {\n    border-width: 1px;\n  }\n\n  .md\\:border-t-0 {\n    border-top-width: 0px;\n  }\n\n  .md\\:border-t-2 {\n    border-top-width: 2px;\n  }\n\n  .md\\:border-t-4 {\n    border-top-width: 4px;\n  }\n\n  .md\\:border-t-8 {\n    border-top-width: 8px;\n  }\n\n  .md\\:border-t {\n    border-top-width: 1px;\n  }\n\n  .md\\:border-r-0 {\n    border-right-width: 0px;\n  }\n\n  .md\\:border-r-2 {\n    border-right-width: 2px;\n  }\n\n  .md\\:border-r-4 {\n    border-right-width: 4px;\n  }\n\n  .md\\:border-r-8 {\n    border-right-width: 8px;\n  }\n\n  .md\\:border-r {\n    border-right-width: 1px;\n  }\n\n  .md\\:border-b-0 {\n    border-bottom-width: 0px;\n  }\n\n  .md\\:border-b-2 {\n    border-bottom-width: 2px;\n  }\n\n  .md\\:border-b-4 {\n    border-bottom-width: 4px;\n  }\n\n  .md\\:border-b-8 {\n    border-bottom-width: 8px;\n  }\n\n  .md\\:border-b {\n    border-bottom-width: 1px;\n  }\n\n  .md\\:border-l-0 {\n    border-left-width: 0px;\n  }\n\n  .md\\:border-l-2 {\n    border-left-width: 2px;\n  }\n\n  .md\\:border-l-4 {\n    border-left-width: 4px;\n  }\n\n  .md\\:border-l-8 {\n    border-left-width: 8px;\n  }\n\n  .md\\:border-l {\n    border-left-width: 1px;\n  }\n\n  .md\\:border-solid {\n    border-style: solid;\n  }\n\n  .md\\:border-dashed {\n    border-style: dashed;\n  }\n\n  .md\\:border-dotted {\n    border-style: dotted;\n  }\n\n  .md\\:border-double {\n    border-style: double;\n  }\n\n  .md\\:border-none {\n    border-style: none;\n  }\n\n  .md\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .md\\:border-current {\n    border-color: currentColor;\n  }\n\n  .md\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .md\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .md\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .md\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .md\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .md\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .md\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .md\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .md\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .md\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .group:hover .md\\:group-hover\\:border-current {\n    border-color: currentColor;\n  }\n\n  .group:hover .md\\:group-hover\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-transparent:focus-within {\n    border-color: transparent;\n  }\n\n  .md\\:focus-within\\:border-current:focus-within {\n    border-color: currentColor;\n  }\n\n  .md\\:focus-within\\:border-black:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-white:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-gray-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-red-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-yellow-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-green-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-blue-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-indigo-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-purple-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-pink-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-origin-protocol-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-origin-protocol-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-ousd-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-ousd-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-ousd-button-dark-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-ousd-button-dark-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-story-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-story-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-story-pink-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-story-pink-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .md\\:focus-within\\:border-footer-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-transparent:hover {\n    border-color: transparent;\n  }\n\n  .md\\:hover\\:border-current:hover {\n    border-color: currentColor;\n  }\n\n  .md\\:hover\\:border-black:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-white:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-gray-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-red-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-yellow-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-green-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-blue-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-indigo-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-purple-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-pink-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-origin-protocol-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-origin-protocol-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-ousd-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-ousd-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-ousd-button-dark-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-ousd-button-dark-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-story-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-story-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-story-pink-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-story-pink-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .md\\:hover\\:border-footer-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-transparent:focus {\n    border-color: transparent;\n  }\n\n  .md\\:focus\\:border-current:focus {\n    border-color: currentColor;\n  }\n\n  .md\\:focus\\:border-black:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-white:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-gray-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-red-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-yellow-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-green-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-blue-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-indigo-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-purple-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-pink-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-origin-protocol-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-origin-protocol-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-ousd-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-ousd-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-ousd-button-dark-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-ousd-button-dark-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-story-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-story-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-story-pink-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-story-pink-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .md\\:focus\\:border-footer-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .md\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .md\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .md\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .md\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .md\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .md\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .md\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .md\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .md\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .md\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .md\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .md\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .md\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .md\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .md\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .group:hover .md\\:group-hover\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .md\\:focus-within\\:border-opacity-0:focus-within {\n    --tw-border-opacity: 0;\n  }\n\n  .md\\:focus-within\\:border-opacity-5:focus-within {\n    --tw-border-opacity: 0.05;\n  }\n\n  .md\\:focus-within\\:border-opacity-10:focus-within {\n    --tw-border-opacity: 0.1;\n  }\n\n  .md\\:focus-within\\:border-opacity-20:focus-within {\n    --tw-border-opacity: 0.2;\n  }\n\n  .md\\:focus-within\\:border-opacity-25:focus-within {\n    --tw-border-opacity: 0.25;\n  }\n\n  .md\\:focus-within\\:border-opacity-30:focus-within {\n    --tw-border-opacity: 0.3;\n  }\n\n  .md\\:focus-within\\:border-opacity-40:focus-within {\n    --tw-border-opacity: 0.4;\n  }\n\n  .md\\:focus-within\\:border-opacity-50:focus-within {\n    --tw-border-opacity: 0.5;\n  }\n\n  .md\\:focus-within\\:border-opacity-60:focus-within {\n    --tw-border-opacity: 0.6;\n  }\n\n  .md\\:focus-within\\:border-opacity-70:focus-within {\n    --tw-border-opacity: 0.7;\n  }\n\n  .md\\:focus-within\\:border-opacity-75:focus-within {\n    --tw-border-opacity: 0.75;\n  }\n\n  .md\\:focus-within\\:border-opacity-80:focus-within {\n    --tw-border-opacity: 0.8;\n  }\n\n  .md\\:focus-within\\:border-opacity-90:focus-within {\n    --tw-border-opacity: 0.9;\n  }\n\n  .md\\:focus-within\\:border-opacity-95:focus-within {\n    --tw-border-opacity: 0.95;\n  }\n\n  .md\\:focus-within\\:border-opacity-100:focus-within {\n    --tw-border-opacity: 1;\n  }\n\n  .md\\:hover\\:border-opacity-0:hover {\n    --tw-border-opacity: 0;\n  }\n\n  .md\\:hover\\:border-opacity-5:hover {\n    --tw-border-opacity: 0.05;\n  }\n\n  .md\\:hover\\:border-opacity-10:hover {\n    --tw-border-opacity: 0.1;\n  }\n\n  .md\\:hover\\:border-opacity-20:hover {\n    --tw-border-opacity: 0.2;\n  }\n\n  .md\\:hover\\:border-opacity-25:hover {\n    --tw-border-opacity: 0.25;\n  }\n\n  .md\\:hover\\:border-opacity-30:hover {\n    --tw-border-opacity: 0.3;\n  }\n\n  .md\\:hover\\:border-opacity-40:hover {\n    --tw-border-opacity: 0.4;\n  }\n\n  .md\\:hover\\:border-opacity-50:hover {\n    --tw-border-opacity: 0.5;\n  }\n\n  .md\\:hover\\:border-opacity-60:hover {\n    --tw-border-opacity: 0.6;\n  }\n\n  .md\\:hover\\:border-opacity-70:hover {\n    --tw-border-opacity: 0.7;\n  }\n\n  .md\\:hover\\:border-opacity-75:hover {\n    --tw-border-opacity: 0.75;\n  }\n\n  .md\\:hover\\:border-opacity-80:hover {\n    --tw-border-opacity: 0.8;\n  }\n\n  .md\\:hover\\:border-opacity-90:hover {\n    --tw-border-opacity: 0.9;\n  }\n\n  .md\\:hover\\:border-opacity-95:hover {\n    --tw-border-opacity: 0.95;\n  }\n\n  .md\\:hover\\:border-opacity-100:hover {\n    --tw-border-opacity: 1;\n  }\n\n  .md\\:focus\\:border-opacity-0:focus {\n    --tw-border-opacity: 0;\n  }\n\n  .md\\:focus\\:border-opacity-5:focus {\n    --tw-border-opacity: 0.05;\n  }\n\n  .md\\:focus\\:border-opacity-10:focus {\n    --tw-border-opacity: 0.1;\n  }\n\n  .md\\:focus\\:border-opacity-20:focus {\n    --tw-border-opacity: 0.2;\n  }\n\n  .md\\:focus\\:border-opacity-25:focus {\n    --tw-border-opacity: 0.25;\n  }\n\n  .md\\:focus\\:border-opacity-30:focus {\n    --tw-border-opacity: 0.3;\n  }\n\n  .md\\:focus\\:border-opacity-40:focus {\n    --tw-border-opacity: 0.4;\n  }\n\n  .md\\:focus\\:border-opacity-50:focus {\n    --tw-border-opacity: 0.5;\n  }\n\n  .md\\:focus\\:border-opacity-60:focus {\n    --tw-border-opacity: 0.6;\n  }\n\n  .md\\:focus\\:border-opacity-70:focus {\n    --tw-border-opacity: 0.7;\n  }\n\n  .md\\:focus\\:border-opacity-75:focus {\n    --tw-border-opacity: 0.75;\n  }\n\n  .md\\:focus\\:border-opacity-80:focus {\n    --tw-border-opacity: 0.8;\n  }\n\n  .md\\:focus\\:border-opacity-90:focus {\n    --tw-border-opacity: 0.9;\n  }\n\n  .md\\:focus\\:border-opacity-95:focus {\n    --tw-border-opacity: 0.95;\n  }\n\n  .md\\:focus\\:border-opacity-100:focus {\n    --tw-border-opacity: 1;\n  }\n\n  .md\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .md\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .md\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-transparent:focus-within {\n    background-color: transparent;\n  }\n\n  .md\\:focus-within\\:bg-current:focus-within {\n    background-color: currentColor;\n  }\n\n  .md\\:focus-within\\:bg-black:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-white:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-gray-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-red-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-yellow-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-green-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-blue-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-indigo-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-purple-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-pink-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-origin-protocol-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-origin-protocol-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-ousd-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-ousd-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-ousd-button-dark-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-ousd-button-dark-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-story-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-story-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-story-pink-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-story-pink-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus-within\\:bg-footer-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-transparent:hover {\n    background-color: transparent;\n  }\n\n  .md\\:hover\\:bg-current:hover {\n    background-color: currentColor;\n  }\n\n  .md\\:hover\\:bg-black:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-white:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-gray-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-red-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-yellow-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-green-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-blue-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-indigo-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-purple-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-pink-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-origin-protocol-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-origin-protocol-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-ousd-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-ousd-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-ousd-button-dark-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-ousd-button-dark-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-story-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-story-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-story-pink-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-story-pink-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .md\\:hover\\:bg-footer-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-transparent:focus {\n    background-color: transparent;\n  }\n\n  .md\\:focus\\:bg-current:focus {\n    background-color: currentColor;\n  }\n\n  .md\\:focus\\:bg-black:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-white:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-gray-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-red-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-yellow-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-green-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-blue-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-indigo-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-purple-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-pink-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-origin-protocol-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-origin-protocol-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-ousd-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-ousd-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-ousd-button-dark-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-ousd-button-dark-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-story-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-story-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-story-pink-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-story-pink-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .md\\:focus\\:bg-footer-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .md\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .md\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .md\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .md\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .md\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .md\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .md\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .md\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .md\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .md\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .md\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .md\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .md\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .md\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .md\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .group:hover .md\\:group-hover\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .md\\:focus-within\\:bg-opacity-0:focus-within {\n    --tw-bg-opacity: 0;\n  }\n\n  .md\\:focus-within\\:bg-opacity-5:focus-within {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .md\\:focus-within\\:bg-opacity-10:focus-within {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .md\\:focus-within\\:bg-opacity-20:focus-within {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .md\\:focus-within\\:bg-opacity-25:focus-within {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .md\\:focus-within\\:bg-opacity-30:focus-within {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .md\\:focus-within\\:bg-opacity-40:focus-within {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .md\\:focus-within\\:bg-opacity-50:focus-within {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .md\\:focus-within\\:bg-opacity-60:focus-within {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .md\\:focus-within\\:bg-opacity-70:focus-within {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .md\\:focus-within\\:bg-opacity-75:focus-within {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .md\\:focus-within\\:bg-opacity-80:focus-within {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .md\\:focus-within\\:bg-opacity-90:focus-within {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .md\\:focus-within\\:bg-opacity-95:focus-within {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .md\\:focus-within\\:bg-opacity-100:focus-within {\n    --tw-bg-opacity: 1;\n  }\n\n  .md\\:hover\\:bg-opacity-0:hover {\n    --tw-bg-opacity: 0;\n  }\n\n  .md\\:hover\\:bg-opacity-5:hover {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .md\\:hover\\:bg-opacity-10:hover {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .md\\:hover\\:bg-opacity-20:hover {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .md\\:hover\\:bg-opacity-25:hover {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .md\\:hover\\:bg-opacity-30:hover {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .md\\:hover\\:bg-opacity-40:hover {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .md\\:hover\\:bg-opacity-50:hover {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .md\\:hover\\:bg-opacity-60:hover {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .md\\:hover\\:bg-opacity-70:hover {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .md\\:hover\\:bg-opacity-75:hover {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .md\\:hover\\:bg-opacity-80:hover {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .md\\:hover\\:bg-opacity-90:hover {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .md\\:hover\\:bg-opacity-95:hover {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .md\\:hover\\:bg-opacity-100:hover {\n    --tw-bg-opacity: 1;\n  }\n\n  .md\\:focus\\:bg-opacity-0:focus {\n    --tw-bg-opacity: 0;\n  }\n\n  .md\\:focus\\:bg-opacity-5:focus {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .md\\:focus\\:bg-opacity-10:focus {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .md\\:focus\\:bg-opacity-20:focus {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .md\\:focus\\:bg-opacity-25:focus {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .md\\:focus\\:bg-opacity-30:focus {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .md\\:focus\\:bg-opacity-40:focus {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .md\\:focus\\:bg-opacity-50:focus {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .md\\:focus\\:bg-opacity-60:focus {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .md\\:focus\\:bg-opacity-70:focus {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .md\\:focus\\:bg-opacity-75:focus {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .md\\:focus\\:bg-opacity-80:focus {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .md\\:focus\\:bg-opacity-90:focus {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .md\\:focus\\:bg-opacity-95:focus {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .md\\:focus\\:bg-opacity-100:focus {\n    --tw-bg-opacity: 1;\n  }\n\n  .md\\:bg-none {\n    background-image: none;\n  }\n\n  .md\\:bg-gradient-to-t {\n    background-image: linear-gradient(to top, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-tr {\n    background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-r {\n    background-image: linear-gradient(to right, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-br {\n    background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-b {\n    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-bl {\n    background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-l {\n    background-image: linear-gradient(to left, var(--tw-gradient-stops));\n  }\n\n  .md\\:bg-gradient-to-tl {\n    background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n  }\n\n  .md\\:from-transparent {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:from-current {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:from-black {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:from-white {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:from-gray-50 {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:from-gray-100 {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:from-gray-200 {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:from-gray-300 {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:from-gray-400 {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:from-gray-500 {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:from-gray-600 {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:from-gray-700 {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:from-gray-800 {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:from-gray-900 {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:from-red-50 {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:from-red-100 {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:from-red-200 {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:from-red-300 {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:from-red-400 {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:from-red-500 {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:from-red-600 {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:from-red-700 {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:from-red-800 {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:from-red-900 {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:from-yellow-50 {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:from-yellow-100 {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:from-yellow-200 {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:from-yellow-300 {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:from-yellow-400 {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:from-yellow-500 {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:from-yellow-600 {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:from-yellow-700 {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:from-yellow-800 {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:from-yellow-900 {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:from-green-50 {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:from-green-100 {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:from-green-200 {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:from-green-300 {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:from-green-400 {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:from-green-500 {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:from-green-600 {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:from-green-700 {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:from-green-800 {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:from-green-900 {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:from-blue-50 {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:from-blue-100 {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:from-blue-200 {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:from-blue-300 {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:from-blue-400 {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:from-blue-500 {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:from-blue-600 {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:from-blue-700 {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:from-blue-800 {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:from-blue-900 {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:from-indigo-50 {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:from-indigo-100 {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:from-indigo-200 {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:from-indigo-300 {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:from-indigo-400 {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:from-indigo-500 {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:from-indigo-600 {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:from-indigo-700 {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:from-indigo-800 {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:from-indigo-900 {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:from-purple-50 {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:from-purple-100 {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:from-purple-200 {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:from-purple-300 {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:from-purple-400 {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:from-purple-500 {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:from-purple-600 {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:from-purple-700 {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:from-purple-800 {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:from-purple-900 {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:from-pink-50 {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:from-pink-100 {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:from-pink-200 {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:from-pink-300 {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:from-pink-400 {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:from-pink-500 {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:from-pink-600 {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:from-pink-700 {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:from-pink-800 {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:from-pink-900 {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:from-origin-protocol-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:from-origin-protocol-button-end {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:from-ousd-button-start {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:from-ousd-button-end {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:from-ousd-button-dark-start {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:from-ousd-button-dark-end {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:from-story-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:from-story-button-end {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:from-story-pink-start {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:from-story-pink-end {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:from-footer-end {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:hover\\:from-transparent:hover {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:hover\\:from-current:hover {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:hover\\:from-black:hover {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:hover\\:from-white:hover {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:hover\\:from-gray-50:hover {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:hover\\:from-gray-100:hover {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:hover\\:from-gray-200:hover {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:hover\\:from-gray-300:hover {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:hover\\:from-gray-400:hover {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:hover\\:from-gray-500:hover {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:hover\\:from-gray-600:hover {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:hover\\:from-gray-700:hover {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:hover\\:from-gray-800:hover {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:hover\\:from-gray-900:hover {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:hover\\:from-red-50:hover {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:hover\\:from-red-100:hover {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:hover\\:from-red-200:hover {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:hover\\:from-red-300:hover {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:hover\\:from-red-400:hover {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:hover\\:from-red-500:hover {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:hover\\:from-red-600:hover {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:hover\\:from-red-700:hover {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:hover\\:from-red-800:hover {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:hover\\:from-red-900:hover {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:hover\\:from-yellow-50:hover {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:hover\\:from-yellow-100:hover {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:hover\\:from-yellow-200:hover {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:hover\\:from-yellow-300:hover {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:hover\\:from-yellow-400:hover {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:hover\\:from-yellow-500:hover {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:hover\\:from-yellow-600:hover {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:hover\\:from-yellow-700:hover {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:hover\\:from-yellow-800:hover {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:hover\\:from-yellow-900:hover {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:hover\\:from-green-50:hover {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:hover\\:from-green-100:hover {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:hover\\:from-green-200:hover {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:hover\\:from-green-300:hover {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:hover\\:from-green-400:hover {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:hover\\:from-green-500:hover {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:hover\\:from-green-600:hover {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:hover\\:from-green-700:hover {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:hover\\:from-green-800:hover {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:hover\\:from-green-900:hover {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:hover\\:from-blue-50:hover {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:hover\\:from-blue-100:hover {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:hover\\:from-blue-200:hover {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:hover\\:from-blue-300:hover {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:hover\\:from-blue-400:hover {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:hover\\:from-blue-500:hover {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:hover\\:from-blue-600:hover {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:hover\\:from-blue-700:hover {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:hover\\:from-blue-800:hover {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:hover\\:from-blue-900:hover {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:hover\\:from-indigo-50:hover {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:hover\\:from-indigo-100:hover {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:hover\\:from-indigo-200:hover {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:hover\\:from-indigo-300:hover {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:hover\\:from-indigo-400:hover {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:hover\\:from-indigo-500:hover {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:hover\\:from-indigo-600:hover {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:hover\\:from-indigo-700:hover {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:hover\\:from-indigo-800:hover {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:hover\\:from-indigo-900:hover {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:hover\\:from-purple-50:hover {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:hover\\:from-purple-100:hover {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:hover\\:from-purple-200:hover {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:hover\\:from-purple-300:hover {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:hover\\:from-purple-400:hover {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:hover\\:from-purple-500:hover {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:hover\\:from-purple-600:hover {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:hover\\:from-purple-700:hover {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:hover\\:from-purple-800:hover {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:hover\\:from-purple-900:hover {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:hover\\:from-pink-50:hover {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:hover\\:from-pink-100:hover {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:hover\\:from-pink-200:hover {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:hover\\:from-pink-300:hover {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:hover\\:from-pink-400:hover {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:hover\\:from-pink-500:hover {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:hover\\:from-pink-600:hover {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:hover\\:from-pink-700:hover {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:hover\\:from-pink-800:hover {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:hover\\:from-pink-900:hover {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:hover\\:from-origin-protocol-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:hover\\:from-origin-protocol-button-end:hover {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:hover\\:from-ousd-button-start:hover {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:hover\\:from-ousd-button-end:hover {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:hover\\:from-ousd-button-dark-start:hover {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:hover\\:from-ousd-button-dark-end:hover {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:hover\\:from-story-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:hover\\:from-story-button-end:hover {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:hover\\:from-story-pink-start:hover {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:hover\\:from-story-pink-end:hover {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:hover\\:from-footer-end:hover {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:focus\\:from-transparent:focus {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:focus\\:from-current:focus {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:focus\\:from-black:focus {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:focus\\:from-white:focus {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:focus\\:from-gray-50:focus {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:focus\\:from-gray-100:focus {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:focus\\:from-gray-200:focus {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:focus\\:from-gray-300:focus {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:focus\\:from-gray-400:focus {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:focus\\:from-gray-500:focus {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:focus\\:from-gray-600:focus {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:focus\\:from-gray-700:focus {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:focus\\:from-gray-800:focus {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:focus\\:from-gray-900:focus {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:focus\\:from-red-50:focus {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:focus\\:from-red-100:focus {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:focus\\:from-red-200:focus {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:focus\\:from-red-300:focus {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:focus\\:from-red-400:focus {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:focus\\:from-red-500:focus {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:focus\\:from-red-600:focus {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:focus\\:from-red-700:focus {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:focus\\:from-red-800:focus {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:focus\\:from-red-900:focus {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:focus\\:from-yellow-50:focus {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:focus\\:from-yellow-100:focus {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:focus\\:from-yellow-200:focus {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:focus\\:from-yellow-300:focus {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:focus\\:from-yellow-400:focus {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:focus\\:from-yellow-500:focus {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:focus\\:from-yellow-600:focus {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:focus\\:from-yellow-700:focus {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:focus\\:from-yellow-800:focus {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:focus\\:from-yellow-900:focus {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:focus\\:from-green-50:focus {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:focus\\:from-green-100:focus {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:focus\\:from-green-200:focus {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:focus\\:from-green-300:focus {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:focus\\:from-green-400:focus {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:focus\\:from-green-500:focus {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:focus\\:from-green-600:focus {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:focus\\:from-green-700:focus {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:focus\\:from-green-800:focus {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:focus\\:from-green-900:focus {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:focus\\:from-blue-50:focus {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:focus\\:from-blue-100:focus {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:focus\\:from-blue-200:focus {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:focus\\:from-blue-300:focus {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:focus\\:from-blue-400:focus {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:focus\\:from-blue-500:focus {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:focus\\:from-blue-600:focus {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:focus\\:from-blue-700:focus {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:focus\\:from-blue-800:focus {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:focus\\:from-blue-900:focus {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:focus\\:from-indigo-50:focus {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:focus\\:from-indigo-100:focus {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:focus\\:from-indigo-200:focus {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:focus\\:from-indigo-300:focus {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:focus\\:from-indigo-400:focus {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:focus\\:from-indigo-500:focus {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:focus\\:from-indigo-600:focus {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:focus\\:from-indigo-700:focus {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:focus\\:from-indigo-800:focus {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:focus\\:from-indigo-900:focus {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:focus\\:from-purple-50:focus {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:focus\\:from-purple-100:focus {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:focus\\:from-purple-200:focus {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:focus\\:from-purple-300:focus {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:focus\\:from-purple-400:focus {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:focus\\:from-purple-500:focus {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:focus\\:from-purple-600:focus {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:focus\\:from-purple-700:focus {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:focus\\:from-purple-800:focus {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:focus\\:from-purple-900:focus {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:focus\\:from-pink-50:focus {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:focus\\:from-pink-100:focus {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:focus\\:from-pink-200:focus {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:focus\\:from-pink-300:focus {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:focus\\:from-pink-400:focus {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:focus\\:from-pink-500:focus {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:focus\\:from-pink-600:focus {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:focus\\:from-pink-700:focus {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:focus\\:from-pink-800:focus {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:focus\\:from-pink-900:focus {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:focus\\:from-origin-protocol-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:focus\\:from-origin-protocol-button-end:focus {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:focus\\:from-ousd-button-start:focus {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:focus\\:from-ousd-button-end:focus {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:focus\\:from-ousd-button-dark-start:focus {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:focus\\:from-ousd-button-dark-end:focus {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:focus\\:from-story-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:focus\\:from-story-button-end:focus {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:focus\\:from-story-pink-start:focus {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:focus\\:from-story-pink-end:focus {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:focus\\:from-footer-end:focus {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:via-transparent {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:via-current {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:via-black {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:via-white {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:via-gray-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:via-gray-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:via-gray-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:via-gray-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:via-gray-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:via-gray-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:via-gray-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:via-gray-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:via-gray-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:via-gray-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:via-red-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:via-red-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:via-red-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:via-red-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:via-red-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:via-red-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:via-red-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:via-red-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:via-red-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:via-red-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:via-yellow-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:via-yellow-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:via-yellow-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:via-yellow-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:via-yellow-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:via-yellow-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:via-yellow-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:via-yellow-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:via-yellow-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:via-yellow-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:via-green-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:via-green-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:via-green-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:via-green-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:via-green-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:via-green-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:via-green-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:via-green-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:via-green-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:via-green-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:via-blue-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:via-blue-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:via-blue-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:via-blue-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:via-blue-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:via-blue-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:via-blue-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:via-blue-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:via-blue-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:via-blue-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:via-indigo-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:via-indigo-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:via-indigo-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:via-indigo-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:via-indigo-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:via-indigo-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:via-indigo-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:via-indigo-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:via-indigo-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:via-indigo-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:via-purple-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:via-purple-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:via-purple-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:via-purple-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:via-purple-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:via-purple-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:via-purple-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:via-purple-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:via-purple-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:via-purple-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:via-pink-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:via-pink-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:via-pink-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:via-pink-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:via-pink-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:via-pink-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:via-pink-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:via-pink-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:via-pink-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:via-pink-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:via-origin-protocol-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:via-origin-protocol-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:via-ousd-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:via-ousd-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:via-ousd-button-dark-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:via-ousd-button-dark-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:via-story-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:via-story-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:via-story-pink-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:via-story-pink-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:via-footer-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:hover\\:via-transparent:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:hover\\:via-current:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:hover\\:via-black:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:hover\\:via-white:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:hover\\:via-gray-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:hover\\:via-gray-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:hover\\:via-gray-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:hover\\:via-gray-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:hover\\:via-gray-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:hover\\:via-gray-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:hover\\:via-gray-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:hover\\:via-gray-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:hover\\:via-gray-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:hover\\:via-gray-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:hover\\:via-red-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:hover\\:via-red-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:hover\\:via-red-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:hover\\:via-red-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:hover\\:via-red-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:hover\\:via-red-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:hover\\:via-red-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:hover\\:via-red-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:hover\\:via-red-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:hover\\:via-red-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:hover\\:via-yellow-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:hover\\:via-yellow-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:hover\\:via-yellow-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:hover\\:via-yellow-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:hover\\:via-yellow-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:hover\\:via-yellow-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:hover\\:via-yellow-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:hover\\:via-yellow-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:hover\\:via-yellow-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:hover\\:via-yellow-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:hover\\:via-green-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:hover\\:via-green-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:hover\\:via-green-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:hover\\:via-green-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:hover\\:via-green-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:hover\\:via-green-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:hover\\:via-green-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:hover\\:via-green-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:hover\\:via-green-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:hover\\:via-green-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:hover\\:via-blue-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:hover\\:via-blue-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:hover\\:via-blue-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:hover\\:via-blue-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:hover\\:via-blue-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:hover\\:via-blue-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:hover\\:via-blue-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:hover\\:via-blue-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:hover\\:via-blue-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:hover\\:via-blue-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:hover\\:via-indigo-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:hover\\:via-indigo-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:hover\\:via-indigo-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:hover\\:via-indigo-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:hover\\:via-indigo-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:hover\\:via-indigo-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:hover\\:via-indigo-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:hover\\:via-indigo-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:hover\\:via-indigo-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:hover\\:via-indigo-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:hover\\:via-purple-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:hover\\:via-purple-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:hover\\:via-purple-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:hover\\:via-purple-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:hover\\:via-purple-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:hover\\:via-purple-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:hover\\:via-purple-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:hover\\:via-purple-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:hover\\:via-purple-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:hover\\:via-purple-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:hover\\:via-pink-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:hover\\:via-pink-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:hover\\:via-pink-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:hover\\:via-pink-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:hover\\:via-pink-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:hover\\:via-pink-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:hover\\:via-pink-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:hover\\:via-pink-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:hover\\:via-pink-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:hover\\:via-pink-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:hover\\:via-origin-protocol-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:hover\\:via-origin-protocol-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:hover\\:via-ousd-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:hover\\:via-ousd-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:hover\\:via-ousd-button-dark-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:hover\\:via-ousd-button-dark-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:hover\\:via-story-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:hover\\:via-story-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:hover\\:via-story-pink-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:hover\\:via-story-pink-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:hover\\:via-footer-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:focus\\:via-transparent:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:focus\\:via-current:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:focus\\:via-black:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .md\\:focus\\:via-white:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .md\\:focus\\:via-gray-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .md\\:focus\\:via-gray-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .md\\:focus\\:via-gray-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .md\\:focus\\:via-gray-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .md\\:focus\\:via-gray-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .md\\:focus\\:via-gray-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .md\\:focus\\:via-gray-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .md\\:focus\\:via-gray-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .md\\:focus\\:via-gray-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .md\\:focus\\:via-gray-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .md\\:focus\\:via-red-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .md\\:focus\\:via-red-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .md\\:focus\\:via-red-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .md\\:focus\\:via-red-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .md\\:focus\\:via-red-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .md\\:focus\\:via-red-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .md\\:focus\\:via-red-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .md\\:focus\\:via-red-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .md\\:focus\\:via-red-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .md\\:focus\\:via-red-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .md\\:focus\\:via-yellow-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .md\\:focus\\:via-yellow-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .md\\:focus\\:via-yellow-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .md\\:focus\\:via-yellow-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .md\\:focus\\:via-yellow-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .md\\:focus\\:via-yellow-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .md\\:focus\\:via-yellow-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .md\\:focus\\:via-yellow-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .md\\:focus\\:via-yellow-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .md\\:focus\\:via-yellow-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .md\\:focus\\:via-green-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .md\\:focus\\:via-green-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .md\\:focus\\:via-green-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .md\\:focus\\:via-green-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .md\\:focus\\:via-green-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .md\\:focus\\:via-green-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .md\\:focus\\:via-green-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .md\\:focus\\:via-green-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .md\\:focus\\:via-green-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .md\\:focus\\:via-green-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .md\\:focus\\:via-blue-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .md\\:focus\\:via-blue-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .md\\:focus\\:via-blue-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .md\\:focus\\:via-blue-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .md\\:focus\\:via-blue-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .md\\:focus\\:via-blue-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .md\\:focus\\:via-blue-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .md\\:focus\\:via-blue-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .md\\:focus\\:via-blue-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .md\\:focus\\:via-blue-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .md\\:focus\\:via-indigo-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .md\\:focus\\:via-indigo-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .md\\:focus\\:via-indigo-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .md\\:focus\\:via-indigo-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .md\\:focus\\:via-indigo-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .md\\:focus\\:via-indigo-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .md\\:focus\\:via-indigo-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .md\\:focus\\:via-indigo-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .md\\:focus\\:via-indigo-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .md\\:focus\\:via-indigo-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .md\\:focus\\:via-purple-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .md\\:focus\\:via-purple-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .md\\:focus\\:via-purple-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .md\\:focus\\:via-purple-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .md\\:focus\\:via-purple-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .md\\:focus\\:via-purple-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .md\\:focus\\:via-purple-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .md\\:focus\\:via-purple-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .md\\:focus\\:via-purple-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .md\\:focus\\:via-purple-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .md\\:focus\\:via-pink-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .md\\:focus\\:via-pink-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .md\\:focus\\:via-pink-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .md\\:focus\\:via-pink-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .md\\:focus\\:via-pink-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .md\\:focus\\:via-pink-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .md\\:focus\\:via-pink-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .md\\:focus\\:via-pink-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .md\\:focus\\:via-pink-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .md\\:focus\\:via-pink-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .md\\:focus\\:via-origin-protocol-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:focus\\:via-origin-protocol-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .md\\:focus\\:via-ousd-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .md\\:focus\\:via-ousd-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .md\\:focus\\:via-ousd-button-dark-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .md\\:focus\\:via-ousd-button-dark-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .md\\:focus\\:via-story-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .md\\:focus\\:via-story-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .md\\:focus\\:via-story-pink-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .md\\:focus\\:via-story-pink-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .md\\:focus\\:via-footer-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .md\\:to-transparent {\n    --tw-gradient-to: transparent;\n  }\n\n  .md\\:to-current {\n    --tw-gradient-to: currentColor;\n  }\n\n  .md\\:to-black {\n    --tw-gradient-to: #000;\n  }\n\n  .md\\:to-white {\n    --tw-gradient-to: #fff;\n  }\n\n  .md\\:to-gray-50 {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .md\\:to-gray-100 {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .md\\:to-gray-200 {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .md\\:to-gray-300 {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .md\\:to-gray-400 {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .md\\:to-gray-500 {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .md\\:to-gray-600 {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .md\\:to-gray-700 {\n    --tw-gradient-to: #374151;\n  }\n\n  .md\\:to-gray-800 {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .md\\:to-gray-900 {\n    --tw-gradient-to: #111827;\n  }\n\n  .md\\:to-red-50 {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .md\\:to-red-100 {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .md\\:to-red-200 {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .md\\:to-red-300 {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .md\\:to-red-400 {\n    --tw-gradient-to: #f87171;\n  }\n\n  .md\\:to-red-500 {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .md\\:to-red-600 {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .md\\:to-red-700 {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .md\\:to-red-800 {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .md\\:to-red-900 {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .md\\:to-yellow-50 {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .md\\:to-yellow-100 {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .md\\:to-yellow-200 {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .md\\:to-yellow-300 {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .md\\:to-yellow-400 {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .md\\:to-yellow-500 {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .md\\:to-yellow-600 {\n    --tw-gradient-to: #d97706;\n  }\n\n  .md\\:to-yellow-700 {\n    --tw-gradient-to: #b45309;\n  }\n\n  .md\\:to-yellow-800 {\n    --tw-gradient-to: #92400e;\n  }\n\n  .md\\:to-yellow-900 {\n    --tw-gradient-to: #78350f;\n  }\n\n  .md\\:to-green-50 {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .md\\:to-green-100 {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .md\\:to-green-200 {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .md\\:to-green-300 {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .md\\:to-green-400 {\n    --tw-gradient-to: #34d399;\n  }\n\n  .md\\:to-green-500 {\n    --tw-gradient-to: #10b981;\n  }\n\n  .md\\:to-green-600 {\n    --tw-gradient-to: #059669;\n  }\n\n  .md\\:to-green-700 {\n    --tw-gradient-to: #047857;\n  }\n\n  .md\\:to-green-800 {\n    --tw-gradient-to: #065f46;\n  }\n\n  .md\\:to-green-900 {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .md\\:to-blue-50 {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .md\\:to-blue-100 {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .md\\:to-blue-200 {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .md\\:to-blue-300 {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .md\\:to-blue-400 {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .md\\:to-blue-500 {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .md\\:to-blue-600 {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .md\\:to-blue-700 {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .md\\:to-blue-800 {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .md\\:to-blue-900 {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .md\\:to-indigo-50 {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .md\\:to-indigo-100 {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .md\\:to-indigo-200 {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .md\\:to-indigo-300 {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .md\\:to-indigo-400 {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .md\\:to-indigo-500 {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .md\\:to-indigo-600 {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .md\\:to-indigo-700 {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .md\\:to-indigo-800 {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .md\\:to-indigo-900 {\n    --tw-gradient-to: #312e81;\n  }\n\n  .md\\:to-purple-50 {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .md\\:to-purple-100 {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .md\\:to-purple-200 {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .md\\:to-purple-300 {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .md\\:to-purple-400 {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .md\\:to-purple-500 {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .md\\:to-purple-600 {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .md\\:to-purple-700 {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .md\\:to-purple-800 {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .md\\:to-purple-900 {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .md\\:to-pink-50 {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .md\\:to-pink-100 {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .md\\:to-pink-200 {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .md\\:to-pink-300 {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .md\\:to-pink-400 {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .md\\:to-pink-500 {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .md\\:to-pink-600 {\n    --tw-gradient-to: #db2777;\n  }\n\n  .md\\:to-pink-700 {\n    --tw-gradient-to: #be185d;\n  }\n\n  .md\\:to-pink-800 {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .md\\:to-pink-900 {\n    --tw-gradient-to: #831843;\n  }\n\n  .md\\:to-origin-protocol-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:to-origin-protocol-button-end {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .md\\:to-ousd-button-start {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .md\\:to-ousd-button-end {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .md\\:to-ousd-button-dark-start {\n    --tw-gradient-to: #402154;\n  }\n\n  .md\\:to-ousd-button-dark-end {\n    --tw-gradient-to: #120046;\n  }\n\n  .md\\:to-story-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:to-story-button-end {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .md\\:to-story-pink-start {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .md\\:to-story-pink-end {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .md\\:to-footer-end {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .md\\:hover\\:to-transparent:hover {\n    --tw-gradient-to: transparent;\n  }\n\n  .md\\:hover\\:to-current:hover {\n    --tw-gradient-to: currentColor;\n  }\n\n  .md\\:hover\\:to-black:hover {\n    --tw-gradient-to: #000;\n  }\n\n  .md\\:hover\\:to-white:hover {\n    --tw-gradient-to: #fff;\n  }\n\n  .md\\:hover\\:to-gray-50:hover {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .md\\:hover\\:to-gray-100:hover {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .md\\:hover\\:to-gray-200:hover {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .md\\:hover\\:to-gray-300:hover {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .md\\:hover\\:to-gray-400:hover {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .md\\:hover\\:to-gray-500:hover {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .md\\:hover\\:to-gray-600:hover {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .md\\:hover\\:to-gray-700:hover {\n    --tw-gradient-to: #374151;\n  }\n\n  .md\\:hover\\:to-gray-800:hover {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .md\\:hover\\:to-gray-900:hover {\n    --tw-gradient-to: #111827;\n  }\n\n  .md\\:hover\\:to-red-50:hover {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .md\\:hover\\:to-red-100:hover {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .md\\:hover\\:to-red-200:hover {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .md\\:hover\\:to-red-300:hover {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .md\\:hover\\:to-red-400:hover {\n    --tw-gradient-to: #f87171;\n  }\n\n  .md\\:hover\\:to-red-500:hover {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .md\\:hover\\:to-red-600:hover {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .md\\:hover\\:to-red-700:hover {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .md\\:hover\\:to-red-800:hover {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .md\\:hover\\:to-red-900:hover {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .md\\:hover\\:to-yellow-50:hover {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .md\\:hover\\:to-yellow-100:hover {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .md\\:hover\\:to-yellow-200:hover {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .md\\:hover\\:to-yellow-300:hover {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .md\\:hover\\:to-yellow-400:hover {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .md\\:hover\\:to-yellow-500:hover {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .md\\:hover\\:to-yellow-600:hover {\n    --tw-gradient-to: #d97706;\n  }\n\n  .md\\:hover\\:to-yellow-700:hover {\n    --tw-gradient-to: #b45309;\n  }\n\n  .md\\:hover\\:to-yellow-800:hover {\n    --tw-gradient-to: #92400e;\n  }\n\n  .md\\:hover\\:to-yellow-900:hover {\n    --tw-gradient-to: #78350f;\n  }\n\n  .md\\:hover\\:to-green-50:hover {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .md\\:hover\\:to-green-100:hover {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .md\\:hover\\:to-green-200:hover {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .md\\:hover\\:to-green-300:hover {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .md\\:hover\\:to-green-400:hover {\n    --tw-gradient-to: #34d399;\n  }\n\n  .md\\:hover\\:to-green-500:hover {\n    --tw-gradient-to: #10b981;\n  }\n\n  .md\\:hover\\:to-green-600:hover {\n    --tw-gradient-to: #059669;\n  }\n\n  .md\\:hover\\:to-green-700:hover {\n    --tw-gradient-to: #047857;\n  }\n\n  .md\\:hover\\:to-green-800:hover {\n    --tw-gradient-to: #065f46;\n  }\n\n  .md\\:hover\\:to-green-900:hover {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .md\\:hover\\:to-blue-50:hover {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .md\\:hover\\:to-blue-100:hover {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .md\\:hover\\:to-blue-200:hover {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .md\\:hover\\:to-blue-300:hover {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .md\\:hover\\:to-blue-400:hover {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .md\\:hover\\:to-blue-500:hover {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .md\\:hover\\:to-blue-600:hover {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .md\\:hover\\:to-blue-700:hover {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .md\\:hover\\:to-blue-800:hover {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .md\\:hover\\:to-blue-900:hover {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .md\\:hover\\:to-indigo-50:hover {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .md\\:hover\\:to-indigo-100:hover {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .md\\:hover\\:to-indigo-200:hover {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .md\\:hover\\:to-indigo-300:hover {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .md\\:hover\\:to-indigo-400:hover {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .md\\:hover\\:to-indigo-500:hover {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .md\\:hover\\:to-indigo-600:hover {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .md\\:hover\\:to-indigo-700:hover {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .md\\:hover\\:to-indigo-800:hover {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .md\\:hover\\:to-indigo-900:hover {\n    --tw-gradient-to: #312e81;\n  }\n\n  .md\\:hover\\:to-purple-50:hover {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .md\\:hover\\:to-purple-100:hover {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .md\\:hover\\:to-purple-200:hover {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .md\\:hover\\:to-purple-300:hover {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .md\\:hover\\:to-purple-400:hover {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .md\\:hover\\:to-purple-500:hover {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .md\\:hover\\:to-purple-600:hover {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .md\\:hover\\:to-purple-700:hover {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .md\\:hover\\:to-purple-800:hover {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .md\\:hover\\:to-purple-900:hover {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .md\\:hover\\:to-pink-50:hover {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .md\\:hover\\:to-pink-100:hover {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .md\\:hover\\:to-pink-200:hover {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .md\\:hover\\:to-pink-300:hover {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .md\\:hover\\:to-pink-400:hover {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .md\\:hover\\:to-pink-500:hover {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .md\\:hover\\:to-pink-600:hover {\n    --tw-gradient-to: #db2777;\n  }\n\n  .md\\:hover\\:to-pink-700:hover {\n    --tw-gradient-to: #be185d;\n  }\n\n  .md\\:hover\\:to-pink-800:hover {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .md\\:hover\\:to-pink-900:hover {\n    --tw-gradient-to: #831843;\n  }\n\n  .md\\:hover\\:to-origin-protocol-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:hover\\:to-origin-protocol-button-end:hover {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .md\\:hover\\:to-ousd-button-start:hover {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .md\\:hover\\:to-ousd-button-end:hover {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .md\\:hover\\:to-ousd-button-dark-start:hover {\n    --tw-gradient-to: #402154;\n  }\n\n  .md\\:hover\\:to-ousd-button-dark-end:hover {\n    --tw-gradient-to: #120046;\n  }\n\n  .md\\:hover\\:to-story-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:hover\\:to-story-button-end:hover {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .md\\:hover\\:to-story-pink-start:hover {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .md\\:hover\\:to-story-pink-end:hover {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .md\\:hover\\:to-footer-end:hover {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .md\\:focus\\:to-transparent:focus {\n    --tw-gradient-to: transparent;\n  }\n\n  .md\\:focus\\:to-current:focus {\n    --tw-gradient-to: currentColor;\n  }\n\n  .md\\:focus\\:to-black:focus {\n    --tw-gradient-to: #000;\n  }\n\n  .md\\:focus\\:to-white:focus {\n    --tw-gradient-to: #fff;\n  }\n\n  .md\\:focus\\:to-gray-50:focus {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .md\\:focus\\:to-gray-100:focus {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .md\\:focus\\:to-gray-200:focus {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .md\\:focus\\:to-gray-300:focus {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .md\\:focus\\:to-gray-400:focus {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .md\\:focus\\:to-gray-500:focus {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .md\\:focus\\:to-gray-600:focus {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .md\\:focus\\:to-gray-700:focus {\n    --tw-gradient-to: #374151;\n  }\n\n  .md\\:focus\\:to-gray-800:focus {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .md\\:focus\\:to-gray-900:focus {\n    --tw-gradient-to: #111827;\n  }\n\n  .md\\:focus\\:to-red-50:focus {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .md\\:focus\\:to-red-100:focus {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .md\\:focus\\:to-red-200:focus {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .md\\:focus\\:to-red-300:focus {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .md\\:focus\\:to-red-400:focus {\n    --tw-gradient-to: #f87171;\n  }\n\n  .md\\:focus\\:to-red-500:focus {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .md\\:focus\\:to-red-600:focus {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .md\\:focus\\:to-red-700:focus {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .md\\:focus\\:to-red-800:focus {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .md\\:focus\\:to-red-900:focus {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .md\\:focus\\:to-yellow-50:focus {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .md\\:focus\\:to-yellow-100:focus {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .md\\:focus\\:to-yellow-200:focus {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .md\\:focus\\:to-yellow-300:focus {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .md\\:focus\\:to-yellow-400:focus {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .md\\:focus\\:to-yellow-500:focus {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .md\\:focus\\:to-yellow-600:focus {\n    --tw-gradient-to: #d97706;\n  }\n\n  .md\\:focus\\:to-yellow-700:focus {\n    --tw-gradient-to: #b45309;\n  }\n\n  .md\\:focus\\:to-yellow-800:focus {\n    --tw-gradient-to: #92400e;\n  }\n\n  .md\\:focus\\:to-yellow-900:focus {\n    --tw-gradient-to: #78350f;\n  }\n\n  .md\\:focus\\:to-green-50:focus {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .md\\:focus\\:to-green-100:focus {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .md\\:focus\\:to-green-200:focus {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .md\\:focus\\:to-green-300:focus {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .md\\:focus\\:to-green-400:focus {\n    --tw-gradient-to: #34d399;\n  }\n\n  .md\\:focus\\:to-green-500:focus {\n    --tw-gradient-to: #10b981;\n  }\n\n  .md\\:focus\\:to-green-600:focus {\n    --tw-gradient-to: #059669;\n  }\n\n  .md\\:focus\\:to-green-700:focus {\n    --tw-gradient-to: #047857;\n  }\n\n  .md\\:focus\\:to-green-800:focus {\n    --tw-gradient-to: #065f46;\n  }\n\n  .md\\:focus\\:to-green-900:focus {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .md\\:focus\\:to-blue-50:focus {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .md\\:focus\\:to-blue-100:focus {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .md\\:focus\\:to-blue-200:focus {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .md\\:focus\\:to-blue-300:focus {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .md\\:focus\\:to-blue-400:focus {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .md\\:focus\\:to-blue-500:focus {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .md\\:focus\\:to-blue-600:focus {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .md\\:focus\\:to-blue-700:focus {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .md\\:focus\\:to-blue-800:focus {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .md\\:focus\\:to-blue-900:focus {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .md\\:focus\\:to-indigo-50:focus {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .md\\:focus\\:to-indigo-100:focus {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .md\\:focus\\:to-indigo-200:focus {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .md\\:focus\\:to-indigo-300:focus {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .md\\:focus\\:to-indigo-400:focus {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .md\\:focus\\:to-indigo-500:focus {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .md\\:focus\\:to-indigo-600:focus {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .md\\:focus\\:to-indigo-700:focus {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .md\\:focus\\:to-indigo-800:focus {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .md\\:focus\\:to-indigo-900:focus {\n    --tw-gradient-to: #312e81;\n  }\n\n  .md\\:focus\\:to-purple-50:focus {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .md\\:focus\\:to-purple-100:focus {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .md\\:focus\\:to-purple-200:focus {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .md\\:focus\\:to-purple-300:focus {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .md\\:focus\\:to-purple-400:focus {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .md\\:focus\\:to-purple-500:focus {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .md\\:focus\\:to-purple-600:focus {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .md\\:focus\\:to-purple-700:focus {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .md\\:focus\\:to-purple-800:focus {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .md\\:focus\\:to-purple-900:focus {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .md\\:focus\\:to-pink-50:focus {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .md\\:focus\\:to-pink-100:focus {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .md\\:focus\\:to-pink-200:focus {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .md\\:focus\\:to-pink-300:focus {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .md\\:focus\\:to-pink-400:focus {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .md\\:focus\\:to-pink-500:focus {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .md\\:focus\\:to-pink-600:focus {\n    --tw-gradient-to: #db2777;\n  }\n\n  .md\\:focus\\:to-pink-700:focus {\n    --tw-gradient-to: #be185d;\n  }\n\n  .md\\:focus\\:to-pink-800:focus {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .md\\:focus\\:to-pink-900:focus {\n    --tw-gradient-to: #831843;\n  }\n\n  .md\\:focus\\:to-origin-protocol-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:focus\\:to-origin-protocol-button-end:focus {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .md\\:focus\\:to-ousd-button-start:focus {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .md\\:focus\\:to-ousd-button-end:focus {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .md\\:focus\\:to-ousd-button-dark-start:focus {\n    --tw-gradient-to: #402154;\n  }\n\n  .md\\:focus\\:to-ousd-button-dark-end:focus {\n    --tw-gradient-to: #120046;\n  }\n\n  .md\\:focus\\:to-story-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .md\\:focus\\:to-story-button-end:focus {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .md\\:focus\\:to-story-pink-start:focus {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .md\\:focus\\:to-story-pink-end:focus {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .md\\:focus\\:to-footer-end:focus {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .md\\:decoration-slice {\n    -webkit-box-decoration-break: slice;\n            box-decoration-break: slice;\n  }\n\n  .md\\:decoration-clone {\n    -webkit-box-decoration-break: clone;\n            box-decoration-break: clone;\n  }\n\n  .md\\:bg-auto {\n    background-size: auto;\n  }\n\n  .md\\:bg-cover {\n    background-size: cover;\n  }\n\n  .md\\:bg-contain {\n    background-size: contain;\n  }\n\n  .md\\:bg-fixed {\n    background-attachment: fixed;\n  }\n\n  .md\\:bg-local {\n    background-attachment: local;\n  }\n\n  .md\\:bg-scroll {\n    background-attachment: scroll;\n  }\n\n  .md\\:bg-clip-border {\n    background-clip: border-box;\n  }\n\n  .md\\:bg-clip-padding {\n    background-clip: padding-box;\n  }\n\n  .md\\:bg-clip-content {\n    background-clip: content-box;\n  }\n\n  .md\\:bg-clip-text {\n    -webkit-background-clip: text;\n            background-clip: text;\n  }\n\n  .md\\:bg-bottom {\n    background-position: bottom;\n  }\n\n  .md\\:bg-center {\n    background-position: center;\n  }\n\n  .md\\:bg-left {\n    background-position: left;\n  }\n\n  .md\\:bg-left-bottom {\n    background-position: left bottom;\n  }\n\n  .md\\:bg-left-top {\n    background-position: left top;\n  }\n\n  .md\\:bg-right {\n    background-position: right;\n  }\n\n  .md\\:bg-right-bottom {\n    background-position: right bottom;\n  }\n\n  .md\\:bg-right-top {\n    background-position: right top;\n  }\n\n  .md\\:bg-top {\n    background-position: top;\n  }\n\n  .md\\:bg-repeat {\n    background-repeat: repeat;\n  }\n\n  .md\\:bg-no-repeat {\n    background-repeat: no-repeat;\n  }\n\n  .md\\:bg-repeat-x {\n    background-repeat: repeat-x;\n  }\n\n  .md\\:bg-repeat-y {\n    background-repeat: repeat-y;\n  }\n\n  .md\\:bg-repeat-round {\n    background-repeat: round;\n  }\n\n  .md\\:bg-repeat-space {\n    background-repeat: space;\n  }\n\n  .md\\:bg-origin-border {\n    background-origin: border-box;\n  }\n\n  .md\\:bg-origin-padding {\n    background-origin: padding-box;\n  }\n\n  .md\\:bg-origin-content {\n    background-origin: content-box;\n  }\n\n  .md\\:fill-current {\n    fill: currentColor;\n  }\n\n  .md\\:stroke-current {\n    stroke: currentColor;\n  }\n\n  .md\\:stroke-0 {\n    stroke-width: 0;\n  }\n\n  .md\\:stroke-1 {\n    stroke-width: 1;\n  }\n\n  .md\\:stroke-2 {\n    stroke-width: 2;\n  }\n\n  .md\\:object-contain {\n    -o-object-fit: contain;\n       object-fit: contain;\n  }\n\n  .md\\:object-cover {\n    -o-object-fit: cover;\n       object-fit: cover;\n  }\n\n  .md\\:object-fill {\n    -o-object-fit: fill;\n       object-fit: fill;\n  }\n\n  .md\\:object-none {\n    -o-object-fit: none;\n       object-fit: none;\n  }\n\n  .md\\:object-scale-down {\n    -o-object-fit: scale-down;\n       object-fit: scale-down;\n  }\n\n  .md\\:object-bottom {\n    -o-object-position: bottom;\n       object-position: bottom;\n  }\n\n  .md\\:object-center {\n    -o-object-position: center;\n       object-position: center;\n  }\n\n  .md\\:object-left {\n    -o-object-position: left;\n       object-position: left;\n  }\n\n  .md\\:object-left-bottom {\n    -o-object-position: left bottom;\n       object-position: left bottom;\n  }\n\n  .md\\:object-left-top {\n    -o-object-position: left top;\n       object-position: left top;\n  }\n\n  .md\\:object-right {\n    -o-object-position: right;\n       object-position: right;\n  }\n\n  .md\\:object-right-bottom {\n    -o-object-position: right bottom;\n       object-position: right bottom;\n  }\n\n  .md\\:object-right-top {\n    -o-object-position: right top;\n       object-position: right top;\n  }\n\n  .md\\:object-top {\n    -o-object-position: top;\n       object-position: top;\n  }\n\n  .md\\:p-0 {\n    padding: 0px;\n  }\n\n  .md\\:p-1 {\n    padding: 0.25rem;\n  }\n\n  .md\\:p-2 {\n    padding: 0.5rem;\n  }\n\n  .md\\:p-3 {\n    padding: 0.75rem;\n  }\n\n  .md\\:p-4 {\n    padding: 1rem;\n  }\n\n  .md\\:p-5 {\n    padding: 1.25rem;\n  }\n\n  .md\\:p-6 {\n    padding: 1.5rem;\n  }\n\n  .md\\:p-7 {\n    padding: 1.75rem;\n  }\n\n  .md\\:p-8 {\n    padding: 2rem;\n  }\n\n  .md\\:p-9 {\n    padding: 2.25rem;\n  }\n\n  .md\\:p-10 {\n    padding: 2.5rem;\n  }\n\n  .md\\:p-11 {\n    padding: 2.75rem;\n  }\n\n  .md\\:p-12 {\n    padding: 3rem;\n  }\n\n  .md\\:p-14 {\n    padding: 3.5rem;\n  }\n\n  .md\\:p-16 {\n    padding: 4rem;\n  }\n\n  .md\\:p-20 {\n    padding: 5rem;\n  }\n\n  .md\\:p-24 {\n    padding: 6rem;\n  }\n\n  .md\\:p-28 {\n    padding: 7rem;\n  }\n\n  .md\\:p-32 {\n    padding: 8rem;\n  }\n\n  .md\\:p-36 {\n    padding: 9rem;\n  }\n\n  .md\\:p-40 {\n    padding: 10rem;\n  }\n\n  .md\\:p-44 {\n    padding: 11rem;\n  }\n\n  .md\\:p-48 {\n    padding: 12rem;\n  }\n\n  .md\\:p-52 {\n    padding: 13rem;\n  }\n\n  .md\\:p-56 {\n    padding: 14rem;\n  }\n\n  .md\\:p-60 {\n    padding: 15rem;\n  }\n\n  .md\\:p-64 {\n    padding: 16rem;\n  }\n\n  .md\\:p-72 {\n    padding: 18rem;\n  }\n\n  .md\\:p-80 {\n    padding: 20rem;\n  }\n\n  .md\\:p-96 {\n    padding: 24rem;\n  }\n\n  .md\\:p-px {\n    padding: 1px;\n  }\n\n  .md\\:p-0\\.5 {\n    padding: 0.125rem;\n  }\n\n  .md\\:p-1\\.5 {\n    padding: 0.375rem;\n  }\n\n  .md\\:p-2\\.5 {\n    padding: 0.625rem;\n  }\n\n  .md\\:p-3\\.5 {\n    padding: 0.875rem;\n  }\n\n  .md\\:px-0 {\n    padding-left: 0px;\n    padding-right: 0px;\n  }\n\n  .md\\:px-1 {\n    padding-left: 0.25rem;\n    padding-right: 0.25rem;\n  }\n\n  .md\\:px-2 {\n    padding-left: 0.5rem;\n    padding-right: 0.5rem;\n  }\n\n  .md\\:px-3 {\n    padding-left: 0.75rem;\n    padding-right: 0.75rem;\n  }\n\n  .md\\:px-4 {\n    padding-left: 1rem;\n    padding-right: 1rem;\n  }\n\n  .md\\:px-5 {\n    padding-left: 1.25rem;\n    padding-right: 1.25rem;\n  }\n\n  .md\\:px-6 {\n    padding-left: 1.5rem;\n    padding-right: 1.5rem;\n  }\n\n  .md\\:px-7 {\n    padding-left: 1.75rem;\n    padding-right: 1.75rem;\n  }\n\n  .md\\:px-8 {\n    padding-left: 2rem;\n    padding-right: 2rem;\n  }\n\n  .md\\:px-9 {\n    padding-left: 2.25rem;\n    padding-right: 2.25rem;\n  }\n\n  .md\\:px-10 {\n    padding-left: 2.5rem;\n    padding-right: 2.5rem;\n  }\n\n  .md\\:px-11 {\n    padding-left: 2.75rem;\n    padding-right: 2.75rem;\n  }\n\n  .md\\:px-12 {\n    padding-left: 3rem;\n    padding-right: 3rem;\n  }\n\n  .md\\:px-14 {\n    padding-left: 3.5rem;\n    padding-right: 3.5rem;\n  }\n\n  .md\\:px-16 {\n    padding-left: 4rem;\n    padding-right: 4rem;\n  }\n\n  .md\\:px-20 {\n    padding-left: 5rem;\n    padding-right: 5rem;\n  }\n\n  .md\\:px-24 {\n    padding-left: 6rem;\n    padding-right: 6rem;\n  }\n\n  .md\\:px-28 {\n    padding-left: 7rem;\n    padding-right: 7rem;\n  }\n\n  .md\\:px-32 {\n    padding-left: 8rem;\n    padding-right: 8rem;\n  }\n\n  .md\\:px-36 {\n    padding-left: 9rem;\n    padding-right: 9rem;\n  }\n\n  .md\\:px-40 {\n    padding-left: 10rem;\n    padding-right: 10rem;\n  }\n\n  .md\\:px-44 {\n    padding-left: 11rem;\n    padding-right: 11rem;\n  }\n\n  .md\\:px-48 {\n    padding-left: 12rem;\n    padding-right: 12rem;\n  }\n\n  .md\\:px-52 {\n    padding-left: 13rem;\n    padding-right: 13rem;\n  }\n\n  .md\\:px-56 {\n    padding-left: 14rem;\n    padding-right: 14rem;\n  }\n\n  .md\\:px-60 {\n    padding-left: 15rem;\n    padding-right: 15rem;\n  }\n\n  .md\\:px-64 {\n    padding-left: 16rem;\n    padding-right: 16rem;\n  }\n\n  .md\\:px-72 {\n    padding-left: 18rem;\n    padding-right: 18rem;\n  }\n\n  .md\\:px-80 {\n    padding-left: 20rem;\n    padding-right: 20rem;\n  }\n\n  .md\\:px-96 {\n    padding-left: 24rem;\n    padding-right: 24rem;\n  }\n\n  .md\\:px-px {\n    padding-left: 1px;\n    padding-right: 1px;\n  }\n\n  .md\\:px-0\\.5 {\n    padding-left: 0.125rem;\n    padding-right: 0.125rem;\n  }\n\n  .md\\:px-1\\.5 {\n    padding-left: 0.375rem;\n    padding-right: 0.375rem;\n  }\n\n  .md\\:px-2\\.5 {\n    padding-left: 0.625rem;\n    padding-right: 0.625rem;\n  }\n\n  .md\\:px-3\\.5 {\n    padding-left: 0.875rem;\n    padding-right: 0.875rem;\n  }\n\n  .md\\:py-0 {\n    padding-top: 0px;\n    padding-bottom: 0px;\n  }\n\n  .md\\:py-1 {\n    padding-top: 0.25rem;\n    padding-bottom: 0.25rem;\n  }\n\n  .md\\:py-2 {\n    padding-top: 0.5rem;\n    padding-bottom: 0.5rem;\n  }\n\n  .md\\:py-3 {\n    padding-top: 0.75rem;\n    padding-bottom: 0.75rem;\n  }\n\n  .md\\:py-4 {\n    padding-top: 1rem;\n    padding-bottom: 1rem;\n  }\n\n  .md\\:py-5 {\n    padding-top: 1.25rem;\n    padding-bottom: 1.25rem;\n  }\n\n  .md\\:py-6 {\n    padding-top: 1.5rem;\n    padding-bottom: 1.5rem;\n  }\n\n  .md\\:py-7 {\n    padding-top: 1.75rem;\n    padding-bottom: 1.75rem;\n  }\n\n  .md\\:py-8 {\n    padding-top: 2rem;\n    padding-bottom: 2rem;\n  }\n\n  .md\\:py-9 {\n    padding-top: 2.25rem;\n    padding-bottom: 2.25rem;\n  }\n\n  .md\\:py-10 {\n    padding-top: 2.5rem;\n    padding-bottom: 2.5rem;\n  }\n\n  .md\\:py-11 {\n    padding-top: 2.75rem;\n    padding-bottom: 2.75rem;\n  }\n\n  .md\\:py-12 {\n    padding-top: 3rem;\n    padding-bottom: 3rem;\n  }\n\n  .md\\:py-14 {\n    padding-top: 3.5rem;\n    padding-bottom: 3.5rem;\n  }\n\n  .md\\:py-16 {\n    padding-top: 4rem;\n    padding-bottom: 4rem;\n  }\n\n  .md\\:py-20 {\n    padding-top: 5rem;\n    padding-bottom: 5rem;\n  }\n\n  .md\\:py-24 {\n    padding-top: 6rem;\n    padding-bottom: 6rem;\n  }\n\n  .md\\:py-28 {\n    padding-top: 7rem;\n    padding-bottom: 7rem;\n  }\n\n  .md\\:py-32 {\n    padding-top: 8rem;\n    padding-bottom: 8rem;\n  }\n\n  .md\\:py-36 {\n    padding-top: 9rem;\n    padding-bottom: 9rem;\n  }\n\n  .md\\:py-40 {\n    padding-top: 10rem;\n    padding-bottom: 10rem;\n  }\n\n  .md\\:py-44 {\n    padding-top: 11rem;\n    padding-bottom: 11rem;\n  }\n\n  .md\\:py-48 {\n    padding-top: 12rem;\n    padding-bottom: 12rem;\n  }\n\n  .md\\:py-52 {\n    padding-top: 13rem;\n    padding-bottom: 13rem;\n  }\n\n  .md\\:py-56 {\n    padding-top: 14rem;\n    padding-bottom: 14rem;\n  }\n\n  .md\\:py-60 {\n    padding-top: 15rem;\n    padding-bottom: 15rem;\n  }\n\n  .md\\:py-64 {\n    padding-top: 16rem;\n    padding-bottom: 16rem;\n  }\n\n  .md\\:py-72 {\n    padding-top: 18rem;\n    padding-bottom: 18rem;\n  }\n\n  .md\\:py-80 {\n    padding-top: 20rem;\n    padding-bottom: 20rem;\n  }\n\n  .md\\:py-96 {\n    padding-top: 24rem;\n    padding-bottom: 24rem;\n  }\n\n  .md\\:py-px {\n    padding-top: 1px;\n    padding-bottom: 1px;\n  }\n\n  .md\\:py-0\\.5 {\n    padding-top: 0.125rem;\n    padding-bottom: 0.125rem;\n  }\n\n  .md\\:py-1\\.5 {\n    padding-top: 0.375rem;\n    padding-bottom: 0.375rem;\n  }\n\n  .md\\:py-2\\.5 {\n    padding-top: 0.625rem;\n    padding-bottom: 0.625rem;\n  }\n\n  .md\\:py-3\\.5 {\n    padding-top: 0.875rem;\n    padding-bottom: 0.875rem;\n  }\n\n  .md\\:pt-0 {\n    padding-top: 0px;\n  }\n\n  .md\\:pt-1 {\n    padding-top: 0.25rem;\n  }\n\n  .md\\:pt-2 {\n    padding-top: 0.5rem;\n  }\n\n  .md\\:pt-3 {\n    padding-top: 0.75rem;\n  }\n\n  .md\\:pt-4 {\n    padding-top: 1rem;\n  }\n\n  .md\\:pt-5 {\n    padding-top: 1.25rem;\n  }\n\n  .md\\:pt-6 {\n    padding-top: 1.5rem;\n  }\n\n  .md\\:pt-7 {\n    padding-top: 1.75rem;\n  }\n\n  .md\\:pt-8 {\n    padding-top: 2rem;\n  }\n\n  .md\\:pt-9 {\n    padding-top: 2.25rem;\n  }\n\n  .md\\:pt-10 {\n    padding-top: 2.5rem;\n  }\n\n  .md\\:pt-11 {\n    padding-top: 2.75rem;\n  }\n\n  .md\\:pt-12 {\n    padding-top: 3rem;\n  }\n\n  .md\\:pt-14 {\n    padding-top: 3.5rem;\n  }\n\n  .md\\:pt-16 {\n    padding-top: 4rem;\n  }\n\n  .md\\:pt-20 {\n    padding-top: 5rem;\n  }\n\n  .md\\:pt-24 {\n    padding-top: 6rem;\n  }\n\n  .md\\:pt-28 {\n    padding-top: 7rem;\n  }\n\n  .md\\:pt-32 {\n    padding-top: 8rem;\n  }\n\n  .md\\:pt-36 {\n    padding-top: 9rem;\n  }\n\n  .md\\:pt-40 {\n    padding-top: 10rem;\n  }\n\n  .md\\:pt-44 {\n    padding-top: 11rem;\n  }\n\n  .md\\:pt-48 {\n    padding-top: 12rem;\n  }\n\n  .md\\:pt-52 {\n    padding-top: 13rem;\n  }\n\n  .md\\:pt-56 {\n    padding-top: 14rem;\n  }\n\n  .md\\:pt-60 {\n    padding-top: 15rem;\n  }\n\n  .md\\:pt-64 {\n    padding-top: 16rem;\n  }\n\n  .md\\:pt-72 {\n    padding-top: 18rem;\n  }\n\n  .md\\:pt-80 {\n    padding-top: 20rem;\n  }\n\n  .md\\:pt-96 {\n    padding-top: 24rem;\n  }\n\n  .md\\:pt-px {\n    padding-top: 1px;\n  }\n\n  .md\\:pt-0\\.5 {\n    padding-top: 0.125rem;\n  }\n\n  .md\\:pt-1\\.5 {\n    padding-top: 0.375rem;\n  }\n\n  .md\\:pt-2\\.5 {\n    padding-top: 0.625rem;\n  }\n\n  .md\\:pt-3\\.5 {\n    padding-top: 0.875rem;\n  }\n\n  .md\\:pr-0 {\n    padding-right: 0px;\n  }\n\n  .md\\:pr-1 {\n    padding-right: 0.25rem;\n  }\n\n  .md\\:pr-2 {\n    padding-right: 0.5rem;\n  }\n\n  .md\\:pr-3 {\n    padding-right: 0.75rem;\n  }\n\n  .md\\:pr-4 {\n    padding-right: 1rem;\n  }\n\n  .md\\:pr-5 {\n    padding-right: 1.25rem;\n  }\n\n  .md\\:pr-6 {\n    padding-right: 1.5rem;\n  }\n\n  .md\\:pr-7 {\n    padding-right: 1.75rem;\n  }\n\n  .md\\:pr-8 {\n    padding-right: 2rem;\n  }\n\n  .md\\:pr-9 {\n    padding-right: 2.25rem;\n  }\n\n  .md\\:pr-10 {\n    padding-right: 2.5rem;\n  }\n\n  .md\\:pr-11 {\n    padding-right: 2.75rem;\n  }\n\n  .md\\:pr-12 {\n    padding-right: 3rem;\n  }\n\n  .md\\:pr-14 {\n    padding-right: 3.5rem;\n  }\n\n  .md\\:pr-16 {\n    padding-right: 4rem;\n  }\n\n  .md\\:pr-20 {\n    padding-right: 5rem;\n  }\n\n  .md\\:pr-24 {\n    padding-right: 6rem;\n  }\n\n  .md\\:pr-28 {\n    padding-right: 7rem;\n  }\n\n  .md\\:pr-32 {\n    padding-right: 8rem;\n  }\n\n  .md\\:pr-36 {\n    padding-right: 9rem;\n  }\n\n  .md\\:pr-40 {\n    padding-right: 10rem;\n  }\n\n  .md\\:pr-44 {\n    padding-right: 11rem;\n  }\n\n  .md\\:pr-48 {\n    padding-right: 12rem;\n  }\n\n  .md\\:pr-52 {\n    padding-right: 13rem;\n  }\n\n  .md\\:pr-56 {\n    padding-right: 14rem;\n  }\n\n  .md\\:pr-60 {\n    padding-right: 15rem;\n  }\n\n  .md\\:pr-64 {\n    padding-right: 16rem;\n  }\n\n  .md\\:pr-72 {\n    padding-right: 18rem;\n  }\n\n  .md\\:pr-80 {\n    padding-right: 20rem;\n  }\n\n  .md\\:pr-96 {\n    padding-right: 24rem;\n  }\n\n  .md\\:pr-px {\n    padding-right: 1px;\n  }\n\n  .md\\:pr-0\\.5 {\n    padding-right: 0.125rem;\n  }\n\n  .md\\:pr-1\\.5 {\n    padding-right: 0.375rem;\n  }\n\n  .md\\:pr-2\\.5 {\n    padding-right: 0.625rem;\n  }\n\n  .md\\:pr-3\\.5 {\n    padding-right: 0.875rem;\n  }\n\n  .md\\:pb-0 {\n    padding-bottom: 0px;\n  }\n\n  .md\\:pb-1 {\n    padding-bottom: 0.25rem;\n  }\n\n  .md\\:pb-2 {\n    padding-bottom: 0.5rem;\n  }\n\n  .md\\:pb-3 {\n    padding-bottom: 0.75rem;\n  }\n\n  .md\\:pb-4 {\n    padding-bottom: 1rem;\n  }\n\n  .md\\:pb-5 {\n    padding-bottom: 1.25rem;\n  }\n\n  .md\\:pb-6 {\n    padding-bottom: 1.5rem;\n  }\n\n  .md\\:pb-7 {\n    padding-bottom: 1.75rem;\n  }\n\n  .md\\:pb-8 {\n    padding-bottom: 2rem;\n  }\n\n  .md\\:pb-9 {\n    padding-bottom: 2.25rem;\n  }\n\n  .md\\:pb-10 {\n    padding-bottom: 2.5rem;\n  }\n\n  .md\\:pb-11 {\n    padding-bottom: 2.75rem;\n  }\n\n  .md\\:pb-12 {\n    padding-bottom: 3rem;\n  }\n\n  .md\\:pb-14 {\n    padding-bottom: 3.5rem;\n  }\n\n  .md\\:pb-16 {\n    padding-bottom: 4rem;\n  }\n\n  .md\\:pb-20 {\n    padding-bottom: 5rem;\n  }\n\n  .md\\:pb-24 {\n    padding-bottom: 6rem;\n  }\n\n  .md\\:pb-28 {\n    padding-bottom: 7rem;\n  }\n\n  .md\\:pb-32 {\n    padding-bottom: 8rem;\n  }\n\n  .md\\:pb-36 {\n    padding-bottom: 9rem;\n  }\n\n  .md\\:pb-40 {\n    padding-bottom: 10rem;\n  }\n\n  .md\\:pb-44 {\n    padding-bottom: 11rem;\n  }\n\n  .md\\:pb-48 {\n    padding-bottom: 12rem;\n  }\n\n  .md\\:pb-52 {\n    padding-bottom: 13rem;\n  }\n\n  .md\\:pb-56 {\n    padding-bottom: 14rem;\n  }\n\n  .md\\:pb-60 {\n    padding-bottom: 15rem;\n  }\n\n  .md\\:pb-64 {\n    padding-bottom: 16rem;\n  }\n\n  .md\\:pb-72 {\n    padding-bottom: 18rem;\n  }\n\n  .md\\:pb-80 {\n    padding-bottom: 20rem;\n  }\n\n  .md\\:pb-96 {\n    padding-bottom: 24rem;\n  }\n\n  .md\\:pb-px {\n    padding-bottom: 1px;\n  }\n\n  .md\\:pb-0\\.5 {\n    padding-bottom: 0.125rem;\n  }\n\n  .md\\:pb-1\\.5 {\n    padding-bottom: 0.375rem;\n  }\n\n  .md\\:pb-2\\.5 {\n    padding-bottom: 0.625rem;\n  }\n\n  .md\\:pb-3\\.5 {\n    padding-bottom: 0.875rem;\n  }\n\n  .md\\:pl-0 {\n    padding-left: 0px;\n  }\n\n  .md\\:pl-1 {\n    padding-left: 0.25rem;\n  }\n\n  .md\\:pl-2 {\n    padding-left: 0.5rem;\n  }\n\n  .md\\:pl-3 {\n    padding-left: 0.75rem;\n  }\n\n  .md\\:pl-4 {\n    padding-left: 1rem;\n  }\n\n  .md\\:pl-5 {\n    padding-left: 1.25rem;\n  }\n\n  .md\\:pl-6 {\n    padding-left: 1.5rem;\n  }\n\n  .md\\:pl-7 {\n    padding-left: 1.75rem;\n  }\n\n  .md\\:pl-8 {\n    padding-left: 2rem;\n  }\n\n  .md\\:pl-9 {\n    padding-left: 2.25rem;\n  }\n\n  .md\\:pl-10 {\n    padding-left: 2.5rem;\n  }\n\n  .md\\:pl-11 {\n    padding-left: 2.75rem;\n  }\n\n  .md\\:pl-12 {\n    padding-left: 3rem;\n  }\n\n  .md\\:pl-14 {\n    padding-left: 3.5rem;\n  }\n\n  .md\\:pl-16 {\n    padding-left: 4rem;\n  }\n\n  .md\\:pl-20 {\n    padding-left: 5rem;\n  }\n\n  .md\\:pl-24 {\n    padding-left: 6rem;\n  }\n\n  .md\\:pl-28 {\n    padding-left: 7rem;\n  }\n\n  .md\\:pl-32 {\n    padding-left: 8rem;\n  }\n\n  .md\\:pl-36 {\n    padding-left: 9rem;\n  }\n\n  .md\\:pl-40 {\n    padding-left: 10rem;\n  }\n\n  .md\\:pl-44 {\n    padding-left: 11rem;\n  }\n\n  .md\\:pl-48 {\n    padding-left: 12rem;\n  }\n\n  .md\\:pl-52 {\n    padding-left: 13rem;\n  }\n\n  .md\\:pl-56 {\n    padding-left: 14rem;\n  }\n\n  .md\\:pl-60 {\n    padding-left: 15rem;\n  }\n\n  .md\\:pl-64 {\n    padding-left: 16rem;\n  }\n\n  .md\\:pl-72 {\n    padding-left: 18rem;\n  }\n\n  .md\\:pl-80 {\n    padding-left: 20rem;\n  }\n\n  .md\\:pl-96 {\n    padding-left: 24rem;\n  }\n\n  .md\\:pl-px {\n    padding-left: 1px;\n  }\n\n  .md\\:pl-0\\.5 {\n    padding-left: 0.125rem;\n  }\n\n  .md\\:pl-1\\.5 {\n    padding-left: 0.375rem;\n  }\n\n  .md\\:pl-2\\.5 {\n    padding-left: 0.625rem;\n  }\n\n  .md\\:pl-3\\.5 {\n    padding-left: 0.875rem;\n  }\n\n  .md\\:text-left {\n    text-align: left;\n  }\n\n  .md\\:text-center {\n    text-align: center;\n  }\n\n  .md\\:text-right {\n    text-align: right;\n  }\n\n  .md\\:text-justify {\n    text-align: justify;\n  }\n\n  .md\\:align-baseline {\n    vertical-align: baseline;\n  }\n\n  .md\\:align-top {\n    vertical-align: top;\n  }\n\n  .md\\:align-middle {\n    vertical-align: middle;\n  }\n\n  .md\\:align-bottom {\n    vertical-align: bottom;\n  }\n\n  .md\\:align-text-top {\n    vertical-align: text-top;\n  }\n\n  .md\\:align-text-bottom {\n    vertical-align: text-bottom;\n  }\n\n  .md\\:font-sans {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .md\\:font-serif {\n    font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n  }\n\n  .md\\:font-mono {\n    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  }\n\n  .md\\:font-sansSailec {\n    font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .md\\:font-sansInter {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .md\\:text-xs {\n    font-size: 0.75rem;\n    line-height: 1rem;\n  }\n\n  .md\\:text-sm {\n    font-size: 0.875rem;\n    line-height: 1.25rem;\n  }\n\n  .md\\:text-base {\n    font-size: 1rem;\n    line-height: 1.5rem;\n  }\n\n  .md\\:text-lg {\n    font-size: 1.125rem;\n    line-height: 1.75rem;\n  }\n\n  .md\\:text-xl {\n    font-size: 1.25rem;\n    line-height: 1.75rem;\n  }\n\n  .md\\:text-2xl {\n    font-size: 1.5rem;\n    line-height: 2rem;\n  }\n\n  .md\\:text-3xl {\n    font-size: 2rem;\n    line-height: 2.25rem;\n  }\n\n  .md\\:text-4xl {\n    font-size: 2.25rem;\n    line-height: 2.5rem;\n  }\n\n  .md\\:text-5xl {\n    font-size: 3rem;\n    line-height: 1;\n  }\n\n  .md\\:text-6xl {\n    font-size: 3.75rem;\n    line-height: 1;\n  }\n\n  .md\\:text-7xl {\n    font-size: 4.5rem;\n    line-height: 1;\n  }\n\n  .md\\:text-8xl {\n    font-size: 6rem;\n    line-height: 1;\n  }\n\n  .md\\:text-9xl {\n    font-size: 8rem;\n    line-height: 1;\n  }\n\n  .md\\:text-2xs {\n    font-size: 10pt;\n    letter-spacing: -0.01em;\n  }\n\n  .md\\:font-thin {\n    font-weight: 100;\n  }\n\n  .md\\:font-extralight {\n    font-weight: 200;\n  }\n\n  .md\\:font-light {\n    font-weight: 300;\n  }\n\n  .md\\:font-normal {\n    font-weight: 400;\n  }\n\n  .md\\:font-medium {\n    font-weight: 500;\n  }\n\n  .md\\:font-semibold {\n    font-weight: 600;\n  }\n\n  .md\\:font-bold {\n    font-weight: 700;\n  }\n\n  .md\\:font-extrabold {\n    font-weight: 800;\n  }\n\n  .md\\:font-black {\n    font-weight: 900;\n  }\n\n  .md\\:uppercase {\n    text-transform: uppercase;\n  }\n\n  .md\\:lowercase {\n    text-transform: lowercase;\n  }\n\n  .md\\:capitalize {\n    text-transform: capitalize;\n  }\n\n  .md\\:normal-case {\n    text-transform: none;\n  }\n\n  .md\\:italic {\n    font-style: italic;\n  }\n\n  .md\\:not-italic {\n    font-style: normal;\n  }\n\n  .md\\:ordinal, .md\\:slashed-zero, .md\\:lining-nums, .md\\:oldstyle-nums, .md\\:proportional-nums, .md\\:tabular-nums, .md\\:diagonal-fractions, .md\\:stacked-fractions {\n    --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n    --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n    font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n  }\n\n  .md\\:normal-nums {\n    font-variant-numeric: normal;\n  }\n\n  .md\\:ordinal {\n    --tw-ordinal: ordinal;\n  }\n\n  .md\\:slashed-zero {\n    --tw-slashed-zero: slashed-zero;\n  }\n\n  .md\\:lining-nums {\n    --tw-numeric-figure: lining-nums;\n  }\n\n  .md\\:oldstyle-nums {\n    --tw-numeric-figure: oldstyle-nums;\n  }\n\n  .md\\:proportional-nums {\n    --tw-numeric-spacing: proportional-nums;\n  }\n\n  .md\\:tabular-nums {\n    --tw-numeric-spacing: tabular-nums;\n  }\n\n  .md\\:diagonal-fractions {\n    --tw-numeric-fraction: diagonal-fractions;\n  }\n\n  .md\\:stacked-fractions {\n    --tw-numeric-fraction: stacked-fractions;\n  }\n\n  .md\\:leading-3 {\n    line-height: .75rem;\n  }\n\n  .md\\:leading-4 {\n    line-height: 1rem;\n  }\n\n  .md\\:leading-5 {\n    line-height: 1.25rem;\n  }\n\n  .md\\:leading-6 {\n    line-height: 1.5rem;\n  }\n\n  .md\\:leading-7 {\n    line-height: 1.75rem;\n  }\n\n  .md\\:leading-8 {\n    line-height: 2rem;\n  }\n\n  .md\\:leading-9 {\n    line-height: 2.25rem;\n  }\n\n  .md\\:leading-10 {\n    line-height: 2.5rem;\n  }\n\n  .md\\:leading-none {\n    line-height: 1;\n  }\n\n  .md\\:leading-tight {\n    line-height: 1.25;\n  }\n\n  .md\\:leading-snug {\n    line-height: 1.375;\n  }\n\n  .md\\:leading-normal {\n    line-height: 1.5;\n  }\n\n  .md\\:leading-relaxed {\n    line-height: 1.625;\n  }\n\n  .md\\:leading-loose {\n    line-height: 2;\n  }\n\n  .md\\:leading-button {\n    line-height: 3.5rem;\n  }\n\n  .md\\:tracking-tighter {\n    letter-spacing: -0.05em;\n  }\n\n  .md\\:tracking-tight {\n    letter-spacing: -0.025em;\n  }\n\n  .md\\:tracking-normal {\n    letter-spacing: 0em;\n  }\n\n  .md\\:tracking-wide {\n    letter-spacing: 0.025em;\n  }\n\n  .md\\:tracking-wider {\n    letter-spacing: 0.05em;\n  }\n\n  .md\\:tracking-widest {\n    letter-spacing: 0.1em;\n  }\n\n  .md\\:text-transparent {\n    color: transparent;\n  }\n\n  .md\\:text-current {\n    color: currentColor;\n  }\n\n  .md\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .md\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .md\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .md\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .md\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .md\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .md\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .md\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .md\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .md\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-transparent {\n    color: transparent;\n  }\n\n  .group:hover .md\\:group-hover\\:text-current {\n    color: currentColor;\n  }\n\n  .group:hover .md\\:group-hover\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .md\\:group-hover\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-transparent:focus-within {\n    color: transparent;\n  }\n\n  .md\\:focus-within\\:text-current:focus-within {\n    color: currentColor;\n  }\n\n  .md\\:focus-within\\:text-black:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-white:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-gray-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-red-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-yellow-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-green-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-blue-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-indigo-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-purple-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-pink-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-origin-protocol-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-origin-protocol-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-ousd-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-ousd-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-ousd-button-dark-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-ousd-button-dark-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-pink-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-pink-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-footer-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-story-pink:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus-within\\:text-link-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-transparent:hover {\n    color: transparent;\n  }\n\n  .md\\:hover\\:text-current:hover {\n    color: currentColor;\n  }\n\n  .md\\:hover\\:text-black:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-white:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-gray-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-red-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-yellow-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-green-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-blue-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-indigo-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-purple-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-pink-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-origin-protocol-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-origin-protocol-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-ousd-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-ousd-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-ousd-button-dark-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-ousd-button-dark-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-pink-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-pink-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-footer-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-story-pink:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:hover\\:text-link-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-transparent:focus {\n    color: transparent;\n  }\n\n  .md\\:focus\\:text-current:focus {\n    color: currentColor;\n  }\n\n  .md\\:focus\\:text-black:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-white:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-gray-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-red-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-yellow-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-green-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-blue-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-indigo-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-purple-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-pink-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-origin-protocol-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-origin-protocol-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-ousd-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-ousd-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-ousd-button-dark-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-ousd-button-dark-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-pink-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-pink-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-footer-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-story-pink:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .md\\:focus\\:text-link-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .md\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .md\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .md\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .md\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .md\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .md\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .md\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .md\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .md\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .md\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .md\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .md\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .md\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .md\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .md\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .group:hover .md\\:group-hover\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .md\\:focus-within\\:text-opacity-0:focus-within {\n    --tw-text-opacity: 0;\n  }\n\n  .md\\:focus-within\\:text-opacity-5:focus-within {\n    --tw-text-opacity: 0.05;\n  }\n\n  .md\\:focus-within\\:text-opacity-10:focus-within {\n    --tw-text-opacity: 0.1;\n  }\n\n  .md\\:focus-within\\:text-opacity-20:focus-within {\n    --tw-text-opacity: 0.2;\n  }\n\n  .md\\:focus-within\\:text-opacity-25:focus-within {\n    --tw-text-opacity: 0.25;\n  }\n\n  .md\\:focus-within\\:text-opacity-30:focus-within {\n    --tw-text-opacity: 0.3;\n  }\n\n  .md\\:focus-within\\:text-opacity-40:focus-within {\n    --tw-text-opacity: 0.4;\n  }\n\n  .md\\:focus-within\\:text-opacity-50:focus-within {\n    --tw-text-opacity: 0.5;\n  }\n\n  .md\\:focus-within\\:text-opacity-60:focus-within {\n    --tw-text-opacity: 0.6;\n  }\n\n  .md\\:focus-within\\:text-opacity-70:focus-within {\n    --tw-text-opacity: 0.7;\n  }\n\n  .md\\:focus-within\\:text-opacity-75:focus-within {\n    --tw-text-opacity: 0.75;\n  }\n\n  .md\\:focus-within\\:text-opacity-80:focus-within {\n    --tw-text-opacity: 0.8;\n  }\n\n  .md\\:focus-within\\:text-opacity-90:focus-within {\n    --tw-text-opacity: 0.9;\n  }\n\n  .md\\:focus-within\\:text-opacity-95:focus-within {\n    --tw-text-opacity: 0.95;\n  }\n\n  .md\\:focus-within\\:text-opacity-100:focus-within {\n    --tw-text-opacity: 1;\n  }\n\n  .md\\:hover\\:text-opacity-0:hover {\n    --tw-text-opacity: 0;\n  }\n\n  .md\\:hover\\:text-opacity-5:hover {\n    --tw-text-opacity: 0.05;\n  }\n\n  .md\\:hover\\:text-opacity-10:hover {\n    --tw-text-opacity: 0.1;\n  }\n\n  .md\\:hover\\:text-opacity-20:hover {\n    --tw-text-opacity: 0.2;\n  }\n\n  .md\\:hover\\:text-opacity-25:hover {\n    --tw-text-opacity: 0.25;\n  }\n\n  .md\\:hover\\:text-opacity-30:hover {\n    --tw-text-opacity: 0.3;\n  }\n\n  .md\\:hover\\:text-opacity-40:hover {\n    --tw-text-opacity: 0.4;\n  }\n\n  .md\\:hover\\:text-opacity-50:hover {\n    --tw-text-opacity: 0.5;\n  }\n\n  .md\\:hover\\:text-opacity-60:hover {\n    --tw-text-opacity: 0.6;\n  }\n\n  .md\\:hover\\:text-opacity-70:hover {\n    --tw-text-opacity: 0.7;\n  }\n\n  .md\\:hover\\:text-opacity-75:hover {\n    --tw-text-opacity: 0.75;\n  }\n\n  .md\\:hover\\:text-opacity-80:hover {\n    --tw-text-opacity: 0.8;\n  }\n\n  .md\\:hover\\:text-opacity-90:hover {\n    --tw-text-opacity: 0.9;\n  }\n\n  .md\\:hover\\:text-opacity-95:hover {\n    --tw-text-opacity: 0.95;\n  }\n\n  .md\\:hover\\:text-opacity-100:hover {\n    --tw-text-opacity: 1;\n  }\n\n  .md\\:focus\\:text-opacity-0:focus {\n    --tw-text-opacity: 0;\n  }\n\n  .md\\:focus\\:text-opacity-5:focus {\n    --tw-text-opacity: 0.05;\n  }\n\n  .md\\:focus\\:text-opacity-10:focus {\n    --tw-text-opacity: 0.1;\n  }\n\n  .md\\:focus\\:text-opacity-20:focus {\n    --tw-text-opacity: 0.2;\n  }\n\n  .md\\:focus\\:text-opacity-25:focus {\n    --tw-text-opacity: 0.25;\n  }\n\n  .md\\:focus\\:text-opacity-30:focus {\n    --tw-text-opacity: 0.3;\n  }\n\n  .md\\:focus\\:text-opacity-40:focus {\n    --tw-text-opacity: 0.4;\n  }\n\n  .md\\:focus\\:text-opacity-50:focus {\n    --tw-text-opacity: 0.5;\n  }\n\n  .md\\:focus\\:text-opacity-60:focus {\n    --tw-text-opacity: 0.6;\n  }\n\n  .md\\:focus\\:text-opacity-70:focus {\n    --tw-text-opacity: 0.7;\n  }\n\n  .md\\:focus\\:text-opacity-75:focus {\n    --tw-text-opacity: 0.75;\n  }\n\n  .md\\:focus\\:text-opacity-80:focus {\n    --tw-text-opacity: 0.8;\n  }\n\n  .md\\:focus\\:text-opacity-90:focus {\n    --tw-text-opacity: 0.9;\n  }\n\n  .md\\:focus\\:text-opacity-95:focus {\n    --tw-text-opacity: 0.95;\n  }\n\n  .md\\:focus\\:text-opacity-100:focus {\n    --tw-text-opacity: 1;\n  }\n\n  .md\\:underline {\n    text-decoration: underline;\n  }\n\n  .md\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .md\\:no-underline {\n    text-decoration: none;\n  }\n\n  .group:hover .md\\:group-hover\\:underline {\n    text-decoration: underline;\n  }\n\n  .group:hover .md\\:group-hover\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .group:hover .md\\:group-hover\\:no-underline {\n    text-decoration: none;\n  }\n\n  .md\\:focus-within\\:underline:focus-within {\n    text-decoration: underline;\n  }\n\n  .md\\:focus-within\\:line-through:focus-within {\n    text-decoration: line-through;\n  }\n\n  .md\\:focus-within\\:no-underline:focus-within {\n    text-decoration: none;\n  }\n\n  .md\\:hover\\:underline:hover {\n    text-decoration: underline;\n  }\n\n  .md\\:hover\\:line-through:hover {\n    text-decoration: line-through;\n  }\n\n  .md\\:hover\\:no-underline:hover {\n    text-decoration: none;\n  }\n\n  .md\\:focus\\:underline:focus {\n    text-decoration: underline;\n  }\n\n  .md\\:focus\\:line-through:focus {\n    text-decoration: line-through;\n  }\n\n  .md\\:focus\\:no-underline:focus {\n    text-decoration: none;\n  }\n\n  .md\\:antialiased {\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  .md\\:subpixel-antialiased {\n    -webkit-font-smoothing: auto;\n    -moz-osx-font-smoothing: auto;\n  }\n\n  .md\\:placeholder-transparent::-moz-placeholder {\n    color: transparent;\n  }\n\n  .md\\:placeholder-transparent::placeholder {\n    color: transparent;\n  }\n\n  .md\\:placeholder-current::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .md\\:placeholder-current::placeholder {\n    color: currentColor;\n  }\n\n  .md\\:placeholder-black::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-black::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-white::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-white::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-gray-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-red-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-yellow-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-green-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-blue-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-indigo-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-purple-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-pink-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-origin-protocol-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-origin-protocol-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-origin-protocol-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-origin-protocol-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-dark-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-dark-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-dark-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-ousd-button-dark-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-pink-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-pink-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-pink-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-story-pink-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-footer-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-footer-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-transparent:focus::-moz-placeholder {\n    color: transparent;\n  }\n\n  .md\\:focus\\:placeholder-transparent:focus::placeholder {\n    color: transparent;\n  }\n\n  .md\\:focus\\:placeholder-current:focus::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .md\\:focus\\:placeholder-current:focus::placeholder {\n    color: currentColor;\n  }\n\n  .md\\:focus\\:placeholder-black:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-black:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-white:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-white:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-gray-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-red-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-yellow-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-green-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-blue-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-indigo-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-purple-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-pink-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-pink-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-story-pink-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-footer-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:focus\\:placeholder-footer-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .md\\:placeholder-opacity-0::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .md\\:placeholder-opacity-0::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .md\\:placeholder-opacity-5::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .md\\:placeholder-opacity-5::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .md\\:placeholder-opacity-10::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .md\\:placeholder-opacity-10::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .md\\:placeholder-opacity-20::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .md\\:placeholder-opacity-20::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .md\\:placeholder-opacity-25::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .md\\:placeholder-opacity-25::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .md\\:placeholder-opacity-30::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .md\\:placeholder-opacity-30::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .md\\:placeholder-opacity-40::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .md\\:placeholder-opacity-40::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .md\\:placeholder-opacity-50::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .md\\:placeholder-opacity-50::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .md\\:placeholder-opacity-60::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .md\\:placeholder-opacity-60::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .md\\:placeholder-opacity-70::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .md\\:placeholder-opacity-70::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .md\\:placeholder-opacity-75::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .md\\:placeholder-opacity-75::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .md\\:placeholder-opacity-80::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .md\\:placeholder-opacity-80::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .md\\:placeholder-opacity-90::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .md\\:placeholder-opacity-90::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .md\\:placeholder-opacity-95::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .md\\:placeholder-opacity-95::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .md\\:placeholder-opacity-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .md\\:placeholder-opacity-100::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .md\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .md\\:focus\\:placeholder-opacity-0:focus::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .md\\:focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .md\\:focus\\:placeholder-opacity-5:focus::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .md\\:focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .md\\:focus\\:placeholder-opacity-10:focus::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .md\\:focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .md\\:focus\\:placeholder-opacity-20:focus::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .md\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .md\\:focus\\:placeholder-opacity-25:focus::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .md\\:focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .md\\:focus\\:placeholder-opacity-30:focus::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .md\\:focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .md\\:focus\\:placeholder-opacity-40:focus::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .md\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .md\\:focus\\:placeholder-opacity-50:focus::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .md\\:focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .md\\:focus\\:placeholder-opacity-60:focus::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .md\\:focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .md\\:focus\\:placeholder-opacity-70:focus::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .md\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .md\\:focus\\:placeholder-opacity-75:focus::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .md\\:focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .md\\:focus\\:placeholder-opacity-80:focus::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .md\\:focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .md\\:focus\\:placeholder-opacity-90:focus::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .md\\:focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .md\\:focus\\:placeholder-opacity-95:focus::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .md\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .md\\:focus\\:placeholder-opacity-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .md\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .md\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .md\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .md\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .md\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .md\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .md\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .md\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .md\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .md\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .md\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .md\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .md\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .md\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .md\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .group:hover .md\\:group-hover\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .md\\:focus-within\\:opacity-0:focus-within {\n    opacity: 0;\n  }\n\n  .md\\:focus-within\\:opacity-5:focus-within {\n    opacity: 0.05;\n  }\n\n  .md\\:focus-within\\:opacity-10:focus-within {\n    opacity: 0.1;\n  }\n\n  .md\\:focus-within\\:opacity-20:focus-within {\n    opacity: 0.2;\n  }\n\n  .md\\:focus-within\\:opacity-25:focus-within {\n    opacity: 0.25;\n  }\n\n  .md\\:focus-within\\:opacity-30:focus-within {\n    opacity: 0.3;\n  }\n\n  .md\\:focus-within\\:opacity-40:focus-within {\n    opacity: 0.4;\n  }\n\n  .md\\:focus-within\\:opacity-50:focus-within {\n    opacity: 0.5;\n  }\n\n  .md\\:focus-within\\:opacity-60:focus-within {\n    opacity: 0.6;\n  }\n\n  .md\\:focus-within\\:opacity-70:focus-within {\n    opacity: 0.7;\n  }\n\n  .md\\:focus-within\\:opacity-75:focus-within {\n    opacity: 0.75;\n  }\n\n  .md\\:focus-within\\:opacity-80:focus-within {\n    opacity: 0.8;\n  }\n\n  .md\\:focus-within\\:opacity-90:focus-within {\n    opacity: 0.9;\n  }\n\n  .md\\:focus-within\\:opacity-95:focus-within {\n    opacity: 0.95;\n  }\n\n  .md\\:focus-within\\:opacity-100:focus-within {\n    opacity: 1;\n  }\n\n  .md\\:hover\\:opacity-0:hover {\n    opacity: 0;\n  }\n\n  .md\\:hover\\:opacity-5:hover {\n    opacity: 0.05;\n  }\n\n  .md\\:hover\\:opacity-10:hover {\n    opacity: 0.1;\n  }\n\n  .md\\:hover\\:opacity-20:hover {\n    opacity: 0.2;\n  }\n\n  .md\\:hover\\:opacity-25:hover {\n    opacity: 0.25;\n  }\n\n  .md\\:hover\\:opacity-30:hover {\n    opacity: 0.3;\n  }\n\n  .md\\:hover\\:opacity-40:hover {\n    opacity: 0.4;\n  }\n\n  .md\\:hover\\:opacity-50:hover {\n    opacity: 0.5;\n  }\n\n  .md\\:hover\\:opacity-60:hover {\n    opacity: 0.6;\n  }\n\n  .md\\:hover\\:opacity-70:hover {\n    opacity: 0.7;\n  }\n\n  .md\\:hover\\:opacity-75:hover {\n    opacity: 0.75;\n  }\n\n  .md\\:hover\\:opacity-80:hover {\n    opacity: 0.8;\n  }\n\n  .md\\:hover\\:opacity-90:hover {\n    opacity: 0.9;\n  }\n\n  .md\\:hover\\:opacity-95:hover {\n    opacity: 0.95;\n  }\n\n  .md\\:hover\\:opacity-100:hover {\n    opacity: 1;\n  }\n\n  .md\\:focus\\:opacity-0:focus {\n    opacity: 0;\n  }\n\n  .md\\:focus\\:opacity-5:focus {\n    opacity: 0.05;\n  }\n\n  .md\\:focus\\:opacity-10:focus {\n    opacity: 0.1;\n  }\n\n  .md\\:focus\\:opacity-20:focus {\n    opacity: 0.2;\n  }\n\n  .md\\:focus\\:opacity-25:focus {\n    opacity: 0.25;\n  }\n\n  .md\\:focus\\:opacity-30:focus {\n    opacity: 0.3;\n  }\n\n  .md\\:focus\\:opacity-40:focus {\n    opacity: 0.4;\n  }\n\n  .md\\:focus\\:opacity-50:focus {\n    opacity: 0.5;\n  }\n\n  .md\\:focus\\:opacity-60:focus {\n    opacity: 0.6;\n  }\n\n  .md\\:focus\\:opacity-70:focus {\n    opacity: 0.7;\n  }\n\n  .md\\:focus\\:opacity-75:focus {\n    opacity: 0.75;\n  }\n\n  .md\\:focus\\:opacity-80:focus {\n    opacity: 0.8;\n  }\n\n  .md\\:focus\\:opacity-90:focus {\n    opacity: 0.9;\n  }\n\n  .md\\:focus\\:opacity-95:focus {\n    opacity: 0.95;\n  }\n\n  .md\\:focus\\:opacity-100:focus {\n    opacity: 1;\n  }\n\n  .md\\:bg-blend-normal {\n    background-blend-mode: normal;\n  }\n\n  .md\\:bg-blend-multiply {\n    background-blend-mode: multiply;\n  }\n\n  .md\\:bg-blend-screen {\n    background-blend-mode: screen;\n  }\n\n  .md\\:bg-blend-overlay {\n    background-blend-mode: overlay;\n  }\n\n  .md\\:bg-blend-darken {\n    background-blend-mode: darken;\n  }\n\n  .md\\:bg-blend-lighten {\n    background-blend-mode: lighten;\n  }\n\n  .md\\:bg-blend-color-dodge {\n    background-blend-mode: color-dodge;\n  }\n\n  .md\\:bg-blend-color-burn {\n    background-blend-mode: color-burn;\n  }\n\n  .md\\:bg-blend-hard-light {\n    background-blend-mode: hard-light;\n  }\n\n  .md\\:bg-blend-soft-light {\n    background-blend-mode: soft-light;\n  }\n\n  .md\\:bg-blend-difference {\n    background-blend-mode: difference;\n  }\n\n  .md\\:bg-blend-exclusion {\n    background-blend-mode: exclusion;\n  }\n\n  .md\\:bg-blend-hue {\n    background-blend-mode: hue;\n  }\n\n  .md\\:bg-blend-saturation {\n    background-blend-mode: saturation;\n  }\n\n  .md\\:bg-blend-color {\n    background-blend-mode: color;\n  }\n\n  .md\\:bg-blend-luminosity {\n    background-blend-mode: luminosity;\n  }\n\n  .md\\:mix-blend-normal {\n    mix-blend-mode: normal;\n  }\n\n  .md\\:mix-blend-multiply {\n    mix-blend-mode: multiply;\n  }\n\n  .md\\:mix-blend-screen {\n    mix-blend-mode: screen;\n  }\n\n  .md\\:mix-blend-overlay {\n    mix-blend-mode: overlay;\n  }\n\n  .md\\:mix-blend-darken {\n    mix-blend-mode: darken;\n  }\n\n  .md\\:mix-blend-lighten {\n    mix-blend-mode: lighten;\n  }\n\n  .md\\:mix-blend-color-dodge {\n    mix-blend-mode: color-dodge;\n  }\n\n  .md\\:mix-blend-color-burn {\n    mix-blend-mode: color-burn;\n  }\n\n  .md\\:mix-blend-hard-light {\n    mix-blend-mode: hard-light;\n  }\n\n  .md\\:mix-blend-soft-light {\n    mix-blend-mode: soft-light;\n  }\n\n  .md\\:mix-blend-difference {\n    mix-blend-mode: difference;\n  }\n\n  .md\\:mix-blend-exclusion {\n    mix-blend-mode: exclusion;\n  }\n\n  .md\\:mix-blend-hue {\n    mix-blend-mode: hue;\n  }\n\n  .md\\:mix-blend-saturation {\n    mix-blend-mode: saturation;\n  }\n\n  .md\\:mix-blend-color {\n    mix-blend-mode: color;\n  }\n\n  .md\\:mix-blend-luminosity {\n    mix-blend-mode: luminosity;\n  }\n\n  .md\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .md\\:group-hover\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-sm:focus-within {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow:focus-within {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-md:focus-within {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-lg:focus-within {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-xl:focus-within {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-2xl:focus-within {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-inner:focus-within {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus-within\\:shadow-none:focus-within {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-sm:hover {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow:hover {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-md:hover {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-lg:hover {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-xl:hover {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-2xl:hover {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-inner:hover {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:hover\\:shadow-none:hover {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-sm:focus {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow:focus {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-md:focus {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-lg:focus {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-xl:focus {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-2xl:focus {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-inner:focus {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:focus\\:shadow-none:focus {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .md\\:outline-none {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .md\\:outline-white {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .md\\:outline-black {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus-within\\:outline-none:focus-within {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus-within\\:outline-white:focus-within {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus-within\\:outline-black:focus-within {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus\\:outline-none:focus {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus\\:outline-white:focus {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .md\\:focus\\:outline-black:focus {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .md\\:ring-0 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring-1 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring-2 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring-4 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring-8 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring-0:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring-1:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring-2:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring-4:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring-8:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus-within\\:ring:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring-0:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring-1:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring-2:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring-4:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring-8:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:focus\\:ring:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .md\\:ring-inset {\n    --tw-ring-inset: inset;\n  }\n\n  .md\\:focus-within\\:ring-inset:focus-within {\n    --tw-ring-inset: inset;\n  }\n\n  .md\\:focus\\:ring-inset:focus {\n    --tw-ring-inset: inset;\n  }\n\n  .md\\:ring-transparent {\n    --tw-ring-color: transparent;\n  }\n\n  .md\\:ring-current {\n    --tw-ring-color: currentColor;\n  }\n\n  .md\\:ring-black {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-white {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-gray-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-red-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-yellow-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-green-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-blue-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-indigo-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-purple-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-pink-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-origin-protocol-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-origin-protocol-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-ousd-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-ousd-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-ousd-button-dark-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-ousd-button-dark-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-story-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-story-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-story-pink-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-story-pink-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-footer-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-transparent:focus-within {\n    --tw-ring-color: transparent;\n  }\n\n  .md\\:focus-within\\:ring-current:focus-within {\n    --tw-ring-color: currentColor;\n  }\n\n  .md\\:focus-within\\:ring-black:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-white:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-gray-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-red-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-yellow-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-green-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-blue-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-indigo-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-purple-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-pink-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-origin-protocol-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-origin-protocol-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-ousd-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-ousd-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-ousd-button-dark-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-ousd-button-dark-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-story-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-story-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-story-pink-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-story-pink-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus-within\\:ring-footer-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-transparent:focus {\n    --tw-ring-color: transparent;\n  }\n\n  .md\\:focus\\:ring-current:focus {\n    --tw-ring-color: currentColor;\n  }\n\n  .md\\:focus\\:ring-black:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-white:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-gray-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-red-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-yellow-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-green-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-blue-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-indigo-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-purple-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-pink-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-origin-protocol-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-origin-protocol-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-ousd-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-ousd-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-ousd-button-dark-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-ousd-button-dark-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-story-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-story-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-story-pink-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-story-pink-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .md\\:focus\\:ring-footer-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .md\\:ring-opacity-0 {\n    --tw-ring-opacity: 0;\n  }\n\n  .md\\:ring-opacity-5 {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .md\\:ring-opacity-10 {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .md\\:ring-opacity-20 {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .md\\:ring-opacity-25 {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .md\\:ring-opacity-30 {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .md\\:ring-opacity-40 {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .md\\:ring-opacity-50 {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .md\\:ring-opacity-60 {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .md\\:ring-opacity-70 {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .md\\:ring-opacity-75 {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .md\\:ring-opacity-80 {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .md\\:ring-opacity-90 {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .md\\:ring-opacity-95 {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .md\\:ring-opacity-100 {\n    --tw-ring-opacity: 1;\n  }\n\n  .md\\:focus-within\\:ring-opacity-0:focus-within {\n    --tw-ring-opacity: 0;\n  }\n\n  .md\\:focus-within\\:ring-opacity-5:focus-within {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .md\\:focus-within\\:ring-opacity-10:focus-within {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .md\\:focus-within\\:ring-opacity-20:focus-within {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .md\\:focus-within\\:ring-opacity-25:focus-within {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .md\\:focus-within\\:ring-opacity-30:focus-within {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .md\\:focus-within\\:ring-opacity-40:focus-within {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .md\\:focus-within\\:ring-opacity-50:focus-within {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .md\\:focus-within\\:ring-opacity-60:focus-within {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .md\\:focus-within\\:ring-opacity-70:focus-within {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .md\\:focus-within\\:ring-opacity-75:focus-within {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .md\\:focus-within\\:ring-opacity-80:focus-within {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .md\\:focus-within\\:ring-opacity-90:focus-within {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .md\\:focus-within\\:ring-opacity-95:focus-within {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .md\\:focus-within\\:ring-opacity-100:focus-within {\n    --tw-ring-opacity: 1;\n  }\n\n  .md\\:focus\\:ring-opacity-0:focus {\n    --tw-ring-opacity: 0;\n  }\n\n  .md\\:focus\\:ring-opacity-5:focus {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .md\\:focus\\:ring-opacity-10:focus {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .md\\:focus\\:ring-opacity-20:focus {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .md\\:focus\\:ring-opacity-25:focus {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .md\\:focus\\:ring-opacity-30:focus {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .md\\:focus\\:ring-opacity-40:focus {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .md\\:focus\\:ring-opacity-50:focus {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .md\\:focus\\:ring-opacity-60:focus {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .md\\:focus\\:ring-opacity-70:focus {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .md\\:focus\\:ring-opacity-75:focus {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .md\\:focus\\:ring-opacity-80:focus {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .md\\:focus\\:ring-opacity-90:focus {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .md\\:focus\\:ring-opacity-95:focus {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .md\\:focus\\:ring-opacity-100:focus {\n    --tw-ring-opacity: 1;\n  }\n\n  .md\\:ring-offset-0 {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .md\\:ring-offset-1 {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .md\\:ring-offset-2 {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .md\\:ring-offset-4 {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .md\\:ring-offset-8 {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .md\\:focus-within\\:ring-offset-0:focus-within {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .md\\:focus-within\\:ring-offset-1:focus-within {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .md\\:focus-within\\:ring-offset-2:focus-within {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .md\\:focus-within\\:ring-offset-4:focus-within {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .md\\:focus-within\\:ring-offset-8:focus-within {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .md\\:focus\\:ring-offset-0:focus {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .md\\:focus\\:ring-offset-1:focus {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .md\\:focus\\:ring-offset-2:focus {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .md\\:focus\\:ring-offset-4:focus {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .md\\:focus\\:ring-offset-8:focus {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .md\\:ring-offset-transparent {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .md\\:ring-offset-current {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .md\\:ring-offset-black {\n    --tw-ring-offset-color: #000;\n  }\n\n  .md\\:ring-offset-white {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .md\\:ring-offset-gray-50 {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .md\\:ring-offset-gray-100 {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .md\\:ring-offset-gray-200 {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .md\\:ring-offset-gray-300 {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .md\\:ring-offset-gray-400 {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .md\\:ring-offset-gray-500 {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .md\\:ring-offset-gray-600 {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .md\\:ring-offset-gray-700 {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .md\\:ring-offset-gray-800 {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .md\\:ring-offset-gray-900 {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .md\\:ring-offset-red-50 {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .md\\:ring-offset-red-100 {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .md\\:ring-offset-red-200 {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .md\\:ring-offset-red-300 {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .md\\:ring-offset-red-400 {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .md\\:ring-offset-red-500 {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .md\\:ring-offset-red-600 {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .md\\:ring-offset-red-700 {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .md\\:ring-offset-red-800 {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .md\\:ring-offset-red-900 {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .md\\:ring-offset-yellow-50 {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .md\\:ring-offset-yellow-100 {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .md\\:ring-offset-yellow-200 {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .md\\:ring-offset-yellow-300 {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .md\\:ring-offset-yellow-400 {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .md\\:ring-offset-yellow-500 {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .md\\:ring-offset-yellow-600 {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .md\\:ring-offset-yellow-700 {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .md\\:ring-offset-yellow-800 {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .md\\:ring-offset-yellow-900 {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .md\\:ring-offset-green-50 {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .md\\:ring-offset-green-100 {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .md\\:ring-offset-green-200 {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .md\\:ring-offset-green-300 {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .md\\:ring-offset-green-400 {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .md\\:ring-offset-green-500 {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .md\\:ring-offset-green-600 {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .md\\:ring-offset-green-700 {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .md\\:ring-offset-green-800 {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .md\\:ring-offset-green-900 {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .md\\:ring-offset-blue-50 {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .md\\:ring-offset-blue-100 {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .md\\:ring-offset-blue-200 {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .md\\:ring-offset-blue-300 {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .md\\:ring-offset-blue-400 {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .md\\:ring-offset-blue-500 {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .md\\:ring-offset-blue-600 {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .md\\:ring-offset-blue-700 {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .md\\:ring-offset-blue-800 {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .md\\:ring-offset-blue-900 {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .md\\:ring-offset-indigo-50 {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .md\\:ring-offset-indigo-100 {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .md\\:ring-offset-indigo-200 {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .md\\:ring-offset-indigo-300 {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .md\\:ring-offset-indigo-400 {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .md\\:ring-offset-indigo-500 {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .md\\:ring-offset-indigo-600 {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .md\\:ring-offset-indigo-700 {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .md\\:ring-offset-indigo-800 {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .md\\:ring-offset-indigo-900 {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .md\\:ring-offset-purple-50 {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .md\\:ring-offset-purple-100 {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .md\\:ring-offset-purple-200 {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .md\\:ring-offset-purple-300 {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .md\\:ring-offset-purple-400 {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .md\\:ring-offset-purple-500 {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .md\\:ring-offset-purple-600 {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .md\\:ring-offset-purple-700 {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .md\\:ring-offset-purple-800 {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .md\\:ring-offset-purple-900 {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .md\\:ring-offset-pink-50 {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .md\\:ring-offset-pink-100 {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .md\\:ring-offset-pink-200 {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .md\\:ring-offset-pink-300 {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .md\\:ring-offset-pink-400 {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .md\\:ring-offset-pink-500 {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .md\\:ring-offset-pink-600 {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .md\\:ring-offset-pink-700 {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .md\\:ring-offset-pink-800 {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .md\\:ring-offset-pink-900 {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .md\\:ring-offset-origin-protocol-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:ring-offset-origin-protocol-button-end {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .md\\:ring-offset-ousd-button-start {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .md\\:ring-offset-ousd-button-end {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .md\\:ring-offset-ousd-button-dark-start {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .md\\:ring-offset-ousd-button-dark-end {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .md\\:ring-offset-story-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:ring-offset-story-button-end {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .md\\:ring-offset-story-pink-start {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .md\\:ring-offset-story-pink-end {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .md\\:ring-offset-footer-end {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .md\\:focus-within\\:ring-offset-transparent:focus-within {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .md\\:focus-within\\:ring-offset-current:focus-within {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .md\\:focus-within\\:ring-offset-black:focus-within {\n    --tw-ring-offset-color: #000;\n  }\n\n  .md\\:focus-within\\:ring-offset-white:focus-within {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-50:focus-within {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-100:focus-within {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-200:focus-within {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-300:focus-within {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-400:focus-within {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-500:focus-within {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-600:focus-within {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-700:focus-within {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-800:focus-within {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .md\\:focus-within\\:ring-offset-gray-900:focus-within {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-50:focus-within {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-100:focus-within {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-200:focus-within {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-300:focus-within {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-400:focus-within {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-500:focus-within {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-600:focus-within {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-700:focus-within {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-800:focus-within {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .md\\:focus-within\\:ring-offset-red-900:focus-within {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-50:focus-within {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-100:focus-within {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-200:focus-within {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-300:focus-within {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-400:focus-within {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-500:focus-within {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-600:focus-within {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-700:focus-within {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-800:focus-within {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .md\\:focus-within\\:ring-offset-yellow-900:focus-within {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-50:focus-within {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-100:focus-within {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-200:focus-within {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-300:focus-within {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-400:focus-within {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-500:focus-within {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-600:focus-within {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-700:focus-within {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-800:focus-within {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .md\\:focus-within\\:ring-offset-green-900:focus-within {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-50:focus-within {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-100:focus-within {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-200:focus-within {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-300:focus-within {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-400:focus-within {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-500:focus-within {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-600:focus-within {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-700:focus-within {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-800:focus-within {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .md\\:focus-within\\:ring-offset-blue-900:focus-within {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-50:focus-within {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-100:focus-within {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-200:focus-within {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-300:focus-within {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-400:focus-within {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-500:focus-within {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-600:focus-within {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-700:focus-within {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-800:focus-within {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .md\\:focus-within\\:ring-offset-indigo-900:focus-within {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-50:focus-within {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-100:focus-within {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-200:focus-within {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-300:focus-within {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-400:focus-within {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-500:focus-within {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-600:focus-within {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-700:focus-within {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-800:focus-within {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .md\\:focus-within\\:ring-offset-purple-900:focus-within {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-50:focus-within {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-100:focus-within {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-200:focus-within {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-300:focus-within {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-400:focus-within {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-500:focus-within {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-600:focus-within {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-700:focus-within {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-800:focus-within {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .md\\:focus-within\\:ring-offset-pink-900:focus-within {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .md\\:focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .md\\:focus-within\\:ring-offset-ousd-button-start:focus-within {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .md\\:focus-within\\:ring-offset-ousd-button-end:focus-within {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .md\\:focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .md\\:focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .md\\:focus-within\\:ring-offset-story-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:focus-within\\:ring-offset-story-button-end:focus-within {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .md\\:focus-within\\:ring-offset-story-pink-start:focus-within {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .md\\:focus-within\\:ring-offset-story-pink-end:focus-within {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .md\\:focus-within\\:ring-offset-footer-end:focus-within {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .md\\:focus\\:ring-offset-transparent:focus {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .md\\:focus\\:ring-offset-current:focus {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .md\\:focus\\:ring-offset-black:focus {\n    --tw-ring-offset-color: #000;\n  }\n\n  .md\\:focus\\:ring-offset-white:focus {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .md\\:focus\\:ring-offset-gray-50:focus {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .md\\:focus\\:ring-offset-gray-100:focus {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .md\\:focus\\:ring-offset-gray-200:focus {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .md\\:focus\\:ring-offset-gray-300:focus {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .md\\:focus\\:ring-offset-gray-400:focus {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .md\\:focus\\:ring-offset-gray-500:focus {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .md\\:focus\\:ring-offset-gray-600:focus {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .md\\:focus\\:ring-offset-gray-700:focus {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .md\\:focus\\:ring-offset-gray-800:focus {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .md\\:focus\\:ring-offset-gray-900:focus {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .md\\:focus\\:ring-offset-red-50:focus {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .md\\:focus\\:ring-offset-red-100:focus {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .md\\:focus\\:ring-offset-red-200:focus {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .md\\:focus\\:ring-offset-red-300:focus {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .md\\:focus\\:ring-offset-red-400:focus {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .md\\:focus\\:ring-offset-red-500:focus {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .md\\:focus\\:ring-offset-red-600:focus {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .md\\:focus\\:ring-offset-red-700:focus {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .md\\:focus\\:ring-offset-red-800:focus {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .md\\:focus\\:ring-offset-red-900:focus {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-50:focus {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-100:focus {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-200:focus {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-300:focus {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-400:focus {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-500:focus {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-600:focus {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-700:focus {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-800:focus {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .md\\:focus\\:ring-offset-yellow-900:focus {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .md\\:focus\\:ring-offset-green-50:focus {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .md\\:focus\\:ring-offset-green-100:focus {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .md\\:focus\\:ring-offset-green-200:focus {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .md\\:focus\\:ring-offset-green-300:focus {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .md\\:focus\\:ring-offset-green-400:focus {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .md\\:focus\\:ring-offset-green-500:focus {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .md\\:focus\\:ring-offset-green-600:focus {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .md\\:focus\\:ring-offset-green-700:focus {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .md\\:focus\\:ring-offset-green-800:focus {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .md\\:focus\\:ring-offset-green-900:focus {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .md\\:focus\\:ring-offset-blue-50:focus {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .md\\:focus\\:ring-offset-blue-100:focus {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .md\\:focus\\:ring-offset-blue-200:focus {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .md\\:focus\\:ring-offset-blue-300:focus {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .md\\:focus\\:ring-offset-blue-400:focus {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .md\\:focus\\:ring-offset-blue-500:focus {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .md\\:focus\\:ring-offset-blue-600:focus {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .md\\:focus\\:ring-offset-blue-700:focus {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .md\\:focus\\:ring-offset-blue-800:focus {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .md\\:focus\\:ring-offset-blue-900:focus {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-50:focus {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-100:focus {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-200:focus {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-300:focus {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-400:focus {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-500:focus {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-600:focus {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-700:focus {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-800:focus {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .md\\:focus\\:ring-offset-indigo-900:focus {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .md\\:focus\\:ring-offset-purple-50:focus {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .md\\:focus\\:ring-offset-purple-100:focus {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .md\\:focus\\:ring-offset-purple-200:focus {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .md\\:focus\\:ring-offset-purple-300:focus {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .md\\:focus\\:ring-offset-purple-400:focus {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .md\\:focus\\:ring-offset-purple-500:focus {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .md\\:focus\\:ring-offset-purple-600:focus {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .md\\:focus\\:ring-offset-purple-700:focus {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .md\\:focus\\:ring-offset-purple-800:focus {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .md\\:focus\\:ring-offset-purple-900:focus {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .md\\:focus\\:ring-offset-pink-50:focus {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .md\\:focus\\:ring-offset-pink-100:focus {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .md\\:focus\\:ring-offset-pink-200:focus {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .md\\:focus\\:ring-offset-pink-300:focus {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .md\\:focus\\:ring-offset-pink-400:focus {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .md\\:focus\\:ring-offset-pink-500:focus {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .md\\:focus\\:ring-offset-pink-600:focus {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .md\\:focus\\:ring-offset-pink-700:focus {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .md\\:focus\\:ring-offset-pink-800:focus {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .md\\:focus\\:ring-offset-pink-900:focus {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .md\\:focus\\:ring-offset-origin-protocol-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:focus\\:ring-offset-origin-protocol-button-end:focus {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .md\\:focus\\:ring-offset-ousd-button-start:focus {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .md\\:focus\\:ring-offset-ousd-button-end:focus {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .md\\:focus\\:ring-offset-ousd-button-dark-start:focus {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .md\\:focus\\:ring-offset-ousd-button-dark-end:focus {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .md\\:focus\\:ring-offset-story-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .md\\:focus\\:ring-offset-story-button-end:focus {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .md\\:focus\\:ring-offset-story-pink-start:focus {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .md\\:focus\\:ring-offset-story-pink-end:focus {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .md\\:focus\\:ring-offset-footer-end:focus {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .md\\:filter {\n    --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n    --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n  }\n\n  .md\\:filter-none {\n    filter: none;\n  }\n\n  .md\\:blur-0 {\n    --tw-blur: blur(0);\n  }\n\n  .md\\:blur-none {\n    --tw-blur: blur(0);\n  }\n\n  .md\\:blur-sm {\n    --tw-blur: blur(4px);\n  }\n\n  .md\\:blur {\n    --tw-blur: blur(8px);\n  }\n\n  .md\\:blur-md {\n    --tw-blur: blur(12px);\n  }\n\n  .md\\:blur-lg {\n    --tw-blur: blur(16px);\n  }\n\n  .md\\:blur-xl {\n    --tw-blur: blur(24px);\n  }\n\n  .md\\:blur-2xl {\n    --tw-blur: blur(40px);\n  }\n\n  .md\\:blur-3xl {\n    --tw-blur: blur(64px);\n  }\n\n  .md\\:brightness-0 {\n    --tw-brightness: brightness(0);\n  }\n\n  .md\\:brightness-50 {\n    --tw-brightness: brightness(.5);\n  }\n\n  .md\\:brightness-75 {\n    --tw-brightness: brightness(.75);\n  }\n\n  .md\\:brightness-90 {\n    --tw-brightness: brightness(.9);\n  }\n\n  .md\\:brightness-95 {\n    --tw-brightness: brightness(.95);\n  }\n\n  .md\\:brightness-100 {\n    --tw-brightness: brightness(1);\n  }\n\n  .md\\:brightness-105 {\n    --tw-brightness: brightness(1.05);\n  }\n\n  .md\\:brightness-110 {\n    --tw-brightness: brightness(1.1);\n  }\n\n  .md\\:brightness-125 {\n    --tw-brightness: brightness(1.25);\n  }\n\n  .md\\:brightness-150 {\n    --tw-brightness: brightness(1.5);\n  }\n\n  .md\\:brightness-200 {\n    --tw-brightness: brightness(2);\n  }\n\n  .md\\:contrast-0 {\n    --tw-contrast: contrast(0);\n  }\n\n  .md\\:contrast-50 {\n    --tw-contrast: contrast(.5);\n  }\n\n  .md\\:contrast-75 {\n    --tw-contrast: contrast(.75);\n  }\n\n  .md\\:contrast-100 {\n    --tw-contrast: contrast(1);\n  }\n\n  .md\\:contrast-125 {\n    --tw-contrast: contrast(1.25);\n  }\n\n  .md\\:contrast-150 {\n    --tw-contrast: contrast(1.5);\n  }\n\n  .md\\:contrast-200 {\n    --tw-contrast: contrast(2);\n  }\n\n  .md\\:drop-shadow-sm {\n    --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n  }\n\n  .md\\:drop-shadow {\n    --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n  }\n\n  .md\\:drop-shadow-md {\n    --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n  }\n\n  .md\\:drop-shadow-lg {\n    --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n  }\n\n  .md\\:drop-shadow-xl {\n    --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n  }\n\n  .md\\:drop-shadow-2xl {\n    --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n  }\n\n  .md\\:drop-shadow-none {\n    --tw-drop-shadow: drop-shadow(0 0 #0000);\n  }\n\n  .md\\:grayscale-0 {\n    --tw-grayscale: grayscale(0);\n  }\n\n  .md\\:grayscale {\n    --tw-grayscale: grayscale(100%);\n  }\n\n  .md\\:hue-rotate-0 {\n    --tw-hue-rotate: hue-rotate(0deg);\n  }\n\n  .md\\:hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(15deg);\n  }\n\n  .md\\:hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(30deg);\n  }\n\n  .md\\:hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(60deg);\n  }\n\n  .md\\:hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(90deg);\n  }\n\n  .md\\:hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(180deg);\n  }\n\n  .md\\:-hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .md\\:-hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .md\\:-hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .md\\:-hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .md\\:-hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .md\\:invert-0 {\n    --tw-invert: invert(0);\n  }\n\n  .md\\:invert {\n    --tw-invert: invert(100%);\n  }\n\n  .md\\:saturate-0 {\n    --tw-saturate: saturate(0);\n  }\n\n  .md\\:saturate-50 {\n    --tw-saturate: saturate(.5);\n  }\n\n  .md\\:saturate-100 {\n    --tw-saturate: saturate(1);\n  }\n\n  .md\\:saturate-150 {\n    --tw-saturate: saturate(1.5);\n  }\n\n  .md\\:saturate-200 {\n    --tw-saturate: saturate(2);\n  }\n\n  .md\\:sepia-0 {\n    --tw-sepia: sepia(0);\n  }\n\n  .md\\:sepia {\n    --tw-sepia: sepia(100%);\n  }\n\n  .md\\:backdrop-filter {\n    --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n    -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n            backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n  }\n\n  .md\\:backdrop-filter-none {\n    -webkit-backdrop-filter: none;\n            backdrop-filter: none;\n  }\n\n  .md\\:backdrop-blur-0 {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .md\\:backdrop-blur-none {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .md\\:backdrop-blur-sm {\n    --tw-backdrop-blur: blur(4px);\n  }\n\n  .md\\:backdrop-blur {\n    --tw-backdrop-blur: blur(8px);\n  }\n\n  .md\\:backdrop-blur-md {\n    --tw-backdrop-blur: blur(12px);\n  }\n\n  .md\\:backdrop-blur-lg {\n    --tw-backdrop-blur: blur(16px);\n  }\n\n  .md\\:backdrop-blur-xl {\n    --tw-backdrop-blur: blur(24px);\n  }\n\n  .md\\:backdrop-blur-2xl {\n    --tw-backdrop-blur: blur(40px);\n  }\n\n  .md\\:backdrop-blur-3xl {\n    --tw-backdrop-blur: blur(64px);\n  }\n\n  .md\\:backdrop-brightness-0 {\n    --tw-backdrop-brightness: brightness(0);\n  }\n\n  .md\\:backdrop-brightness-50 {\n    --tw-backdrop-brightness: brightness(.5);\n  }\n\n  .md\\:backdrop-brightness-75 {\n    --tw-backdrop-brightness: brightness(.75);\n  }\n\n  .md\\:backdrop-brightness-90 {\n    --tw-backdrop-brightness: brightness(.9);\n  }\n\n  .md\\:backdrop-brightness-95 {\n    --tw-backdrop-brightness: brightness(.95);\n  }\n\n  .md\\:backdrop-brightness-100 {\n    --tw-backdrop-brightness: brightness(1);\n  }\n\n  .md\\:backdrop-brightness-105 {\n    --tw-backdrop-brightness: brightness(1.05);\n  }\n\n  .md\\:backdrop-brightness-110 {\n    --tw-backdrop-brightness: brightness(1.1);\n  }\n\n  .md\\:backdrop-brightness-125 {\n    --tw-backdrop-brightness: brightness(1.25);\n  }\n\n  .md\\:backdrop-brightness-150 {\n    --tw-backdrop-brightness: brightness(1.5);\n  }\n\n  .md\\:backdrop-brightness-200 {\n    --tw-backdrop-brightness: brightness(2);\n  }\n\n  .md\\:backdrop-contrast-0 {\n    --tw-backdrop-contrast: contrast(0);\n  }\n\n  .md\\:backdrop-contrast-50 {\n    --tw-backdrop-contrast: contrast(.5);\n  }\n\n  .md\\:backdrop-contrast-75 {\n    --tw-backdrop-contrast: contrast(.75);\n  }\n\n  .md\\:backdrop-contrast-100 {\n    --tw-backdrop-contrast: contrast(1);\n  }\n\n  .md\\:backdrop-contrast-125 {\n    --tw-backdrop-contrast: contrast(1.25);\n  }\n\n  .md\\:backdrop-contrast-150 {\n    --tw-backdrop-contrast: contrast(1.5);\n  }\n\n  .md\\:backdrop-contrast-200 {\n    --tw-backdrop-contrast: contrast(2);\n  }\n\n  .md\\:backdrop-grayscale-0 {\n    --tw-backdrop-grayscale: grayscale(0);\n  }\n\n  .md\\:backdrop-grayscale {\n    --tw-backdrop-grayscale: grayscale(100%);\n  }\n\n  .md\\:backdrop-hue-rotate-0 {\n    --tw-backdrop-hue-rotate: hue-rotate(0deg);\n  }\n\n  .md\\:backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(15deg);\n  }\n\n  .md\\:backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(30deg);\n  }\n\n  .md\\:backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(60deg);\n  }\n\n  .md\\:backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(90deg);\n  }\n\n  .md\\:backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(180deg);\n  }\n\n  .md\\:-backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .md\\:-backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .md\\:-backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .md\\:-backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .md\\:-backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .md\\:backdrop-invert-0 {\n    --tw-backdrop-invert: invert(0);\n  }\n\n  .md\\:backdrop-invert {\n    --tw-backdrop-invert: invert(100%);\n  }\n\n  .md\\:backdrop-opacity-0 {\n    --tw-backdrop-opacity: opacity(0);\n  }\n\n  .md\\:backdrop-opacity-5 {\n    --tw-backdrop-opacity: opacity(0.05);\n  }\n\n  .md\\:backdrop-opacity-10 {\n    --tw-backdrop-opacity: opacity(0.1);\n  }\n\n  .md\\:backdrop-opacity-20 {\n    --tw-backdrop-opacity: opacity(0.2);\n  }\n\n  .md\\:backdrop-opacity-25 {\n    --tw-backdrop-opacity: opacity(0.25);\n  }\n\n  .md\\:backdrop-opacity-30 {\n    --tw-backdrop-opacity: opacity(0.3);\n  }\n\n  .md\\:backdrop-opacity-40 {\n    --tw-backdrop-opacity: opacity(0.4);\n  }\n\n  .md\\:backdrop-opacity-50 {\n    --tw-backdrop-opacity: opacity(0.5);\n  }\n\n  .md\\:backdrop-opacity-60 {\n    --tw-backdrop-opacity: opacity(0.6);\n  }\n\n  .md\\:backdrop-opacity-70 {\n    --tw-backdrop-opacity: opacity(0.7);\n  }\n\n  .md\\:backdrop-opacity-75 {\n    --tw-backdrop-opacity: opacity(0.75);\n  }\n\n  .md\\:backdrop-opacity-80 {\n    --tw-backdrop-opacity: opacity(0.8);\n  }\n\n  .md\\:backdrop-opacity-90 {\n    --tw-backdrop-opacity: opacity(0.9);\n  }\n\n  .md\\:backdrop-opacity-95 {\n    --tw-backdrop-opacity: opacity(0.95);\n  }\n\n  .md\\:backdrop-opacity-100 {\n    --tw-backdrop-opacity: opacity(1);\n  }\n\n  .md\\:backdrop-saturate-0 {\n    --tw-backdrop-saturate: saturate(0);\n  }\n\n  .md\\:backdrop-saturate-50 {\n    --tw-backdrop-saturate: saturate(.5);\n  }\n\n  .md\\:backdrop-saturate-100 {\n    --tw-backdrop-saturate: saturate(1);\n  }\n\n  .md\\:backdrop-saturate-150 {\n    --tw-backdrop-saturate: saturate(1.5);\n  }\n\n  .md\\:backdrop-saturate-200 {\n    --tw-backdrop-saturate: saturate(2);\n  }\n\n  .md\\:backdrop-sepia-0 {\n    --tw-backdrop-sepia: sepia(0);\n  }\n\n  .md\\:backdrop-sepia {\n    --tw-backdrop-sepia: sepia(100%);\n  }\n\n  .md\\:transition-none {\n    transition-property: none;\n  }\n\n  .md\\:transition-all {\n    transition-property: all;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:transition {\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:transition-colors {\n    transition-property: background-color, border-color, color, fill, stroke;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:transition-opacity {\n    transition-property: opacity;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:transition-shadow {\n    transition-property: box-shadow;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:transition-transform {\n    transition-property: transform;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .md\\:delay-75 {\n    transition-delay: 75ms;\n  }\n\n  .md\\:delay-100 {\n    transition-delay: 100ms;\n  }\n\n  .md\\:delay-150 {\n    transition-delay: 150ms;\n  }\n\n  .md\\:delay-200 {\n    transition-delay: 200ms;\n  }\n\n  .md\\:delay-300 {\n    transition-delay: 300ms;\n  }\n\n  .md\\:delay-500 {\n    transition-delay: 500ms;\n  }\n\n  .md\\:delay-700 {\n    transition-delay: 700ms;\n  }\n\n  .md\\:delay-1000 {\n    transition-delay: 1000ms;\n  }\n\n  .md\\:duration-75 {\n    transition-duration: 75ms;\n  }\n\n  .md\\:duration-100 {\n    transition-duration: 100ms;\n  }\n\n  .md\\:duration-150 {\n    transition-duration: 150ms;\n  }\n\n  .md\\:duration-200 {\n    transition-duration: 200ms;\n  }\n\n  .md\\:duration-300 {\n    transition-duration: 300ms;\n  }\n\n  .md\\:duration-500 {\n    transition-duration: 500ms;\n  }\n\n  .md\\:duration-700 {\n    transition-duration: 700ms;\n  }\n\n  .md\\:duration-1000 {\n    transition-duration: 1000ms;\n  }\n\n  .md\\:ease-linear {\n    transition-timing-function: linear;\n  }\n\n  .md\\:ease-in {\n    transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n  }\n\n  .md\\:ease-out {\n    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n  }\n\n  .md\\:ease-in-out {\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  }\n}\n\n@media (min-width: 1024px) {\n  .lg\\:container {\n    width: 100%;\n  }\n\n  @media (min-width: 640px) {\n    .lg\\:container {\n      max-width: 640px;\n    }\n  }\n\n  @media (min-width: 768px) {\n    .lg\\:container {\n      max-width: 768px;\n    }\n  }\n\n  @media (min-width: 1024px) {\n    .lg\\:container {\n      max-width: 1024px;\n    }\n  }\n\n  @media (min-width: 1280px) {\n    .lg\\:container {\n      max-width: 1280px;\n    }\n  }\n\n  @media (min-width: 1536px) {\n    .lg\\:container {\n      max-width: 1536px;\n    }\n  }\n\n  .lg\\:sr-only {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .lg\\:not-sr-only {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .lg\\:focus-within\\:sr-only:focus-within {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .lg\\:focus-within\\:not-sr-only:focus-within {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .lg\\:focus\\:sr-only:focus {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .lg\\:focus\\:not-sr-only:focus {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .lg\\:pointer-events-none {\n    pointer-events: none;\n  }\n\n  .lg\\:pointer-events-auto {\n    pointer-events: auto;\n  }\n\n  .lg\\:visible {\n    visibility: visible;\n  }\n\n  .lg\\:invisible {\n    visibility: hidden;\n  }\n\n  .lg\\:static {\n    position: static;\n  }\n\n  .lg\\:fixed {\n    position: fixed;\n  }\n\n  .lg\\:absolute {\n    position: absolute;\n  }\n\n  .lg\\:relative {\n    position: relative;\n  }\n\n  .lg\\:sticky {\n    position: sticky;\n  }\n\n  .lg\\:inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .lg\\:inset-1 {\n    top: 0.25rem;\n    right: 0.25rem;\n    bottom: 0.25rem;\n    left: 0.25rem;\n  }\n\n  .lg\\:inset-2 {\n    top: 0.5rem;\n    right: 0.5rem;\n    bottom: 0.5rem;\n    left: 0.5rem;\n  }\n\n  .lg\\:inset-3 {\n    top: 0.75rem;\n    right: 0.75rem;\n    bottom: 0.75rem;\n    left: 0.75rem;\n  }\n\n  .lg\\:inset-4 {\n    top: 1rem;\n    right: 1rem;\n    bottom: 1rem;\n    left: 1rem;\n  }\n\n  .lg\\:inset-5 {\n    top: 1.25rem;\n    right: 1.25rem;\n    bottom: 1.25rem;\n    left: 1.25rem;\n  }\n\n  .lg\\:inset-6 {\n    top: 1.5rem;\n    right: 1.5rem;\n    bottom: 1.5rem;\n    left: 1.5rem;\n  }\n\n  .lg\\:inset-7 {\n    top: 1.75rem;\n    right: 1.75rem;\n    bottom: 1.75rem;\n    left: 1.75rem;\n  }\n\n  .lg\\:inset-8 {\n    top: 2rem;\n    right: 2rem;\n    bottom: 2rem;\n    left: 2rem;\n  }\n\n  .lg\\:inset-9 {\n    top: 2.25rem;\n    right: 2.25rem;\n    bottom: 2.25rem;\n    left: 2.25rem;\n  }\n\n  .lg\\:inset-10 {\n    top: 2.5rem;\n    right: 2.5rem;\n    bottom: 2.5rem;\n    left: 2.5rem;\n  }\n\n  .lg\\:inset-11 {\n    top: 2.75rem;\n    right: 2.75rem;\n    bottom: 2.75rem;\n    left: 2.75rem;\n  }\n\n  .lg\\:inset-12 {\n    top: 3rem;\n    right: 3rem;\n    bottom: 3rem;\n    left: 3rem;\n  }\n\n  .lg\\:inset-14 {\n    top: 3.5rem;\n    right: 3.5rem;\n    bottom: 3.5rem;\n    left: 3.5rem;\n  }\n\n  .lg\\:inset-16 {\n    top: 4rem;\n    right: 4rem;\n    bottom: 4rem;\n    left: 4rem;\n  }\n\n  .lg\\:inset-20 {\n    top: 5rem;\n    right: 5rem;\n    bottom: 5rem;\n    left: 5rem;\n  }\n\n  .lg\\:inset-24 {\n    top: 6rem;\n    right: 6rem;\n    bottom: 6rem;\n    left: 6rem;\n  }\n\n  .lg\\:inset-28 {\n    top: 7rem;\n    right: 7rem;\n    bottom: 7rem;\n    left: 7rem;\n  }\n\n  .lg\\:inset-32 {\n    top: 8rem;\n    right: 8rem;\n    bottom: 8rem;\n    left: 8rem;\n  }\n\n  .lg\\:inset-36 {\n    top: 9rem;\n    right: 9rem;\n    bottom: 9rem;\n    left: 9rem;\n  }\n\n  .lg\\:inset-40 {\n    top: 10rem;\n    right: 10rem;\n    bottom: 10rem;\n    left: 10rem;\n  }\n\n  .lg\\:inset-44 {\n    top: 11rem;\n    right: 11rem;\n    bottom: 11rem;\n    left: 11rem;\n  }\n\n  .lg\\:inset-48 {\n    top: 12rem;\n    right: 12rem;\n    bottom: 12rem;\n    left: 12rem;\n  }\n\n  .lg\\:inset-52 {\n    top: 13rem;\n    right: 13rem;\n    bottom: 13rem;\n    left: 13rem;\n  }\n\n  .lg\\:inset-56 {\n    top: 14rem;\n    right: 14rem;\n    bottom: 14rem;\n    left: 14rem;\n  }\n\n  .lg\\:inset-60 {\n    top: 15rem;\n    right: 15rem;\n    bottom: 15rem;\n    left: 15rem;\n  }\n\n  .lg\\:inset-64 {\n    top: 16rem;\n    right: 16rem;\n    bottom: 16rem;\n    left: 16rem;\n  }\n\n  .lg\\:inset-72 {\n    top: 18rem;\n    right: 18rem;\n    bottom: 18rem;\n    left: 18rem;\n  }\n\n  .lg\\:inset-80 {\n    top: 20rem;\n    right: 20rem;\n    bottom: 20rem;\n    left: 20rem;\n  }\n\n  .lg\\:inset-96 {\n    top: 24rem;\n    right: 24rem;\n    bottom: 24rem;\n    left: 24rem;\n  }\n\n  .lg\\:inset-auto {\n    top: auto;\n    right: auto;\n    bottom: auto;\n    left: auto;\n  }\n\n  .lg\\:inset-px {\n    top: 1px;\n    right: 1px;\n    bottom: 1px;\n    left: 1px;\n  }\n\n  .lg\\:inset-0\\.5 {\n    top: 0.125rem;\n    right: 0.125rem;\n    bottom: 0.125rem;\n    left: 0.125rem;\n  }\n\n  .lg\\:inset-1\\.5 {\n    top: 0.375rem;\n    right: 0.375rem;\n    bottom: 0.375rem;\n    left: 0.375rem;\n  }\n\n  .lg\\:inset-2\\.5 {\n    top: 0.625rem;\n    right: 0.625rem;\n    bottom: 0.625rem;\n    left: 0.625rem;\n  }\n\n  .lg\\:inset-3\\.5 {\n    top: 0.875rem;\n    right: 0.875rem;\n    bottom: 0.875rem;\n    left: 0.875rem;\n  }\n\n  .lg\\:-inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .lg\\:-inset-1 {\n    top: -0.25rem;\n    right: -0.25rem;\n    bottom: -0.25rem;\n    left: -0.25rem;\n  }\n\n  .lg\\:-inset-2 {\n    top: -0.5rem;\n    right: -0.5rem;\n    bottom: -0.5rem;\n    left: -0.5rem;\n  }\n\n  .lg\\:-inset-3 {\n    top: -0.75rem;\n    right: -0.75rem;\n    bottom: -0.75rem;\n    left: -0.75rem;\n  }\n\n  .lg\\:-inset-4 {\n    top: -1rem;\n    right: -1rem;\n    bottom: -1rem;\n    left: -1rem;\n  }\n\n  .lg\\:-inset-5 {\n    top: -1.25rem;\n    right: -1.25rem;\n    bottom: -1.25rem;\n    left: -1.25rem;\n  }\n\n  .lg\\:-inset-6 {\n    top: -1.5rem;\n    right: -1.5rem;\n    bottom: -1.5rem;\n    left: -1.5rem;\n  }\n\n  .lg\\:-inset-7 {\n    top: -1.75rem;\n    right: -1.75rem;\n    bottom: -1.75rem;\n    left: -1.75rem;\n  }\n\n  .lg\\:-inset-8 {\n    top: -2rem;\n    right: -2rem;\n    bottom: -2rem;\n    left: -2rem;\n  }\n\n  .lg\\:-inset-9 {\n    top: -2.25rem;\n    right: -2.25rem;\n    bottom: -2.25rem;\n    left: -2.25rem;\n  }\n\n  .lg\\:-inset-10 {\n    top: -2.5rem;\n    right: -2.5rem;\n    bottom: -2.5rem;\n    left: -2.5rem;\n  }\n\n  .lg\\:-inset-11 {\n    top: -2.75rem;\n    right: -2.75rem;\n    bottom: -2.75rem;\n    left: -2.75rem;\n  }\n\n  .lg\\:-inset-12 {\n    top: -3rem;\n    right: -3rem;\n    bottom: -3rem;\n    left: -3rem;\n  }\n\n  .lg\\:-inset-14 {\n    top: -3.5rem;\n    right: -3.5rem;\n    bottom: -3.5rem;\n    left: -3.5rem;\n  }\n\n  .lg\\:-inset-16 {\n    top: -4rem;\n    right: -4rem;\n    bottom: -4rem;\n    left: -4rem;\n  }\n\n  .lg\\:-inset-20 {\n    top: -5rem;\n    right: -5rem;\n    bottom: -5rem;\n    left: -5rem;\n  }\n\n  .lg\\:-inset-24 {\n    top: -6rem;\n    right: -6rem;\n    bottom: -6rem;\n    left: -6rem;\n  }\n\n  .lg\\:-inset-28 {\n    top: -7rem;\n    right: -7rem;\n    bottom: -7rem;\n    left: -7rem;\n  }\n\n  .lg\\:-inset-32 {\n    top: -8rem;\n    right: -8rem;\n    bottom: -8rem;\n    left: -8rem;\n  }\n\n  .lg\\:-inset-36 {\n    top: -9rem;\n    right: -9rem;\n    bottom: -9rem;\n    left: -9rem;\n  }\n\n  .lg\\:-inset-40 {\n    top: -10rem;\n    right: -10rem;\n    bottom: -10rem;\n    left: -10rem;\n  }\n\n  .lg\\:-inset-44 {\n    top: -11rem;\n    right: -11rem;\n    bottom: -11rem;\n    left: -11rem;\n  }\n\n  .lg\\:-inset-48 {\n    top: -12rem;\n    right: -12rem;\n    bottom: -12rem;\n    left: -12rem;\n  }\n\n  .lg\\:-inset-52 {\n    top: -13rem;\n    right: -13rem;\n    bottom: -13rem;\n    left: -13rem;\n  }\n\n  .lg\\:-inset-56 {\n    top: -14rem;\n    right: -14rem;\n    bottom: -14rem;\n    left: -14rem;\n  }\n\n  .lg\\:-inset-60 {\n    top: -15rem;\n    right: -15rem;\n    bottom: -15rem;\n    left: -15rem;\n  }\n\n  .lg\\:-inset-64 {\n    top: -16rem;\n    right: -16rem;\n    bottom: -16rem;\n    left: -16rem;\n  }\n\n  .lg\\:-inset-72 {\n    top: -18rem;\n    right: -18rem;\n    bottom: -18rem;\n    left: -18rem;\n  }\n\n  .lg\\:-inset-80 {\n    top: -20rem;\n    right: -20rem;\n    bottom: -20rem;\n    left: -20rem;\n  }\n\n  .lg\\:-inset-96 {\n    top: -24rem;\n    right: -24rem;\n    bottom: -24rem;\n    left: -24rem;\n  }\n\n  .lg\\:-inset-px {\n    top: -1px;\n    right: -1px;\n    bottom: -1px;\n    left: -1px;\n  }\n\n  .lg\\:-inset-0\\.5 {\n    top: -0.125rem;\n    right: -0.125rem;\n    bottom: -0.125rem;\n    left: -0.125rem;\n  }\n\n  .lg\\:-inset-1\\.5 {\n    top: -0.375rem;\n    right: -0.375rem;\n    bottom: -0.375rem;\n    left: -0.375rem;\n  }\n\n  .lg\\:-inset-2\\.5 {\n    top: -0.625rem;\n    right: -0.625rem;\n    bottom: -0.625rem;\n    left: -0.625rem;\n  }\n\n  .lg\\:-inset-3\\.5 {\n    top: -0.875rem;\n    right: -0.875rem;\n    bottom: -0.875rem;\n    left: -0.875rem;\n  }\n\n  .lg\\:inset-1\\/2 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .lg\\:inset-1\\/3 {\n    top: 33.333333%;\n    right: 33.333333%;\n    bottom: 33.333333%;\n    left: 33.333333%;\n  }\n\n  .lg\\:inset-2\\/3 {\n    top: 66.666667%;\n    right: 66.666667%;\n    bottom: 66.666667%;\n    left: 66.666667%;\n  }\n\n  .lg\\:inset-1\\/4 {\n    top: 25%;\n    right: 25%;\n    bottom: 25%;\n    left: 25%;\n  }\n\n  .lg\\:inset-2\\/4 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .lg\\:inset-3\\/4 {\n    top: 75%;\n    right: 75%;\n    bottom: 75%;\n    left: 75%;\n  }\n\n  .lg\\:inset-full {\n    top: 100%;\n    right: 100%;\n    bottom: 100%;\n    left: 100%;\n  }\n\n  .lg\\:-inset-1\\/2 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .lg\\:-inset-1\\/3 {\n    top: -33.333333%;\n    right: -33.333333%;\n    bottom: -33.333333%;\n    left: -33.333333%;\n  }\n\n  .lg\\:-inset-2\\/3 {\n    top: -66.666667%;\n    right: -66.666667%;\n    bottom: -66.666667%;\n    left: -66.666667%;\n  }\n\n  .lg\\:-inset-1\\/4 {\n    top: -25%;\n    right: -25%;\n    bottom: -25%;\n    left: -25%;\n  }\n\n  .lg\\:-inset-2\\/4 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .lg\\:-inset-3\\/4 {\n    top: -75%;\n    right: -75%;\n    bottom: -75%;\n    left: -75%;\n  }\n\n  .lg\\:-inset-full {\n    top: -100%;\n    right: -100%;\n    bottom: -100%;\n    left: -100%;\n  }\n\n  .lg\\:inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .lg\\:inset-x-1 {\n    left: 0.25rem;\n    right: 0.25rem;\n  }\n\n  .lg\\:inset-x-2 {\n    left: 0.5rem;\n    right: 0.5rem;\n  }\n\n  .lg\\:inset-x-3 {\n    left: 0.75rem;\n    right: 0.75rem;\n  }\n\n  .lg\\:inset-x-4 {\n    left: 1rem;\n    right: 1rem;\n  }\n\n  .lg\\:inset-x-5 {\n    left: 1.25rem;\n    right: 1.25rem;\n  }\n\n  .lg\\:inset-x-6 {\n    left: 1.5rem;\n    right: 1.5rem;\n  }\n\n  .lg\\:inset-x-7 {\n    left: 1.75rem;\n    right: 1.75rem;\n  }\n\n  .lg\\:inset-x-8 {\n    left: 2rem;\n    right: 2rem;\n  }\n\n  .lg\\:inset-x-9 {\n    left: 2.25rem;\n    right: 2.25rem;\n  }\n\n  .lg\\:inset-x-10 {\n    left: 2.5rem;\n    right: 2.5rem;\n  }\n\n  .lg\\:inset-x-11 {\n    left: 2.75rem;\n    right: 2.75rem;\n  }\n\n  .lg\\:inset-x-12 {\n    left: 3rem;\n    right: 3rem;\n  }\n\n  .lg\\:inset-x-14 {\n    left: 3.5rem;\n    right: 3.5rem;\n  }\n\n  .lg\\:inset-x-16 {\n    left: 4rem;\n    right: 4rem;\n  }\n\n  .lg\\:inset-x-20 {\n    left: 5rem;\n    right: 5rem;\n  }\n\n  .lg\\:inset-x-24 {\n    left: 6rem;\n    right: 6rem;\n  }\n\n  .lg\\:inset-x-28 {\n    left: 7rem;\n    right: 7rem;\n  }\n\n  .lg\\:inset-x-32 {\n    left: 8rem;\n    right: 8rem;\n  }\n\n  .lg\\:inset-x-36 {\n    left: 9rem;\n    right: 9rem;\n  }\n\n  .lg\\:inset-x-40 {\n    left: 10rem;\n    right: 10rem;\n  }\n\n  .lg\\:inset-x-44 {\n    left: 11rem;\n    right: 11rem;\n  }\n\n  .lg\\:inset-x-48 {\n    left: 12rem;\n    right: 12rem;\n  }\n\n  .lg\\:inset-x-52 {\n    left: 13rem;\n    right: 13rem;\n  }\n\n  .lg\\:inset-x-56 {\n    left: 14rem;\n    right: 14rem;\n  }\n\n  .lg\\:inset-x-60 {\n    left: 15rem;\n    right: 15rem;\n  }\n\n  .lg\\:inset-x-64 {\n    left: 16rem;\n    right: 16rem;\n  }\n\n  .lg\\:inset-x-72 {\n    left: 18rem;\n    right: 18rem;\n  }\n\n  .lg\\:inset-x-80 {\n    left: 20rem;\n    right: 20rem;\n  }\n\n  .lg\\:inset-x-96 {\n    left: 24rem;\n    right: 24rem;\n  }\n\n  .lg\\:inset-x-auto {\n    left: auto;\n    right: auto;\n  }\n\n  .lg\\:inset-x-px {\n    left: 1px;\n    right: 1px;\n  }\n\n  .lg\\:inset-x-0\\.5 {\n    left: 0.125rem;\n    right: 0.125rem;\n  }\n\n  .lg\\:inset-x-1\\.5 {\n    left: 0.375rem;\n    right: 0.375rem;\n  }\n\n  .lg\\:inset-x-2\\.5 {\n    left: 0.625rem;\n    right: 0.625rem;\n  }\n\n  .lg\\:inset-x-3\\.5 {\n    left: 0.875rem;\n    right: 0.875rem;\n  }\n\n  .lg\\:-inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .lg\\:-inset-x-1 {\n    left: -0.25rem;\n    right: -0.25rem;\n  }\n\n  .lg\\:-inset-x-2 {\n    left: -0.5rem;\n    right: -0.5rem;\n  }\n\n  .lg\\:-inset-x-3 {\n    left: -0.75rem;\n    right: -0.75rem;\n  }\n\n  .lg\\:-inset-x-4 {\n    left: -1rem;\n    right: -1rem;\n  }\n\n  .lg\\:-inset-x-5 {\n    left: -1.25rem;\n    right: -1.25rem;\n  }\n\n  .lg\\:-inset-x-6 {\n    left: -1.5rem;\n    right: -1.5rem;\n  }\n\n  .lg\\:-inset-x-7 {\n    left: -1.75rem;\n    right: -1.75rem;\n  }\n\n  .lg\\:-inset-x-8 {\n    left: -2rem;\n    right: -2rem;\n  }\n\n  .lg\\:-inset-x-9 {\n    left: -2.25rem;\n    right: -2.25rem;\n  }\n\n  .lg\\:-inset-x-10 {\n    left: -2.5rem;\n    right: -2.5rem;\n  }\n\n  .lg\\:-inset-x-11 {\n    left: -2.75rem;\n    right: -2.75rem;\n  }\n\n  .lg\\:-inset-x-12 {\n    left: -3rem;\n    right: -3rem;\n  }\n\n  .lg\\:-inset-x-14 {\n    left: -3.5rem;\n    right: -3.5rem;\n  }\n\n  .lg\\:-inset-x-16 {\n    left: -4rem;\n    right: -4rem;\n  }\n\n  .lg\\:-inset-x-20 {\n    left: -5rem;\n    right: -5rem;\n  }\n\n  .lg\\:-inset-x-24 {\n    left: -6rem;\n    right: -6rem;\n  }\n\n  .lg\\:-inset-x-28 {\n    left: -7rem;\n    right: -7rem;\n  }\n\n  .lg\\:-inset-x-32 {\n    left: -8rem;\n    right: -8rem;\n  }\n\n  .lg\\:-inset-x-36 {\n    left: -9rem;\n    right: -9rem;\n  }\n\n  .lg\\:-inset-x-40 {\n    left: -10rem;\n    right: -10rem;\n  }\n\n  .lg\\:-inset-x-44 {\n    left: -11rem;\n    right: -11rem;\n  }\n\n  .lg\\:-inset-x-48 {\n    left: -12rem;\n    right: -12rem;\n  }\n\n  .lg\\:-inset-x-52 {\n    left: -13rem;\n    right: -13rem;\n  }\n\n  .lg\\:-inset-x-56 {\n    left: -14rem;\n    right: -14rem;\n  }\n\n  .lg\\:-inset-x-60 {\n    left: -15rem;\n    right: -15rem;\n  }\n\n  .lg\\:-inset-x-64 {\n    left: -16rem;\n    right: -16rem;\n  }\n\n  .lg\\:-inset-x-72 {\n    left: -18rem;\n    right: -18rem;\n  }\n\n  .lg\\:-inset-x-80 {\n    left: -20rem;\n    right: -20rem;\n  }\n\n  .lg\\:-inset-x-96 {\n    left: -24rem;\n    right: -24rem;\n  }\n\n  .lg\\:-inset-x-px {\n    left: -1px;\n    right: -1px;\n  }\n\n  .lg\\:-inset-x-0\\.5 {\n    left: -0.125rem;\n    right: -0.125rem;\n  }\n\n  .lg\\:-inset-x-1\\.5 {\n    left: -0.375rem;\n    right: -0.375rem;\n  }\n\n  .lg\\:-inset-x-2\\.5 {\n    left: -0.625rem;\n    right: -0.625rem;\n  }\n\n  .lg\\:-inset-x-3\\.5 {\n    left: -0.875rem;\n    right: -0.875rem;\n  }\n\n  .lg\\:inset-x-1\\/2 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .lg\\:inset-x-1\\/3 {\n    left: 33.333333%;\n    right: 33.333333%;\n  }\n\n  .lg\\:inset-x-2\\/3 {\n    left: 66.666667%;\n    right: 66.666667%;\n  }\n\n  .lg\\:inset-x-1\\/4 {\n    left: 25%;\n    right: 25%;\n  }\n\n  .lg\\:inset-x-2\\/4 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .lg\\:inset-x-3\\/4 {\n    left: 75%;\n    right: 75%;\n  }\n\n  .lg\\:inset-x-full {\n    left: 100%;\n    right: 100%;\n  }\n\n  .lg\\:-inset-x-1\\/2 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .lg\\:-inset-x-1\\/3 {\n    left: -33.333333%;\n    right: -33.333333%;\n  }\n\n  .lg\\:-inset-x-2\\/3 {\n    left: -66.666667%;\n    right: -66.666667%;\n  }\n\n  .lg\\:-inset-x-1\\/4 {\n    left: -25%;\n    right: -25%;\n  }\n\n  .lg\\:-inset-x-2\\/4 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .lg\\:-inset-x-3\\/4 {\n    left: -75%;\n    right: -75%;\n  }\n\n  .lg\\:-inset-x-full {\n    left: -100%;\n    right: -100%;\n  }\n\n  .lg\\:inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .lg\\:inset-y-1 {\n    top: 0.25rem;\n    bottom: 0.25rem;\n  }\n\n  .lg\\:inset-y-2 {\n    top: 0.5rem;\n    bottom: 0.5rem;\n  }\n\n  .lg\\:inset-y-3 {\n    top: 0.75rem;\n    bottom: 0.75rem;\n  }\n\n  .lg\\:inset-y-4 {\n    top: 1rem;\n    bottom: 1rem;\n  }\n\n  .lg\\:inset-y-5 {\n    top: 1.25rem;\n    bottom: 1.25rem;\n  }\n\n  .lg\\:inset-y-6 {\n    top: 1.5rem;\n    bottom: 1.5rem;\n  }\n\n  .lg\\:inset-y-7 {\n    top: 1.75rem;\n    bottom: 1.75rem;\n  }\n\n  .lg\\:inset-y-8 {\n    top: 2rem;\n    bottom: 2rem;\n  }\n\n  .lg\\:inset-y-9 {\n    top: 2.25rem;\n    bottom: 2.25rem;\n  }\n\n  .lg\\:inset-y-10 {\n    top: 2.5rem;\n    bottom: 2.5rem;\n  }\n\n  .lg\\:inset-y-11 {\n    top: 2.75rem;\n    bottom: 2.75rem;\n  }\n\n  .lg\\:inset-y-12 {\n    top: 3rem;\n    bottom: 3rem;\n  }\n\n  .lg\\:inset-y-14 {\n    top: 3.5rem;\n    bottom: 3.5rem;\n  }\n\n  .lg\\:inset-y-16 {\n    top: 4rem;\n    bottom: 4rem;\n  }\n\n  .lg\\:inset-y-20 {\n    top: 5rem;\n    bottom: 5rem;\n  }\n\n  .lg\\:inset-y-24 {\n    top: 6rem;\n    bottom: 6rem;\n  }\n\n  .lg\\:inset-y-28 {\n    top: 7rem;\n    bottom: 7rem;\n  }\n\n  .lg\\:inset-y-32 {\n    top: 8rem;\n    bottom: 8rem;\n  }\n\n  .lg\\:inset-y-36 {\n    top: 9rem;\n    bottom: 9rem;\n  }\n\n  .lg\\:inset-y-40 {\n    top: 10rem;\n    bottom: 10rem;\n  }\n\n  .lg\\:inset-y-44 {\n    top: 11rem;\n    bottom: 11rem;\n  }\n\n  .lg\\:inset-y-48 {\n    top: 12rem;\n    bottom: 12rem;\n  }\n\n  .lg\\:inset-y-52 {\n    top: 13rem;\n    bottom: 13rem;\n  }\n\n  .lg\\:inset-y-56 {\n    top: 14rem;\n    bottom: 14rem;\n  }\n\n  .lg\\:inset-y-60 {\n    top: 15rem;\n    bottom: 15rem;\n  }\n\n  .lg\\:inset-y-64 {\n    top: 16rem;\n    bottom: 16rem;\n  }\n\n  .lg\\:inset-y-72 {\n    top: 18rem;\n    bottom: 18rem;\n  }\n\n  .lg\\:inset-y-80 {\n    top: 20rem;\n    bottom: 20rem;\n  }\n\n  .lg\\:inset-y-96 {\n    top: 24rem;\n    bottom: 24rem;\n  }\n\n  .lg\\:inset-y-auto {\n    top: auto;\n    bottom: auto;\n  }\n\n  .lg\\:inset-y-px {\n    top: 1px;\n    bottom: 1px;\n  }\n\n  .lg\\:inset-y-0\\.5 {\n    top: 0.125rem;\n    bottom: 0.125rem;\n  }\n\n  .lg\\:inset-y-1\\.5 {\n    top: 0.375rem;\n    bottom: 0.375rem;\n  }\n\n  .lg\\:inset-y-2\\.5 {\n    top: 0.625rem;\n    bottom: 0.625rem;\n  }\n\n  .lg\\:inset-y-3\\.5 {\n    top: 0.875rem;\n    bottom: 0.875rem;\n  }\n\n  .lg\\:-inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .lg\\:-inset-y-1 {\n    top: -0.25rem;\n    bottom: -0.25rem;\n  }\n\n  .lg\\:-inset-y-2 {\n    top: -0.5rem;\n    bottom: -0.5rem;\n  }\n\n  .lg\\:-inset-y-3 {\n    top: -0.75rem;\n    bottom: -0.75rem;\n  }\n\n  .lg\\:-inset-y-4 {\n    top: -1rem;\n    bottom: -1rem;\n  }\n\n  .lg\\:-inset-y-5 {\n    top: -1.25rem;\n    bottom: -1.25rem;\n  }\n\n  .lg\\:-inset-y-6 {\n    top: -1.5rem;\n    bottom: -1.5rem;\n  }\n\n  .lg\\:-inset-y-7 {\n    top: -1.75rem;\n    bottom: -1.75rem;\n  }\n\n  .lg\\:-inset-y-8 {\n    top: -2rem;\n    bottom: -2rem;\n  }\n\n  .lg\\:-inset-y-9 {\n    top: -2.25rem;\n    bottom: -2.25rem;\n  }\n\n  .lg\\:-inset-y-10 {\n    top: -2.5rem;\n    bottom: -2.5rem;\n  }\n\n  .lg\\:-inset-y-11 {\n    top: -2.75rem;\n    bottom: -2.75rem;\n  }\n\n  .lg\\:-inset-y-12 {\n    top: -3rem;\n    bottom: -3rem;\n  }\n\n  .lg\\:-inset-y-14 {\n    top: -3.5rem;\n    bottom: -3.5rem;\n  }\n\n  .lg\\:-inset-y-16 {\n    top: -4rem;\n    bottom: -4rem;\n  }\n\n  .lg\\:-inset-y-20 {\n    top: -5rem;\n    bottom: -5rem;\n  }\n\n  .lg\\:-inset-y-24 {\n    top: -6rem;\n    bottom: -6rem;\n  }\n\n  .lg\\:-inset-y-28 {\n    top: -7rem;\n    bottom: -7rem;\n  }\n\n  .lg\\:-inset-y-32 {\n    top: -8rem;\n    bottom: -8rem;\n  }\n\n  .lg\\:-inset-y-36 {\n    top: -9rem;\n    bottom: -9rem;\n  }\n\n  .lg\\:-inset-y-40 {\n    top: -10rem;\n    bottom: -10rem;\n  }\n\n  .lg\\:-inset-y-44 {\n    top: -11rem;\n    bottom: -11rem;\n  }\n\n  .lg\\:-inset-y-48 {\n    top: -12rem;\n    bottom: -12rem;\n  }\n\n  .lg\\:-inset-y-52 {\n    top: -13rem;\n    bottom: -13rem;\n  }\n\n  .lg\\:-inset-y-56 {\n    top: -14rem;\n    bottom: -14rem;\n  }\n\n  .lg\\:-inset-y-60 {\n    top: -15rem;\n    bottom: -15rem;\n  }\n\n  .lg\\:-inset-y-64 {\n    top: -16rem;\n    bottom: -16rem;\n  }\n\n  .lg\\:-inset-y-72 {\n    top: -18rem;\n    bottom: -18rem;\n  }\n\n  .lg\\:-inset-y-80 {\n    top: -20rem;\n    bottom: -20rem;\n  }\n\n  .lg\\:-inset-y-96 {\n    top: -24rem;\n    bottom: -24rem;\n  }\n\n  .lg\\:-inset-y-px {\n    top: -1px;\n    bottom: -1px;\n  }\n\n  .lg\\:-inset-y-0\\.5 {\n    top: -0.125rem;\n    bottom: -0.125rem;\n  }\n\n  .lg\\:-inset-y-1\\.5 {\n    top: -0.375rem;\n    bottom: -0.375rem;\n  }\n\n  .lg\\:-inset-y-2\\.5 {\n    top: -0.625rem;\n    bottom: -0.625rem;\n  }\n\n  .lg\\:-inset-y-3\\.5 {\n    top: -0.875rem;\n    bottom: -0.875rem;\n  }\n\n  .lg\\:inset-y-1\\/2 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .lg\\:inset-y-1\\/3 {\n    top: 33.333333%;\n    bottom: 33.333333%;\n  }\n\n  .lg\\:inset-y-2\\/3 {\n    top: 66.666667%;\n    bottom: 66.666667%;\n  }\n\n  .lg\\:inset-y-1\\/4 {\n    top: 25%;\n    bottom: 25%;\n  }\n\n  .lg\\:inset-y-2\\/4 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .lg\\:inset-y-3\\/4 {\n    top: 75%;\n    bottom: 75%;\n  }\n\n  .lg\\:inset-y-full {\n    top: 100%;\n    bottom: 100%;\n  }\n\n  .lg\\:-inset-y-1\\/2 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .lg\\:-inset-y-1\\/3 {\n    top: -33.333333%;\n    bottom: -33.333333%;\n  }\n\n  .lg\\:-inset-y-2\\/3 {\n    top: -66.666667%;\n    bottom: -66.666667%;\n  }\n\n  .lg\\:-inset-y-1\\/4 {\n    top: -25%;\n    bottom: -25%;\n  }\n\n  .lg\\:-inset-y-2\\/4 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .lg\\:-inset-y-3\\/4 {\n    top: -75%;\n    bottom: -75%;\n  }\n\n  .lg\\:-inset-y-full {\n    top: -100%;\n    bottom: -100%;\n  }\n\n  .lg\\:top-0 {\n    top: 0px;\n  }\n\n  .lg\\:top-1 {\n    top: 0.25rem;\n  }\n\n  .lg\\:top-2 {\n    top: 0.5rem;\n  }\n\n  .lg\\:top-3 {\n    top: 0.75rem;\n  }\n\n  .lg\\:top-4 {\n    top: 1rem;\n  }\n\n  .lg\\:top-5 {\n    top: 1.25rem;\n  }\n\n  .lg\\:top-6 {\n    top: 1.5rem;\n  }\n\n  .lg\\:top-7 {\n    top: 1.75rem;\n  }\n\n  .lg\\:top-8 {\n    top: 2rem;\n  }\n\n  .lg\\:top-9 {\n    top: 2.25rem;\n  }\n\n  .lg\\:top-10 {\n    top: 2.5rem;\n  }\n\n  .lg\\:top-11 {\n    top: 2.75rem;\n  }\n\n  .lg\\:top-12 {\n    top: 3rem;\n  }\n\n  .lg\\:top-14 {\n    top: 3.5rem;\n  }\n\n  .lg\\:top-16 {\n    top: 4rem;\n  }\n\n  .lg\\:top-20 {\n    top: 5rem;\n  }\n\n  .lg\\:top-24 {\n    top: 6rem;\n  }\n\n  .lg\\:top-28 {\n    top: 7rem;\n  }\n\n  .lg\\:top-32 {\n    top: 8rem;\n  }\n\n  .lg\\:top-36 {\n    top: 9rem;\n  }\n\n  .lg\\:top-40 {\n    top: 10rem;\n  }\n\n  .lg\\:top-44 {\n    top: 11rem;\n  }\n\n  .lg\\:top-48 {\n    top: 12rem;\n  }\n\n  .lg\\:top-52 {\n    top: 13rem;\n  }\n\n  .lg\\:top-56 {\n    top: 14rem;\n  }\n\n  .lg\\:top-60 {\n    top: 15rem;\n  }\n\n  .lg\\:top-64 {\n    top: 16rem;\n  }\n\n  .lg\\:top-72 {\n    top: 18rem;\n  }\n\n  .lg\\:top-80 {\n    top: 20rem;\n  }\n\n  .lg\\:top-96 {\n    top: 24rem;\n  }\n\n  .lg\\:top-auto {\n    top: auto;\n  }\n\n  .lg\\:top-px {\n    top: 1px;\n  }\n\n  .lg\\:top-0\\.5 {\n    top: 0.125rem;\n  }\n\n  .lg\\:top-1\\.5 {\n    top: 0.375rem;\n  }\n\n  .lg\\:top-2\\.5 {\n    top: 0.625rem;\n  }\n\n  .lg\\:top-3\\.5 {\n    top: 0.875rem;\n  }\n\n  .lg\\:-top-0 {\n    top: 0px;\n  }\n\n  .lg\\:-top-1 {\n    top: -0.25rem;\n  }\n\n  .lg\\:-top-2 {\n    top: -0.5rem;\n  }\n\n  .lg\\:-top-3 {\n    top: -0.75rem;\n  }\n\n  .lg\\:-top-4 {\n    top: -1rem;\n  }\n\n  .lg\\:-top-5 {\n    top: -1.25rem;\n  }\n\n  .lg\\:-top-6 {\n    top: -1.5rem;\n  }\n\n  .lg\\:-top-7 {\n    top: -1.75rem;\n  }\n\n  .lg\\:-top-8 {\n    top: -2rem;\n  }\n\n  .lg\\:-top-9 {\n    top: -2.25rem;\n  }\n\n  .lg\\:-top-10 {\n    top: -2.5rem;\n  }\n\n  .lg\\:-top-11 {\n    top: -2.75rem;\n  }\n\n  .lg\\:-top-12 {\n    top: -3rem;\n  }\n\n  .lg\\:-top-14 {\n    top: -3.5rem;\n  }\n\n  .lg\\:-top-16 {\n    top: -4rem;\n  }\n\n  .lg\\:-top-20 {\n    top: -5rem;\n  }\n\n  .lg\\:-top-24 {\n    top: -6rem;\n  }\n\n  .lg\\:-top-28 {\n    top: -7rem;\n  }\n\n  .lg\\:-top-32 {\n    top: -8rem;\n  }\n\n  .lg\\:-top-36 {\n    top: -9rem;\n  }\n\n  .lg\\:-top-40 {\n    top: -10rem;\n  }\n\n  .lg\\:-top-44 {\n    top: -11rem;\n  }\n\n  .lg\\:-top-48 {\n    top: -12rem;\n  }\n\n  .lg\\:-top-52 {\n    top: -13rem;\n  }\n\n  .lg\\:-top-56 {\n    top: -14rem;\n  }\n\n  .lg\\:-top-60 {\n    top: -15rem;\n  }\n\n  .lg\\:-top-64 {\n    top: -16rem;\n  }\n\n  .lg\\:-top-72 {\n    top: -18rem;\n  }\n\n  .lg\\:-top-80 {\n    top: -20rem;\n  }\n\n  .lg\\:-top-96 {\n    top: -24rem;\n  }\n\n  .lg\\:-top-px {\n    top: -1px;\n  }\n\n  .lg\\:-top-0\\.5 {\n    top: -0.125rem;\n  }\n\n  .lg\\:-top-1\\.5 {\n    top: -0.375rem;\n  }\n\n  .lg\\:-top-2\\.5 {\n    top: -0.625rem;\n  }\n\n  .lg\\:-top-3\\.5 {\n    top: -0.875rem;\n  }\n\n  .lg\\:top-1\\/2 {\n    top: 50%;\n  }\n\n  .lg\\:top-1\\/3 {\n    top: 33.333333%;\n  }\n\n  .lg\\:top-2\\/3 {\n    top: 66.666667%;\n  }\n\n  .lg\\:top-1\\/4 {\n    top: 25%;\n  }\n\n  .lg\\:top-2\\/4 {\n    top: 50%;\n  }\n\n  .lg\\:top-3\\/4 {\n    top: 75%;\n  }\n\n  .lg\\:top-full {\n    top: 100%;\n  }\n\n  .lg\\:-top-1\\/2 {\n    top: -50%;\n  }\n\n  .lg\\:-top-1\\/3 {\n    top: -33.333333%;\n  }\n\n  .lg\\:-top-2\\/3 {\n    top: -66.666667%;\n  }\n\n  .lg\\:-top-1\\/4 {\n    top: -25%;\n  }\n\n  .lg\\:-top-2\\/4 {\n    top: -50%;\n  }\n\n  .lg\\:-top-3\\/4 {\n    top: -75%;\n  }\n\n  .lg\\:-top-full {\n    top: -100%;\n  }\n\n  .lg\\:right-0 {\n    right: 0px;\n  }\n\n  .lg\\:right-1 {\n    right: 0.25rem;\n  }\n\n  .lg\\:right-2 {\n    right: 0.5rem;\n  }\n\n  .lg\\:right-3 {\n    right: 0.75rem;\n  }\n\n  .lg\\:right-4 {\n    right: 1rem;\n  }\n\n  .lg\\:right-5 {\n    right: 1.25rem;\n  }\n\n  .lg\\:right-6 {\n    right: 1.5rem;\n  }\n\n  .lg\\:right-7 {\n    right: 1.75rem;\n  }\n\n  .lg\\:right-8 {\n    right: 2rem;\n  }\n\n  .lg\\:right-9 {\n    right: 2.25rem;\n  }\n\n  .lg\\:right-10 {\n    right: 2.5rem;\n  }\n\n  .lg\\:right-11 {\n    right: 2.75rem;\n  }\n\n  .lg\\:right-12 {\n    right: 3rem;\n  }\n\n  .lg\\:right-14 {\n    right: 3.5rem;\n  }\n\n  .lg\\:right-16 {\n    right: 4rem;\n  }\n\n  .lg\\:right-20 {\n    right: 5rem;\n  }\n\n  .lg\\:right-24 {\n    right: 6rem;\n  }\n\n  .lg\\:right-28 {\n    right: 7rem;\n  }\n\n  .lg\\:right-32 {\n    right: 8rem;\n  }\n\n  .lg\\:right-36 {\n    right: 9rem;\n  }\n\n  .lg\\:right-40 {\n    right: 10rem;\n  }\n\n  .lg\\:right-44 {\n    right: 11rem;\n  }\n\n  .lg\\:right-48 {\n    right: 12rem;\n  }\n\n  .lg\\:right-52 {\n    right: 13rem;\n  }\n\n  .lg\\:right-56 {\n    right: 14rem;\n  }\n\n  .lg\\:right-60 {\n    right: 15rem;\n  }\n\n  .lg\\:right-64 {\n    right: 16rem;\n  }\n\n  .lg\\:right-72 {\n    right: 18rem;\n  }\n\n  .lg\\:right-80 {\n    right: 20rem;\n  }\n\n  .lg\\:right-96 {\n    right: 24rem;\n  }\n\n  .lg\\:right-auto {\n    right: auto;\n  }\n\n  .lg\\:right-px {\n    right: 1px;\n  }\n\n  .lg\\:right-0\\.5 {\n    right: 0.125rem;\n  }\n\n  .lg\\:right-1\\.5 {\n    right: 0.375rem;\n  }\n\n  .lg\\:right-2\\.5 {\n    right: 0.625rem;\n  }\n\n  .lg\\:right-3\\.5 {\n    right: 0.875rem;\n  }\n\n  .lg\\:-right-0 {\n    right: 0px;\n  }\n\n  .lg\\:-right-1 {\n    right: -0.25rem;\n  }\n\n  .lg\\:-right-2 {\n    right: -0.5rem;\n  }\n\n  .lg\\:-right-3 {\n    right: -0.75rem;\n  }\n\n  .lg\\:-right-4 {\n    right: -1rem;\n  }\n\n  .lg\\:-right-5 {\n    right: -1.25rem;\n  }\n\n  .lg\\:-right-6 {\n    right: -1.5rem;\n  }\n\n  .lg\\:-right-7 {\n    right: -1.75rem;\n  }\n\n  .lg\\:-right-8 {\n    right: -2rem;\n  }\n\n  .lg\\:-right-9 {\n    right: -2.25rem;\n  }\n\n  .lg\\:-right-10 {\n    right: -2.5rem;\n  }\n\n  .lg\\:-right-11 {\n    right: -2.75rem;\n  }\n\n  .lg\\:-right-12 {\n    right: -3rem;\n  }\n\n  .lg\\:-right-14 {\n    right: -3.5rem;\n  }\n\n  .lg\\:-right-16 {\n    right: -4rem;\n  }\n\n  .lg\\:-right-20 {\n    right: -5rem;\n  }\n\n  .lg\\:-right-24 {\n    right: -6rem;\n  }\n\n  .lg\\:-right-28 {\n    right: -7rem;\n  }\n\n  .lg\\:-right-32 {\n    right: -8rem;\n  }\n\n  .lg\\:-right-36 {\n    right: -9rem;\n  }\n\n  .lg\\:-right-40 {\n    right: -10rem;\n  }\n\n  .lg\\:-right-44 {\n    right: -11rem;\n  }\n\n  .lg\\:-right-48 {\n    right: -12rem;\n  }\n\n  .lg\\:-right-52 {\n    right: -13rem;\n  }\n\n  .lg\\:-right-56 {\n    right: -14rem;\n  }\n\n  .lg\\:-right-60 {\n    right: -15rem;\n  }\n\n  .lg\\:-right-64 {\n    right: -16rem;\n  }\n\n  .lg\\:-right-72 {\n    right: -18rem;\n  }\n\n  .lg\\:-right-80 {\n    right: -20rem;\n  }\n\n  .lg\\:-right-96 {\n    right: -24rem;\n  }\n\n  .lg\\:-right-px {\n    right: -1px;\n  }\n\n  .lg\\:-right-0\\.5 {\n    right: -0.125rem;\n  }\n\n  .lg\\:-right-1\\.5 {\n    right: -0.375rem;\n  }\n\n  .lg\\:-right-2\\.5 {\n    right: -0.625rem;\n  }\n\n  .lg\\:-right-3\\.5 {\n    right: -0.875rem;\n  }\n\n  .lg\\:right-1\\/2 {\n    right: 50%;\n  }\n\n  .lg\\:right-1\\/3 {\n    right: 33.333333%;\n  }\n\n  .lg\\:right-2\\/3 {\n    right: 66.666667%;\n  }\n\n  .lg\\:right-1\\/4 {\n    right: 25%;\n  }\n\n  .lg\\:right-2\\/4 {\n    right: 50%;\n  }\n\n  .lg\\:right-3\\/4 {\n    right: 75%;\n  }\n\n  .lg\\:right-full {\n    right: 100%;\n  }\n\n  .lg\\:-right-1\\/2 {\n    right: -50%;\n  }\n\n  .lg\\:-right-1\\/3 {\n    right: -33.333333%;\n  }\n\n  .lg\\:-right-2\\/3 {\n    right: -66.666667%;\n  }\n\n  .lg\\:-right-1\\/4 {\n    right: -25%;\n  }\n\n  .lg\\:-right-2\\/4 {\n    right: -50%;\n  }\n\n  .lg\\:-right-3\\/4 {\n    right: -75%;\n  }\n\n  .lg\\:-right-full {\n    right: -100%;\n  }\n\n  .lg\\:bottom-0 {\n    bottom: 0px;\n  }\n\n  .lg\\:bottom-1 {\n    bottom: 0.25rem;\n  }\n\n  .lg\\:bottom-2 {\n    bottom: 0.5rem;\n  }\n\n  .lg\\:bottom-3 {\n    bottom: 0.75rem;\n  }\n\n  .lg\\:bottom-4 {\n    bottom: 1rem;\n  }\n\n  .lg\\:bottom-5 {\n    bottom: 1.25rem;\n  }\n\n  .lg\\:bottom-6 {\n    bottom: 1.5rem;\n  }\n\n  .lg\\:bottom-7 {\n    bottom: 1.75rem;\n  }\n\n  .lg\\:bottom-8 {\n    bottom: 2rem;\n  }\n\n  .lg\\:bottom-9 {\n    bottom: 2.25rem;\n  }\n\n  .lg\\:bottom-10 {\n    bottom: 2.5rem;\n  }\n\n  .lg\\:bottom-11 {\n    bottom: 2.75rem;\n  }\n\n  .lg\\:bottom-12 {\n    bottom: 3rem;\n  }\n\n  .lg\\:bottom-14 {\n    bottom: 3.5rem;\n  }\n\n  .lg\\:bottom-16 {\n    bottom: 4rem;\n  }\n\n  .lg\\:bottom-20 {\n    bottom: 5rem;\n  }\n\n  .lg\\:bottom-24 {\n    bottom: 6rem;\n  }\n\n  .lg\\:bottom-28 {\n    bottom: 7rem;\n  }\n\n  .lg\\:bottom-32 {\n    bottom: 8rem;\n  }\n\n  .lg\\:bottom-36 {\n    bottom: 9rem;\n  }\n\n  .lg\\:bottom-40 {\n    bottom: 10rem;\n  }\n\n  .lg\\:bottom-44 {\n    bottom: 11rem;\n  }\n\n  .lg\\:bottom-48 {\n    bottom: 12rem;\n  }\n\n  .lg\\:bottom-52 {\n    bottom: 13rem;\n  }\n\n  .lg\\:bottom-56 {\n    bottom: 14rem;\n  }\n\n  .lg\\:bottom-60 {\n    bottom: 15rem;\n  }\n\n  .lg\\:bottom-64 {\n    bottom: 16rem;\n  }\n\n  .lg\\:bottom-72 {\n    bottom: 18rem;\n  }\n\n  .lg\\:bottom-80 {\n    bottom: 20rem;\n  }\n\n  .lg\\:bottom-96 {\n    bottom: 24rem;\n  }\n\n  .lg\\:bottom-auto {\n    bottom: auto;\n  }\n\n  .lg\\:bottom-px {\n    bottom: 1px;\n  }\n\n  .lg\\:bottom-0\\.5 {\n    bottom: 0.125rem;\n  }\n\n  .lg\\:bottom-1\\.5 {\n    bottom: 0.375rem;\n  }\n\n  .lg\\:bottom-2\\.5 {\n    bottom: 0.625rem;\n  }\n\n  .lg\\:bottom-3\\.5 {\n    bottom: 0.875rem;\n  }\n\n  .lg\\:-bottom-0 {\n    bottom: 0px;\n  }\n\n  .lg\\:-bottom-1 {\n    bottom: -0.25rem;\n  }\n\n  .lg\\:-bottom-2 {\n    bottom: -0.5rem;\n  }\n\n  .lg\\:-bottom-3 {\n    bottom: -0.75rem;\n  }\n\n  .lg\\:-bottom-4 {\n    bottom: -1rem;\n  }\n\n  .lg\\:-bottom-5 {\n    bottom: -1.25rem;\n  }\n\n  .lg\\:-bottom-6 {\n    bottom: -1.5rem;\n  }\n\n  .lg\\:-bottom-7 {\n    bottom: -1.75rem;\n  }\n\n  .lg\\:-bottom-8 {\n    bottom: -2rem;\n  }\n\n  .lg\\:-bottom-9 {\n    bottom: -2.25rem;\n  }\n\n  .lg\\:-bottom-10 {\n    bottom: -2.5rem;\n  }\n\n  .lg\\:-bottom-11 {\n    bottom: -2.75rem;\n  }\n\n  .lg\\:-bottom-12 {\n    bottom: -3rem;\n  }\n\n  .lg\\:-bottom-14 {\n    bottom: -3.5rem;\n  }\n\n  .lg\\:-bottom-16 {\n    bottom: -4rem;\n  }\n\n  .lg\\:-bottom-20 {\n    bottom: -5rem;\n  }\n\n  .lg\\:-bottom-24 {\n    bottom: -6rem;\n  }\n\n  .lg\\:-bottom-28 {\n    bottom: -7rem;\n  }\n\n  .lg\\:-bottom-32 {\n    bottom: -8rem;\n  }\n\n  .lg\\:-bottom-36 {\n    bottom: -9rem;\n  }\n\n  .lg\\:-bottom-40 {\n    bottom: -10rem;\n  }\n\n  .lg\\:-bottom-44 {\n    bottom: -11rem;\n  }\n\n  .lg\\:-bottom-48 {\n    bottom: -12rem;\n  }\n\n  .lg\\:-bottom-52 {\n    bottom: -13rem;\n  }\n\n  .lg\\:-bottom-56 {\n    bottom: -14rem;\n  }\n\n  .lg\\:-bottom-60 {\n    bottom: -15rem;\n  }\n\n  .lg\\:-bottom-64 {\n    bottom: -16rem;\n  }\n\n  .lg\\:-bottom-72 {\n    bottom: -18rem;\n  }\n\n  .lg\\:-bottom-80 {\n    bottom: -20rem;\n  }\n\n  .lg\\:-bottom-96 {\n    bottom: -24rem;\n  }\n\n  .lg\\:-bottom-px {\n    bottom: -1px;\n  }\n\n  .lg\\:-bottom-0\\.5 {\n    bottom: -0.125rem;\n  }\n\n  .lg\\:-bottom-1\\.5 {\n    bottom: -0.375rem;\n  }\n\n  .lg\\:-bottom-2\\.5 {\n    bottom: -0.625rem;\n  }\n\n  .lg\\:-bottom-3\\.5 {\n    bottom: -0.875rem;\n  }\n\n  .lg\\:bottom-1\\/2 {\n    bottom: 50%;\n  }\n\n  .lg\\:bottom-1\\/3 {\n    bottom: 33.333333%;\n  }\n\n  .lg\\:bottom-2\\/3 {\n    bottom: 66.666667%;\n  }\n\n  .lg\\:bottom-1\\/4 {\n    bottom: 25%;\n  }\n\n  .lg\\:bottom-2\\/4 {\n    bottom: 50%;\n  }\n\n  .lg\\:bottom-3\\/4 {\n    bottom: 75%;\n  }\n\n  .lg\\:bottom-full {\n    bottom: 100%;\n  }\n\n  .lg\\:-bottom-1\\/2 {\n    bottom: -50%;\n  }\n\n  .lg\\:-bottom-1\\/3 {\n    bottom: -33.333333%;\n  }\n\n  .lg\\:-bottom-2\\/3 {\n    bottom: -66.666667%;\n  }\n\n  .lg\\:-bottom-1\\/4 {\n    bottom: -25%;\n  }\n\n  .lg\\:-bottom-2\\/4 {\n    bottom: -50%;\n  }\n\n  .lg\\:-bottom-3\\/4 {\n    bottom: -75%;\n  }\n\n  .lg\\:-bottom-full {\n    bottom: -100%;\n  }\n\n  .lg\\:left-0 {\n    left: 0px;\n  }\n\n  .lg\\:left-1 {\n    left: 0.25rem;\n  }\n\n  .lg\\:left-2 {\n    left: 0.5rem;\n  }\n\n  .lg\\:left-3 {\n    left: 0.75rem;\n  }\n\n  .lg\\:left-4 {\n    left: 1rem;\n  }\n\n  .lg\\:left-5 {\n    left: 1.25rem;\n  }\n\n  .lg\\:left-6 {\n    left: 1.5rem;\n  }\n\n  .lg\\:left-7 {\n    left: 1.75rem;\n  }\n\n  .lg\\:left-8 {\n    left: 2rem;\n  }\n\n  .lg\\:left-9 {\n    left: 2.25rem;\n  }\n\n  .lg\\:left-10 {\n    left: 2.5rem;\n  }\n\n  .lg\\:left-11 {\n    left: 2.75rem;\n  }\n\n  .lg\\:left-12 {\n    left: 3rem;\n  }\n\n  .lg\\:left-14 {\n    left: 3.5rem;\n  }\n\n  .lg\\:left-16 {\n    left: 4rem;\n  }\n\n  .lg\\:left-20 {\n    left: 5rem;\n  }\n\n  .lg\\:left-24 {\n    left: 6rem;\n  }\n\n  .lg\\:left-28 {\n    left: 7rem;\n  }\n\n  .lg\\:left-32 {\n    left: 8rem;\n  }\n\n  .lg\\:left-36 {\n    left: 9rem;\n  }\n\n  .lg\\:left-40 {\n    left: 10rem;\n  }\n\n  .lg\\:left-44 {\n    left: 11rem;\n  }\n\n  .lg\\:left-48 {\n    left: 12rem;\n  }\n\n  .lg\\:left-52 {\n    left: 13rem;\n  }\n\n  .lg\\:left-56 {\n    left: 14rem;\n  }\n\n  .lg\\:left-60 {\n    left: 15rem;\n  }\n\n  .lg\\:left-64 {\n    left: 16rem;\n  }\n\n  .lg\\:left-72 {\n    left: 18rem;\n  }\n\n  .lg\\:left-80 {\n    left: 20rem;\n  }\n\n  .lg\\:left-96 {\n    left: 24rem;\n  }\n\n  .lg\\:left-auto {\n    left: auto;\n  }\n\n  .lg\\:left-px {\n    left: 1px;\n  }\n\n  .lg\\:left-0\\.5 {\n    left: 0.125rem;\n  }\n\n  .lg\\:left-1\\.5 {\n    left: 0.375rem;\n  }\n\n  .lg\\:left-2\\.5 {\n    left: 0.625rem;\n  }\n\n  .lg\\:left-3\\.5 {\n    left: 0.875rem;\n  }\n\n  .lg\\:-left-0 {\n    left: 0px;\n  }\n\n  .lg\\:-left-1 {\n    left: -0.25rem;\n  }\n\n  .lg\\:-left-2 {\n    left: -0.5rem;\n  }\n\n  .lg\\:-left-3 {\n    left: -0.75rem;\n  }\n\n  .lg\\:-left-4 {\n    left: -1rem;\n  }\n\n  .lg\\:-left-5 {\n    left: -1.25rem;\n  }\n\n  .lg\\:-left-6 {\n    left: -1.5rem;\n  }\n\n  .lg\\:-left-7 {\n    left: -1.75rem;\n  }\n\n  .lg\\:-left-8 {\n    left: -2rem;\n  }\n\n  .lg\\:-left-9 {\n    left: -2.25rem;\n  }\n\n  .lg\\:-left-10 {\n    left: -2.5rem;\n  }\n\n  .lg\\:-left-11 {\n    left: -2.75rem;\n  }\n\n  .lg\\:-left-12 {\n    left: -3rem;\n  }\n\n  .lg\\:-left-14 {\n    left: -3.5rem;\n  }\n\n  .lg\\:-left-16 {\n    left: -4rem;\n  }\n\n  .lg\\:-left-20 {\n    left: -5rem;\n  }\n\n  .lg\\:-left-24 {\n    left: -6rem;\n  }\n\n  .lg\\:-left-28 {\n    left: -7rem;\n  }\n\n  .lg\\:-left-32 {\n    left: -8rem;\n  }\n\n  .lg\\:-left-36 {\n    left: -9rem;\n  }\n\n  .lg\\:-left-40 {\n    left: -10rem;\n  }\n\n  .lg\\:-left-44 {\n    left: -11rem;\n  }\n\n  .lg\\:-left-48 {\n    left: -12rem;\n  }\n\n  .lg\\:-left-52 {\n    left: -13rem;\n  }\n\n  .lg\\:-left-56 {\n    left: -14rem;\n  }\n\n  .lg\\:-left-60 {\n    left: -15rem;\n  }\n\n  .lg\\:-left-64 {\n    left: -16rem;\n  }\n\n  .lg\\:-left-72 {\n    left: -18rem;\n  }\n\n  .lg\\:-left-80 {\n    left: -20rem;\n  }\n\n  .lg\\:-left-96 {\n    left: -24rem;\n  }\n\n  .lg\\:-left-px {\n    left: -1px;\n  }\n\n  .lg\\:-left-0\\.5 {\n    left: -0.125rem;\n  }\n\n  .lg\\:-left-1\\.5 {\n    left: -0.375rem;\n  }\n\n  .lg\\:-left-2\\.5 {\n    left: -0.625rem;\n  }\n\n  .lg\\:-left-3\\.5 {\n    left: -0.875rem;\n  }\n\n  .lg\\:left-1\\/2 {\n    left: 50%;\n  }\n\n  .lg\\:left-1\\/3 {\n    left: 33.333333%;\n  }\n\n  .lg\\:left-2\\/3 {\n    left: 66.666667%;\n  }\n\n  .lg\\:left-1\\/4 {\n    left: 25%;\n  }\n\n  .lg\\:left-2\\/4 {\n    left: 50%;\n  }\n\n  .lg\\:left-3\\/4 {\n    left: 75%;\n  }\n\n  .lg\\:left-full {\n    left: 100%;\n  }\n\n  .lg\\:-left-1\\/2 {\n    left: -50%;\n  }\n\n  .lg\\:-left-1\\/3 {\n    left: -33.333333%;\n  }\n\n  .lg\\:-left-2\\/3 {\n    left: -66.666667%;\n  }\n\n  .lg\\:-left-1\\/4 {\n    left: -25%;\n  }\n\n  .lg\\:-left-2\\/4 {\n    left: -50%;\n  }\n\n  .lg\\:-left-3\\/4 {\n    left: -75%;\n  }\n\n  .lg\\:-left-full {\n    left: -100%;\n  }\n\n  .lg\\:isolate {\n    isolation: isolate;\n  }\n\n  .lg\\:isolation-auto {\n    isolation: auto;\n  }\n\n  .lg\\:z-0 {\n    z-index: 0;\n  }\n\n  .lg\\:z-10 {\n    z-index: 10;\n  }\n\n  .lg\\:z-20 {\n    z-index: 20;\n  }\n\n  .lg\\:z-30 {\n    z-index: 30;\n  }\n\n  .lg\\:z-40 {\n    z-index: 40;\n  }\n\n  .lg\\:z-50 {\n    z-index: 50;\n  }\n\n  .lg\\:z-auto {\n    z-index: auto;\n  }\n\n  .lg\\:focus-within\\:z-0:focus-within {\n    z-index: 0;\n  }\n\n  .lg\\:focus-within\\:z-10:focus-within {\n    z-index: 10;\n  }\n\n  .lg\\:focus-within\\:z-20:focus-within {\n    z-index: 20;\n  }\n\n  .lg\\:focus-within\\:z-30:focus-within {\n    z-index: 30;\n  }\n\n  .lg\\:focus-within\\:z-40:focus-within {\n    z-index: 40;\n  }\n\n  .lg\\:focus-within\\:z-50:focus-within {\n    z-index: 50;\n  }\n\n  .lg\\:focus-within\\:z-auto:focus-within {\n    z-index: auto;\n  }\n\n  .lg\\:focus\\:z-0:focus {\n    z-index: 0;\n  }\n\n  .lg\\:focus\\:z-10:focus {\n    z-index: 10;\n  }\n\n  .lg\\:focus\\:z-20:focus {\n    z-index: 20;\n  }\n\n  .lg\\:focus\\:z-30:focus {\n    z-index: 30;\n  }\n\n  .lg\\:focus\\:z-40:focus {\n    z-index: 40;\n  }\n\n  .lg\\:focus\\:z-50:focus {\n    z-index: 50;\n  }\n\n  .lg\\:focus\\:z-auto:focus {\n    z-index: auto;\n  }\n\n  .lg\\:order-1 {\n    order: 1;\n  }\n\n  .lg\\:order-2 {\n    order: 2;\n  }\n\n  .lg\\:order-3 {\n    order: 3;\n  }\n\n  .lg\\:order-4 {\n    order: 4;\n  }\n\n  .lg\\:order-5 {\n    order: 5;\n  }\n\n  .lg\\:order-6 {\n    order: 6;\n  }\n\n  .lg\\:order-7 {\n    order: 7;\n  }\n\n  .lg\\:order-8 {\n    order: 8;\n  }\n\n  .lg\\:order-9 {\n    order: 9;\n  }\n\n  .lg\\:order-10 {\n    order: 10;\n  }\n\n  .lg\\:order-11 {\n    order: 11;\n  }\n\n  .lg\\:order-12 {\n    order: 12;\n  }\n\n  .lg\\:order-first {\n    order: -9999;\n  }\n\n  .lg\\:order-last {\n    order: 9999;\n  }\n\n  .lg\\:order-none {\n    order: 0;\n  }\n\n  .lg\\:col-auto {\n    grid-column: auto;\n  }\n\n  .lg\\:col-span-1 {\n    grid-column: span 1 / span 1;\n  }\n\n  .lg\\:col-span-2 {\n    grid-column: span 2 / span 2;\n  }\n\n  .lg\\:col-span-3 {\n    grid-column: span 3 / span 3;\n  }\n\n  .lg\\:col-span-4 {\n    grid-column: span 4 / span 4;\n  }\n\n  .lg\\:col-span-5 {\n    grid-column: span 5 / span 5;\n  }\n\n  .lg\\:col-span-6 {\n    grid-column: span 6 / span 6;\n  }\n\n  .lg\\:col-span-7 {\n    grid-column: span 7 / span 7;\n  }\n\n  .lg\\:col-span-8 {\n    grid-column: span 8 / span 8;\n  }\n\n  .lg\\:col-span-9 {\n    grid-column: span 9 / span 9;\n  }\n\n  .lg\\:col-span-10 {\n    grid-column: span 10 / span 10;\n  }\n\n  .lg\\:col-span-11 {\n    grid-column: span 11 / span 11;\n  }\n\n  .lg\\:col-span-12 {\n    grid-column: span 12 / span 12;\n  }\n\n  .lg\\:col-span-full {\n    grid-column: 1 / -1;\n  }\n\n  .lg\\:col-start-1 {\n    grid-column-start: 1;\n  }\n\n  .lg\\:col-start-2 {\n    grid-column-start: 2;\n  }\n\n  .lg\\:col-start-3 {\n    grid-column-start: 3;\n  }\n\n  .lg\\:col-start-4 {\n    grid-column-start: 4;\n  }\n\n  .lg\\:col-start-5 {\n    grid-column-start: 5;\n  }\n\n  .lg\\:col-start-6 {\n    grid-column-start: 6;\n  }\n\n  .lg\\:col-start-7 {\n    grid-column-start: 7;\n  }\n\n  .lg\\:col-start-8 {\n    grid-column-start: 8;\n  }\n\n  .lg\\:col-start-9 {\n    grid-column-start: 9;\n  }\n\n  .lg\\:col-start-10 {\n    grid-column-start: 10;\n  }\n\n  .lg\\:col-start-11 {\n    grid-column-start: 11;\n  }\n\n  .lg\\:col-start-12 {\n    grid-column-start: 12;\n  }\n\n  .lg\\:col-start-13 {\n    grid-column-start: 13;\n  }\n\n  .lg\\:col-start-auto {\n    grid-column-start: auto;\n  }\n\n  .lg\\:col-end-1 {\n    grid-column-end: 1;\n  }\n\n  .lg\\:col-end-2 {\n    grid-column-end: 2;\n  }\n\n  .lg\\:col-end-3 {\n    grid-column-end: 3;\n  }\n\n  .lg\\:col-end-4 {\n    grid-column-end: 4;\n  }\n\n  .lg\\:col-end-5 {\n    grid-column-end: 5;\n  }\n\n  .lg\\:col-end-6 {\n    grid-column-end: 6;\n  }\n\n  .lg\\:col-end-7 {\n    grid-column-end: 7;\n  }\n\n  .lg\\:col-end-8 {\n    grid-column-end: 8;\n  }\n\n  .lg\\:col-end-9 {\n    grid-column-end: 9;\n  }\n\n  .lg\\:col-end-10 {\n    grid-column-end: 10;\n  }\n\n  .lg\\:col-end-11 {\n    grid-column-end: 11;\n  }\n\n  .lg\\:col-end-12 {\n    grid-column-end: 12;\n  }\n\n  .lg\\:col-end-13 {\n    grid-column-end: 13;\n  }\n\n  .lg\\:col-end-auto {\n    grid-column-end: auto;\n  }\n\n  .lg\\:row-auto {\n    grid-row: auto;\n  }\n\n  .lg\\:row-span-1 {\n    grid-row: span 1 / span 1;\n  }\n\n  .lg\\:row-span-2 {\n    grid-row: span 2 / span 2;\n  }\n\n  .lg\\:row-span-3 {\n    grid-row: span 3 / span 3;\n  }\n\n  .lg\\:row-span-4 {\n    grid-row: span 4 / span 4;\n  }\n\n  .lg\\:row-span-5 {\n    grid-row: span 5 / span 5;\n  }\n\n  .lg\\:row-span-6 {\n    grid-row: span 6 / span 6;\n  }\n\n  .lg\\:row-span-full {\n    grid-row: 1 / -1;\n  }\n\n  .lg\\:row-start-1 {\n    grid-row-start: 1;\n  }\n\n  .lg\\:row-start-2 {\n    grid-row-start: 2;\n  }\n\n  .lg\\:row-start-3 {\n    grid-row-start: 3;\n  }\n\n  .lg\\:row-start-4 {\n    grid-row-start: 4;\n  }\n\n  .lg\\:row-start-5 {\n    grid-row-start: 5;\n  }\n\n  .lg\\:row-start-6 {\n    grid-row-start: 6;\n  }\n\n  .lg\\:row-start-7 {\n    grid-row-start: 7;\n  }\n\n  .lg\\:row-start-auto {\n    grid-row-start: auto;\n  }\n\n  .lg\\:row-end-1 {\n    grid-row-end: 1;\n  }\n\n  .lg\\:row-end-2 {\n    grid-row-end: 2;\n  }\n\n  .lg\\:row-end-3 {\n    grid-row-end: 3;\n  }\n\n  .lg\\:row-end-4 {\n    grid-row-end: 4;\n  }\n\n  .lg\\:row-end-5 {\n    grid-row-end: 5;\n  }\n\n  .lg\\:row-end-6 {\n    grid-row-end: 6;\n  }\n\n  .lg\\:row-end-7 {\n    grid-row-end: 7;\n  }\n\n  .lg\\:row-end-auto {\n    grid-row-end: auto;\n  }\n\n  .lg\\:float-right {\n    float: right;\n  }\n\n  .lg\\:float-left {\n    float: left;\n  }\n\n  .lg\\:float-none {\n    float: none;\n  }\n\n  .lg\\:clear-left {\n    clear: left;\n  }\n\n  .lg\\:clear-right {\n    clear: right;\n  }\n\n  .lg\\:clear-both {\n    clear: both;\n  }\n\n  .lg\\:clear-none {\n    clear: none;\n  }\n\n  .lg\\:m-0 {\n    margin: 0px;\n  }\n\n  .lg\\:m-1 {\n    margin: 0.25rem;\n  }\n\n  .lg\\:m-2 {\n    margin: 0.5rem;\n  }\n\n  .lg\\:m-3 {\n    margin: 0.75rem;\n  }\n\n  .lg\\:m-4 {\n    margin: 1rem;\n  }\n\n  .lg\\:m-5 {\n    margin: 1.25rem;\n  }\n\n  .lg\\:m-6 {\n    margin: 1.5rem;\n  }\n\n  .lg\\:m-7 {\n    margin: 1.75rem;\n  }\n\n  .lg\\:m-8 {\n    margin: 2rem;\n  }\n\n  .lg\\:m-9 {\n    margin: 2.25rem;\n  }\n\n  .lg\\:m-10 {\n    margin: 2.5rem;\n  }\n\n  .lg\\:m-11 {\n    margin: 2.75rem;\n  }\n\n  .lg\\:m-12 {\n    margin: 3rem;\n  }\n\n  .lg\\:m-14 {\n    margin: 3.5rem;\n  }\n\n  .lg\\:m-16 {\n    margin: 4rem;\n  }\n\n  .lg\\:m-20 {\n    margin: 5rem;\n  }\n\n  .lg\\:m-24 {\n    margin: 6rem;\n  }\n\n  .lg\\:m-28 {\n    margin: 7rem;\n  }\n\n  .lg\\:m-32 {\n    margin: 8rem;\n  }\n\n  .lg\\:m-36 {\n    margin: 9rem;\n  }\n\n  .lg\\:m-40 {\n    margin: 10rem;\n  }\n\n  .lg\\:m-44 {\n    margin: 11rem;\n  }\n\n  .lg\\:m-48 {\n    margin: 12rem;\n  }\n\n  .lg\\:m-52 {\n    margin: 13rem;\n  }\n\n  .lg\\:m-56 {\n    margin: 14rem;\n  }\n\n  .lg\\:m-60 {\n    margin: 15rem;\n  }\n\n  .lg\\:m-64 {\n    margin: 16rem;\n  }\n\n  .lg\\:m-72 {\n    margin: 18rem;\n  }\n\n  .lg\\:m-80 {\n    margin: 20rem;\n  }\n\n  .lg\\:m-96 {\n    margin: 24rem;\n  }\n\n  .lg\\:m-auto {\n    margin: auto;\n  }\n\n  .lg\\:m-px {\n    margin: 1px;\n  }\n\n  .lg\\:m-0\\.5 {\n    margin: 0.125rem;\n  }\n\n  .lg\\:m-1\\.5 {\n    margin: 0.375rem;\n  }\n\n  .lg\\:m-2\\.5 {\n    margin: 0.625rem;\n  }\n\n  .lg\\:m-3\\.5 {\n    margin: 0.875rem;\n  }\n\n  .lg\\:-m-0 {\n    margin: 0px;\n  }\n\n  .lg\\:-m-1 {\n    margin: -0.25rem;\n  }\n\n  .lg\\:-m-2 {\n    margin: -0.5rem;\n  }\n\n  .lg\\:-m-3 {\n    margin: -0.75rem;\n  }\n\n  .lg\\:-m-4 {\n    margin: -1rem;\n  }\n\n  .lg\\:-m-5 {\n    margin: -1.25rem;\n  }\n\n  .lg\\:-m-6 {\n    margin: -1.5rem;\n  }\n\n  .lg\\:-m-7 {\n    margin: -1.75rem;\n  }\n\n  .lg\\:-m-8 {\n    margin: -2rem;\n  }\n\n  .lg\\:-m-9 {\n    margin: -2.25rem;\n  }\n\n  .lg\\:-m-10 {\n    margin: -2.5rem;\n  }\n\n  .lg\\:-m-11 {\n    margin: -2.75rem;\n  }\n\n  .lg\\:-m-12 {\n    margin: -3rem;\n  }\n\n  .lg\\:-m-14 {\n    margin: -3.5rem;\n  }\n\n  .lg\\:-m-16 {\n    margin: -4rem;\n  }\n\n  .lg\\:-m-20 {\n    margin: -5rem;\n  }\n\n  .lg\\:-m-24 {\n    margin: -6rem;\n  }\n\n  .lg\\:-m-28 {\n    margin: -7rem;\n  }\n\n  .lg\\:-m-32 {\n    margin: -8rem;\n  }\n\n  .lg\\:-m-36 {\n    margin: -9rem;\n  }\n\n  .lg\\:-m-40 {\n    margin: -10rem;\n  }\n\n  .lg\\:-m-44 {\n    margin: -11rem;\n  }\n\n  .lg\\:-m-48 {\n    margin: -12rem;\n  }\n\n  .lg\\:-m-52 {\n    margin: -13rem;\n  }\n\n  .lg\\:-m-56 {\n    margin: -14rem;\n  }\n\n  .lg\\:-m-60 {\n    margin: -15rem;\n  }\n\n  .lg\\:-m-64 {\n    margin: -16rem;\n  }\n\n  .lg\\:-m-72 {\n    margin: -18rem;\n  }\n\n  .lg\\:-m-80 {\n    margin: -20rem;\n  }\n\n  .lg\\:-m-96 {\n    margin: -24rem;\n  }\n\n  .lg\\:-m-px {\n    margin: -1px;\n  }\n\n  .lg\\:-m-0\\.5 {\n    margin: -0.125rem;\n  }\n\n  .lg\\:-m-1\\.5 {\n    margin: -0.375rem;\n  }\n\n  .lg\\:-m-2\\.5 {\n    margin: -0.625rem;\n  }\n\n  .lg\\:-m-3\\.5 {\n    margin: -0.875rem;\n  }\n\n  .lg\\:mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .lg\\:mx-1 {\n    margin-left: 0.25rem;\n    margin-right: 0.25rem;\n  }\n\n  .lg\\:mx-2 {\n    margin-left: 0.5rem;\n    margin-right: 0.5rem;\n  }\n\n  .lg\\:mx-3 {\n    margin-left: 0.75rem;\n    margin-right: 0.75rem;\n  }\n\n  .lg\\:mx-4 {\n    margin-left: 1rem;\n    margin-right: 1rem;\n  }\n\n  .lg\\:mx-5 {\n    margin-left: 1.25rem;\n    margin-right: 1.25rem;\n  }\n\n  .lg\\:mx-6 {\n    margin-left: 1.5rem;\n    margin-right: 1.5rem;\n  }\n\n  .lg\\:mx-7 {\n    margin-left: 1.75rem;\n    margin-right: 1.75rem;\n  }\n\n  .lg\\:mx-8 {\n    margin-left: 2rem;\n    margin-right: 2rem;\n  }\n\n  .lg\\:mx-9 {\n    margin-left: 2.25rem;\n    margin-right: 2.25rem;\n  }\n\n  .lg\\:mx-10 {\n    margin-left: 2.5rem;\n    margin-right: 2.5rem;\n  }\n\n  .lg\\:mx-11 {\n    margin-left: 2.75rem;\n    margin-right: 2.75rem;\n  }\n\n  .lg\\:mx-12 {\n    margin-left: 3rem;\n    margin-right: 3rem;\n  }\n\n  .lg\\:mx-14 {\n    margin-left: 3.5rem;\n    margin-right: 3.5rem;\n  }\n\n  .lg\\:mx-16 {\n    margin-left: 4rem;\n    margin-right: 4rem;\n  }\n\n  .lg\\:mx-20 {\n    margin-left: 5rem;\n    margin-right: 5rem;\n  }\n\n  .lg\\:mx-24 {\n    margin-left: 6rem;\n    margin-right: 6rem;\n  }\n\n  .lg\\:mx-28 {\n    margin-left: 7rem;\n    margin-right: 7rem;\n  }\n\n  .lg\\:mx-32 {\n    margin-left: 8rem;\n    margin-right: 8rem;\n  }\n\n  .lg\\:mx-36 {\n    margin-left: 9rem;\n    margin-right: 9rem;\n  }\n\n  .lg\\:mx-40 {\n    margin-left: 10rem;\n    margin-right: 10rem;\n  }\n\n  .lg\\:mx-44 {\n    margin-left: 11rem;\n    margin-right: 11rem;\n  }\n\n  .lg\\:mx-48 {\n    margin-left: 12rem;\n    margin-right: 12rem;\n  }\n\n  .lg\\:mx-52 {\n    margin-left: 13rem;\n    margin-right: 13rem;\n  }\n\n  .lg\\:mx-56 {\n    margin-left: 14rem;\n    margin-right: 14rem;\n  }\n\n  .lg\\:mx-60 {\n    margin-left: 15rem;\n    margin-right: 15rem;\n  }\n\n  .lg\\:mx-64 {\n    margin-left: 16rem;\n    margin-right: 16rem;\n  }\n\n  .lg\\:mx-72 {\n    margin-left: 18rem;\n    margin-right: 18rem;\n  }\n\n  .lg\\:mx-80 {\n    margin-left: 20rem;\n    margin-right: 20rem;\n  }\n\n  .lg\\:mx-96 {\n    margin-left: 24rem;\n    margin-right: 24rem;\n  }\n\n  .lg\\:mx-auto {\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .lg\\:mx-px {\n    margin-left: 1px;\n    margin-right: 1px;\n  }\n\n  .lg\\:mx-0\\.5 {\n    margin-left: 0.125rem;\n    margin-right: 0.125rem;\n  }\n\n  .lg\\:mx-1\\.5 {\n    margin-left: 0.375rem;\n    margin-right: 0.375rem;\n  }\n\n  .lg\\:mx-2\\.5 {\n    margin-left: 0.625rem;\n    margin-right: 0.625rem;\n  }\n\n  .lg\\:mx-3\\.5 {\n    margin-left: 0.875rem;\n    margin-right: 0.875rem;\n  }\n\n  .lg\\:-mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .lg\\:-mx-1 {\n    margin-left: -0.25rem;\n    margin-right: -0.25rem;\n  }\n\n  .lg\\:-mx-2 {\n    margin-left: -0.5rem;\n    margin-right: -0.5rem;\n  }\n\n  .lg\\:-mx-3 {\n    margin-left: -0.75rem;\n    margin-right: -0.75rem;\n  }\n\n  .lg\\:-mx-4 {\n    margin-left: -1rem;\n    margin-right: -1rem;\n  }\n\n  .lg\\:-mx-5 {\n    margin-left: -1.25rem;\n    margin-right: -1.25rem;\n  }\n\n  .lg\\:-mx-6 {\n    margin-left: -1.5rem;\n    margin-right: -1.5rem;\n  }\n\n  .lg\\:-mx-7 {\n    margin-left: -1.75rem;\n    margin-right: -1.75rem;\n  }\n\n  .lg\\:-mx-8 {\n    margin-left: -2rem;\n    margin-right: -2rem;\n  }\n\n  .lg\\:-mx-9 {\n    margin-left: -2.25rem;\n    margin-right: -2.25rem;\n  }\n\n  .lg\\:-mx-10 {\n    margin-left: -2.5rem;\n    margin-right: -2.5rem;\n  }\n\n  .lg\\:-mx-11 {\n    margin-left: -2.75rem;\n    margin-right: -2.75rem;\n  }\n\n  .lg\\:-mx-12 {\n    margin-left: -3rem;\n    margin-right: -3rem;\n  }\n\n  .lg\\:-mx-14 {\n    margin-left: -3.5rem;\n    margin-right: -3.5rem;\n  }\n\n  .lg\\:-mx-16 {\n    margin-left: -4rem;\n    margin-right: -4rem;\n  }\n\n  .lg\\:-mx-20 {\n    margin-left: -5rem;\n    margin-right: -5rem;\n  }\n\n  .lg\\:-mx-24 {\n    margin-left: -6rem;\n    margin-right: -6rem;\n  }\n\n  .lg\\:-mx-28 {\n    margin-left: -7rem;\n    margin-right: -7rem;\n  }\n\n  .lg\\:-mx-32 {\n    margin-left: -8rem;\n    margin-right: -8rem;\n  }\n\n  .lg\\:-mx-36 {\n    margin-left: -9rem;\n    margin-right: -9rem;\n  }\n\n  .lg\\:-mx-40 {\n    margin-left: -10rem;\n    margin-right: -10rem;\n  }\n\n  .lg\\:-mx-44 {\n    margin-left: -11rem;\n    margin-right: -11rem;\n  }\n\n  .lg\\:-mx-48 {\n    margin-left: -12rem;\n    margin-right: -12rem;\n  }\n\n  .lg\\:-mx-52 {\n    margin-left: -13rem;\n    margin-right: -13rem;\n  }\n\n  .lg\\:-mx-56 {\n    margin-left: -14rem;\n    margin-right: -14rem;\n  }\n\n  .lg\\:-mx-60 {\n    margin-left: -15rem;\n    margin-right: -15rem;\n  }\n\n  .lg\\:-mx-64 {\n    margin-left: -16rem;\n    margin-right: -16rem;\n  }\n\n  .lg\\:-mx-72 {\n    margin-left: -18rem;\n    margin-right: -18rem;\n  }\n\n  .lg\\:-mx-80 {\n    margin-left: -20rem;\n    margin-right: -20rem;\n  }\n\n  .lg\\:-mx-96 {\n    margin-left: -24rem;\n    margin-right: -24rem;\n  }\n\n  .lg\\:-mx-px {\n    margin-left: -1px;\n    margin-right: -1px;\n  }\n\n  .lg\\:-mx-0\\.5 {\n    margin-left: -0.125rem;\n    margin-right: -0.125rem;\n  }\n\n  .lg\\:-mx-1\\.5 {\n    margin-left: -0.375rem;\n    margin-right: -0.375rem;\n  }\n\n  .lg\\:-mx-2\\.5 {\n    margin-left: -0.625rem;\n    margin-right: -0.625rem;\n  }\n\n  .lg\\:-mx-3\\.5 {\n    margin-left: -0.875rem;\n    margin-right: -0.875rem;\n  }\n\n  .lg\\:my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .lg\\:my-1 {\n    margin-top: 0.25rem;\n    margin-bottom: 0.25rem;\n  }\n\n  .lg\\:my-2 {\n    margin-top: 0.5rem;\n    margin-bottom: 0.5rem;\n  }\n\n  .lg\\:my-3 {\n    margin-top: 0.75rem;\n    margin-bottom: 0.75rem;\n  }\n\n  .lg\\:my-4 {\n    margin-top: 1rem;\n    margin-bottom: 1rem;\n  }\n\n  .lg\\:my-5 {\n    margin-top: 1.25rem;\n    margin-bottom: 1.25rem;\n  }\n\n  .lg\\:my-6 {\n    margin-top: 1.5rem;\n    margin-bottom: 1.5rem;\n  }\n\n  .lg\\:my-7 {\n    margin-top: 1.75rem;\n    margin-bottom: 1.75rem;\n  }\n\n  .lg\\:my-8 {\n    margin-top: 2rem;\n    margin-bottom: 2rem;\n  }\n\n  .lg\\:my-9 {\n    margin-top: 2.25rem;\n    margin-bottom: 2.25rem;\n  }\n\n  .lg\\:my-10 {\n    margin-top: 2.5rem;\n    margin-bottom: 2.5rem;\n  }\n\n  .lg\\:my-11 {\n    margin-top: 2.75rem;\n    margin-bottom: 2.75rem;\n  }\n\n  .lg\\:my-12 {\n    margin-top: 3rem;\n    margin-bottom: 3rem;\n  }\n\n  .lg\\:my-14 {\n    margin-top: 3.5rem;\n    margin-bottom: 3.5rem;\n  }\n\n  .lg\\:my-16 {\n    margin-top: 4rem;\n    margin-bottom: 4rem;\n  }\n\n  .lg\\:my-20 {\n    margin-top: 5rem;\n    margin-bottom: 5rem;\n  }\n\n  .lg\\:my-24 {\n    margin-top: 6rem;\n    margin-bottom: 6rem;\n  }\n\n  .lg\\:my-28 {\n    margin-top: 7rem;\n    margin-bottom: 7rem;\n  }\n\n  .lg\\:my-32 {\n    margin-top: 8rem;\n    margin-bottom: 8rem;\n  }\n\n  .lg\\:my-36 {\n    margin-top: 9rem;\n    margin-bottom: 9rem;\n  }\n\n  .lg\\:my-40 {\n    margin-top: 10rem;\n    margin-bottom: 10rem;\n  }\n\n  .lg\\:my-44 {\n    margin-top: 11rem;\n    margin-bottom: 11rem;\n  }\n\n  .lg\\:my-48 {\n    margin-top: 12rem;\n    margin-bottom: 12rem;\n  }\n\n  .lg\\:my-52 {\n    margin-top: 13rem;\n    margin-bottom: 13rem;\n  }\n\n  .lg\\:my-56 {\n    margin-top: 14rem;\n    margin-bottom: 14rem;\n  }\n\n  .lg\\:my-60 {\n    margin-top: 15rem;\n    margin-bottom: 15rem;\n  }\n\n  .lg\\:my-64 {\n    margin-top: 16rem;\n    margin-bottom: 16rem;\n  }\n\n  .lg\\:my-72 {\n    margin-top: 18rem;\n    margin-bottom: 18rem;\n  }\n\n  .lg\\:my-80 {\n    margin-top: 20rem;\n    margin-bottom: 20rem;\n  }\n\n  .lg\\:my-96 {\n    margin-top: 24rem;\n    margin-bottom: 24rem;\n  }\n\n  .lg\\:my-auto {\n    margin-top: auto;\n    margin-bottom: auto;\n  }\n\n  .lg\\:my-px {\n    margin-top: 1px;\n    margin-bottom: 1px;\n  }\n\n  .lg\\:my-0\\.5 {\n    margin-top: 0.125rem;\n    margin-bottom: 0.125rem;\n  }\n\n  .lg\\:my-1\\.5 {\n    margin-top: 0.375rem;\n    margin-bottom: 0.375rem;\n  }\n\n  .lg\\:my-2\\.5 {\n    margin-top: 0.625rem;\n    margin-bottom: 0.625rem;\n  }\n\n  .lg\\:my-3\\.5 {\n    margin-top: 0.875rem;\n    margin-bottom: 0.875rem;\n  }\n\n  .lg\\:-my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .lg\\:-my-1 {\n    margin-top: -0.25rem;\n    margin-bottom: -0.25rem;\n  }\n\n  .lg\\:-my-2 {\n    margin-top: -0.5rem;\n    margin-bottom: -0.5rem;\n  }\n\n  .lg\\:-my-3 {\n    margin-top: -0.75rem;\n    margin-bottom: -0.75rem;\n  }\n\n  .lg\\:-my-4 {\n    margin-top: -1rem;\n    margin-bottom: -1rem;\n  }\n\n  .lg\\:-my-5 {\n    margin-top: -1.25rem;\n    margin-bottom: -1.25rem;\n  }\n\n  .lg\\:-my-6 {\n    margin-top: -1.5rem;\n    margin-bottom: -1.5rem;\n  }\n\n  .lg\\:-my-7 {\n    margin-top: -1.75rem;\n    margin-bottom: -1.75rem;\n  }\n\n  .lg\\:-my-8 {\n    margin-top: -2rem;\n    margin-bottom: -2rem;\n  }\n\n  .lg\\:-my-9 {\n    margin-top: -2.25rem;\n    margin-bottom: -2.25rem;\n  }\n\n  .lg\\:-my-10 {\n    margin-top: -2.5rem;\n    margin-bottom: -2.5rem;\n  }\n\n  .lg\\:-my-11 {\n    margin-top: -2.75rem;\n    margin-bottom: -2.75rem;\n  }\n\n  .lg\\:-my-12 {\n    margin-top: -3rem;\n    margin-bottom: -3rem;\n  }\n\n  .lg\\:-my-14 {\n    margin-top: -3.5rem;\n    margin-bottom: -3.5rem;\n  }\n\n  .lg\\:-my-16 {\n    margin-top: -4rem;\n    margin-bottom: -4rem;\n  }\n\n  .lg\\:-my-20 {\n    margin-top: -5rem;\n    margin-bottom: -5rem;\n  }\n\n  .lg\\:-my-24 {\n    margin-top: -6rem;\n    margin-bottom: -6rem;\n  }\n\n  .lg\\:-my-28 {\n    margin-top: -7rem;\n    margin-bottom: -7rem;\n  }\n\n  .lg\\:-my-32 {\n    margin-top: -8rem;\n    margin-bottom: -8rem;\n  }\n\n  .lg\\:-my-36 {\n    margin-top: -9rem;\n    margin-bottom: -9rem;\n  }\n\n  .lg\\:-my-40 {\n    margin-top: -10rem;\n    margin-bottom: -10rem;\n  }\n\n  .lg\\:-my-44 {\n    margin-top: -11rem;\n    margin-bottom: -11rem;\n  }\n\n  .lg\\:-my-48 {\n    margin-top: -12rem;\n    margin-bottom: -12rem;\n  }\n\n  .lg\\:-my-52 {\n    margin-top: -13rem;\n    margin-bottom: -13rem;\n  }\n\n  .lg\\:-my-56 {\n    margin-top: -14rem;\n    margin-bottom: -14rem;\n  }\n\n  .lg\\:-my-60 {\n    margin-top: -15rem;\n    margin-bottom: -15rem;\n  }\n\n  .lg\\:-my-64 {\n    margin-top: -16rem;\n    margin-bottom: -16rem;\n  }\n\n  .lg\\:-my-72 {\n    margin-top: -18rem;\n    margin-bottom: -18rem;\n  }\n\n  .lg\\:-my-80 {\n    margin-top: -20rem;\n    margin-bottom: -20rem;\n  }\n\n  .lg\\:-my-96 {\n    margin-top: -24rem;\n    margin-bottom: -24rem;\n  }\n\n  .lg\\:-my-px {\n    margin-top: -1px;\n    margin-bottom: -1px;\n  }\n\n  .lg\\:-my-0\\.5 {\n    margin-top: -0.125rem;\n    margin-bottom: -0.125rem;\n  }\n\n  .lg\\:-my-1\\.5 {\n    margin-top: -0.375rem;\n    margin-bottom: -0.375rem;\n  }\n\n  .lg\\:-my-2\\.5 {\n    margin-top: -0.625rem;\n    margin-bottom: -0.625rem;\n  }\n\n  .lg\\:-my-3\\.5 {\n    margin-top: -0.875rem;\n    margin-bottom: -0.875rem;\n  }\n\n  .lg\\:mt-0 {\n    margin-top: 0px;\n  }\n\n  .lg\\:mt-1 {\n    margin-top: 0.25rem;\n  }\n\n  .lg\\:mt-2 {\n    margin-top: 0.5rem;\n  }\n\n  .lg\\:mt-3 {\n    margin-top: 0.75rem;\n  }\n\n  .lg\\:mt-4 {\n    margin-top: 1rem;\n  }\n\n  .lg\\:mt-5 {\n    margin-top: 1.25rem;\n  }\n\n  .lg\\:mt-6 {\n    margin-top: 1.5rem;\n  }\n\n  .lg\\:mt-7 {\n    margin-top: 1.75rem;\n  }\n\n  .lg\\:mt-8 {\n    margin-top: 2rem;\n  }\n\n  .lg\\:mt-9 {\n    margin-top: 2.25rem;\n  }\n\n  .lg\\:mt-10 {\n    margin-top: 2.5rem;\n  }\n\n  .lg\\:mt-11 {\n    margin-top: 2.75rem;\n  }\n\n  .lg\\:mt-12 {\n    margin-top: 3rem;\n  }\n\n  .lg\\:mt-14 {\n    margin-top: 3.5rem;\n  }\n\n  .lg\\:mt-16 {\n    margin-top: 4rem;\n  }\n\n  .lg\\:mt-20 {\n    margin-top: 5rem;\n  }\n\n  .lg\\:mt-24 {\n    margin-top: 6rem;\n  }\n\n  .lg\\:mt-28 {\n    margin-top: 7rem;\n  }\n\n  .lg\\:mt-32 {\n    margin-top: 8rem;\n  }\n\n  .lg\\:mt-36 {\n    margin-top: 9rem;\n  }\n\n  .lg\\:mt-40 {\n    margin-top: 10rem;\n  }\n\n  .lg\\:mt-44 {\n    margin-top: 11rem;\n  }\n\n  .lg\\:mt-48 {\n    margin-top: 12rem;\n  }\n\n  .lg\\:mt-52 {\n    margin-top: 13rem;\n  }\n\n  .lg\\:mt-56 {\n    margin-top: 14rem;\n  }\n\n  .lg\\:mt-60 {\n    margin-top: 15rem;\n  }\n\n  .lg\\:mt-64 {\n    margin-top: 16rem;\n  }\n\n  .lg\\:mt-72 {\n    margin-top: 18rem;\n  }\n\n  .lg\\:mt-80 {\n    margin-top: 20rem;\n  }\n\n  .lg\\:mt-96 {\n    margin-top: 24rem;\n  }\n\n  .lg\\:mt-auto {\n    margin-top: auto;\n  }\n\n  .lg\\:mt-px {\n    margin-top: 1px;\n  }\n\n  .lg\\:mt-0\\.5 {\n    margin-top: 0.125rem;\n  }\n\n  .lg\\:mt-1\\.5 {\n    margin-top: 0.375rem;\n  }\n\n  .lg\\:mt-2\\.5 {\n    margin-top: 0.625rem;\n  }\n\n  .lg\\:mt-3\\.5 {\n    margin-top: 0.875rem;\n  }\n\n  .lg\\:-mt-0 {\n    margin-top: 0px;\n  }\n\n  .lg\\:-mt-1 {\n    margin-top: -0.25rem;\n  }\n\n  .lg\\:-mt-2 {\n    margin-top: -0.5rem;\n  }\n\n  .lg\\:-mt-3 {\n    margin-top: -0.75rem;\n  }\n\n  .lg\\:-mt-4 {\n    margin-top: -1rem;\n  }\n\n  .lg\\:-mt-5 {\n    margin-top: -1.25rem;\n  }\n\n  .lg\\:-mt-6 {\n    margin-top: -1.5rem;\n  }\n\n  .lg\\:-mt-7 {\n    margin-top: -1.75rem;\n  }\n\n  .lg\\:-mt-8 {\n    margin-top: -2rem;\n  }\n\n  .lg\\:-mt-9 {\n    margin-top: -2.25rem;\n  }\n\n  .lg\\:-mt-10 {\n    margin-top: -2.5rem;\n  }\n\n  .lg\\:-mt-11 {\n    margin-top: -2.75rem;\n  }\n\n  .lg\\:-mt-12 {\n    margin-top: -3rem;\n  }\n\n  .lg\\:-mt-14 {\n    margin-top: -3.5rem;\n  }\n\n  .lg\\:-mt-16 {\n    margin-top: -4rem;\n  }\n\n  .lg\\:-mt-20 {\n    margin-top: -5rem;\n  }\n\n  .lg\\:-mt-24 {\n    margin-top: -6rem;\n  }\n\n  .lg\\:-mt-28 {\n    margin-top: -7rem;\n  }\n\n  .lg\\:-mt-32 {\n    margin-top: -8rem;\n  }\n\n  .lg\\:-mt-36 {\n    margin-top: -9rem;\n  }\n\n  .lg\\:-mt-40 {\n    margin-top: -10rem;\n  }\n\n  .lg\\:-mt-44 {\n    margin-top: -11rem;\n  }\n\n  .lg\\:-mt-48 {\n    margin-top: -12rem;\n  }\n\n  .lg\\:-mt-52 {\n    margin-top: -13rem;\n  }\n\n  .lg\\:-mt-56 {\n    margin-top: -14rem;\n  }\n\n  .lg\\:-mt-60 {\n    margin-top: -15rem;\n  }\n\n  .lg\\:-mt-64 {\n    margin-top: -16rem;\n  }\n\n  .lg\\:-mt-72 {\n    margin-top: -18rem;\n  }\n\n  .lg\\:-mt-80 {\n    margin-top: -20rem;\n  }\n\n  .lg\\:-mt-96 {\n    margin-top: -24rem;\n  }\n\n  .lg\\:-mt-px {\n    margin-top: -1px;\n  }\n\n  .lg\\:-mt-0\\.5 {\n    margin-top: -0.125rem;\n  }\n\n  .lg\\:-mt-1\\.5 {\n    margin-top: -0.375rem;\n  }\n\n  .lg\\:-mt-2\\.5 {\n    margin-top: -0.625rem;\n  }\n\n  .lg\\:-mt-3\\.5 {\n    margin-top: -0.875rem;\n  }\n\n  .lg\\:mr-0 {\n    margin-right: 0px;\n  }\n\n  .lg\\:mr-1 {\n    margin-right: 0.25rem;\n  }\n\n  .lg\\:mr-2 {\n    margin-right: 0.5rem;\n  }\n\n  .lg\\:mr-3 {\n    margin-right: 0.75rem;\n  }\n\n  .lg\\:mr-4 {\n    margin-right: 1rem;\n  }\n\n  .lg\\:mr-5 {\n    margin-right: 1.25rem;\n  }\n\n  .lg\\:mr-6 {\n    margin-right: 1.5rem;\n  }\n\n  .lg\\:mr-7 {\n    margin-right: 1.75rem;\n  }\n\n  .lg\\:mr-8 {\n    margin-right: 2rem;\n  }\n\n  .lg\\:mr-9 {\n    margin-right: 2.25rem;\n  }\n\n  .lg\\:mr-10 {\n    margin-right: 2.5rem;\n  }\n\n  .lg\\:mr-11 {\n    margin-right: 2.75rem;\n  }\n\n  .lg\\:mr-12 {\n    margin-right: 3rem;\n  }\n\n  .lg\\:mr-14 {\n    margin-right: 3.5rem;\n  }\n\n  .lg\\:mr-16 {\n    margin-right: 4rem;\n  }\n\n  .lg\\:mr-20 {\n    margin-right: 5rem;\n  }\n\n  .lg\\:mr-24 {\n    margin-right: 6rem;\n  }\n\n  .lg\\:mr-28 {\n    margin-right: 7rem;\n  }\n\n  .lg\\:mr-32 {\n    margin-right: 8rem;\n  }\n\n  .lg\\:mr-36 {\n    margin-right: 9rem;\n  }\n\n  .lg\\:mr-40 {\n    margin-right: 10rem;\n  }\n\n  .lg\\:mr-44 {\n    margin-right: 11rem;\n  }\n\n  .lg\\:mr-48 {\n    margin-right: 12rem;\n  }\n\n  .lg\\:mr-52 {\n    margin-right: 13rem;\n  }\n\n  .lg\\:mr-56 {\n    margin-right: 14rem;\n  }\n\n  .lg\\:mr-60 {\n    margin-right: 15rem;\n  }\n\n  .lg\\:mr-64 {\n    margin-right: 16rem;\n  }\n\n  .lg\\:mr-72 {\n    margin-right: 18rem;\n  }\n\n  .lg\\:mr-80 {\n    margin-right: 20rem;\n  }\n\n  .lg\\:mr-96 {\n    margin-right: 24rem;\n  }\n\n  .lg\\:mr-auto {\n    margin-right: auto;\n  }\n\n  .lg\\:mr-px {\n    margin-right: 1px;\n  }\n\n  .lg\\:mr-0\\.5 {\n    margin-right: 0.125rem;\n  }\n\n  .lg\\:mr-1\\.5 {\n    margin-right: 0.375rem;\n  }\n\n  .lg\\:mr-2\\.5 {\n    margin-right: 0.625rem;\n  }\n\n  .lg\\:mr-3\\.5 {\n    margin-right: 0.875rem;\n  }\n\n  .lg\\:-mr-0 {\n    margin-right: 0px;\n  }\n\n  .lg\\:-mr-1 {\n    margin-right: -0.25rem;\n  }\n\n  .lg\\:-mr-2 {\n    margin-right: -0.5rem;\n  }\n\n  .lg\\:-mr-3 {\n    margin-right: -0.75rem;\n  }\n\n  .lg\\:-mr-4 {\n    margin-right: -1rem;\n  }\n\n  .lg\\:-mr-5 {\n    margin-right: -1.25rem;\n  }\n\n  .lg\\:-mr-6 {\n    margin-right: -1.5rem;\n  }\n\n  .lg\\:-mr-7 {\n    margin-right: -1.75rem;\n  }\n\n  .lg\\:-mr-8 {\n    margin-right: -2rem;\n  }\n\n  .lg\\:-mr-9 {\n    margin-right: -2.25rem;\n  }\n\n  .lg\\:-mr-10 {\n    margin-right: -2.5rem;\n  }\n\n  .lg\\:-mr-11 {\n    margin-right: -2.75rem;\n  }\n\n  .lg\\:-mr-12 {\n    margin-right: -3rem;\n  }\n\n  .lg\\:-mr-14 {\n    margin-right: -3.5rem;\n  }\n\n  .lg\\:-mr-16 {\n    margin-right: -4rem;\n  }\n\n  .lg\\:-mr-20 {\n    margin-right: -5rem;\n  }\n\n  .lg\\:-mr-24 {\n    margin-right: -6rem;\n  }\n\n  .lg\\:-mr-28 {\n    margin-right: -7rem;\n  }\n\n  .lg\\:-mr-32 {\n    margin-right: -8rem;\n  }\n\n  .lg\\:-mr-36 {\n    margin-right: -9rem;\n  }\n\n  .lg\\:-mr-40 {\n    margin-right: -10rem;\n  }\n\n  .lg\\:-mr-44 {\n    margin-right: -11rem;\n  }\n\n  .lg\\:-mr-48 {\n    margin-right: -12rem;\n  }\n\n  .lg\\:-mr-52 {\n    margin-right: -13rem;\n  }\n\n  .lg\\:-mr-56 {\n    margin-right: -14rem;\n  }\n\n  .lg\\:-mr-60 {\n    margin-right: -15rem;\n  }\n\n  .lg\\:-mr-64 {\n    margin-right: -16rem;\n  }\n\n  .lg\\:-mr-72 {\n    margin-right: -18rem;\n  }\n\n  .lg\\:-mr-80 {\n    margin-right: -20rem;\n  }\n\n  .lg\\:-mr-96 {\n    margin-right: -24rem;\n  }\n\n  .lg\\:-mr-px {\n    margin-right: -1px;\n  }\n\n  .lg\\:-mr-0\\.5 {\n    margin-right: -0.125rem;\n  }\n\n  .lg\\:-mr-1\\.5 {\n    margin-right: -0.375rem;\n  }\n\n  .lg\\:-mr-2\\.5 {\n    margin-right: -0.625rem;\n  }\n\n  .lg\\:-mr-3\\.5 {\n    margin-right: -0.875rem;\n  }\n\n  .lg\\:mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .lg\\:mb-1 {\n    margin-bottom: 0.25rem;\n  }\n\n  .lg\\:mb-2 {\n    margin-bottom: 0.5rem;\n  }\n\n  .lg\\:mb-3 {\n    margin-bottom: 0.75rem;\n  }\n\n  .lg\\:mb-4 {\n    margin-bottom: 1rem;\n  }\n\n  .lg\\:mb-5 {\n    margin-bottom: 1.25rem;\n  }\n\n  .lg\\:mb-6 {\n    margin-bottom: 1.5rem;\n  }\n\n  .lg\\:mb-7 {\n    margin-bottom: 1.75rem;\n  }\n\n  .lg\\:mb-8 {\n    margin-bottom: 2rem;\n  }\n\n  .lg\\:mb-9 {\n    margin-bottom: 2.25rem;\n  }\n\n  .lg\\:mb-10 {\n    margin-bottom: 2.5rem;\n  }\n\n  .lg\\:mb-11 {\n    margin-bottom: 2.75rem;\n  }\n\n  .lg\\:mb-12 {\n    margin-bottom: 3rem;\n  }\n\n  .lg\\:mb-14 {\n    margin-bottom: 3.5rem;\n  }\n\n  .lg\\:mb-16 {\n    margin-bottom: 4rem;\n  }\n\n  .lg\\:mb-20 {\n    margin-bottom: 5rem;\n  }\n\n  .lg\\:mb-24 {\n    margin-bottom: 6rem;\n  }\n\n  .lg\\:mb-28 {\n    margin-bottom: 7rem;\n  }\n\n  .lg\\:mb-32 {\n    margin-bottom: 8rem;\n  }\n\n  .lg\\:mb-36 {\n    margin-bottom: 9rem;\n  }\n\n  .lg\\:mb-40 {\n    margin-bottom: 10rem;\n  }\n\n  .lg\\:mb-44 {\n    margin-bottom: 11rem;\n  }\n\n  .lg\\:mb-48 {\n    margin-bottom: 12rem;\n  }\n\n  .lg\\:mb-52 {\n    margin-bottom: 13rem;\n  }\n\n  .lg\\:mb-56 {\n    margin-bottom: 14rem;\n  }\n\n  .lg\\:mb-60 {\n    margin-bottom: 15rem;\n  }\n\n  .lg\\:mb-64 {\n    margin-bottom: 16rem;\n  }\n\n  .lg\\:mb-72 {\n    margin-bottom: 18rem;\n  }\n\n  .lg\\:mb-80 {\n    margin-bottom: 20rem;\n  }\n\n  .lg\\:mb-96 {\n    margin-bottom: 24rem;\n  }\n\n  .lg\\:mb-auto {\n    margin-bottom: auto;\n  }\n\n  .lg\\:mb-px {\n    margin-bottom: 1px;\n  }\n\n  .lg\\:mb-0\\.5 {\n    margin-bottom: 0.125rem;\n  }\n\n  .lg\\:mb-1\\.5 {\n    margin-bottom: 0.375rem;\n  }\n\n  .lg\\:mb-2\\.5 {\n    margin-bottom: 0.625rem;\n  }\n\n  .lg\\:mb-3\\.5 {\n    margin-bottom: 0.875rem;\n  }\n\n  .lg\\:-mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .lg\\:-mb-1 {\n    margin-bottom: -0.25rem;\n  }\n\n  .lg\\:-mb-2 {\n    margin-bottom: -0.5rem;\n  }\n\n  .lg\\:-mb-3 {\n    margin-bottom: -0.75rem;\n  }\n\n  .lg\\:-mb-4 {\n    margin-bottom: -1rem;\n  }\n\n  .lg\\:-mb-5 {\n    margin-bottom: -1.25rem;\n  }\n\n  .lg\\:-mb-6 {\n    margin-bottom: -1.5rem;\n  }\n\n  .lg\\:-mb-7 {\n    margin-bottom: -1.75rem;\n  }\n\n  .lg\\:-mb-8 {\n    margin-bottom: -2rem;\n  }\n\n  .lg\\:-mb-9 {\n    margin-bottom: -2.25rem;\n  }\n\n  .lg\\:-mb-10 {\n    margin-bottom: -2.5rem;\n  }\n\n  .lg\\:-mb-11 {\n    margin-bottom: -2.75rem;\n  }\n\n  .lg\\:-mb-12 {\n    margin-bottom: -3rem;\n  }\n\n  .lg\\:-mb-14 {\n    margin-bottom: -3.5rem;\n  }\n\n  .lg\\:-mb-16 {\n    margin-bottom: -4rem;\n  }\n\n  .lg\\:-mb-20 {\n    margin-bottom: -5rem;\n  }\n\n  .lg\\:-mb-24 {\n    margin-bottom: -6rem;\n  }\n\n  .lg\\:-mb-28 {\n    margin-bottom: -7rem;\n  }\n\n  .lg\\:-mb-32 {\n    margin-bottom: -8rem;\n  }\n\n  .lg\\:-mb-36 {\n    margin-bottom: -9rem;\n  }\n\n  .lg\\:-mb-40 {\n    margin-bottom: -10rem;\n  }\n\n  .lg\\:-mb-44 {\n    margin-bottom: -11rem;\n  }\n\n  .lg\\:-mb-48 {\n    margin-bottom: -12rem;\n  }\n\n  .lg\\:-mb-52 {\n    margin-bottom: -13rem;\n  }\n\n  .lg\\:-mb-56 {\n    margin-bottom: -14rem;\n  }\n\n  .lg\\:-mb-60 {\n    margin-bottom: -15rem;\n  }\n\n  .lg\\:-mb-64 {\n    margin-bottom: -16rem;\n  }\n\n  .lg\\:-mb-72 {\n    margin-bottom: -18rem;\n  }\n\n  .lg\\:-mb-80 {\n    margin-bottom: -20rem;\n  }\n\n  .lg\\:-mb-96 {\n    margin-bottom: -24rem;\n  }\n\n  .lg\\:-mb-px {\n    margin-bottom: -1px;\n  }\n\n  .lg\\:-mb-0\\.5 {\n    margin-bottom: -0.125rem;\n  }\n\n  .lg\\:-mb-1\\.5 {\n    margin-bottom: -0.375rem;\n  }\n\n  .lg\\:-mb-2\\.5 {\n    margin-bottom: -0.625rem;\n  }\n\n  .lg\\:-mb-3\\.5 {\n    margin-bottom: -0.875rem;\n  }\n\n  .lg\\:ml-0 {\n    margin-left: 0px;\n  }\n\n  .lg\\:ml-1 {\n    margin-left: 0.25rem;\n  }\n\n  .lg\\:ml-2 {\n    margin-left: 0.5rem;\n  }\n\n  .lg\\:ml-3 {\n    margin-left: 0.75rem;\n  }\n\n  .lg\\:ml-4 {\n    margin-left: 1rem;\n  }\n\n  .lg\\:ml-5 {\n    margin-left: 1.25rem;\n  }\n\n  .lg\\:ml-6 {\n    margin-left: 1.5rem;\n  }\n\n  .lg\\:ml-7 {\n    margin-left: 1.75rem;\n  }\n\n  .lg\\:ml-8 {\n    margin-left: 2rem;\n  }\n\n  .lg\\:ml-9 {\n    margin-left: 2.25rem;\n  }\n\n  .lg\\:ml-10 {\n    margin-left: 2.5rem;\n  }\n\n  .lg\\:ml-11 {\n    margin-left: 2.75rem;\n  }\n\n  .lg\\:ml-12 {\n    margin-left: 3rem;\n  }\n\n  .lg\\:ml-14 {\n    margin-left: 3.5rem;\n  }\n\n  .lg\\:ml-16 {\n    margin-left: 4rem;\n  }\n\n  .lg\\:ml-20 {\n    margin-left: 5rem;\n  }\n\n  .lg\\:ml-24 {\n    margin-left: 6rem;\n  }\n\n  .lg\\:ml-28 {\n    margin-left: 7rem;\n  }\n\n  .lg\\:ml-32 {\n    margin-left: 8rem;\n  }\n\n  .lg\\:ml-36 {\n    margin-left: 9rem;\n  }\n\n  .lg\\:ml-40 {\n    margin-left: 10rem;\n  }\n\n  .lg\\:ml-44 {\n    margin-left: 11rem;\n  }\n\n  .lg\\:ml-48 {\n    margin-left: 12rem;\n  }\n\n  .lg\\:ml-52 {\n    margin-left: 13rem;\n  }\n\n  .lg\\:ml-56 {\n    margin-left: 14rem;\n  }\n\n  .lg\\:ml-60 {\n    margin-left: 15rem;\n  }\n\n  .lg\\:ml-64 {\n    margin-left: 16rem;\n  }\n\n  .lg\\:ml-72 {\n    margin-left: 18rem;\n  }\n\n  .lg\\:ml-80 {\n    margin-left: 20rem;\n  }\n\n  .lg\\:ml-96 {\n    margin-left: 24rem;\n  }\n\n  .lg\\:ml-auto {\n    margin-left: auto;\n  }\n\n  .lg\\:ml-px {\n    margin-left: 1px;\n  }\n\n  .lg\\:ml-0\\.5 {\n    margin-left: 0.125rem;\n  }\n\n  .lg\\:ml-1\\.5 {\n    margin-left: 0.375rem;\n  }\n\n  .lg\\:ml-2\\.5 {\n    margin-left: 0.625rem;\n  }\n\n  .lg\\:ml-3\\.5 {\n    margin-left: 0.875rem;\n  }\n\n  .lg\\:-ml-0 {\n    margin-left: 0px;\n  }\n\n  .lg\\:-ml-1 {\n    margin-left: -0.25rem;\n  }\n\n  .lg\\:-ml-2 {\n    margin-left: -0.5rem;\n  }\n\n  .lg\\:-ml-3 {\n    margin-left: -0.75rem;\n  }\n\n  .lg\\:-ml-4 {\n    margin-left: -1rem;\n  }\n\n  .lg\\:-ml-5 {\n    margin-left: -1.25rem;\n  }\n\n  .lg\\:-ml-6 {\n    margin-left: -1.5rem;\n  }\n\n  .lg\\:-ml-7 {\n    margin-left: -1.75rem;\n  }\n\n  .lg\\:-ml-8 {\n    margin-left: -2rem;\n  }\n\n  .lg\\:-ml-9 {\n    margin-left: -2.25rem;\n  }\n\n  .lg\\:-ml-10 {\n    margin-left: -2.5rem;\n  }\n\n  .lg\\:-ml-11 {\n    margin-left: -2.75rem;\n  }\n\n  .lg\\:-ml-12 {\n    margin-left: -3rem;\n  }\n\n  .lg\\:-ml-14 {\n    margin-left: -3.5rem;\n  }\n\n  .lg\\:-ml-16 {\n    margin-left: -4rem;\n  }\n\n  .lg\\:-ml-20 {\n    margin-left: -5rem;\n  }\n\n  .lg\\:-ml-24 {\n    margin-left: -6rem;\n  }\n\n  .lg\\:-ml-28 {\n    margin-left: -7rem;\n  }\n\n  .lg\\:-ml-32 {\n    margin-left: -8rem;\n  }\n\n  .lg\\:-ml-36 {\n    margin-left: -9rem;\n  }\n\n  .lg\\:-ml-40 {\n    margin-left: -10rem;\n  }\n\n  .lg\\:-ml-44 {\n    margin-left: -11rem;\n  }\n\n  .lg\\:-ml-48 {\n    margin-left: -12rem;\n  }\n\n  .lg\\:-ml-52 {\n    margin-left: -13rem;\n  }\n\n  .lg\\:-ml-56 {\n    margin-left: -14rem;\n  }\n\n  .lg\\:-ml-60 {\n    margin-left: -15rem;\n  }\n\n  .lg\\:-ml-64 {\n    margin-left: -16rem;\n  }\n\n  .lg\\:-ml-72 {\n    margin-left: -18rem;\n  }\n\n  .lg\\:-ml-80 {\n    margin-left: -20rem;\n  }\n\n  .lg\\:-ml-96 {\n    margin-left: -24rem;\n  }\n\n  .lg\\:-ml-px {\n    margin-left: -1px;\n  }\n\n  .lg\\:-ml-0\\.5 {\n    margin-left: -0.125rem;\n  }\n\n  .lg\\:-ml-1\\.5 {\n    margin-left: -0.375rem;\n  }\n\n  .lg\\:-ml-2\\.5 {\n    margin-left: -0.625rem;\n  }\n\n  .lg\\:-ml-3\\.5 {\n    margin-left: -0.875rem;\n  }\n\n  .lg\\:box-border {\n    box-sizing: border-box;\n  }\n\n  .lg\\:box-content {\n    box-sizing: content-box;\n  }\n\n  .lg\\:block {\n    display: block;\n  }\n\n  .lg\\:inline-block {\n    display: inline-block;\n  }\n\n  .lg\\:inline {\n    display: inline;\n  }\n\n  .lg\\:flex {\n    display: flex;\n  }\n\n  .lg\\:inline-flex {\n    display: inline-flex;\n  }\n\n  .lg\\:table {\n    display: table;\n  }\n\n  .lg\\:inline-table {\n    display: inline-table;\n  }\n\n  .lg\\:table-caption {\n    display: table-caption;\n  }\n\n  .lg\\:table-cell {\n    display: table-cell;\n  }\n\n  .lg\\:table-column {\n    display: table-column;\n  }\n\n  .lg\\:table-column-group {\n    display: table-column-group;\n  }\n\n  .lg\\:table-footer-group {\n    display: table-footer-group;\n  }\n\n  .lg\\:table-header-group {\n    display: table-header-group;\n  }\n\n  .lg\\:table-row-group {\n    display: table-row-group;\n  }\n\n  .lg\\:table-row {\n    display: table-row;\n  }\n\n  .lg\\:flow-root {\n    display: flow-root;\n  }\n\n  .lg\\:grid {\n    display: grid;\n  }\n\n  .lg\\:inline-grid {\n    display: inline-grid;\n  }\n\n  .lg\\:contents {\n    display: contents;\n  }\n\n  .lg\\:list-item {\n    display: list-item;\n  }\n\n  .lg\\:hidden {\n    display: none;\n  }\n\n  .lg\\:h-0 {\n    height: 0px;\n  }\n\n  .lg\\:h-1 {\n    height: 0.25rem;\n  }\n\n  .lg\\:h-2 {\n    height: 0.5rem;\n  }\n\n  .lg\\:h-3 {\n    height: 0.75rem;\n  }\n\n  .lg\\:h-4 {\n    height: 1rem;\n  }\n\n  .lg\\:h-5 {\n    height: 1.25rem;\n  }\n\n  .lg\\:h-6 {\n    height: 1.5rem;\n  }\n\n  .lg\\:h-7 {\n    height: 1.75rem;\n  }\n\n  .lg\\:h-8 {\n    height: 2rem;\n  }\n\n  .lg\\:h-9 {\n    height: 2.25rem;\n  }\n\n  .lg\\:h-10 {\n    height: 2.5rem;\n  }\n\n  .lg\\:h-11 {\n    height: 2.75rem;\n  }\n\n  .lg\\:h-12 {\n    height: 3rem;\n  }\n\n  .lg\\:h-14 {\n    height: 3.5rem;\n  }\n\n  .lg\\:h-16 {\n    height: 4rem;\n  }\n\n  .lg\\:h-20 {\n    height: 5rem;\n  }\n\n  .lg\\:h-24 {\n    height: 6rem;\n  }\n\n  .lg\\:h-28 {\n    height: 7rem;\n  }\n\n  .lg\\:h-32 {\n    height: 8rem;\n  }\n\n  .lg\\:h-36 {\n    height: 9rem;\n  }\n\n  .lg\\:h-40 {\n    height: 10rem;\n  }\n\n  .lg\\:h-44 {\n    height: 11rem;\n  }\n\n  .lg\\:h-48 {\n    height: 12rem;\n  }\n\n  .lg\\:h-52 {\n    height: 13rem;\n  }\n\n  .lg\\:h-56 {\n    height: 14rem;\n  }\n\n  .lg\\:h-60 {\n    height: 15rem;\n  }\n\n  .lg\\:h-64 {\n    height: 16rem;\n  }\n\n  .lg\\:h-72 {\n    height: 18rem;\n  }\n\n  .lg\\:h-80 {\n    height: 20rem;\n  }\n\n  .lg\\:h-96 {\n    height: 24rem;\n  }\n\n  .lg\\:h-auto {\n    height: auto;\n  }\n\n  .lg\\:h-px {\n    height: 1px;\n  }\n\n  .lg\\:h-0\\.5 {\n    height: 0.125rem;\n  }\n\n  .lg\\:h-1\\.5 {\n    height: 0.375rem;\n  }\n\n  .lg\\:h-2\\.5 {\n    height: 0.625rem;\n  }\n\n  .lg\\:h-3\\.5 {\n    height: 0.875rem;\n  }\n\n  .lg\\:h-1\\/2 {\n    height: 50%;\n  }\n\n  .lg\\:h-1\\/3 {\n    height: 33.333333%;\n  }\n\n  .lg\\:h-2\\/3 {\n    height: 66.666667%;\n  }\n\n  .lg\\:h-1\\/4 {\n    height: 25%;\n  }\n\n  .lg\\:h-2\\/4 {\n    height: 50%;\n  }\n\n  .lg\\:h-3\\/4 {\n    height: 75%;\n  }\n\n  .lg\\:h-1\\/5 {\n    height: 20%;\n  }\n\n  .lg\\:h-2\\/5 {\n    height: 40%;\n  }\n\n  .lg\\:h-3\\/5 {\n    height: 60%;\n  }\n\n  .lg\\:h-4\\/5 {\n    height: 80%;\n  }\n\n  .lg\\:h-1\\/6 {\n    height: 16.666667%;\n  }\n\n  .lg\\:h-2\\/6 {\n    height: 33.333333%;\n  }\n\n  .lg\\:h-3\\/6 {\n    height: 50%;\n  }\n\n  .lg\\:h-4\\/6 {\n    height: 66.666667%;\n  }\n\n  .lg\\:h-5\\/6 {\n    height: 83.333333%;\n  }\n\n  .lg\\:h-full {\n    height: 100%;\n  }\n\n  .lg\\:h-screen {\n    height: 100vh;\n  }\n\n  .lg\\:max-h-0 {\n    max-height: 0px;\n  }\n\n  .lg\\:max-h-1 {\n    max-height: 0.25rem;\n  }\n\n  .lg\\:max-h-2 {\n    max-height: 0.5rem;\n  }\n\n  .lg\\:max-h-3 {\n    max-height: 0.75rem;\n  }\n\n  .lg\\:max-h-4 {\n    max-height: 1rem;\n  }\n\n  .lg\\:max-h-5 {\n    max-height: 1.25rem;\n  }\n\n  .lg\\:max-h-6 {\n    max-height: 1.5rem;\n  }\n\n  .lg\\:max-h-7 {\n    max-height: 1.75rem;\n  }\n\n  .lg\\:max-h-8 {\n    max-height: 2rem;\n  }\n\n  .lg\\:max-h-9 {\n    max-height: 2.25rem;\n  }\n\n  .lg\\:max-h-10 {\n    max-height: 2.5rem;\n  }\n\n  .lg\\:max-h-11 {\n    max-height: 2.75rem;\n  }\n\n  .lg\\:max-h-12 {\n    max-height: 3rem;\n  }\n\n  .lg\\:max-h-14 {\n    max-height: 3.5rem;\n  }\n\n  .lg\\:max-h-16 {\n    max-height: 4rem;\n  }\n\n  .lg\\:max-h-20 {\n    max-height: 5rem;\n  }\n\n  .lg\\:max-h-24 {\n    max-height: 6rem;\n  }\n\n  .lg\\:max-h-28 {\n    max-height: 7rem;\n  }\n\n  .lg\\:max-h-32 {\n    max-height: 8rem;\n  }\n\n  .lg\\:max-h-36 {\n    max-height: 9rem;\n  }\n\n  .lg\\:max-h-40 {\n    max-height: 10rem;\n  }\n\n  .lg\\:max-h-44 {\n    max-height: 11rem;\n  }\n\n  .lg\\:max-h-48 {\n    max-height: 12rem;\n  }\n\n  .lg\\:max-h-52 {\n    max-height: 13rem;\n  }\n\n  .lg\\:max-h-56 {\n    max-height: 14rem;\n  }\n\n  .lg\\:max-h-60 {\n    max-height: 15rem;\n  }\n\n  .lg\\:max-h-64 {\n    max-height: 16rem;\n  }\n\n  .lg\\:max-h-72 {\n    max-height: 18rem;\n  }\n\n  .lg\\:max-h-80 {\n    max-height: 20rem;\n  }\n\n  .lg\\:max-h-96 {\n    max-height: 24rem;\n  }\n\n  .lg\\:max-h-px {\n    max-height: 1px;\n  }\n\n  .lg\\:max-h-0\\.5 {\n    max-height: 0.125rem;\n  }\n\n  .lg\\:max-h-1\\.5 {\n    max-height: 0.375rem;\n  }\n\n  .lg\\:max-h-2\\.5 {\n    max-height: 0.625rem;\n  }\n\n  .lg\\:max-h-3\\.5 {\n    max-height: 0.875rem;\n  }\n\n  .lg\\:max-h-full {\n    max-height: 100%;\n  }\n\n  .lg\\:max-h-screen {\n    max-height: 100vh;\n  }\n\n  .lg\\:min-h-0 {\n    min-height: 0px;\n  }\n\n  .lg\\:min-h-full {\n    min-height: 100%;\n  }\n\n  .lg\\:min-h-screen {\n    min-height: 100vh;\n  }\n\n  .lg\\:w-0 {\n    width: 0px;\n  }\n\n  .lg\\:w-1 {\n    width: 0.25rem;\n  }\n\n  .lg\\:w-2 {\n    width: 0.5rem;\n  }\n\n  .lg\\:w-3 {\n    width: 0.75rem;\n  }\n\n  .lg\\:w-4 {\n    width: 1rem;\n  }\n\n  .lg\\:w-5 {\n    width: 1.25rem;\n  }\n\n  .lg\\:w-6 {\n    width: 1.5rem;\n  }\n\n  .lg\\:w-7 {\n    width: 1.75rem;\n  }\n\n  .lg\\:w-8 {\n    width: 2rem;\n  }\n\n  .lg\\:w-9 {\n    width: 2.25rem;\n  }\n\n  .lg\\:w-10 {\n    width: 2.5rem;\n  }\n\n  .lg\\:w-11 {\n    width: 2.75rem;\n  }\n\n  .lg\\:w-12 {\n    width: 3rem;\n  }\n\n  .lg\\:w-14 {\n    width: 3.5rem;\n  }\n\n  .lg\\:w-16 {\n    width: 4rem;\n  }\n\n  .lg\\:w-20 {\n    width: 5rem;\n  }\n\n  .lg\\:w-24 {\n    width: 6rem;\n  }\n\n  .lg\\:w-28 {\n    width: 7rem;\n  }\n\n  .lg\\:w-32 {\n    width: 8rem;\n  }\n\n  .lg\\:w-36 {\n    width: 9rem;\n  }\n\n  .lg\\:w-40 {\n    width: 10rem;\n  }\n\n  .lg\\:w-44 {\n    width: 11rem;\n  }\n\n  .lg\\:w-48 {\n    width: 12rem;\n  }\n\n  .lg\\:w-52 {\n    width: 13rem;\n  }\n\n  .lg\\:w-56 {\n    width: 14rem;\n  }\n\n  .lg\\:w-60 {\n    width: 15rem;\n  }\n\n  .lg\\:w-64 {\n    width: 16rem;\n  }\n\n  .lg\\:w-72 {\n    width: 18rem;\n  }\n\n  .lg\\:w-80 {\n    width: 20rem;\n  }\n\n  .lg\\:w-96 {\n    width: 24rem;\n  }\n\n  .lg\\:w-auto {\n    width: auto;\n  }\n\n  .lg\\:w-px {\n    width: 1px;\n  }\n\n  .lg\\:w-0\\.5 {\n    width: 0.125rem;\n  }\n\n  .lg\\:w-1\\.5 {\n    width: 0.375rem;\n  }\n\n  .lg\\:w-2\\.5 {\n    width: 0.625rem;\n  }\n\n  .lg\\:w-3\\.5 {\n    width: 0.875rem;\n  }\n\n  .lg\\:w-1\\/2 {\n    width: 50%;\n  }\n\n  .lg\\:w-1\\/3 {\n    width: 33.333333%;\n  }\n\n  .lg\\:w-2\\/3 {\n    width: 66.666667%;\n  }\n\n  .lg\\:w-1\\/4 {\n    width: 25%;\n  }\n\n  .lg\\:w-2\\/4 {\n    width: 50%;\n  }\n\n  .lg\\:w-3\\/4 {\n    width: 75%;\n  }\n\n  .lg\\:w-1\\/5 {\n    width: 20%;\n  }\n\n  .lg\\:w-2\\/5 {\n    width: 40%;\n  }\n\n  .lg\\:w-3\\/5 {\n    width: 60%;\n  }\n\n  .lg\\:w-4\\/5 {\n    width: 80%;\n  }\n\n  .lg\\:w-1\\/6 {\n    width: 16.666667%;\n  }\n\n  .lg\\:w-2\\/6 {\n    width: 33.333333%;\n  }\n\n  .lg\\:w-3\\/6 {\n    width: 50%;\n  }\n\n  .lg\\:w-4\\/6 {\n    width: 66.666667%;\n  }\n\n  .lg\\:w-5\\/6 {\n    width: 83.333333%;\n  }\n\n  .lg\\:w-1\\/12 {\n    width: 8.333333%;\n  }\n\n  .lg\\:w-2\\/12 {\n    width: 16.666667%;\n  }\n\n  .lg\\:w-3\\/12 {\n    width: 25%;\n  }\n\n  .lg\\:w-4\\/12 {\n    width: 33.333333%;\n  }\n\n  .lg\\:w-5\\/12 {\n    width: 41.666667%;\n  }\n\n  .lg\\:w-6\\/12 {\n    width: 50%;\n  }\n\n  .lg\\:w-7\\/12 {\n    width: 58.333333%;\n  }\n\n  .lg\\:w-8\\/12 {\n    width: 66.666667%;\n  }\n\n  .lg\\:w-9\\/12 {\n    width: 75%;\n  }\n\n  .lg\\:w-10\\/12 {\n    width: 83.333333%;\n  }\n\n  .lg\\:w-11\\/12 {\n    width: 91.666667%;\n  }\n\n  .lg\\:w-full {\n    width: 100%;\n  }\n\n  .lg\\:w-screen {\n    width: 100vw;\n  }\n\n  .lg\\:w-min {\n    width: -webkit-min-content;\n    width: -moz-min-content;\n    width: min-content;\n  }\n\n  .lg\\:w-max {\n    width: -webkit-max-content;\n    width: -moz-max-content;\n    width: max-content;\n  }\n\n  .lg\\:min-w-0 {\n    min-width: 0px;\n  }\n\n  .lg\\:min-w-full {\n    min-width: 100%;\n  }\n\n  .lg\\:min-w-min {\n    min-width: -webkit-min-content;\n    min-width: -moz-min-content;\n    min-width: min-content;\n  }\n\n  .lg\\:min-w-max {\n    min-width: -webkit-max-content;\n    min-width: -moz-max-content;\n    min-width: max-content;\n  }\n\n  .lg\\:max-w-0 {\n    max-width: 0rem;\n  }\n\n  .lg\\:max-w-none {\n    max-width: none;\n  }\n\n  .lg\\:max-w-xs {\n    max-width: 20rem;\n  }\n\n  .lg\\:max-w-sm {\n    max-width: 24rem;\n  }\n\n  .lg\\:max-w-md {\n    max-width: 28rem;\n  }\n\n  .lg\\:max-w-lg {\n    max-width: 32rem;\n  }\n\n  .lg\\:max-w-xl {\n    max-width: 36rem;\n  }\n\n  .lg\\:max-w-2xl {\n    max-width: 42rem;\n  }\n\n  .lg\\:max-w-3xl {\n    max-width: 48rem;\n  }\n\n  .lg\\:max-w-4xl {\n    max-width: 56rem;\n  }\n\n  .lg\\:max-w-5xl {\n    max-width: 64rem;\n  }\n\n  .lg\\:max-w-6xl {\n    max-width: 72rem;\n  }\n\n  .lg\\:max-w-7xl {\n    max-width: 80rem;\n  }\n\n  .lg\\:max-w-full {\n    max-width: 100%;\n  }\n\n  .lg\\:max-w-min {\n    max-width: -webkit-min-content;\n    max-width: -moz-min-content;\n    max-width: min-content;\n  }\n\n  .lg\\:max-w-max {\n    max-width: -webkit-max-content;\n    max-width: -moz-max-content;\n    max-width: max-content;\n  }\n\n  .lg\\:max-w-prose {\n    max-width: 65ch;\n  }\n\n  .lg\\:max-w-screen-sm {\n    max-width: 640px;\n  }\n\n  .lg\\:max-w-screen-md {\n    max-width: 768px;\n  }\n\n  .lg\\:max-w-screen-lg {\n    max-width: 1024px;\n  }\n\n  .lg\\:max-w-screen-xl {\n    max-width: 1280px;\n  }\n\n  .lg\\:max-w-screen-2xl {\n    max-width: 1536px;\n  }\n\n  .lg\\:flex-1 {\n    flex: 1 1 0%;\n  }\n\n  .lg\\:flex-2 {\n    flex: 2 2 0%;\n  }\n\n  .lg\\:flex-3 {\n    flex: 3 3 0%;\n  }\n\n  .lg\\:flex-4 {\n    flex: 4 4 0%;\n  }\n\n  .lg\\:flex-5 {\n    flex: 5 5 0%;\n  }\n\n  .lg\\:flex-6 {\n    flex: 6 6 0%;\n  }\n\n  .lg\\:flex-7 {\n    flex: 7 7 0%;\n  }\n\n  .lg\\:flex-8 {\n    flex: 8 8 0%;\n  }\n\n  .lg\\:flex-9 {\n    flex: 9 9 0%;\n  }\n\n  .lg\\:flex-10 {\n    flex: 10 10 0%;\n  }\n\n  .lg\\:flex-11 {\n    flex: 11 11 0%;\n  }\n\n  .lg\\:flex-12 {\n    flex: 12 12 0%;\n  }\n\n  .lg\\:flex-auto {\n    flex: 1 1 auto;\n  }\n\n  .lg\\:flex-initial {\n    flex: 0 1 auto;\n  }\n\n  .lg\\:flex-none {\n    flex: none;\n  }\n\n  .lg\\:flex-shrink-0 {\n    flex-shrink: 0;\n  }\n\n  .lg\\:flex-shrink {\n    flex-shrink: 1;\n  }\n\n  .lg\\:flex-grow-0 {\n    flex-grow: 0;\n  }\n\n  .lg\\:flex-grow {\n    flex-grow: 1;\n  }\n\n  .lg\\:table-auto {\n    table-layout: auto;\n  }\n\n  .lg\\:table-fixed {\n    table-layout: fixed;\n  }\n\n  .lg\\:border-collapse {\n    border-collapse: collapse;\n  }\n\n  .lg\\:border-separate {\n    border-collapse: separate;\n  }\n\n  .lg\\:origin-center {\n    transform-origin: center;\n  }\n\n  .lg\\:origin-top {\n    transform-origin: top;\n  }\n\n  .lg\\:origin-top-right {\n    transform-origin: top right;\n  }\n\n  .lg\\:origin-right {\n    transform-origin: right;\n  }\n\n  .lg\\:origin-bottom-right {\n    transform-origin: bottom right;\n  }\n\n  .lg\\:origin-bottom {\n    transform-origin: bottom;\n  }\n\n  .lg\\:origin-bottom-left {\n    transform-origin: bottom left;\n  }\n\n  .lg\\:origin-left {\n    transform-origin: left;\n  }\n\n  .lg\\:origin-top-left {\n    transform-origin: top left;\n  }\n\n  .lg\\:transform {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .lg\\:transform-gpu {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .lg\\:transform-none {\n    transform: none;\n  }\n\n  .lg\\:translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:translate-x-1 {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .lg\\:translate-x-2 {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .lg\\:translate-x-3 {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .lg\\:translate-x-4 {\n    --tw-translate-x: 1rem;\n  }\n\n  .lg\\:translate-x-5 {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .lg\\:translate-x-6 {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .lg\\:translate-x-7 {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .lg\\:translate-x-8 {\n    --tw-translate-x: 2rem;\n  }\n\n  .lg\\:translate-x-9 {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .lg\\:translate-x-10 {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .lg\\:translate-x-11 {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .lg\\:translate-x-12 {\n    --tw-translate-x: 3rem;\n  }\n\n  .lg\\:translate-x-14 {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .lg\\:translate-x-16 {\n    --tw-translate-x: 4rem;\n  }\n\n  .lg\\:translate-x-20 {\n    --tw-translate-x: 5rem;\n  }\n\n  .lg\\:translate-x-24 {\n    --tw-translate-x: 6rem;\n  }\n\n  .lg\\:translate-x-28 {\n    --tw-translate-x: 7rem;\n  }\n\n  .lg\\:translate-x-32 {\n    --tw-translate-x: 8rem;\n  }\n\n  .lg\\:translate-x-36 {\n    --tw-translate-x: 9rem;\n  }\n\n  .lg\\:translate-x-40 {\n    --tw-translate-x: 10rem;\n  }\n\n  .lg\\:translate-x-44 {\n    --tw-translate-x: 11rem;\n  }\n\n  .lg\\:translate-x-48 {\n    --tw-translate-x: 12rem;\n  }\n\n  .lg\\:translate-x-52 {\n    --tw-translate-x: 13rem;\n  }\n\n  .lg\\:translate-x-56 {\n    --tw-translate-x: 14rem;\n  }\n\n  .lg\\:translate-x-60 {\n    --tw-translate-x: 15rem;\n  }\n\n  .lg\\:translate-x-64 {\n    --tw-translate-x: 16rem;\n  }\n\n  .lg\\:translate-x-72 {\n    --tw-translate-x: 18rem;\n  }\n\n  .lg\\:translate-x-80 {\n    --tw-translate-x: 20rem;\n  }\n\n  .lg\\:translate-x-96 {\n    --tw-translate-x: 24rem;\n  }\n\n  .lg\\:translate-x-px {\n    --tw-translate-x: 1px;\n  }\n\n  .lg\\:translate-x-0\\.5 {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .lg\\:translate-x-1\\.5 {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .lg\\:translate-x-2\\.5 {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .lg\\:translate-x-3\\.5 {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .lg\\:-translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:-translate-x-1 {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .lg\\:-translate-x-2 {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .lg\\:-translate-x-3 {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .lg\\:-translate-x-4 {\n    --tw-translate-x: -1rem;\n  }\n\n  .lg\\:-translate-x-5 {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .lg\\:-translate-x-6 {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .lg\\:-translate-x-7 {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .lg\\:-translate-x-8 {\n    --tw-translate-x: -2rem;\n  }\n\n  .lg\\:-translate-x-9 {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .lg\\:-translate-x-10 {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .lg\\:-translate-x-11 {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .lg\\:-translate-x-12 {\n    --tw-translate-x: -3rem;\n  }\n\n  .lg\\:-translate-x-14 {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .lg\\:-translate-x-16 {\n    --tw-translate-x: -4rem;\n  }\n\n  .lg\\:-translate-x-20 {\n    --tw-translate-x: -5rem;\n  }\n\n  .lg\\:-translate-x-24 {\n    --tw-translate-x: -6rem;\n  }\n\n  .lg\\:-translate-x-28 {\n    --tw-translate-x: -7rem;\n  }\n\n  .lg\\:-translate-x-32 {\n    --tw-translate-x: -8rem;\n  }\n\n  .lg\\:-translate-x-36 {\n    --tw-translate-x: -9rem;\n  }\n\n  .lg\\:-translate-x-40 {\n    --tw-translate-x: -10rem;\n  }\n\n  .lg\\:-translate-x-44 {\n    --tw-translate-x: -11rem;\n  }\n\n  .lg\\:-translate-x-48 {\n    --tw-translate-x: -12rem;\n  }\n\n  .lg\\:-translate-x-52 {\n    --tw-translate-x: -13rem;\n  }\n\n  .lg\\:-translate-x-56 {\n    --tw-translate-x: -14rem;\n  }\n\n  .lg\\:-translate-x-60 {\n    --tw-translate-x: -15rem;\n  }\n\n  .lg\\:-translate-x-64 {\n    --tw-translate-x: -16rem;\n  }\n\n  .lg\\:-translate-x-72 {\n    --tw-translate-x: -18rem;\n  }\n\n  .lg\\:-translate-x-80 {\n    --tw-translate-x: -20rem;\n  }\n\n  .lg\\:-translate-x-96 {\n    --tw-translate-x: -24rem;\n  }\n\n  .lg\\:-translate-x-px {\n    --tw-translate-x: -1px;\n  }\n\n  .lg\\:-translate-x-0\\.5 {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .lg\\:-translate-x-1\\.5 {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .lg\\:-translate-x-2\\.5 {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .lg\\:-translate-x-3\\.5 {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .lg\\:translate-x-1\\/2 {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:translate-x-1\\/3 {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .lg\\:translate-x-2\\/3 {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .lg\\:translate-x-1\\/4 {\n    --tw-translate-x: 25%;\n  }\n\n  .lg\\:translate-x-2\\/4 {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:translate-x-3\\/4 {\n    --tw-translate-x: 75%;\n  }\n\n  .lg\\:translate-x-full {\n    --tw-translate-x: 100%;\n  }\n\n  .lg\\:-translate-x-1\\/2 {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:-translate-x-1\\/3 {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .lg\\:-translate-x-2\\/3 {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .lg\\:-translate-x-1\\/4 {\n    --tw-translate-x: -25%;\n  }\n\n  .lg\\:-translate-x-2\\/4 {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:-translate-x-3\\/4 {\n    --tw-translate-x: -75%;\n  }\n\n  .lg\\:-translate-x-full {\n    --tw-translate-x: -100%;\n  }\n\n  .lg\\:translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:translate-y-1 {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .lg\\:translate-y-2 {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .lg\\:translate-y-3 {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .lg\\:translate-y-4 {\n    --tw-translate-y: 1rem;\n  }\n\n  .lg\\:translate-y-5 {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .lg\\:translate-y-6 {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .lg\\:translate-y-7 {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .lg\\:translate-y-8 {\n    --tw-translate-y: 2rem;\n  }\n\n  .lg\\:translate-y-9 {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .lg\\:translate-y-10 {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .lg\\:translate-y-11 {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .lg\\:translate-y-12 {\n    --tw-translate-y: 3rem;\n  }\n\n  .lg\\:translate-y-14 {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .lg\\:translate-y-16 {\n    --tw-translate-y: 4rem;\n  }\n\n  .lg\\:translate-y-20 {\n    --tw-translate-y: 5rem;\n  }\n\n  .lg\\:translate-y-24 {\n    --tw-translate-y: 6rem;\n  }\n\n  .lg\\:translate-y-28 {\n    --tw-translate-y: 7rem;\n  }\n\n  .lg\\:translate-y-32 {\n    --tw-translate-y: 8rem;\n  }\n\n  .lg\\:translate-y-36 {\n    --tw-translate-y: 9rem;\n  }\n\n  .lg\\:translate-y-40 {\n    --tw-translate-y: 10rem;\n  }\n\n  .lg\\:translate-y-44 {\n    --tw-translate-y: 11rem;\n  }\n\n  .lg\\:translate-y-48 {\n    --tw-translate-y: 12rem;\n  }\n\n  .lg\\:translate-y-52 {\n    --tw-translate-y: 13rem;\n  }\n\n  .lg\\:translate-y-56 {\n    --tw-translate-y: 14rem;\n  }\n\n  .lg\\:translate-y-60 {\n    --tw-translate-y: 15rem;\n  }\n\n  .lg\\:translate-y-64 {\n    --tw-translate-y: 16rem;\n  }\n\n  .lg\\:translate-y-72 {\n    --tw-translate-y: 18rem;\n  }\n\n  .lg\\:translate-y-80 {\n    --tw-translate-y: 20rem;\n  }\n\n  .lg\\:translate-y-96 {\n    --tw-translate-y: 24rem;\n  }\n\n  .lg\\:translate-y-px {\n    --tw-translate-y: 1px;\n  }\n\n  .lg\\:translate-y-0\\.5 {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .lg\\:translate-y-1\\.5 {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .lg\\:translate-y-2\\.5 {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .lg\\:translate-y-3\\.5 {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .lg\\:-translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:-translate-y-1 {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .lg\\:-translate-y-2 {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .lg\\:-translate-y-3 {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .lg\\:-translate-y-4 {\n    --tw-translate-y: -1rem;\n  }\n\n  .lg\\:-translate-y-5 {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .lg\\:-translate-y-6 {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .lg\\:-translate-y-7 {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .lg\\:-translate-y-8 {\n    --tw-translate-y: -2rem;\n  }\n\n  .lg\\:-translate-y-9 {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .lg\\:-translate-y-10 {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .lg\\:-translate-y-11 {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .lg\\:-translate-y-12 {\n    --tw-translate-y: -3rem;\n  }\n\n  .lg\\:-translate-y-14 {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .lg\\:-translate-y-16 {\n    --tw-translate-y: -4rem;\n  }\n\n  .lg\\:-translate-y-20 {\n    --tw-translate-y: -5rem;\n  }\n\n  .lg\\:-translate-y-24 {\n    --tw-translate-y: -6rem;\n  }\n\n  .lg\\:-translate-y-28 {\n    --tw-translate-y: -7rem;\n  }\n\n  .lg\\:-translate-y-32 {\n    --tw-translate-y: -8rem;\n  }\n\n  .lg\\:-translate-y-36 {\n    --tw-translate-y: -9rem;\n  }\n\n  .lg\\:-translate-y-40 {\n    --tw-translate-y: -10rem;\n  }\n\n  .lg\\:-translate-y-44 {\n    --tw-translate-y: -11rem;\n  }\n\n  .lg\\:-translate-y-48 {\n    --tw-translate-y: -12rem;\n  }\n\n  .lg\\:-translate-y-52 {\n    --tw-translate-y: -13rem;\n  }\n\n  .lg\\:-translate-y-56 {\n    --tw-translate-y: -14rem;\n  }\n\n  .lg\\:-translate-y-60 {\n    --tw-translate-y: -15rem;\n  }\n\n  .lg\\:-translate-y-64 {\n    --tw-translate-y: -16rem;\n  }\n\n  .lg\\:-translate-y-72 {\n    --tw-translate-y: -18rem;\n  }\n\n  .lg\\:-translate-y-80 {\n    --tw-translate-y: -20rem;\n  }\n\n  .lg\\:-translate-y-96 {\n    --tw-translate-y: -24rem;\n  }\n\n  .lg\\:-translate-y-px {\n    --tw-translate-y: -1px;\n  }\n\n  .lg\\:-translate-y-0\\.5 {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .lg\\:-translate-y-1\\.5 {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .lg\\:-translate-y-2\\.5 {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .lg\\:-translate-y-3\\.5 {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .lg\\:translate-y-1\\/2 {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:translate-y-1\\/3 {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .lg\\:translate-y-2\\/3 {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .lg\\:translate-y-1\\/4 {\n    --tw-translate-y: 25%;\n  }\n\n  .lg\\:translate-y-2\\/4 {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:translate-y-3\\/4 {\n    --tw-translate-y: 75%;\n  }\n\n  .lg\\:translate-y-full {\n    --tw-translate-y: 100%;\n  }\n\n  .lg\\:-translate-y-1\\/2 {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:-translate-y-1\\/3 {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .lg\\:-translate-y-2\\/3 {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .lg\\:-translate-y-1\\/4 {\n    --tw-translate-y: -25%;\n  }\n\n  .lg\\:-translate-y-2\\/4 {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:-translate-y-3\\/4 {\n    --tw-translate-y: -75%;\n  }\n\n  .lg\\:-translate-y-full {\n    --tw-translate-y: -100%;\n  }\n\n  .lg\\:hover\\:translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:hover\\:translate-x-1:hover {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .lg\\:hover\\:translate-x-2:hover {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .lg\\:hover\\:translate-x-3:hover {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .lg\\:hover\\:translate-x-4:hover {\n    --tw-translate-x: 1rem;\n  }\n\n  .lg\\:hover\\:translate-x-5:hover {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .lg\\:hover\\:translate-x-6:hover {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .lg\\:hover\\:translate-x-7:hover {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .lg\\:hover\\:translate-x-8:hover {\n    --tw-translate-x: 2rem;\n  }\n\n  .lg\\:hover\\:translate-x-9:hover {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .lg\\:hover\\:translate-x-10:hover {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .lg\\:hover\\:translate-x-11:hover {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .lg\\:hover\\:translate-x-12:hover {\n    --tw-translate-x: 3rem;\n  }\n\n  .lg\\:hover\\:translate-x-14:hover {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .lg\\:hover\\:translate-x-16:hover {\n    --tw-translate-x: 4rem;\n  }\n\n  .lg\\:hover\\:translate-x-20:hover {\n    --tw-translate-x: 5rem;\n  }\n\n  .lg\\:hover\\:translate-x-24:hover {\n    --tw-translate-x: 6rem;\n  }\n\n  .lg\\:hover\\:translate-x-28:hover {\n    --tw-translate-x: 7rem;\n  }\n\n  .lg\\:hover\\:translate-x-32:hover {\n    --tw-translate-x: 8rem;\n  }\n\n  .lg\\:hover\\:translate-x-36:hover {\n    --tw-translate-x: 9rem;\n  }\n\n  .lg\\:hover\\:translate-x-40:hover {\n    --tw-translate-x: 10rem;\n  }\n\n  .lg\\:hover\\:translate-x-44:hover {\n    --tw-translate-x: 11rem;\n  }\n\n  .lg\\:hover\\:translate-x-48:hover {\n    --tw-translate-x: 12rem;\n  }\n\n  .lg\\:hover\\:translate-x-52:hover {\n    --tw-translate-x: 13rem;\n  }\n\n  .lg\\:hover\\:translate-x-56:hover {\n    --tw-translate-x: 14rem;\n  }\n\n  .lg\\:hover\\:translate-x-60:hover {\n    --tw-translate-x: 15rem;\n  }\n\n  .lg\\:hover\\:translate-x-64:hover {\n    --tw-translate-x: 16rem;\n  }\n\n  .lg\\:hover\\:translate-x-72:hover {\n    --tw-translate-x: 18rem;\n  }\n\n  .lg\\:hover\\:translate-x-80:hover {\n    --tw-translate-x: 20rem;\n  }\n\n  .lg\\:hover\\:translate-x-96:hover {\n    --tw-translate-x: 24rem;\n  }\n\n  .lg\\:hover\\:translate-x-px:hover {\n    --tw-translate-x: 1px;\n  }\n\n  .lg\\:hover\\:translate-x-0\\.5:hover {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .lg\\:hover\\:translate-x-1\\.5:hover {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .lg\\:hover\\:translate-x-2\\.5:hover {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .lg\\:hover\\:translate-x-3\\.5:hover {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .lg\\:hover\\:-translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:hover\\:-translate-x-1:hover {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .lg\\:hover\\:-translate-x-2:hover {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .lg\\:hover\\:-translate-x-3:hover {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .lg\\:hover\\:-translate-x-4:hover {\n    --tw-translate-x: -1rem;\n  }\n\n  .lg\\:hover\\:-translate-x-5:hover {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .lg\\:hover\\:-translate-x-6:hover {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .lg\\:hover\\:-translate-x-7:hover {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .lg\\:hover\\:-translate-x-8:hover {\n    --tw-translate-x: -2rem;\n  }\n\n  .lg\\:hover\\:-translate-x-9:hover {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .lg\\:hover\\:-translate-x-10:hover {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .lg\\:hover\\:-translate-x-11:hover {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .lg\\:hover\\:-translate-x-12:hover {\n    --tw-translate-x: -3rem;\n  }\n\n  .lg\\:hover\\:-translate-x-14:hover {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .lg\\:hover\\:-translate-x-16:hover {\n    --tw-translate-x: -4rem;\n  }\n\n  .lg\\:hover\\:-translate-x-20:hover {\n    --tw-translate-x: -5rem;\n  }\n\n  .lg\\:hover\\:-translate-x-24:hover {\n    --tw-translate-x: -6rem;\n  }\n\n  .lg\\:hover\\:-translate-x-28:hover {\n    --tw-translate-x: -7rem;\n  }\n\n  .lg\\:hover\\:-translate-x-32:hover {\n    --tw-translate-x: -8rem;\n  }\n\n  .lg\\:hover\\:-translate-x-36:hover {\n    --tw-translate-x: -9rem;\n  }\n\n  .lg\\:hover\\:-translate-x-40:hover {\n    --tw-translate-x: -10rem;\n  }\n\n  .lg\\:hover\\:-translate-x-44:hover {\n    --tw-translate-x: -11rem;\n  }\n\n  .lg\\:hover\\:-translate-x-48:hover {\n    --tw-translate-x: -12rem;\n  }\n\n  .lg\\:hover\\:-translate-x-52:hover {\n    --tw-translate-x: -13rem;\n  }\n\n  .lg\\:hover\\:-translate-x-56:hover {\n    --tw-translate-x: -14rem;\n  }\n\n  .lg\\:hover\\:-translate-x-60:hover {\n    --tw-translate-x: -15rem;\n  }\n\n  .lg\\:hover\\:-translate-x-64:hover {\n    --tw-translate-x: -16rem;\n  }\n\n  .lg\\:hover\\:-translate-x-72:hover {\n    --tw-translate-x: -18rem;\n  }\n\n  .lg\\:hover\\:-translate-x-80:hover {\n    --tw-translate-x: -20rem;\n  }\n\n  .lg\\:hover\\:-translate-x-96:hover {\n    --tw-translate-x: -24rem;\n  }\n\n  .lg\\:hover\\:-translate-x-px:hover {\n    --tw-translate-x: -1px;\n  }\n\n  .lg\\:hover\\:-translate-x-0\\.5:hover {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .lg\\:hover\\:-translate-x-1\\.5:hover {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .lg\\:hover\\:-translate-x-2\\.5:hover {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .lg\\:hover\\:-translate-x-3\\.5:hover {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .lg\\:hover\\:translate-x-1\\/2:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:hover\\:translate-x-1\\/3:hover {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .lg\\:hover\\:translate-x-2\\/3:hover {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .lg\\:hover\\:translate-x-1\\/4:hover {\n    --tw-translate-x: 25%;\n  }\n\n  .lg\\:hover\\:translate-x-2\\/4:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:hover\\:translate-x-3\\/4:hover {\n    --tw-translate-x: 75%;\n  }\n\n  .lg\\:hover\\:translate-x-full:hover {\n    --tw-translate-x: 100%;\n  }\n\n  .lg\\:hover\\:-translate-x-1\\/2:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:hover\\:-translate-x-1\\/3:hover {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .lg\\:hover\\:-translate-x-2\\/3:hover {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .lg\\:hover\\:-translate-x-1\\/4:hover {\n    --tw-translate-x: -25%;\n  }\n\n  .lg\\:hover\\:-translate-x-2\\/4:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:hover\\:-translate-x-3\\/4:hover {\n    --tw-translate-x: -75%;\n  }\n\n  .lg\\:hover\\:-translate-x-full:hover {\n    --tw-translate-x: -100%;\n  }\n\n  .lg\\:hover\\:translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:hover\\:translate-y-1:hover {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .lg\\:hover\\:translate-y-2:hover {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .lg\\:hover\\:translate-y-3:hover {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .lg\\:hover\\:translate-y-4:hover {\n    --tw-translate-y: 1rem;\n  }\n\n  .lg\\:hover\\:translate-y-5:hover {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .lg\\:hover\\:translate-y-6:hover {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .lg\\:hover\\:translate-y-7:hover {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .lg\\:hover\\:translate-y-8:hover {\n    --tw-translate-y: 2rem;\n  }\n\n  .lg\\:hover\\:translate-y-9:hover {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .lg\\:hover\\:translate-y-10:hover {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .lg\\:hover\\:translate-y-11:hover {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .lg\\:hover\\:translate-y-12:hover {\n    --tw-translate-y: 3rem;\n  }\n\n  .lg\\:hover\\:translate-y-14:hover {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .lg\\:hover\\:translate-y-16:hover {\n    --tw-translate-y: 4rem;\n  }\n\n  .lg\\:hover\\:translate-y-20:hover {\n    --tw-translate-y: 5rem;\n  }\n\n  .lg\\:hover\\:translate-y-24:hover {\n    --tw-translate-y: 6rem;\n  }\n\n  .lg\\:hover\\:translate-y-28:hover {\n    --tw-translate-y: 7rem;\n  }\n\n  .lg\\:hover\\:translate-y-32:hover {\n    --tw-translate-y: 8rem;\n  }\n\n  .lg\\:hover\\:translate-y-36:hover {\n    --tw-translate-y: 9rem;\n  }\n\n  .lg\\:hover\\:translate-y-40:hover {\n    --tw-translate-y: 10rem;\n  }\n\n  .lg\\:hover\\:translate-y-44:hover {\n    --tw-translate-y: 11rem;\n  }\n\n  .lg\\:hover\\:translate-y-48:hover {\n    --tw-translate-y: 12rem;\n  }\n\n  .lg\\:hover\\:translate-y-52:hover {\n    --tw-translate-y: 13rem;\n  }\n\n  .lg\\:hover\\:translate-y-56:hover {\n    --tw-translate-y: 14rem;\n  }\n\n  .lg\\:hover\\:translate-y-60:hover {\n    --tw-translate-y: 15rem;\n  }\n\n  .lg\\:hover\\:translate-y-64:hover {\n    --tw-translate-y: 16rem;\n  }\n\n  .lg\\:hover\\:translate-y-72:hover {\n    --tw-translate-y: 18rem;\n  }\n\n  .lg\\:hover\\:translate-y-80:hover {\n    --tw-translate-y: 20rem;\n  }\n\n  .lg\\:hover\\:translate-y-96:hover {\n    --tw-translate-y: 24rem;\n  }\n\n  .lg\\:hover\\:translate-y-px:hover {\n    --tw-translate-y: 1px;\n  }\n\n  .lg\\:hover\\:translate-y-0\\.5:hover {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .lg\\:hover\\:translate-y-1\\.5:hover {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .lg\\:hover\\:translate-y-2\\.5:hover {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .lg\\:hover\\:translate-y-3\\.5:hover {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .lg\\:hover\\:-translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:hover\\:-translate-y-1:hover {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .lg\\:hover\\:-translate-y-2:hover {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .lg\\:hover\\:-translate-y-3:hover {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .lg\\:hover\\:-translate-y-4:hover {\n    --tw-translate-y: -1rem;\n  }\n\n  .lg\\:hover\\:-translate-y-5:hover {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .lg\\:hover\\:-translate-y-6:hover {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .lg\\:hover\\:-translate-y-7:hover {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .lg\\:hover\\:-translate-y-8:hover {\n    --tw-translate-y: -2rem;\n  }\n\n  .lg\\:hover\\:-translate-y-9:hover {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .lg\\:hover\\:-translate-y-10:hover {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .lg\\:hover\\:-translate-y-11:hover {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .lg\\:hover\\:-translate-y-12:hover {\n    --tw-translate-y: -3rem;\n  }\n\n  .lg\\:hover\\:-translate-y-14:hover {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .lg\\:hover\\:-translate-y-16:hover {\n    --tw-translate-y: -4rem;\n  }\n\n  .lg\\:hover\\:-translate-y-20:hover {\n    --tw-translate-y: -5rem;\n  }\n\n  .lg\\:hover\\:-translate-y-24:hover {\n    --tw-translate-y: -6rem;\n  }\n\n  .lg\\:hover\\:-translate-y-28:hover {\n    --tw-translate-y: -7rem;\n  }\n\n  .lg\\:hover\\:-translate-y-32:hover {\n    --tw-translate-y: -8rem;\n  }\n\n  .lg\\:hover\\:-translate-y-36:hover {\n    --tw-translate-y: -9rem;\n  }\n\n  .lg\\:hover\\:-translate-y-40:hover {\n    --tw-translate-y: -10rem;\n  }\n\n  .lg\\:hover\\:-translate-y-44:hover {\n    --tw-translate-y: -11rem;\n  }\n\n  .lg\\:hover\\:-translate-y-48:hover {\n    --tw-translate-y: -12rem;\n  }\n\n  .lg\\:hover\\:-translate-y-52:hover {\n    --tw-translate-y: -13rem;\n  }\n\n  .lg\\:hover\\:-translate-y-56:hover {\n    --tw-translate-y: -14rem;\n  }\n\n  .lg\\:hover\\:-translate-y-60:hover {\n    --tw-translate-y: -15rem;\n  }\n\n  .lg\\:hover\\:-translate-y-64:hover {\n    --tw-translate-y: -16rem;\n  }\n\n  .lg\\:hover\\:-translate-y-72:hover {\n    --tw-translate-y: -18rem;\n  }\n\n  .lg\\:hover\\:-translate-y-80:hover {\n    --tw-translate-y: -20rem;\n  }\n\n  .lg\\:hover\\:-translate-y-96:hover {\n    --tw-translate-y: -24rem;\n  }\n\n  .lg\\:hover\\:-translate-y-px:hover {\n    --tw-translate-y: -1px;\n  }\n\n  .lg\\:hover\\:-translate-y-0\\.5:hover {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .lg\\:hover\\:-translate-y-1\\.5:hover {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .lg\\:hover\\:-translate-y-2\\.5:hover {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .lg\\:hover\\:-translate-y-3\\.5:hover {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .lg\\:hover\\:translate-y-1\\/2:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:hover\\:translate-y-1\\/3:hover {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .lg\\:hover\\:translate-y-2\\/3:hover {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .lg\\:hover\\:translate-y-1\\/4:hover {\n    --tw-translate-y: 25%;\n  }\n\n  .lg\\:hover\\:translate-y-2\\/4:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:hover\\:translate-y-3\\/4:hover {\n    --tw-translate-y: 75%;\n  }\n\n  .lg\\:hover\\:translate-y-full:hover {\n    --tw-translate-y: 100%;\n  }\n\n  .lg\\:hover\\:-translate-y-1\\/2:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:hover\\:-translate-y-1\\/3:hover {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .lg\\:hover\\:-translate-y-2\\/3:hover {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .lg\\:hover\\:-translate-y-1\\/4:hover {\n    --tw-translate-y: -25%;\n  }\n\n  .lg\\:hover\\:-translate-y-2\\/4:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:hover\\:-translate-y-3\\/4:hover {\n    --tw-translate-y: -75%;\n  }\n\n  .lg\\:hover\\:-translate-y-full:hover {\n    --tw-translate-y: -100%;\n  }\n\n  .lg\\:focus\\:translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:focus\\:translate-x-1:focus {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .lg\\:focus\\:translate-x-2:focus {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .lg\\:focus\\:translate-x-3:focus {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .lg\\:focus\\:translate-x-4:focus {\n    --tw-translate-x: 1rem;\n  }\n\n  .lg\\:focus\\:translate-x-5:focus {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .lg\\:focus\\:translate-x-6:focus {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .lg\\:focus\\:translate-x-7:focus {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .lg\\:focus\\:translate-x-8:focus {\n    --tw-translate-x: 2rem;\n  }\n\n  .lg\\:focus\\:translate-x-9:focus {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .lg\\:focus\\:translate-x-10:focus {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .lg\\:focus\\:translate-x-11:focus {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .lg\\:focus\\:translate-x-12:focus {\n    --tw-translate-x: 3rem;\n  }\n\n  .lg\\:focus\\:translate-x-14:focus {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .lg\\:focus\\:translate-x-16:focus {\n    --tw-translate-x: 4rem;\n  }\n\n  .lg\\:focus\\:translate-x-20:focus {\n    --tw-translate-x: 5rem;\n  }\n\n  .lg\\:focus\\:translate-x-24:focus {\n    --tw-translate-x: 6rem;\n  }\n\n  .lg\\:focus\\:translate-x-28:focus {\n    --tw-translate-x: 7rem;\n  }\n\n  .lg\\:focus\\:translate-x-32:focus {\n    --tw-translate-x: 8rem;\n  }\n\n  .lg\\:focus\\:translate-x-36:focus {\n    --tw-translate-x: 9rem;\n  }\n\n  .lg\\:focus\\:translate-x-40:focus {\n    --tw-translate-x: 10rem;\n  }\n\n  .lg\\:focus\\:translate-x-44:focus {\n    --tw-translate-x: 11rem;\n  }\n\n  .lg\\:focus\\:translate-x-48:focus {\n    --tw-translate-x: 12rem;\n  }\n\n  .lg\\:focus\\:translate-x-52:focus {\n    --tw-translate-x: 13rem;\n  }\n\n  .lg\\:focus\\:translate-x-56:focus {\n    --tw-translate-x: 14rem;\n  }\n\n  .lg\\:focus\\:translate-x-60:focus {\n    --tw-translate-x: 15rem;\n  }\n\n  .lg\\:focus\\:translate-x-64:focus {\n    --tw-translate-x: 16rem;\n  }\n\n  .lg\\:focus\\:translate-x-72:focus {\n    --tw-translate-x: 18rem;\n  }\n\n  .lg\\:focus\\:translate-x-80:focus {\n    --tw-translate-x: 20rem;\n  }\n\n  .lg\\:focus\\:translate-x-96:focus {\n    --tw-translate-x: 24rem;\n  }\n\n  .lg\\:focus\\:translate-x-px:focus {\n    --tw-translate-x: 1px;\n  }\n\n  .lg\\:focus\\:translate-x-0\\.5:focus {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .lg\\:focus\\:translate-x-1\\.5:focus {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .lg\\:focus\\:translate-x-2\\.5:focus {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .lg\\:focus\\:translate-x-3\\.5:focus {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .lg\\:focus\\:-translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .lg\\:focus\\:-translate-x-1:focus {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .lg\\:focus\\:-translate-x-2:focus {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .lg\\:focus\\:-translate-x-3:focus {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .lg\\:focus\\:-translate-x-4:focus {\n    --tw-translate-x: -1rem;\n  }\n\n  .lg\\:focus\\:-translate-x-5:focus {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .lg\\:focus\\:-translate-x-6:focus {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .lg\\:focus\\:-translate-x-7:focus {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .lg\\:focus\\:-translate-x-8:focus {\n    --tw-translate-x: -2rem;\n  }\n\n  .lg\\:focus\\:-translate-x-9:focus {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .lg\\:focus\\:-translate-x-10:focus {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .lg\\:focus\\:-translate-x-11:focus {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .lg\\:focus\\:-translate-x-12:focus {\n    --tw-translate-x: -3rem;\n  }\n\n  .lg\\:focus\\:-translate-x-14:focus {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .lg\\:focus\\:-translate-x-16:focus {\n    --tw-translate-x: -4rem;\n  }\n\n  .lg\\:focus\\:-translate-x-20:focus {\n    --tw-translate-x: -5rem;\n  }\n\n  .lg\\:focus\\:-translate-x-24:focus {\n    --tw-translate-x: -6rem;\n  }\n\n  .lg\\:focus\\:-translate-x-28:focus {\n    --tw-translate-x: -7rem;\n  }\n\n  .lg\\:focus\\:-translate-x-32:focus {\n    --tw-translate-x: -8rem;\n  }\n\n  .lg\\:focus\\:-translate-x-36:focus {\n    --tw-translate-x: -9rem;\n  }\n\n  .lg\\:focus\\:-translate-x-40:focus {\n    --tw-translate-x: -10rem;\n  }\n\n  .lg\\:focus\\:-translate-x-44:focus {\n    --tw-translate-x: -11rem;\n  }\n\n  .lg\\:focus\\:-translate-x-48:focus {\n    --tw-translate-x: -12rem;\n  }\n\n  .lg\\:focus\\:-translate-x-52:focus {\n    --tw-translate-x: -13rem;\n  }\n\n  .lg\\:focus\\:-translate-x-56:focus {\n    --tw-translate-x: -14rem;\n  }\n\n  .lg\\:focus\\:-translate-x-60:focus {\n    --tw-translate-x: -15rem;\n  }\n\n  .lg\\:focus\\:-translate-x-64:focus {\n    --tw-translate-x: -16rem;\n  }\n\n  .lg\\:focus\\:-translate-x-72:focus {\n    --tw-translate-x: -18rem;\n  }\n\n  .lg\\:focus\\:-translate-x-80:focus {\n    --tw-translate-x: -20rem;\n  }\n\n  .lg\\:focus\\:-translate-x-96:focus {\n    --tw-translate-x: -24rem;\n  }\n\n  .lg\\:focus\\:-translate-x-px:focus {\n    --tw-translate-x: -1px;\n  }\n\n  .lg\\:focus\\:-translate-x-0\\.5:focus {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .lg\\:focus\\:-translate-x-1\\.5:focus {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .lg\\:focus\\:-translate-x-2\\.5:focus {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .lg\\:focus\\:-translate-x-3\\.5:focus {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .lg\\:focus\\:translate-x-1\\/2:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:focus\\:translate-x-1\\/3:focus {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .lg\\:focus\\:translate-x-2\\/3:focus {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .lg\\:focus\\:translate-x-1\\/4:focus {\n    --tw-translate-x: 25%;\n  }\n\n  .lg\\:focus\\:translate-x-2\\/4:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .lg\\:focus\\:translate-x-3\\/4:focus {\n    --tw-translate-x: 75%;\n  }\n\n  .lg\\:focus\\:translate-x-full:focus {\n    --tw-translate-x: 100%;\n  }\n\n  .lg\\:focus\\:-translate-x-1\\/2:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:focus\\:-translate-x-1\\/3:focus {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .lg\\:focus\\:-translate-x-2\\/3:focus {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .lg\\:focus\\:-translate-x-1\\/4:focus {\n    --tw-translate-x: -25%;\n  }\n\n  .lg\\:focus\\:-translate-x-2\\/4:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .lg\\:focus\\:-translate-x-3\\/4:focus {\n    --tw-translate-x: -75%;\n  }\n\n  .lg\\:focus\\:-translate-x-full:focus {\n    --tw-translate-x: -100%;\n  }\n\n  .lg\\:focus\\:translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:focus\\:translate-y-1:focus {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .lg\\:focus\\:translate-y-2:focus {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .lg\\:focus\\:translate-y-3:focus {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .lg\\:focus\\:translate-y-4:focus {\n    --tw-translate-y: 1rem;\n  }\n\n  .lg\\:focus\\:translate-y-5:focus {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .lg\\:focus\\:translate-y-6:focus {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .lg\\:focus\\:translate-y-7:focus {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .lg\\:focus\\:translate-y-8:focus {\n    --tw-translate-y: 2rem;\n  }\n\n  .lg\\:focus\\:translate-y-9:focus {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .lg\\:focus\\:translate-y-10:focus {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .lg\\:focus\\:translate-y-11:focus {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .lg\\:focus\\:translate-y-12:focus {\n    --tw-translate-y: 3rem;\n  }\n\n  .lg\\:focus\\:translate-y-14:focus {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .lg\\:focus\\:translate-y-16:focus {\n    --tw-translate-y: 4rem;\n  }\n\n  .lg\\:focus\\:translate-y-20:focus {\n    --tw-translate-y: 5rem;\n  }\n\n  .lg\\:focus\\:translate-y-24:focus {\n    --tw-translate-y: 6rem;\n  }\n\n  .lg\\:focus\\:translate-y-28:focus {\n    --tw-translate-y: 7rem;\n  }\n\n  .lg\\:focus\\:translate-y-32:focus {\n    --tw-translate-y: 8rem;\n  }\n\n  .lg\\:focus\\:translate-y-36:focus {\n    --tw-translate-y: 9rem;\n  }\n\n  .lg\\:focus\\:translate-y-40:focus {\n    --tw-translate-y: 10rem;\n  }\n\n  .lg\\:focus\\:translate-y-44:focus {\n    --tw-translate-y: 11rem;\n  }\n\n  .lg\\:focus\\:translate-y-48:focus {\n    --tw-translate-y: 12rem;\n  }\n\n  .lg\\:focus\\:translate-y-52:focus {\n    --tw-translate-y: 13rem;\n  }\n\n  .lg\\:focus\\:translate-y-56:focus {\n    --tw-translate-y: 14rem;\n  }\n\n  .lg\\:focus\\:translate-y-60:focus {\n    --tw-translate-y: 15rem;\n  }\n\n  .lg\\:focus\\:translate-y-64:focus {\n    --tw-translate-y: 16rem;\n  }\n\n  .lg\\:focus\\:translate-y-72:focus {\n    --tw-translate-y: 18rem;\n  }\n\n  .lg\\:focus\\:translate-y-80:focus {\n    --tw-translate-y: 20rem;\n  }\n\n  .lg\\:focus\\:translate-y-96:focus {\n    --tw-translate-y: 24rem;\n  }\n\n  .lg\\:focus\\:translate-y-px:focus {\n    --tw-translate-y: 1px;\n  }\n\n  .lg\\:focus\\:translate-y-0\\.5:focus {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .lg\\:focus\\:translate-y-1\\.5:focus {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .lg\\:focus\\:translate-y-2\\.5:focus {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .lg\\:focus\\:translate-y-3\\.5:focus {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .lg\\:focus\\:-translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .lg\\:focus\\:-translate-y-1:focus {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .lg\\:focus\\:-translate-y-2:focus {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .lg\\:focus\\:-translate-y-3:focus {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .lg\\:focus\\:-translate-y-4:focus {\n    --tw-translate-y: -1rem;\n  }\n\n  .lg\\:focus\\:-translate-y-5:focus {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .lg\\:focus\\:-translate-y-6:focus {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .lg\\:focus\\:-translate-y-7:focus {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .lg\\:focus\\:-translate-y-8:focus {\n    --tw-translate-y: -2rem;\n  }\n\n  .lg\\:focus\\:-translate-y-9:focus {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .lg\\:focus\\:-translate-y-10:focus {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .lg\\:focus\\:-translate-y-11:focus {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .lg\\:focus\\:-translate-y-12:focus {\n    --tw-translate-y: -3rem;\n  }\n\n  .lg\\:focus\\:-translate-y-14:focus {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .lg\\:focus\\:-translate-y-16:focus {\n    --tw-translate-y: -4rem;\n  }\n\n  .lg\\:focus\\:-translate-y-20:focus {\n    --tw-translate-y: -5rem;\n  }\n\n  .lg\\:focus\\:-translate-y-24:focus {\n    --tw-translate-y: -6rem;\n  }\n\n  .lg\\:focus\\:-translate-y-28:focus {\n    --tw-translate-y: -7rem;\n  }\n\n  .lg\\:focus\\:-translate-y-32:focus {\n    --tw-translate-y: -8rem;\n  }\n\n  .lg\\:focus\\:-translate-y-36:focus {\n    --tw-translate-y: -9rem;\n  }\n\n  .lg\\:focus\\:-translate-y-40:focus {\n    --tw-translate-y: -10rem;\n  }\n\n  .lg\\:focus\\:-translate-y-44:focus {\n    --tw-translate-y: -11rem;\n  }\n\n  .lg\\:focus\\:-translate-y-48:focus {\n    --tw-translate-y: -12rem;\n  }\n\n  .lg\\:focus\\:-translate-y-52:focus {\n    --tw-translate-y: -13rem;\n  }\n\n  .lg\\:focus\\:-translate-y-56:focus {\n    --tw-translate-y: -14rem;\n  }\n\n  .lg\\:focus\\:-translate-y-60:focus {\n    --tw-translate-y: -15rem;\n  }\n\n  .lg\\:focus\\:-translate-y-64:focus {\n    --tw-translate-y: -16rem;\n  }\n\n  .lg\\:focus\\:-translate-y-72:focus {\n    --tw-translate-y: -18rem;\n  }\n\n  .lg\\:focus\\:-translate-y-80:focus {\n    --tw-translate-y: -20rem;\n  }\n\n  .lg\\:focus\\:-translate-y-96:focus {\n    --tw-translate-y: -24rem;\n  }\n\n  .lg\\:focus\\:-translate-y-px:focus {\n    --tw-translate-y: -1px;\n  }\n\n  .lg\\:focus\\:-translate-y-0\\.5:focus {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .lg\\:focus\\:-translate-y-1\\.5:focus {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .lg\\:focus\\:-translate-y-2\\.5:focus {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .lg\\:focus\\:-translate-y-3\\.5:focus {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .lg\\:focus\\:translate-y-1\\/2:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:focus\\:translate-y-1\\/3:focus {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .lg\\:focus\\:translate-y-2\\/3:focus {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .lg\\:focus\\:translate-y-1\\/4:focus {\n    --tw-translate-y: 25%;\n  }\n\n  .lg\\:focus\\:translate-y-2\\/4:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .lg\\:focus\\:translate-y-3\\/4:focus {\n    --tw-translate-y: 75%;\n  }\n\n  .lg\\:focus\\:translate-y-full:focus {\n    --tw-translate-y: 100%;\n  }\n\n  .lg\\:focus\\:-translate-y-1\\/2:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:focus\\:-translate-y-1\\/3:focus {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .lg\\:focus\\:-translate-y-2\\/3:focus {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .lg\\:focus\\:-translate-y-1\\/4:focus {\n    --tw-translate-y: -25%;\n  }\n\n  .lg\\:focus\\:-translate-y-2\\/4:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .lg\\:focus\\:-translate-y-3\\/4:focus {\n    --tw-translate-y: -75%;\n  }\n\n  .lg\\:focus\\:-translate-y-full:focus {\n    --tw-translate-y: -100%;\n  }\n\n  .lg\\:rotate-0 {\n    --tw-rotate: 0deg;\n  }\n\n  .lg\\:rotate-1 {\n    --tw-rotate: 1deg;\n  }\n\n  .lg\\:rotate-2 {\n    --tw-rotate: 2deg;\n  }\n\n  .lg\\:rotate-3 {\n    --tw-rotate: 3deg;\n  }\n\n  .lg\\:rotate-6 {\n    --tw-rotate: 6deg;\n  }\n\n  .lg\\:rotate-12 {\n    --tw-rotate: 12deg;\n  }\n\n  .lg\\:rotate-45 {\n    --tw-rotate: 45deg;\n  }\n\n  .lg\\:rotate-90 {\n    --tw-rotate: 90deg;\n  }\n\n  .lg\\:rotate-180 {\n    --tw-rotate: 180deg;\n  }\n\n  .lg\\:-rotate-180 {\n    --tw-rotate: -180deg;\n  }\n\n  .lg\\:-rotate-90 {\n    --tw-rotate: -90deg;\n  }\n\n  .lg\\:-rotate-45 {\n    --tw-rotate: -45deg;\n  }\n\n  .lg\\:-rotate-12 {\n    --tw-rotate: -12deg;\n  }\n\n  .lg\\:-rotate-6 {\n    --tw-rotate: -6deg;\n  }\n\n  .lg\\:-rotate-3 {\n    --tw-rotate: -3deg;\n  }\n\n  .lg\\:-rotate-2 {\n    --tw-rotate: -2deg;\n  }\n\n  .lg\\:-rotate-1 {\n    --tw-rotate: -1deg;\n  }\n\n  .lg\\:hover\\:rotate-0:hover {\n    --tw-rotate: 0deg;\n  }\n\n  .lg\\:hover\\:rotate-1:hover {\n    --tw-rotate: 1deg;\n  }\n\n  .lg\\:hover\\:rotate-2:hover {\n    --tw-rotate: 2deg;\n  }\n\n  .lg\\:hover\\:rotate-3:hover {\n    --tw-rotate: 3deg;\n  }\n\n  .lg\\:hover\\:rotate-6:hover {\n    --tw-rotate: 6deg;\n  }\n\n  .lg\\:hover\\:rotate-12:hover {\n    --tw-rotate: 12deg;\n  }\n\n  .lg\\:hover\\:rotate-45:hover {\n    --tw-rotate: 45deg;\n  }\n\n  .lg\\:hover\\:rotate-90:hover {\n    --tw-rotate: 90deg;\n  }\n\n  .lg\\:hover\\:rotate-180:hover {\n    --tw-rotate: 180deg;\n  }\n\n  .lg\\:hover\\:-rotate-180:hover {\n    --tw-rotate: -180deg;\n  }\n\n  .lg\\:hover\\:-rotate-90:hover {\n    --tw-rotate: -90deg;\n  }\n\n  .lg\\:hover\\:-rotate-45:hover {\n    --tw-rotate: -45deg;\n  }\n\n  .lg\\:hover\\:-rotate-12:hover {\n    --tw-rotate: -12deg;\n  }\n\n  .lg\\:hover\\:-rotate-6:hover {\n    --tw-rotate: -6deg;\n  }\n\n  .lg\\:hover\\:-rotate-3:hover {\n    --tw-rotate: -3deg;\n  }\n\n  .lg\\:hover\\:-rotate-2:hover {\n    --tw-rotate: -2deg;\n  }\n\n  .lg\\:hover\\:-rotate-1:hover {\n    --tw-rotate: -1deg;\n  }\n\n  .lg\\:focus\\:rotate-0:focus {\n    --tw-rotate: 0deg;\n  }\n\n  .lg\\:focus\\:rotate-1:focus {\n    --tw-rotate: 1deg;\n  }\n\n  .lg\\:focus\\:rotate-2:focus {\n    --tw-rotate: 2deg;\n  }\n\n  .lg\\:focus\\:rotate-3:focus {\n    --tw-rotate: 3deg;\n  }\n\n  .lg\\:focus\\:rotate-6:focus {\n    --tw-rotate: 6deg;\n  }\n\n  .lg\\:focus\\:rotate-12:focus {\n    --tw-rotate: 12deg;\n  }\n\n  .lg\\:focus\\:rotate-45:focus {\n    --tw-rotate: 45deg;\n  }\n\n  .lg\\:focus\\:rotate-90:focus {\n    --tw-rotate: 90deg;\n  }\n\n  .lg\\:focus\\:rotate-180:focus {\n    --tw-rotate: 180deg;\n  }\n\n  .lg\\:focus\\:-rotate-180:focus {\n    --tw-rotate: -180deg;\n  }\n\n  .lg\\:focus\\:-rotate-90:focus {\n    --tw-rotate: -90deg;\n  }\n\n  .lg\\:focus\\:-rotate-45:focus {\n    --tw-rotate: -45deg;\n  }\n\n  .lg\\:focus\\:-rotate-12:focus {\n    --tw-rotate: -12deg;\n  }\n\n  .lg\\:focus\\:-rotate-6:focus {\n    --tw-rotate: -6deg;\n  }\n\n  .lg\\:focus\\:-rotate-3:focus {\n    --tw-rotate: -3deg;\n  }\n\n  .lg\\:focus\\:-rotate-2:focus {\n    --tw-rotate: -2deg;\n  }\n\n  .lg\\:focus\\:-rotate-1:focus {\n    --tw-rotate: -1deg;\n  }\n\n  .lg\\:skew-x-0 {\n    --tw-skew-x: 0deg;\n  }\n\n  .lg\\:skew-x-1 {\n    --tw-skew-x: 1deg;\n  }\n\n  .lg\\:skew-x-2 {\n    --tw-skew-x: 2deg;\n  }\n\n  .lg\\:skew-x-3 {\n    --tw-skew-x: 3deg;\n  }\n\n  .lg\\:skew-x-6 {\n    --tw-skew-x: 6deg;\n  }\n\n  .lg\\:skew-x-12 {\n    --tw-skew-x: 12deg;\n  }\n\n  .lg\\:-skew-x-12 {\n    --tw-skew-x: -12deg;\n  }\n\n  .lg\\:-skew-x-6 {\n    --tw-skew-x: -6deg;\n  }\n\n  .lg\\:-skew-x-3 {\n    --tw-skew-x: -3deg;\n  }\n\n  .lg\\:-skew-x-2 {\n    --tw-skew-x: -2deg;\n  }\n\n  .lg\\:-skew-x-1 {\n    --tw-skew-x: -1deg;\n  }\n\n  .lg\\:skew-y-0 {\n    --tw-skew-y: 0deg;\n  }\n\n  .lg\\:skew-y-1 {\n    --tw-skew-y: 1deg;\n  }\n\n  .lg\\:skew-y-2 {\n    --tw-skew-y: 2deg;\n  }\n\n  .lg\\:skew-y-3 {\n    --tw-skew-y: 3deg;\n  }\n\n  .lg\\:skew-y-6 {\n    --tw-skew-y: 6deg;\n  }\n\n  .lg\\:skew-y-12 {\n    --tw-skew-y: 12deg;\n  }\n\n  .lg\\:-skew-y-12 {\n    --tw-skew-y: -12deg;\n  }\n\n  .lg\\:-skew-y-6 {\n    --tw-skew-y: -6deg;\n  }\n\n  .lg\\:-skew-y-3 {\n    --tw-skew-y: -3deg;\n  }\n\n  .lg\\:-skew-y-2 {\n    --tw-skew-y: -2deg;\n  }\n\n  .lg\\:-skew-y-1 {\n    --tw-skew-y: -1deg;\n  }\n\n  .lg\\:hover\\:skew-x-0:hover {\n    --tw-skew-x: 0deg;\n  }\n\n  .lg\\:hover\\:skew-x-1:hover {\n    --tw-skew-x: 1deg;\n  }\n\n  .lg\\:hover\\:skew-x-2:hover {\n    --tw-skew-x: 2deg;\n  }\n\n  .lg\\:hover\\:skew-x-3:hover {\n    --tw-skew-x: 3deg;\n  }\n\n  .lg\\:hover\\:skew-x-6:hover {\n    --tw-skew-x: 6deg;\n  }\n\n  .lg\\:hover\\:skew-x-12:hover {\n    --tw-skew-x: 12deg;\n  }\n\n  .lg\\:hover\\:-skew-x-12:hover {\n    --tw-skew-x: -12deg;\n  }\n\n  .lg\\:hover\\:-skew-x-6:hover {\n    --tw-skew-x: -6deg;\n  }\n\n  .lg\\:hover\\:-skew-x-3:hover {\n    --tw-skew-x: -3deg;\n  }\n\n  .lg\\:hover\\:-skew-x-2:hover {\n    --tw-skew-x: -2deg;\n  }\n\n  .lg\\:hover\\:-skew-x-1:hover {\n    --tw-skew-x: -1deg;\n  }\n\n  .lg\\:hover\\:skew-y-0:hover {\n    --tw-skew-y: 0deg;\n  }\n\n  .lg\\:hover\\:skew-y-1:hover {\n    --tw-skew-y: 1deg;\n  }\n\n  .lg\\:hover\\:skew-y-2:hover {\n    --tw-skew-y: 2deg;\n  }\n\n  .lg\\:hover\\:skew-y-3:hover {\n    --tw-skew-y: 3deg;\n  }\n\n  .lg\\:hover\\:skew-y-6:hover {\n    --tw-skew-y: 6deg;\n  }\n\n  .lg\\:hover\\:skew-y-12:hover {\n    --tw-skew-y: 12deg;\n  }\n\n  .lg\\:hover\\:-skew-y-12:hover {\n    --tw-skew-y: -12deg;\n  }\n\n  .lg\\:hover\\:-skew-y-6:hover {\n    --tw-skew-y: -6deg;\n  }\n\n  .lg\\:hover\\:-skew-y-3:hover {\n    --tw-skew-y: -3deg;\n  }\n\n  .lg\\:hover\\:-skew-y-2:hover {\n    --tw-skew-y: -2deg;\n  }\n\n  .lg\\:hover\\:-skew-y-1:hover {\n    --tw-skew-y: -1deg;\n  }\n\n  .lg\\:focus\\:skew-x-0:focus {\n    --tw-skew-x: 0deg;\n  }\n\n  .lg\\:focus\\:skew-x-1:focus {\n    --tw-skew-x: 1deg;\n  }\n\n  .lg\\:focus\\:skew-x-2:focus {\n    --tw-skew-x: 2deg;\n  }\n\n  .lg\\:focus\\:skew-x-3:focus {\n    --tw-skew-x: 3deg;\n  }\n\n  .lg\\:focus\\:skew-x-6:focus {\n    --tw-skew-x: 6deg;\n  }\n\n  .lg\\:focus\\:skew-x-12:focus {\n    --tw-skew-x: 12deg;\n  }\n\n  .lg\\:focus\\:-skew-x-12:focus {\n    --tw-skew-x: -12deg;\n  }\n\n  .lg\\:focus\\:-skew-x-6:focus {\n    --tw-skew-x: -6deg;\n  }\n\n  .lg\\:focus\\:-skew-x-3:focus {\n    --tw-skew-x: -3deg;\n  }\n\n  .lg\\:focus\\:-skew-x-2:focus {\n    --tw-skew-x: -2deg;\n  }\n\n  .lg\\:focus\\:-skew-x-1:focus {\n    --tw-skew-x: -1deg;\n  }\n\n  .lg\\:focus\\:skew-y-0:focus {\n    --tw-skew-y: 0deg;\n  }\n\n  .lg\\:focus\\:skew-y-1:focus {\n    --tw-skew-y: 1deg;\n  }\n\n  .lg\\:focus\\:skew-y-2:focus {\n    --tw-skew-y: 2deg;\n  }\n\n  .lg\\:focus\\:skew-y-3:focus {\n    --tw-skew-y: 3deg;\n  }\n\n  .lg\\:focus\\:skew-y-6:focus {\n    --tw-skew-y: 6deg;\n  }\n\n  .lg\\:focus\\:skew-y-12:focus {\n    --tw-skew-y: 12deg;\n  }\n\n  .lg\\:focus\\:-skew-y-12:focus {\n    --tw-skew-y: -12deg;\n  }\n\n  .lg\\:focus\\:-skew-y-6:focus {\n    --tw-skew-y: -6deg;\n  }\n\n  .lg\\:focus\\:-skew-y-3:focus {\n    --tw-skew-y: -3deg;\n  }\n\n  .lg\\:focus\\:-skew-y-2:focus {\n    --tw-skew-y: -2deg;\n  }\n\n  .lg\\:focus\\:-skew-y-1:focus {\n    --tw-skew-y: -1deg;\n  }\n\n  .lg\\:scale-0 {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:scale-50 {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:scale-75 {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:scale-90 {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:scale-95 {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:scale-100 {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:scale-105 {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:scale-110 {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:scale-125 {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:scale-150 {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:hover\\:scale-0:hover {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:hover\\:scale-50:hover {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:hover\\:scale-75:hover {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:hover\\:scale-90:hover {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:hover\\:scale-95:hover {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:hover\\:scale-100:hover {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:hover\\:scale-105:hover {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:hover\\:scale-110:hover {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:hover\\:scale-125:hover {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:hover\\:scale-150:hover {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:focus\\:scale-0:focus {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:focus\\:scale-50:focus {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:focus\\:scale-75:focus {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:focus\\:scale-90:focus {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:focus\\:scale-95:focus {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:focus\\:scale-100:focus {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:focus\\:scale-105:focus {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:focus\\:scale-110:focus {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:focus\\:scale-125:focus {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:focus\\:scale-150:focus {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:scale-x-0 {\n    --tw-scale-x: 0;\n  }\n\n  .lg\\:scale-x-50 {\n    --tw-scale-x: .5;\n  }\n\n  .lg\\:scale-x-75 {\n    --tw-scale-x: .75;\n  }\n\n  .lg\\:scale-x-90 {\n    --tw-scale-x: .9;\n  }\n\n  .lg\\:scale-x-95 {\n    --tw-scale-x: .95;\n  }\n\n  .lg\\:scale-x-100 {\n    --tw-scale-x: 1;\n  }\n\n  .lg\\:scale-x-105 {\n    --tw-scale-x: 1.05;\n  }\n\n  .lg\\:scale-x-110 {\n    --tw-scale-x: 1.1;\n  }\n\n  .lg\\:scale-x-125 {\n    --tw-scale-x: 1.25;\n  }\n\n  .lg\\:scale-x-150 {\n    --tw-scale-x: 1.5;\n  }\n\n  .lg\\:scale-y-0 {\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:scale-y-50 {\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:scale-y-75 {\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:scale-y-90 {\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:scale-y-95 {\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:scale-y-100 {\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:scale-y-105 {\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:scale-y-110 {\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:scale-y-125 {\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:scale-y-150 {\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:hover\\:scale-x-0:hover {\n    --tw-scale-x: 0;\n  }\n\n  .lg\\:hover\\:scale-x-50:hover {\n    --tw-scale-x: .5;\n  }\n\n  .lg\\:hover\\:scale-x-75:hover {\n    --tw-scale-x: .75;\n  }\n\n  .lg\\:hover\\:scale-x-90:hover {\n    --tw-scale-x: .9;\n  }\n\n  .lg\\:hover\\:scale-x-95:hover {\n    --tw-scale-x: .95;\n  }\n\n  .lg\\:hover\\:scale-x-100:hover {\n    --tw-scale-x: 1;\n  }\n\n  .lg\\:hover\\:scale-x-105:hover {\n    --tw-scale-x: 1.05;\n  }\n\n  .lg\\:hover\\:scale-x-110:hover {\n    --tw-scale-x: 1.1;\n  }\n\n  .lg\\:hover\\:scale-x-125:hover {\n    --tw-scale-x: 1.25;\n  }\n\n  .lg\\:hover\\:scale-x-150:hover {\n    --tw-scale-x: 1.5;\n  }\n\n  .lg\\:hover\\:scale-y-0:hover {\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:hover\\:scale-y-50:hover {\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:hover\\:scale-y-75:hover {\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:hover\\:scale-y-90:hover {\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:hover\\:scale-y-95:hover {\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:hover\\:scale-y-100:hover {\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:hover\\:scale-y-105:hover {\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:hover\\:scale-y-110:hover {\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:hover\\:scale-y-125:hover {\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:hover\\:scale-y-150:hover {\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:focus\\:scale-x-0:focus {\n    --tw-scale-x: 0;\n  }\n\n  .lg\\:focus\\:scale-x-50:focus {\n    --tw-scale-x: .5;\n  }\n\n  .lg\\:focus\\:scale-x-75:focus {\n    --tw-scale-x: .75;\n  }\n\n  .lg\\:focus\\:scale-x-90:focus {\n    --tw-scale-x: .9;\n  }\n\n  .lg\\:focus\\:scale-x-95:focus {\n    --tw-scale-x: .95;\n  }\n\n  .lg\\:focus\\:scale-x-100:focus {\n    --tw-scale-x: 1;\n  }\n\n  .lg\\:focus\\:scale-x-105:focus {\n    --tw-scale-x: 1.05;\n  }\n\n  .lg\\:focus\\:scale-x-110:focus {\n    --tw-scale-x: 1.1;\n  }\n\n  .lg\\:focus\\:scale-x-125:focus {\n    --tw-scale-x: 1.25;\n  }\n\n  .lg\\:focus\\:scale-x-150:focus {\n    --tw-scale-x: 1.5;\n  }\n\n  .lg\\:focus\\:scale-y-0:focus {\n    --tw-scale-y: 0;\n  }\n\n  .lg\\:focus\\:scale-y-50:focus {\n    --tw-scale-y: .5;\n  }\n\n  .lg\\:focus\\:scale-y-75:focus {\n    --tw-scale-y: .75;\n  }\n\n  .lg\\:focus\\:scale-y-90:focus {\n    --tw-scale-y: .9;\n  }\n\n  .lg\\:focus\\:scale-y-95:focus {\n    --tw-scale-y: .95;\n  }\n\n  .lg\\:focus\\:scale-y-100:focus {\n    --tw-scale-y: 1;\n  }\n\n  .lg\\:focus\\:scale-y-105:focus {\n    --tw-scale-y: 1.05;\n  }\n\n  .lg\\:focus\\:scale-y-110:focus {\n    --tw-scale-y: 1.1;\n  }\n\n  .lg\\:focus\\:scale-y-125:focus {\n    --tw-scale-y: 1.25;\n  }\n\n  .lg\\:focus\\:scale-y-150:focus {\n    --tw-scale-y: 1.5;\n  }\n\n  .lg\\:animate-none {\n    -webkit-animation: none;\n            animation: none;\n  }\n\n  .lg\\:animate-spin {\n    -webkit-animation: spin 1s linear infinite;\n            animation: spin 1s linear infinite;\n  }\n\n  .lg\\:animate-ping {\n    -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n            animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n  }\n\n  .lg\\:animate-pulse {\n    -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n            animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n  }\n\n  .lg\\:animate-bounce {\n    -webkit-animation: bounce 1s infinite;\n            animation: bounce 1s infinite;\n  }\n\n  .lg\\:animate-gradient {\n    -webkit-animation: gradient 5s ease infinite;\n            animation: gradient 5s ease infinite;\n  }\n\n  .lg\\:cursor-auto {\n    cursor: auto;\n  }\n\n  .lg\\:cursor-default {\n    cursor: default;\n  }\n\n  .lg\\:cursor-pointer {\n    cursor: pointer;\n  }\n\n  .lg\\:cursor-wait {\n    cursor: wait;\n  }\n\n  .lg\\:cursor-text {\n    cursor: text;\n  }\n\n  .lg\\:cursor-move {\n    cursor: move;\n  }\n\n  .lg\\:cursor-help {\n    cursor: help;\n  }\n\n  .lg\\:cursor-not-allowed {\n    cursor: not-allowed;\n  }\n\n  .lg\\:select-none {\n    -webkit-user-select: none;\n       -moz-user-select: none;\n            user-select: none;\n  }\n\n  .lg\\:select-text {\n    -webkit-user-select: text;\n       -moz-user-select: text;\n            user-select: text;\n  }\n\n  .lg\\:select-all {\n    -webkit-user-select: all;\n       -moz-user-select: all;\n            user-select: all;\n  }\n\n  .lg\\:select-auto {\n    -webkit-user-select: auto;\n       -moz-user-select: auto;\n            user-select: auto;\n  }\n\n  .lg\\:resize-none {\n    resize: none;\n  }\n\n  .lg\\:resize-y {\n    resize: vertical;\n  }\n\n  .lg\\:resize-x {\n    resize: horizontal;\n  }\n\n  .lg\\:resize {\n    resize: both;\n  }\n\n  .lg\\:list-inside {\n    list-style-position: inside;\n  }\n\n  .lg\\:list-outside {\n    list-style-position: outside;\n  }\n\n  .lg\\:list-none {\n    list-style-type: none;\n  }\n\n  .lg\\:list-disc {\n    list-style-type: disc;\n  }\n\n  .lg\\:list-decimal {\n    list-style-type: decimal;\n  }\n\n  .lg\\:appearance-none {\n    -webkit-appearance: none;\n       -moz-appearance: none;\n            appearance: none;\n  }\n\n  .lg\\:auto-cols-auto {\n    grid-auto-columns: auto;\n  }\n\n  .lg\\:auto-cols-min {\n    grid-auto-columns: -webkit-min-content;\n    grid-auto-columns: min-content;\n  }\n\n  .lg\\:auto-cols-max {\n    grid-auto-columns: -webkit-max-content;\n    grid-auto-columns: max-content;\n  }\n\n  .lg\\:auto-cols-fr {\n    grid-auto-columns: minmax(0, 1fr);\n  }\n\n  .lg\\:grid-flow-row {\n    grid-auto-flow: row;\n  }\n\n  .lg\\:grid-flow-col {\n    grid-auto-flow: column;\n  }\n\n  .lg\\:grid-flow-row-dense {\n    grid-auto-flow: row dense;\n  }\n\n  .lg\\:grid-flow-col-dense {\n    grid-auto-flow: column dense;\n  }\n\n  .lg\\:auto-rows-auto {\n    grid-auto-rows: auto;\n  }\n\n  .lg\\:auto-rows-min {\n    grid-auto-rows: -webkit-min-content;\n    grid-auto-rows: min-content;\n  }\n\n  .lg\\:auto-rows-max {\n    grid-auto-rows: -webkit-max-content;\n    grid-auto-rows: max-content;\n  }\n\n  .lg\\:auto-rows-fr {\n    grid-auto-rows: minmax(0, 1fr);\n  }\n\n  .lg\\:grid-cols-1 {\n    grid-template-columns: repeat(1, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-2 {\n    grid-template-columns: repeat(2, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-3 {\n    grid-template-columns: repeat(3, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-4 {\n    grid-template-columns: repeat(4, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-5 {\n    grid-template-columns: repeat(5, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-6 {\n    grid-template-columns: repeat(6, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-7 {\n    grid-template-columns: repeat(7, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-8 {\n    grid-template-columns: repeat(8, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-9 {\n    grid-template-columns: repeat(9, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-10 {\n    grid-template-columns: repeat(10, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-11 {\n    grid-template-columns: repeat(11, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-12 {\n    grid-template-columns: repeat(12, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-cols-none {\n    grid-template-columns: none;\n  }\n\n  .lg\\:grid-rows-1 {\n    grid-template-rows: repeat(1, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-2 {\n    grid-template-rows: repeat(2, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-3 {\n    grid-template-rows: repeat(3, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-4 {\n    grid-template-rows: repeat(4, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-5 {\n    grid-template-rows: repeat(5, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-6 {\n    grid-template-rows: repeat(6, minmax(0, 1fr));\n  }\n\n  .lg\\:grid-rows-none {\n    grid-template-rows: none;\n  }\n\n  .lg\\:flex-row {\n    flex-direction: row;\n  }\n\n  .lg\\:flex-row-reverse {\n    flex-direction: row-reverse;\n  }\n\n  .lg\\:flex-col {\n    flex-direction: column;\n  }\n\n  .lg\\:flex-col-reverse {\n    flex-direction: column-reverse;\n  }\n\n  .lg\\:flex-wrap {\n    flex-wrap: wrap;\n  }\n\n  .lg\\:flex-wrap-reverse {\n    flex-wrap: wrap-reverse;\n  }\n\n  .lg\\:flex-nowrap {\n    flex-wrap: nowrap;\n  }\n\n  .lg\\:place-content-center {\n    place-content: center;\n  }\n\n  .lg\\:place-content-start {\n    place-content: start;\n  }\n\n  .lg\\:place-content-end {\n    place-content: end;\n  }\n\n  .lg\\:place-content-between {\n    place-content: space-between;\n  }\n\n  .lg\\:place-content-around {\n    place-content: space-around;\n  }\n\n  .lg\\:place-content-evenly {\n    place-content: space-evenly;\n  }\n\n  .lg\\:place-content-stretch {\n    place-content: stretch;\n  }\n\n  .lg\\:place-items-start {\n    place-items: start;\n  }\n\n  .lg\\:place-items-end {\n    place-items: end;\n  }\n\n  .lg\\:place-items-center {\n    place-items: center;\n  }\n\n  .lg\\:place-items-stretch {\n    place-items: stretch;\n  }\n\n  .lg\\:content-center {\n    align-content: center;\n  }\n\n  .lg\\:content-start {\n    align-content: flex-start;\n  }\n\n  .lg\\:content-end {\n    align-content: flex-end;\n  }\n\n  .lg\\:content-between {\n    align-content: space-between;\n  }\n\n  .lg\\:content-around {\n    align-content: space-around;\n  }\n\n  .lg\\:content-evenly {\n    align-content: space-evenly;\n  }\n\n  .lg\\:items-start {\n    align-items: flex-start;\n  }\n\n  .lg\\:items-end {\n    align-items: flex-end;\n  }\n\n  .lg\\:items-center {\n    align-items: center;\n  }\n\n  .lg\\:items-baseline {\n    align-items: baseline;\n  }\n\n  .lg\\:items-stretch {\n    align-items: stretch;\n  }\n\n  .lg\\:justify-start {\n    justify-content: flex-start;\n  }\n\n  .lg\\:justify-end {\n    justify-content: flex-end;\n  }\n\n  .lg\\:justify-center {\n    justify-content: center;\n  }\n\n  .lg\\:justify-between {\n    justify-content: space-between;\n  }\n\n  .lg\\:justify-around {\n    justify-content: space-around;\n  }\n\n  .lg\\:justify-evenly {\n    justify-content: space-evenly;\n  }\n\n  .lg\\:justify-items-start {\n    justify-items: start;\n  }\n\n  .lg\\:justify-items-end {\n    justify-items: end;\n  }\n\n  .lg\\:justify-items-center {\n    justify-items: center;\n  }\n\n  .lg\\:justify-items-stretch {\n    justify-items: stretch;\n  }\n\n  .lg\\:gap-0 {\n    gap: 0px;\n  }\n\n  .lg\\:gap-1 {\n    gap: 0.25rem;\n  }\n\n  .lg\\:gap-2 {\n    gap: 0.5rem;\n  }\n\n  .lg\\:gap-3 {\n    gap: 0.75rem;\n  }\n\n  .lg\\:gap-4 {\n    gap: 1rem;\n  }\n\n  .lg\\:gap-5 {\n    gap: 1.25rem;\n  }\n\n  .lg\\:gap-6 {\n    gap: 1.5rem;\n  }\n\n  .lg\\:gap-7 {\n    gap: 1.75rem;\n  }\n\n  .lg\\:gap-8 {\n    gap: 2rem;\n  }\n\n  .lg\\:gap-9 {\n    gap: 2.25rem;\n  }\n\n  .lg\\:gap-10 {\n    gap: 2.5rem;\n  }\n\n  .lg\\:gap-11 {\n    gap: 2.75rem;\n  }\n\n  .lg\\:gap-12 {\n    gap: 3rem;\n  }\n\n  .lg\\:gap-14 {\n    gap: 3.5rem;\n  }\n\n  .lg\\:gap-16 {\n    gap: 4rem;\n  }\n\n  .lg\\:gap-20 {\n    gap: 5rem;\n  }\n\n  .lg\\:gap-24 {\n    gap: 6rem;\n  }\n\n  .lg\\:gap-28 {\n    gap: 7rem;\n  }\n\n  .lg\\:gap-32 {\n    gap: 8rem;\n  }\n\n  .lg\\:gap-36 {\n    gap: 9rem;\n  }\n\n  .lg\\:gap-40 {\n    gap: 10rem;\n  }\n\n  .lg\\:gap-44 {\n    gap: 11rem;\n  }\n\n  .lg\\:gap-48 {\n    gap: 12rem;\n  }\n\n  .lg\\:gap-52 {\n    gap: 13rem;\n  }\n\n  .lg\\:gap-56 {\n    gap: 14rem;\n  }\n\n  .lg\\:gap-60 {\n    gap: 15rem;\n  }\n\n  .lg\\:gap-64 {\n    gap: 16rem;\n  }\n\n  .lg\\:gap-72 {\n    gap: 18rem;\n  }\n\n  .lg\\:gap-80 {\n    gap: 20rem;\n  }\n\n  .lg\\:gap-96 {\n    gap: 24rem;\n  }\n\n  .lg\\:gap-px {\n    gap: 1px;\n  }\n\n  .lg\\:gap-0\\.5 {\n    gap: 0.125rem;\n  }\n\n  .lg\\:gap-1\\.5 {\n    gap: 0.375rem;\n  }\n\n  .lg\\:gap-2\\.5 {\n    gap: 0.625rem;\n  }\n\n  .lg\\:gap-3\\.5 {\n    gap: 0.875rem;\n  }\n\n  .lg\\:gap-x-0 {\n    -moz-column-gap: 0px;\n         column-gap: 0px;\n  }\n\n  .lg\\:gap-x-1 {\n    -moz-column-gap: 0.25rem;\n         column-gap: 0.25rem;\n  }\n\n  .lg\\:gap-x-2 {\n    -moz-column-gap: 0.5rem;\n         column-gap: 0.5rem;\n  }\n\n  .lg\\:gap-x-3 {\n    -moz-column-gap: 0.75rem;\n         column-gap: 0.75rem;\n  }\n\n  .lg\\:gap-x-4 {\n    -moz-column-gap: 1rem;\n         column-gap: 1rem;\n  }\n\n  .lg\\:gap-x-5 {\n    -moz-column-gap: 1.25rem;\n         column-gap: 1.25rem;\n  }\n\n  .lg\\:gap-x-6 {\n    -moz-column-gap: 1.5rem;\n         column-gap: 1.5rem;\n  }\n\n  .lg\\:gap-x-7 {\n    -moz-column-gap: 1.75rem;\n         column-gap: 1.75rem;\n  }\n\n  .lg\\:gap-x-8 {\n    -moz-column-gap: 2rem;\n         column-gap: 2rem;\n  }\n\n  .lg\\:gap-x-9 {\n    -moz-column-gap: 2.25rem;\n         column-gap: 2.25rem;\n  }\n\n  .lg\\:gap-x-10 {\n    -moz-column-gap: 2.5rem;\n         column-gap: 2.5rem;\n  }\n\n  .lg\\:gap-x-11 {\n    -moz-column-gap: 2.75rem;\n         column-gap: 2.75rem;\n  }\n\n  .lg\\:gap-x-12 {\n    -moz-column-gap: 3rem;\n         column-gap: 3rem;\n  }\n\n  .lg\\:gap-x-14 {\n    -moz-column-gap: 3.5rem;\n         column-gap: 3.5rem;\n  }\n\n  .lg\\:gap-x-16 {\n    -moz-column-gap: 4rem;\n         column-gap: 4rem;\n  }\n\n  .lg\\:gap-x-20 {\n    -moz-column-gap: 5rem;\n         column-gap: 5rem;\n  }\n\n  .lg\\:gap-x-24 {\n    -moz-column-gap: 6rem;\n         column-gap: 6rem;\n  }\n\n  .lg\\:gap-x-28 {\n    -moz-column-gap: 7rem;\n         column-gap: 7rem;\n  }\n\n  .lg\\:gap-x-32 {\n    -moz-column-gap: 8rem;\n         column-gap: 8rem;\n  }\n\n  .lg\\:gap-x-36 {\n    -moz-column-gap: 9rem;\n         column-gap: 9rem;\n  }\n\n  .lg\\:gap-x-40 {\n    -moz-column-gap: 10rem;\n         column-gap: 10rem;\n  }\n\n  .lg\\:gap-x-44 {\n    -moz-column-gap: 11rem;\n         column-gap: 11rem;\n  }\n\n  .lg\\:gap-x-48 {\n    -moz-column-gap: 12rem;\n         column-gap: 12rem;\n  }\n\n  .lg\\:gap-x-52 {\n    -moz-column-gap: 13rem;\n         column-gap: 13rem;\n  }\n\n  .lg\\:gap-x-56 {\n    -moz-column-gap: 14rem;\n         column-gap: 14rem;\n  }\n\n  .lg\\:gap-x-60 {\n    -moz-column-gap: 15rem;\n         column-gap: 15rem;\n  }\n\n  .lg\\:gap-x-64 {\n    -moz-column-gap: 16rem;\n         column-gap: 16rem;\n  }\n\n  .lg\\:gap-x-72 {\n    -moz-column-gap: 18rem;\n         column-gap: 18rem;\n  }\n\n  .lg\\:gap-x-80 {\n    -moz-column-gap: 20rem;\n         column-gap: 20rem;\n  }\n\n  .lg\\:gap-x-96 {\n    -moz-column-gap: 24rem;\n         column-gap: 24rem;\n  }\n\n  .lg\\:gap-x-px {\n    -moz-column-gap: 1px;\n         column-gap: 1px;\n  }\n\n  .lg\\:gap-x-0\\.5 {\n    -moz-column-gap: 0.125rem;\n         column-gap: 0.125rem;\n  }\n\n  .lg\\:gap-x-1\\.5 {\n    -moz-column-gap: 0.375rem;\n         column-gap: 0.375rem;\n  }\n\n  .lg\\:gap-x-2\\.5 {\n    -moz-column-gap: 0.625rem;\n         column-gap: 0.625rem;\n  }\n\n  .lg\\:gap-x-3\\.5 {\n    -moz-column-gap: 0.875rem;\n         column-gap: 0.875rem;\n  }\n\n  .lg\\:gap-y-0 {\n    row-gap: 0px;\n  }\n\n  .lg\\:gap-y-1 {\n    row-gap: 0.25rem;\n  }\n\n  .lg\\:gap-y-2 {\n    row-gap: 0.5rem;\n  }\n\n  .lg\\:gap-y-3 {\n    row-gap: 0.75rem;\n  }\n\n  .lg\\:gap-y-4 {\n    row-gap: 1rem;\n  }\n\n  .lg\\:gap-y-5 {\n    row-gap: 1.25rem;\n  }\n\n  .lg\\:gap-y-6 {\n    row-gap: 1.5rem;\n  }\n\n  .lg\\:gap-y-7 {\n    row-gap: 1.75rem;\n  }\n\n  .lg\\:gap-y-8 {\n    row-gap: 2rem;\n  }\n\n  .lg\\:gap-y-9 {\n    row-gap: 2.25rem;\n  }\n\n  .lg\\:gap-y-10 {\n    row-gap: 2.5rem;\n  }\n\n  .lg\\:gap-y-11 {\n    row-gap: 2.75rem;\n  }\n\n  .lg\\:gap-y-12 {\n    row-gap: 3rem;\n  }\n\n  .lg\\:gap-y-14 {\n    row-gap: 3.5rem;\n  }\n\n  .lg\\:gap-y-16 {\n    row-gap: 4rem;\n  }\n\n  .lg\\:gap-y-20 {\n    row-gap: 5rem;\n  }\n\n  .lg\\:gap-y-24 {\n    row-gap: 6rem;\n  }\n\n  .lg\\:gap-y-28 {\n    row-gap: 7rem;\n  }\n\n  .lg\\:gap-y-32 {\n    row-gap: 8rem;\n  }\n\n  .lg\\:gap-y-36 {\n    row-gap: 9rem;\n  }\n\n  .lg\\:gap-y-40 {\n    row-gap: 10rem;\n  }\n\n  .lg\\:gap-y-44 {\n    row-gap: 11rem;\n  }\n\n  .lg\\:gap-y-48 {\n    row-gap: 12rem;\n  }\n\n  .lg\\:gap-y-52 {\n    row-gap: 13rem;\n  }\n\n  .lg\\:gap-y-56 {\n    row-gap: 14rem;\n  }\n\n  .lg\\:gap-y-60 {\n    row-gap: 15rem;\n  }\n\n  .lg\\:gap-y-64 {\n    row-gap: 16rem;\n  }\n\n  .lg\\:gap-y-72 {\n    row-gap: 18rem;\n  }\n\n  .lg\\:gap-y-80 {\n    row-gap: 20rem;\n  }\n\n  .lg\\:gap-y-96 {\n    row-gap: 24rem;\n  }\n\n  .lg\\:gap-y-px {\n    row-gap: 1px;\n  }\n\n  .lg\\:gap-y-0\\.5 {\n    row-gap: 0.125rem;\n  }\n\n  .lg\\:gap-y-1\\.5 {\n    row-gap: 0.375rem;\n  }\n\n  .lg\\:gap-y-2\\.5 {\n    row-gap: 0.625rem;\n  }\n\n  .lg\\:gap-y-3\\.5 {\n    row-gap: 0.875rem;\n  }\n\n  .lg\\:space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1rem * var(--tw-space-x-reverse));\n    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2rem * var(--tw-space-x-reverse));\n    margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3rem * var(--tw-space-x-reverse));\n    margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(4rem * var(--tw-space-x-reverse));\n    margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(5rem * var(--tw-space-x-reverse));\n    margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(6rem * var(--tw-space-x-reverse));\n    margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(7rem * var(--tw-space-x-reverse));\n    margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(8rem * var(--tw-space-x-reverse));\n    margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(9rem * var(--tw-space-x-reverse));\n    margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(10rem * var(--tw-space-x-reverse));\n    margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(11rem * var(--tw-space-x-reverse));\n    margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(12rem * var(--tw-space-x-reverse));\n    margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(13rem * var(--tw-space-x-reverse));\n    margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(14rem * var(--tw-space-x-reverse));\n    margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(15rem * var(--tw-space-x-reverse));\n    margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(16rem * var(--tw-space-x-reverse));\n    margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(18rem * var(--tw-space-x-reverse));\n    margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(20rem * var(--tw-space-x-reverse));\n    margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(24rem * var(--tw-space-x-reverse));\n    margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1px * var(--tw-space-x-reverse));\n    margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-4rem * var(--tw-space-x-reverse));\n    margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-6rem * var(--tw-space-x-reverse));\n    margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-7rem * var(--tw-space-x-reverse));\n    margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-8rem * var(--tw-space-x-reverse));\n    margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-9rem * var(--tw-space-x-reverse));\n    margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-10rem * var(--tw-space-x-reverse));\n    margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-11rem * var(--tw-space-x-reverse));\n    margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-12rem * var(--tw-space-x-reverse));\n    margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-13rem * var(--tw-space-x-reverse));\n    margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-14rem * var(--tw-space-x-reverse));\n    margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-15rem * var(--tw-space-x-reverse));\n    margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-16rem * var(--tw-space-x-reverse));\n    margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-18rem * var(--tw-space-x-reverse));\n    margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-20rem * var(--tw-space-x-reverse));\n    margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-24rem * var(--tw-space-x-reverse));\n    margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1px * var(--tw-space-x-reverse));\n    margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .lg\\:space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1px * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .lg\\:space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 1;\n  }\n\n  .lg\\:space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 1;\n  }\n\n  .lg\\:divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(0px * var(--tw-divide-x-reverse));\n    border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .lg\\:divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(2px * var(--tw-divide-x-reverse));\n    border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .lg\\:divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(4px * var(--tw-divide-x-reverse));\n    border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .lg\\:divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(8px * var(--tw-divide-x-reverse));\n    border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .lg\\:divide-x > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(1px * var(--tw-divide-x-reverse));\n    border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .lg\\:divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n  }\n\n  .lg\\:divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n  }\n\n  .lg\\:divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n  }\n\n  .lg\\:divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n  }\n\n  .lg\\:divide-y > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n  }\n\n  .lg\\:divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 1;\n  }\n\n  .lg\\:divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 1;\n  }\n\n  .lg\\:divide-solid > :not([hidden]) ~ :not([hidden]) {\n    border-style: solid;\n  }\n\n  .lg\\:divide-dashed > :not([hidden]) ~ :not([hidden]) {\n    border-style: dashed;\n  }\n\n  .lg\\:divide-dotted > :not([hidden]) ~ :not([hidden]) {\n    border-style: dotted;\n  }\n\n  .lg\\:divide-double > :not([hidden]) ~ :not([hidden]) {\n    border-style: double;\n  }\n\n  .lg\\:divide-none > :not([hidden]) ~ :not([hidden]) {\n    border-style: none;\n  }\n\n  .lg\\:divide-transparent > :not([hidden]) ~ :not([hidden]) {\n    border-color: transparent;\n  }\n\n  .lg\\:divide-current > :not([hidden]) ~ :not([hidden]) {\n    border-color: currentColor;\n  }\n\n  .lg\\:divide-black > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-white > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n  }\n\n  .lg\\:divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0;\n  }\n\n  .lg\\:divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.05;\n  }\n\n  .lg\\:divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.1;\n  }\n\n  .lg\\:divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.2;\n  }\n\n  .lg\\:divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.25;\n  }\n\n  .lg\\:divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.3;\n  }\n\n  .lg\\:divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.4;\n  }\n\n  .lg\\:divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.5;\n  }\n\n  .lg\\:divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.6;\n  }\n\n  .lg\\:divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.7;\n  }\n\n  .lg\\:divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.75;\n  }\n\n  .lg\\:divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.8;\n  }\n\n  .lg\\:divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.9;\n  }\n\n  .lg\\:divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.95;\n  }\n\n  .lg\\:divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n  }\n\n  .lg\\:place-self-auto {\n    place-self: auto;\n  }\n\n  .lg\\:place-self-start {\n    place-self: start;\n  }\n\n  .lg\\:place-self-end {\n    place-self: end;\n  }\n\n  .lg\\:place-self-center {\n    place-self: center;\n  }\n\n  .lg\\:place-self-stretch {\n    place-self: stretch;\n  }\n\n  .lg\\:self-auto {\n    align-self: auto;\n  }\n\n  .lg\\:self-start {\n    align-self: flex-start;\n  }\n\n  .lg\\:self-end {\n    align-self: flex-end;\n  }\n\n  .lg\\:self-center {\n    align-self: center;\n  }\n\n  .lg\\:self-stretch {\n    align-self: stretch;\n  }\n\n  .lg\\:self-baseline {\n    align-self: baseline;\n  }\n\n  .lg\\:justify-self-auto {\n    justify-self: auto;\n  }\n\n  .lg\\:justify-self-start {\n    justify-self: start;\n  }\n\n  .lg\\:justify-self-end {\n    justify-self: end;\n  }\n\n  .lg\\:justify-self-center {\n    justify-self: center;\n  }\n\n  .lg\\:justify-self-stretch {\n    justify-self: stretch;\n  }\n\n  .lg\\:overflow-auto {\n    overflow: auto;\n  }\n\n  .lg\\:overflow-hidden {\n    overflow: hidden;\n  }\n\n  .lg\\:overflow-visible {\n    overflow: visible;\n  }\n\n  .lg\\:overflow-scroll {\n    overflow: scroll;\n  }\n\n  .lg\\:overflow-x-auto {\n    overflow-x: auto;\n  }\n\n  .lg\\:overflow-y-auto {\n    overflow-y: auto;\n  }\n\n  .lg\\:overflow-x-hidden {\n    overflow-x: hidden;\n  }\n\n  .lg\\:overflow-y-hidden {\n    overflow-y: hidden;\n  }\n\n  .lg\\:overflow-x-visible {\n    overflow-x: visible;\n  }\n\n  .lg\\:overflow-y-visible {\n    overflow-y: visible;\n  }\n\n  .lg\\:overflow-x-scroll {\n    overflow-x: scroll;\n  }\n\n  .lg\\:overflow-y-scroll {\n    overflow-y: scroll;\n  }\n\n  .lg\\:overscroll-auto {\n    overscroll-behavior: auto;\n  }\n\n  .lg\\:overscroll-contain {\n    overscroll-behavior: contain;\n  }\n\n  .lg\\:overscroll-none {\n    overscroll-behavior: none;\n  }\n\n  .lg\\:overscroll-y-auto {\n    overscroll-behavior-y: auto;\n  }\n\n  .lg\\:overscroll-y-contain {\n    overscroll-behavior-y: contain;\n  }\n\n  .lg\\:overscroll-y-none {\n    overscroll-behavior-y: none;\n  }\n\n  .lg\\:overscroll-x-auto {\n    overscroll-behavior-x: auto;\n  }\n\n  .lg\\:overscroll-x-contain {\n    overscroll-behavior-x: contain;\n  }\n\n  .lg\\:overscroll-x-none {\n    overscroll-behavior-x: none;\n  }\n\n  .lg\\:truncate {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .lg\\:overflow-ellipsis {\n    text-overflow: ellipsis;\n  }\n\n  .lg\\:overflow-clip {\n    text-overflow: clip;\n  }\n\n  .lg\\:whitespace-normal {\n    white-space: normal;\n  }\n\n  .lg\\:whitespace-nowrap {\n    white-space: nowrap;\n  }\n\n  .lg\\:whitespace-pre {\n    white-space: pre;\n  }\n\n  .lg\\:whitespace-pre-line {\n    white-space: pre-line;\n  }\n\n  .lg\\:whitespace-pre-wrap {\n    white-space: pre-wrap;\n  }\n\n  .lg\\:break-normal {\n    overflow-wrap: normal;\n    word-break: normal;\n  }\n\n  .lg\\:break-words {\n    overflow-wrap: break-word;\n  }\n\n  .lg\\:break-all {\n    word-break: break-all;\n  }\n\n  .lg\\:rounded-none {\n    border-radius: 0px;\n  }\n\n  .lg\\:rounded-sm {\n    border-radius: 0.125rem;\n  }\n\n  .lg\\:rounded {\n    border-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-md {\n    border-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-lg {\n    border-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-xl {\n    border-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-2xl {\n    border-radius: 1rem;\n  }\n\n  .lg\\:rounded-3xl {\n    border-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-full {\n    border-radius: 9999px;\n  }\n\n  .lg\\:rounded-t-none {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n  }\n\n  .lg\\:rounded-t-sm {\n    border-top-left-radius: 0.125rem;\n    border-top-right-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-t {\n    border-top-left-radius: 0.25rem;\n    border-top-right-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-t-md {\n    border-top-left-radius: 0.375rem;\n    border-top-right-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-t-lg {\n    border-top-left-radius: 0.5rem;\n    border-top-right-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-t-xl {\n    border-top-left-radius: 0.75rem;\n    border-top-right-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-t-2xl {\n    border-top-left-radius: 1rem;\n    border-top-right-radius: 1rem;\n  }\n\n  .lg\\:rounded-t-3xl {\n    border-top-left-radius: 1.5rem;\n    border-top-right-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-t-full {\n    border-top-left-radius: 9999px;\n    border-top-right-radius: 9999px;\n  }\n\n  .lg\\:rounded-r-none {\n    border-top-right-radius: 0px;\n    border-bottom-right-radius: 0px;\n  }\n\n  .lg\\:rounded-r-sm {\n    border-top-right-radius: 0.125rem;\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-r {\n    border-top-right-radius: 0.25rem;\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-r-md {\n    border-top-right-radius: 0.375rem;\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-r-lg {\n    border-top-right-radius: 0.5rem;\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-r-xl {\n    border-top-right-radius: 0.75rem;\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-r-2xl {\n    border-top-right-radius: 1rem;\n    border-bottom-right-radius: 1rem;\n  }\n\n  .lg\\:rounded-r-3xl {\n    border-top-right-radius: 1.5rem;\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-r-full {\n    border-top-right-radius: 9999px;\n    border-bottom-right-radius: 9999px;\n  }\n\n  .lg\\:rounded-b-none {\n    border-bottom-right-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .lg\\:rounded-b-sm {\n    border-bottom-right-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-b {\n    border-bottom-right-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-b-md {\n    border-bottom-right-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-b-lg {\n    border-bottom-right-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-b-xl {\n    border-bottom-right-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-b-2xl {\n    border-bottom-right-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .lg\\:rounded-b-3xl {\n    border-bottom-right-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-b-full {\n    border-bottom-right-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .lg\\:rounded-l-none {\n    border-top-left-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .lg\\:rounded-l-sm {\n    border-top-left-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-l {\n    border-top-left-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-l-md {\n    border-top-left-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-l-lg {\n    border-top-left-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-l-xl {\n    border-top-left-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-l-2xl {\n    border-top-left-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .lg\\:rounded-l-3xl {\n    border-top-left-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-l-full {\n    border-top-left-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .lg\\:rounded-tl-none {\n    border-top-left-radius: 0px;\n  }\n\n  .lg\\:rounded-tl-sm {\n    border-top-left-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-tl {\n    border-top-left-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-tl-md {\n    border-top-left-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-tl-lg {\n    border-top-left-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-tl-xl {\n    border-top-left-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-tl-2xl {\n    border-top-left-radius: 1rem;\n  }\n\n  .lg\\:rounded-tl-3xl {\n    border-top-left-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-tl-full {\n    border-top-left-radius: 9999px;\n  }\n\n  .lg\\:rounded-tr-none {\n    border-top-right-radius: 0px;\n  }\n\n  .lg\\:rounded-tr-sm {\n    border-top-right-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-tr {\n    border-top-right-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-tr-md {\n    border-top-right-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-tr-lg {\n    border-top-right-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-tr-xl {\n    border-top-right-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-tr-2xl {\n    border-top-right-radius: 1rem;\n  }\n\n  .lg\\:rounded-tr-3xl {\n    border-top-right-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-tr-full {\n    border-top-right-radius: 9999px;\n  }\n\n  .lg\\:rounded-br-none {\n    border-bottom-right-radius: 0px;\n  }\n\n  .lg\\:rounded-br-sm {\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-br {\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-br-md {\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-br-lg {\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-br-xl {\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-br-2xl {\n    border-bottom-right-radius: 1rem;\n  }\n\n  .lg\\:rounded-br-3xl {\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-br-full {\n    border-bottom-right-radius: 9999px;\n  }\n\n  .lg\\:rounded-bl-none {\n    border-bottom-left-radius: 0px;\n  }\n\n  .lg\\:rounded-bl-sm {\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .lg\\:rounded-bl {\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .lg\\:rounded-bl-md {\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .lg\\:rounded-bl-lg {\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .lg\\:rounded-bl-xl {\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .lg\\:rounded-bl-2xl {\n    border-bottom-left-radius: 1rem;\n  }\n\n  .lg\\:rounded-bl-3xl {\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .lg\\:rounded-bl-full {\n    border-bottom-left-radius: 9999px;\n  }\n\n  .lg\\:border-0 {\n    border-width: 0px;\n  }\n\n  .lg\\:border-2 {\n    border-width: 2px;\n  }\n\n  .lg\\:border-4 {\n    border-width: 4px;\n  }\n\n  .lg\\:border-8 {\n    border-width: 8px;\n  }\n\n  .lg\\:border {\n    border-width: 1px;\n  }\n\n  .lg\\:border-t-0 {\n    border-top-width: 0px;\n  }\n\n  .lg\\:border-t-2 {\n    border-top-width: 2px;\n  }\n\n  .lg\\:border-t-4 {\n    border-top-width: 4px;\n  }\n\n  .lg\\:border-t-8 {\n    border-top-width: 8px;\n  }\n\n  .lg\\:border-t {\n    border-top-width: 1px;\n  }\n\n  .lg\\:border-r-0 {\n    border-right-width: 0px;\n  }\n\n  .lg\\:border-r-2 {\n    border-right-width: 2px;\n  }\n\n  .lg\\:border-r-4 {\n    border-right-width: 4px;\n  }\n\n  .lg\\:border-r-8 {\n    border-right-width: 8px;\n  }\n\n  .lg\\:border-r {\n    border-right-width: 1px;\n  }\n\n  .lg\\:border-b-0 {\n    border-bottom-width: 0px;\n  }\n\n  .lg\\:border-b-2 {\n    border-bottom-width: 2px;\n  }\n\n  .lg\\:border-b-4 {\n    border-bottom-width: 4px;\n  }\n\n  .lg\\:border-b-8 {\n    border-bottom-width: 8px;\n  }\n\n  .lg\\:border-b {\n    border-bottom-width: 1px;\n  }\n\n  .lg\\:border-l-0 {\n    border-left-width: 0px;\n  }\n\n  .lg\\:border-l-2 {\n    border-left-width: 2px;\n  }\n\n  .lg\\:border-l-4 {\n    border-left-width: 4px;\n  }\n\n  .lg\\:border-l-8 {\n    border-left-width: 8px;\n  }\n\n  .lg\\:border-l {\n    border-left-width: 1px;\n  }\n\n  .lg\\:border-solid {\n    border-style: solid;\n  }\n\n  .lg\\:border-dashed {\n    border-style: dashed;\n  }\n\n  .lg\\:border-dotted {\n    border-style: dotted;\n  }\n\n  .lg\\:border-double {\n    border-style: double;\n  }\n\n  .lg\\:border-none {\n    border-style: none;\n  }\n\n  .lg\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .lg\\:border-current {\n    border-color: currentColor;\n  }\n\n  .lg\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-current {\n    border-color: currentColor;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-transparent:focus-within {\n    border-color: transparent;\n  }\n\n  .lg\\:focus-within\\:border-current:focus-within {\n    border-color: currentColor;\n  }\n\n  .lg\\:focus-within\\:border-black:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-white:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-gray-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-red-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-yellow-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-green-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-blue-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-indigo-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-purple-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-pink-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-origin-protocol-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-origin-protocol-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-ousd-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-ousd-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-ousd-button-dark-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-ousd-button-dark-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-story-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-story-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-story-pink-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-story-pink-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus-within\\:border-footer-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-transparent:hover {\n    border-color: transparent;\n  }\n\n  .lg\\:hover\\:border-current:hover {\n    border-color: currentColor;\n  }\n\n  .lg\\:hover\\:border-black:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-white:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-gray-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-red-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-yellow-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-green-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-blue-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-indigo-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-purple-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-pink-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-origin-protocol-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-origin-protocol-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-ousd-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-ousd-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-ousd-button-dark-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-ousd-button-dark-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-story-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-story-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-story-pink-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-story-pink-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .lg\\:hover\\:border-footer-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-transparent:focus {\n    border-color: transparent;\n  }\n\n  .lg\\:focus\\:border-current:focus {\n    border-color: currentColor;\n  }\n\n  .lg\\:focus\\:border-black:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-white:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-gray-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-red-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-yellow-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-green-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-blue-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-indigo-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-purple-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-pink-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-origin-protocol-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-origin-protocol-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-ousd-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-ousd-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-ousd-button-dark-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-ousd-button-dark-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-story-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-story-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-story-pink-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-story-pink-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .lg\\:focus\\:border-footer-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .lg\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .lg\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .lg\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .lg\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .lg\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .lg\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .lg\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .lg\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .lg\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .lg\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .lg\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .lg\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .lg\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .lg\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .lg\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .group:hover .lg\\:group-hover\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .lg\\:focus-within\\:border-opacity-0:focus-within {\n    --tw-border-opacity: 0;\n  }\n\n  .lg\\:focus-within\\:border-opacity-5:focus-within {\n    --tw-border-opacity: 0.05;\n  }\n\n  .lg\\:focus-within\\:border-opacity-10:focus-within {\n    --tw-border-opacity: 0.1;\n  }\n\n  .lg\\:focus-within\\:border-opacity-20:focus-within {\n    --tw-border-opacity: 0.2;\n  }\n\n  .lg\\:focus-within\\:border-opacity-25:focus-within {\n    --tw-border-opacity: 0.25;\n  }\n\n  .lg\\:focus-within\\:border-opacity-30:focus-within {\n    --tw-border-opacity: 0.3;\n  }\n\n  .lg\\:focus-within\\:border-opacity-40:focus-within {\n    --tw-border-opacity: 0.4;\n  }\n\n  .lg\\:focus-within\\:border-opacity-50:focus-within {\n    --tw-border-opacity: 0.5;\n  }\n\n  .lg\\:focus-within\\:border-opacity-60:focus-within {\n    --tw-border-opacity: 0.6;\n  }\n\n  .lg\\:focus-within\\:border-opacity-70:focus-within {\n    --tw-border-opacity: 0.7;\n  }\n\n  .lg\\:focus-within\\:border-opacity-75:focus-within {\n    --tw-border-opacity: 0.75;\n  }\n\n  .lg\\:focus-within\\:border-opacity-80:focus-within {\n    --tw-border-opacity: 0.8;\n  }\n\n  .lg\\:focus-within\\:border-opacity-90:focus-within {\n    --tw-border-opacity: 0.9;\n  }\n\n  .lg\\:focus-within\\:border-opacity-95:focus-within {\n    --tw-border-opacity: 0.95;\n  }\n\n  .lg\\:focus-within\\:border-opacity-100:focus-within {\n    --tw-border-opacity: 1;\n  }\n\n  .lg\\:hover\\:border-opacity-0:hover {\n    --tw-border-opacity: 0;\n  }\n\n  .lg\\:hover\\:border-opacity-5:hover {\n    --tw-border-opacity: 0.05;\n  }\n\n  .lg\\:hover\\:border-opacity-10:hover {\n    --tw-border-opacity: 0.1;\n  }\n\n  .lg\\:hover\\:border-opacity-20:hover {\n    --tw-border-opacity: 0.2;\n  }\n\n  .lg\\:hover\\:border-opacity-25:hover {\n    --tw-border-opacity: 0.25;\n  }\n\n  .lg\\:hover\\:border-opacity-30:hover {\n    --tw-border-opacity: 0.3;\n  }\n\n  .lg\\:hover\\:border-opacity-40:hover {\n    --tw-border-opacity: 0.4;\n  }\n\n  .lg\\:hover\\:border-opacity-50:hover {\n    --tw-border-opacity: 0.5;\n  }\n\n  .lg\\:hover\\:border-opacity-60:hover {\n    --tw-border-opacity: 0.6;\n  }\n\n  .lg\\:hover\\:border-opacity-70:hover {\n    --tw-border-opacity: 0.7;\n  }\n\n  .lg\\:hover\\:border-opacity-75:hover {\n    --tw-border-opacity: 0.75;\n  }\n\n  .lg\\:hover\\:border-opacity-80:hover {\n    --tw-border-opacity: 0.8;\n  }\n\n  .lg\\:hover\\:border-opacity-90:hover {\n    --tw-border-opacity: 0.9;\n  }\n\n  .lg\\:hover\\:border-opacity-95:hover {\n    --tw-border-opacity: 0.95;\n  }\n\n  .lg\\:hover\\:border-opacity-100:hover {\n    --tw-border-opacity: 1;\n  }\n\n  .lg\\:focus\\:border-opacity-0:focus {\n    --tw-border-opacity: 0;\n  }\n\n  .lg\\:focus\\:border-opacity-5:focus {\n    --tw-border-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:border-opacity-10:focus {\n    --tw-border-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:border-opacity-20:focus {\n    --tw-border-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:border-opacity-25:focus {\n    --tw-border-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:border-opacity-30:focus {\n    --tw-border-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:border-opacity-40:focus {\n    --tw-border-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:border-opacity-50:focus {\n    --tw-border-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:border-opacity-60:focus {\n    --tw-border-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:border-opacity-70:focus {\n    --tw-border-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:border-opacity-75:focus {\n    --tw-border-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:border-opacity-80:focus {\n    --tw-border-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:border-opacity-90:focus {\n    --tw-border-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:border-opacity-95:focus {\n    --tw-border-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:border-opacity-100:focus {\n    --tw-border-opacity: 1;\n  }\n\n  .lg\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .lg\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .lg\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-transparent:focus-within {\n    background-color: transparent;\n  }\n\n  .lg\\:focus-within\\:bg-current:focus-within {\n    background-color: currentColor;\n  }\n\n  .lg\\:focus-within\\:bg-black:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-white:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-gray-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-red-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-yellow-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-green-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-blue-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-indigo-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-purple-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-pink-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-origin-protocol-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-origin-protocol-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-ousd-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-ousd-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-ousd-button-dark-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-ousd-button-dark-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-story-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-story-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-story-pink-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-story-pink-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus-within\\:bg-footer-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-transparent:hover {\n    background-color: transparent;\n  }\n\n  .lg\\:hover\\:bg-current:hover {\n    background-color: currentColor;\n  }\n\n  .lg\\:hover\\:bg-black:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-white:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-gray-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-red-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-yellow-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-green-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-blue-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-indigo-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-purple-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-pink-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-origin-protocol-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-origin-protocol-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-ousd-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-ousd-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-ousd-button-dark-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-ousd-button-dark-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-story-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-story-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-story-pink-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-story-pink-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .lg\\:hover\\:bg-footer-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-transparent:focus {\n    background-color: transparent;\n  }\n\n  .lg\\:focus\\:bg-current:focus {\n    background-color: currentColor;\n  }\n\n  .lg\\:focus\\:bg-black:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-white:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-gray-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-red-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-yellow-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-green-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-blue-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-indigo-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-purple-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-pink-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-origin-protocol-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-origin-protocol-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-ousd-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-ousd-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-ousd-button-dark-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-ousd-button-dark-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-story-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-story-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-story-pink-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-story-pink-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .lg\\:focus\\:bg-footer-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .lg\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .lg\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .lg\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .lg\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .lg\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .lg\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .lg\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .lg\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .lg\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .lg\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .lg\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .lg\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .lg\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .lg\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .lg\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .group:hover .lg\\:group-hover\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-0:focus-within {\n    --tw-bg-opacity: 0;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-5:focus-within {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-10:focus-within {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-20:focus-within {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-25:focus-within {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-30:focus-within {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-40:focus-within {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-50:focus-within {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-60:focus-within {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-70:focus-within {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-75:focus-within {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-80:focus-within {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-90:focus-within {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-95:focus-within {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .lg\\:focus-within\\:bg-opacity-100:focus-within {\n    --tw-bg-opacity: 1;\n  }\n\n  .lg\\:hover\\:bg-opacity-0:hover {\n    --tw-bg-opacity: 0;\n  }\n\n  .lg\\:hover\\:bg-opacity-5:hover {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .lg\\:hover\\:bg-opacity-10:hover {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .lg\\:hover\\:bg-opacity-20:hover {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .lg\\:hover\\:bg-opacity-25:hover {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .lg\\:hover\\:bg-opacity-30:hover {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .lg\\:hover\\:bg-opacity-40:hover {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .lg\\:hover\\:bg-opacity-50:hover {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .lg\\:hover\\:bg-opacity-60:hover {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .lg\\:hover\\:bg-opacity-70:hover {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .lg\\:hover\\:bg-opacity-75:hover {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .lg\\:hover\\:bg-opacity-80:hover {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .lg\\:hover\\:bg-opacity-90:hover {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .lg\\:hover\\:bg-opacity-95:hover {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .lg\\:hover\\:bg-opacity-100:hover {\n    --tw-bg-opacity: 1;\n  }\n\n  .lg\\:focus\\:bg-opacity-0:focus {\n    --tw-bg-opacity: 0;\n  }\n\n  .lg\\:focus\\:bg-opacity-5:focus {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:bg-opacity-10:focus {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:bg-opacity-20:focus {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:bg-opacity-25:focus {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:bg-opacity-30:focus {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:bg-opacity-40:focus {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:bg-opacity-50:focus {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:bg-opacity-60:focus {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:bg-opacity-70:focus {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:bg-opacity-75:focus {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:bg-opacity-80:focus {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:bg-opacity-90:focus {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:bg-opacity-95:focus {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:bg-opacity-100:focus {\n    --tw-bg-opacity: 1;\n  }\n\n  .lg\\:bg-none {\n    background-image: none;\n  }\n\n  .lg\\:bg-gradient-to-t {\n    background-image: linear-gradient(to top, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-tr {\n    background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-r {\n    background-image: linear-gradient(to right, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-br {\n    background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-b {\n    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-bl {\n    background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-l {\n    background-image: linear-gradient(to left, var(--tw-gradient-stops));\n  }\n\n  .lg\\:bg-gradient-to-tl {\n    background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n  }\n\n  .lg\\:from-transparent {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:from-current {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:from-black {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:from-white {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:from-gray-50 {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:from-gray-100 {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:from-gray-200 {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:from-gray-300 {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:from-gray-400 {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:from-gray-500 {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:from-gray-600 {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:from-gray-700 {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:from-gray-800 {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:from-gray-900 {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:from-red-50 {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:from-red-100 {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:from-red-200 {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:from-red-300 {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:from-red-400 {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:from-red-500 {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:from-red-600 {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:from-red-700 {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:from-red-800 {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:from-red-900 {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:from-yellow-50 {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:from-yellow-100 {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:from-yellow-200 {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:from-yellow-300 {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:from-yellow-400 {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:from-yellow-500 {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:from-yellow-600 {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:from-yellow-700 {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:from-yellow-800 {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:from-yellow-900 {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:from-green-50 {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:from-green-100 {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:from-green-200 {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:from-green-300 {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:from-green-400 {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:from-green-500 {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:from-green-600 {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:from-green-700 {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:from-green-800 {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:from-green-900 {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:from-blue-50 {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:from-blue-100 {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:from-blue-200 {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:from-blue-300 {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:from-blue-400 {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:from-blue-500 {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:from-blue-600 {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:from-blue-700 {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:from-blue-800 {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:from-blue-900 {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:from-indigo-50 {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:from-indigo-100 {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:from-indigo-200 {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:from-indigo-300 {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:from-indigo-400 {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:from-indigo-500 {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:from-indigo-600 {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:from-indigo-700 {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:from-indigo-800 {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:from-indigo-900 {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:from-purple-50 {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:from-purple-100 {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:from-purple-200 {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:from-purple-300 {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:from-purple-400 {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:from-purple-500 {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:from-purple-600 {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:from-purple-700 {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:from-purple-800 {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:from-purple-900 {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:from-pink-50 {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:from-pink-100 {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:from-pink-200 {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:from-pink-300 {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:from-pink-400 {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:from-pink-500 {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:from-pink-600 {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:from-pink-700 {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:from-pink-800 {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:from-pink-900 {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:from-origin-protocol-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:from-origin-protocol-button-end {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:from-ousd-button-start {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:from-ousd-button-end {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:from-ousd-button-dark-start {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:from-ousd-button-dark-end {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:from-story-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:from-story-button-end {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:from-story-pink-start {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:from-story-pink-end {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:from-footer-end {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:hover\\:from-transparent:hover {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:hover\\:from-current:hover {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:hover\\:from-black:hover {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:hover\\:from-white:hover {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:hover\\:from-gray-50:hover {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:hover\\:from-gray-100:hover {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:hover\\:from-gray-200:hover {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:hover\\:from-gray-300:hover {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:hover\\:from-gray-400:hover {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:hover\\:from-gray-500:hover {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:hover\\:from-gray-600:hover {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:hover\\:from-gray-700:hover {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:hover\\:from-gray-800:hover {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:hover\\:from-gray-900:hover {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:hover\\:from-red-50:hover {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:hover\\:from-red-100:hover {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:hover\\:from-red-200:hover {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:hover\\:from-red-300:hover {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:hover\\:from-red-400:hover {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:hover\\:from-red-500:hover {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:hover\\:from-red-600:hover {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:hover\\:from-red-700:hover {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:hover\\:from-red-800:hover {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:hover\\:from-red-900:hover {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-50:hover {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-100:hover {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-200:hover {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-300:hover {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-400:hover {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-500:hover {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-600:hover {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-700:hover {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-800:hover {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:hover\\:from-yellow-900:hover {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:hover\\:from-green-50:hover {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:hover\\:from-green-100:hover {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:hover\\:from-green-200:hover {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:hover\\:from-green-300:hover {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:hover\\:from-green-400:hover {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:hover\\:from-green-500:hover {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:hover\\:from-green-600:hover {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:hover\\:from-green-700:hover {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:hover\\:from-green-800:hover {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:hover\\:from-green-900:hover {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:hover\\:from-blue-50:hover {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:hover\\:from-blue-100:hover {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:hover\\:from-blue-200:hover {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:hover\\:from-blue-300:hover {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:hover\\:from-blue-400:hover {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:hover\\:from-blue-500:hover {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:hover\\:from-blue-600:hover {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:hover\\:from-blue-700:hover {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:hover\\:from-blue-800:hover {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:hover\\:from-blue-900:hover {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-50:hover {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-100:hover {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-200:hover {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-300:hover {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-400:hover {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-500:hover {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-600:hover {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-700:hover {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-800:hover {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:hover\\:from-indigo-900:hover {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:hover\\:from-purple-50:hover {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:hover\\:from-purple-100:hover {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:hover\\:from-purple-200:hover {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:hover\\:from-purple-300:hover {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:hover\\:from-purple-400:hover {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:hover\\:from-purple-500:hover {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:hover\\:from-purple-600:hover {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:hover\\:from-purple-700:hover {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:hover\\:from-purple-800:hover {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:hover\\:from-purple-900:hover {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:hover\\:from-pink-50:hover {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:hover\\:from-pink-100:hover {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:hover\\:from-pink-200:hover {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:hover\\:from-pink-300:hover {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:hover\\:from-pink-400:hover {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:hover\\:from-pink-500:hover {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:hover\\:from-pink-600:hover {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:hover\\:from-pink-700:hover {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:hover\\:from-pink-800:hover {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:hover\\:from-pink-900:hover {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:hover\\:from-origin-protocol-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:hover\\:from-origin-protocol-button-end:hover {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:hover\\:from-ousd-button-start:hover {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:hover\\:from-ousd-button-end:hover {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:hover\\:from-ousd-button-dark-start:hover {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:hover\\:from-ousd-button-dark-end:hover {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:hover\\:from-story-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:hover\\:from-story-button-end:hover {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:hover\\:from-story-pink-start:hover {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:hover\\:from-story-pink-end:hover {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:hover\\:from-footer-end:hover {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:focus\\:from-transparent:focus {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:focus\\:from-current:focus {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:focus\\:from-black:focus {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:focus\\:from-white:focus {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:focus\\:from-gray-50:focus {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:focus\\:from-gray-100:focus {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:focus\\:from-gray-200:focus {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:focus\\:from-gray-300:focus {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:focus\\:from-gray-400:focus {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:focus\\:from-gray-500:focus {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:focus\\:from-gray-600:focus {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:focus\\:from-gray-700:focus {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:focus\\:from-gray-800:focus {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:focus\\:from-gray-900:focus {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:focus\\:from-red-50:focus {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:focus\\:from-red-100:focus {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:focus\\:from-red-200:focus {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:focus\\:from-red-300:focus {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:focus\\:from-red-400:focus {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:focus\\:from-red-500:focus {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:focus\\:from-red-600:focus {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:focus\\:from-red-700:focus {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:focus\\:from-red-800:focus {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:focus\\:from-red-900:focus {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-50:focus {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-100:focus {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-200:focus {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-300:focus {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-400:focus {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-500:focus {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-600:focus {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-700:focus {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-800:focus {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:focus\\:from-yellow-900:focus {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:focus\\:from-green-50:focus {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:focus\\:from-green-100:focus {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:focus\\:from-green-200:focus {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:focus\\:from-green-300:focus {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:focus\\:from-green-400:focus {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:focus\\:from-green-500:focus {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:focus\\:from-green-600:focus {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:focus\\:from-green-700:focus {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:focus\\:from-green-800:focus {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:focus\\:from-green-900:focus {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:focus\\:from-blue-50:focus {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:focus\\:from-blue-100:focus {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:focus\\:from-blue-200:focus {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:focus\\:from-blue-300:focus {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:focus\\:from-blue-400:focus {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:focus\\:from-blue-500:focus {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:focus\\:from-blue-600:focus {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:focus\\:from-blue-700:focus {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:focus\\:from-blue-800:focus {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:focus\\:from-blue-900:focus {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-50:focus {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-100:focus {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-200:focus {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-300:focus {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-400:focus {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-500:focus {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-600:focus {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-700:focus {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-800:focus {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:focus\\:from-indigo-900:focus {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:focus\\:from-purple-50:focus {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:focus\\:from-purple-100:focus {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:focus\\:from-purple-200:focus {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:focus\\:from-purple-300:focus {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:focus\\:from-purple-400:focus {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:focus\\:from-purple-500:focus {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:focus\\:from-purple-600:focus {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:focus\\:from-purple-700:focus {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:focus\\:from-purple-800:focus {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:focus\\:from-purple-900:focus {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:focus\\:from-pink-50:focus {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:focus\\:from-pink-100:focus {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:focus\\:from-pink-200:focus {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:focus\\:from-pink-300:focus {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:focus\\:from-pink-400:focus {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:focus\\:from-pink-500:focus {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:focus\\:from-pink-600:focus {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:focus\\:from-pink-700:focus {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:focus\\:from-pink-800:focus {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:focus\\:from-pink-900:focus {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:focus\\:from-origin-protocol-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:focus\\:from-origin-protocol-button-end:focus {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:focus\\:from-ousd-button-start:focus {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:focus\\:from-ousd-button-end:focus {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:focus\\:from-ousd-button-dark-start:focus {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:focus\\:from-ousd-button-dark-end:focus {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:focus\\:from-story-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:focus\\:from-story-button-end:focus {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:focus\\:from-story-pink-start:focus {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:focus\\:from-story-pink-end:focus {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:focus\\:from-footer-end:focus {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:via-transparent {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:via-current {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:via-black {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:via-white {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:via-gray-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:via-gray-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:via-gray-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:via-gray-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:via-gray-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:via-gray-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:via-gray-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:via-gray-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:via-gray-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:via-gray-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:via-red-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:via-red-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:via-red-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:via-red-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:via-red-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:via-red-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:via-red-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:via-red-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:via-red-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:via-red-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:via-yellow-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:via-yellow-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:via-yellow-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:via-yellow-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:via-yellow-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:via-yellow-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:via-yellow-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:via-yellow-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:via-yellow-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:via-yellow-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:via-green-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:via-green-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:via-green-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:via-green-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:via-green-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:via-green-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:via-green-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:via-green-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:via-green-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:via-green-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:via-blue-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:via-blue-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:via-blue-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:via-blue-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:via-blue-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:via-blue-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:via-blue-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:via-blue-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:via-blue-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:via-blue-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:via-indigo-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:via-indigo-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:via-indigo-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:via-indigo-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:via-indigo-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:via-indigo-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:via-indigo-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:via-indigo-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:via-indigo-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:via-indigo-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:via-purple-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:via-purple-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:via-purple-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:via-purple-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:via-purple-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:via-purple-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:via-purple-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:via-purple-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:via-purple-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:via-purple-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:via-pink-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:via-pink-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:via-pink-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:via-pink-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:via-pink-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:via-pink-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:via-pink-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:via-pink-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:via-pink-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:via-pink-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:via-origin-protocol-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:via-origin-protocol-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:via-ousd-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:via-ousd-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:via-ousd-button-dark-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:via-ousd-button-dark-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:via-story-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:via-story-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:via-story-pink-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:via-story-pink-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:via-footer-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:hover\\:via-transparent:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:hover\\:via-current:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:hover\\:via-black:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:hover\\:via-white:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:hover\\:via-gray-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:hover\\:via-gray-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:hover\\:via-gray-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:hover\\:via-gray-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:hover\\:via-gray-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:hover\\:via-gray-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:hover\\:via-gray-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:hover\\:via-gray-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:hover\\:via-gray-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:hover\\:via-gray-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:hover\\:via-red-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:hover\\:via-red-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:hover\\:via-red-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:hover\\:via-red-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:hover\\:via-red-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:hover\\:via-red-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:hover\\:via-red-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:hover\\:via-red-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:hover\\:via-red-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:hover\\:via-red-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:hover\\:via-yellow-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:hover\\:via-green-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:hover\\:via-green-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:hover\\:via-green-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:hover\\:via-green-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:hover\\:via-green-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:hover\\:via-green-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:hover\\:via-green-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:hover\\:via-green-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:hover\\:via-green-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:hover\\:via-green-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:hover\\:via-blue-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:hover\\:via-blue-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:hover\\:via-blue-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:hover\\:via-blue-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:hover\\:via-blue-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:hover\\:via-blue-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:hover\\:via-blue-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:hover\\:via-blue-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:hover\\:via-blue-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:hover\\:via-blue-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:hover\\:via-indigo-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:hover\\:via-purple-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:hover\\:via-purple-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:hover\\:via-purple-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:hover\\:via-purple-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:hover\\:via-purple-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:hover\\:via-purple-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:hover\\:via-purple-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:hover\\:via-purple-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:hover\\:via-purple-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:hover\\:via-purple-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:hover\\:via-pink-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:hover\\:via-pink-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:hover\\:via-pink-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:hover\\:via-pink-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:hover\\:via-pink-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:hover\\:via-pink-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:hover\\:via-pink-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:hover\\:via-pink-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:hover\\:via-pink-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:hover\\:via-pink-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:hover\\:via-origin-protocol-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:hover\\:via-origin-protocol-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:hover\\:via-ousd-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:hover\\:via-ousd-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:hover\\:via-ousd-button-dark-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:hover\\:via-ousd-button-dark-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:hover\\:via-story-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:hover\\:via-story-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:hover\\:via-story-pink-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:hover\\:via-story-pink-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:hover\\:via-footer-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:focus\\:via-transparent:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:focus\\:via-current:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:focus\\:via-black:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .lg\\:focus\\:via-white:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .lg\\:focus\\:via-gray-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .lg\\:focus\\:via-gray-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .lg\\:focus\\:via-gray-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .lg\\:focus\\:via-gray-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .lg\\:focus\\:via-gray-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .lg\\:focus\\:via-gray-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .lg\\:focus\\:via-gray-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .lg\\:focus\\:via-gray-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .lg\\:focus\\:via-gray-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .lg\\:focus\\:via-gray-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .lg\\:focus\\:via-red-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .lg\\:focus\\:via-red-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .lg\\:focus\\:via-red-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .lg\\:focus\\:via-red-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .lg\\:focus\\:via-red-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .lg\\:focus\\:via-red-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .lg\\:focus\\:via-red-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .lg\\:focus\\:via-red-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .lg\\:focus\\:via-red-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .lg\\:focus\\:via-red-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .lg\\:focus\\:via-yellow-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .lg\\:focus\\:via-green-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .lg\\:focus\\:via-green-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .lg\\:focus\\:via-green-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .lg\\:focus\\:via-green-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .lg\\:focus\\:via-green-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .lg\\:focus\\:via-green-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .lg\\:focus\\:via-green-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .lg\\:focus\\:via-green-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .lg\\:focus\\:via-green-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .lg\\:focus\\:via-green-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .lg\\:focus\\:via-blue-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .lg\\:focus\\:via-blue-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .lg\\:focus\\:via-blue-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .lg\\:focus\\:via-blue-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .lg\\:focus\\:via-blue-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .lg\\:focus\\:via-blue-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .lg\\:focus\\:via-blue-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .lg\\:focus\\:via-blue-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .lg\\:focus\\:via-blue-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .lg\\:focus\\:via-blue-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .lg\\:focus\\:via-indigo-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .lg\\:focus\\:via-purple-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .lg\\:focus\\:via-purple-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .lg\\:focus\\:via-purple-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .lg\\:focus\\:via-purple-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .lg\\:focus\\:via-purple-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .lg\\:focus\\:via-purple-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .lg\\:focus\\:via-purple-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .lg\\:focus\\:via-purple-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .lg\\:focus\\:via-purple-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .lg\\:focus\\:via-purple-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .lg\\:focus\\:via-pink-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .lg\\:focus\\:via-pink-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .lg\\:focus\\:via-pink-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .lg\\:focus\\:via-pink-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .lg\\:focus\\:via-pink-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .lg\\:focus\\:via-pink-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .lg\\:focus\\:via-pink-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .lg\\:focus\\:via-pink-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .lg\\:focus\\:via-pink-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .lg\\:focus\\:via-pink-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .lg\\:focus\\:via-origin-protocol-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:focus\\:via-origin-protocol-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .lg\\:focus\\:via-ousd-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .lg\\:focus\\:via-ousd-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .lg\\:focus\\:via-ousd-button-dark-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .lg\\:focus\\:via-ousd-button-dark-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .lg\\:focus\\:via-story-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .lg\\:focus\\:via-story-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .lg\\:focus\\:via-story-pink-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .lg\\:focus\\:via-story-pink-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .lg\\:focus\\:via-footer-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .lg\\:to-transparent {\n    --tw-gradient-to: transparent;\n  }\n\n  .lg\\:to-current {\n    --tw-gradient-to: currentColor;\n  }\n\n  .lg\\:to-black {\n    --tw-gradient-to: #000;\n  }\n\n  .lg\\:to-white {\n    --tw-gradient-to: #fff;\n  }\n\n  .lg\\:to-gray-50 {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .lg\\:to-gray-100 {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .lg\\:to-gray-200 {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .lg\\:to-gray-300 {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .lg\\:to-gray-400 {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .lg\\:to-gray-500 {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .lg\\:to-gray-600 {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .lg\\:to-gray-700 {\n    --tw-gradient-to: #374151;\n  }\n\n  .lg\\:to-gray-800 {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .lg\\:to-gray-900 {\n    --tw-gradient-to: #111827;\n  }\n\n  .lg\\:to-red-50 {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .lg\\:to-red-100 {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .lg\\:to-red-200 {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .lg\\:to-red-300 {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .lg\\:to-red-400 {\n    --tw-gradient-to: #f87171;\n  }\n\n  .lg\\:to-red-500 {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .lg\\:to-red-600 {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .lg\\:to-red-700 {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .lg\\:to-red-800 {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .lg\\:to-red-900 {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .lg\\:to-yellow-50 {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .lg\\:to-yellow-100 {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .lg\\:to-yellow-200 {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .lg\\:to-yellow-300 {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .lg\\:to-yellow-400 {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .lg\\:to-yellow-500 {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .lg\\:to-yellow-600 {\n    --tw-gradient-to: #d97706;\n  }\n\n  .lg\\:to-yellow-700 {\n    --tw-gradient-to: #b45309;\n  }\n\n  .lg\\:to-yellow-800 {\n    --tw-gradient-to: #92400e;\n  }\n\n  .lg\\:to-yellow-900 {\n    --tw-gradient-to: #78350f;\n  }\n\n  .lg\\:to-green-50 {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .lg\\:to-green-100 {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .lg\\:to-green-200 {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .lg\\:to-green-300 {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .lg\\:to-green-400 {\n    --tw-gradient-to: #34d399;\n  }\n\n  .lg\\:to-green-500 {\n    --tw-gradient-to: #10b981;\n  }\n\n  .lg\\:to-green-600 {\n    --tw-gradient-to: #059669;\n  }\n\n  .lg\\:to-green-700 {\n    --tw-gradient-to: #047857;\n  }\n\n  .lg\\:to-green-800 {\n    --tw-gradient-to: #065f46;\n  }\n\n  .lg\\:to-green-900 {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .lg\\:to-blue-50 {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .lg\\:to-blue-100 {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .lg\\:to-blue-200 {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .lg\\:to-blue-300 {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .lg\\:to-blue-400 {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .lg\\:to-blue-500 {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .lg\\:to-blue-600 {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .lg\\:to-blue-700 {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .lg\\:to-blue-800 {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .lg\\:to-blue-900 {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .lg\\:to-indigo-50 {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .lg\\:to-indigo-100 {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .lg\\:to-indigo-200 {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .lg\\:to-indigo-300 {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .lg\\:to-indigo-400 {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .lg\\:to-indigo-500 {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .lg\\:to-indigo-600 {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .lg\\:to-indigo-700 {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .lg\\:to-indigo-800 {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .lg\\:to-indigo-900 {\n    --tw-gradient-to: #312e81;\n  }\n\n  .lg\\:to-purple-50 {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .lg\\:to-purple-100 {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .lg\\:to-purple-200 {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .lg\\:to-purple-300 {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .lg\\:to-purple-400 {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .lg\\:to-purple-500 {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .lg\\:to-purple-600 {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .lg\\:to-purple-700 {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .lg\\:to-purple-800 {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .lg\\:to-purple-900 {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .lg\\:to-pink-50 {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .lg\\:to-pink-100 {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .lg\\:to-pink-200 {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .lg\\:to-pink-300 {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .lg\\:to-pink-400 {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .lg\\:to-pink-500 {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .lg\\:to-pink-600 {\n    --tw-gradient-to: #db2777;\n  }\n\n  .lg\\:to-pink-700 {\n    --tw-gradient-to: #be185d;\n  }\n\n  .lg\\:to-pink-800 {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .lg\\:to-pink-900 {\n    --tw-gradient-to: #831843;\n  }\n\n  .lg\\:to-origin-protocol-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:to-origin-protocol-button-end {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .lg\\:to-ousd-button-start {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .lg\\:to-ousd-button-end {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .lg\\:to-ousd-button-dark-start {\n    --tw-gradient-to: #402154;\n  }\n\n  .lg\\:to-ousd-button-dark-end {\n    --tw-gradient-to: #120046;\n  }\n\n  .lg\\:to-story-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:to-story-button-end {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .lg\\:to-story-pink-start {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .lg\\:to-story-pink-end {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .lg\\:to-footer-end {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .lg\\:hover\\:to-transparent:hover {\n    --tw-gradient-to: transparent;\n  }\n\n  .lg\\:hover\\:to-current:hover {\n    --tw-gradient-to: currentColor;\n  }\n\n  .lg\\:hover\\:to-black:hover {\n    --tw-gradient-to: #000;\n  }\n\n  .lg\\:hover\\:to-white:hover {\n    --tw-gradient-to: #fff;\n  }\n\n  .lg\\:hover\\:to-gray-50:hover {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .lg\\:hover\\:to-gray-100:hover {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .lg\\:hover\\:to-gray-200:hover {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .lg\\:hover\\:to-gray-300:hover {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .lg\\:hover\\:to-gray-400:hover {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .lg\\:hover\\:to-gray-500:hover {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .lg\\:hover\\:to-gray-600:hover {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .lg\\:hover\\:to-gray-700:hover {\n    --tw-gradient-to: #374151;\n  }\n\n  .lg\\:hover\\:to-gray-800:hover {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .lg\\:hover\\:to-gray-900:hover {\n    --tw-gradient-to: #111827;\n  }\n\n  .lg\\:hover\\:to-red-50:hover {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .lg\\:hover\\:to-red-100:hover {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .lg\\:hover\\:to-red-200:hover {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .lg\\:hover\\:to-red-300:hover {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .lg\\:hover\\:to-red-400:hover {\n    --tw-gradient-to: #f87171;\n  }\n\n  .lg\\:hover\\:to-red-500:hover {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .lg\\:hover\\:to-red-600:hover {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .lg\\:hover\\:to-red-700:hover {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .lg\\:hover\\:to-red-800:hover {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .lg\\:hover\\:to-red-900:hover {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .lg\\:hover\\:to-yellow-50:hover {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .lg\\:hover\\:to-yellow-100:hover {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .lg\\:hover\\:to-yellow-200:hover {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .lg\\:hover\\:to-yellow-300:hover {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .lg\\:hover\\:to-yellow-400:hover {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .lg\\:hover\\:to-yellow-500:hover {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .lg\\:hover\\:to-yellow-600:hover {\n    --tw-gradient-to: #d97706;\n  }\n\n  .lg\\:hover\\:to-yellow-700:hover {\n    --tw-gradient-to: #b45309;\n  }\n\n  .lg\\:hover\\:to-yellow-800:hover {\n    --tw-gradient-to: #92400e;\n  }\n\n  .lg\\:hover\\:to-yellow-900:hover {\n    --tw-gradient-to: #78350f;\n  }\n\n  .lg\\:hover\\:to-green-50:hover {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .lg\\:hover\\:to-green-100:hover {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .lg\\:hover\\:to-green-200:hover {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .lg\\:hover\\:to-green-300:hover {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .lg\\:hover\\:to-green-400:hover {\n    --tw-gradient-to: #34d399;\n  }\n\n  .lg\\:hover\\:to-green-500:hover {\n    --tw-gradient-to: #10b981;\n  }\n\n  .lg\\:hover\\:to-green-600:hover {\n    --tw-gradient-to: #059669;\n  }\n\n  .lg\\:hover\\:to-green-700:hover {\n    --tw-gradient-to: #047857;\n  }\n\n  .lg\\:hover\\:to-green-800:hover {\n    --tw-gradient-to: #065f46;\n  }\n\n  .lg\\:hover\\:to-green-900:hover {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .lg\\:hover\\:to-blue-50:hover {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .lg\\:hover\\:to-blue-100:hover {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .lg\\:hover\\:to-blue-200:hover {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .lg\\:hover\\:to-blue-300:hover {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .lg\\:hover\\:to-blue-400:hover {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .lg\\:hover\\:to-blue-500:hover {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .lg\\:hover\\:to-blue-600:hover {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .lg\\:hover\\:to-blue-700:hover {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .lg\\:hover\\:to-blue-800:hover {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .lg\\:hover\\:to-blue-900:hover {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .lg\\:hover\\:to-indigo-50:hover {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .lg\\:hover\\:to-indigo-100:hover {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .lg\\:hover\\:to-indigo-200:hover {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .lg\\:hover\\:to-indigo-300:hover {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .lg\\:hover\\:to-indigo-400:hover {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .lg\\:hover\\:to-indigo-500:hover {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .lg\\:hover\\:to-indigo-600:hover {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .lg\\:hover\\:to-indigo-700:hover {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .lg\\:hover\\:to-indigo-800:hover {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .lg\\:hover\\:to-indigo-900:hover {\n    --tw-gradient-to: #312e81;\n  }\n\n  .lg\\:hover\\:to-purple-50:hover {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .lg\\:hover\\:to-purple-100:hover {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .lg\\:hover\\:to-purple-200:hover {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .lg\\:hover\\:to-purple-300:hover {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .lg\\:hover\\:to-purple-400:hover {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .lg\\:hover\\:to-purple-500:hover {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .lg\\:hover\\:to-purple-600:hover {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .lg\\:hover\\:to-purple-700:hover {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .lg\\:hover\\:to-purple-800:hover {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .lg\\:hover\\:to-purple-900:hover {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .lg\\:hover\\:to-pink-50:hover {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .lg\\:hover\\:to-pink-100:hover {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .lg\\:hover\\:to-pink-200:hover {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .lg\\:hover\\:to-pink-300:hover {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .lg\\:hover\\:to-pink-400:hover {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .lg\\:hover\\:to-pink-500:hover {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .lg\\:hover\\:to-pink-600:hover {\n    --tw-gradient-to: #db2777;\n  }\n\n  .lg\\:hover\\:to-pink-700:hover {\n    --tw-gradient-to: #be185d;\n  }\n\n  .lg\\:hover\\:to-pink-800:hover {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .lg\\:hover\\:to-pink-900:hover {\n    --tw-gradient-to: #831843;\n  }\n\n  .lg\\:hover\\:to-origin-protocol-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:hover\\:to-origin-protocol-button-end:hover {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .lg\\:hover\\:to-ousd-button-start:hover {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .lg\\:hover\\:to-ousd-button-end:hover {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .lg\\:hover\\:to-ousd-button-dark-start:hover {\n    --tw-gradient-to: #402154;\n  }\n\n  .lg\\:hover\\:to-ousd-button-dark-end:hover {\n    --tw-gradient-to: #120046;\n  }\n\n  .lg\\:hover\\:to-story-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:hover\\:to-story-button-end:hover {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .lg\\:hover\\:to-story-pink-start:hover {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .lg\\:hover\\:to-story-pink-end:hover {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .lg\\:hover\\:to-footer-end:hover {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .lg\\:focus\\:to-transparent:focus {\n    --tw-gradient-to: transparent;\n  }\n\n  .lg\\:focus\\:to-current:focus {\n    --tw-gradient-to: currentColor;\n  }\n\n  .lg\\:focus\\:to-black:focus {\n    --tw-gradient-to: #000;\n  }\n\n  .lg\\:focus\\:to-white:focus {\n    --tw-gradient-to: #fff;\n  }\n\n  .lg\\:focus\\:to-gray-50:focus {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .lg\\:focus\\:to-gray-100:focus {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .lg\\:focus\\:to-gray-200:focus {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .lg\\:focus\\:to-gray-300:focus {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .lg\\:focus\\:to-gray-400:focus {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .lg\\:focus\\:to-gray-500:focus {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .lg\\:focus\\:to-gray-600:focus {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .lg\\:focus\\:to-gray-700:focus {\n    --tw-gradient-to: #374151;\n  }\n\n  .lg\\:focus\\:to-gray-800:focus {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .lg\\:focus\\:to-gray-900:focus {\n    --tw-gradient-to: #111827;\n  }\n\n  .lg\\:focus\\:to-red-50:focus {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .lg\\:focus\\:to-red-100:focus {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .lg\\:focus\\:to-red-200:focus {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .lg\\:focus\\:to-red-300:focus {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .lg\\:focus\\:to-red-400:focus {\n    --tw-gradient-to: #f87171;\n  }\n\n  .lg\\:focus\\:to-red-500:focus {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .lg\\:focus\\:to-red-600:focus {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .lg\\:focus\\:to-red-700:focus {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .lg\\:focus\\:to-red-800:focus {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .lg\\:focus\\:to-red-900:focus {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .lg\\:focus\\:to-yellow-50:focus {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .lg\\:focus\\:to-yellow-100:focus {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .lg\\:focus\\:to-yellow-200:focus {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .lg\\:focus\\:to-yellow-300:focus {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .lg\\:focus\\:to-yellow-400:focus {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .lg\\:focus\\:to-yellow-500:focus {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .lg\\:focus\\:to-yellow-600:focus {\n    --tw-gradient-to: #d97706;\n  }\n\n  .lg\\:focus\\:to-yellow-700:focus {\n    --tw-gradient-to: #b45309;\n  }\n\n  .lg\\:focus\\:to-yellow-800:focus {\n    --tw-gradient-to: #92400e;\n  }\n\n  .lg\\:focus\\:to-yellow-900:focus {\n    --tw-gradient-to: #78350f;\n  }\n\n  .lg\\:focus\\:to-green-50:focus {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .lg\\:focus\\:to-green-100:focus {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .lg\\:focus\\:to-green-200:focus {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .lg\\:focus\\:to-green-300:focus {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .lg\\:focus\\:to-green-400:focus {\n    --tw-gradient-to: #34d399;\n  }\n\n  .lg\\:focus\\:to-green-500:focus {\n    --tw-gradient-to: #10b981;\n  }\n\n  .lg\\:focus\\:to-green-600:focus {\n    --tw-gradient-to: #059669;\n  }\n\n  .lg\\:focus\\:to-green-700:focus {\n    --tw-gradient-to: #047857;\n  }\n\n  .lg\\:focus\\:to-green-800:focus {\n    --tw-gradient-to: #065f46;\n  }\n\n  .lg\\:focus\\:to-green-900:focus {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .lg\\:focus\\:to-blue-50:focus {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .lg\\:focus\\:to-blue-100:focus {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .lg\\:focus\\:to-blue-200:focus {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .lg\\:focus\\:to-blue-300:focus {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .lg\\:focus\\:to-blue-400:focus {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .lg\\:focus\\:to-blue-500:focus {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .lg\\:focus\\:to-blue-600:focus {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .lg\\:focus\\:to-blue-700:focus {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .lg\\:focus\\:to-blue-800:focus {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .lg\\:focus\\:to-blue-900:focus {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .lg\\:focus\\:to-indigo-50:focus {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .lg\\:focus\\:to-indigo-100:focus {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .lg\\:focus\\:to-indigo-200:focus {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .lg\\:focus\\:to-indigo-300:focus {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .lg\\:focus\\:to-indigo-400:focus {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .lg\\:focus\\:to-indigo-500:focus {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .lg\\:focus\\:to-indigo-600:focus {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .lg\\:focus\\:to-indigo-700:focus {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .lg\\:focus\\:to-indigo-800:focus {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .lg\\:focus\\:to-indigo-900:focus {\n    --tw-gradient-to: #312e81;\n  }\n\n  .lg\\:focus\\:to-purple-50:focus {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .lg\\:focus\\:to-purple-100:focus {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .lg\\:focus\\:to-purple-200:focus {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .lg\\:focus\\:to-purple-300:focus {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .lg\\:focus\\:to-purple-400:focus {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .lg\\:focus\\:to-purple-500:focus {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .lg\\:focus\\:to-purple-600:focus {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .lg\\:focus\\:to-purple-700:focus {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .lg\\:focus\\:to-purple-800:focus {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .lg\\:focus\\:to-purple-900:focus {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .lg\\:focus\\:to-pink-50:focus {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .lg\\:focus\\:to-pink-100:focus {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .lg\\:focus\\:to-pink-200:focus {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .lg\\:focus\\:to-pink-300:focus {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .lg\\:focus\\:to-pink-400:focus {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .lg\\:focus\\:to-pink-500:focus {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .lg\\:focus\\:to-pink-600:focus {\n    --tw-gradient-to: #db2777;\n  }\n\n  .lg\\:focus\\:to-pink-700:focus {\n    --tw-gradient-to: #be185d;\n  }\n\n  .lg\\:focus\\:to-pink-800:focus {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .lg\\:focus\\:to-pink-900:focus {\n    --tw-gradient-to: #831843;\n  }\n\n  .lg\\:focus\\:to-origin-protocol-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:focus\\:to-origin-protocol-button-end:focus {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .lg\\:focus\\:to-ousd-button-start:focus {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .lg\\:focus\\:to-ousd-button-end:focus {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .lg\\:focus\\:to-ousd-button-dark-start:focus {\n    --tw-gradient-to: #402154;\n  }\n\n  .lg\\:focus\\:to-ousd-button-dark-end:focus {\n    --tw-gradient-to: #120046;\n  }\n\n  .lg\\:focus\\:to-story-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .lg\\:focus\\:to-story-button-end:focus {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .lg\\:focus\\:to-story-pink-start:focus {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .lg\\:focus\\:to-story-pink-end:focus {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .lg\\:focus\\:to-footer-end:focus {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .lg\\:decoration-slice {\n    -webkit-box-decoration-break: slice;\n            box-decoration-break: slice;\n  }\n\n  .lg\\:decoration-clone {\n    -webkit-box-decoration-break: clone;\n            box-decoration-break: clone;\n  }\n\n  .lg\\:bg-auto {\n    background-size: auto;\n  }\n\n  .lg\\:bg-cover {\n    background-size: cover;\n  }\n\n  .lg\\:bg-contain {\n    background-size: contain;\n  }\n\n  .lg\\:bg-fixed {\n    background-attachment: fixed;\n  }\n\n  .lg\\:bg-local {\n    background-attachment: local;\n  }\n\n  .lg\\:bg-scroll {\n    background-attachment: scroll;\n  }\n\n  .lg\\:bg-clip-border {\n    background-clip: border-box;\n  }\n\n  .lg\\:bg-clip-padding {\n    background-clip: padding-box;\n  }\n\n  .lg\\:bg-clip-content {\n    background-clip: content-box;\n  }\n\n  .lg\\:bg-clip-text {\n    -webkit-background-clip: text;\n            background-clip: text;\n  }\n\n  .lg\\:bg-bottom {\n    background-position: bottom;\n  }\n\n  .lg\\:bg-center {\n    background-position: center;\n  }\n\n  .lg\\:bg-left {\n    background-position: left;\n  }\n\n  .lg\\:bg-left-bottom {\n    background-position: left bottom;\n  }\n\n  .lg\\:bg-left-top {\n    background-position: left top;\n  }\n\n  .lg\\:bg-right {\n    background-position: right;\n  }\n\n  .lg\\:bg-right-bottom {\n    background-position: right bottom;\n  }\n\n  .lg\\:bg-right-top {\n    background-position: right top;\n  }\n\n  .lg\\:bg-top {\n    background-position: top;\n  }\n\n  .lg\\:bg-repeat {\n    background-repeat: repeat;\n  }\n\n  .lg\\:bg-no-repeat {\n    background-repeat: no-repeat;\n  }\n\n  .lg\\:bg-repeat-x {\n    background-repeat: repeat-x;\n  }\n\n  .lg\\:bg-repeat-y {\n    background-repeat: repeat-y;\n  }\n\n  .lg\\:bg-repeat-round {\n    background-repeat: round;\n  }\n\n  .lg\\:bg-repeat-space {\n    background-repeat: space;\n  }\n\n  .lg\\:bg-origin-border {\n    background-origin: border-box;\n  }\n\n  .lg\\:bg-origin-padding {\n    background-origin: padding-box;\n  }\n\n  .lg\\:bg-origin-content {\n    background-origin: content-box;\n  }\n\n  .lg\\:fill-current {\n    fill: currentColor;\n  }\n\n  .lg\\:stroke-current {\n    stroke: currentColor;\n  }\n\n  .lg\\:stroke-0 {\n    stroke-width: 0;\n  }\n\n  .lg\\:stroke-1 {\n    stroke-width: 1;\n  }\n\n  .lg\\:stroke-2 {\n    stroke-width: 2;\n  }\n\n  .lg\\:object-contain {\n    -o-object-fit: contain;\n       object-fit: contain;\n  }\n\n  .lg\\:object-cover {\n    -o-object-fit: cover;\n       object-fit: cover;\n  }\n\n  .lg\\:object-fill {\n    -o-object-fit: fill;\n       object-fit: fill;\n  }\n\n  .lg\\:object-none {\n    -o-object-fit: none;\n       object-fit: none;\n  }\n\n  .lg\\:object-scale-down {\n    -o-object-fit: scale-down;\n       object-fit: scale-down;\n  }\n\n  .lg\\:object-bottom {\n    -o-object-position: bottom;\n       object-position: bottom;\n  }\n\n  .lg\\:object-center {\n    -o-object-position: center;\n       object-position: center;\n  }\n\n  .lg\\:object-left {\n    -o-object-position: left;\n       object-position: left;\n  }\n\n  .lg\\:object-left-bottom {\n    -o-object-position: left bottom;\n       object-position: left bottom;\n  }\n\n  .lg\\:object-left-top {\n    -o-object-position: left top;\n       object-position: left top;\n  }\n\n  .lg\\:object-right {\n    -o-object-position: right;\n       object-position: right;\n  }\n\n  .lg\\:object-right-bottom {\n    -o-object-position: right bottom;\n       object-position: right bottom;\n  }\n\n  .lg\\:object-right-top {\n    -o-object-position: right top;\n       object-position: right top;\n  }\n\n  .lg\\:object-top {\n    -o-object-position: top;\n       object-position: top;\n  }\n\n  .lg\\:p-0 {\n    padding: 0px;\n  }\n\n  .lg\\:p-1 {\n    padding: 0.25rem;\n  }\n\n  .lg\\:p-2 {\n    padding: 0.5rem;\n  }\n\n  .lg\\:p-3 {\n    padding: 0.75rem;\n  }\n\n  .lg\\:p-4 {\n    padding: 1rem;\n  }\n\n  .lg\\:p-5 {\n    padding: 1.25rem;\n  }\n\n  .lg\\:p-6 {\n    padding: 1.5rem;\n  }\n\n  .lg\\:p-7 {\n    padding: 1.75rem;\n  }\n\n  .lg\\:p-8 {\n    padding: 2rem;\n  }\n\n  .lg\\:p-9 {\n    padding: 2.25rem;\n  }\n\n  .lg\\:p-10 {\n    padding: 2.5rem;\n  }\n\n  .lg\\:p-11 {\n    padding: 2.75rem;\n  }\n\n  .lg\\:p-12 {\n    padding: 3rem;\n  }\n\n  .lg\\:p-14 {\n    padding: 3.5rem;\n  }\n\n  .lg\\:p-16 {\n    padding: 4rem;\n  }\n\n  .lg\\:p-20 {\n    padding: 5rem;\n  }\n\n  .lg\\:p-24 {\n    padding: 6rem;\n  }\n\n  .lg\\:p-28 {\n    padding: 7rem;\n  }\n\n  .lg\\:p-32 {\n    padding: 8rem;\n  }\n\n  .lg\\:p-36 {\n    padding: 9rem;\n  }\n\n  .lg\\:p-40 {\n    padding: 10rem;\n  }\n\n  .lg\\:p-44 {\n    padding: 11rem;\n  }\n\n  .lg\\:p-48 {\n    padding: 12rem;\n  }\n\n  .lg\\:p-52 {\n    padding: 13rem;\n  }\n\n  .lg\\:p-56 {\n    padding: 14rem;\n  }\n\n  .lg\\:p-60 {\n    padding: 15rem;\n  }\n\n  .lg\\:p-64 {\n    padding: 16rem;\n  }\n\n  .lg\\:p-72 {\n    padding: 18rem;\n  }\n\n  .lg\\:p-80 {\n    padding: 20rem;\n  }\n\n  .lg\\:p-96 {\n    padding: 24rem;\n  }\n\n  .lg\\:p-px {\n    padding: 1px;\n  }\n\n  .lg\\:p-0\\.5 {\n    padding: 0.125rem;\n  }\n\n  .lg\\:p-1\\.5 {\n    padding: 0.375rem;\n  }\n\n  .lg\\:p-2\\.5 {\n    padding: 0.625rem;\n  }\n\n  .lg\\:p-3\\.5 {\n    padding: 0.875rem;\n  }\n\n  .lg\\:px-0 {\n    padding-left: 0px;\n    padding-right: 0px;\n  }\n\n  .lg\\:px-1 {\n    padding-left: 0.25rem;\n    padding-right: 0.25rem;\n  }\n\n  .lg\\:px-2 {\n    padding-left: 0.5rem;\n    padding-right: 0.5rem;\n  }\n\n  .lg\\:px-3 {\n    padding-left: 0.75rem;\n    padding-right: 0.75rem;\n  }\n\n  .lg\\:px-4 {\n    padding-left: 1rem;\n    padding-right: 1rem;\n  }\n\n  .lg\\:px-5 {\n    padding-left: 1.25rem;\n    padding-right: 1.25rem;\n  }\n\n  .lg\\:px-6 {\n    padding-left: 1.5rem;\n    padding-right: 1.5rem;\n  }\n\n  .lg\\:px-7 {\n    padding-left: 1.75rem;\n    padding-right: 1.75rem;\n  }\n\n  .lg\\:px-8 {\n    padding-left: 2rem;\n    padding-right: 2rem;\n  }\n\n  .lg\\:px-9 {\n    padding-left: 2.25rem;\n    padding-right: 2.25rem;\n  }\n\n  .lg\\:px-10 {\n    padding-left: 2.5rem;\n    padding-right: 2.5rem;\n  }\n\n  .lg\\:px-11 {\n    padding-left: 2.75rem;\n    padding-right: 2.75rem;\n  }\n\n  .lg\\:px-12 {\n    padding-left: 3rem;\n    padding-right: 3rem;\n  }\n\n  .lg\\:px-14 {\n    padding-left: 3.5rem;\n    padding-right: 3.5rem;\n  }\n\n  .lg\\:px-16 {\n    padding-left: 4rem;\n    padding-right: 4rem;\n  }\n\n  .lg\\:px-20 {\n    padding-left: 5rem;\n    padding-right: 5rem;\n  }\n\n  .lg\\:px-24 {\n    padding-left: 6rem;\n    padding-right: 6rem;\n  }\n\n  .lg\\:px-28 {\n    padding-left: 7rem;\n    padding-right: 7rem;\n  }\n\n  .lg\\:px-32 {\n    padding-left: 8rem;\n    padding-right: 8rem;\n  }\n\n  .lg\\:px-36 {\n    padding-left: 9rem;\n    padding-right: 9rem;\n  }\n\n  .lg\\:px-40 {\n    padding-left: 10rem;\n    padding-right: 10rem;\n  }\n\n  .lg\\:px-44 {\n    padding-left: 11rem;\n    padding-right: 11rem;\n  }\n\n  .lg\\:px-48 {\n    padding-left: 12rem;\n    padding-right: 12rem;\n  }\n\n  .lg\\:px-52 {\n    padding-left: 13rem;\n    padding-right: 13rem;\n  }\n\n  .lg\\:px-56 {\n    padding-left: 14rem;\n    padding-right: 14rem;\n  }\n\n  .lg\\:px-60 {\n    padding-left: 15rem;\n    padding-right: 15rem;\n  }\n\n  .lg\\:px-64 {\n    padding-left: 16rem;\n    padding-right: 16rem;\n  }\n\n  .lg\\:px-72 {\n    padding-left: 18rem;\n    padding-right: 18rem;\n  }\n\n  .lg\\:px-80 {\n    padding-left: 20rem;\n    padding-right: 20rem;\n  }\n\n  .lg\\:px-96 {\n    padding-left: 24rem;\n    padding-right: 24rem;\n  }\n\n  .lg\\:px-px {\n    padding-left: 1px;\n    padding-right: 1px;\n  }\n\n  .lg\\:px-0\\.5 {\n    padding-left: 0.125rem;\n    padding-right: 0.125rem;\n  }\n\n  .lg\\:px-1\\.5 {\n    padding-left: 0.375rem;\n    padding-right: 0.375rem;\n  }\n\n  .lg\\:px-2\\.5 {\n    padding-left: 0.625rem;\n    padding-right: 0.625rem;\n  }\n\n  .lg\\:px-3\\.5 {\n    padding-left: 0.875rem;\n    padding-right: 0.875rem;\n  }\n\n  .lg\\:py-0 {\n    padding-top: 0px;\n    padding-bottom: 0px;\n  }\n\n  .lg\\:py-1 {\n    padding-top: 0.25rem;\n    padding-bottom: 0.25rem;\n  }\n\n  .lg\\:py-2 {\n    padding-top: 0.5rem;\n    padding-bottom: 0.5rem;\n  }\n\n  .lg\\:py-3 {\n    padding-top: 0.75rem;\n    padding-bottom: 0.75rem;\n  }\n\n  .lg\\:py-4 {\n    padding-top: 1rem;\n    padding-bottom: 1rem;\n  }\n\n  .lg\\:py-5 {\n    padding-top: 1.25rem;\n    padding-bottom: 1.25rem;\n  }\n\n  .lg\\:py-6 {\n    padding-top: 1.5rem;\n    padding-bottom: 1.5rem;\n  }\n\n  .lg\\:py-7 {\n    padding-top: 1.75rem;\n    padding-bottom: 1.75rem;\n  }\n\n  .lg\\:py-8 {\n    padding-top: 2rem;\n    padding-bottom: 2rem;\n  }\n\n  .lg\\:py-9 {\n    padding-top: 2.25rem;\n    padding-bottom: 2.25rem;\n  }\n\n  .lg\\:py-10 {\n    padding-top: 2.5rem;\n    padding-bottom: 2.5rem;\n  }\n\n  .lg\\:py-11 {\n    padding-top: 2.75rem;\n    padding-bottom: 2.75rem;\n  }\n\n  .lg\\:py-12 {\n    padding-top: 3rem;\n    padding-bottom: 3rem;\n  }\n\n  .lg\\:py-14 {\n    padding-top: 3.5rem;\n    padding-bottom: 3.5rem;\n  }\n\n  .lg\\:py-16 {\n    padding-top: 4rem;\n    padding-bottom: 4rem;\n  }\n\n  .lg\\:py-20 {\n    padding-top: 5rem;\n    padding-bottom: 5rem;\n  }\n\n  .lg\\:py-24 {\n    padding-top: 6rem;\n    padding-bottom: 6rem;\n  }\n\n  .lg\\:py-28 {\n    padding-top: 7rem;\n    padding-bottom: 7rem;\n  }\n\n  .lg\\:py-32 {\n    padding-top: 8rem;\n    padding-bottom: 8rem;\n  }\n\n  .lg\\:py-36 {\n    padding-top: 9rem;\n    padding-bottom: 9rem;\n  }\n\n  .lg\\:py-40 {\n    padding-top: 10rem;\n    padding-bottom: 10rem;\n  }\n\n  .lg\\:py-44 {\n    padding-top: 11rem;\n    padding-bottom: 11rem;\n  }\n\n  .lg\\:py-48 {\n    padding-top: 12rem;\n    padding-bottom: 12rem;\n  }\n\n  .lg\\:py-52 {\n    padding-top: 13rem;\n    padding-bottom: 13rem;\n  }\n\n  .lg\\:py-56 {\n    padding-top: 14rem;\n    padding-bottom: 14rem;\n  }\n\n  .lg\\:py-60 {\n    padding-top: 15rem;\n    padding-bottom: 15rem;\n  }\n\n  .lg\\:py-64 {\n    padding-top: 16rem;\n    padding-bottom: 16rem;\n  }\n\n  .lg\\:py-72 {\n    padding-top: 18rem;\n    padding-bottom: 18rem;\n  }\n\n  .lg\\:py-80 {\n    padding-top: 20rem;\n    padding-bottom: 20rem;\n  }\n\n  .lg\\:py-96 {\n    padding-top: 24rem;\n    padding-bottom: 24rem;\n  }\n\n  .lg\\:py-px {\n    padding-top: 1px;\n    padding-bottom: 1px;\n  }\n\n  .lg\\:py-0\\.5 {\n    padding-top: 0.125rem;\n    padding-bottom: 0.125rem;\n  }\n\n  .lg\\:py-1\\.5 {\n    padding-top: 0.375rem;\n    padding-bottom: 0.375rem;\n  }\n\n  .lg\\:py-2\\.5 {\n    padding-top: 0.625rem;\n    padding-bottom: 0.625rem;\n  }\n\n  .lg\\:py-3\\.5 {\n    padding-top: 0.875rem;\n    padding-bottom: 0.875rem;\n  }\n\n  .lg\\:pt-0 {\n    padding-top: 0px;\n  }\n\n  .lg\\:pt-1 {\n    padding-top: 0.25rem;\n  }\n\n  .lg\\:pt-2 {\n    padding-top: 0.5rem;\n  }\n\n  .lg\\:pt-3 {\n    padding-top: 0.75rem;\n  }\n\n  .lg\\:pt-4 {\n    padding-top: 1rem;\n  }\n\n  .lg\\:pt-5 {\n    padding-top: 1.25rem;\n  }\n\n  .lg\\:pt-6 {\n    padding-top: 1.5rem;\n  }\n\n  .lg\\:pt-7 {\n    padding-top: 1.75rem;\n  }\n\n  .lg\\:pt-8 {\n    padding-top: 2rem;\n  }\n\n  .lg\\:pt-9 {\n    padding-top: 2.25rem;\n  }\n\n  .lg\\:pt-10 {\n    padding-top: 2.5rem;\n  }\n\n  .lg\\:pt-11 {\n    padding-top: 2.75rem;\n  }\n\n  .lg\\:pt-12 {\n    padding-top: 3rem;\n  }\n\n  .lg\\:pt-14 {\n    padding-top: 3.5rem;\n  }\n\n  .lg\\:pt-16 {\n    padding-top: 4rem;\n  }\n\n  .lg\\:pt-20 {\n    padding-top: 5rem;\n  }\n\n  .lg\\:pt-24 {\n    padding-top: 6rem;\n  }\n\n  .lg\\:pt-28 {\n    padding-top: 7rem;\n  }\n\n  .lg\\:pt-32 {\n    padding-top: 8rem;\n  }\n\n  .lg\\:pt-36 {\n    padding-top: 9rem;\n  }\n\n  .lg\\:pt-40 {\n    padding-top: 10rem;\n  }\n\n  .lg\\:pt-44 {\n    padding-top: 11rem;\n  }\n\n  .lg\\:pt-48 {\n    padding-top: 12rem;\n  }\n\n  .lg\\:pt-52 {\n    padding-top: 13rem;\n  }\n\n  .lg\\:pt-56 {\n    padding-top: 14rem;\n  }\n\n  .lg\\:pt-60 {\n    padding-top: 15rem;\n  }\n\n  .lg\\:pt-64 {\n    padding-top: 16rem;\n  }\n\n  .lg\\:pt-72 {\n    padding-top: 18rem;\n  }\n\n  .lg\\:pt-80 {\n    padding-top: 20rem;\n  }\n\n  .lg\\:pt-96 {\n    padding-top: 24rem;\n  }\n\n  .lg\\:pt-px {\n    padding-top: 1px;\n  }\n\n  .lg\\:pt-0\\.5 {\n    padding-top: 0.125rem;\n  }\n\n  .lg\\:pt-1\\.5 {\n    padding-top: 0.375rem;\n  }\n\n  .lg\\:pt-2\\.5 {\n    padding-top: 0.625rem;\n  }\n\n  .lg\\:pt-3\\.5 {\n    padding-top: 0.875rem;\n  }\n\n  .lg\\:pr-0 {\n    padding-right: 0px;\n  }\n\n  .lg\\:pr-1 {\n    padding-right: 0.25rem;\n  }\n\n  .lg\\:pr-2 {\n    padding-right: 0.5rem;\n  }\n\n  .lg\\:pr-3 {\n    padding-right: 0.75rem;\n  }\n\n  .lg\\:pr-4 {\n    padding-right: 1rem;\n  }\n\n  .lg\\:pr-5 {\n    padding-right: 1.25rem;\n  }\n\n  .lg\\:pr-6 {\n    padding-right: 1.5rem;\n  }\n\n  .lg\\:pr-7 {\n    padding-right: 1.75rem;\n  }\n\n  .lg\\:pr-8 {\n    padding-right: 2rem;\n  }\n\n  .lg\\:pr-9 {\n    padding-right: 2.25rem;\n  }\n\n  .lg\\:pr-10 {\n    padding-right: 2.5rem;\n  }\n\n  .lg\\:pr-11 {\n    padding-right: 2.75rem;\n  }\n\n  .lg\\:pr-12 {\n    padding-right: 3rem;\n  }\n\n  .lg\\:pr-14 {\n    padding-right: 3.5rem;\n  }\n\n  .lg\\:pr-16 {\n    padding-right: 4rem;\n  }\n\n  .lg\\:pr-20 {\n    padding-right: 5rem;\n  }\n\n  .lg\\:pr-24 {\n    padding-right: 6rem;\n  }\n\n  .lg\\:pr-28 {\n    padding-right: 7rem;\n  }\n\n  .lg\\:pr-32 {\n    padding-right: 8rem;\n  }\n\n  .lg\\:pr-36 {\n    padding-right: 9rem;\n  }\n\n  .lg\\:pr-40 {\n    padding-right: 10rem;\n  }\n\n  .lg\\:pr-44 {\n    padding-right: 11rem;\n  }\n\n  .lg\\:pr-48 {\n    padding-right: 12rem;\n  }\n\n  .lg\\:pr-52 {\n    padding-right: 13rem;\n  }\n\n  .lg\\:pr-56 {\n    padding-right: 14rem;\n  }\n\n  .lg\\:pr-60 {\n    padding-right: 15rem;\n  }\n\n  .lg\\:pr-64 {\n    padding-right: 16rem;\n  }\n\n  .lg\\:pr-72 {\n    padding-right: 18rem;\n  }\n\n  .lg\\:pr-80 {\n    padding-right: 20rem;\n  }\n\n  .lg\\:pr-96 {\n    padding-right: 24rem;\n  }\n\n  .lg\\:pr-px {\n    padding-right: 1px;\n  }\n\n  .lg\\:pr-0\\.5 {\n    padding-right: 0.125rem;\n  }\n\n  .lg\\:pr-1\\.5 {\n    padding-right: 0.375rem;\n  }\n\n  .lg\\:pr-2\\.5 {\n    padding-right: 0.625rem;\n  }\n\n  .lg\\:pr-3\\.5 {\n    padding-right: 0.875rem;\n  }\n\n  .lg\\:pb-0 {\n    padding-bottom: 0px;\n  }\n\n  .lg\\:pb-1 {\n    padding-bottom: 0.25rem;\n  }\n\n  .lg\\:pb-2 {\n    padding-bottom: 0.5rem;\n  }\n\n  .lg\\:pb-3 {\n    padding-bottom: 0.75rem;\n  }\n\n  .lg\\:pb-4 {\n    padding-bottom: 1rem;\n  }\n\n  .lg\\:pb-5 {\n    padding-bottom: 1.25rem;\n  }\n\n  .lg\\:pb-6 {\n    padding-bottom: 1.5rem;\n  }\n\n  .lg\\:pb-7 {\n    padding-bottom: 1.75rem;\n  }\n\n  .lg\\:pb-8 {\n    padding-bottom: 2rem;\n  }\n\n  .lg\\:pb-9 {\n    padding-bottom: 2.25rem;\n  }\n\n  .lg\\:pb-10 {\n    padding-bottom: 2.5rem;\n  }\n\n  .lg\\:pb-11 {\n    padding-bottom: 2.75rem;\n  }\n\n  .lg\\:pb-12 {\n    padding-bottom: 3rem;\n  }\n\n  .lg\\:pb-14 {\n    padding-bottom: 3.5rem;\n  }\n\n  .lg\\:pb-16 {\n    padding-bottom: 4rem;\n  }\n\n  .lg\\:pb-20 {\n    padding-bottom: 5rem;\n  }\n\n  .lg\\:pb-24 {\n    padding-bottom: 6rem;\n  }\n\n  .lg\\:pb-28 {\n    padding-bottom: 7rem;\n  }\n\n  .lg\\:pb-32 {\n    padding-bottom: 8rem;\n  }\n\n  .lg\\:pb-36 {\n    padding-bottom: 9rem;\n  }\n\n  .lg\\:pb-40 {\n    padding-bottom: 10rem;\n  }\n\n  .lg\\:pb-44 {\n    padding-bottom: 11rem;\n  }\n\n  .lg\\:pb-48 {\n    padding-bottom: 12rem;\n  }\n\n  .lg\\:pb-52 {\n    padding-bottom: 13rem;\n  }\n\n  .lg\\:pb-56 {\n    padding-bottom: 14rem;\n  }\n\n  .lg\\:pb-60 {\n    padding-bottom: 15rem;\n  }\n\n  .lg\\:pb-64 {\n    padding-bottom: 16rem;\n  }\n\n  .lg\\:pb-72 {\n    padding-bottom: 18rem;\n  }\n\n  .lg\\:pb-80 {\n    padding-bottom: 20rem;\n  }\n\n  .lg\\:pb-96 {\n    padding-bottom: 24rem;\n  }\n\n  .lg\\:pb-px {\n    padding-bottom: 1px;\n  }\n\n  .lg\\:pb-0\\.5 {\n    padding-bottom: 0.125rem;\n  }\n\n  .lg\\:pb-1\\.5 {\n    padding-bottom: 0.375rem;\n  }\n\n  .lg\\:pb-2\\.5 {\n    padding-bottom: 0.625rem;\n  }\n\n  .lg\\:pb-3\\.5 {\n    padding-bottom: 0.875rem;\n  }\n\n  .lg\\:pl-0 {\n    padding-left: 0px;\n  }\n\n  .lg\\:pl-1 {\n    padding-left: 0.25rem;\n  }\n\n  .lg\\:pl-2 {\n    padding-left: 0.5rem;\n  }\n\n  .lg\\:pl-3 {\n    padding-left: 0.75rem;\n  }\n\n  .lg\\:pl-4 {\n    padding-left: 1rem;\n  }\n\n  .lg\\:pl-5 {\n    padding-left: 1.25rem;\n  }\n\n  .lg\\:pl-6 {\n    padding-left: 1.5rem;\n  }\n\n  .lg\\:pl-7 {\n    padding-left: 1.75rem;\n  }\n\n  .lg\\:pl-8 {\n    padding-left: 2rem;\n  }\n\n  .lg\\:pl-9 {\n    padding-left: 2.25rem;\n  }\n\n  .lg\\:pl-10 {\n    padding-left: 2.5rem;\n  }\n\n  .lg\\:pl-11 {\n    padding-left: 2.75rem;\n  }\n\n  .lg\\:pl-12 {\n    padding-left: 3rem;\n  }\n\n  .lg\\:pl-14 {\n    padding-left: 3.5rem;\n  }\n\n  .lg\\:pl-16 {\n    padding-left: 4rem;\n  }\n\n  .lg\\:pl-20 {\n    padding-left: 5rem;\n  }\n\n  .lg\\:pl-24 {\n    padding-left: 6rem;\n  }\n\n  .lg\\:pl-28 {\n    padding-left: 7rem;\n  }\n\n  .lg\\:pl-32 {\n    padding-left: 8rem;\n  }\n\n  .lg\\:pl-36 {\n    padding-left: 9rem;\n  }\n\n  .lg\\:pl-40 {\n    padding-left: 10rem;\n  }\n\n  .lg\\:pl-44 {\n    padding-left: 11rem;\n  }\n\n  .lg\\:pl-48 {\n    padding-left: 12rem;\n  }\n\n  .lg\\:pl-52 {\n    padding-left: 13rem;\n  }\n\n  .lg\\:pl-56 {\n    padding-left: 14rem;\n  }\n\n  .lg\\:pl-60 {\n    padding-left: 15rem;\n  }\n\n  .lg\\:pl-64 {\n    padding-left: 16rem;\n  }\n\n  .lg\\:pl-72 {\n    padding-left: 18rem;\n  }\n\n  .lg\\:pl-80 {\n    padding-left: 20rem;\n  }\n\n  .lg\\:pl-96 {\n    padding-left: 24rem;\n  }\n\n  .lg\\:pl-px {\n    padding-left: 1px;\n  }\n\n  .lg\\:pl-0\\.5 {\n    padding-left: 0.125rem;\n  }\n\n  .lg\\:pl-1\\.5 {\n    padding-left: 0.375rem;\n  }\n\n  .lg\\:pl-2\\.5 {\n    padding-left: 0.625rem;\n  }\n\n  .lg\\:pl-3\\.5 {\n    padding-left: 0.875rem;\n  }\n\n  .lg\\:text-left {\n    text-align: left;\n  }\n\n  .lg\\:text-center {\n    text-align: center;\n  }\n\n  .lg\\:text-right {\n    text-align: right;\n  }\n\n  .lg\\:text-justify {\n    text-align: justify;\n  }\n\n  .lg\\:align-baseline {\n    vertical-align: baseline;\n  }\n\n  .lg\\:align-top {\n    vertical-align: top;\n  }\n\n  .lg\\:align-middle {\n    vertical-align: middle;\n  }\n\n  .lg\\:align-bottom {\n    vertical-align: bottom;\n  }\n\n  .lg\\:align-text-top {\n    vertical-align: text-top;\n  }\n\n  .lg\\:align-text-bottom {\n    vertical-align: text-bottom;\n  }\n\n  .lg\\:font-sans {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .lg\\:font-serif {\n    font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n  }\n\n  .lg\\:font-mono {\n    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  }\n\n  .lg\\:font-sansSailec {\n    font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .lg\\:font-sansInter {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .lg\\:text-xs {\n    font-size: 0.75rem;\n    line-height: 1rem;\n  }\n\n  .lg\\:text-sm {\n    font-size: 0.875rem;\n    line-height: 1.25rem;\n  }\n\n  .lg\\:text-base {\n    font-size: 1rem;\n    line-height: 1.5rem;\n  }\n\n  .lg\\:text-lg {\n    font-size: 1.125rem;\n    line-height: 1.75rem;\n  }\n\n  .lg\\:text-xl {\n    font-size: 1.25rem;\n    line-height: 1.75rem;\n  }\n\n  .lg\\:text-2xl {\n    font-size: 1.5rem;\n    line-height: 2rem;\n  }\n\n  .lg\\:text-3xl {\n    font-size: 2rem;\n    line-height: 2.25rem;\n  }\n\n  .lg\\:text-4xl {\n    font-size: 2.25rem;\n    line-height: 2.5rem;\n  }\n\n  .lg\\:text-5xl {\n    font-size: 3rem;\n    line-height: 1;\n  }\n\n  .lg\\:text-6xl {\n    font-size: 3.75rem;\n    line-height: 1;\n  }\n\n  .lg\\:text-7xl {\n    font-size: 4.5rem;\n    line-height: 1;\n  }\n\n  .lg\\:text-8xl {\n    font-size: 6rem;\n    line-height: 1;\n  }\n\n  .lg\\:text-9xl {\n    font-size: 8rem;\n    line-height: 1;\n  }\n\n  .lg\\:text-2xs {\n    font-size: 10pt;\n    letter-spacing: -0.01em;\n  }\n\n  .lg\\:font-thin {\n    font-weight: 100;\n  }\n\n  .lg\\:font-extralight {\n    font-weight: 200;\n  }\n\n  .lg\\:font-light {\n    font-weight: 300;\n  }\n\n  .lg\\:font-normal {\n    font-weight: 400;\n  }\n\n  .lg\\:font-medium {\n    font-weight: 500;\n  }\n\n  .lg\\:font-semibold {\n    font-weight: 600;\n  }\n\n  .lg\\:font-bold {\n    font-weight: 700;\n  }\n\n  .lg\\:font-extrabold {\n    font-weight: 800;\n  }\n\n  .lg\\:font-black {\n    font-weight: 900;\n  }\n\n  .lg\\:uppercase {\n    text-transform: uppercase;\n  }\n\n  .lg\\:lowercase {\n    text-transform: lowercase;\n  }\n\n  .lg\\:capitalize {\n    text-transform: capitalize;\n  }\n\n  .lg\\:normal-case {\n    text-transform: none;\n  }\n\n  .lg\\:italic {\n    font-style: italic;\n  }\n\n  .lg\\:not-italic {\n    font-style: normal;\n  }\n\n  .lg\\:ordinal, .lg\\:slashed-zero, .lg\\:lining-nums, .lg\\:oldstyle-nums, .lg\\:proportional-nums, .lg\\:tabular-nums, .lg\\:diagonal-fractions, .lg\\:stacked-fractions {\n    --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n    --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n    font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n  }\n\n  .lg\\:normal-nums {\n    font-variant-numeric: normal;\n  }\n\n  .lg\\:ordinal {\n    --tw-ordinal: ordinal;\n  }\n\n  .lg\\:slashed-zero {\n    --tw-slashed-zero: slashed-zero;\n  }\n\n  .lg\\:lining-nums {\n    --tw-numeric-figure: lining-nums;\n  }\n\n  .lg\\:oldstyle-nums {\n    --tw-numeric-figure: oldstyle-nums;\n  }\n\n  .lg\\:proportional-nums {\n    --tw-numeric-spacing: proportional-nums;\n  }\n\n  .lg\\:tabular-nums {\n    --tw-numeric-spacing: tabular-nums;\n  }\n\n  .lg\\:diagonal-fractions {\n    --tw-numeric-fraction: diagonal-fractions;\n  }\n\n  .lg\\:stacked-fractions {\n    --tw-numeric-fraction: stacked-fractions;\n  }\n\n  .lg\\:leading-3 {\n    line-height: .75rem;\n  }\n\n  .lg\\:leading-4 {\n    line-height: 1rem;\n  }\n\n  .lg\\:leading-5 {\n    line-height: 1.25rem;\n  }\n\n  .lg\\:leading-6 {\n    line-height: 1.5rem;\n  }\n\n  .lg\\:leading-7 {\n    line-height: 1.75rem;\n  }\n\n  .lg\\:leading-8 {\n    line-height: 2rem;\n  }\n\n  .lg\\:leading-9 {\n    line-height: 2.25rem;\n  }\n\n  .lg\\:leading-10 {\n    line-height: 2.5rem;\n  }\n\n  .lg\\:leading-none {\n    line-height: 1;\n  }\n\n  .lg\\:leading-tight {\n    line-height: 1.25;\n  }\n\n  .lg\\:leading-snug {\n    line-height: 1.375;\n  }\n\n  .lg\\:leading-normal {\n    line-height: 1.5;\n  }\n\n  .lg\\:leading-relaxed {\n    line-height: 1.625;\n  }\n\n  .lg\\:leading-loose {\n    line-height: 2;\n  }\n\n  .lg\\:leading-button {\n    line-height: 3.5rem;\n  }\n\n  .lg\\:tracking-tighter {\n    letter-spacing: -0.05em;\n  }\n\n  .lg\\:tracking-tight {\n    letter-spacing: -0.025em;\n  }\n\n  .lg\\:tracking-normal {\n    letter-spacing: 0em;\n  }\n\n  .lg\\:tracking-wide {\n    letter-spacing: 0.025em;\n  }\n\n  .lg\\:tracking-wider {\n    letter-spacing: 0.05em;\n  }\n\n  .lg\\:tracking-widest {\n    letter-spacing: 0.1em;\n  }\n\n  .lg\\:text-transparent {\n    color: transparent;\n  }\n\n  .lg\\:text-current {\n    color: currentColor;\n  }\n\n  .lg\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-transparent {\n    color: transparent;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-current {\n    color: currentColor;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .lg\\:group-hover\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-transparent:focus-within {\n    color: transparent;\n  }\n\n  .lg\\:focus-within\\:text-current:focus-within {\n    color: currentColor;\n  }\n\n  .lg\\:focus-within\\:text-black:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-white:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-gray-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-red-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-yellow-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-green-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-blue-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-indigo-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-purple-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-pink-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-origin-protocol-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-origin-protocol-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-ousd-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-ousd-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-ousd-button-dark-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-ousd-button-dark-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-pink-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-pink-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-footer-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-story-pink:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus-within\\:text-link-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-transparent:hover {\n    color: transparent;\n  }\n\n  .lg\\:hover\\:text-current:hover {\n    color: currentColor;\n  }\n\n  .lg\\:hover\\:text-black:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-white:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-gray-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-red-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-yellow-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-green-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-blue-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-indigo-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-purple-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-pink-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-origin-protocol-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-origin-protocol-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-ousd-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-ousd-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-ousd-button-dark-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-ousd-button-dark-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-pink-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-pink-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-footer-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-story-pink:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:hover\\:text-link-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-transparent:focus {\n    color: transparent;\n  }\n\n  .lg\\:focus\\:text-current:focus {\n    color: currentColor;\n  }\n\n  .lg\\:focus\\:text-black:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-white:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-gray-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-red-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-yellow-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-green-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-blue-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-indigo-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-purple-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-pink-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-origin-protocol-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-origin-protocol-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-ousd-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-ousd-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-ousd-button-dark-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-ousd-button-dark-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-pink-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-pink-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-footer-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-story-pink:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .lg\\:focus\\:text-link-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .lg\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .lg\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .lg\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .lg\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .lg\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .lg\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .lg\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .lg\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .lg\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .lg\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .lg\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .lg\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .lg\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .lg\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .lg\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .group:hover .lg\\:group-hover\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .lg\\:focus-within\\:text-opacity-0:focus-within {\n    --tw-text-opacity: 0;\n  }\n\n  .lg\\:focus-within\\:text-opacity-5:focus-within {\n    --tw-text-opacity: 0.05;\n  }\n\n  .lg\\:focus-within\\:text-opacity-10:focus-within {\n    --tw-text-opacity: 0.1;\n  }\n\n  .lg\\:focus-within\\:text-opacity-20:focus-within {\n    --tw-text-opacity: 0.2;\n  }\n\n  .lg\\:focus-within\\:text-opacity-25:focus-within {\n    --tw-text-opacity: 0.25;\n  }\n\n  .lg\\:focus-within\\:text-opacity-30:focus-within {\n    --tw-text-opacity: 0.3;\n  }\n\n  .lg\\:focus-within\\:text-opacity-40:focus-within {\n    --tw-text-opacity: 0.4;\n  }\n\n  .lg\\:focus-within\\:text-opacity-50:focus-within {\n    --tw-text-opacity: 0.5;\n  }\n\n  .lg\\:focus-within\\:text-opacity-60:focus-within {\n    --tw-text-opacity: 0.6;\n  }\n\n  .lg\\:focus-within\\:text-opacity-70:focus-within {\n    --tw-text-opacity: 0.7;\n  }\n\n  .lg\\:focus-within\\:text-opacity-75:focus-within {\n    --tw-text-opacity: 0.75;\n  }\n\n  .lg\\:focus-within\\:text-opacity-80:focus-within {\n    --tw-text-opacity: 0.8;\n  }\n\n  .lg\\:focus-within\\:text-opacity-90:focus-within {\n    --tw-text-opacity: 0.9;\n  }\n\n  .lg\\:focus-within\\:text-opacity-95:focus-within {\n    --tw-text-opacity: 0.95;\n  }\n\n  .lg\\:focus-within\\:text-opacity-100:focus-within {\n    --tw-text-opacity: 1;\n  }\n\n  .lg\\:hover\\:text-opacity-0:hover {\n    --tw-text-opacity: 0;\n  }\n\n  .lg\\:hover\\:text-opacity-5:hover {\n    --tw-text-opacity: 0.05;\n  }\n\n  .lg\\:hover\\:text-opacity-10:hover {\n    --tw-text-opacity: 0.1;\n  }\n\n  .lg\\:hover\\:text-opacity-20:hover {\n    --tw-text-opacity: 0.2;\n  }\n\n  .lg\\:hover\\:text-opacity-25:hover {\n    --tw-text-opacity: 0.25;\n  }\n\n  .lg\\:hover\\:text-opacity-30:hover {\n    --tw-text-opacity: 0.3;\n  }\n\n  .lg\\:hover\\:text-opacity-40:hover {\n    --tw-text-opacity: 0.4;\n  }\n\n  .lg\\:hover\\:text-opacity-50:hover {\n    --tw-text-opacity: 0.5;\n  }\n\n  .lg\\:hover\\:text-opacity-60:hover {\n    --tw-text-opacity: 0.6;\n  }\n\n  .lg\\:hover\\:text-opacity-70:hover {\n    --tw-text-opacity: 0.7;\n  }\n\n  .lg\\:hover\\:text-opacity-75:hover {\n    --tw-text-opacity: 0.75;\n  }\n\n  .lg\\:hover\\:text-opacity-80:hover {\n    --tw-text-opacity: 0.8;\n  }\n\n  .lg\\:hover\\:text-opacity-90:hover {\n    --tw-text-opacity: 0.9;\n  }\n\n  .lg\\:hover\\:text-opacity-95:hover {\n    --tw-text-opacity: 0.95;\n  }\n\n  .lg\\:hover\\:text-opacity-100:hover {\n    --tw-text-opacity: 1;\n  }\n\n  .lg\\:focus\\:text-opacity-0:focus {\n    --tw-text-opacity: 0;\n  }\n\n  .lg\\:focus\\:text-opacity-5:focus {\n    --tw-text-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:text-opacity-10:focus {\n    --tw-text-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:text-opacity-20:focus {\n    --tw-text-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:text-opacity-25:focus {\n    --tw-text-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:text-opacity-30:focus {\n    --tw-text-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:text-opacity-40:focus {\n    --tw-text-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:text-opacity-50:focus {\n    --tw-text-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:text-opacity-60:focus {\n    --tw-text-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:text-opacity-70:focus {\n    --tw-text-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:text-opacity-75:focus {\n    --tw-text-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:text-opacity-80:focus {\n    --tw-text-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:text-opacity-90:focus {\n    --tw-text-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:text-opacity-95:focus {\n    --tw-text-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:text-opacity-100:focus {\n    --tw-text-opacity: 1;\n  }\n\n  .lg\\:underline {\n    text-decoration: underline;\n  }\n\n  .lg\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .lg\\:no-underline {\n    text-decoration: none;\n  }\n\n  .group:hover .lg\\:group-hover\\:underline {\n    text-decoration: underline;\n  }\n\n  .group:hover .lg\\:group-hover\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .group:hover .lg\\:group-hover\\:no-underline {\n    text-decoration: none;\n  }\n\n  .lg\\:focus-within\\:underline:focus-within {\n    text-decoration: underline;\n  }\n\n  .lg\\:focus-within\\:line-through:focus-within {\n    text-decoration: line-through;\n  }\n\n  .lg\\:focus-within\\:no-underline:focus-within {\n    text-decoration: none;\n  }\n\n  .lg\\:hover\\:underline:hover {\n    text-decoration: underline;\n  }\n\n  .lg\\:hover\\:line-through:hover {\n    text-decoration: line-through;\n  }\n\n  .lg\\:hover\\:no-underline:hover {\n    text-decoration: none;\n  }\n\n  .lg\\:focus\\:underline:focus {\n    text-decoration: underline;\n  }\n\n  .lg\\:focus\\:line-through:focus {\n    text-decoration: line-through;\n  }\n\n  .lg\\:focus\\:no-underline:focus {\n    text-decoration: none;\n  }\n\n  .lg\\:antialiased {\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  .lg\\:subpixel-antialiased {\n    -webkit-font-smoothing: auto;\n    -moz-osx-font-smoothing: auto;\n  }\n\n  .lg\\:placeholder-transparent::-moz-placeholder {\n    color: transparent;\n  }\n\n  .lg\\:placeholder-transparent::placeholder {\n    color: transparent;\n  }\n\n  .lg\\:placeholder-current::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .lg\\:placeholder-current::placeholder {\n    color: currentColor;\n  }\n\n  .lg\\:placeholder-black::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-black::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-white::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-white::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-gray-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-red-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-yellow-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-green-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-blue-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-indigo-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-purple-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-pink-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-origin-protocol-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-origin-protocol-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-origin-protocol-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-origin-protocol-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-dark-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-dark-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-dark-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-ousd-button-dark-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-pink-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-pink-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-pink-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-story-pink-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-footer-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-footer-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-transparent:focus::-moz-placeholder {\n    color: transparent;\n  }\n\n  .lg\\:focus\\:placeholder-transparent:focus::placeholder {\n    color: transparent;\n  }\n\n  .lg\\:focus\\:placeholder-current:focus::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .lg\\:focus\\:placeholder-current:focus::placeholder {\n    color: currentColor;\n  }\n\n  .lg\\:focus\\:placeholder-black:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-black:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-white:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-white:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-gray-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-red-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-yellow-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-green-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-blue-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-indigo-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-purple-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-pink-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-pink-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-story-pink-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-footer-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:focus\\:placeholder-footer-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .lg\\:placeholder-opacity-0::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .lg\\:placeholder-opacity-0::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .lg\\:placeholder-opacity-5::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .lg\\:placeholder-opacity-5::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .lg\\:placeholder-opacity-10::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .lg\\:placeholder-opacity-10::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .lg\\:placeholder-opacity-20::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .lg\\:placeholder-opacity-20::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .lg\\:placeholder-opacity-25::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .lg\\:placeholder-opacity-25::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .lg\\:placeholder-opacity-30::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .lg\\:placeholder-opacity-30::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .lg\\:placeholder-opacity-40::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .lg\\:placeholder-opacity-40::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .lg\\:placeholder-opacity-50::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .lg\\:placeholder-opacity-50::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .lg\\:placeholder-opacity-60::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .lg\\:placeholder-opacity-60::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .lg\\:placeholder-opacity-70::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .lg\\:placeholder-opacity-70::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .lg\\:placeholder-opacity-75::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .lg\\:placeholder-opacity-75::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .lg\\:placeholder-opacity-80::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .lg\\:placeholder-opacity-80::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .lg\\:placeholder-opacity-90::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .lg\\:placeholder-opacity-90::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .lg\\:placeholder-opacity-95::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .lg\\:placeholder-opacity-95::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .lg\\:placeholder-opacity-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .lg\\:placeholder-opacity-100::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-0:focus::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-5:focus::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-10:focus::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-20:focus::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-25:focus::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-30:focus::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-40:focus::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-50:focus::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-60:focus::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-70:focus::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-75:focus::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-80:focus::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-90:focus::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-95:focus::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .lg\\:focus\\:placeholder-opacity-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .lg\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .lg\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .lg\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .lg\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .lg\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .lg\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .lg\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .lg\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .lg\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .lg\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .lg\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .lg\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .lg\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .lg\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .lg\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .group:hover .lg\\:group-hover\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .lg\\:focus-within\\:opacity-0:focus-within {\n    opacity: 0;\n  }\n\n  .lg\\:focus-within\\:opacity-5:focus-within {\n    opacity: 0.05;\n  }\n\n  .lg\\:focus-within\\:opacity-10:focus-within {\n    opacity: 0.1;\n  }\n\n  .lg\\:focus-within\\:opacity-20:focus-within {\n    opacity: 0.2;\n  }\n\n  .lg\\:focus-within\\:opacity-25:focus-within {\n    opacity: 0.25;\n  }\n\n  .lg\\:focus-within\\:opacity-30:focus-within {\n    opacity: 0.3;\n  }\n\n  .lg\\:focus-within\\:opacity-40:focus-within {\n    opacity: 0.4;\n  }\n\n  .lg\\:focus-within\\:opacity-50:focus-within {\n    opacity: 0.5;\n  }\n\n  .lg\\:focus-within\\:opacity-60:focus-within {\n    opacity: 0.6;\n  }\n\n  .lg\\:focus-within\\:opacity-70:focus-within {\n    opacity: 0.7;\n  }\n\n  .lg\\:focus-within\\:opacity-75:focus-within {\n    opacity: 0.75;\n  }\n\n  .lg\\:focus-within\\:opacity-80:focus-within {\n    opacity: 0.8;\n  }\n\n  .lg\\:focus-within\\:opacity-90:focus-within {\n    opacity: 0.9;\n  }\n\n  .lg\\:focus-within\\:opacity-95:focus-within {\n    opacity: 0.95;\n  }\n\n  .lg\\:focus-within\\:opacity-100:focus-within {\n    opacity: 1;\n  }\n\n  .lg\\:hover\\:opacity-0:hover {\n    opacity: 0;\n  }\n\n  .lg\\:hover\\:opacity-5:hover {\n    opacity: 0.05;\n  }\n\n  .lg\\:hover\\:opacity-10:hover {\n    opacity: 0.1;\n  }\n\n  .lg\\:hover\\:opacity-20:hover {\n    opacity: 0.2;\n  }\n\n  .lg\\:hover\\:opacity-25:hover {\n    opacity: 0.25;\n  }\n\n  .lg\\:hover\\:opacity-30:hover {\n    opacity: 0.3;\n  }\n\n  .lg\\:hover\\:opacity-40:hover {\n    opacity: 0.4;\n  }\n\n  .lg\\:hover\\:opacity-50:hover {\n    opacity: 0.5;\n  }\n\n  .lg\\:hover\\:opacity-60:hover {\n    opacity: 0.6;\n  }\n\n  .lg\\:hover\\:opacity-70:hover {\n    opacity: 0.7;\n  }\n\n  .lg\\:hover\\:opacity-75:hover {\n    opacity: 0.75;\n  }\n\n  .lg\\:hover\\:opacity-80:hover {\n    opacity: 0.8;\n  }\n\n  .lg\\:hover\\:opacity-90:hover {\n    opacity: 0.9;\n  }\n\n  .lg\\:hover\\:opacity-95:hover {\n    opacity: 0.95;\n  }\n\n  .lg\\:hover\\:opacity-100:hover {\n    opacity: 1;\n  }\n\n  .lg\\:focus\\:opacity-0:focus {\n    opacity: 0;\n  }\n\n  .lg\\:focus\\:opacity-5:focus {\n    opacity: 0.05;\n  }\n\n  .lg\\:focus\\:opacity-10:focus {\n    opacity: 0.1;\n  }\n\n  .lg\\:focus\\:opacity-20:focus {\n    opacity: 0.2;\n  }\n\n  .lg\\:focus\\:opacity-25:focus {\n    opacity: 0.25;\n  }\n\n  .lg\\:focus\\:opacity-30:focus {\n    opacity: 0.3;\n  }\n\n  .lg\\:focus\\:opacity-40:focus {\n    opacity: 0.4;\n  }\n\n  .lg\\:focus\\:opacity-50:focus {\n    opacity: 0.5;\n  }\n\n  .lg\\:focus\\:opacity-60:focus {\n    opacity: 0.6;\n  }\n\n  .lg\\:focus\\:opacity-70:focus {\n    opacity: 0.7;\n  }\n\n  .lg\\:focus\\:opacity-75:focus {\n    opacity: 0.75;\n  }\n\n  .lg\\:focus\\:opacity-80:focus {\n    opacity: 0.8;\n  }\n\n  .lg\\:focus\\:opacity-90:focus {\n    opacity: 0.9;\n  }\n\n  .lg\\:focus\\:opacity-95:focus {\n    opacity: 0.95;\n  }\n\n  .lg\\:focus\\:opacity-100:focus {\n    opacity: 1;\n  }\n\n  .lg\\:bg-blend-normal {\n    background-blend-mode: normal;\n  }\n\n  .lg\\:bg-blend-multiply {\n    background-blend-mode: multiply;\n  }\n\n  .lg\\:bg-blend-screen {\n    background-blend-mode: screen;\n  }\n\n  .lg\\:bg-blend-overlay {\n    background-blend-mode: overlay;\n  }\n\n  .lg\\:bg-blend-darken {\n    background-blend-mode: darken;\n  }\n\n  .lg\\:bg-blend-lighten {\n    background-blend-mode: lighten;\n  }\n\n  .lg\\:bg-blend-color-dodge {\n    background-blend-mode: color-dodge;\n  }\n\n  .lg\\:bg-blend-color-burn {\n    background-blend-mode: color-burn;\n  }\n\n  .lg\\:bg-blend-hard-light {\n    background-blend-mode: hard-light;\n  }\n\n  .lg\\:bg-blend-soft-light {\n    background-blend-mode: soft-light;\n  }\n\n  .lg\\:bg-blend-difference {\n    background-blend-mode: difference;\n  }\n\n  .lg\\:bg-blend-exclusion {\n    background-blend-mode: exclusion;\n  }\n\n  .lg\\:bg-blend-hue {\n    background-blend-mode: hue;\n  }\n\n  .lg\\:bg-blend-saturation {\n    background-blend-mode: saturation;\n  }\n\n  .lg\\:bg-blend-color {\n    background-blend-mode: color;\n  }\n\n  .lg\\:bg-blend-luminosity {\n    background-blend-mode: luminosity;\n  }\n\n  .lg\\:mix-blend-normal {\n    mix-blend-mode: normal;\n  }\n\n  .lg\\:mix-blend-multiply {\n    mix-blend-mode: multiply;\n  }\n\n  .lg\\:mix-blend-screen {\n    mix-blend-mode: screen;\n  }\n\n  .lg\\:mix-blend-overlay {\n    mix-blend-mode: overlay;\n  }\n\n  .lg\\:mix-blend-darken {\n    mix-blend-mode: darken;\n  }\n\n  .lg\\:mix-blend-lighten {\n    mix-blend-mode: lighten;\n  }\n\n  .lg\\:mix-blend-color-dodge {\n    mix-blend-mode: color-dodge;\n  }\n\n  .lg\\:mix-blend-color-burn {\n    mix-blend-mode: color-burn;\n  }\n\n  .lg\\:mix-blend-hard-light {\n    mix-blend-mode: hard-light;\n  }\n\n  .lg\\:mix-blend-soft-light {\n    mix-blend-mode: soft-light;\n  }\n\n  .lg\\:mix-blend-difference {\n    mix-blend-mode: difference;\n  }\n\n  .lg\\:mix-blend-exclusion {\n    mix-blend-mode: exclusion;\n  }\n\n  .lg\\:mix-blend-hue {\n    mix-blend-mode: hue;\n  }\n\n  .lg\\:mix-blend-saturation {\n    mix-blend-mode: saturation;\n  }\n\n  .lg\\:mix-blend-color {\n    mix-blend-mode: color;\n  }\n\n  .lg\\:mix-blend-luminosity {\n    mix-blend-mode: luminosity;\n  }\n\n  .lg\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .lg\\:group-hover\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-sm:focus-within {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow:focus-within {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-md:focus-within {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-lg:focus-within {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-xl:focus-within {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-2xl:focus-within {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-inner:focus-within {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus-within\\:shadow-none:focus-within {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-sm:hover {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow:hover {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-md:hover {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-lg:hover {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-xl:hover {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-2xl:hover {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-inner:hover {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:hover\\:shadow-none:hover {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-sm:focus {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow:focus {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-md:focus {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-lg:focus {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-xl:focus {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-2xl:focus {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-inner:focus {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:focus\\:shadow-none:focus {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .lg\\:outline-none {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .lg\\:outline-white {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .lg\\:outline-black {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus-within\\:outline-none:focus-within {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus-within\\:outline-white:focus-within {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus-within\\:outline-black:focus-within {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus\\:outline-none:focus {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus\\:outline-white:focus {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .lg\\:focus\\:outline-black:focus {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .lg\\:ring-0 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring-1 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring-2 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring-4 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring-8 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring-0:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring-1:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring-2:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring-4:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring-8:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus-within\\:ring:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring-0:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring-1:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring-2:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring-4:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring-8:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:focus\\:ring:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .lg\\:ring-inset {\n    --tw-ring-inset: inset;\n  }\n\n  .lg\\:focus-within\\:ring-inset:focus-within {\n    --tw-ring-inset: inset;\n  }\n\n  .lg\\:focus\\:ring-inset:focus {\n    --tw-ring-inset: inset;\n  }\n\n  .lg\\:ring-transparent {\n    --tw-ring-color: transparent;\n  }\n\n  .lg\\:ring-current {\n    --tw-ring-color: currentColor;\n  }\n\n  .lg\\:ring-black {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-white {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-gray-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-red-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-yellow-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-green-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-blue-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-indigo-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-purple-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-pink-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-origin-protocol-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-origin-protocol-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-ousd-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-ousd-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-ousd-button-dark-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-ousd-button-dark-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-story-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-story-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-story-pink-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-story-pink-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-footer-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-transparent:focus-within {\n    --tw-ring-color: transparent;\n  }\n\n  .lg\\:focus-within\\:ring-current:focus-within {\n    --tw-ring-color: currentColor;\n  }\n\n  .lg\\:focus-within\\:ring-black:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-white:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-gray-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-red-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-yellow-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-green-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-blue-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-indigo-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-purple-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-pink-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-origin-protocol-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-origin-protocol-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-ousd-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-ousd-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-ousd-button-dark-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-ousd-button-dark-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-story-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-story-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-story-pink-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-story-pink-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus-within\\:ring-footer-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-transparent:focus {\n    --tw-ring-color: transparent;\n  }\n\n  .lg\\:focus\\:ring-current:focus {\n    --tw-ring-color: currentColor;\n  }\n\n  .lg\\:focus\\:ring-black:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-white:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-gray-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-red-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-yellow-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-green-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-blue-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-indigo-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-purple-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-pink-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-origin-protocol-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-origin-protocol-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-ousd-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-ousd-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-ousd-button-dark-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-ousd-button-dark-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-story-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-story-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-story-pink-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-story-pink-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .lg\\:focus\\:ring-footer-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .lg\\:ring-opacity-0 {\n    --tw-ring-opacity: 0;\n  }\n\n  .lg\\:ring-opacity-5 {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .lg\\:ring-opacity-10 {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .lg\\:ring-opacity-20 {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .lg\\:ring-opacity-25 {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .lg\\:ring-opacity-30 {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .lg\\:ring-opacity-40 {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .lg\\:ring-opacity-50 {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .lg\\:ring-opacity-60 {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .lg\\:ring-opacity-70 {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .lg\\:ring-opacity-75 {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .lg\\:ring-opacity-80 {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .lg\\:ring-opacity-90 {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .lg\\:ring-opacity-95 {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .lg\\:ring-opacity-100 {\n    --tw-ring-opacity: 1;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-0:focus-within {\n    --tw-ring-opacity: 0;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-5:focus-within {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-10:focus-within {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-20:focus-within {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-25:focus-within {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-30:focus-within {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-40:focus-within {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-50:focus-within {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-60:focus-within {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-70:focus-within {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-75:focus-within {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-80:focus-within {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-90:focus-within {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-95:focus-within {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .lg\\:focus-within\\:ring-opacity-100:focus-within {\n    --tw-ring-opacity: 1;\n  }\n\n  .lg\\:focus\\:ring-opacity-0:focus {\n    --tw-ring-opacity: 0;\n  }\n\n  .lg\\:focus\\:ring-opacity-5:focus {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .lg\\:focus\\:ring-opacity-10:focus {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .lg\\:focus\\:ring-opacity-20:focus {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .lg\\:focus\\:ring-opacity-25:focus {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .lg\\:focus\\:ring-opacity-30:focus {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .lg\\:focus\\:ring-opacity-40:focus {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .lg\\:focus\\:ring-opacity-50:focus {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .lg\\:focus\\:ring-opacity-60:focus {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .lg\\:focus\\:ring-opacity-70:focus {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .lg\\:focus\\:ring-opacity-75:focus {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .lg\\:focus\\:ring-opacity-80:focus {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .lg\\:focus\\:ring-opacity-90:focus {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .lg\\:focus\\:ring-opacity-95:focus {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .lg\\:focus\\:ring-opacity-100:focus {\n    --tw-ring-opacity: 1;\n  }\n\n  .lg\\:ring-offset-0 {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .lg\\:ring-offset-1 {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .lg\\:ring-offset-2 {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .lg\\:ring-offset-4 {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .lg\\:ring-offset-8 {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .lg\\:focus-within\\:ring-offset-0:focus-within {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .lg\\:focus-within\\:ring-offset-1:focus-within {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .lg\\:focus-within\\:ring-offset-2:focus-within {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .lg\\:focus-within\\:ring-offset-4:focus-within {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .lg\\:focus-within\\:ring-offset-8:focus-within {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .lg\\:focus\\:ring-offset-0:focus {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .lg\\:focus\\:ring-offset-1:focus {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .lg\\:focus\\:ring-offset-2:focus {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .lg\\:focus\\:ring-offset-4:focus {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .lg\\:focus\\:ring-offset-8:focus {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .lg\\:ring-offset-transparent {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .lg\\:ring-offset-current {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .lg\\:ring-offset-black {\n    --tw-ring-offset-color: #000;\n  }\n\n  .lg\\:ring-offset-white {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .lg\\:ring-offset-gray-50 {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .lg\\:ring-offset-gray-100 {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .lg\\:ring-offset-gray-200 {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .lg\\:ring-offset-gray-300 {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .lg\\:ring-offset-gray-400 {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .lg\\:ring-offset-gray-500 {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .lg\\:ring-offset-gray-600 {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .lg\\:ring-offset-gray-700 {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .lg\\:ring-offset-gray-800 {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .lg\\:ring-offset-gray-900 {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .lg\\:ring-offset-red-50 {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .lg\\:ring-offset-red-100 {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .lg\\:ring-offset-red-200 {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .lg\\:ring-offset-red-300 {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .lg\\:ring-offset-red-400 {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .lg\\:ring-offset-red-500 {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .lg\\:ring-offset-red-600 {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .lg\\:ring-offset-red-700 {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .lg\\:ring-offset-red-800 {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .lg\\:ring-offset-red-900 {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .lg\\:ring-offset-yellow-50 {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .lg\\:ring-offset-yellow-100 {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .lg\\:ring-offset-yellow-200 {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .lg\\:ring-offset-yellow-300 {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .lg\\:ring-offset-yellow-400 {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .lg\\:ring-offset-yellow-500 {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .lg\\:ring-offset-yellow-600 {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .lg\\:ring-offset-yellow-700 {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .lg\\:ring-offset-yellow-800 {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .lg\\:ring-offset-yellow-900 {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .lg\\:ring-offset-green-50 {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .lg\\:ring-offset-green-100 {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .lg\\:ring-offset-green-200 {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .lg\\:ring-offset-green-300 {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .lg\\:ring-offset-green-400 {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .lg\\:ring-offset-green-500 {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .lg\\:ring-offset-green-600 {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .lg\\:ring-offset-green-700 {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .lg\\:ring-offset-green-800 {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .lg\\:ring-offset-green-900 {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .lg\\:ring-offset-blue-50 {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .lg\\:ring-offset-blue-100 {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .lg\\:ring-offset-blue-200 {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .lg\\:ring-offset-blue-300 {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .lg\\:ring-offset-blue-400 {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .lg\\:ring-offset-blue-500 {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .lg\\:ring-offset-blue-600 {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .lg\\:ring-offset-blue-700 {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .lg\\:ring-offset-blue-800 {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .lg\\:ring-offset-blue-900 {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .lg\\:ring-offset-indigo-50 {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .lg\\:ring-offset-indigo-100 {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .lg\\:ring-offset-indigo-200 {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .lg\\:ring-offset-indigo-300 {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .lg\\:ring-offset-indigo-400 {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .lg\\:ring-offset-indigo-500 {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .lg\\:ring-offset-indigo-600 {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .lg\\:ring-offset-indigo-700 {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .lg\\:ring-offset-indigo-800 {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .lg\\:ring-offset-indigo-900 {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .lg\\:ring-offset-purple-50 {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .lg\\:ring-offset-purple-100 {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .lg\\:ring-offset-purple-200 {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .lg\\:ring-offset-purple-300 {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .lg\\:ring-offset-purple-400 {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .lg\\:ring-offset-purple-500 {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .lg\\:ring-offset-purple-600 {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .lg\\:ring-offset-purple-700 {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .lg\\:ring-offset-purple-800 {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .lg\\:ring-offset-purple-900 {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .lg\\:ring-offset-pink-50 {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .lg\\:ring-offset-pink-100 {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .lg\\:ring-offset-pink-200 {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .lg\\:ring-offset-pink-300 {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .lg\\:ring-offset-pink-400 {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .lg\\:ring-offset-pink-500 {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .lg\\:ring-offset-pink-600 {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .lg\\:ring-offset-pink-700 {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .lg\\:ring-offset-pink-800 {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .lg\\:ring-offset-pink-900 {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .lg\\:ring-offset-origin-protocol-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:ring-offset-origin-protocol-button-end {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .lg\\:ring-offset-ousd-button-start {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .lg\\:ring-offset-ousd-button-end {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .lg\\:ring-offset-ousd-button-dark-start {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .lg\\:ring-offset-ousd-button-dark-end {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .lg\\:ring-offset-story-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:ring-offset-story-button-end {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .lg\\:ring-offset-story-pink-start {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .lg\\:ring-offset-story-pink-end {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .lg\\:ring-offset-footer-end {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .lg\\:focus-within\\:ring-offset-transparent:focus-within {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .lg\\:focus-within\\:ring-offset-current:focus-within {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .lg\\:focus-within\\:ring-offset-black:focus-within {\n    --tw-ring-offset-color: #000;\n  }\n\n  .lg\\:focus-within\\:ring-offset-white:focus-within {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-50:focus-within {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-100:focus-within {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-200:focus-within {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-300:focus-within {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-400:focus-within {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-500:focus-within {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-600:focus-within {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-700:focus-within {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-800:focus-within {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .lg\\:focus-within\\:ring-offset-gray-900:focus-within {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-50:focus-within {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-100:focus-within {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-200:focus-within {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-300:focus-within {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-400:focus-within {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-500:focus-within {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-600:focus-within {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-700:focus-within {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-800:focus-within {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .lg\\:focus-within\\:ring-offset-red-900:focus-within {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-50:focus-within {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-100:focus-within {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-200:focus-within {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-300:focus-within {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-400:focus-within {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-500:focus-within {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-600:focus-within {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-700:focus-within {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-800:focus-within {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .lg\\:focus-within\\:ring-offset-yellow-900:focus-within {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-50:focus-within {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-100:focus-within {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-200:focus-within {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-300:focus-within {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-400:focus-within {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-500:focus-within {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-600:focus-within {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-700:focus-within {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-800:focus-within {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .lg\\:focus-within\\:ring-offset-green-900:focus-within {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-50:focus-within {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-100:focus-within {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-200:focus-within {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-300:focus-within {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-400:focus-within {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-500:focus-within {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-600:focus-within {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-700:focus-within {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-800:focus-within {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .lg\\:focus-within\\:ring-offset-blue-900:focus-within {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-50:focus-within {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-100:focus-within {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-200:focus-within {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-300:focus-within {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-400:focus-within {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-500:focus-within {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-600:focus-within {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-700:focus-within {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-800:focus-within {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .lg\\:focus-within\\:ring-offset-indigo-900:focus-within {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-50:focus-within {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-100:focus-within {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-200:focus-within {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-300:focus-within {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-400:focus-within {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-500:focus-within {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-600:focus-within {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-700:focus-within {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-800:focus-within {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-purple-900:focus-within {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-50:focus-within {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-100:focus-within {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-200:focus-within {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-300:focus-within {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-400:focus-within {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-500:focus-within {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-600:focus-within {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-700:focus-within {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-800:focus-within {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .lg\\:focus-within\\:ring-offset-pink-900:focus-within {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .lg\\:focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .lg\\:focus-within\\:ring-offset-ousd-button-start:focus-within {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .lg\\:focus-within\\:ring-offset-ousd-button-end:focus-within {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .lg\\:focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .lg\\:focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .lg\\:focus-within\\:ring-offset-story-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:focus-within\\:ring-offset-story-button-end:focus-within {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .lg\\:focus-within\\:ring-offset-story-pink-start:focus-within {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .lg\\:focus-within\\:ring-offset-story-pink-end:focus-within {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .lg\\:focus-within\\:ring-offset-footer-end:focus-within {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .lg\\:focus\\:ring-offset-transparent:focus {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .lg\\:focus\\:ring-offset-current:focus {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .lg\\:focus\\:ring-offset-black:focus {\n    --tw-ring-offset-color: #000;\n  }\n\n  .lg\\:focus\\:ring-offset-white:focus {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-50:focus {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-100:focus {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-200:focus {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-300:focus {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-400:focus {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-500:focus {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-600:focus {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-700:focus {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-800:focus {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .lg\\:focus\\:ring-offset-gray-900:focus {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .lg\\:focus\\:ring-offset-red-50:focus {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .lg\\:focus\\:ring-offset-red-100:focus {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .lg\\:focus\\:ring-offset-red-200:focus {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .lg\\:focus\\:ring-offset-red-300:focus {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .lg\\:focus\\:ring-offset-red-400:focus {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .lg\\:focus\\:ring-offset-red-500:focus {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .lg\\:focus\\:ring-offset-red-600:focus {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .lg\\:focus\\:ring-offset-red-700:focus {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .lg\\:focus\\:ring-offset-red-800:focus {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .lg\\:focus\\:ring-offset-red-900:focus {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-50:focus {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-100:focus {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-200:focus {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-300:focus {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-400:focus {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-500:focus {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-600:focus {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-700:focus {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-800:focus {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .lg\\:focus\\:ring-offset-yellow-900:focus {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .lg\\:focus\\:ring-offset-green-50:focus {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .lg\\:focus\\:ring-offset-green-100:focus {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .lg\\:focus\\:ring-offset-green-200:focus {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .lg\\:focus\\:ring-offset-green-300:focus {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .lg\\:focus\\:ring-offset-green-400:focus {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .lg\\:focus\\:ring-offset-green-500:focus {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .lg\\:focus\\:ring-offset-green-600:focus {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .lg\\:focus\\:ring-offset-green-700:focus {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .lg\\:focus\\:ring-offset-green-800:focus {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .lg\\:focus\\:ring-offset-green-900:focus {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-50:focus {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-100:focus {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-200:focus {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-300:focus {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-400:focus {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-500:focus {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-600:focus {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-700:focus {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-800:focus {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .lg\\:focus\\:ring-offset-blue-900:focus {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-50:focus {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-100:focus {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-200:focus {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-300:focus {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-400:focus {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-500:focus {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-600:focus {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-700:focus {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-800:focus {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .lg\\:focus\\:ring-offset-indigo-900:focus {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-50:focus {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-100:focus {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-200:focus {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-300:focus {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-400:focus {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-500:focus {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-600:focus {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-700:focus {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-800:focus {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .lg\\:focus\\:ring-offset-purple-900:focus {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-50:focus {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-100:focus {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-200:focus {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-300:focus {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-400:focus {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-500:focus {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-600:focus {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-700:focus {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-800:focus {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .lg\\:focus\\:ring-offset-pink-900:focus {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .lg\\:focus\\:ring-offset-origin-protocol-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:focus\\:ring-offset-origin-protocol-button-end:focus {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .lg\\:focus\\:ring-offset-ousd-button-start:focus {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .lg\\:focus\\:ring-offset-ousd-button-end:focus {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .lg\\:focus\\:ring-offset-ousd-button-dark-start:focus {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .lg\\:focus\\:ring-offset-ousd-button-dark-end:focus {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .lg\\:focus\\:ring-offset-story-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .lg\\:focus\\:ring-offset-story-button-end:focus {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .lg\\:focus\\:ring-offset-story-pink-start:focus {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .lg\\:focus\\:ring-offset-story-pink-end:focus {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .lg\\:focus\\:ring-offset-footer-end:focus {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .lg\\:filter {\n    --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n    --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n  }\n\n  .lg\\:filter-none {\n    filter: none;\n  }\n\n  .lg\\:blur-0 {\n    --tw-blur: blur(0);\n  }\n\n  .lg\\:blur-none {\n    --tw-blur: blur(0);\n  }\n\n  .lg\\:blur-sm {\n    --tw-blur: blur(4px);\n  }\n\n  .lg\\:blur {\n    --tw-blur: blur(8px);\n  }\n\n  .lg\\:blur-md {\n    --tw-blur: blur(12px);\n  }\n\n  .lg\\:blur-lg {\n    --tw-blur: blur(16px);\n  }\n\n  .lg\\:blur-xl {\n    --tw-blur: blur(24px);\n  }\n\n  .lg\\:blur-2xl {\n    --tw-blur: blur(40px);\n  }\n\n  .lg\\:blur-3xl {\n    --tw-blur: blur(64px);\n  }\n\n  .lg\\:brightness-0 {\n    --tw-brightness: brightness(0);\n  }\n\n  .lg\\:brightness-50 {\n    --tw-brightness: brightness(.5);\n  }\n\n  .lg\\:brightness-75 {\n    --tw-brightness: brightness(.75);\n  }\n\n  .lg\\:brightness-90 {\n    --tw-brightness: brightness(.9);\n  }\n\n  .lg\\:brightness-95 {\n    --tw-brightness: brightness(.95);\n  }\n\n  .lg\\:brightness-100 {\n    --tw-brightness: brightness(1);\n  }\n\n  .lg\\:brightness-105 {\n    --tw-brightness: brightness(1.05);\n  }\n\n  .lg\\:brightness-110 {\n    --tw-brightness: brightness(1.1);\n  }\n\n  .lg\\:brightness-125 {\n    --tw-brightness: brightness(1.25);\n  }\n\n  .lg\\:brightness-150 {\n    --tw-brightness: brightness(1.5);\n  }\n\n  .lg\\:brightness-200 {\n    --tw-brightness: brightness(2);\n  }\n\n  .lg\\:contrast-0 {\n    --tw-contrast: contrast(0);\n  }\n\n  .lg\\:contrast-50 {\n    --tw-contrast: contrast(.5);\n  }\n\n  .lg\\:contrast-75 {\n    --tw-contrast: contrast(.75);\n  }\n\n  .lg\\:contrast-100 {\n    --tw-contrast: contrast(1);\n  }\n\n  .lg\\:contrast-125 {\n    --tw-contrast: contrast(1.25);\n  }\n\n  .lg\\:contrast-150 {\n    --tw-contrast: contrast(1.5);\n  }\n\n  .lg\\:contrast-200 {\n    --tw-contrast: contrast(2);\n  }\n\n  .lg\\:drop-shadow-sm {\n    --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n  }\n\n  .lg\\:drop-shadow {\n    --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n  }\n\n  .lg\\:drop-shadow-md {\n    --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n  }\n\n  .lg\\:drop-shadow-lg {\n    --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n  }\n\n  .lg\\:drop-shadow-xl {\n    --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n  }\n\n  .lg\\:drop-shadow-2xl {\n    --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n  }\n\n  .lg\\:drop-shadow-none {\n    --tw-drop-shadow: drop-shadow(0 0 #0000);\n  }\n\n  .lg\\:grayscale-0 {\n    --tw-grayscale: grayscale(0);\n  }\n\n  .lg\\:grayscale {\n    --tw-grayscale: grayscale(100%);\n  }\n\n  .lg\\:hue-rotate-0 {\n    --tw-hue-rotate: hue-rotate(0deg);\n  }\n\n  .lg\\:hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(15deg);\n  }\n\n  .lg\\:hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(30deg);\n  }\n\n  .lg\\:hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(60deg);\n  }\n\n  .lg\\:hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(90deg);\n  }\n\n  .lg\\:hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(180deg);\n  }\n\n  .lg\\:-hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .lg\\:-hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .lg\\:-hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .lg\\:-hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .lg\\:-hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .lg\\:invert-0 {\n    --tw-invert: invert(0);\n  }\n\n  .lg\\:invert {\n    --tw-invert: invert(100%);\n  }\n\n  .lg\\:saturate-0 {\n    --tw-saturate: saturate(0);\n  }\n\n  .lg\\:saturate-50 {\n    --tw-saturate: saturate(.5);\n  }\n\n  .lg\\:saturate-100 {\n    --tw-saturate: saturate(1);\n  }\n\n  .lg\\:saturate-150 {\n    --tw-saturate: saturate(1.5);\n  }\n\n  .lg\\:saturate-200 {\n    --tw-saturate: saturate(2);\n  }\n\n  .lg\\:sepia-0 {\n    --tw-sepia: sepia(0);\n  }\n\n  .lg\\:sepia {\n    --tw-sepia: sepia(100%);\n  }\n\n  .lg\\:backdrop-filter {\n    --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n    -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n            backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n  }\n\n  .lg\\:backdrop-filter-none {\n    -webkit-backdrop-filter: none;\n            backdrop-filter: none;\n  }\n\n  .lg\\:backdrop-blur-0 {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .lg\\:backdrop-blur-none {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .lg\\:backdrop-blur-sm {\n    --tw-backdrop-blur: blur(4px);\n  }\n\n  .lg\\:backdrop-blur {\n    --tw-backdrop-blur: blur(8px);\n  }\n\n  .lg\\:backdrop-blur-md {\n    --tw-backdrop-blur: blur(12px);\n  }\n\n  .lg\\:backdrop-blur-lg {\n    --tw-backdrop-blur: blur(16px);\n  }\n\n  .lg\\:backdrop-blur-xl {\n    --tw-backdrop-blur: blur(24px);\n  }\n\n  .lg\\:backdrop-blur-2xl {\n    --tw-backdrop-blur: blur(40px);\n  }\n\n  .lg\\:backdrop-blur-3xl {\n    --tw-backdrop-blur: blur(64px);\n  }\n\n  .lg\\:backdrop-brightness-0 {\n    --tw-backdrop-brightness: brightness(0);\n  }\n\n  .lg\\:backdrop-brightness-50 {\n    --tw-backdrop-brightness: brightness(.5);\n  }\n\n  .lg\\:backdrop-brightness-75 {\n    --tw-backdrop-brightness: brightness(.75);\n  }\n\n  .lg\\:backdrop-brightness-90 {\n    --tw-backdrop-brightness: brightness(.9);\n  }\n\n  .lg\\:backdrop-brightness-95 {\n    --tw-backdrop-brightness: brightness(.95);\n  }\n\n  .lg\\:backdrop-brightness-100 {\n    --tw-backdrop-brightness: brightness(1);\n  }\n\n  .lg\\:backdrop-brightness-105 {\n    --tw-backdrop-brightness: brightness(1.05);\n  }\n\n  .lg\\:backdrop-brightness-110 {\n    --tw-backdrop-brightness: brightness(1.1);\n  }\n\n  .lg\\:backdrop-brightness-125 {\n    --tw-backdrop-brightness: brightness(1.25);\n  }\n\n  .lg\\:backdrop-brightness-150 {\n    --tw-backdrop-brightness: brightness(1.5);\n  }\n\n  .lg\\:backdrop-brightness-200 {\n    --tw-backdrop-brightness: brightness(2);\n  }\n\n  .lg\\:backdrop-contrast-0 {\n    --tw-backdrop-contrast: contrast(0);\n  }\n\n  .lg\\:backdrop-contrast-50 {\n    --tw-backdrop-contrast: contrast(.5);\n  }\n\n  .lg\\:backdrop-contrast-75 {\n    --tw-backdrop-contrast: contrast(.75);\n  }\n\n  .lg\\:backdrop-contrast-100 {\n    --tw-backdrop-contrast: contrast(1);\n  }\n\n  .lg\\:backdrop-contrast-125 {\n    --tw-backdrop-contrast: contrast(1.25);\n  }\n\n  .lg\\:backdrop-contrast-150 {\n    --tw-backdrop-contrast: contrast(1.5);\n  }\n\n  .lg\\:backdrop-contrast-200 {\n    --tw-backdrop-contrast: contrast(2);\n  }\n\n  .lg\\:backdrop-grayscale-0 {\n    --tw-backdrop-grayscale: grayscale(0);\n  }\n\n  .lg\\:backdrop-grayscale {\n    --tw-backdrop-grayscale: grayscale(100%);\n  }\n\n  .lg\\:backdrop-hue-rotate-0 {\n    --tw-backdrop-hue-rotate: hue-rotate(0deg);\n  }\n\n  .lg\\:backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(15deg);\n  }\n\n  .lg\\:backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(30deg);\n  }\n\n  .lg\\:backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(60deg);\n  }\n\n  .lg\\:backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(90deg);\n  }\n\n  .lg\\:backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(180deg);\n  }\n\n  .lg\\:-backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .lg\\:-backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .lg\\:-backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .lg\\:-backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .lg\\:-backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .lg\\:backdrop-invert-0 {\n    --tw-backdrop-invert: invert(0);\n  }\n\n  .lg\\:backdrop-invert {\n    --tw-backdrop-invert: invert(100%);\n  }\n\n  .lg\\:backdrop-opacity-0 {\n    --tw-backdrop-opacity: opacity(0);\n  }\n\n  .lg\\:backdrop-opacity-5 {\n    --tw-backdrop-opacity: opacity(0.05);\n  }\n\n  .lg\\:backdrop-opacity-10 {\n    --tw-backdrop-opacity: opacity(0.1);\n  }\n\n  .lg\\:backdrop-opacity-20 {\n    --tw-backdrop-opacity: opacity(0.2);\n  }\n\n  .lg\\:backdrop-opacity-25 {\n    --tw-backdrop-opacity: opacity(0.25);\n  }\n\n  .lg\\:backdrop-opacity-30 {\n    --tw-backdrop-opacity: opacity(0.3);\n  }\n\n  .lg\\:backdrop-opacity-40 {\n    --tw-backdrop-opacity: opacity(0.4);\n  }\n\n  .lg\\:backdrop-opacity-50 {\n    --tw-backdrop-opacity: opacity(0.5);\n  }\n\n  .lg\\:backdrop-opacity-60 {\n    --tw-backdrop-opacity: opacity(0.6);\n  }\n\n  .lg\\:backdrop-opacity-70 {\n    --tw-backdrop-opacity: opacity(0.7);\n  }\n\n  .lg\\:backdrop-opacity-75 {\n    --tw-backdrop-opacity: opacity(0.75);\n  }\n\n  .lg\\:backdrop-opacity-80 {\n    --tw-backdrop-opacity: opacity(0.8);\n  }\n\n  .lg\\:backdrop-opacity-90 {\n    --tw-backdrop-opacity: opacity(0.9);\n  }\n\n  .lg\\:backdrop-opacity-95 {\n    --tw-backdrop-opacity: opacity(0.95);\n  }\n\n  .lg\\:backdrop-opacity-100 {\n    --tw-backdrop-opacity: opacity(1);\n  }\n\n  .lg\\:backdrop-saturate-0 {\n    --tw-backdrop-saturate: saturate(0);\n  }\n\n  .lg\\:backdrop-saturate-50 {\n    --tw-backdrop-saturate: saturate(.5);\n  }\n\n  .lg\\:backdrop-saturate-100 {\n    --tw-backdrop-saturate: saturate(1);\n  }\n\n  .lg\\:backdrop-saturate-150 {\n    --tw-backdrop-saturate: saturate(1.5);\n  }\n\n  .lg\\:backdrop-saturate-200 {\n    --tw-backdrop-saturate: saturate(2);\n  }\n\n  .lg\\:backdrop-sepia-0 {\n    --tw-backdrop-sepia: sepia(0);\n  }\n\n  .lg\\:backdrop-sepia {\n    --tw-backdrop-sepia: sepia(100%);\n  }\n\n  .lg\\:transition-none {\n    transition-property: none;\n  }\n\n  .lg\\:transition-all {\n    transition-property: all;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:transition {\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:transition-colors {\n    transition-property: background-color, border-color, color, fill, stroke;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:transition-opacity {\n    transition-property: opacity;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:transition-shadow {\n    transition-property: box-shadow;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:transition-transform {\n    transition-property: transform;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .lg\\:delay-75 {\n    transition-delay: 75ms;\n  }\n\n  .lg\\:delay-100 {\n    transition-delay: 100ms;\n  }\n\n  .lg\\:delay-150 {\n    transition-delay: 150ms;\n  }\n\n  .lg\\:delay-200 {\n    transition-delay: 200ms;\n  }\n\n  .lg\\:delay-300 {\n    transition-delay: 300ms;\n  }\n\n  .lg\\:delay-500 {\n    transition-delay: 500ms;\n  }\n\n  .lg\\:delay-700 {\n    transition-delay: 700ms;\n  }\n\n  .lg\\:delay-1000 {\n    transition-delay: 1000ms;\n  }\n\n  .lg\\:duration-75 {\n    transition-duration: 75ms;\n  }\n\n  .lg\\:duration-100 {\n    transition-duration: 100ms;\n  }\n\n  .lg\\:duration-150 {\n    transition-duration: 150ms;\n  }\n\n  .lg\\:duration-200 {\n    transition-duration: 200ms;\n  }\n\n  .lg\\:duration-300 {\n    transition-duration: 300ms;\n  }\n\n  .lg\\:duration-500 {\n    transition-duration: 500ms;\n  }\n\n  .lg\\:duration-700 {\n    transition-duration: 700ms;\n  }\n\n  .lg\\:duration-1000 {\n    transition-duration: 1000ms;\n  }\n\n  .lg\\:ease-linear {\n    transition-timing-function: linear;\n  }\n\n  .lg\\:ease-in {\n    transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n  }\n\n  .lg\\:ease-out {\n    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n  }\n\n  .lg\\:ease-in-out {\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  }\n}\n\n@media (min-width: 1280px) {\n  .xl\\:container {\n    width: 100%;\n  }\n\n  @media (min-width: 640px) {\n    .xl\\:container {\n      max-width: 640px;\n    }\n  }\n\n  @media (min-width: 768px) {\n    .xl\\:container {\n      max-width: 768px;\n    }\n  }\n\n  @media (min-width: 1024px) {\n    .xl\\:container {\n      max-width: 1024px;\n    }\n  }\n\n  @media (min-width: 1280px) {\n    .xl\\:container {\n      max-width: 1280px;\n    }\n  }\n\n  @media (min-width: 1536px) {\n    .xl\\:container {\n      max-width: 1536px;\n    }\n  }\n\n  .xl\\:sr-only {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .xl\\:not-sr-only {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .xl\\:focus-within\\:sr-only:focus-within {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .xl\\:focus-within\\:not-sr-only:focus-within {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .xl\\:focus\\:sr-only:focus {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .xl\\:focus\\:not-sr-only:focus {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .xl\\:pointer-events-none {\n    pointer-events: none;\n  }\n\n  .xl\\:pointer-events-auto {\n    pointer-events: auto;\n  }\n\n  .xl\\:visible {\n    visibility: visible;\n  }\n\n  .xl\\:invisible {\n    visibility: hidden;\n  }\n\n  .xl\\:static {\n    position: static;\n  }\n\n  .xl\\:fixed {\n    position: fixed;\n  }\n\n  .xl\\:absolute {\n    position: absolute;\n  }\n\n  .xl\\:relative {\n    position: relative;\n  }\n\n  .xl\\:sticky {\n    position: sticky;\n  }\n\n  .xl\\:inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .xl\\:inset-1 {\n    top: 0.25rem;\n    right: 0.25rem;\n    bottom: 0.25rem;\n    left: 0.25rem;\n  }\n\n  .xl\\:inset-2 {\n    top: 0.5rem;\n    right: 0.5rem;\n    bottom: 0.5rem;\n    left: 0.5rem;\n  }\n\n  .xl\\:inset-3 {\n    top: 0.75rem;\n    right: 0.75rem;\n    bottom: 0.75rem;\n    left: 0.75rem;\n  }\n\n  .xl\\:inset-4 {\n    top: 1rem;\n    right: 1rem;\n    bottom: 1rem;\n    left: 1rem;\n  }\n\n  .xl\\:inset-5 {\n    top: 1.25rem;\n    right: 1.25rem;\n    bottom: 1.25rem;\n    left: 1.25rem;\n  }\n\n  .xl\\:inset-6 {\n    top: 1.5rem;\n    right: 1.5rem;\n    bottom: 1.5rem;\n    left: 1.5rem;\n  }\n\n  .xl\\:inset-7 {\n    top: 1.75rem;\n    right: 1.75rem;\n    bottom: 1.75rem;\n    left: 1.75rem;\n  }\n\n  .xl\\:inset-8 {\n    top: 2rem;\n    right: 2rem;\n    bottom: 2rem;\n    left: 2rem;\n  }\n\n  .xl\\:inset-9 {\n    top: 2.25rem;\n    right: 2.25rem;\n    bottom: 2.25rem;\n    left: 2.25rem;\n  }\n\n  .xl\\:inset-10 {\n    top: 2.5rem;\n    right: 2.5rem;\n    bottom: 2.5rem;\n    left: 2.5rem;\n  }\n\n  .xl\\:inset-11 {\n    top: 2.75rem;\n    right: 2.75rem;\n    bottom: 2.75rem;\n    left: 2.75rem;\n  }\n\n  .xl\\:inset-12 {\n    top: 3rem;\n    right: 3rem;\n    bottom: 3rem;\n    left: 3rem;\n  }\n\n  .xl\\:inset-14 {\n    top: 3.5rem;\n    right: 3.5rem;\n    bottom: 3.5rem;\n    left: 3.5rem;\n  }\n\n  .xl\\:inset-16 {\n    top: 4rem;\n    right: 4rem;\n    bottom: 4rem;\n    left: 4rem;\n  }\n\n  .xl\\:inset-20 {\n    top: 5rem;\n    right: 5rem;\n    bottom: 5rem;\n    left: 5rem;\n  }\n\n  .xl\\:inset-24 {\n    top: 6rem;\n    right: 6rem;\n    bottom: 6rem;\n    left: 6rem;\n  }\n\n  .xl\\:inset-28 {\n    top: 7rem;\n    right: 7rem;\n    bottom: 7rem;\n    left: 7rem;\n  }\n\n  .xl\\:inset-32 {\n    top: 8rem;\n    right: 8rem;\n    bottom: 8rem;\n    left: 8rem;\n  }\n\n  .xl\\:inset-36 {\n    top: 9rem;\n    right: 9rem;\n    bottom: 9rem;\n    left: 9rem;\n  }\n\n  .xl\\:inset-40 {\n    top: 10rem;\n    right: 10rem;\n    bottom: 10rem;\n    left: 10rem;\n  }\n\n  .xl\\:inset-44 {\n    top: 11rem;\n    right: 11rem;\n    bottom: 11rem;\n    left: 11rem;\n  }\n\n  .xl\\:inset-48 {\n    top: 12rem;\n    right: 12rem;\n    bottom: 12rem;\n    left: 12rem;\n  }\n\n  .xl\\:inset-52 {\n    top: 13rem;\n    right: 13rem;\n    bottom: 13rem;\n    left: 13rem;\n  }\n\n  .xl\\:inset-56 {\n    top: 14rem;\n    right: 14rem;\n    bottom: 14rem;\n    left: 14rem;\n  }\n\n  .xl\\:inset-60 {\n    top: 15rem;\n    right: 15rem;\n    bottom: 15rem;\n    left: 15rem;\n  }\n\n  .xl\\:inset-64 {\n    top: 16rem;\n    right: 16rem;\n    bottom: 16rem;\n    left: 16rem;\n  }\n\n  .xl\\:inset-72 {\n    top: 18rem;\n    right: 18rem;\n    bottom: 18rem;\n    left: 18rem;\n  }\n\n  .xl\\:inset-80 {\n    top: 20rem;\n    right: 20rem;\n    bottom: 20rem;\n    left: 20rem;\n  }\n\n  .xl\\:inset-96 {\n    top: 24rem;\n    right: 24rem;\n    bottom: 24rem;\n    left: 24rem;\n  }\n\n  .xl\\:inset-auto {\n    top: auto;\n    right: auto;\n    bottom: auto;\n    left: auto;\n  }\n\n  .xl\\:inset-px {\n    top: 1px;\n    right: 1px;\n    bottom: 1px;\n    left: 1px;\n  }\n\n  .xl\\:inset-0\\.5 {\n    top: 0.125rem;\n    right: 0.125rem;\n    bottom: 0.125rem;\n    left: 0.125rem;\n  }\n\n  .xl\\:inset-1\\.5 {\n    top: 0.375rem;\n    right: 0.375rem;\n    bottom: 0.375rem;\n    left: 0.375rem;\n  }\n\n  .xl\\:inset-2\\.5 {\n    top: 0.625rem;\n    right: 0.625rem;\n    bottom: 0.625rem;\n    left: 0.625rem;\n  }\n\n  .xl\\:inset-3\\.5 {\n    top: 0.875rem;\n    right: 0.875rem;\n    bottom: 0.875rem;\n    left: 0.875rem;\n  }\n\n  .xl\\:-inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .xl\\:-inset-1 {\n    top: -0.25rem;\n    right: -0.25rem;\n    bottom: -0.25rem;\n    left: -0.25rem;\n  }\n\n  .xl\\:-inset-2 {\n    top: -0.5rem;\n    right: -0.5rem;\n    bottom: -0.5rem;\n    left: -0.5rem;\n  }\n\n  .xl\\:-inset-3 {\n    top: -0.75rem;\n    right: -0.75rem;\n    bottom: -0.75rem;\n    left: -0.75rem;\n  }\n\n  .xl\\:-inset-4 {\n    top: -1rem;\n    right: -1rem;\n    bottom: -1rem;\n    left: -1rem;\n  }\n\n  .xl\\:-inset-5 {\n    top: -1.25rem;\n    right: -1.25rem;\n    bottom: -1.25rem;\n    left: -1.25rem;\n  }\n\n  .xl\\:-inset-6 {\n    top: -1.5rem;\n    right: -1.5rem;\n    bottom: -1.5rem;\n    left: -1.5rem;\n  }\n\n  .xl\\:-inset-7 {\n    top: -1.75rem;\n    right: -1.75rem;\n    bottom: -1.75rem;\n    left: -1.75rem;\n  }\n\n  .xl\\:-inset-8 {\n    top: -2rem;\n    right: -2rem;\n    bottom: -2rem;\n    left: -2rem;\n  }\n\n  .xl\\:-inset-9 {\n    top: -2.25rem;\n    right: -2.25rem;\n    bottom: -2.25rem;\n    left: -2.25rem;\n  }\n\n  .xl\\:-inset-10 {\n    top: -2.5rem;\n    right: -2.5rem;\n    bottom: -2.5rem;\n    left: -2.5rem;\n  }\n\n  .xl\\:-inset-11 {\n    top: -2.75rem;\n    right: -2.75rem;\n    bottom: -2.75rem;\n    left: -2.75rem;\n  }\n\n  .xl\\:-inset-12 {\n    top: -3rem;\n    right: -3rem;\n    bottom: -3rem;\n    left: -3rem;\n  }\n\n  .xl\\:-inset-14 {\n    top: -3.5rem;\n    right: -3.5rem;\n    bottom: -3.5rem;\n    left: -3.5rem;\n  }\n\n  .xl\\:-inset-16 {\n    top: -4rem;\n    right: -4rem;\n    bottom: -4rem;\n    left: -4rem;\n  }\n\n  .xl\\:-inset-20 {\n    top: -5rem;\n    right: -5rem;\n    bottom: -5rem;\n    left: -5rem;\n  }\n\n  .xl\\:-inset-24 {\n    top: -6rem;\n    right: -6rem;\n    bottom: -6rem;\n    left: -6rem;\n  }\n\n  .xl\\:-inset-28 {\n    top: -7rem;\n    right: -7rem;\n    bottom: -7rem;\n    left: -7rem;\n  }\n\n  .xl\\:-inset-32 {\n    top: -8rem;\n    right: -8rem;\n    bottom: -8rem;\n    left: -8rem;\n  }\n\n  .xl\\:-inset-36 {\n    top: -9rem;\n    right: -9rem;\n    bottom: -9rem;\n    left: -9rem;\n  }\n\n  .xl\\:-inset-40 {\n    top: -10rem;\n    right: -10rem;\n    bottom: -10rem;\n    left: -10rem;\n  }\n\n  .xl\\:-inset-44 {\n    top: -11rem;\n    right: -11rem;\n    bottom: -11rem;\n    left: -11rem;\n  }\n\n  .xl\\:-inset-48 {\n    top: -12rem;\n    right: -12rem;\n    bottom: -12rem;\n    left: -12rem;\n  }\n\n  .xl\\:-inset-52 {\n    top: -13rem;\n    right: -13rem;\n    bottom: -13rem;\n    left: -13rem;\n  }\n\n  .xl\\:-inset-56 {\n    top: -14rem;\n    right: -14rem;\n    bottom: -14rem;\n    left: -14rem;\n  }\n\n  .xl\\:-inset-60 {\n    top: -15rem;\n    right: -15rem;\n    bottom: -15rem;\n    left: -15rem;\n  }\n\n  .xl\\:-inset-64 {\n    top: -16rem;\n    right: -16rem;\n    bottom: -16rem;\n    left: -16rem;\n  }\n\n  .xl\\:-inset-72 {\n    top: -18rem;\n    right: -18rem;\n    bottom: -18rem;\n    left: -18rem;\n  }\n\n  .xl\\:-inset-80 {\n    top: -20rem;\n    right: -20rem;\n    bottom: -20rem;\n    left: -20rem;\n  }\n\n  .xl\\:-inset-96 {\n    top: -24rem;\n    right: -24rem;\n    bottom: -24rem;\n    left: -24rem;\n  }\n\n  .xl\\:-inset-px {\n    top: -1px;\n    right: -1px;\n    bottom: -1px;\n    left: -1px;\n  }\n\n  .xl\\:-inset-0\\.5 {\n    top: -0.125rem;\n    right: -0.125rem;\n    bottom: -0.125rem;\n    left: -0.125rem;\n  }\n\n  .xl\\:-inset-1\\.5 {\n    top: -0.375rem;\n    right: -0.375rem;\n    bottom: -0.375rem;\n    left: -0.375rem;\n  }\n\n  .xl\\:-inset-2\\.5 {\n    top: -0.625rem;\n    right: -0.625rem;\n    bottom: -0.625rem;\n    left: -0.625rem;\n  }\n\n  .xl\\:-inset-3\\.5 {\n    top: -0.875rem;\n    right: -0.875rem;\n    bottom: -0.875rem;\n    left: -0.875rem;\n  }\n\n  .xl\\:inset-1\\/2 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .xl\\:inset-1\\/3 {\n    top: 33.333333%;\n    right: 33.333333%;\n    bottom: 33.333333%;\n    left: 33.333333%;\n  }\n\n  .xl\\:inset-2\\/3 {\n    top: 66.666667%;\n    right: 66.666667%;\n    bottom: 66.666667%;\n    left: 66.666667%;\n  }\n\n  .xl\\:inset-1\\/4 {\n    top: 25%;\n    right: 25%;\n    bottom: 25%;\n    left: 25%;\n  }\n\n  .xl\\:inset-2\\/4 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .xl\\:inset-3\\/4 {\n    top: 75%;\n    right: 75%;\n    bottom: 75%;\n    left: 75%;\n  }\n\n  .xl\\:inset-full {\n    top: 100%;\n    right: 100%;\n    bottom: 100%;\n    left: 100%;\n  }\n\n  .xl\\:-inset-1\\/2 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .xl\\:-inset-1\\/3 {\n    top: -33.333333%;\n    right: -33.333333%;\n    bottom: -33.333333%;\n    left: -33.333333%;\n  }\n\n  .xl\\:-inset-2\\/3 {\n    top: -66.666667%;\n    right: -66.666667%;\n    bottom: -66.666667%;\n    left: -66.666667%;\n  }\n\n  .xl\\:-inset-1\\/4 {\n    top: -25%;\n    right: -25%;\n    bottom: -25%;\n    left: -25%;\n  }\n\n  .xl\\:-inset-2\\/4 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .xl\\:-inset-3\\/4 {\n    top: -75%;\n    right: -75%;\n    bottom: -75%;\n    left: -75%;\n  }\n\n  .xl\\:-inset-full {\n    top: -100%;\n    right: -100%;\n    bottom: -100%;\n    left: -100%;\n  }\n\n  .xl\\:inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .xl\\:inset-x-1 {\n    left: 0.25rem;\n    right: 0.25rem;\n  }\n\n  .xl\\:inset-x-2 {\n    left: 0.5rem;\n    right: 0.5rem;\n  }\n\n  .xl\\:inset-x-3 {\n    left: 0.75rem;\n    right: 0.75rem;\n  }\n\n  .xl\\:inset-x-4 {\n    left: 1rem;\n    right: 1rem;\n  }\n\n  .xl\\:inset-x-5 {\n    left: 1.25rem;\n    right: 1.25rem;\n  }\n\n  .xl\\:inset-x-6 {\n    left: 1.5rem;\n    right: 1.5rem;\n  }\n\n  .xl\\:inset-x-7 {\n    left: 1.75rem;\n    right: 1.75rem;\n  }\n\n  .xl\\:inset-x-8 {\n    left: 2rem;\n    right: 2rem;\n  }\n\n  .xl\\:inset-x-9 {\n    left: 2.25rem;\n    right: 2.25rem;\n  }\n\n  .xl\\:inset-x-10 {\n    left: 2.5rem;\n    right: 2.5rem;\n  }\n\n  .xl\\:inset-x-11 {\n    left: 2.75rem;\n    right: 2.75rem;\n  }\n\n  .xl\\:inset-x-12 {\n    left: 3rem;\n    right: 3rem;\n  }\n\n  .xl\\:inset-x-14 {\n    left: 3.5rem;\n    right: 3.5rem;\n  }\n\n  .xl\\:inset-x-16 {\n    left: 4rem;\n    right: 4rem;\n  }\n\n  .xl\\:inset-x-20 {\n    left: 5rem;\n    right: 5rem;\n  }\n\n  .xl\\:inset-x-24 {\n    left: 6rem;\n    right: 6rem;\n  }\n\n  .xl\\:inset-x-28 {\n    left: 7rem;\n    right: 7rem;\n  }\n\n  .xl\\:inset-x-32 {\n    left: 8rem;\n    right: 8rem;\n  }\n\n  .xl\\:inset-x-36 {\n    left: 9rem;\n    right: 9rem;\n  }\n\n  .xl\\:inset-x-40 {\n    left: 10rem;\n    right: 10rem;\n  }\n\n  .xl\\:inset-x-44 {\n    left: 11rem;\n    right: 11rem;\n  }\n\n  .xl\\:inset-x-48 {\n    left: 12rem;\n    right: 12rem;\n  }\n\n  .xl\\:inset-x-52 {\n    left: 13rem;\n    right: 13rem;\n  }\n\n  .xl\\:inset-x-56 {\n    left: 14rem;\n    right: 14rem;\n  }\n\n  .xl\\:inset-x-60 {\n    left: 15rem;\n    right: 15rem;\n  }\n\n  .xl\\:inset-x-64 {\n    left: 16rem;\n    right: 16rem;\n  }\n\n  .xl\\:inset-x-72 {\n    left: 18rem;\n    right: 18rem;\n  }\n\n  .xl\\:inset-x-80 {\n    left: 20rem;\n    right: 20rem;\n  }\n\n  .xl\\:inset-x-96 {\n    left: 24rem;\n    right: 24rem;\n  }\n\n  .xl\\:inset-x-auto {\n    left: auto;\n    right: auto;\n  }\n\n  .xl\\:inset-x-px {\n    left: 1px;\n    right: 1px;\n  }\n\n  .xl\\:inset-x-0\\.5 {\n    left: 0.125rem;\n    right: 0.125rem;\n  }\n\n  .xl\\:inset-x-1\\.5 {\n    left: 0.375rem;\n    right: 0.375rem;\n  }\n\n  .xl\\:inset-x-2\\.5 {\n    left: 0.625rem;\n    right: 0.625rem;\n  }\n\n  .xl\\:inset-x-3\\.5 {\n    left: 0.875rem;\n    right: 0.875rem;\n  }\n\n  .xl\\:-inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .xl\\:-inset-x-1 {\n    left: -0.25rem;\n    right: -0.25rem;\n  }\n\n  .xl\\:-inset-x-2 {\n    left: -0.5rem;\n    right: -0.5rem;\n  }\n\n  .xl\\:-inset-x-3 {\n    left: -0.75rem;\n    right: -0.75rem;\n  }\n\n  .xl\\:-inset-x-4 {\n    left: -1rem;\n    right: -1rem;\n  }\n\n  .xl\\:-inset-x-5 {\n    left: -1.25rem;\n    right: -1.25rem;\n  }\n\n  .xl\\:-inset-x-6 {\n    left: -1.5rem;\n    right: -1.5rem;\n  }\n\n  .xl\\:-inset-x-7 {\n    left: -1.75rem;\n    right: -1.75rem;\n  }\n\n  .xl\\:-inset-x-8 {\n    left: -2rem;\n    right: -2rem;\n  }\n\n  .xl\\:-inset-x-9 {\n    left: -2.25rem;\n    right: -2.25rem;\n  }\n\n  .xl\\:-inset-x-10 {\n    left: -2.5rem;\n    right: -2.5rem;\n  }\n\n  .xl\\:-inset-x-11 {\n    left: -2.75rem;\n    right: -2.75rem;\n  }\n\n  .xl\\:-inset-x-12 {\n    left: -3rem;\n    right: -3rem;\n  }\n\n  .xl\\:-inset-x-14 {\n    left: -3.5rem;\n    right: -3.5rem;\n  }\n\n  .xl\\:-inset-x-16 {\n    left: -4rem;\n    right: -4rem;\n  }\n\n  .xl\\:-inset-x-20 {\n    left: -5rem;\n    right: -5rem;\n  }\n\n  .xl\\:-inset-x-24 {\n    left: -6rem;\n    right: -6rem;\n  }\n\n  .xl\\:-inset-x-28 {\n    left: -7rem;\n    right: -7rem;\n  }\n\n  .xl\\:-inset-x-32 {\n    left: -8rem;\n    right: -8rem;\n  }\n\n  .xl\\:-inset-x-36 {\n    left: -9rem;\n    right: -9rem;\n  }\n\n  .xl\\:-inset-x-40 {\n    left: -10rem;\n    right: -10rem;\n  }\n\n  .xl\\:-inset-x-44 {\n    left: -11rem;\n    right: -11rem;\n  }\n\n  .xl\\:-inset-x-48 {\n    left: -12rem;\n    right: -12rem;\n  }\n\n  .xl\\:-inset-x-52 {\n    left: -13rem;\n    right: -13rem;\n  }\n\n  .xl\\:-inset-x-56 {\n    left: -14rem;\n    right: -14rem;\n  }\n\n  .xl\\:-inset-x-60 {\n    left: -15rem;\n    right: -15rem;\n  }\n\n  .xl\\:-inset-x-64 {\n    left: -16rem;\n    right: -16rem;\n  }\n\n  .xl\\:-inset-x-72 {\n    left: -18rem;\n    right: -18rem;\n  }\n\n  .xl\\:-inset-x-80 {\n    left: -20rem;\n    right: -20rem;\n  }\n\n  .xl\\:-inset-x-96 {\n    left: -24rem;\n    right: -24rem;\n  }\n\n  .xl\\:-inset-x-px {\n    left: -1px;\n    right: -1px;\n  }\n\n  .xl\\:-inset-x-0\\.5 {\n    left: -0.125rem;\n    right: -0.125rem;\n  }\n\n  .xl\\:-inset-x-1\\.5 {\n    left: -0.375rem;\n    right: -0.375rem;\n  }\n\n  .xl\\:-inset-x-2\\.5 {\n    left: -0.625rem;\n    right: -0.625rem;\n  }\n\n  .xl\\:-inset-x-3\\.5 {\n    left: -0.875rem;\n    right: -0.875rem;\n  }\n\n  .xl\\:inset-x-1\\/2 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .xl\\:inset-x-1\\/3 {\n    left: 33.333333%;\n    right: 33.333333%;\n  }\n\n  .xl\\:inset-x-2\\/3 {\n    left: 66.666667%;\n    right: 66.666667%;\n  }\n\n  .xl\\:inset-x-1\\/4 {\n    left: 25%;\n    right: 25%;\n  }\n\n  .xl\\:inset-x-2\\/4 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .xl\\:inset-x-3\\/4 {\n    left: 75%;\n    right: 75%;\n  }\n\n  .xl\\:inset-x-full {\n    left: 100%;\n    right: 100%;\n  }\n\n  .xl\\:-inset-x-1\\/2 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .xl\\:-inset-x-1\\/3 {\n    left: -33.333333%;\n    right: -33.333333%;\n  }\n\n  .xl\\:-inset-x-2\\/3 {\n    left: -66.666667%;\n    right: -66.666667%;\n  }\n\n  .xl\\:-inset-x-1\\/4 {\n    left: -25%;\n    right: -25%;\n  }\n\n  .xl\\:-inset-x-2\\/4 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .xl\\:-inset-x-3\\/4 {\n    left: -75%;\n    right: -75%;\n  }\n\n  .xl\\:-inset-x-full {\n    left: -100%;\n    right: -100%;\n  }\n\n  .xl\\:inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .xl\\:inset-y-1 {\n    top: 0.25rem;\n    bottom: 0.25rem;\n  }\n\n  .xl\\:inset-y-2 {\n    top: 0.5rem;\n    bottom: 0.5rem;\n  }\n\n  .xl\\:inset-y-3 {\n    top: 0.75rem;\n    bottom: 0.75rem;\n  }\n\n  .xl\\:inset-y-4 {\n    top: 1rem;\n    bottom: 1rem;\n  }\n\n  .xl\\:inset-y-5 {\n    top: 1.25rem;\n    bottom: 1.25rem;\n  }\n\n  .xl\\:inset-y-6 {\n    top: 1.5rem;\n    bottom: 1.5rem;\n  }\n\n  .xl\\:inset-y-7 {\n    top: 1.75rem;\n    bottom: 1.75rem;\n  }\n\n  .xl\\:inset-y-8 {\n    top: 2rem;\n    bottom: 2rem;\n  }\n\n  .xl\\:inset-y-9 {\n    top: 2.25rem;\n    bottom: 2.25rem;\n  }\n\n  .xl\\:inset-y-10 {\n    top: 2.5rem;\n    bottom: 2.5rem;\n  }\n\n  .xl\\:inset-y-11 {\n    top: 2.75rem;\n    bottom: 2.75rem;\n  }\n\n  .xl\\:inset-y-12 {\n    top: 3rem;\n    bottom: 3rem;\n  }\n\n  .xl\\:inset-y-14 {\n    top: 3.5rem;\n    bottom: 3.5rem;\n  }\n\n  .xl\\:inset-y-16 {\n    top: 4rem;\n    bottom: 4rem;\n  }\n\n  .xl\\:inset-y-20 {\n    top: 5rem;\n    bottom: 5rem;\n  }\n\n  .xl\\:inset-y-24 {\n    top: 6rem;\n    bottom: 6rem;\n  }\n\n  .xl\\:inset-y-28 {\n    top: 7rem;\n    bottom: 7rem;\n  }\n\n  .xl\\:inset-y-32 {\n    top: 8rem;\n    bottom: 8rem;\n  }\n\n  .xl\\:inset-y-36 {\n    top: 9rem;\n    bottom: 9rem;\n  }\n\n  .xl\\:inset-y-40 {\n    top: 10rem;\n    bottom: 10rem;\n  }\n\n  .xl\\:inset-y-44 {\n    top: 11rem;\n    bottom: 11rem;\n  }\n\n  .xl\\:inset-y-48 {\n    top: 12rem;\n    bottom: 12rem;\n  }\n\n  .xl\\:inset-y-52 {\n    top: 13rem;\n    bottom: 13rem;\n  }\n\n  .xl\\:inset-y-56 {\n    top: 14rem;\n    bottom: 14rem;\n  }\n\n  .xl\\:inset-y-60 {\n    top: 15rem;\n    bottom: 15rem;\n  }\n\n  .xl\\:inset-y-64 {\n    top: 16rem;\n    bottom: 16rem;\n  }\n\n  .xl\\:inset-y-72 {\n    top: 18rem;\n    bottom: 18rem;\n  }\n\n  .xl\\:inset-y-80 {\n    top: 20rem;\n    bottom: 20rem;\n  }\n\n  .xl\\:inset-y-96 {\n    top: 24rem;\n    bottom: 24rem;\n  }\n\n  .xl\\:inset-y-auto {\n    top: auto;\n    bottom: auto;\n  }\n\n  .xl\\:inset-y-px {\n    top: 1px;\n    bottom: 1px;\n  }\n\n  .xl\\:inset-y-0\\.5 {\n    top: 0.125rem;\n    bottom: 0.125rem;\n  }\n\n  .xl\\:inset-y-1\\.5 {\n    top: 0.375rem;\n    bottom: 0.375rem;\n  }\n\n  .xl\\:inset-y-2\\.5 {\n    top: 0.625rem;\n    bottom: 0.625rem;\n  }\n\n  .xl\\:inset-y-3\\.5 {\n    top: 0.875rem;\n    bottom: 0.875rem;\n  }\n\n  .xl\\:-inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .xl\\:-inset-y-1 {\n    top: -0.25rem;\n    bottom: -0.25rem;\n  }\n\n  .xl\\:-inset-y-2 {\n    top: -0.5rem;\n    bottom: -0.5rem;\n  }\n\n  .xl\\:-inset-y-3 {\n    top: -0.75rem;\n    bottom: -0.75rem;\n  }\n\n  .xl\\:-inset-y-4 {\n    top: -1rem;\n    bottom: -1rem;\n  }\n\n  .xl\\:-inset-y-5 {\n    top: -1.25rem;\n    bottom: -1.25rem;\n  }\n\n  .xl\\:-inset-y-6 {\n    top: -1.5rem;\n    bottom: -1.5rem;\n  }\n\n  .xl\\:-inset-y-7 {\n    top: -1.75rem;\n    bottom: -1.75rem;\n  }\n\n  .xl\\:-inset-y-8 {\n    top: -2rem;\n    bottom: -2rem;\n  }\n\n  .xl\\:-inset-y-9 {\n    top: -2.25rem;\n    bottom: -2.25rem;\n  }\n\n  .xl\\:-inset-y-10 {\n    top: -2.5rem;\n    bottom: -2.5rem;\n  }\n\n  .xl\\:-inset-y-11 {\n    top: -2.75rem;\n    bottom: -2.75rem;\n  }\n\n  .xl\\:-inset-y-12 {\n    top: -3rem;\n    bottom: -3rem;\n  }\n\n  .xl\\:-inset-y-14 {\n    top: -3.5rem;\n    bottom: -3.5rem;\n  }\n\n  .xl\\:-inset-y-16 {\n    top: -4rem;\n    bottom: -4rem;\n  }\n\n  .xl\\:-inset-y-20 {\n    top: -5rem;\n    bottom: -5rem;\n  }\n\n  .xl\\:-inset-y-24 {\n    top: -6rem;\n    bottom: -6rem;\n  }\n\n  .xl\\:-inset-y-28 {\n    top: -7rem;\n    bottom: -7rem;\n  }\n\n  .xl\\:-inset-y-32 {\n    top: -8rem;\n    bottom: -8rem;\n  }\n\n  .xl\\:-inset-y-36 {\n    top: -9rem;\n    bottom: -9rem;\n  }\n\n  .xl\\:-inset-y-40 {\n    top: -10rem;\n    bottom: -10rem;\n  }\n\n  .xl\\:-inset-y-44 {\n    top: -11rem;\n    bottom: -11rem;\n  }\n\n  .xl\\:-inset-y-48 {\n    top: -12rem;\n    bottom: -12rem;\n  }\n\n  .xl\\:-inset-y-52 {\n    top: -13rem;\n    bottom: -13rem;\n  }\n\n  .xl\\:-inset-y-56 {\n    top: -14rem;\n    bottom: -14rem;\n  }\n\n  .xl\\:-inset-y-60 {\n    top: -15rem;\n    bottom: -15rem;\n  }\n\n  .xl\\:-inset-y-64 {\n    top: -16rem;\n    bottom: -16rem;\n  }\n\n  .xl\\:-inset-y-72 {\n    top: -18rem;\n    bottom: -18rem;\n  }\n\n  .xl\\:-inset-y-80 {\n    top: -20rem;\n    bottom: -20rem;\n  }\n\n  .xl\\:-inset-y-96 {\n    top: -24rem;\n    bottom: -24rem;\n  }\n\n  .xl\\:-inset-y-px {\n    top: -1px;\n    bottom: -1px;\n  }\n\n  .xl\\:-inset-y-0\\.5 {\n    top: -0.125rem;\n    bottom: -0.125rem;\n  }\n\n  .xl\\:-inset-y-1\\.5 {\n    top: -0.375rem;\n    bottom: -0.375rem;\n  }\n\n  .xl\\:-inset-y-2\\.5 {\n    top: -0.625rem;\n    bottom: -0.625rem;\n  }\n\n  .xl\\:-inset-y-3\\.5 {\n    top: -0.875rem;\n    bottom: -0.875rem;\n  }\n\n  .xl\\:inset-y-1\\/2 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .xl\\:inset-y-1\\/3 {\n    top: 33.333333%;\n    bottom: 33.333333%;\n  }\n\n  .xl\\:inset-y-2\\/3 {\n    top: 66.666667%;\n    bottom: 66.666667%;\n  }\n\n  .xl\\:inset-y-1\\/4 {\n    top: 25%;\n    bottom: 25%;\n  }\n\n  .xl\\:inset-y-2\\/4 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .xl\\:inset-y-3\\/4 {\n    top: 75%;\n    bottom: 75%;\n  }\n\n  .xl\\:inset-y-full {\n    top: 100%;\n    bottom: 100%;\n  }\n\n  .xl\\:-inset-y-1\\/2 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .xl\\:-inset-y-1\\/3 {\n    top: -33.333333%;\n    bottom: -33.333333%;\n  }\n\n  .xl\\:-inset-y-2\\/3 {\n    top: -66.666667%;\n    bottom: -66.666667%;\n  }\n\n  .xl\\:-inset-y-1\\/4 {\n    top: -25%;\n    bottom: -25%;\n  }\n\n  .xl\\:-inset-y-2\\/4 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .xl\\:-inset-y-3\\/4 {\n    top: -75%;\n    bottom: -75%;\n  }\n\n  .xl\\:-inset-y-full {\n    top: -100%;\n    bottom: -100%;\n  }\n\n  .xl\\:top-0 {\n    top: 0px;\n  }\n\n  .xl\\:top-1 {\n    top: 0.25rem;\n  }\n\n  .xl\\:top-2 {\n    top: 0.5rem;\n  }\n\n  .xl\\:top-3 {\n    top: 0.75rem;\n  }\n\n  .xl\\:top-4 {\n    top: 1rem;\n  }\n\n  .xl\\:top-5 {\n    top: 1.25rem;\n  }\n\n  .xl\\:top-6 {\n    top: 1.5rem;\n  }\n\n  .xl\\:top-7 {\n    top: 1.75rem;\n  }\n\n  .xl\\:top-8 {\n    top: 2rem;\n  }\n\n  .xl\\:top-9 {\n    top: 2.25rem;\n  }\n\n  .xl\\:top-10 {\n    top: 2.5rem;\n  }\n\n  .xl\\:top-11 {\n    top: 2.75rem;\n  }\n\n  .xl\\:top-12 {\n    top: 3rem;\n  }\n\n  .xl\\:top-14 {\n    top: 3.5rem;\n  }\n\n  .xl\\:top-16 {\n    top: 4rem;\n  }\n\n  .xl\\:top-20 {\n    top: 5rem;\n  }\n\n  .xl\\:top-24 {\n    top: 6rem;\n  }\n\n  .xl\\:top-28 {\n    top: 7rem;\n  }\n\n  .xl\\:top-32 {\n    top: 8rem;\n  }\n\n  .xl\\:top-36 {\n    top: 9rem;\n  }\n\n  .xl\\:top-40 {\n    top: 10rem;\n  }\n\n  .xl\\:top-44 {\n    top: 11rem;\n  }\n\n  .xl\\:top-48 {\n    top: 12rem;\n  }\n\n  .xl\\:top-52 {\n    top: 13rem;\n  }\n\n  .xl\\:top-56 {\n    top: 14rem;\n  }\n\n  .xl\\:top-60 {\n    top: 15rem;\n  }\n\n  .xl\\:top-64 {\n    top: 16rem;\n  }\n\n  .xl\\:top-72 {\n    top: 18rem;\n  }\n\n  .xl\\:top-80 {\n    top: 20rem;\n  }\n\n  .xl\\:top-96 {\n    top: 24rem;\n  }\n\n  .xl\\:top-auto {\n    top: auto;\n  }\n\n  .xl\\:top-px {\n    top: 1px;\n  }\n\n  .xl\\:top-0\\.5 {\n    top: 0.125rem;\n  }\n\n  .xl\\:top-1\\.5 {\n    top: 0.375rem;\n  }\n\n  .xl\\:top-2\\.5 {\n    top: 0.625rem;\n  }\n\n  .xl\\:top-3\\.5 {\n    top: 0.875rem;\n  }\n\n  .xl\\:-top-0 {\n    top: 0px;\n  }\n\n  .xl\\:-top-1 {\n    top: -0.25rem;\n  }\n\n  .xl\\:-top-2 {\n    top: -0.5rem;\n  }\n\n  .xl\\:-top-3 {\n    top: -0.75rem;\n  }\n\n  .xl\\:-top-4 {\n    top: -1rem;\n  }\n\n  .xl\\:-top-5 {\n    top: -1.25rem;\n  }\n\n  .xl\\:-top-6 {\n    top: -1.5rem;\n  }\n\n  .xl\\:-top-7 {\n    top: -1.75rem;\n  }\n\n  .xl\\:-top-8 {\n    top: -2rem;\n  }\n\n  .xl\\:-top-9 {\n    top: -2.25rem;\n  }\n\n  .xl\\:-top-10 {\n    top: -2.5rem;\n  }\n\n  .xl\\:-top-11 {\n    top: -2.75rem;\n  }\n\n  .xl\\:-top-12 {\n    top: -3rem;\n  }\n\n  .xl\\:-top-14 {\n    top: -3.5rem;\n  }\n\n  .xl\\:-top-16 {\n    top: -4rem;\n  }\n\n  .xl\\:-top-20 {\n    top: -5rem;\n  }\n\n  .xl\\:-top-24 {\n    top: -6rem;\n  }\n\n  .xl\\:-top-28 {\n    top: -7rem;\n  }\n\n  .xl\\:-top-32 {\n    top: -8rem;\n  }\n\n  .xl\\:-top-36 {\n    top: -9rem;\n  }\n\n  .xl\\:-top-40 {\n    top: -10rem;\n  }\n\n  .xl\\:-top-44 {\n    top: -11rem;\n  }\n\n  .xl\\:-top-48 {\n    top: -12rem;\n  }\n\n  .xl\\:-top-52 {\n    top: -13rem;\n  }\n\n  .xl\\:-top-56 {\n    top: -14rem;\n  }\n\n  .xl\\:-top-60 {\n    top: -15rem;\n  }\n\n  .xl\\:-top-64 {\n    top: -16rem;\n  }\n\n  .xl\\:-top-72 {\n    top: -18rem;\n  }\n\n  .xl\\:-top-80 {\n    top: -20rem;\n  }\n\n  .xl\\:-top-96 {\n    top: -24rem;\n  }\n\n  .xl\\:-top-px {\n    top: -1px;\n  }\n\n  .xl\\:-top-0\\.5 {\n    top: -0.125rem;\n  }\n\n  .xl\\:-top-1\\.5 {\n    top: -0.375rem;\n  }\n\n  .xl\\:-top-2\\.5 {\n    top: -0.625rem;\n  }\n\n  .xl\\:-top-3\\.5 {\n    top: -0.875rem;\n  }\n\n  .xl\\:top-1\\/2 {\n    top: 50%;\n  }\n\n  .xl\\:top-1\\/3 {\n    top: 33.333333%;\n  }\n\n  .xl\\:top-2\\/3 {\n    top: 66.666667%;\n  }\n\n  .xl\\:top-1\\/4 {\n    top: 25%;\n  }\n\n  .xl\\:top-2\\/4 {\n    top: 50%;\n  }\n\n  .xl\\:top-3\\/4 {\n    top: 75%;\n  }\n\n  .xl\\:top-full {\n    top: 100%;\n  }\n\n  .xl\\:-top-1\\/2 {\n    top: -50%;\n  }\n\n  .xl\\:-top-1\\/3 {\n    top: -33.333333%;\n  }\n\n  .xl\\:-top-2\\/3 {\n    top: -66.666667%;\n  }\n\n  .xl\\:-top-1\\/4 {\n    top: -25%;\n  }\n\n  .xl\\:-top-2\\/4 {\n    top: -50%;\n  }\n\n  .xl\\:-top-3\\/4 {\n    top: -75%;\n  }\n\n  .xl\\:-top-full {\n    top: -100%;\n  }\n\n  .xl\\:right-0 {\n    right: 0px;\n  }\n\n  .xl\\:right-1 {\n    right: 0.25rem;\n  }\n\n  .xl\\:right-2 {\n    right: 0.5rem;\n  }\n\n  .xl\\:right-3 {\n    right: 0.75rem;\n  }\n\n  .xl\\:right-4 {\n    right: 1rem;\n  }\n\n  .xl\\:right-5 {\n    right: 1.25rem;\n  }\n\n  .xl\\:right-6 {\n    right: 1.5rem;\n  }\n\n  .xl\\:right-7 {\n    right: 1.75rem;\n  }\n\n  .xl\\:right-8 {\n    right: 2rem;\n  }\n\n  .xl\\:right-9 {\n    right: 2.25rem;\n  }\n\n  .xl\\:right-10 {\n    right: 2.5rem;\n  }\n\n  .xl\\:right-11 {\n    right: 2.75rem;\n  }\n\n  .xl\\:right-12 {\n    right: 3rem;\n  }\n\n  .xl\\:right-14 {\n    right: 3.5rem;\n  }\n\n  .xl\\:right-16 {\n    right: 4rem;\n  }\n\n  .xl\\:right-20 {\n    right: 5rem;\n  }\n\n  .xl\\:right-24 {\n    right: 6rem;\n  }\n\n  .xl\\:right-28 {\n    right: 7rem;\n  }\n\n  .xl\\:right-32 {\n    right: 8rem;\n  }\n\n  .xl\\:right-36 {\n    right: 9rem;\n  }\n\n  .xl\\:right-40 {\n    right: 10rem;\n  }\n\n  .xl\\:right-44 {\n    right: 11rem;\n  }\n\n  .xl\\:right-48 {\n    right: 12rem;\n  }\n\n  .xl\\:right-52 {\n    right: 13rem;\n  }\n\n  .xl\\:right-56 {\n    right: 14rem;\n  }\n\n  .xl\\:right-60 {\n    right: 15rem;\n  }\n\n  .xl\\:right-64 {\n    right: 16rem;\n  }\n\n  .xl\\:right-72 {\n    right: 18rem;\n  }\n\n  .xl\\:right-80 {\n    right: 20rem;\n  }\n\n  .xl\\:right-96 {\n    right: 24rem;\n  }\n\n  .xl\\:right-auto {\n    right: auto;\n  }\n\n  .xl\\:right-px {\n    right: 1px;\n  }\n\n  .xl\\:right-0\\.5 {\n    right: 0.125rem;\n  }\n\n  .xl\\:right-1\\.5 {\n    right: 0.375rem;\n  }\n\n  .xl\\:right-2\\.5 {\n    right: 0.625rem;\n  }\n\n  .xl\\:right-3\\.5 {\n    right: 0.875rem;\n  }\n\n  .xl\\:-right-0 {\n    right: 0px;\n  }\n\n  .xl\\:-right-1 {\n    right: -0.25rem;\n  }\n\n  .xl\\:-right-2 {\n    right: -0.5rem;\n  }\n\n  .xl\\:-right-3 {\n    right: -0.75rem;\n  }\n\n  .xl\\:-right-4 {\n    right: -1rem;\n  }\n\n  .xl\\:-right-5 {\n    right: -1.25rem;\n  }\n\n  .xl\\:-right-6 {\n    right: -1.5rem;\n  }\n\n  .xl\\:-right-7 {\n    right: -1.75rem;\n  }\n\n  .xl\\:-right-8 {\n    right: -2rem;\n  }\n\n  .xl\\:-right-9 {\n    right: -2.25rem;\n  }\n\n  .xl\\:-right-10 {\n    right: -2.5rem;\n  }\n\n  .xl\\:-right-11 {\n    right: -2.75rem;\n  }\n\n  .xl\\:-right-12 {\n    right: -3rem;\n  }\n\n  .xl\\:-right-14 {\n    right: -3.5rem;\n  }\n\n  .xl\\:-right-16 {\n    right: -4rem;\n  }\n\n  .xl\\:-right-20 {\n    right: -5rem;\n  }\n\n  .xl\\:-right-24 {\n    right: -6rem;\n  }\n\n  .xl\\:-right-28 {\n    right: -7rem;\n  }\n\n  .xl\\:-right-32 {\n    right: -8rem;\n  }\n\n  .xl\\:-right-36 {\n    right: -9rem;\n  }\n\n  .xl\\:-right-40 {\n    right: -10rem;\n  }\n\n  .xl\\:-right-44 {\n    right: -11rem;\n  }\n\n  .xl\\:-right-48 {\n    right: -12rem;\n  }\n\n  .xl\\:-right-52 {\n    right: -13rem;\n  }\n\n  .xl\\:-right-56 {\n    right: -14rem;\n  }\n\n  .xl\\:-right-60 {\n    right: -15rem;\n  }\n\n  .xl\\:-right-64 {\n    right: -16rem;\n  }\n\n  .xl\\:-right-72 {\n    right: -18rem;\n  }\n\n  .xl\\:-right-80 {\n    right: -20rem;\n  }\n\n  .xl\\:-right-96 {\n    right: -24rem;\n  }\n\n  .xl\\:-right-px {\n    right: -1px;\n  }\n\n  .xl\\:-right-0\\.5 {\n    right: -0.125rem;\n  }\n\n  .xl\\:-right-1\\.5 {\n    right: -0.375rem;\n  }\n\n  .xl\\:-right-2\\.5 {\n    right: -0.625rem;\n  }\n\n  .xl\\:-right-3\\.5 {\n    right: -0.875rem;\n  }\n\n  .xl\\:right-1\\/2 {\n    right: 50%;\n  }\n\n  .xl\\:right-1\\/3 {\n    right: 33.333333%;\n  }\n\n  .xl\\:right-2\\/3 {\n    right: 66.666667%;\n  }\n\n  .xl\\:right-1\\/4 {\n    right: 25%;\n  }\n\n  .xl\\:right-2\\/4 {\n    right: 50%;\n  }\n\n  .xl\\:right-3\\/4 {\n    right: 75%;\n  }\n\n  .xl\\:right-full {\n    right: 100%;\n  }\n\n  .xl\\:-right-1\\/2 {\n    right: -50%;\n  }\n\n  .xl\\:-right-1\\/3 {\n    right: -33.333333%;\n  }\n\n  .xl\\:-right-2\\/3 {\n    right: -66.666667%;\n  }\n\n  .xl\\:-right-1\\/4 {\n    right: -25%;\n  }\n\n  .xl\\:-right-2\\/4 {\n    right: -50%;\n  }\n\n  .xl\\:-right-3\\/4 {\n    right: -75%;\n  }\n\n  .xl\\:-right-full {\n    right: -100%;\n  }\n\n  .xl\\:bottom-0 {\n    bottom: 0px;\n  }\n\n  .xl\\:bottom-1 {\n    bottom: 0.25rem;\n  }\n\n  .xl\\:bottom-2 {\n    bottom: 0.5rem;\n  }\n\n  .xl\\:bottom-3 {\n    bottom: 0.75rem;\n  }\n\n  .xl\\:bottom-4 {\n    bottom: 1rem;\n  }\n\n  .xl\\:bottom-5 {\n    bottom: 1.25rem;\n  }\n\n  .xl\\:bottom-6 {\n    bottom: 1.5rem;\n  }\n\n  .xl\\:bottom-7 {\n    bottom: 1.75rem;\n  }\n\n  .xl\\:bottom-8 {\n    bottom: 2rem;\n  }\n\n  .xl\\:bottom-9 {\n    bottom: 2.25rem;\n  }\n\n  .xl\\:bottom-10 {\n    bottom: 2.5rem;\n  }\n\n  .xl\\:bottom-11 {\n    bottom: 2.75rem;\n  }\n\n  .xl\\:bottom-12 {\n    bottom: 3rem;\n  }\n\n  .xl\\:bottom-14 {\n    bottom: 3.5rem;\n  }\n\n  .xl\\:bottom-16 {\n    bottom: 4rem;\n  }\n\n  .xl\\:bottom-20 {\n    bottom: 5rem;\n  }\n\n  .xl\\:bottom-24 {\n    bottom: 6rem;\n  }\n\n  .xl\\:bottom-28 {\n    bottom: 7rem;\n  }\n\n  .xl\\:bottom-32 {\n    bottom: 8rem;\n  }\n\n  .xl\\:bottom-36 {\n    bottom: 9rem;\n  }\n\n  .xl\\:bottom-40 {\n    bottom: 10rem;\n  }\n\n  .xl\\:bottom-44 {\n    bottom: 11rem;\n  }\n\n  .xl\\:bottom-48 {\n    bottom: 12rem;\n  }\n\n  .xl\\:bottom-52 {\n    bottom: 13rem;\n  }\n\n  .xl\\:bottom-56 {\n    bottom: 14rem;\n  }\n\n  .xl\\:bottom-60 {\n    bottom: 15rem;\n  }\n\n  .xl\\:bottom-64 {\n    bottom: 16rem;\n  }\n\n  .xl\\:bottom-72 {\n    bottom: 18rem;\n  }\n\n  .xl\\:bottom-80 {\n    bottom: 20rem;\n  }\n\n  .xl\\:bottom-96 {\n    bottom: 24rem;\n  }\n\n  .xl\\:bottom-auto {\n    bottom: auto;\n  }\n\n  .xl\\:bottom-px {\n    bottom: 1px;\n  }\n\n  .xl\\:bottom-0\\.5 {\n    bottom: 0.125rem;\n  }\n\n  .xl\\:bottom-1\\.5 {\n    bottom: 0.375rem;\n  }\n\n  .xl\\:bottom-2\\.5 {\n    bottom: 0.625rem;\n  }\n\n  .xl\\:bottom-3\\.5 {\n    bottom: 0.875rem;\n  }\n\n  .xl\\:-bottom-0 {\n    bottom: 0px;\n  }\n\n  .xl\\:-bottom-1 {\n    bottom: -0.25rem;\n  }\n\n  .xl\\:-bottom-2 {\n    bottom: -0.5rem;\n  }\n\n  .xl\\:-bottom-3 {\n    bottom: -0.75rem;\n  }\n\n  .xl\\:-bottom-4 {\n    bottom: -1rem;\n  }\n\n  .xl\\:-bottom-5 {\n    bottom: -1.25rem;\n  }\n\n  .xl\\:-bottom-6 {\n    bottom: -1.5rem;\n  }\n\n  .xl\\:-bottom-7 {\n    bottom: -1.75rem;\n  }\n\n  .xl\\:-bottom-8 {\n    bottom: -2rem;\n  }\n\n  .xl\\:-bottom-9 {\n    bottom: -2.25rem;\n  }\n\n  .xl\\:-bottom-10 {\n    bottom: -2.5rem;\n  }\n\n  .xl\\:-bottom-11 {\n    bottom: -2.75rem;\n  }\n\n  .xl\\:-bottom-12 {\n    bottom: -3rem;\n  }\n\n  .xl\\:-bottom-14 {\n    bottom: -3.5rem;\n  }\n\n  .xl\\:-bottom-16 {\n    bottom: -4rem;\n  }\n\n  .xl\\:-bottom-20 {\n    bottom: -5rem;\n  }\n\n  .xl\\:-bottom-24 {\n    bottom: -6rem;\n  }\n\n  .xl\\:-bottom-28 {\n    bottom: -7rem;\n  }\n\n  .xl\\:-bottom-32 {\n    bottom: -8rem;\n  }\n\n  .xl\\:-bottom-36 {\n    bottom: -9rem;\n  }\n\n  .xl\\:-bottom-40 {\n    bottom: -10rem;\n  }\n\n  .xl\\:-bottom-44 {\n    bottom: -11rem;\n  }\n\n  .xl\\:-bottom-48 {\n    bottom: -12rem;\n  }\n\n  .xl\\:-bottom-52 {\n    bottom: -13rem;\n  }\n\n  .xl\\:-bottom-56 {\n    bottom: -14rem;\n  }\n\n  .xl\\:-bottom-60 {\n    bottom: -15rem;\n  }\n\n  .xl\\:-bottom-64 {\n    bottom: -16rem;\n  }\n\n  .xl\\:-bottom-72 {\n    bottom: -18rem;\n  }\n\n  .xl\\:-bottom-80 {\n    bottom: -20rem;\n  }\n\n  .xl\\:-bottom-96 {\n    bottom: -24rem;\n  }\n\n  .xl\\:-bottom-px {\n    bottom: -1px;\n  }\n\n  .xl\\:-bottom-0\\.5 {\n    bottom: -0.125rem;\n  }\n\n  .xl\\:-bottom-1\\.5 {\n    bottom: -0.375rem;\n  }\n\n  .xl\\:-bottom-2\\.5 {\n    bottom: -0.625rem;\n  }\n\n  .xl\\:-bottom-3\\.5 {\n    bottom: -0.875rem;\n  }\n\n  .xl\\:bottom-1\\/2 {\n    bottom: 50%;\n  }\n\n  .xl\\:bottom-1\\/3 {\n    bottom: 33.333333%;\n  }\n\n  .xl\\:bottom-2\\/3 {\n    bottom: 66.666667%;\n  }\n\n  .xl\\:bottom-1\\/4 {\n    bottom: 25%;\n  }\n\n  .xl\\:bottom-2\\/4 {\n    bottom: 50%;\n  }\n\n  .xl\\:bottom-3\\/4 {\n    bottom: 75%;\n  }\n\n  .xl\\:bottom-full {\n    bottom: 100%;\n  }\n\n  .xl\\:-bottom-1\\/2 {\n    bottom: -50%;\n  }\n\n  .xl\\:-bottom-1\\/3 {\n    bottom: -33.333333%;\n  }\n\n  .xl\\:-bottom-2\\/3 {\n    bottom: -66.666667%;\n  }\n\n  .xl\\:-bottom-1\\/4 {\n    bottom: -25%;\n  }\n\n  .xl\\:-bottom-2\\/4 {\n    bottom: -50%;\n  }\n\n  .xl\\:-bottom-3\\/4 {\n    bottom: -75%;\n  }\n\n  .xl\\:-bottom-full {\n    bottom: -100%;\n  }\n\n  .xl\\:left-0 {\n    left: 0px;\n  }\n\n  .xl\\:left-1 {\n    left: 0.25rem;\n  }\n\n  .xl\\:left-2 {\n    left: 0.5rem;\n  }\n\n  .xl\\:left-3 {\n    left: 0.75rem;\n  }\n\n  .xl\\:left-4 {\n    left: 1rem;\n  }\n\n  .xl\\:left-5 {\n    left: 1.25rem;\n  }\n\n  .xl\\:left-6 {\n    left: 1.5rem;\n  }\n\n  .xl\\:left-7 {\n    left: 1.75rem;\n  }\n\n  .xl\\:left-8 {\n    left: 2rem;\n  }\n\n  .xl\\:left-9 {\n    left: 2.25rem;\n  }\n\n  .xl\\:left-10 {\n    left: 2.5rem;\n  }\n\n  .xl\\:left-11 {\n    left: 2.75rem;\n  }\n\n  .xl\\:left-12 {\n    left: 3rem;\n  }\n\n  .xl\\:left-14 {\n    left: 3.5rem;\n  }\n\n  .xl\\:left-16 {\n    left: 4rem;\n  }\n\n  .xl\\:left-20 {\n    left: 5rem;\n  }\n\n  .xl\\:left-24 {\n    left: 6rem;\n  }\n\n  .xl\\:left-28 {\n    left: 7rem;\n  }\n\n  .xl\\:left-32 {\n    left: 8rem;\n  }\n\n  .xl\\:left-36 {\n    left: 9rem;\n  }\n\n  .xl\\:left-40 {\n    left: 10rem;\n  }\n\n  .xl\\:left-44 {\n    left: 11rem;\n  }\n\n  .xl\\:left-48 {\n    left: 12rem;\n  }\n\n  .xl\\:left-52 {\n    left: 13rem;\n  }\n\n  .xl\\:left-56 {\n    left: 14rem;\n  }\n\n  .xl\\:left-60 {\n    left: 15rem;\n  }\n\n  .xl\\:left-64 {\n    left: 16rem;\n  }\n\n  .xl\\:left-72 {\n    left: 18rem;\n  }\n\n  .xl\\:left-80 {\n    left: 20rem;\n  }\n\n  .xl\\:left-96 {\n    left: 24rem;\n  }\n\n  .xl\\:left-auto {\n    left: auto;\n  }\n\n  .xl\\:left-px {\n    left: 1px;\n  }\n\n  .xl\\:left-0\\.5 {\n    left: 0.125rem;\n  }\n\n  .xl\\:left-1\\.5 {\n    left: 0.375rem;\n  }\n\n  .xl\\:left-2\\.5 {\n    left: 0.625rem;\n  }\n\n  .xl\\:left-3\\.5 {\n    left: 0.875rem;\n  }\n\n  .xl\\:-left-0 {\n    left: 0px;\n  }\n\n  .xl\\:-left-1 {\n    left: -0.25rem;\n  }\n\n  .xl\\:-left-2 {\n    left: -0.5rem;\n  }\n\n  .xl\\:-left-3 {\n    left: -0.75rem;\n  }\n\n  .xl\\:-left-4 {\n    left: -1rem;\n  }\n\n  .xl\\:-left-5 {\n    left: -1.25rem;\n  }\n\n  .xl\\:-left-6 {\n    left: -1.5rem;\n  }\n\n  .xl\\:-left-7 {\n    left: -1.75rem;\n  }\n\n  .xl\\:-left-8 {\n    left: -2rem;\n  }\n\n  .xl\\:-left-9 {\n    left: -2.25rem;\n  }\n\n  .xl\\:-left-10 {\n    left: -2.5rem;\n  }\n\n  .xl\\:-left-11 {\n    left: -2.75rem;\n  }\n\n  .xl\\:-left-12 {\n    left: -3rem;\n  }\n\n  .xl\\:-left-14 {\n    left: -3.5rem;\n  }\n\n  .xl\\:-left-16 {\n    left: -4rem;\n  }\n\n  .xl\\:-left-20 {\n    left: -5rem;\n  }\n\n  .xl\\:-left-24 {\n    left: -6rem;\n  }\n\n  .xl\\:-left-28 {\n    left: -7rem;\n  }\n\n  .xl\\:-left-32 {\n    left: -8rem;\n  }\n\n  .xl\\:-left-36 {\n    left: -9rem;\n  }\n\n  .xl\\:-left-40 {\n    left: -10rem;\n  }\n\n  .xl\\:-left-44 {\n    left: -11rem;\n  }\n\n  .xl\\:-left-48 {\n    left: -12rem;\n  }\n\n  .xl\\:-left-52 {\n    left: -13rem;\n  }\n\n  .xl\\:-left-56 {\n    left: -14rem;\n  }\n\n  .xl\\:-left-60 {\n    left: -15rem;\n  }\n\n  .xl\\:-left-64 {\n    left: -16rem;\n  }\n\n  .xl\\:-left-72 {\n    left: -18rem;\n  }\n\n  .xl\\:-left-80 {\n    left: -20rem;\n  }\n\n  .xl\\:-left-96 {\n    left: -24rem;\n  }\n\n  .xl\\:-left-px {\n    left: -1px;\n  }\n\n  .xl\\:-left-0\\.5 {\n    left: -0.125rem;\n  }\n\n  .xl\\:-left-1\\.5 {\n    left: -0.375rem;\n  }\n\n  .xl\\:-left-2\\.5 {\n    left: -0.625rem;\n  }\n\n  .xl\\:-left-3\\.5 {\n    left: -0.875rem;\n  }\n\n  .xl\\:left-1\\/2 {\n    left: 50%;\n  }\n\n  .xl\\:left-1\\/3 {\n    left: 33.333333%;\n  }\n\n  .xl\\:left-2\\/3 {\n    left: 66.666667%;\n  }\n\n  .xl\\:left-1\\/4 {\n    left: 25%;\n  }\n\n  .xl\\:left-2\\/4 {\n    left: 50%;\n  }\n\n  .xl\\:left-3\\/4 {\n    left: 75%;\n  }\n\n  .xl\\:left-full {\n    left: 100%;\n  }\n\n  .xl\\:-left-1\\/2 {\n    left: -50%;\n  }\n\n  .xl\\:-left-1\\/3 {\n    left: -33.333333%;\n  }\n\n  .xl\\:-left-2\\/3 {\n    left: -66.666667%;\n  }\n\n  .xl\\:-left-1\\/4 {\n    left: -25%;\n  }\n\n  .xl\\:-left-2\\/4 {\n    left: -50%;\n  }\n\n  .xl\\:-left-3\\/4 {\n    left: -75%;\n  }\n\n  .xl\\:-left-full {\n    left: -100%;\n  }\n\n  .xl\\:isolate {\n    isolation: isolate;\n  }\n\n  .xl\\:isolation-auto {\n    isolation: auto;\n  }\n\n  .xl\\:z-0 {\n    z-index: 0;\n  }\n\n  .xl\\:z-10 {\n    z-index: 10;\n  }\n\n  .xl\\:z-20 {\n    z-index: 20;\n  }\n\n  .xl\\:z-30 {\n    z-index: 30;\n  }\n\n  .xl\\:z-40 {\n    z-index: 40;\n  }\n\n  .xl\\:z-50 {\n    z-index: 50;\n  }\n\n  .xl\\:z-auto {\n    z-index: auto;\n  }\n\n  .xl\\:focus-within\\:z-0:focus-within {\n    z-index: 0;\n  }\n\n  .xl\\:focus-within\\:z-10:focus-within {\n    z-index: 10;\n  }\n\n  .xl\\:focus-within\\:z-20:focus-within {\n    z-index: 20;\n  }\n\n  .xl\\:focus-within\\:z-30:focus-within {\n    z-index: 30;\n  }\n\n  .xl\\:focus-within\\:z-40:focus-within {\n    z-index: 40;\n  }\n\n  .xl\\:focus-within\\:z-50:focus-within {\n    z-index: 50;\n  }\n\n  .xl\\:focus-within\\:z-auto:focus-within {\n    z-index: auto;\n  }\n\n  .xl\\:focus\\:z-0:focus {\n    z-index: 0;\n  }\n\n  .xl\\:focus\\:z-10:focus {\n    z-index: 10;\n  }\n\n  .xl\\:focus\\:z-20:focus {\n    z-index: 20;\n  }\n\n  .xl\\:focus\\:z-30:focus {\n    z-index: 30;\n  }\n\n  .xl\\:focus\\:z-40:focus {\n    z-index: 40;\n  }\n\n  .xl\\:focus\\:z-50:focus {\n    z-index: 50;\n  }\n\n  .xl\\:focus\\:z-auto:focus {\n    z-index: auto;\n  }\n\n  .xl\\:order-1 {\n    order: 1;\n  }\n\n  .xl\\:order-2 {\n    order: 2;\n  }\n\n  .xl\\:order-3 {\n    order: 3;\n  }\n\n  .xl\\:order-4 {\n    order: 4;\n  }\n\n  .xl\\:order-5 {\n    order: 5;\n  }\n\n  .xl\\:order-6 {\n    order: 6;\n  }\n\n  .xl\\:order-7 {\n    order: 7;\n  }\n\n  .xl\\:order-8 {\n    order: 8;\n  }\n\n  .xl\\:order-9 {\n    order: 9;\n  }\n\n  .xl\\:order-10 {\n    order: 10;\n  }\n\n  .xl\\:order-11 {\n    order: 11;\n  }\n\n  .xl\\:order-12 {\n    order: 12;\n  }\n\n  .xl\\:order-first {\n    order: -9999;\n  }\n\n  .xl\\:order-last {\n    order: 9999;\n  }\n\n  .xl\\:order-none {\n    order: 0;\n  }\n\n  .xl\\:col-auto {\n    grid-column: auto;\n  }\n\n  .xl\\:col-span-1 {\n    grid-column: span 1 / span 1;\n  }\n\n  .xl\\:col-span-2 {\n    grid-column: span 2 / span 2;\n  }\n\n  .xl\\:col-span-3 {\n    grid-column: span 3 / span 3;\n  }\n\n  .xl\\:col-span-4 {\n    grid-column: span 4 / span 4;\n  }\n\n  .xl\\:col-span-5 {\n    grid-column: span 5 / span 5;\n  }\n\n  .xl\\:col-span-6 {\n    grid-column: span 6 / span 6;\n  }\n\n  .xl\\:col-span-7 {\n    grid-column: span 7 / span 7;\n  }\n\n  .xl\\:col-span-8 {\n    grid-column: span 8 / span 8;\n  }\n\n  .xl\\:col-span-9 {\n    grid-column: span 9 / span 9;\n  }\n\n  .xl\\:col-span-10 {\n    grid-column: span 10 / span 10;\n  }\n\n  .xl\\:col-span-11 {\n    grid-column: span 11 / span 11;\n  }\n\n  .xl\\:col-span-12 {\n    grid-column: span 12 / span 12;\n  }\n\n  .xl\\:col-span-full {\n    grid-column: 1 / -1;\n  }\n\n  .xl\\:col-start-1 {\n    grid-column-start: 1;\n  }\n\n  .xl\\:col-start-2 {\n    grid-column-start: 2;\n  }\n\n  .xl\\:col-start-3 {\n    grid-column-start: 3;\n  }\n\n  .xl\\:col-start-4 {\n    grid-column-start: 4;\n  }\n\n  .xl\\:col-start-5 {\n    grid-column-start: 5;\n  }\n\n  .xl\\:col-start-6 {\n    grid-column-start: 6;\n  }\n\n  .xl\\:col-start-7 {\n    grid-column-start: 7;\n  }\n\n  .xl\\:col-start-8 {\n    grid-column-start: 8;\n  }\n\n  .xl\\:col-start-9 {\n    grid-column-start: 9;\n  }\n\n  .xl\\:col-start-10 {\n    grid-column-start: 10;\n  }\n\n  .xl\\:col-start-11 {\n    grid-column-start: 11;\n  }\n\n  .xl\\:col-start-12 {\n    grid-column-start: 12;\n  }\n\n  .xl\\:col-start-13 {\n    grid-column-start: 13;\n  }\n\n  .xl\\:col-start-auto {\n    grid-column-start: auto;\n  }\n\n  .xl\\:col-end-1 {\n    grid-column-end: 1;\n  }\n\n  .xl\\:col-end-2 {\n    grid-column-end: 2;\n  }\n\n  .xl\\:col-end-3 {\n    grid-column-end: 3;\n  }\n\n  .xl\\:col-end-4 {\n    grid-column-end: 4;\n  }\n\n  .xl\\:col-end-5 {\n    grid-column-end: 5;\n  }\n\n  .xl\\:col-end-6 {\n    grid-column-end: 6;\n  }\n\n  .xl\\:col-end-7 {\n    grid-column-end: 7;\n  }\n\n  .xl\\:col-end-8 {\n    grid-column-end: 8;\n  }\n\n  .xl\\:col-end-9 {\n    grid-column-end: 9;\n  }\n\n  .xl\\:col-end-10 {\n    grid-column-end: 10;\n  }\n\n  .xl\\:col-end-11 {\n    grid-column-end: 11;\n  }\n\n  .xl\\:col-end-12 {\n    grid-column-end: 12;\n  }\n\n  .xl\\:col-end-13 {\n    grid-column-end: 13;\n  }\n\n  .xl\\:col-end-auto {\n    grid-column-end: auto;\n  }\n\n  .xl\\:row-auto {\n    grid-row: auto;\n  }\n\n  .xl\\:row-span-1 {\n    grid-row: span 1 / span 1;\n  }\n\n  .xl\\:row-span-2 {\n    grid-row: span 2 / span 2;\n  }\n\n  .xl\\:row-span-3 {\n    grid-row: span 3 / span 3;\n  }\n\n  .xl\\:row-span-4 {\n    grid-row: span 4 / span 4;\n  }\n\n  .xl\\:row-span-5 {\n    grid-row: span 5 / span 5;\n  }\n\n  .xl\\:row-span-6 {\n    grid-row: span 6 / span 6;\n  }\n\n  .xl\\:row-span-full {\n    grid-row: 1 / -1;\n  }\n\n  .xl\\:row-start-1 {\n    grid-row-start: 1;\n  }\n\n  .xl\\:row-start-2 {\n    grid-row-start: 2;\n  }\n\n  .xl\\:row-start-3 {\n    grid-row-start: 3;\n  }\n\n  .xl\\:row-start-4 {\n    grid-row-start: 4;\n  }\n\n  .xl\\:row-start-5 {\n    grid-row-start: 5;\n  }\n\n  .xl\\:row-start-6 {\n    grid-row-start: 6;\n  }\n\n  .xl\\:row-start-7 {\n    grid-row-start: 7;\n  }\n\n  .xl\\:row-start-auto {\n    grid-row-start: auto;\n  }\n\n  .xl\\:row-end-1 {\n    grid-row-end: 1;\n  }\n\n  .xl\\:row-end-2 {\n    grid-row-end: 2;\n  }\n\n  .xl\\:row-end-3 {\n    grid-row-end: 3;\n  }\n\n  .xl\\:row-end-4 {\n    grid-row-end: 4;\n  }\n\n  .xl\\:row-end-5 {\n    grid-row-end: 5;\n  }\n\n  .xl\\:row-end-6 {\n    grid-row-end: 6;\n  }\n\n  .xl\\:row-end-7 {\n    grid-row-end: 7;\n  }\n\n  .xl\\:row-end-auto {\n    grid-row-end: auto;\n  }\n\n  .xl\\:float-right {\n    float: right;\n  }\n\n  .xl\\:float-left {\n    float: left;\n  }\n\n  .xl\\:float-none {\n    float: none;\n  }\n\n  .xl\\:clear-left {\n    clear: left;\n  }\n\n  .xl\\:clear-right {\n    clear: right;\n  }\n\n  .xl\\:clear-both {\n    clear: both;\n  }\n\n  .xl\\:clear-none {\n    clear: none;\n  }\n\n  .xl\\:m-0 {\n    margin: 0px;\n  }\n\n  .xl\\:m-1 {\n    margin: 0.25rem;\n  }\n\n  .xl\\:m-2 {\n    margin: 0.5rem;\n  }\n\n  .xl\\:m-3 {\n    margin: 0.75rem;\n  }\n\n  .xl\\:m-4 {\n    margin: 1rem;\n  }\n\n  .xl\\:m-5 {\n    margin: 1.25rem;\n  }\n\n  .xl\\:m-6 {\n    margin: 1.5rem;\n  }\n\n  .xl\\:m-7 {\n    margin: 1.75rem;\n  }\n\n  .xl\\:m-8 {\n    margin: 2rem;\n  }\n\n  .xl\\:m-9 {\n    margin: 2.25rem;\n  }\n\n  .xl\\:m-10 {\n    margin: 2.5rem;\n  }\n\n  .xl\\:m-11 {\n    margin: 2.75rem;\n  }\n\n  .xl\\:m-12 {\n    margin: 3rem;\n  }\n\n  .xl\\:m-14 {\n    margin: 3.5rem;\n  }\n\n  .xl\\:m-16 {\n    margin: 4rem;\n  }\n\n  .xl\\:m-20 {\n    margin: 5rem;\n  }\n\n  .xl\\:m-24 {\n    margin: 6rem;\n  }\n\n  .xl\\:m-28 {\n    margin: 7rem;\n  }\n\n  .xl\\:m-32 {\n    margin: 8rem;\n  }\n\n  .xl\\:m-36 {\n    margin: 9rem;\n  }\n\n  .xl\\:m-40 {\n    margin: 10rem;\n  }\n\n  .xl\\:m-44 {\n    margin: 11rem;\n  }\n\n  .xl\\:m-48 {\n    margin: 12rem;\n  }\n\n  .xl\\:m-52 {\n    margin: 13rem;\n  }\n\n  .xl\\:m-56 {\n    margin: 14rem;\n  }\n\n  .xl\\:m-60 {\n    margin: 15rem;\n  }\n\n  .xl\\:m-64 {\n    margin: 16rem;\n  }\n\n  .xl\\:m-72 {\n    margin: 18rem;\n  }\n\n  .xl\\:m-80 {\n    margin: 20rem;\n  }\n\n  .xl\\:m-96 {\n    margin: 24rem;\n  }\n\n  .xl\\:m-auto {\n    margin: auto;\n  }\n\n  .xl\\:m-px {\n    margin: 1px;\n  }\n\n  .xl\\:m-0\\.5 {\n    margin: 0.125rem;\n  }\n\n  .xl\\:m-1\\.5 {\n    margin: 0.375rem;\n  }\n\n  .xl\\:m-2\\.5 {\n    margin: 0.625rem;\n  }\n\n  .xl\\:m-3\\.5 {\n    margin: 0.875rem;\n  }\n\n  .xl\\:-m-0 {\n    margin: 0px;\n  }\n\n  .xl\\:-m-1 {\n    margin: -0.25rem;\n  }\n\n  .xl\\:-m-2 {\n    margin: -0.5rem;\n  }\n\n  .xl\\:-m-3 {\n    margin: -0.75rem;\n  }\n\n  .xl\\:-m-4 {\n    margin: -1rem;\n  }\n\n  .xl\\:-m-5 {\n    margin: -1.25rem;\n  }\n\n  .xl\\:-m-6 {\n    margin: -1.5rem;\n  }\n\n  .xl\\:-m-7 {\n    margin: -1.75rem;\n  }\n\n  .xl\\:-m-8 {\n    margin: -2rem;\n  }\n\n  .xl\\:-m-9 {\n    margin: -2.25rem;\n  }\n\n  .xl\\:-m-10 {\n    margin: -2.5rem;\n  }\n\n  .xl\\:-m-11 {\n    margin: -2.75rem;\n  }\n\n  .xl\\:-m-12 {\n    margin: -3rem;\n  }\n\n  .xl\\:-m-14 {\n    margin: -3.5rem;\n  }\n\n  .xl\\:-m-16 {\n    margin: -4rem;\n  }\n\n  .xl\\:-m-20 {\n    margin: -5rem;\n  }\n\n  .xl\\:-m-24 {\n    margin: -6rem;\n  }\n\n  .xl\\:-m-28 {\n    margin: -7rem;\n  }\n\n  .xl\\:-m-32 {\n    margin: -8rem;\n  }\n\n  .xl\\:-m-36 {\n    margin: -9rem;\n  }\n\n  .xl\\:-m-40 {\n    margin: -10rem;\n  }\n\n  .xl\\:-m-44 {\n    margin: -11rem;\n  }\n\n  .xl\\:-m-48 {\n    margin: -12rem;\n  }\n\n  .xl\\:-m-52 {\n    margin: -13rem;\n  }\n\n  .xl\\:-m-56 {\n    margin: -14rem;\n  }\n\n  .xl\\:-m-60 {\n    margin: -15rem;\n  }\n\n  .xl\\:-m-64 {\n    margin: -16rem;\n  }\n\n  .xl\\:-m-72 {\n    margin: -18rem;\n  }\n\n  .xl\\:-m-80 {\n    margin: -20rem;\n  }\n\n  .xl\\:-m-96 {\n    margin: -24rem;\n  }\n\n  .xl\\:-m-px {\n    margin: -1px;\n  }\n\n  .xl\\:-m-0\\.5 {\n    margin: -0.125rem;\n  }\n\n  .xl\\:-m-1\\.5 {\n    margin: -0.375rem;\n  }\n\n  .xl\\:-m-2\\.5 {\n    margin: -0.625rem;\n  }\n\n  .xl\\:-m-3\\.5 {\n    margin: -0.875rem;\n  }\n\n  .xl\\:mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .xl\\:mx-1 {\n    margin-left: 0.25rem;\n    margin-right: 0.25rem;\n  }\n\n  .xl\\:mx-2 {\n    margin-left: 0.5rem;\n    margin-right: 0.5rem;\n  }\n\n  .xl\\:mx-3 {\n    margin-left: 0.75rem;\n    margin-right: 0.75rem;\n  }\n\n  .xl\\:mx-4 {\n    margin-left: 1rem;\n    margin-right: 1rem;\n  }\n\n  .xl\\:mx-5 {\n    margin-left: 1.25rem;\n    margin-right: 1.25rem;\n  }\n\n  .xl\\:mx-6 {\n    margin-left: 1.5rem;\n    margin-right: 1.5rem;\n  }\n\n  .xl\\:mx-7 {\n    margin-left: 1.75rem;\n    margin-right: 1.75rem;\n  }\n\n  .xl\\:mx-8 {\n    margin-left: 2rem;\n    margin-right: 2rem;\n  }\n\n  .xl\\:mx-9 {\n    margin-left: 2.25rem;\n    margin-right: 2.25rem;\n  }\n\n  .xl\\:mx-10 {\n    margin-left: 2.5rem;\n    margin-right: 2.5rem;\n  }\n\n  .xl\\:mx-11 {\n    margin-left: 2.75rem;\n    margin-right: 2.75rem;\n  }\n\n  .xl\\:mx-12 {\n    margin-left: 3rem;\n    margin-right: 3rem;\n  }\n\n  .xl\\:mx-14 {\n    margin-left: 3.5rem;\n    margin-right: 3.5rem;\n  }\n\n  .xl\\:mx-16 {\n    margin-left: 4rem;\n    margin-right: 4rem;\n  }\n\n  .xl\\:mx-20 {\n    margin-left: 5rem;\n    margin-right: 5rem;\n  }\n\n  .xl\\:mx-24 {\n    margin-left: 6rem;\n    margin-right: 6rem;\n  }\n\n  .xl\\:mx-28 {\n    margin-left: 7rem;\n    margin-right: 7rem;\n  }\n\n  .xl\\:mx-32 {\n    margin-left: 8rem;\n    margin-right: 8rem;\n  }\n\n  .xl\\:mx-36 {\n    margin-left: 9rem;\n    margin-right: 9rem;\n  }\n\n  .xl\\:mx-40 {\n    margin-left: 10rem;\n    margin-right: 10rem;\n  }\n\n  .xl\\:mx-44 {\n    margin-left: 11rem;\n    margin-right: 11rem;\n  }\n\n  .xl\\:mx-48 {\n    margin-left: 12rem;\n    margin-right: 12rem;\n  }\n\n  .xl\\:mx-52 {\n    margin-left: 13rem;\n    margin-right: 13rem;\n  }\n\n  .xl\\:mx-56 {\n    margin-left: 14rem;\n    margin-right: 14rem;\n  }\n\n  .xl\\:mx-60 {\n    margin-left: 15rem;\n    margin-right: 15rem;\n  }\n\n  .xl\\:mx-64 {\n    margin-left: 16rem;\n    margin-right: 16rem;\n  }\n\n  .xl\\:mx-72 {\n    margin-left: 18rem;\n    margin-right: 18rem;\n  }\n\n  .xl\\:mx-80 {\n    margin-left: 20rem;\n    margin-right: 20rem;\n  }\n\n  .xl\\:mx-96 {\n    margin-left: 24rem;\n    margin-right: 24rem;\n  }\n\n  .xl\\:mx-auto {\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .xl\\:mx-px {\n    margin-left: 1px;\n    margin-right: 1px;\n  }\n\n  .xl\\:mx-0\\.5 {\n    margin-left: 0.125rem;\n    margin-right: 0.125rem;\n  }\n\n  .xl\\:mx-1\\.5 {\n    margin-left: 0.375rem;\n    margin-right: 0.375rem;\n  }\n\n  .xl\\:mx-2\\.5 {\n    margin-left: 0.625rem;\n    margin-right: 0.625rem;\n  }\n\n  .xl\\:mx-3\\.5 {\n    margin-left: 0.875rem;\n    margin-right: 0.875rem;\n  }\n\n  .xl\\:-mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .xl\\:-mx-1 {\n    margin-left: -0.25rem;\n    margin-right: -0.25rem;\n  }\n\n  .xl\\:-mx-2 {\n    margin-left: -0.5rem;\n    margin-right: -0.5rem;\n  }\n\n  .xl\\:-mx-3 {\n    margin-left: -0.75rem;\n    margin-right: -0.75rem;\n  }\n\n  .xl\\:-mx-4 {\n    margin-left: -1rem;\n    margin-right: -1rem;\n  }\n\n  .xl\\:-mx-5 {\n    margin-left: -1.25rem;\n    margin-right: -1.25rem;\n  }\n\n  .xl\\:-mx-6 {\n    margin-left: -1.5rem;\n    margin-right: -1.5rem;\n  }\n\n  .xl\\:-mx-7 {\n    margin-left: -1.75rem;\n    margin-right: -1.75rem;\n  }\n\n  .xl\\:-mx-8 {\n    margin-left: -2rem;\n    margin-right: -2rem;\n  }\n\n  .xl\\:-mx-9 {\n    margin-left: -2.25rem;\n    margin-right: -2.25rem;\n  }\n\n  .xl\\:-mx-10 {\n    margin-left: -2.5rem;\n    margin-right: -2.5rem;\n  }\n\n  .xl\\:-mx-11 {\n    margin-left: -2.75rem;\n    margin-right: -2.75rem;\n  }\n\n  .xl\\:-mx-12 {\n    margin-left: -3rem;\n    margin-right: -3rem;\n  }\n\n  .xl\\:-mx-14 {\n    margin-left: -3.5rem;\n    margin-right: -3.5rem;\n  }\n\n  .xl\\:-mx-16 {\n    margin-left: -4rem;\n    margin-right: -4rem;\n  }\n\n  .xl\\:-mx-20 {\n    margin-left: -5rem;\n    margin-right: -5rem;\n  }\n\n  .xl\\:-mx-24 {\n    margin-left: -6rem;\n    margin-right: -6rem;\n  }\n\n  .xl\\:-mx-28 {\n    margin-left: -7rem;\n    margin-right: -7rem;\n  }\n\n  .xl\\:-mx-32 {\n    margin-left: -8rem;\n    margin-right: -8rem;\n  }\n\n  .xl\\:-mx-36 {\n    margin-left: -9rem;\n    margin-right: -9rem;\n  }\n\n  .xl\\:-mx-40 {\n    margin-left: -10rem;\n    margin-right: -10rem;\n  }\n\n  .xl\\:-mx-44 {\n    margin-left: -11rem;\n    margin-right: -11rem;\n  }\n\n  .xl\\:-mx-48 {\n    margin-left: -12rem;\n    margin-right: -12rem;\n  }\n\n  .xl\\:-mx-52 {\n    margin-left: -13rem;\n    margin-right: -13rem;\n  }\n\n  .xl\\:-mx-56 {\n    margin-left: -14rem;\n    margin-right: -14rem;\n  }\n\n  .xl\\:-mx-60 {\n    margin-left: -15rem;\n    margin-right: -15rem;\n  }\n\n  .xl\\:-mx-64 {\n    margin-left: -16rem;\n    margin-right: -16rem;\n  }\n\n  .xl\\:-mx-72 {\n    margin-left: -18rem;\n    margin-right: -18rem;\n  }\n\n  .xl\\:-mx-80 {\n    margin-left: -20rem;\n    margin-right: -20rem;\n  }\n\n  .xl\\:-mx-96 {\n    margin-left: -24rem;\n    margin-right: -24rem;\n  }\n\n  .xl\\:-mx-px {\n    margin-left: -1px;\n    margin-right: -1px;\n  }\n\n  .xl\\:-mx-0\\.5 {\n    margin-left: -0.125rem;\n    margin-right: -0.125rem;\n  }\n\n  .xl\\:-mx-1\\.5 {\n    margin-left: -0.375rem;\n    margin-right: -0.375rem;\n  }\n\n  .xl\\:-mx-2\\.5 {\n    margin-left: -0.625rem;\n    margin-right: -0.625rem;\n  }\n\n  .xl\\:-mx-3\\.5 {\n    margin-left: -0.875rem;\n    margin-right: -0.875rem;\n  }\n\n  .xl\\:my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .xl\\:my-1 {\n    margin-top: 0.25rem;\n    margin-bottom: 0.25rem;\n  }\n\n  .xl\\:my-2 {\n    margin-top: 0.5rem;\n    margin-bottom: 0.5rem;\n  }\n\n  .xl\\:my-3 {\n    margin-top: 0.75rem;\n    margin-bottom: 0.75rem;\n  }\n\n  .xl\\:my-4 {\n    margin-top: 1rem;\n    margin-bottom: 1rem;\n  }\n\n  .xl\\:my-5 {\n    margin-top: 1.25rem;\n    margin-bottom: 1.25rem;\n  }\n\n  .xl\\:my-6 {\n    margin-top: 1.5rem;\n    margin-bottom: 1.5rem;\n  }\n\n  .xl\\:my-7 {\n    margin-top: 1.75rem;\n    margin-bottom: 1.75rem;\n  }\n\n  .xl\\:my-8 {\n    margin-top: 2rem;\n    margin-bottom: 2rem;\n  }\n\n  .xl\\:my-9 {\n    margin-top: 2.25rem;\n    margin-bottom: 2.25rem;\n  }\n\n  .xl\\:my-10 {\n    margin-top: 2.5rem;\n    margin-bottom: 2.5rem;\n  }\n\n  .xl\\:my-11 {\n    margin-top: 2.75rem;\n    margin-bottom: 2.75rem;\n  }\n\n  .xl\\:my-12 {\n    margin-top: 3rem;\n    margin-bottom: 3rem;\n  }\n\n  .xl\\:my-14 {\n    margin-top: 3.5rem;\n    margin-bottom: 3.5rem;\n  }\n\n  .xl\\:my-16 {\n    margin-top: 4rem;\n    margin-bottom: 4rem;\n  }\n\n  .xl\\:my-20 {\n    margin-top: 5rem;\n    margin-bottom: 5rem;\n  }\n\n  .xl\\:my-24 {\n    margin-top: 6rem;\n    margin-bottom: 6rem;\n  }\n\n  .xl\\:my-28 {\n    margin-top: 7rem;\n    margin-bottom: 7rem;\n  }\n\n  .xl\\:my-32 {\n    margin-top: 8rem;\n    margin-bottom: 8rem;\n  }\n\n  .xl\\:my-36 {\n    margin-top: 9rem;\n    margin-bottom: 9rem;\n  }\n\n  .xl\\:my-40 {\n    margin-top: 10rem;\n    margin-bottom: 10rem;\n  }\n\n  .xl\\:my-44 {\n    margin-top: 11rem;\n    margin-bottom: 11rem;\n  }\n\n  .xl\\:my-48 {\n    margin-top: 12rem;\n    margin-bottom: 12rem;\n  }\n\n  .xl\\:my-52 {\n    margin-top: 13rem;\n    margin-bottom: 13rem;\n  }\n\n  .xl\\:my-56 {\n    margin-top: 14rem;\n    margin-bottom: 14rem;\n  }\n\n  .xl\\:my-60 {\n    margin-top: 15rem;\n    margin-bottom: 15rem;\n  }\n\n  .xl\\:my-64 {\n    margin-top: 16rem;\n    margin-bottom: 16rem;\n  }\n\n  .xl\\:my-72 {\n    margin-top: 18rem;\n    margin-bottom: 18rem;\n  }\n\n  .xl\\:my-80 {\n    margin-top: 20rem;\n    margin-bottom: 20rem;\n  }\n\n  .xl\\:my-96 {\n    margin-top: 24rem;\n    margin-bottom: 24rem;\n  }\n\n  .xl\\:my-auto {\n    margin-top: auto;\n    margin-bottom: auto;\n  }\n\n  .xl\\:my-px {\n    margin-top: 1px;\n    margin-bottom: 1px;\n  }\n\n  .xl\\:my-0\\.5 {\n    margin-top: 0.125rem;\n    margin-bottom: 0.125rem;\n  }\n\n  .xl\\:my-1\\.5 {\n    margin-top: 0.375rem;\n    margin-bottom: 0.375rem;\n  }\n\n  .xl\\:my-2\\.5 {\n    margin-top: 0.625rem;\n    margin-bottom: 0.625rem;\n  }\n\n  .xl\\:my-3\\.5 {\n    margin-top: 0.875rem;\n    margin-bottom: 0.875rem;\n  }\n\n  .xl\\:-my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .xl\\:-my-1 {\n    margin-top: -0.25rem;\n    margin-bottom: -0.25rem;\n  }\n\n  .xl\\:-my-2 {\n    margin-top: -0.5rem;\n    margin-bottom: -0.5rem;\n  }\n\n  .xl\\:-my-3 {\n    margin-top: -0.75rem;\n    margin-bottom: -0.75rem;\n  }\n\n  .xl\\:-my-4 {\n    margin-top: -1rem;\n    margin-bottom: -1rem;\n  }\n\n  .xl\\:-my-5 {\n    margin-top: -1.25rem;\n    margin-bottom: -1.25rem;\n  }\n\n  .xl\\:-my-6 {\n    margin-top: -1.5rem;\n    margin-bottom: -1.5rem;\n  }\n\n  .xl\\:-my-7 {\n    margin-top: -1.75rem;\n    margin-bottom: -1.75rem;\n  }\n\n  .xl\\:-my-8 {\n    margin-top: -2rem;\n    margin-bottom: -2rem;\n  }\n\n  .xl\\:-my-9 {\n    margin-top: -2.25rem;\n    margin-bottom: -2.25rem;\n  }\n\n  .xl\\:-my-10 {\n    margin-top: -2.5rem;\n    margin-bottom: -2.5rem;\n  }\n\n  .xl\\:-my-11 {\n    margin-top: -2.75rem;\n    margin-bottom: -2.75rem;\n  }\n\n  .xl\\:-my-12 {\n    margin-top: -3rem;\n    margin-bottom: -3rem;\n  }\n\n  .xl\\:-my-14 {\n    margin-top: -3.5rem;\n    margin-bottom: -3.5rem;\n  }\n\n  .xl\\:-my-16 {\n    margin-top: -4rem;\n    margin-bottom: -4rem;\n  }\n\n  .xl\\:-my-20 {\n    margin-top: -5rem;\n    margin-bottom: -5rem;\n  }\n\n  .xl\\:-my-24 {\n    margin-top: -6rem;\n    margin-bottom: -6rem;\n  }\n\n  .xl\\:-my-28 {\n    margin-top: -7rem;\n    margin-bottom: -7rem;\n  }\n\n  .xl\\:-my-32 {\n    margin-top: -8rem;\n    margin-bottom: -8rem;\n  }\n\n  .xl\\:-my-36 {\n    margin-top: -9rem;\n    margin-bottom: -9rem;\n  }\n\n  .xl\\:-my-40 {\n    margin-top: -10rem;\n    margin-bottom: -10rem;\n  }\n\n  .xl\\:-my-44 {\n    margin-top: -11rem;\n    margin-bottom: -11rem;\n  }\n\n  .xl\\:-my-48 {\n    margin-top: -12rem;\n    margin-bottom: -12rem;\n  }\n\n  .xl\\:-my-52 {\n    margin-top: -13rem;\n    margin-bottom: -13rem;\n  }\n\n  .xl\\:-my-56 {\n    margin-top: -14rem;\n    margin-bottom: -14rem;\n  }\n\n  .xl\\:-my-60 {\n    margin-top: -15rem;\n    margin-bottom: -15rem;\n  }\n\n  .xl\\:-my-64 {\n    margin-top: -16rem;\n    margin-bottom: -16rem;\n  }\n\n  .xl\\:-my-72 {\n    margin-top: -18rem;\n    margin-bottom: -18rem;\n  }\n\n  .xl\\:-my-80 {\n    margin-top: -20rem;\n    margin-bottom: -20rem;\n  }\n\n  .xl\\:-my-96 {\n    margin-top: -24rem;\n    margin-bottom: -24rem;\n  }\n\n  .xl\\:-my-px {\n    margin-top: -1px;\n    margin-bottom: -1px;\n  }\n\n  .xl\\:-my-0\\.5 {\n    margin-top: -0.125rem;\n    margin-bottom: -0.125rem;\n  }\n\n  .xl\\:-my-1\\.5 {\n    margin-top: -0.375rem;\n    margin-bottom: -0.375rem;\n  }\n\n  .xl\\:-my-2\\.5 {\n    margin-top: -0.625rem;\n    margin-bottom: -0.625rem;\n  }\n\n  .xl\\:-my-3\\.5 {\n    margin-top: -0.875rem;\n    margin-bottom: -0.875rem;\n  }\n\n  .xl\\:mt-0 {\n    margin-top: 0px;\n  }\n\n  .xl\\:mt-1 {\n    margin-top: 0.25rem;\n  }\n\n  .xl\\:mt-2 {\n    margin-top: 0.5rem;\n  }\n\n  .xl\\:mt-3 {\n    margin-top: 0.75rem;\n  }\n\n  .xl\\:mt-4 {\n    margin-top: 1rem;\n  }\n\n  .xl\\:mt-5 {\n    margin-top: 1.25rem;\n  }\n\n  .xl\\:mt-6 {\n    margin-top: 1.5rem;\n  }\n\n  .xl\\:mt-7 {\n    margin-top: 1.75rem;\n  }\n\n  .xl\\:mt-8 {\n    margin-top: 2rem;\n  }\n\n  .xl\\:mt-9 {\n    margin-top: 2.25rem;\n  }\n\n  .xl\\:mt-10 {\n    margin-top: 2.5rem;\n  }\n\n  .xl\\:mt-11 {\n    margin-top: 2.75rem;\n  }\n\n  .xl\\:mt-12 {\n    margin-top: 3rem;\n  }\n\n  .xl\\:mt-14 {\n    margin-top: 3.5rem;\n  }\n\n  .xl\\:mt-16 {\n    margin-top: 4rem;\n  }\n\n  .xl\\:mt-20 {\n    margin-top: 5rem;\n  }\n\n  .xl\\:mt-24 {\n    margin-top: 6rem;\n  }\n\n  .xl\\:mt-28 {\n    margin-top: 7rem;\n  }\n\n  .xl\\:mt-32 {\n    margin-top: 8rem;\n  }\n\n  .xl\\:mt-36 {\n    margin-top: 9rem;\n  }\n\n  .xl\\:mt-40 {\n    margin-top: 10rem;\n  }\n\n  .xl\\:mt-44 {\n    margin-top: 11rem;\n  }\n\n  .xl\\:mt-48 {\n    margin-top: 12rem;\n  }\n\n  .xl\\:mt-52 {\n    margin-top: 13rem;\n  }\n\n  .xl\\:mt-56 {\n    margin-top: 14rem;\n  }\n\n  .xl\\:mt-60 {\n    margin-top: 15rem;\n  }\n\n  .xl\\:mt-64 {\n    margin-top: 16rem;\n  }\n\n  .xl\\:mt-72 {\n    margin-top: 18rem;\n  }\n\n  .xl\\:mt-80 {\n    margin-top: 20rem;\n  }\n\n  .xl\\:mt-96 {\n    margin-top: 24rem;\n  }\n\n  .xl\\:mt-auto {\n    margin-top: auto;\n  }\n\n  .xl\\:mt-px {\n    margin-top: 1px;\n  }\n\n  .xl\\:mt-0\\.5 {\n    margin-top: 0.125rem;\n  }\n\n  .xl\\:mt-1\\.5 {\n    margin-top: 0.375rem;\n  }\n\n  .xl\\:mt-2\\.5 {\n    margin-top: 0.625rem;\n  }\n\n  .xl\\:mt-3\\.5 {\n    margin-top: 0.875rem;\n  }\n\n  .xl\\:-mt-0 {\n    margin-top: 0px;\n  }\n\n  .xl\\:-mt-1 {\n    margin-top: -0.25rem;\n  }\n\n  .xl\\:-mt-2 {\n    margin-top: -0.5rem;\n  }\n\n  .xl\\:-mt-3 {\n    margin-top: -0.75rem;\n  }\n\n  .xl\\:-mt-4 {\n    margin-top: -1rem;\n  }\n\n  .xl\\:-mt-5 {\n    margin-top: -1.25rem;\n  }\n\n  .xl\\:-mt-6 {\n    margin-top: -1.5rem;\n  }\n\n  .xl\\:-mt-7 {\n    margin-top: -1.75rem;\n  }\n\n  .xl\\:-mt-8 {\n    margin-top: -2rem;\n  }\n\n  .xl\\:-mt-9 {\n    margin-top: -2.25rem;\n  }\n\n  .xl\\:-mt-10 {\n    margin-top: -2.5rem;\n  }\n\n  .xl\\:-mt-11 {\n    margin-top: -2.75rem;\n  }\n\n  .xl\\:-mt-12 {\n    margin-top: -3rem;\n  }\n\n  .xl\\:-mt-14 {\n    margin-top: -3.5rem;\n  }\n\n  .xl\\:-mt-16 {\n    margin-top: -4rem;\n  }\n\n  .xl\\:-mt-20 {\n    margin-top: -5rem;\n  }\n\n  .xl\\:-mt-24 {\n    margin-top: -6rem;\n  }\n\n  .xl\\:-mt-28 {\n    margin-top: -7rem;\n  }\n\n  .xl\\:-mt-32 {\n    margin-top: -8rem;\n  }\n\n  .xl\\:-mt-36 {\n    margin-top: -9rem;\n  }\n\n  .xl\\:-mt-40 {\n    margin-top: -10rem;\n  }\n\n  .xl\\:-mt-44 {\n    margin-top: -11rem;\n  }\n\n  .xl\\:-mt-48 {\n    margin-top: -12rem;\n  }\n\n  .xl\\:-mt-52 {\n    margin-top: -13rem;\n  }\n\n  .xl\\:-mt-56 {\n    margin-top: -14rem;\n  }\n\n  .xl\\:-mt-60 {\n    margin-top: -15rem;\n  }\n\n  .xl\\:-mt-64 {\n    margin-top: -16rem;\n  }\n\n  .xl\\:-mt-72 {\n    margin-top: -18rem;\n  }\n\n  .xl\\:-mt-80 {\n    margin-top: -20rem;\n  }\n\n  .xl\\:-mt-96 {\n    margin-top: -24rem;\n  }\n\n  .xl\\:-mt-px {\n    margin-top: -1px;\n  }\n\n  .xl\\:-mt-0\\.5 {\n    margin-top: -0.125rem;\n  }\n\n  .xl\\:-mt-1\\.5 {\n    margin-top: -0.375rem;\n  }\n\n  .xl\\:-mt-2\\.5 {\n    margin-top: -0.625rem;\n  }\n\n  .xl\\:-mt-3\\.5 {\n    margin-top: -0.875rem;\n  }\n\n  .xl\\:mr-0 {\n    margin-right: 0px;\n  }\n\n  .xl\\:mr-1 {\n    margin-right: 0.25rem;\n  }\n\n  .xl\\:mr-2 {\n    margin-right: 0.5rem;\n  }\n\n  .xl\\:mr-3 {\n    margin-right: 0.75rem;\n  }\n\n  .xl\\:mr-4 {\n    margin-right: 1rem;\n  }\n\n  .xl\\:mr-5 {\n    margin-right: 1.25rem;\n  }\n\n  .xl\\:mr-6 {\n    margin-right: 1.5rem;\n  }\n\n  .xl\\:mr-7 {\n    margin-right: 1.75rem;\n  }\n\n  .xl\\:mr-8 {\n    margin-right: 2rem;\n  }\n\n  .xl\\:mr-9 {\n    margin-right: 2.25rem;\n  }\n\n  .xl\\:mr-10 {\n    margin-right: 2.5rem;\n  }\n\n  .xl\\:mr-11 {\n    margin-right: 2.75rem;\n  }\n\n  .xl\\:mr-12 {\n    margin-right: 3rem;\n  }\n\n  .xl\\:mr-14 {\n    margin-right: 3.5rem;\n  }\n\n  .xl\\:mr-16 {\n    margin-right: 4rem;\n  }\n\n  .xl\\:mr-20 {\n    margin-right: 5rem;\n  }\n\n  .xl\\:mr-24 {\n    margin-right: 6rem;\n  }\n\n  .xl\\:mr-28 {\n    margin-right: 7rem;\n  }\n\n  .xl\\:mr-32 {\n    margin-right: 8rem;\n  }\n\n  .xl\\:mr-36 {\n    margin-right: 9rem;\n  }\n\n  .xl\\:mr-40 {\n    margin-right: 10rem;\n  }\n\n  .xl\\:mr-44 {\n    margin-right: 11rem;\n  }\n\n  .xl\\:mr-48 {\n    margin-right: 12rem;\n  }\n\n  .xl\\:mr-52 {\n    margin-right: 13rem;\n  }\n\n  .xl\\:mr-56 {\n    margin-right: 14rem;\n  }\n\n  .xl\\:mr-60 {\n    margin-right: 15rem;\n  }\n\n  .xl\\:mr-64 {\n    margin-right: 16rem;\n  }\n\n  .xl\\:mr-72 {\n    margin-right: 18rem;\n  }\n\n  .xl\\:mr-80 {\n    margin-right: 20rem;\n  }\n\n  .xl\\:mr-96 {\n    margin-right: 24rem;\n  }\n\n  .xl\\:mr-auto {\n    margin-right: auto;\n  }\n\n  .xl\\:mr-px {\n    margin-right: 1px;\n  }\n\n  .xl\\:mr-0\\.5 {\n    margin-right: 0.125rem;\n  }\n\n  .xl\\:mr-1\\.5 {\n    margin-right: 0.375rem;\n  }\n\n  .xl\\:mr-2\\.5 {\n    margin-right: 0.625rem;\n  }\n\n  .xl\\:mr-3\\.5 {\n    margin-right: 0.875rem;\n  }\n\n  .xl\\:-mr-0 {\n    margin-right: 0px;\n  }\n\n  .xl\\:-mr-1 {\n    margin-right: -0.25rem;\n  }\n\n  .xl\\:-mr-2 {\n    margin-right: -0.5rem;\n  }\n\n  .xl\\:-mr-3 {\n    margin-right: -0.75rem;\n  }\n\n  .xl\\:-mr-4 {\n    margin-right: -1rem;\n  }\n\n  .xl\\:-mr-5 {\n    margin-right: -1.25rem;\n  }\n\n  .xl\\:-mr-6 {\n    margin-right: -1.5rem;\n  }\n\n  .xl\\:-mr-7 {\n    margin-right: -1.75rem;\n  }\n\n  .xl\\:-mr-8 {\n    margin-right: -2rem;\n  }\n\n  .xl\\:-mr-9 {\n    margin-right: -2.25rem;\n  }\n\n  .xl\\:-mr-10 {\n    margin-right: -2.5rem;\n  }\n\n  .xl\\:-mr-11 {\n    margin-right: -2.75rem;\n  }\n\n  .xl\\:-mr-12 {\n    margin-right: -3rem;\n  }\n\n  .xl\\:-mr-14 {\n    margin-right: -3.5rem;\n  }\n\n  .xl\\:-mr-16 {\n    margin-right: -4rem;\n  }\n\n  .xl\\:-mr-20 {\n    margin-right: -5rem;\n  }\n\n  .xl\\:-mr-24 {\n    margin-right: -6rem;\n  }\n\n  .xl\\:-mr-28 {\n    margin-right: -7rem;\n  }\n\n  .xl\\:-mr-32 {\n    margin-right: -8rem;\n  }\n\n  .xl\\:-mr-36 {\n    margin-right: -9rem;\n  }\n\n  .xl\\:-mr-40 {\n    margin-right: -10rem;\n  }\n\n  .xl\\:-mr-44 {\n    margin-right: -11rem;\n  }\n\n  .xl\\:-mr-48 {\n    margin-right: -12rem;\n  }\n\n  .xl\\:-mr-52 {\n    margin-right: -13rem;\n  }\n\n  .xl\\:-mr-56 {\n    margin-right: -14rem;\n  }\n\n  .xl\\:-mr-60 {\n    margin-right: -15rem;\n  }\n\n  .xl\\:-mr-64 {\n    margin-right: -16rem;\n  }\n\n  .xl\\:-mr-72 {\n    margin-right: -18rem;\n  }\n\n  .xl\\:-mr-80 {\n    margin-right: -20rem;\n  }\n\n  .xl\\:-mr-96 {\n    margin-right: -24rem;\n  }\n\n  .xl\\:-mr-px {\n    margin-right: -1px;\n  }\n\n  .xl\\:-mr-0\\.5 {\n    margin-right: -0.125rem;\n  }\n\n  .xl\\:-mr-1\\.5 {\n    margin-right: -0.375rem;\n  }\n\n  .xl\\:-mr-2\\.5 {\n    margin-right: -0.625rem;\n  }\n\n  .xl\\:-mr-3\\.5 {\n    margin-right: -0.875rem;\n  }\n\n  .xl\\:mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .xl\\:mb-1 {\n    margin-bottom: 0.25rem;\n  }\n\n  .xl\\:mb-2 {\n    margin-bottom: 0.5rem;\n  }\n\n  .xl\\:mb-3 {\n    margin-bottom: 0.75rem;\n  }\n\n  .xl\\:mb-4 {\n    margin-bottom: 1rem;\n  }\n\n  .xl\\:mb-5 {\n    margin-bottom: 1.25rem;\n  }\n\n  .xl\\:mb-6 {\n    margin-bottom: 1.5rem;\n  }\n\n  .xl\\:mb-7 {\n    margin-bottom: 1.75rem;\n  }\n\n  .xl\\:mb-8 {\n    margin-bottom: 2rem;\n  }\n\n  .xl\\:mb-9 {\n    margin-bottom: 2.25rem;\n  }\n\n  .xl\\:mb-10 {\n    margin-bottom: 2.5rem;\n  }\n\n  .xl\\:mb-11 {\n    margin-bottom: 2.75rem;\n  }\n\n  .xl\\:mb-12 {\n    margin-bottom: 3rem;\n  }\n\n  .xl\\:mb-14 {\n    margin-bottom: 3.5rem;\n  }\n\n  .xl\\:mb-16 {\n    margin-bottom: 4rem;\n  }\n\n  .xl\\:mb-20 {\n    margin-bottom: 5rem;\n  }\n\n  .xl\\:mb-24 {\n    margin-bottom: 6rem;\n  }\n\n  .xl\\:mb-28 {\n    margin-bottom: 7rem;\n  }\n\n  .xl\\:mb-32 {\n    margin-bottom: 8rem;\n  }\n\n  .xl\\:mb-36 {\n    margin-bottom: 9rem;\n  }\n\n  .xl\\:mb-40 {\n    margin-bottom: 10rem;\n  }\n\n  .xl\\:mb-44 {\n    margin-bottom: 11rem;\n  }\n\n  .xl\\:mb-48 {\n    margin-bottom: 12rem;\n  }\n\n  .xl\\:mb-52 {\n    margin-bottom: 13rem;\n  }\n\n  .xl\\:mb-56 {\n    margin-bottom: 14rem;\n  }\n\n  .xl\\:mb-60 {\n    margin-bottom: 15rem;\n  }\n\n  .xl\\:mb-64 {\n    margin-bottom: 16rem;\n  }\n\n  .xl\\:mb-72 {\n    margin-bottom: 18rem;\n  }\n\n  .xl\\:mb-80 {\n    margin-bottom: 20rem;\n  }\n\n  .xl\\:mb-96 {\n    margin-bottom: 24rem;\n  }\n\n  .xl\\:mb-auto {\n    margin-bottom: auto;\n  }\n\n  .xl\\:mb-px {\n    margin-bottom: 1px;\n  }\n\n  .xl\\:mb-0\\.5 {\n    margin-bottom: 0.125rem;\n  }\n\n  .xl\\:mb-1\\.5 {\n    margin-bottom: 0.375rem;\n  }\n\n  .xl\\:mb-2\\.5 {\n    margin-bottom: 0.625rem;\n  }\n\n  .xl\\:mb-3\\.5 {\n    margin-bottom: 0.875rem;\n  }\n\n  .xl\\:-mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .xl\\:-mb-1 {\n    margin-bottom: -0.25rem;\n  }\n\n  .xl\\:-mb-2 {\n    margin-bottom: -0.5rem;\n  }\n\n  .xl\\:-mb-3 {\n    margin-bottom: -0.75rem;\n  }\n\n  .xl\\:-mb-4 {\n    margin-bottom: -1rem;\n  }\n\n  .xl\\:-mb-5 {\n    margin-bottom: -1.25rem;\n  }\n\n  .xl\\:-mb-6 {\n    margin-bottom: -1.5rem;\n  }\n\n  .xl\\:-mb-7 {\n    margin-bottom: -1.75rem;\n  }\n\n  .xl\\:-mb-8 {\n    margin-bottom: -2rem;\n  }\n\n  .xl\\:-mb-9 {\n    margin-bottom: -2.25rem;\n  }\n\n  .xl\\:-mb-10 {\n    margin-bottom: -2.5rem;\n  }\n\n  .xl\\:-mb-11 {\n    margin-bottom: -2.75rem;\n  }\n\n  .xl\\:-mb-12 {\n    margin-bottom: -3rem;\n  }\n\n  .xl\\:-mb-14 {\n    margin-bottom: -3.5rem;\n  }\n\n  .xl\\:-mb-16 {\n    margin-bottom: -4rem;\n  }\n\n  .xl\\:-mb-20 {\n    margin-bottom: -5rem;\n  }\n\n  .xl\\:-mb-24 {\n    margin-bottom: -6rem;\n  }\n\n  .xl\\:-mb-28 {\n    margin-bottom: -7rem;\n  }\n\n  .xl\\:-mb-32 {\n    margin-bottom: -8rem;\n  }\n\n  .xl\\:-mb-36 {\n    margin-bottom: -9rem;\n  }\n\n  .xl\\:-mb-40 {\n    margin-bottom: -10rem;\n  }\n\n  .xl\\:-mb-44 {\n    margin-bottom: -11rem;\n  }\n\n  .xl\\:-mb-48 {\n    margin-bottom: -12rem;\n  }\n\n  .xl\\:-mb-52 {\n    margin-bottom: -13rem;\n  }\n\n  .xl\\:-mb-56 {\n    margin-bottom: -14rem;\n  }\n\n  .xl\\:-mb-60 {\n    margin-bottom: -15rem;\n  }\n\n  .xl\\:-mb-64 {\n    margin-bottom: -16rem;\n  }\n\n  .xl\\:-mb-72 {\n    margin-bottom: -18rem;\n  }\n\n  .xl\\:-mb-80 {\n    margin-bottom: -20rem;\n  }\n\n  .xl\\:-mb-96 {\n    margin-bottom: -24rem;\n  }\n\n  .xl\\:-mb-px {\n    margin-bottom: -1px;\n  }\n\n  .xl\\:-mb-0\\.5 {\n    margin-bottom: -0.125rem;\n  }\n\n  .xl\\:-mb-1\\.5 {\n    margin-bottom: -0.375rem;\n  }\n\n  .xl\\:-mb-2\\.5 {\n    margin-bottom: -0.625rem;\n  }\n\n  .xl\\:-mb-3\\.5 {\n    margin-bottom: -0.875rem;\n  }\n\n  .xl\\:ml-0 {\n    margin-left: 0px;\n  }\n\n  .xl\\:ml-1 {\n    margin-left: 0.25rem;\n  }\n\n  .xl\\:ml-2 {\n    margin-left: 0.5rem;\n  }\n\n  .xl\\:ml-3 {\n    margin-left: 0.75rem;\n  }\n\n  .xl\\:ml-4 {\n    margin-left: 1rem;\n  }\n\n  .xl\\:ml-5 {\n    margin-left: 1.25rem;\n  }\n\n  .xl\\:ml-6 {\n    margin-left: 1.5rem;\n  }\n\n  .xl\\:ml-7 {\n    margin-left: 1.75rem;\n  }\n\n  .xl\\:ml-8 {\n    margin-left: 2rem;\n  }\n\n  .xl\\:ml-9 {\n    margin-left: 2.25rem;\n  }\n\n  .xl\\:ml-10 {\n    margin-left: 2.5rem;\n  }\n\n  .xl\\:ml-11 {\n    margin-left: 2.75rem;\n  }\n\n  .xl\\:ml-12 {\n    margin-left: 3rem;\n  }\n\n  .xl\\:ml-14 {\n    margin-left: 3.5rem;\n  }\n\n  .xl\\:ml-16 {\n    margin-left: 4rem;\n  }\n\n  .xl\\:ml-20 {\n    margin-left: 5rem;\n  }\n\n  .xl\\:ml-24 {\n    margin-left: 6rem;\n  }\n\n  .xl\\:ml-28 {\n    margin-left: 7rem;\n  }\n\n  .xl\\:ml-32 {\n    margin-left: 8rem;\n  }\n\n  .xl\\:ml-36 {\n    margin-left: 9rem;\n  }\n\n  .xl\\:ml-40 {\n    margin-left: 10rem;\n  }\n\n  .xl\\:ml-44 {\n    margin-left: 11rem;\n  }\n\n  .xl\\:ml-48 {\n    margin-left: 12rem;\n  }\n\n  .xl\\:ml-52 {\n    margin-left: 13rem;\n  }\n\n  .xl\\:ml-56 {\n    margin-left: 14rem;\n  }\n\n  .xl\\:ml-60 {\n    margin-left: 15rem;\n  }\n\n  .xl\\:ml-64 {\n    margin-left: 16rem;\n  }\n\n  .xl\\:ml-72 {\n    margin-left: 18rem;\n  }\n\n  .xl\\:ml-80 {\n    margin-left: 20rem;\n  }\n\n  .xl\\:ml-96 {\n    margin-left: 24rem;\n  }\n\n  .xl\\:ml-auto {\n    margin-left: auto;\n  }\n\n  .xl\\:ml-px {\n    margin-left: 1px;\n  }\n\n  .xl\\:ml-0\\.5 {\n    margin-left: 0.125rem;\n  }\n\n  .xl\\:ml-1\\.5 {\n    margin-left: 0.375rem;\n  }\n\n  .xl\\:ml-2\\.5 {\n    margin-left: 0.625rem;\n  }\n\n  .xl\\:ml-3\\.5 {\n    margin-left: 0.875rem;\n  }\n\n  .xl\\:-ml-0 {\n    margin-left: 0px;\n  }\n\n  .xl\\:-ml-1 {\n    margin-left: -0.25rem;\n  }\n\n  .xl\\:-ml-2 {\n    margin-left: -0.5rem;\n  }\n\n  .xl\\:-ml-3 {\n    margin-left: -0.75rem;\n  }\n\n  .xl\\:-ml-4 {\n    margin-left: -1rem;\n  }\n\n  .xl\\:-ml-5 {\n    margin-left: -1.25rem;\n  }\n\n  .xl\\:-ml-6 {\n    margin-left: -1.5rem;\n  }\n\n  .xl\\:-ml-7 {\n    margin-left: -1.75rem;\n  }\n\n  .xl\\:-ml-8 {\n    margin-left: -2rem;\n  }\n\n  .xl\\:-ml-9 {\n    margin-left: -2.25rem;\n  }\n\n  .xl\\:-ml-10 {\n    margin-left: -2.5rem;\n  }\n\n  .xl\\:-ml-11 {\n    margin-left: -2.75rem;\n  }\n\n  .xl\\:-ml-12 {\n    margin-left: -3rem;\n  }\n\n  .xl\\:-ml-14 {\n    margin-left: -3.5rem;\n  }\n\n  .xl\\:-ml-16 {\n    margin-left: -4rem;\n  }\n\n  .xl\\:-ml-20 {\n    margin-left: -5rem;\n  }\n\n  .xl\\:-ml-24 {\n    margin-left: -6rem;\n  }\n\n  .xl\\:-ml-28 {\n    margin-left: -7rem;\n  }\n\n  .xl\\:-ml-32 {\n    margin-left: -8rem;\n  }\n\n  .xl\\:-ml-36 {\n    margin-left: -9rem;\n  }\n\n  .xl\\:-ml-40 {\n    margin-left: -10rem;\n  }\n\n  .xl\\:-ml-44 {\n    margin-left: -11rem;\n  }\n\n  .xl\\:-ml-48 {\n    margin-left: -12rem;\n  }\n\n  .xl\\:-ml-52 {\n    margin-left: -13rem;\n  }\n\n  .xl\\:-ml-56 {\n    margin-left: -14rem;\n  }\n\n  .xl\\:-ml-60 {\n    margin-left: -15rem;\n  }\n\n  .xl\\:-ml-64 {\n    margin-left: -16rem;\n  }\n\n  .xl\\:-ml-72 {\n    margin-left: -18rem;\n  }\n\n  .xl\\:-ml-80 {\n    margin-left: -20rem;\n  }\n\n  .xl\\:-ml-96 {\n    margin-left: -24rem;\n  }\n\n  .xl\\:-ml-px {\n    margin-left: -1px;\n  }\n\n  .xl\\:-ml-0\\.5 {\n    margin-left: -0.125rem;\n  }\n\n  .xl\\:-ml-1\\.5 {\n    margin-left: -0.375rem;\n  }\n\n  .xl\\:-ml-2\\.5 {\n    margin-left: -0.625rem;\n  }\n\n  .xl\\:-ml-3\\.5 {\n    margin-left: -0.875rem;\n  }\n\n  .xl\\:box-border {\n    box-sizing: border-box;\n  }\n\n  .xl\\:box-content {\n    box-sizing: content-box;\n  }\n\n  .xl\\:block {\n    display: block;\n  }\n\n  .xl\\:inline-block {\n    display: inline-block;\n  }\n\n  .xl\\:inline {\n    display: inline;\n  }\n\n  .xl\\:flex {\n    display: flex;\n  }\n\n  .xl\\:inline-flex {\n    display: inline-flex;\n  }\n\n  .xl\\:table {\n    display: table;\n  }\n\n  .xl\\:inline-table {\n    display: inline-table;\n  }\n\n  .xl\\:table-caption {\n    display: table-caption;\n  }\n\n  .xl\\:table-cell {\n    display: table-cell;\n  }\n\n  .xl\\:table-column {\n    display: table-column;\n  }\n\n  .xl\\:table-column-group {\n    display: table-column-group;\n  }\n\n  .xl\\:table-footer-group {\n    display: table-footer-group;\n  }\n\n  .xl\\:table-header-group {\n    display: table-header-group;\n  }\n\n  .xl\\:table-row-group {\n    display: table-row-group;\n  }\n\n  .xl\\:table-row {\n    display: table-row;\n  }\n\n  .xl\\:flow-root {\n    display: flow-root;\n  }\n\n  .xl\\:grid {\n    display: grid;\n  }\n\n  .xl\\:inline-grid {\n    display: inline-grid;\n  }\n\n  .xl\\:contents {\n    display: contents;\n  }\n\n  .xl\\:list-item {\n    display: list-item;\n  }\n\n  .xl\\:hidden {\n    display: none;\n  }\n\n  .xl\\:h-0 {\n    height: 0px;\n  }\n\n  .xl\\:h-1 {\n    height: 0.25rem;\n  }\n\n  .xl\\:h-2 {\n    height: 0.5rem;\n  }\n\n  .xl\\:h-3 {\n    height: 0.75rem;\n  }\n\n  .xl\\:h-4 {\n    height: 1rem;\n  }\n\n  .xl\\:h-5 {\n    height: 1.25rem;\n  }\n\n  .xl\\:h-6 {\n    height: 1.5rem;\n  }\n\n  .xl\\:h-7 {\n    height: 1.75rem;\n  }\n\n  .xl\\:h-8 {\n    height: 2rem;\n  }\n\n  .xl\\:h-9 {\n    height: 2.25rem;\n  }\n\n  .xl\\:h-10 {\n    height: 2.5rem;\n  }\n\n  .xl\\:h-11 {\n    height: 2.75rem;\n  }\n\n  .xl\\:h-12 {\n    height: 3rem;\n  }\n\n  .xl\\:h-14 {\n    height: 3.5rem;\n  }\n\n  .xl\\:h-16 {\n    height: 4rem;\n  }\n\n  .xl\\:h-20 {\n    height: 5rem;\n  }\n\n  .xl\\:h-24 {\n    height: 6rem;\n  }\n\n  .xl\\:h-28 {\n    height: 7rem;\n  }\n\n  .xl\\:h-32 {\n    height: 8rem;\n  }\n\n  .xl\\:h-36 {\n    height: 9rem;\n  }\n\n  .xl\\:h-40 {\n    height: 10rem;\n  }\n\n  .xl\\:h-44 {\n    height: 11rem;\n  }\n\n  .xl\\:h-48 {\n    height: 12rem;\n  }\n\n  .xl\\:h-52 {\n    height: 13rem;\n  }\n\n  .xl\\:h-56 {\n    height: 14rem;\n  }\n\n  .xl\\:h-60 {\n    height: 15rem;\n  }\n\n  .xl\\:h-64 {\n    height: 16rem;\n  }\n\n  .xl\\:h-72 {\n    height: 18rem;\n  }\n\n  .xl\\:h-80 {\n    height: 20rem;\n  }\n\n  .xl\\:h-96 {\n    height: 24rem;\n  }\n\n  .xl\\:h-auto {\n    height: auto;\n  }\n\n  .xl\\:h-px {\n    height: 1px;\n  }\n\n  .xl\\:h-0\\.5 {\n    height: 0.125rem;\n  }\n\n  .xl\\:h-1\\.5 {\n    height: 0.375rem;\n  }\n\n  .xl\\:h-2\\.5 {\n    height: 0.625rem;\n  }\n\n  .xl\\:h-3\\.5 {\n    height: 0.875rem;\n  }\n\n  .xl\\:h-1\\/2 {\n    height: 50%;\n  }\n\n  .xl\\:h-1\\/3 {\n    height: 33.333333%;\n  }\n\n  .xl\\:h-2\\/3 {\n    height: 66.666667%;\n  }\n\n  .xl\\:h-1\\/4 {\n    height: 25%;\n  }\n\n  .xl\\:h-2\\/4 {\n    height: 50%;\n  }\n\n  .xl\\:h-3\\/4 {\n    height: 75%;\n  }\n\n  .xl\\:h-1\\/5 {\n    height: 20%;\n  }\n\n  .xl\\:h-2\\/5 {\n    height: 40%;\n  }\n\n  .xl\\:h-3\\/5 {\n    height: 60%;\n  }\n\n  .xl\\:h-4\\/5 {\n    height: 80%;\n  }\n\n  .xl\\:h-1\\/6 {\n    height: 16.666667%;\n  }\n\n  .xl\\:h-2\\/6 {\n    height: 33.333333%;\n  }\n\n  .xl\\:h-3\\/6 {\n    height: 50%;\n  }\n\n  .xl\\:h-4\\/6 {\n    height: 66.666667%;\n  }\n\n  .xl\\:h-5\\/6 {\n    height: 83.333333%;\n  }\n\n  .xl\\:h-full {\n    height: 100%;\n  }\n\n  .xl\\:h-screen {\n    height: 100vh;\n  }\n\n  .xl\\:max-h-0 {\n    max-height: 0px;\n  }\n\n  .xl\\:max-h-1 {\n    max-height: 0.25rem;\n  }\n\n  .xl\\:max-h-2 {\n    max-height: 0.5rem;\n  }\n\n  .xl\\:max-h-3 {\n    max-height: 0.75rem;\n  }\n\n  .xl\\:max-h-4 {\n    max-height: 1rem;\n  }\n\n  .xl\\:max-h-5 {\n    max-height: 1.25rem;\n  }\n\n  .xl\\:max-h-6 {\n    max-height: 1.5rem;\n  }\n\n  .xl\\:max-h-7 {\n    max-height: 1.75rem;\n  }\n\n  .xl\\:max-h-8 {\n    max-height: 2rem;\n  }\n\n  .xl\\:max-h-9 {\n    max-height: 2.25rem;\n  }\n\n  .xl\\:max-h-10 {\n    max-height: 2.5rem;\n  }\n\n  .xl\\:max-h-11 {\n    max-height: 2.75rem;\n  }\n\n  .xl\\:max-h-12 {\n    max-height: 3rem;\n  }\n\n  .xl\\:max-h-14 {\n    max-height: 3.5rem;\n  }\n\n  .xl\\:max-h-16 {\n    max-height: 4rem;\n  }\n\n  .xl\\:max-h-20 {\n    max-height: 5rem;\n  }\n\n  .xl\\:max-h-24 {\n    max-height: 6rem;\n  }\n\n  .xl\\:max-h-28 {\n    max-height: 7rem;\n  }\n\n  .xl\\:max-h-32 {\n    max-height: 8rem;\n  }\n\n  .xl\\:max-h-36 {\n    max-height: 9rem;\n  }\n\n  .xl\\:max-h-40 {\n    max-height: 10rem;\n  }\n\n  .xl\\:max-h-44 {\n    max-height: 11rem;\n  }\n\n  .xl\\:max-h-48 {\n    max-height: 12rem;\n  }\n\n  .xl\\:max-h-52 {\n    max-height: 13rem;\n  }\n\n  .xl\\:max-h-56 {\n    max-height: 14rem;\n  }\n\n  .xl\\:max-h-60 {\n    max-height: 15rem;\n  }\n\n  .xl\\:max-h-64 {\n    max-height: 16rem;\n  }\n\n  .xl\\:max-h-72 {\n    max-height: 18rem;\n  }\n\n  .xl\\:max-h-80 {\n    max-height: 20rem;\n  }\n\n  .xl\\:max-h-96 {\n    max-height: 24rem;\n  }\n\n  .xl\\:max-h-px {\n    max-height: 1px;\n  }\n\n  .xl\\:max-h-0\\.5 {\n    max-height: 0.125rem;\n  }\n\n  .xl\\:max-h-1\\.5 {\n    max-height: 0.375rem;\n  }\n\n  .xl\\:max-h-2\\.5 {\n    max-height: 0.625rem;\n  }\n\n  .xl\\:max-h-3\\.5 {\n    max-height: 0.875rem;\n  }\n\n  .xl\\:max-h-full {\n    max-height: 100%;\n  }\n\n  .xl\\:max-h-screen {\n    max-height: 100vh;\n  }\n\n  .xl\\:min-h-0 {\n    min-height: 0px;\n  }\n\n  .xl\\:min-h-full {\n    min-height: 100%;\n  }\n\n  .xl\\:min-h-screen {\n    min-height: 100vh;\n  }\n\n  .xl\\:w-0 {\n    width: 0px;\n  }\n\n  .xl\\:w-1 {\n    width: 0.25rem;\n  }\n\n  .xl\\:w-2 {\n    width: 0.5rem;\n  }\n\n  .xl\\:w-3 {\n    width: 0.75rem;\n  }\n\n  .xl\\:w-4 {\n    width: 1rem;\n  }\n\n  .xl\\:w-5 {\n    width: 1.25rem;\n  }\n\n  .xl\\:w-6 {\n    width: 1.5rem;\n  }\n\n  .xl\\:w-7 {\n    width: 1.75rem;\n  }\n\n  .xl\\:w-8 {\n    width: 2rem;\n  }\n\n  .xl\\:w-9 {\n    width: 2.25rem;\n  }\n\n  .xl\\:w-10 {\n    width: 2.5rem;\n  }\n\n  .xl\\:w-11 {\n    width: 2.75rem;\n  }\n\n  .xl\\:w-12 {\n    width: 3rem;\n  }\n\n  .xl\\:w-14 {\n    width: 3.5rem;\n  }\n\n  .xl\\:w-16 {\n    width: 4rem;\n  }\n\n  .xl\\:w-20 {\n    width: 5rem;\n  }\n\n  .xl\\:w-24 {\n    width: 6rem;\n  }\n\n  .xl\\:w-28 {\n    width: 7rem;\n  }\n\n  .xl\\:w-32 {\n    width: 8rem;\n  }\n\n  .xl\\:w-36 {\n    width: 9rem;\n  }\n\n  .xl\\:w-40 {\n    width: 10rem;\n  }\n\n  .xl\\:w-44 {\n    width: 11rem;\n  }\n\n  .xl\\:w-48 {\n    width: 12rem;\n  }\n\n  .xl\\:w-52 {\n    width: 13rem;\n  }\n\n  .xl\\:w-56 {\n    width: 14rem;\n  }\n\n  .xl\\:w-60 {\n    width: 15rem;\n  }\n\n  .xl\\:w-64 {\n    width: 16rem;\n  }\n\n  .xl\\:w-72 {\n    width: 18rem;\n  }\n\n  .xl\\:w-80 {\n    width: 20rem;\n  }\n\n  .xl\\:w-96 {\n    width: 24rem;\n  }\n\n  .xl\\:w-auto {\n    width: auto;\n  }\n\n  .xl\\:w-px {\n    width: 1px;\n  }\n\n  .xl\\:w-0\\.5 {\n    width: 0.125rem;\n  }\n\n  .xl\\:w-1\\.5 {\n    width: 0.375rem;\n  }\n\n  .xl\\:w-2\\.5 {\n    width: 0.625rem;\n  }\n\n  .xl\\:w-3\\.5 {\n    width: 0.875rem;\n  }\n\n  .xl\\:w-1\\/2 {\n    width: 50%;\n  }\n\n  .xl\\:w-1\\/3 {\n    width: 33.333333%;\n  }\n\n  .xl\\:w-2\\/3 {\n    width: 66.666667%;\n  }\n\n  .xl\\:w-1\\/4 {\n    width: 25%;\n  }\n\n  .xl\\:w-2\\/4 {\n    width: 50%;\n  }\n\n  .xl\\:w-3\\/4 {\n    width: 75%;\n  }\n\n  .xl\\:w-1\\/5 {\n    width: 20%;\n  }\n\n  .xl\\:w-2\\/5 {\n    width: 40%;\n  }\n\n  .xl\\:w-3\\/5 {\n    width: 60%;\n  }\n\n  .xl\\:w-4\\/5 {\n    width: 80%;\n  }\n\n  .xl\\:w-1\\/6 {\n    width: 16.666667%;\n  }\n\n  .xl\\:w-2\\/6 {\n    width: 33.333333%;\n  }\n\n  .xl\\:w-3\\/6 {\n    width: 50%;\n  }\n\n  .xl\\:w-4\\/6 {\n    width: 66.666667%;\n  }\n\n  .xl\\:w-5\\/6 {\n    width: 83.333333%;\n  }\n\n  .xl\\:w-1\\/12 {\n    width: 8.333333%;\n  }\n\n  .xl\\:w-2\\/12 {\n    width: 16.666667%;\n  }\n\n  .xl\\:w-3\\/12 {\n    width: 25%;\n  }\n\n  .xl\\:w-4\\/12 {\n    width: 33.333333%;\n  }\n\n  .xl\\:w-5\\/12 {\n    width: 41.666667%;\n  }\n\n  .xl\\:w-6\\/12 {\n    width: 50%;\n  }\n\n  .xl\\:w-7\\/12 {\n    width: 58.333333%;\n  }\n\n  .xl\\:w-8\\/12 {\n    width: 66.666667%;\n  }\n\n  .xl\\:w-9\\/12 {\n    width: 75%;\n  }\n\n  .xl\\:w-10\\/12 {\n    width: 83.333333%;\n  }\n\n  .xl\\:w-11\\/12 {\n    width: 91.666667%;\n  }\n\n  .xl\\:w-full {\n    width: 100%;\n  }\n\n  .xl\\:w-screen {\n    width: 100vw;\n  }\n\n  .xl\\:w-min {\n    width: -webkit-min-content;\n    width: -moz-min-content;\n    width: min-content;\n  }\n\n  .xl\\:w-max {\n    width: -webkit-max-content;\n    width: -moz-max-content;\n    width: max-content;\n  }\n\n  .xl\\:min-w-0 {\n    min-width: 0px;\n  }\n\n  .xl\\:min-w-full {\n    min-width: 100%;\n  }\n\n  .xl\\:min-w-min {\n    min-width: -webkit-min-content;\n    min-width: -moz-min-content;\n    min-width: min-content;\n  }\n\n  .xl\\:min-w-max {\n    min-width: -webkit-max-content;\n    min-width: -moz-max-content;\n    min-width: max-content;\n  }\n\n  .xl\\:max-w-0 {\n    max-width: 0rem;\n  }\n\n  .xl\\:max-w-none {\n    max-width: none;\n  }\n\n  .xl\\:max-w-xs {\n    max-width: 20rem;\n  }\n\n  .xl\\:max-w-sm {\n    max-width: 24rem;\n  }\n\n  .xl\\:max-w-md {\n    max-width: 28rem;\n  }\n\n  .xl\\:max-w-lg {\n    max-width: 32rem;\n  }\n\n  .xl\\:max-w-xl {\n    max-width: 36rem;\n  }\n\n  .xl\\:max-w-2xl {\n    max-width: 42rem;\n  }\n\n  .xl\\:max-w-3xl {\n    max-width: 48rem;\n  }\n\n  .xl\\:max-w-4xl {\n    max-width: 56rem;\n  }\n\n  .xl\\:max-w-5xl {\n    max-width: 64rem;\n  }\n\n  .xl\\:max-w-6xl {\n    max-width: 72rem;\n  }\n\n  .xl\\:max-w-7xl {\n    max-width: 80rem;\n  }\n\n  .xl\\:max-w-full {\n    max-width: 100%;\n  }\n\n  .xl\\:max-w-min {\n    max-width: -webkit-min-content;\n    max-width: -moz-min-content;\n    max-width: min-content;\n  }\n\n  .xl\\:max-w-max {\n    max-width: -webkit-max-content;\n    max-width: -moz-max-content;\n    max-width: max-content;\n  }\n\n  .xl\\:max-w-prose {\n    max-width: 65ch;\n  }\n\n  .xl\\:max-w-screen-sm {\n    max-width: 640px;\n  }\n\n  .xl\\:max-w-screen-md {\n    max-width: 768px;\n  }\n\n  .xl\\:max-w-screen-lg {\n    max-width: 1024px;\n  }\n\n  .xl\\:max-w-screen-xl {\n    max-width: 1280px;\n  }\n\n  .xl\\:max-w-screen-2xl {\n    max-width: 1536px;\n  }\n\n  .xl\\:flex-1 {\n    flex: 1 1 0%;\n  }\n\n  .xl\\:flex-2 {\n    flex: 2 2 0%;\n  }\n\n  .xl\\:flex-3 {\n    flex: 3 3 0%;\n  }\n\n  .xl\\:flex-4 {\n    flex: 4 4 0%;\n  }\n\n  .xl\\:flex-5 {\n    flex: 5 5 0%;\n  }\n\n  .xl\\:flex-6 {\n    flex: 6 6 0%;\n  }\n\n  .xl\\:flex-7 {\n    flex: 7 7 0%;\n  }\n\n  .xl\\:flex-8 {\n    flex: 8 8 0%;\n  }\n\n  .xl\\:flex-9 {\n    flex: 9 9 0%;\n  }\n\n  .xl\\:flex-10 {\n    flex: 10 10 0%;\n  }\n\n  .xl\\:flex-11 {\n    flex: 11 11 0%;\n  }\n\n  .xl\\:flex-12 {\n    flex: 12 12 0%;\n  }\n\n  .xl\\:flex-auto {\n    flex: 1 1 auto;\n  }\n\n  .xl\\:flex-initial {\n    flex: 0 1 auto;\n  }\n\n  .xl\\:flex-none {\n    flex: none;\n  }\n\n  .xl\\:flex-shrink-0 {\n    flex-shrink: 0;\n  }\n\n  .xl\\:flex-shrink {\n    flex-shrink: 1;\n  }\n\n  .xl\\:flex-grow-0 {\n    flex-grow: 0;\n  }\n\n  .xl\\:flex-grow {\n    flex-grow: 1;\n  }\n\n  .xl\\:table-auto {\n    table-layout: auto;\n  }\n\n  .xl\\:table-fixed {\n    table-layout: fixed;\n  }\n\n  .xl\\:border-collapse {\n    border-collapse: collapse;\n  }\n\n  .xl\\:border-separate {\n    border-collapse: separate;\n  }\n\n  .xl\\:origin-center {\n    transform-origin: center;\n  }\n\n  .xl\\:origin-top {\n    transform-origin: top;\n  }\n\n  .xl\\:origin-top-right {\n    transform-origin: top right;\n  }\n\n  .xl\\:origin-right {\n    transform-origin: right;\n  }\n\n  .xl\\:origin-bottom-right {\n    transform-origin: bottom right;\n  }\n\n  .xl\\:origin-bottom {\n    transform-origin: bottom;\n  }\n\n  .xl\\:origin-bottom-left {\n    transform-origin: bottom left;\n  }\n\n  .xl\\:origin-left {\n    transform-origin: left;\n  }\n\n  .xl\\:origin-top-left {\n    transform-origin: top left;\n  }\n\n  .xl\\:transform {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .xl\\:transform-gpu {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .xl\\:transform-none {\n    transform: none;\n  }\n\n  .xl\\:translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:translate-x-1 {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .xl\\:translate-x-2 {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .xl\\:translate-x-3 {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .xl\\:translate-x-4 {\n    --tw-translate-x: 1rem;\n  }\n\n  .xl\\:translate-x-5 {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .xl\\:translate-x-6 {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .xl\\:translate-x-7 {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .xl\\:translate-x-8 {\n    --tw-translate-x: 2rem;\n  }\n\n  .xl\\:translate-x-9 {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .xl\\:translate-x-10 {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .xl\\:translate-x-11 {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .xl\\:translate-x-12 {\n    --tw-translate-x: 3rem;\n  }\n\n  .xl\\:translate-x-14 {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .xl\\:translate-x-16 {\n    --tw-translate-x: 4rem;\n  }\n\n  .xl\\:translate-x-20 {\n    --tw-translate-x: 5rem;\n  }\n\n  .xl\\:translate-x-24 {\n    --tw-translate-x: 6rem;\n  }\n\n  .xl\\:translate-x-28 {\n    --tw-translate-x: 7rem;\n  }\n\n  .xl\\:translate-x-32 {\n    --tw-translate-x: 8rem;\n  }\n\n  .xl\\:translate-x-36 {\n    --tw-translate-x: 9rem;\n  }\n\n  .xl\\:translate-x-40 {\n    --tw-translate-x: 10rem;\n  }\n\n  .xl\\:translate-x-44 {\n    --tw-translate-x: 11rem;\n  }\n\n  .xl\\:translate-x-48 {\n    --tw-translate-x: 12rem;\n  }\n\n  .xl\\:translate-x-52 {\n    --tw-translate-x: 13rem;\n  }\n\n  .xl\\:translate-x-56 {\n    --tw-translate-x: 14rem;\n  }\n\n  .xl\\:translate-x-60 {\n    --tw-translate-x: 15rem;\n  }\n\n  .xl\\:translate-x-64 {\n    --tw-translate-x: 16rem;\n  }\n\n  .xl\\:translate-x-72 {\n    --tw-translate-x: 18rem;\n  }\n\n  .xl\\:translate-x-80 {\n    --tw-translate-x: 20rem;\n  }\n\n  .xl\\:translate-x-96 {\n    --tw-translate-x: 24rem;\n  }\n\n  .xl\\:translate-x-px {\n    --tw-translate-x: 1px;\n  }\n\n  .xl\\:translate-x-0\\.5 {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .xl\\:translate-x-1\\.5 {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .xl\\:translate-x-2\\.5 {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .xl\\:translate-x-3\\.5 {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .xl\\:-translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:-translate-x-1 {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .xl\\:-translate-x-2 {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .xl\\:-translate-x-3 {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .xl\\:-translate-x-4 {\n    --tw-translate-x: -1rem;\n  }\n\n  .xl\\:-translate-x-5 {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .xl\\:-translate-x-6 {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .xl\\:-translate-x-7 {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .xl\\:-translate-x-8 {\n    --tw-translate-x: -2rem;\n  }\n\n  .xl\\:-translate-x-9 {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .xl\\:-translate-x-10 {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .xl\\:-translate-x-11 {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .xl\\:-translate-x-12 {\n    --tw-translate-x: -3rem;\n  }\n\n  .xl\\:-translate-x-14 {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .xl\\:-translate-x-16 {\n    --tw-translate-x: -4rem;\n  }\n\n  .xl\\:-translate-x-20 {\n    --tw-translate-x: -5rem;\n  }\n\n  .xl\\:-translate-x-24 {\n    --tw-translate-x: -6rem;\n  }\n\n  .xl\\:-translate-x-28 {\n    --tw-translate-x: -7rem;\n  }\n\n  .xl\\:-translate-x-32 {\n    --tw-translate-x: -8rem;\n  }\n\n  .xl\\:-translate-x-36 {\n    --tw-translate-x: -9rem;\n  }\n\n  .xl\\:-translate-x-40 {\n    --tw-translate-x: -10rem;\n  }\n\n  .xl\\:-translate-x-44 {\n    --tw-translate-x: -11rem;\n  }\n\n  .xl\\:-translate-x-48 {\n    --tw-translate-x: -12rem;\n  }\n\n  .xl\\:-translate-x-52 {\n    --tw-translate-x: -13rem;\n  }\n\n  .xl\\:-translate-x-56 {\n    --tw-translate-x: -14rem;\n  }\n\n  .xl\\:-translate-x-60 {\n    --tw-translate-x: -15rem;\n  }\n\n  .xl\\:-translate-x-64 {\n    --tw-translate-x: -16rem;\n  }\n\n  .xl\\:-translate-x-72 {\n    --tw-translate-x: -18rem;\n  }\n\n  .xl\\:-translate-x-80 {\n    --tw-translate-x: -20rem;\n  }\n\n  .xl\\:-translate-x-96 {\n    --tw-translate-x: -24rem;\n  }\n\n  .xl\\:-translate-x-px {\n    --tw-translate-x: -1px;\n  }\n\n  .xl\\:-translate-x-0\\.5 {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .xl\\:-translate-x-1\\.5 {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .xl\\:-translate-x-2\\.5 {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .xl\\:-translate-x-3\\.5 {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .xl\\:translate-x-1\\/2 {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:translate-x-1\\/3 {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .xl\\:translate-x-2\\/3 {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .xl\\:translate-x-1\\/4 {\n    --tw-translate-x: 25%;\n  }\n\n  .xl\\:translate-x-2\\/4 {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:translate-x-3\\/4 {\n    --tw-translate-x: 75%;\n  }\n\n  .xl\\:translate-x-full {\n    --tw-translate-x: 100%;\n  }\n\n  .xl\\:-translate-x-1\\/2 {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:-translate-x-1\\/3 {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .xl\\:-translate-x-2\\/3 {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .xl\\:-translate-x-1\\/4 {\n    --tw-translate-x: -25%;\n  }\n\n  .xl\\:-translate-x-2\\/4 {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:-translate-x-3\\/4 {\n    --tw-translate-x: -75%;\n  }\n\n  .xl\\:-translate-x-full {\n    --tw-translate-x: -100%;\n  }\n\n  .xl\\:translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:translate-y-1 {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .xl\\:translate-y-2 {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .xl\\:translate-y-3 {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .xl\\:translate-y-4 {\n    --tw-translate-y: 1rem;\n  }\n\n  .xl\\:translate-y-5 {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .xl\\:translate-y-6 {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .xl\\:translate-y-7 {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .xl\\:translate-y-8 {\n    --tw-translate-y: 2rem;\n  }\n\n  .xl\\:translate-y-9 {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .xl\\:translate-y-10 {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .xl\\:translate-y-11 {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .xl\\:translate-y-12 {\n    --tw-translate-y: 3rem;\n  }\n\n  .xl\\:translate-y-14 {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .xl\\:translate-y-16 {\n    --tw-translate-y: 4rem;\n  }\n\n  .xl\\:translate-y-20 {\n    --tw-translate-y: 5rem;\n  }\n\n  .xl\\:translate-y-24 {\n    --tw-translate-y: 6rem;\n  }\n\n  .xl\\:translate-y-28 {\n    --tw-translate-y: 7rem;\n  }\n\n  .xl\\:translate-y-32 {\n    --tw-translate-y: 8rem;\n  }\n\n  .xl\\:translate-y-36 {\n    --tw-translate-y: 9rem;\n  }\n\n  .xl\\:translate-y-40 {\n    --tw-translate-y: 10rem;\n  }\n\n  .xl\\:translate-y-44 {\n    --tw-translate-y: 11rem;\n  }\n\n  .xl\\:translate-y-48 {\n    --tw-translate-y: 12rem;\n  }\n\n  .xl\\:translate-y-52 {\n    --tw-translate-y: 13rem;\n  }\n\n  .xl\\:translate-y-56 {\n    --tw-translate-y: 14rem;\n  }\n\n  .xl\\:translate-y-60 {\n    --tw-translate-y: 15rem;\n  }\n\n  .xl\\:translate-y-64 {\n    --tw-translate-y: 16rem;\n  }\n\n  .xl\\:translate-y-72 {\n    --tw-translate-y: 18rem;\n  }\n\n  .xl\\:translate-y-80 {\n    --tw-translate-y: 20rem;\n  }\n\n  .xl\\:translate-y-96 {\n    --tw-translate-y: 24rem;\n  }\n\n  .xl\\:translate-y-px {\n    --tw-translate-y: 1px;\n  }\n\n  .xl\\:translate-y-0\\.5 {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .xl\\:translate-y-1\\.5 {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .xl\\:translate-y-2\\.5 {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .xl\\:translate-y-3\\.5 {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .xl\\:-translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:-translate-y-1 {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .xl\\:-translate-y-2 {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .xl\\:-translate-y-3 {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .xl\\:-translate-y-4 {\n    --tw-translate-y: -1rem;\n  }\n\n  .xl\\:-translate-y-5 {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .xl\\:-translate-y-6 {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .xl\\:-translate-y-7 {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .xl\\:-translate-y-8 {\n    --tw-translate-y: -2rem;\n  }\n\n  .xl\\:-translate-y-9 {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .xl\\:-translate-y-10 {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .xl\\:-translate-y-11 {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .xl\\:-translate-y-12 {\n    --tw-translate-y: -3rem;\n  }\n\n  .xl\\:-translate-y-14 {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .xl\\:-translate-y-16 {\n    --tw-translate-y: -4rem;\n  }\n\n  .xl\\:-translate-y-20 {\n    --tw-translate-y: -5rem;\n  }\n\n  .xl\\:-translate-y-24 {\n    --tw-translate-y: -6rem;\n  }\n\n  .xl\\:-translate-y-28 {\n    --tw-translate-y: -7rem;\n  }\n\n  .xl\\:-translate-y-32 {\n    --tw-translate-y: -8rem;\n  }\n\n  .xl\\:-translate-y-36 {\n    --tw-translate-y: -9rem;\n  }\n\n  .xl\\:-translate-y-40 {\n    --tw-translate-y: -10rem;\n  }\n\n  .xl\\:-translate-y-44 {\n    --tw-translate-y: -11rem;\n  }\n\n  .xl\\:-translate-y-48 {\n    --tw-translate-y: -12rem;\n  }\n\n  .xl\\:-translate-y-52 {\n    --tw-translate-y: -13rem;\n  }\n\n  .xl\\:-translate-y-56 {\n    --tw-translate-y: -14rem;\n  }\n\n  .xl\\:-translate-y-60 {\n    --tw-translate-y: -15rem;\n  }\n\n  .xl\\:-translate-y-64 {\n    --tw-translate-y: -16rem;\n  }\n\n  .xl\\:-translate-y-72 {\n    --tw-translate-y: -18rem;\n  }\n\n  .xl\\:-translate-y-80 {\n    --tw-translate-y: -20rem;\n  }\n\n  .xl\\:-translate-y-96 {\n    --tw-translate-y: -24rem;\n  }\n\n  .xl\\:-translate-y-px {\n    --tw-translate-y: -1px;\n  }\n\n  .xl\\:-translate-y-0\\.5 {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .xl\\:-translate-y-1\\.5 {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .xl\\:-translate-y-2\\.5 {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .xl\\:-translate-y-3\\.5 {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .xl\\:translate-y-1\\/2 {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:translate-y-1\\/3 {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .xl\\:translate-y-2\\/3 {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .xl\\:translate-y-1\\/4 {\n    --tw-translate-y: 25%;\n  }\n\n  .xl\\:translate-y-2\\/4 {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:translate-y-3\\/4 {\n    --tw-translate-y: 75%;\n  }\n\n  .xl\\:translate-y-full {\n    --tw-translate-y: 100%;\n  }\n\n  .xl\\:-translate-y-1\\/2 {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:-translate-y-1\\/3 {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .xl\\:-translate-y-2\\/3 {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .xl\\:-translate-y-1\\/4 {\n    --tw-translate-y: -25%;\n  }\n\n  .xl\\:-translate-y-2\\/4 {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:-translate-y-3\\/4 {\n    --tw-translate-y: -75%;\n  }\n\n  .xl\\:-translate-y-full {\n    --tw-translate-y: -100%;\n  }\n\n  .xl\\:hover\\:translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:hover\\:translate-x-1:hover {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .xl\\:hover\\:translate-x-2:hover {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .xl\\:hover\\:translate-x-3:hover {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .xl\\:hover\\:translate-x-4:hover {\n    --tw-translate-x: 1rem;\n  }\n\n  .xl\\:hover\\:translate-x-5:hover {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .xl\\:hover\\:translate-x-6:hover {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .xl\\:hover\\:translate-x-7:hover {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .xl\\:hover\\:translate-x-8:hover {\n    --tw-translate-x: 2rem;\n  }\n\n  .xl\\:hover\\:translate-x-9:hover {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .xl\\:hover\\:translate-x-10:hover {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .xl\\:hover\\:translate-x-11:hover {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .xl\\:hover\\:translate-x-12:hover {\n    --tw-translate-x: 3rem;\n  }\n\n  .xl\\:hover\\:translate-x-14:hover {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .xl\\:hover\\:translate-x-16:hover {\n    --tw-translate-x: 4rem;\n  }\n\n  .xl\\:hover\\:translate-x-20:hover {\n    --tw-translate-x: 5rem;\n  }\n\n  .xl\\:hover\\:translate-x-24:hover {\n    --tw-translate-x: 6rem;\n  }\n\n  .xl\\:hover\\:translate-x-28:hover {\n    --tw-translate-x: 7rem;\n  }\n\n  .xl\\:hover\\:translate-x-32:hover {\n    --tw-translate-x: 8rem;\n  }\n\n  .xl\\:hover\\:translate-x-36:hover {\n    --tw-translate-x: 9rem;\n  }\n\n  .xl\\:hover\\:translate-x-40:hover {\n    --tw-translate-x: 10rem;\n  }\n\n  .xl\\:hover\\:translate-x-44:hover {\n    --tw-translate-x: 11rem;\n  }\n\n  .xl\\:hover\\:translate-x-48:hover {\n    --tw-translate-x: 12rem;\n  }\n\n  .xl\\:hover\\:translate-x-52:hover {\n    --tw-translate-x: 13rem;\n  }\n\n  .xl\\:hover\\:translate-x-56:hover {\n    --tw-translate-x: 14rem;\n  }\n\n  .xl\\:hover\\:translate-x-60:hover {\n    --tw-translate-x: 15rem;\n  }\n\n  .xl\\:hover\\:translate-x-64:hover {\n    --tw-translate-x: 16rem;\n  }\n\n  .xl\\:hover\\:translate-x-72:hover {\n    --tw-translate-x: 18rem;\n  }\n\n  .xl\\:hover\\:translate-x-80:hover {\n    --tw-translate-x: 20rem;\n  }\n\n  .xl\\:hover\\:translate-x-96:hover {\n    --tw-translate-x: 24rem;\n  }\n\n  .xl\\:hover\\:translate-x-px:hover {\n    --tw-translate-x: 1px;\n  }\n\n  .xl\\:hover\\:translate-x-0\\.5:hover {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .xl\\:hover\\:translate-x-1\\.5:hover {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .xl\\:hover\\:translate-x-2\\.5:hover {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .xl\\:hover\\:translate-x-3\\.5:hover {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .xl\\:hover\\:-translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:hover\\:-translate-x-1:hover {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .xl\\:hover\\:-translate-x-2:hover {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .xl\\:hover\\:-translate-x-3:hover {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .xl\\:hover\\:-translate-x-4:hover {\n    --tw-translate-x: -1rem;\n  }\n\n  .xl\\:hover\\:-translate-x-5:hover {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .xl\\:hover\\:-translate-x-6:hover {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .xl\\:hover\\:-translate-x-7:hover {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .xl\\:hover\\:-translate-x-8:hover {\n    --tw-translate-x: -2rem;\n  }\n\n  .xl\\:hover\\:-translate-x-9:hover {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .xl\\:hover\\:-translate-x-10:hover {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .xl\\:hover\\:-translate-x-11:hover {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .xl\\:hover\\:-translate-x-12:hover {\n    --tw-translate-x: -3rem;\n  }\n\n  .xl\\:hover\\:-translate-x-14:hover {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .xl\\:hover\\:-translate-x-16:hover {\n    --tw-translate-x: -4rem;\n  }\n\n  .xl\\:hover\\:-translate-x-20:hover {\n    --tw-translate-x: -5rem;\n  }\n\n  .xl\\:hover\\:-translate-x-24:hover {\n    --tw-translate-x: -6rem;\n  }\n\n  .xl\\:hover\\:-translate-x-28:hover {\n    --tw-translate-x: -7rem;\n  }\n\n  .xl\\:hover\\:-translate-x-32:hover {\n    --tw-translate-x: -8rem;\n  }\n\n  .xl\\:hover\\:-translate-x-36:hover {\n    --tw-translate-x: -9rem;\n  }\n\n  .xl\\:hover\\:-translate-x-40:hover {\n    --tw-translate-x: -10rem;\n  }\n\n  .xl\\:hover\\:-translate-x-44:hover {\n    --tw-translate-x: -11rem;\n  }\n\n  .xl\\:hover\\:-translate-x-48:hover {\n    --tw-translate-x: -12rem;\n  }\n\n  .xl\\:hover\\:-translate-x-52:hover {\n    --tw-translate-x: -13rem;\n  }\n\n  .xl\\:hover\\:-translate-x-56:hover {\n    --tw-translate-x: -14rem;\n  }\n\n  .xl\\:hover\\:-translate-x-60:hover {\n    --tw-translate-x: -15rem;\n  }\n\n  .xl\\:hover\\:-translate-x-64:hover {\n    --tw-translate-x: -16rem;\n  }\n\n  .xl\\:hover\\:-translate-x-72:hover {\n    --tw-translate-x: -18rem;\n  }\n\n  .xl\\:hover\\:-translate-x-80:hover {\n    --tw-translate-x: -20rem;\n  }\n\n  .xl\\:hover\\:-translate-x-96:hover {\n    --tw-translate-x: -24rem;\n  }\n\n  .xl\\:hover\\:-translate-x-px:hover {\n    --tw-translate-x: -1px;\n  }\n\n  .xl\\:hover\\:-translate-x-0\\.5:hover {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .xl\\:hover\\:-translate-x-1\\.5:hover {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .xl\\:hover\\:-translate-x-2\\.5:hover {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .xl\\:hover\\:-translate-x-3\\.5:hover {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .xl\\:hover\\:translate-x-1\\/2:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:hover\\:translate-x-1\\/3:hover {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .xl\\:hover\\:translate-x-2\\/3:hover {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .xl\\:hover\\:translate-x-1\\/4:hover {\n    --tw-translate-x: 25%;\n  }\n\n  .xl\\:hover\\:translate-x-2\\/4:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:hover\\:translate-x-3\\/4:hover {\n    --tw-translate-x: 75%;\n  }\n\n  .xl\\:hover\\:translate-x-full:hover {\n    --tw-translate-x: 100%;\n  }\n\n  .xl\\:hover\\:-translate-x-1\\/2:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:hover\\:-translate-x-1\\/3:hover {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .xl\\:hover\\:-translate-x-2\\/3:hover {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .xl\\:hover\\:-translate-x-1\\/4:hover {\n    --tw-translate-x: -25%;\n  }\n\n  .xl\\:hover\\:-translate-x-2\\/4:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:hover\\:-translate-x-3\\/4:hover {\n    --tw-translate-x: -75%;\n  }\n\n  .xl\\:hover\\:-translate-x-full:hover {\n    --tw-translate-x: -100%;\n  }\n\n  .xl\\:hover\\:translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:hover\\:translate-y-1:hover {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .xl\\:hover\\:translate-y-2:hover {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .xl\\:hover\\:translate-y-3:hover {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .xl\\:hover\\:translate-y-4:hover {\n    --tw-translate-y: 1rem;\n  }\n\n  .xl\\:hover\\:translate-y-5:hover {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .xl\\:hover\\:translate-y-6:hover {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .xl\\:hover\\:translate-y-7:hover {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .xl\\:hover\\:translate-y-8:hover {\n    --tw-translate-y: 2rem;\n  }\n\n  .xl\\:hover\\:translate-y-9:hover {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .xl\\:hover\\:translate-y-10:hover {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .xl\\:hover\\:translate-y-11:hover {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .xl\\:hover\\:translate-y-12:hover {\n    --tw-translate-y: 3rem;\n  }\n\n  .xl\\:hover\\:translate-y-14:hover {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .xl\\:hover\\:translate-y-16:hover {\n    --tw-translate-y: 4rem;\n  }\n\n  .xl\\:hover\\:translate-y-20:hover {\n    --tw-translate-y: 5rem;\n  }\n\n  .xl\\:hover\\:translate-y-24:hover {\n    --tw-translate-y: 6rem;\n  }\n\n  .xl\\:hover\\:translate-y-28:hover {\n    --tw-translate-y: 7rem;\n  }\n\n  .xl\\:hover\\:translate-y-32:hover {\n    --tw-translate-y: 8rem;\n  }\n\n  .xl\\:hover\\:translate-y-36:hover {\n    --tw-translate-y: 9rem;\n  }\n\n  .xl\\:hover\\:translate-y-40:hover {\n    --tw-translate-y: 10rem;\n  }\n\n  .xl\\:hover\\:translate-y-44:hover {\n    --tw-translate-y: 11rem;\n  }\n\n  .xl\\:hover\\:translate-y-48:hover {\n    --tw-translate-y: 12rem;\n  }\n\n  .xl\\:hover\\:translate-y-52:hover {\n    --tw-translate-y: 13rem;\n  }\n\n  .xl\\:hover\\:translate-y-56:hover {\n    --tw-translate-y: 14rem;\n  }\n\n  .xl\\:hover\\:translate-y-60:hover {\n    --tw-translate-y: 15rem;\n  }\n\n  .xl\\:hover\\:translate-y-64:hover {\n    --tw-translate-y: 16rem;\n  }\n\n  .xl\\:hover\\:translate-y-72:hover {\n    --tw-translate-y: 18rem;\n  }\n\n  .xl\\:hover\\:translate-y-80:hover {\n    --tw-translate-y: 20rem;\n  }\n\n  .xl\\:hover\\:translate-y-96:hover {\n    --tw-translate-y: 24rem;\n  }\n\n  .xl\\:hover\\:translate-y-px:hover {\n    --tw-translate-y: 1px;\n  }\n\n  .xl\\:hover\\:translate-y-0\\.5:hover {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .xl\\:hover\\:translate-y-1\\.5:hover {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .xl\\:hover\\:translate-y-2\\.5:hover {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .xl\\:hover\\:translate-y-3\\.5:hover {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .xl\\:hover\\:-translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:hover\\:-translate-y-1:hover {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .xl\\:hover\\:-translate-y-2:hover {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .xl\\:hover\\:-translate-y-3:hover {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .xl\\:hover\\:-translate-y-4:hover {\n    --tw-translate-y: -1rem;\n  }\n\n  .xl\\:hover\\:-translate-y-5:hover {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .xl\\:hover\\:-translate-y-6:hover {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .xl\\:hover\\:-translate-y-7:hover {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .xl\\:hover\\:-translate-y-8:hover {\n    --tw-translate-y: -2rem;\n  }\n\n  .xl\\:hover\\:-translate-y-9:hover {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .xl\\:hover\\:-translate-y-10:hover {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .xl\\:hover\\:-translate-y-11:hover {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .xl\\:hover\\:-translate-y-12:hover {\n    --tw-translate-y: -3rem;\n  }\n\n  .xl\\:hover\\:-translate-y-14:hover {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .xl\\:hover\\:-translate-y-16:hover {\n    --tw-translate-y: -4rem;\n  }\n\n  .xl\\:hover\\:-translate-y-20:hover {\n    --tw-translate-y: -5rem;\n  }\n\n  .xl\\:hover\\:-translate-y-24:hover {\n    --tw-translate-y: -6rem;\n  }\n\n  .xl\\:hover\\:-translate-y-28:hover {\n    --tw-translate-y: -7rem;\n  }\n\n  .xl\\:hover\\:-translate-y-32:hover {\n    --tw-translate-y: -8rem;\n  }\n\n  .xl\\:hover\\:-translate-y-36:hover {\n    --tw-translate-y: -9rem;\n  }\n\n  .xl\\:hover\\:-translate-y-40:hover {\n    --tw-translate-y: -10rem;\n  }\n\n  .xl\\:hover\\:-translate-y-44:hover {\n    --tw-translate-y: -11rem;\n  }\n\n  .xl\\:hover\\:-translate-y-48:hover {\n    --tw-translate-y: -12rem;\n  }\n\n  .xl\\:hover\\:-translate-y-52:hover {\n    --tw-translate-y: -13rem;\n  }\n\n  .xl\\:hover\\:-translate-y-56:hover {\n    --tw-translate-y: -14rem;\n  }\n\n  .xl\\:hover\\:-translate-y-60:hover {\n    --tw-translate-y: -15rem;\n  }\n\n  .xl\\:hover\\:-translate-y-64:hover {\n    --tw-translate-y: -16rem;\n  }\n\n  .xl\\:hover\\:-translate-y-72:hover {\n    --tw-translate-y: -18rem;\n  }\n\n  .xl\\:hover\\:-translate-y-80:hover {\n    --tw-translate-y: -20rem;\n  }\n\n  .xl\\:hover\\:-translate-y-96:hover {\n    --tw-translate-y: -24rem;\n  }\n\n  .xl\\:hover\\:-translate-y-px:hover {\n    --tw-translate-y: -1px;\n  }\n\n  .xl\\:hover\\:-translate-y-0\\.5:hover {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .xl\\:hover\\:-translate-y-1\\.5:hover {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .xl\\:hover\\:-translate-y-2\\.5:hover {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .xl\\:hover\\:-translate-y-3\\.5:hover {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .xl\\:hover\\:translate-y-1\\/2:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:hover\\:translate-y-1\\/3:hover {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .xl\\:hover\\:translate-y-2\\/3:hover {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .xl\\:hover\\:translate-y-1\\/4:hover {\n    --tw-translate-y: 25%;\n  }\n\n  .xl\\:hover\\:translate-y-2\\/4:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:hover\\:translate-y-3\\/4:hover {\n    --tw-translate-y: 75%;\n  }\n\n  .xl\\:hover\\:translate-y-full:hover {\n    --tw-translate-y: 100%;\n  }\n\n  .xl\\:hover\\:-translate-y-1\\/2:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:hover\\:-translate-y-1\\/3:hover {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .xl\\:hover\\:-translate-y-2\\/3:hover {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .xl\\:hover\\:-translate-y-1\\/4:hover {\n    --tw-translate-y: -25%;\n  }\n\n  .xl\\:hover\\:-translate-y-2\\/4:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:hover\\:-translate-y-3\\/4:hover {\n    --tw-translate-y: -75%;\n  }\n\n  .xl\\:hover\\:-translate-y-full:hover {\n    --tw-translate-y: -100%;\n  }\n\n  .xl\\:focus\\:translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:focus\\:translate-x-1:focus {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .xl\\:focus\\:translate-x-2:focus {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .xl\\:focus\\:translate-x-3:focus {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .xl\\:focus\\:translate-x-4:focus {\n    --tw-translate-x: 1rem;\n  }\n\n  .xl\\:focus\\:translate-x-5:focus {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .xl\\:focus\\:translate-x-6:focus {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .xl\\:focus\\:translate-x-7:focus {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .xl\\:focus\\:translate-x-8:focus {\n    --tw-translate-x: 2rem;\n  }\n\n  .xl\\:focus\\:translate-x-9:focus {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .xl\\:focus\\:translate-x-10:focus {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .xl\\:focus\\:translate-x-11:focus {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .xl\\:focus\\:translate-x-12:focus {\n    --tw-translate-x: 3rem;\n  }\n\n  .xl\\:focus\\:translate-x-14:focus {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .xl\\:focus\\:translate-x-16:focus {\n    --tw-translate-x: 4rem;\n  }\n\n  .xl\\:focus\\:translate-x-20:focus {\n    --tw-translate-x: 5rem;\n  }\n\n  .xl\\:focus\\:translate-x-24:focus {\n    --tw-translate-x: 6rem;\n  }\n\n  .xl\\:focus\\:translate-x-28:focus {\n    --tw-translate-x: 7rem;\n  }\n\n  .xl\\:focus\\:translate-x-32:focus {\n    --tw-translate-x: 8rem;\n  }\n\n  .xl\\:focus\\:translate-x-36:focus {\n    --tw-translate-x: 9rem;\n  }\n\n  .xl\\:focus\\:translate-x-40:focus {\n    --tw-translate-x: 10rem;\n  }\n\n  .xl\\:focus\\:translate-x-44:focus {\n    --tw-translate-x: 11rem;\n  }\n\n  .xl\\:focus\\:translate-x-48:focus {\n    --tw-translate-x: 12rem;\n  }\n\n  .xl\\:focus\\:translate-x-52:focus {\n    --tw-translate-x: 13rem;\n  }\n\n  .xl\\:focus\\:translate-x-56:focus {\n    --tw-translate-x: 14rem;\n  }\n\n  .xl\\:focus\\:translate-x-60:focus {\n    --tw-translate-x: 15rem;\n  }\n\n  .xl\\:focus\\:translate-x-64:focus {\n    --tw-translate-x: 16rem;\n  }\n\n  .xl\\:focus\\:translate-x-72:focus {\n    --tw-translate-x: 18rem;\n  }\n\n  .xl\\:focus\\:translate-x-80:focus {\n    --tw-translate-x: 20rem;\n  }\n\n  .xl\\:focus\\:translate-x-96:focus {\n    --tw-translate-x: 24rem;\n  }\n\n  .xl\\:focus\\:translate-x-px:focus {\n    --tw-translate-x: 1px;\n  }\n\n  .xl\\:focus\\:translate-x-0\\.5:focus {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .xl\\:focus\\:translate-x-1\\.5:focus {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .xl\\:focus\\:translate-x-2\\.5:focus {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .xl\\:focus\\:translate-x-3\\.5:focus {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .xl\\:focus\\:-translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .xl\\:focus\\:-translate-x-1:focus {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .xl\\:focus\\:-translate-x-2:focus {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .xl\\:focus\\:-translate-x-3:focus {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .xl\\:focus\\:-translate-x-4:focus {\n    --tw-translate-x: -1rem;\n  }\n\n  .xl\\:focus\\:-translate-x-5:focus {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .xl\\:focus\\:-translate-x-6:focus {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .xl\\:focus\\:-translate-x-7:focus {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .xl\\:focus\\:-translate-x-8:focus {\n    --tw-translate-x: -2rem;\n  }\n\n  .xl\\:focus\\:-translate-x-9:focus {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .xl\\:focus\\:-translate-x-10:focus {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .xl\\:focus\\:-translate-x-11:focus {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .xl\\:focus\\:-translate-x-12:focus {\n    --tw-translate-x: -3rem;\n  }\n\n  .xl\\:focus\\:-translate-x-14:focus {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .xl\\:focus\\:-translate-x-16:focus {\n    --tw-translate-x: -4rem;\n  }\n\n  .xl\\:focus\\:-translate-x-20:focus {\n    --tw-translate-x: -5rem;\n  }\n\n  .xl\\:focus\\:-translate-x-24:focus {\n    --tw-translate-x: -6rem;\n  }\n\n  .xl\\:focus\\:-translate-x-28:focus {\n    --tw-translate-x: -7rem;\n  }\n\n  .xl\\:focus\\:-translate-x-32:focus {\n    --tw-translate-x: -8rem;\n  }\n\n  .xl\\:focus\\:-translate-x-36:focus {\n    --tw-translate-x: -9rem;\n  }\n\n  .xl\\:focus\\:-translate-x-40:focus {\n    --tw-translate-x: -10rem;\n  }\n\n  .xl\\:focus\\:-translate-x-44:focus {\n    --tw-translate-x: -11rem;\n  }\n\n  .xl\\:focus\\:-translate-x-48:focus {\n    --tw-translate-x: -12rem;\n  }\n\n  .xl\\:focus\\:-translate-x-52:focus {\n    --tw-translate-x: -13rem;\n  }\n\n  .xl\\:focus\\:-translate-x-56:focus {\n    --tw-translate-x: -14rem;\n  }\n\n  .xl\\:focus\\:-translate-x-60:focus {\n    --tw-translate-x: -15rem;\n  }\n\n  .xl\\:focus\\:-translate-x-64:focus {\n    --tw-translate-x: -16rem;\n  }\n\n  .xl\\:focus\\:-translate-x-72:focus {\n    --tw-translate-x: -18rem;\n  }\n\n  .xl\\:focus\\:-translate-x-80:focus {\n    --tw-translate-x: -20rem;\n  }\n\n  .xl\\:focus\\:-translate-x-96:focus {\n    --tw-translate-x: -24rem;\n  }\n\n  .xl\\:focus\\:-translate-x-px:focus {\n    --tw-translate-x: -1px;\n  }\n\n  .xl\\:focus\\:-translate-x-0\\.5:focus {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .xl\\:focus\\:-translate-x-1\\.5:focus {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .xl\\:focus\\:-translate-x-2\\.5:focus {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .xl\\:focus\\:-translate-x-3\\.5:focus {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .xl\\:focus\\:translate-x-1\\/2:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:focus\\:translate-x-1\\/3:focus {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .xl\\:focus\\:translate-x-2\\/3:focus {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .xl\\:focus\\:translate-x-1\\/4:focus {\n    --tw-translate-x: 25%;\n  }\n\n  .xl\\:focus\\:translate-x-2\\/4:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .xl\\:focus\\:translate-x-3\\/4:focus {\n    --tw-translate-x: 75%;\n  }\n\n  .xl\\:focus\\:translate-x-full:focus {\n    --tw-translate-x: 100%;\n  }\n\n  .xl\\:focus\\:-translate-x-1\\/2:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:focus\\:-translate-x-1\\/3:focus {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .xl\\:focus\\:-translate-x-2\\/3:focus {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .xl\\:focus\\:-translate-x-1\\/4:focus {\n    --tw-translate-x: -25%;\n  }\n\n  .xl\\:focus\\:-translate-x-2\\/4:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .xl\\:focus\\:-translate-x-3\\/4:focus {\n    --tw-translate-x: -75%;\n  }\n\n  .xl\\:focus\\:-translate-x-full:focus {\n    --tw-translate-x: -100%;\n  }\n\n  .xl\\:focus\\:translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:focus\\:translate-y-1:focus {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .xl\\:focus\\:translate-y-2:focus {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .xl\\:focus\\:translate-y-3:focus {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .xl\\:focus\\:translate-y-4:focus {\n    --tw-translate-y: 1rem;\n  }\n\n  .xl\\:focus\\:translate-y-5:focus {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .xl\\:focus\\:translate-y-6:focus {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .xl\\:focus\\:translate-y-7:focus {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .xl\\:focus\\:translate-y-8:focus {\n    --tw-translate-y: 2rem;\n  }\n\n  .xl\\:focus\\:translate-y-9:focus {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .xl\\:focus\\:translate-y-10:focus {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .xl\\:focus\\:translate-y-11:focus {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .xl\\:focus\\:translate-y-12:focus {\n    --tw-translate-y: 3rem;\n  }\n\n  .xl\\:focus\\:translate-y-14:focus {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .xl\\:focus\\:translate-y-16:focus {\n    --tw-translate-y: 4rem;\n  }\n\n  .xl\\:focus\\:translate-y-20:focus {\n    --tw-translate-y: 5rem;\n  }\n\n  .xl\\:focus\\:translate-y-24:focus {\n    --tw-translate-y: 6rem;\n  }\n\n  .xl\\:focus\\:translate-y-28:focus {\n    --tw-translate-y: 7rem;\n  }\n\n  .xl\\:focus\\:translate-y-32:focus {\n    --tw-translate-y: 8rem;\n  }\n\n  .xl\\:focus\\:translate-y-36:focus {\n    --tw-translate-y: 9rem;\n  }\n\n  .xl\\:focus\\:translate-y-40:focus {\n    --tw-translate-y: 10rem;\n  }\n\n  .xl\\:focus\\:translate-y-44:focus {\n    --tw-translate-y: 11rem;\n  }\n\n  .xl\\:focus\\:translate-y-48:focus {\n    --tw-translate-y: 12rem;\n  }\n\n  .xl\\:focus\\:translate-y-52:focus {\n    --tw-translate-y: 13rem;\n  }\n\n  .xl\\:focus\\:translate-y-56:focus {\n    --tw-translate-y: 14rem;\n  }\n\n  .xl\\:focus\\:translate-y-60:focus {\n    --tw-translate-y: 15rem;\n  }\n\n  .xl\\:focus\\:translate-y-64:focus {\n    --tw-translate-y: 16rem;\n  }\n\n  .xl\\:focus\\:translate-y-72:focus {\n    --tw-translate-y: 18rem;\n  }\n\n  .xl\\:focus\\:translate-y-80:focus {\n    --tw-translate-y: 20rem;\n  }\n\n  .xl\\:focus\\:translate-y-96:focus {\n    --tw-translate-y: 24rem;\n  }\n\n  .xl\\:focus\\:translate-y-px:focus {\n    --tw-translate-y: 1px;\n  }\n\n  .xl\\:focus\\:translate-y-0\\.5:focus {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .xl\\:focus\\:translate-y-1\\.5:focus {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .xl\\:focus\\:translate-y-2\\.5:focus {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .xl\\:focus\\:translate-y-3\\.5:focus {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .xl\\:focus\\:-translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .xl\\:focus\\:-translate-y-1:focus {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .xl\\:focus\\:-translate-y-2:focus {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .xl\\:focus\\:-translate-y-3:focus {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .xl\\:focus\\:-translate-y-4:focus {\n    --tw-translate-y: -1rem;\n  }\n\n  .xl\\:focus\\:-translate-y-5:focus {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .xl\\:focus\\:-translate-y-6:focus {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .xl\\:focus\\:-translate-y-7:focus {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .xl\\:focus\\:-translate-y-8:focus {\n    --tw-translate-y: -2rem;\n  }\n\n  .xl\\:focus\\:-translate-y-9:focus {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .xl\\:focus\\:-translate-y-10:focus {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .xl\\:focus\\:-translate-y-11:focus {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .xl\\:focus\\:-translate-y-12:focus {\n    --tw-translate-y: -3rem;\n  }\n\n  .xl\\:focus\\:-translate-y-14:focus {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .xl\\:focus\\:-translate-y-16:focus {\n    --tw-translate-y: -4rem;\n  }\n\n  .xl\\:focus\\:-translate-y-20:focus {\n    --tw-translate-y: -5rem;\n  }\n\n  .xl\\:focus\\:-translate-y-24:focus {\n    --tw-translate-y: -6rem;\n  }\n\n  .xl\\:focus\\:-translate-y-28:focus {\n    --tw-translate-y: -7rem;\n  }\n\n  .xl\\:focus\\:-translate-y-32:focus {\n    --tw-translate-y: -8rem;\n  }\n\n  .xl\\:focus\\:-translate-y-36:focus {\n    --tw-translate-y: -9rem;\n  }\n\n  .xl\\:focus\\:-translate-y-40:focus {\n    --tw-translate-y: -10rem;\n  }\n\n  .xl\\:focus\\:-translate-y-44:focus {\n    --tw-translate-y: -11rem;\n  }\n\n  .xl\\:focus\\:-translate-y-48:focus {\n    --tw-translate-y: -12rem;\n  }\n\n  .xl\\:focus\\:-translate-y-52:focus {\n    --tw-translate-y: -13rem;\n  }\n\n  .xl\\:focus\\:-translate-y-56:focus {\n    --tw-translate-y: -14rem;\n  }\n\n  .xl\\:focus\\:-translate-y-60:focus {\n    --tw-translate-y: -15rem;\n  }\n\n  .xl\\:focus\\:-translate-y-64:focus {\n    --tw-translate-y: -16rem;\n  }\n\n  .xl\\:focus\\:-translate-y-72:focus {\n    --tw-translate-y: -18rem;\n  }\n\n  .xl\\:focus\\:-translate-y-80:focus {\n    --tw-translate-y: -20rem;\n  }\n\n  .xl\\:focus\\:-translate-y-96:focus {\n    --tw-translate-y: -24rem;\n  }\n\n  .xl\\:focus\\:-translate-y-px:focus {\n    --tw-translate-y: -1px;\n  }\n\n  .xl\\:focus\\:-translate-y-0\\.5:focus {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .xl\\:focus\\:-translate-y-1\\.5:focus {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .xl\\:focus\\:-translate-y-2\\.5:focus {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .xl\\:focus\\:-translate-y-3\\.5:focus {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .xl\\:focus\\:translate-y-1\\/2:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:focus\\:translate-y-1\\/3:focus {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .xl\\:focus\\:translate-y-2\\/3:focus {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .xl\\:focus\\:translate-y-1\\/4:focus {\n    --tw-translate-y: 25%;\n  }\n\n  .xl\\:focus\\:translate-y-2\\/4:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .xl\\:focus\\:translate-y-3\\/4:focus {\n    --tw-translate-y: 75%;\n  }\n\n  .xl\\:focus\\:translate-y-full:focus {\n    --tw-translate-y: 100%;\n  }\n\n  .xl\\:focus\\:-translate-y-1\\/2:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:focus\\:-translate-y-1\\/3:focus {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .xl\\:focus\\:-translate-y-2\\/3:focus {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .xl\\:focus\\:-translate-y-1\\/4:focus {\n    --tw-translate-y: -25%;\n  }\n\n  .xl\\:focus\\:-translate-y-2\\/4:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .xl\\:focus\\:-translate-y-3\\/4:focus {\n    --tw-translate-y: -75%;\n  }\n\n  .xl\\:focus\\:-translate-y-full:focus {\n    --tw-translate-y: -100%;\n  }\n\n  .xl\\:rotate-0 {\n    --tw-rotate: 0deg;\n  }\n\n  .xl\\:rotate-1 {\n    --tw-rotate: 1deg;\n  }\n\n  .xl\\:rotate-2 {\n    --tw-rotate: 2deg;\n  }\n\n  .xl\\:rotate-3 {\n    --tw-rotate: 3deg;\n  }\n\n  .xl\\:rotate-6 {\n    --tw-rotate: 6deg;\n  }\n\n  .xl\\:rotate-12 {\n    --tw-rotate: 12deg;\n  }\n\n  .xl\\:rotate-45 {\n    --tw-rotate: 45deg;\n  }\n\n  .xl\\:rotate-90 {\n    --tw-rotate: 90deg;\n  }\n\n  .xl\\:rotate-180 {\n    --tw-rotate: 180deg;\n  }\n\n  .xl\\:-rotate-180 {\n    --tw-rotate: -180deg;\n  }\n\n  .xl\\:-rotate-90 {\n    --tw-rotate: -90deg;\n  }\n\n  .xl\\:-rotate-45 {\n    --tw-rotate: -45deg;\n  }\n\n  .xl\\:-rotate-12 {\n    --tw-rotate: -12deg;\n  }\n\n  .xl\\:-rotate-6 {\n    --tw-rotate: -6deg;\n  }\n\n  .xl\\:-rotate-3 {\n    --tw-rotate: -3deg;\n  }\n\n  .xl\\:-rotate-2 {\n    --tw-rotate: -2deg;\n  }\n\n  .xl\\:-rotate-1 {\n    --tw-rotate: -1deg;\n  }\n\n  .xl\\:hover\\:rotate-0:hover {\n    --tw-rotate: 0deg;\n  }\n\n  .xl\\:hover\\:rotate-1:hover {\n    --tw-rotate: 1deg;\n  }\n\n  .xl\\:hover\\:rotate-2:hover {\n    --tw-rotate: 2deg;\n  }\n\n  .xl\\:hover\\:rotate-3:hover {\n    --tw-rotate: 3deg;\n  }\n\n  .xl\\:hover\\:rotate-6:hover {\n    --tw-rotate: 6deg;\n  }\n\n  .xl\\:hover\\:rotate-12:hover {\n    --tw-rotate: 12deg;\n  }\n\n  .xl\\:hover\\:rotate-45:hover {\n    --tw-rotate: 45deg;\n  }\n\n  .xl\\:hover\\:rotate-90:hover {\n    --tw-rotate: 90deg;\n  }\n\n  .xl\\:hover\\:rotate-180:hover {\n    --tw-rotate: 180deg;\n  }\n\n  .xl\\:hover\\:-rotate-180:hover {\n    --tw-rotate: -180deg;\n  }\n\n  .xl\\:hover\\:-rotate-90:hover {\n    --tw-rotate: -90deg;\n  }\n\n  .xl\\:hover\\:-rotate-45:hover {\n    --tw-rotate: -45deg;\n  }\n\n  .xl\\:hover\\:-rotate-12:hover {\n    --tw-rotate: -12deg;\n  }\n\n  .xl\\:hover\\:-rotate-6:hover {\n    --tw-rotate: -6deg;\n  }\n\n  .xl\\:hover\\:-rotate-3:hover {\n    --tw-rotate: -3deg;\n  }\n\n  .xl\\:hover\\:-rotate-2:hover {\n    --tw-rotate: -2deg;\n  }\n\n  .xl\\:hover\\:-rotate-1:hover {\n    --tw-rotate: -1deg;\n  }\n\n  .xl\\:focus\\:rotate-0:focus {\n    --tw-rotate: 0deg;\n  }\n\n  .xl\\:focus\\:rotate-1:focus {\n    --tw-rotate: 1deg;\n  }\n\n  .xl\\:focus\\:rotate-2:focus {\n    --tw-rotate: 2deg;\n  }\n\n  .xl\\:focus\\:rotate-3:focus {\n    --tw-rotate: 3deg;\n  }\n\n  .xl\\:focus\\:rotate-6:focus {\n    --tw-rotate: 6deg;\n  }\n\n  .xl\\:focus\\:rotate-12:focus {\n    --tw-rotate: 12deg;\n  }\n\n  .xl\\:focus\\:rotate-45:focus {\n    --tw-rotate: 45deg;\n  }\n\n  .xl\\:focus\\:rotate-90:focus {\n    --tw-rotate: 90deg;\n  }\n\n  .xl\\:focus\\:rotate-180:focus {\n    --tw-rotate: 180deg;\n  }\n\n  .xl\\:focus\\:-rotate-180:focus {\n    --tw-rotate: -180deg;\n  }\n\n  .xl\\:focus\\:-rotate-90:focus {\n    --tw-rotate: -90deg;\n  }\n\n  .xl\\:focus\\:-rotate-45:focus {\n    --tw-rotate: -45deg;\n  }\n\n  .xl\\:focus\\:-rotate-12:focus {\n    --tw-rotate: -12deg;\n  }\n\n  .xl\\:focus\\:-rotate-6:focus {\n    --tw-rotate: -6deg;\n  }\n\n  .xl\\:focus\\:-rotate-3:focus {\n    --tw-rotate: -3deg;\n  }\n\n  .xl\\:focus\\:-rotate-2:focus {\n    --tw-rotate: -2deg;\n  }\n\n  .xl\\:focus\\:-rotate-1:focus {\n    --tw-rotate: -1deg;\n  }\n\n  .xl\\:skew-x-0 {\n    --tw-skew-x: 0deg;\n  }\n\n  .xl\\:skew-x-1 {\n    --tw-skew-x: 1deg;\n  }\n\n  .xl\\:skew-x-2 {\n    --tw-skew-x: 2deg;\n  }\n\n  .xl\\:skew-x-3 {\n    --tw-skew-x: 3deg;\n  }\n\n  .xl\\:skew-x-6 {\n    --tw-skew-x: 6deg;\n  }\n\n  .xl\\:skew-x-12 {\n    --tw-skew-x: 12deg;\n  }\n\n  .xl\\:-skew-x-12 {\n    --tw-skew-x: -12deg;\n  }\n\n  .xl\\:-skew-x-6 {\n    --tw-skew-x: -6deg;\n  }\n\n  .xl\\:-skew-x-3 {\n    --tw-skew-x: -3deg;\n  }\n\n  .xl\\:-skew-x-2 {\n    --tw-skew-x: -2deg;\n  }\n\n  .xl\\:-skew-x-1 {\n    --tw-skew-x: -1deg;\n  }\n\n  .xl\\:skew-y-0 {\n    --tw-skew-y: 0deg;\n  }\n\n  .xl\\:skew-y-1 {\n    --tw-skew-y: 1deg;\n  }\n\n  .xl\\:skew-y-2 {\n    --tw-skew-y: 2deg;\n  }\n\n  .xl\\:skew-y-3 {\n    --tw-skew-y: 3deg;\n  }\n\n  .xl\\:skew-y-6 {\n    --tw-skew-y: 6deg;\n  }\n\n  .xl\\:skew-y-12 {\n    --tw-skew-y: 12deg;\n  }\n\n  .xl\\:-skew-y-12 {\n    --tw-skew-y: -12deg;\n  }\n\n  .xl\\:-skew-y-6 {\n    --tw-skew-y: -6deg;\n  }\n\n  .xl\\:-skew-y-3 {\n    --tw-skew-y: -3deg;\n  }\n\n  .xl\\:-skew-y-2 {\n    --tw-skew-y: -2deg;\n  }\n\n  .xl\\:-skew-y-1 {\n    --tw-skew-y: -1deg;\n  }\n\n  .xl\\:hover\\:skew-x-0:hover {\n    --tw-skew-x: 0deg;\n  }\n\n  .xl\\:hover\\:skew-x-1:hover {\n    --tw-skew-x: 1deg;\n  }\n\n  .xl\\:hover\\:skew-x-2:hover {\n    --tw-skew-x: 2deg;\n  }\n\n  .xl\\:hover\\:skew-x-3:hover {\n    --tw-skew-x: 3deg;\n  }\n\n  .xl\\:hover\\:skew-x-6:hover {\n    --tw-skew-x: 6deg;\n  }\n\n  .xl\\:hover\\:skew-x-12:hover {\n    --tw-skew-x: 12deg;\n  }\n\n  .xl\\:hover\\:-skew-x-12:hover {\n    --tw-skew-x: -12deg;\n  }\n\n  .xl\\:hover\\:-skew-x-6:hover {\n    --tw-skew-x: -6deg;\n  }\n\n  .xl\\:hover\\:-skew-x-3:hover {\n    --tw-skew-x: -3deg;\n  }\n\n  .xl\\:hover\\:-skew-x-2:hover {\n    --tw-skew-x: -2deg;\n  }\n\n  .xl\\:hover\\:-skew-x-1:hover {\n    --tw-skew-x: -1deg;\n  }\n\n  .xl\\:hover\\:skew-y-0:hover {\n    --tw-skew-y: 0deg;\n  }\n\n  .xl\\:hover\\:skew-y-1:hover {\n    --tw-skew-y: 1deg;\n  }\n\n  .xl\\:hover\\:skew-y-2:hover {\n    --tw-skew-y: 2deg;\n  }\n\n  .xl\\:hover\\:skew-y-3:hover {\n    --tw-skew-y: 3deg;\n  }\n\n  .xl\\:hover\\:skew-y-6:hover {\n    --tw-skew-y: 6deg;\n  }\n\n  .xl\\:hover\\:skew-y-12:hover {\n    --tw-skew-y: 12deg;\n  }\n\n  .xl\\:hover\\:-skew-y-12:hover {\n    --tw-skew-y: -12deg;\n  }\n\n  .xl\\:hover\\:-skew-y-6:hover {\n    --tw-skew-y: -6deg;\n  }\n\n  .xl\\:hover\\:-skew-y-3:hover {\n    --tw-skew-y: -3deg;\n  }\n\n  .xl\\:hover\\:-skew-y-2:hover {\n    --tw-skew-y: -2deg;\n  }\n\n  .xl\\:hover\\:-skew-y-1:hover {\n    --tw-skew-y: -1deg;\n  }\n\n  .xl\\:focus\\:skew-x-0:focus {\n    --tw-skew-x: 0deg;\n  }\n\n  .xl\\:focus\\:skew-x-1:focus {\n    --tw-skew-x: 1deg;\n  }\n\n  .xl\\:focus\\:skew-x-2:focus {\n    --tw-skew-x: 2deg;\n  }\n\n  .xl\\:focus\\:skew-x-3:focus {\n    --tw-skew-x: 3deg;\n  }\n\n  .xl\\:focus\\:skew-x-6:focus {\n    --tw-skew-x: 6deg;\n  }\n\n  .xl\\:focus\\:skew-x-12:focus {\n    --tw-skew-x: 12deg;\n  }\n\n  .xl\\:focus\\:-skew-x-12:focus {\n    --tw-skew-x: -12deg;\n  }\n\n  .xl\\:focus\\:-skew-x-6:focus {\n    --tw-skew-x: -6deg;\n  }\n\n  .xl\\:focus\\:-skew-x-3:focus {\n    --tw-skew-x: -3deg;\n  }\n\n  .xl\\:focus\\:-skew-x-2:focus {\n    --tw-skew-x: -2deg;\n  }\n\n  .xl\\:focus\\:-skew-x-1:focus {\n    --tw-skew-x: -1deg;\n  }\n\n  .xl\\:focus\\:skew-y-0:focus {\n    --tw-skew-y: 0deg;\n  }\n\n  .xl\\:focus\\:skew-y-1:focus {\n    --tw-skew-y: 1deg;\n  }\n\n  .xl\\:focus\\:skew-y-2:focus {\n    --tw-skew-y: 2deg;\n  }\n\n  .xl\\:focus\\:skew-y-3:focus {\n    --tw-skew-y: 3deg;\n  }\n\n  .xl\\:focus\\:skew-y-6:focus {\n    --tw-skew-y: 6deg;\n  }\n\n  .xl\\:focus\\:skew-y-12:focus {\n    --tw-skew-y: 12deg;\n  }\n\n  .xl\\:focus\\:-skew-y-12:focus {\n    --tw-skew-y: -12deg;\n  }\n\n  .xl\\:focus\\:-skew-y-6:focus {\n    --tw-skew-y: -6deg;\n  }\n\n  .xl\\:focus\\:-skew-y-3:focus {\n    --tw-skew-y: -3deg;\n  }\n\n  .xl\\:focus\\:-skew-y-2:focus {\n    --tw-skew-y: -2deg;\n  }\n\n  .xl\\:focus\\:-skew-y-1:focus {\n    --tw-skew-y: -1deg;\n  }\n\n  .xl\\:scale-0 {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:scale-50 {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:scale-75 {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:scale-90 {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:scale-95 {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:scale-100 {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:scale-105 {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:scale-110 {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:scale-125 {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:scale-150 {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:hover\\:scale-0:hover {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:hover\\:scale-50:hover {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:hover\\:scale-75:hover {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:hover\\:scale-90:hover {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:hover\\:scale-95:hover {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:hover\\:scale-100:hover {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:hover\\:scale-105:hover {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:hover\\:scale-110:hover {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:hover\\:scale-125:hover {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:hover\\:scale-150:hover {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:focus\\:scale-0:focus {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:focus\\:scale-50:focus {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:focus\\:scale-75:focus {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:focus\\:scale-90:focus {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:focus\\:scale-95:focus {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:focus\\:scale-100:focus {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:focus\\:scale-105:focus {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:focus\\:scale-110:focus {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:focus\\:scale-125:focus {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:focus\\:scale-150:focus {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:scale-x-0 {\n    --tw-scale-x: 0;\n  }\n\n  .xl\\:scale-x-50 {\n    --tw-scale-x: .5;\n  }\n\n  .xl\\:scale-x-75 {\n    --tw-scale-x: .75;\n  }\n\n  .xl\\:scale-x-90 {\n    --tw-scale-x: .9;\n  }\n\n  .xl\\:scale-x-95 {\n    --tw-scale-x: .95;\n  }\n\n  .xl\\:scale-x-100 {\n    --tw-scale-x: 1;\n  }\n\n  .xl\\:scale-x-105 {\n    --tw-scale-x: 1.05;\n  }\n\n  .xl\\:scale-x-110 {\n    --tw-scale-x: 1.1;\n  }\n\n  .xl\\:scale-x-125 {\n    --tw-scale-x: 1.25;\n  }\n\n  .xl\\:scale-x-150 {\n    --tw-scale-x: 1.5;\n  }\n\n  .xl\\:scale-y-0 {\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:scale-y-50 {\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:scale-y-75 {\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:scale-y-90 {\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:scale-y-95 {\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:scale-y-100 {\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:scale-y-105 {\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:scale-y-110 {\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:scale-y-125 {\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:scale-y-150 {\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:hover\\:scale-x-0:hover {\n    --tw-scale-x: 0;\n  }\n\n  .xl\\:hover\\:scale-x-50:hover {\n    --tw-scale-x: .5;\n  }\n\n  .xl\\:hover\\:scale-x-75:hover {\n    --tw-scale-x: .75;\n  }\n\n  .xl\\:hover\\:scale-x-90:hover {\n    --tw-scale-x: .9;\n  }\n\n  .xl\\:hover\\:scale-x-95:hover {\n    --tw-scale-x: .95;\n  }\n\n  .xl\\:hover\\:scale-x-100:hover {\n    --tw-scale-x: 1;\n  }\n\n  .xl\\:hover\\:scale-x-105:hover {\n    --tw-scale-x: 1.05;\n  }\n\n  .xl\\:hover\\:scale-x-110:hover {\n    --tw-scale-x: 1.1;\n  }\n\n  .xl\\:hover\\:scale-x-125:hover {\n    --tw-scale-x: 1.25;\n  }\n\n  .xl\\:hover\\:scale-x-150:hover {\n    --tw-scale-x: 1.5;\n  }\n\n  .xl\\:hover\\:scale-y-0:hover {\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:hover\\:scale-y-50:hover {\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:hover\\:scale-y-75:hover {\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:hover\\:scale-y-90:hover {\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:hover\\:scale-y-95:hover {\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:hover\\:scale-y-100:hover {\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:hover\\:scale-y-105:hover {\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:hover\\:scale-y-110:hover {\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:hover\\:scale-y-125:hover {\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:hover\\:scale-y-150:hover {\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:focus\\:scale-x-0:focus {\n    --tw-scale-x: 0;\n  }\n\n  .xl\\:focus\\:scale-x-50:focus {\n    --tw-scale-x: .5;\n  }\n\n  .xl\\:focus\\:scale-x-75:focus {\n    --tw-scale-x: .75;\n  }\n\n  .xl\\:focus\\:scale-x-90:focus {\n    --tw-scale-x: .9;\n  }\n\n  .xl\\:focus\\:scale-x-95:focus {\n    --tw-scale-x: .95;\n  }\n\n  .xl\\:focus\\:scale-x-100:focus {\n    --tw-scale-x: 1;\n  }\n\n  .xl\\:focus\\:scale-x-105:focus {\n    --tw-scale-x: 1.05;\n  }\n\n  .xl\\:focus\\:scale-x-110:focus {\n    --tw-scale-x: 1.1;\n  }\n\n  .xl\\:focus\\:scale-x-125:focus {\n    --tw-scale-x: 1.25;\n  }\n\n  .xl\\:focus\\:scale-x-150:focus {\n    --tw-scale-x: 1.5;\n  }\n\n  .xl\\:focus\\:scale-y-0:focus {\n    --tw-scale-y: 0;\n  }\n\n  .xl\\:focus\\:scale-y-50:focus {\n    --tw-scale-y: .5;\n  }\n\n  .xl\\:focus\\:scale-y-75:focus {\n    --tw-scale-y: .75;\n  }\n\n  .xl\\:focus\\:scale-y-90:focus {\n    --tw-scale-y: .9;\n  }\n\n  .xl\\:focus\\:scale-y-95:focus {\n    --tw-scale-y: .95;\n  }\n\n  .xl\\:focus\\:scale-y-100:focus {\n    --tw-scale-y: 1;\n  }\n\n  .xl\\:focus\\:scale-y-105:focus {\n    --tw-scale-y: 1.05;\n  }\n\n  .xl\\:focus\\:scale-y-110:focus {\n    --tw-scale-y: 1.1;\n  }\n\n  .xl\\:focus\\:scale-y-125:focus {\n    --tw-scale-y: 1.25;\n  }\n\n  .xl\\:focus\\:scale-y-150:focus {\n    --tw-scale-y: 1.5;\n  }\n\n  .xl\\:animate-none {\n    -webkit-animation: none;\n            animation: none;\n  }\n\n  .xl\\:animate-spin {\n    -webkit-animation: spin 1s linear infinite;\n            animation: spin 1s linear infinite;\n  }\n\n  .xl\\:animate-ping {\n    -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n            animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n  }\n\n  .xl\\:animate-pulse {\n    -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n            animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n  }\n\n  .xl\\:animate-bounce {\n    -webkit-animation: bounce 1s infinite;\n            animation: bounce 1s infinite;\n  }\n\n  .xl\\:animate-gradient {\n    -webkit-animation: gradient 5s ease infinite;\n            animation: gradient 5s ease infinite;\n  }\n\n  .xl\\:cursor-auto {\n    cursor: auto;\n  }\n\n  .xl\\:cursor-default {\n    cursor: default;\n  }\n\n  .xl\\:cursor-pointer {\n    cursor: pointer;\n  }\n\n  .xl\\:cursor-wait {\n    cursor: wait;\n  }\n\n  .xl\\:cursor-text {\n    cursor: text;\n  }\n\n  .xl\\:cursor-move {\n    cursor: move;\n  }\n\n  .xl\\:cursor-help {\n    cursor: help;\n  }\n\n  .xl\\:cursor-not-allowed {\n    cursor: not-allowed;\n  }\n\n  .xl\\:select-none {\n    -webkit-user-select: none;\n       -moz-user-select: none;\n            user-select: none;\n  }\n\n  .xl\\:select-text {\n    -webkit-user-select: text;\n       -moz-user-select: text;\n            user-select: text;\n  }\n\n  .xl\\:select-all {\n    -webkit-user-select: all;\n       -moz-user-select: all;\n            user-select: all;\n  }\n\n  .xl\\:select-auto {\n    -webkit-user-select: auto;\n       -moz-user-select: auto;\n            user-select: auto;\n  }\n\n  .xl\\:resize-none {\n    resize: none;\n  }\n\n  .xl\\:resize-y {\n    resize: vertical;\n  }\n\n  .xl\\:resize-x {\n    resize: horizontal;\n  }\n\n  .xl\\:resize {\n    resize: both;\n  }\n\n  .xl\\:list-inside {\n    list-style-position: inside;\n  }\n\n  .xl\\:list-outside {\n    list-style-position: outside;\n  }\n\n  .xl\\:list-none {\n    list-style-type: none;\n  }\n\n  .xl\\:list-disc {\n    list-style-type: disc;\n  }\n\n  .xl\\:list-decimal {\n    list-style-type: decimal;\n  }\n\n  .xl\\:appearance-none {\n    -webkit-appearance: none;\n       -moz-appearance: none;\n            appearance: none;\n  }\n\n  .xl\\:auto-cols-auto {\n    grid-auto-columns: auto;\n  }\n\n  .xl\\:auto-cols-min {\n    grid-auto-columns: -webkit-min-content;\n    grid-auto-columns: min-content;\n  }\n\n  .xl\\:auto-cols-max {\n    grid-auto-columns: -webkit-max-content;\n    grid-auto-columns: max-content;\n  }\n\n  .xl\\:auto-cols-fr {\n    grid-auto-columns: minmax(0, 1fr);\n  }\n\n  .xl\\:grid-flow-row {\n    grid-auto-flow: row;\n  }\n\n  .xl\\:grid-flow-col {\n    grid-auto-flow: column;\n  }\n\n  .xl\\:grid-flow-row-dense {\n    grid-auto-flow: row dense;\n  }\n\n  .xl\\:grid-flow-col-dense {\n    grid-auto-flow: column dense;\n  }\n\n  .xl\\:auto-rows-auto {\n    grid-auto-rows: auto;\n  }\n\n  .xl\\:auto-rows-min {\n    grid-auto-rows: -webkit-min-content;\n    grid-auto-rows: min-content;\n  }\n\n  .xl\\:auto-rows-max {\n    grid-auto-rows: -webkit-max-content;\n    grid-auto-rows: max-content;\n  }\n\n  .xl\\:auto-rows-fr {\n    grid-auto-rows: minmax(0, 1fr);\n  }\n\n  .xl\\:grid-cols-1 {\n    grid-template-columns: repeat(1, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-2 {\n    grid-template-columns: repeat(2, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-3 {\n    grid-template-columns: repeat(3, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-4 {\n    grid-template-columns: repeat(4, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-5 {\n    grid-template-columns: repeat(5, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-6 {\n    grid-template-columns: repeat(6, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-7 {\n    grid-template-columns: repeat(7, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-8 {\n    grid-template-columns: repeat(8, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-9 {\n    grid-template-columns: repeat(9, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-10 {\n    grid-template-columns: repeat(10, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-11 {\n    grid-template-columns: repeat(11, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-12 {\n    grid-template-columns: repeat(12, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-cols-none {\n    grid-template-columns: none;\n  }\n\n  .xl\\:grid-rows-1 {\n    grid-template-rows: repeat(1, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-2 {\n    grid-template-rows: repeat(2, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-3 {\n    grid-template-rows: repeat(3, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-4 {\n    grid-template-rows: repeat(4, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-5 {\n    grid-template-rows: repeat(5, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-6 {\n    grid-template-rows: repeat(6, minmax(0, 1fr));\n  }\n\n  .xl\\:grid-rows-none {\n    grid-template-rows: none;\n  }\n\n  .xl\\:flex-row {\n    flex-direction: row;\n  }\n\n  .xl\\:flex-row-reverse {\n    flex-direction: row-reverse;\n  }\n\n  .xl\\:flex-col {\n    flex-direction: column;\n  }\n\n  .xl\\:flex-col-reverse {\n    flex-direction: column-reverse;\n  }\n\n  .xl\\:flex-wrap {\n    flex-wrap: wrap;\n  }\n\n  .xl\\:flex-wrap-reverse {\n    flex-wrap: wrap-reverse;\n  }\n\n  .xl\\:flex-nowrap {\n    flex-wrap: nowrap;\n  }\n\n  .xl\\:place-content-center {\n    place-content: center;\n  }\n\n  .xl\\:place-content-start {\n    place-content: start;\n  }\n\n  .xl\\:place-content-end {\n    place-content: end;\n  }\n\n  .xl\\:place-content-between {\n    place-content: space-between;\n  }\n\n  .xl\\:place-content-around {\n    place-content: space-around;\n  }\n\n  .xl\\:place-content-evenly {\n    place-content: space-evenly;\n  }\n\n  .xl\\:place-content-stretch {\n    place-content: stretch;\n  }\n\n  .xl\\:place-items-start {\n    place-items: start;\n  }\n\n  .xl\\:place-items-end {\n    place-items: end;\n  }\n\n  .xl\\:place-items-center {\n    place-items: center;\n  }\n\n  .xl\\:place-items-stretch {\n    place-items: stretch;\n  }\n\n  .xl\\:content-center {\n    align-content: center;\n  }\n\n  .xl\\:content-start {\n    align-content: flex-start;\n  }\n\n  .xl\\:content-end {\n    align-content: flex-end;\n  }\n\n  .xl\\:content-between {\n    align-content: space-between;\n  }\n\n  .xl\\:content-around {\n    align-content: space-around;\n  }\n\n  .xl\\:content-evenly {\n    align-content: space-evenly;\n  }\n\n  .xl\\:items-start {\n    align-items: flex-start;\n  }\n\n  .xl\\:items-end {\n    align-items: flex-end;\n  }\n\n  .xl\\:items-center {\n    align-items: center;\n  }\n\n  .xl\\:items-baseline {\n    align-items: baseline;\n  }\n\n  .xl\\:items-stretch {\n    align-items: stretch;\n  }\n\n  .xl\\:justify-start {\n    justify-content: flex-start;\n  }\n\n  .xl\\:justify-end {\n    justify-content: flex-end;\n  }\n\n  .xl\\:justify-center {\n    justify-content: center;\n  }\n\n  .xl\\:justify-between {\n    justify-content: space-between;\n  }\n\n  .xl\\:justify-around {\n    justify-content: space-around;\n  }\n\n  .xl\\:justify-evenly {\n    justify-content: space-evenly;\n  }\n\n  .xl\\:justify-items-start {\n    justify-items: start;\n  }\n\n  .xl\\:justify-items-end {\n    justify-items: end;\n  }\n\n  .xl\\:justify-items-center {\n    justify-items: center;\n  }\n\n  .xl\\:justify-items-stretch {\n    justify-items: stretch;\n  }\n\n  .xl\\:gap-0 {\n    gap: 0px;\n  }\n\n  .xl\\:gap-1 {\n    gap: 0.25rem;\n  }\n\n  .xl\\:gap-2 {\n    gap: 0.5rem;\n  }\n\n  .xl\\:gap-3 {\n    gap: 0.75rem;\n  }\n\n  .xl\\:gap-4 {\n    gap: 1rem;\n  }\n\n  .xl\\:gap-5 {\n    gap: 1.25rem;\n  }\n\n  .xl\\:gap-6 {\n    gap: 1.5rem;\n  }\n\n  .xl\\:gap-7 {\n    gap: 1.75rem;\n  }\n\n  .xl\\:gap-8 {\n    gap: 2rem;\n  }\n\n  .xl\\:gap-9 {\n    gap: 2.25rem;\n  }\n\n  .xl\\:gap-10 {\n    gap: 2.5rem;\n  }\n\n  .xl\\:gap-11 {\n    gap: 2.75rem;\n  }\n\n  .xl\\:gap-12 {\n    gap: 3rem;\n  }\n\n  .xl\\:gap-14 {\n    gap: 3.5rem;\n  }\n\n  .xl\\:gap-16 {\n    gap: 4rem;\n  }\n\n  .xl\\:gap-20 {\n    gap: 5rem;\n  }\n\n  .xl\\:gap-24 {\n    gap: 6rem;\n  }\n\n  .xl\\:gap-28 {\n    gap: 7rem;\n  }\n\n  .xl\\:gap-32 {\n    gap: 8rem;\n  }\n\n  .xl\\:gap-36 {\n    gap: 9rem;\n  }\n\n  .xl\\:gap-40 {\n    gap: 10rem;\n  }\n\n  .xl\\:gap-44 {\n    gap: 11rem;\n  }\n\n  .xl\\:gap-48 {\n    gap: 12rem;\n  }\n\n  .xl\\:gap-52 {\n    gap: 13rem;\n  }\n\n  .xl\\:gap-56 {\n    gap: 14rem;\n  }\n\n  .xl\\:gap-60 {\n    gap: 15rem;\n  }\n\n  .xl\\:gap-64 {\n    gap: 16rem;\n  }\n\n  .xl\\:gap-72 {\n    gap: 18rem;\n  }\n\n  .xl\\:gap-80 {\n    gap: 20rem;\n  }\n\n  .xl\\:gap-96 {\n    gap: 24rem;\n  }\n\n  .xl\\:gap-px {\n    gap: 1px;\n  }\n\n  .xl\\:gap-0\\.5 {\n    gap: 0.125rem;\n  }\n\n  .xl\\:gap-1\\.5 {\n    gap: 0.375rem;\n  }\n\n  .xl\\:gap-2\\.5 {\n    gap: 0.625rem;\n  }\n\n  .xl\\:gap-3\\.5 {\n    gap: 0.875rem;\n  }\n\n  .xl\\:gap-x-0 {\n    -moz-column-gap: 0px;\n         column-gap: 0px;\n  }\n\n  .xl\\:gap-x-1 {\n    -moz-column-gap: 0.25rem;\n         column-gap: 0.25rem;\n  }\n\n  .xl\\:gap-x-2 {\n    -moz-column-gap: 0.5rem;\n         column-gap: 0.5rem;\n  }\n\n  .xl\\:gap-x-3 {\n    -moz-column-gap: 0.75rem;\n         column-gap: 0.75rem;\n  }\n\n  .xl\\:gap-x-4 {\n    -moz-column-gap: 1rem;\n         column-gap: 1rem;\n  }\n\n  .xl\\:gap-x-5 {\n    -moz-column-gap: 1.25rem;\n         column-gap: 1.25rem;\n  }\n\n  .xl\\:gap-x-6 {\n    -moz-column-gap: 1.5rem;\n         column-gap: 1.5rem;\n  }\n\n  .xl\\:gap-x-7 {\n    -moz-column-gap: 1.75rem;\n         column-gap: 1.75rem;\n  }\n\n  .xl\\:gap-x-8 {\n    -moz-column-gap: 2rem;\n         column-gap: 2rem;\n  }\n\n  .xl\\:gap-x-9 {\n    -moz-column-gap: 2.25rem;\n         column-gap: 2.25rem;\n  }\n\n  .xl\\:gap-x-10 {\n    -moz-column-gap: 2.5rem;\n         column-gap: 2.5rem;\n  }\n\n  .xl\\:gap-x-11 {\n    -moz-column-gap: 2.75rem;\n         column-gap: 2.75rem;\n  }\n\n  .xl\\:gap-x-12 {\n    -moz-column-gap: 3rem;\n         column-gap: 3rem;\n  }\n\n  .xl\\:gap-x-14 {\n    -moz-column-gap: 3.5rem;\n         column-gap: 3.5rem;\n  }\n\n  .xl\\:gap-x-16 {\n    -moz-column-gap: 4rem;\n         column-gap: 4rem;\n  }\n\n  .xl\\:gap-x-20 {\n    -moz-column-gap: 5rem;\n         column-gap: 5rem;\n  }\n\n  .xl\\:gap-x-24 {\n    -moz-column-gap: 6rem;\n         column-gap: 6rem;\n  }\n\n  .xl\\:gap-x-28 {\n    -moz-column-gap: 7rem;\n         column-gap: 7rem;\n  }\n\n  .xl\\:gap-x-32 {\n    -moz-column-gap: 8rem;\n         column-gap: 8rem;\n  }\n\n  .xl\\:gap-x-36 {\n    -moz-column-gap: 9rem;\n         column-gap: 9rem;\n  }\n\n  .xl\\:gap-x-40 {\n    -moz-column-gap: 10rem;\n         column-gap: 10rem;\n  }\n\n  .xl\\:gap-x-44 {\n    -moz-column-gap: 11rem;\n         column-gap: 11rem;\n  }\n\n  .xl\\:gap-x-48 {\n    -moz-column-gap: 12rem;\n         column-gap: 12rem;\n  }\n\n  .xl\\:gap-x-52 {\n    -moz-column-gap: 13rem;\n         column-gap: 13rem;\n  }\n\n  .xl\\:gap-x-56 {\n    -moz-column-gap: 14rem;\n         column-gap: 14rem;\n  }\n\n  .xl\\:gap-x-60 {\n    -moz-column-gap: 15rem;\n         column-gap: 15rem;\n  }\n\n  .xl\\:gap-x-64 {\n    -moz-column-gap: 16rem;\n         column-gap: 16rem;\n  }\n\n  .xl\\:gap-x-72 {\n    -moz-column-gap: 18rem;\n         column-gap: 18rem;\n  }\n\n  .xl\\:gap-x-80 {\n    -moz-column-gap: 20rem;\n         column-gap: 20rem;\n  }\n\n  .xl\\:gap-x-96 {\n    -moz-column-gap: 24rem;\n         column-gap: 24rem;\n  }\n\n  .xl\\:gap-x-px {\n    -moz-column-gap: 1px;\n         column-gap: 1px;\n  }\n\n  .xl\\:gap-x-0\\.5 {\n    -moz-column-gap: 0.125rem;\n         column-gap: 0.125rem;\n  }\n\n  .xl\\:gap-x-1\\.5 {\n    -moz-column-gap: 0.375rem;\n         column-gap: 0.375rem;\n  }\n\n  .xl\\:gap-x-2\\.5 {\n    -moz-column-gap: 0.625rem;\n         column-gap: 0.625rem;\n  }\n\n  .xl\\:gap-x-3\\.5 {\n    -moz-column-gap: 0.875rem;\n         column-gap: 0.875rem;\n  }\n\n  .xl\\:gap-y-0 {\n    row-gap: 0px;\n  }\n\n  .xl\\:gap-y-1 {\n    row-gap: 0.25rem;\n  }\n\n  .xl\\:gap-y-2 {\n    row-gap: 0.5rem;\n  }\n\n  .xl\\:gap-y-3 {\n    row-gap: 0.75rem;\n  }\n\n  .xl\\:gap-y-4 {\n    row-gap: 1rem;\n  }\n\n  .xl\\:gap-y-5 {\n    row-gap: 1.25rem;\n  }\n\n  .xl\\:gap-y-6 {\n    row-gap: 1.5rem;\n  }\n\n  .xl\\:gap-y-7 {\n    row-gap: 1.75rem;\n  }\n\n  .xl\\:gap-y-8 {\n    row-gap: 2rem;\n  }\n\n  .xl\\:gap-y-9 {\n    row-gap: 2.25rem;\n  }\n\n  .xl\\:gap-y-10 {\n    row-gap: 2.5rem;\n  }\n\n  .xl\\:gap-y-11 {\n    row-gap: 2.75rem;\n  }\n\n  .xl\\:gap-y-12 {\n    row-gap: 3rem;\n  }\n\n  .xl\\:gap-y-14 {\n    row-gap: 3.5rem;\n  }\n\n  .xl\\:gap-y-16 {\n    row-gap: 4rem;\n  }\n\n  .xl\\:gap-y-20 {\n    row-gap: 5rem;\n  }\n\n  .xl\\:gap-y-24 {\n    row-gap: 6rem;\n  }\n\n  .xl\\:gap-y-28 {\n    row-gap: 7rem;\n  }\n\n  .xl\\:gap-y-32 {\n    row-gap: 8rem;\n  }\n\n  .xl\\:gap-y-36 {\n    row-gap: 9rem;\n  }\n\n  .xl\\:gap-y-40 {\n    row-gap: 10rem;\n  }\n\n  .xl\\:gap-y-44 {\n    row-gap: 11rem;\n  }\n\n  .xl\\:gap-y-48 {\n    row-gap: 12rem;\n  }\n\n  .xl\\:gap-y-52 {\n    row-gap: 13rem;\n  }\n\n  .xl\\:gap-y-56 {\n    row-gap: 14rem;\n  }\n\n  .xl\\:gap-y-60 {\n    row-gap: 15rem;\n  }\n\n  .xl\\:gap-y-64 {\n    row-gap: 16rem;\n  }\n\n  .xl\\:gap-y-72 {\n    row-gap: 18rem;\n  }\n\n  .xl\\:gap-y-80 {\n    row-gap: 20rem;\n  }\n\n  .xl\\:gap-y-96 {\n    row-gap: 24rem;\n  }\n\n  .xl\\:gap-y-px {\n    row-gap: 1px;\n  }\n\n  .xl\\:gap-y-0\\.5 {\n    row-gap: 0.125rem;\n  }\n\n  .xl\\:gap-y-1\\.5 {\n    row-gap: 0.375rem;\n  }\n\n  .xl\\:gap-y-2\\.5 {\n    row-gap: 0.625rem;\n  }\n\n  .xl\\:gap-y-3\\.5 {\n    row-gap: 0.875rem;\n  }\n\n  .xl\\:space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1rem * var(--tw-space-x-reverse));\n    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2rem * var(--tw-space-x-reverse));\n    margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3rem * var(--tw-space-x-reverse));\n    margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(4rem * var(--tw-space-x-reverse));\n    margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(5rem * var(--tw-space-x-reverse));\n    margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(6rem * var(--tw-space-x-reverse));\n    margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(7rem * var(--tw-space-x-reverse));\n    margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(8rem * var(--tw-space-x-reverse));\n    margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(9rem * var(--tw-space-x-reverse));\n    margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(10rem * var(--tw-space-x-reverse));\n    margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(11rem * var(--tw-space-x-reverse));\n    margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(12rem * var(--tw-space-x-reverse));\n    margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(13rem * var(--tw-space-x-reverse));\n    margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(14rem * var(--tw-space-x-reverse));\n    margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(15rem * var(--tw-space-x-reverse));\n    margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(16rem * var(--tw-space-x-reverse));\n    margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(18rem * var(--tw-space-x-reverse));\n    margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(20rem * var(--tw-space-x-reverse));\n    margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(24rem * var(--tw-space-x-reverse));\n    margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1px * var(--tw-space-x-reverse));\n    margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-4rem * var(--tw-space-x-reverse));\n    margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-6rem * var(--tw-space-x-reverse));\n    margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-7rem * var(--tw-space-x-reverse));\n    margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-8rem * var(--tw-space-x-reverse));\n    margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-9rem * var(--tw-space-x-reverse));\n    margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-10rem * var(--tw-space-x-reverse));\n    margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-11rem * var(--tw-space-x-reverse));\n    margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-12rem * var(--tw-space-x-reverse));\n    margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-13rem * var(--tw-space-x-reverse));\n    margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-14rem * var(--tw-space-x-reverse));\n    margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-15rem * var(--tw-space-x-reverse));\n    margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-16rem * var(--tw-space-x-reverse));\n    margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-18rem * var(--tw-space-x-reverse));\n    margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-20rem * var(--tw-space-x-reverse));\n    margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-24rem * var(--tw-space-x-reverse));\n    margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1px * var(--tw-space-x-reverse));\n    margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .xl\\:space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1px * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .xl\\:space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 1;\n  }\n\n  .xl\\:space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 1;\n  }\n\n  .xl\\:divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(0px * var(--tw-divide-x-reverse));\n    border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .xl\\:divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(2px * var(--tw-divide-x-reverse));\n    border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .xl\\:divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(4px * var(--tw-divide-x-reverse));\n    border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .xl\\:divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(8px * var(--tw-divide-x-reverse));\n    border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .xl\\:divide-x > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(1px * var(--tw-divide-x-reverse));\n    border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .xl\\:divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n  }\n\n  .xl\\:divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n  }\n\n  .xl\\:divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n  }\n\n  .xl\\:divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n  }\n\n  .xl\\:divide-y > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n  }\n\n  .xl\\:divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 1;\n  }\n\n  .xl\\:divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 1;\n  }\n\n  .xl\\:divide-solid > :not([hidden]) ~ :not([hidden]) {\n    border-style: solid;\n  }\n\n  .xl\\:divide-dashed > :not([hidden]) ~ :not([hidden]) {\n    border-style: dashed;\n  }\n\n  .xl\\:divide-dotted > :not([hidden]) ~ :not([hidden]) {\n    border-style: dotted;\n  }\n\n  .xl\\:divide-double > :not([hidden]) ~ :not([hidden]) {\n    border-style: double;\n  }\n\n  .xl\\:divide-none > :not([hidden]) ~ :not([hidden]) {\n    border-style: none;\n  }\n\n  .xl\\:divide-transparent > :not([hidden]) ~ :not([hidden]) {\n    border-color: transparent;\n  }\n\n  .xl\\:divide-current > :not([hidden]) ~ :not([hidden]) {\n    border-color: currentColor;\n  }\n\n  .xl\\:divide-black > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-white > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n  }\n\n  .xl\\:divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0;\n  }\n\n  .xl\\:divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.05;\n  }\n\n  .xl\\:divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.1;\n  }\n\n  .xl\\:divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.2;\n  }\n\n  .xl\\:divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.25;\n  }\n\n  .xl\\:divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.3;\n  }\n\n  .xl\\:divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.4;\n  }\n\n  .xl\\:divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.5;\n  }\n\n  .xl\\:divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.6;\n  }\n\n  .xl\\:divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.7;\n  }\n\n  .xl\\:divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.75;\n  }\n\n  .xl\\:divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.8;\n  }\n\n  .xl\\:divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.9;\n  }\n\n  .xl\\:divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.95;\n  }\n\n  .xl\\:divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n  }\n\n  .xl\\:place-self-auto {\n    place-self: auto;\n  }\n\n  .xl\\:place-self-start {\n    place-self: start;\n  }\n\n  .xl\\:place-self-end {\n    place-self: end;\n  }\n\n  .xl\\:place-self-center {\n    place-self: center;\n  }\n\n  .xl\\:place-self-stretch {\n    place-self: stretch;\n  }\n\n  .xl\\:self-auto {\n    align-self: auto;\n  }\n\n  .xl\\:self-start {\n    align-self: flex-start;\n  }\n\n  .xl\\:self-end {\n    align-self: flex-end;\n  }\n\n  .xl\\:self-center {\n    align-self: center;\n  }\n\n  .xl\\:self-stretch {\n    align-self: stretch;\n  }\n\n  .xl\\:self-baseline {\n    align-self: baseline;\n  }\n\n  .xl\\:justify-self-auto {\n    justify-self: auto;\n  }\n\n  .xl\\:justify-self-start {\n    justify-self: start;\n  }\n\n  .xl\\:justify-self-end {\n    justify-self: end;\n  }\n\n  .xl\\:justify-self-center {\n    justify-self: center;\n  }\n\n  .xl\\:justify-self-stretch {\n    justify-self: stretch;\n  }\n\n  .xl\\:overflow-auto {\n    overflow: auto;\n  }\n\n  .xl\\:overflow-hidden {\n    overflow: hidden;\n  }\n\n  .xl\\:overflow-visible {\n    overflow: visible;\n  }\n\n  .xl\\:overflow-scroll {\n    overflow: scroll;\n  }\n\n  .xl\\:overflow-x-auto {\n    overflow-x: auto;\n  }\n\n  .xl\\:overflow-y-auto {\n    overflow-y: auto;\n  }\n\n  .xl\\:overflow-x-hidden {\n    overflow-x: hidden;\n  }\n\n  .xl\\:overflow-y-hidden {\n    overflow-y: hidden;\n  }\n\n  .xl\\:overflow-x-visible {\n    overflow-x: visible;\n  }\n\n  .xl\\:overflow-y-visible {\n    overflow-y: visible;\n  }\n\n  .xl\\:overflow-x-scroll {\n    overflow-x: scroll;\n  }\n\n  .xl\\:overflow-y-scroll {\n    overflow-y: scroll;\n  }\n\n  .xl\\:overscroll-auto {\n    overscroll-behavior: auto;\n  }\n\n  .xl\\:overscroll-contain {\n    overscroll-behavior: contain;\n  }\n\n  .xl\\:overscroll-none {\n    overscroll-behavior: none;\n  }\n\n  .xl\\:overscroll-y-auto {\n    overscroll-behavior-y: auto;\n  }\n\n  .xl\\:overscroll-y-contain {\n    overscroll-behavior-y: contain;\n  }\n\n  .xl\\:overscroll-y-none {\n    overscroll-behavior-y: none;\n  }\n\n  .xl\\:overscroll-x-auto {\n    overscroll-behavior-x: auto;\n  }\n\n  .xl\\:overscroll-x-contain {\n    overscroll-behavior-x: contain;\n  }\n\n  .xl\\:overscroll-x-none {\n    overscroll-behavior-x: none;\n  }\n\n  .xl\\:truncate {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .xl\\:overflow-ellipsis {\n    text-overflow: ellipsis;\n  }\n\n  .xl\\:overflow-clip {\n    text-overflow: clip;\n  }\n\n  .xl\\:whitespace-normal {\n    white-space: normal;\n  }\n\n  .xl\\:whitespace-nowrap {\n    white-space: nowrap;\n  }\n\n  .xl\\:whitespace-pre {\n    white-space: pre;\n  }\n\n  .xl\\:whitespace-pre-line {\n    white-space: pre-line;\n  }\n\n  .xl\\:whitespace-pre-wrap {\n    white-space: pre-wrap;\n  }\n\n  .xl\\:break-normal {\n    overflow-wrap: normal;\n    word-break: normal;\n  }\n\n  .xl\\:break-words {\n    overflow-wrap: break-word;\n  }\n\n  .xl\\:break-all {\n    word-break: break-all;\n  }\n\n  .xl\\:rounded-none {\n    border-radius: 0px;\n  }\n\n  .xl\\:rounded-sm {\n    border-radius: 0.125rem;\n  }\n\n  .xl\\:rounded {\n    border-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-md {\n    border-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-lg {\n    border-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-xl {\n    border-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-2xl {\n    border-radius: 1rem;\n  }\n\n  .xl\\:rounded-3xl {\n    border-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-full {\n    border-radius: 9999px;\n  }\n\n  .xl\\:rounded-t-none {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n  }\n\n  .xl\\:rounded-t-sm {\n    border-top-left-radius: 0.125rem;\n    border-top-right-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-t {\n    border-top-left-radius: 0.25rem;\n    border-top-right-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-t-md {\n    border-top-left-radius: 0.375rem;\n    border-top-right-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-t-lg {\n    border-top-left-radius: 0.5rem;\n    border-top-right-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-t-xl {\n    border-top-left-radius: 0.75rem;\n    border-top-right-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-t-2xl {\n    border-top-left-radius: 1rem;\n    border-top-right-radius: 1rem;\n  }\n\n  .xl\\:rounded-t-3xl {\n    border-top-left-radius: 1.5rem;\n    border-top-right-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-t-full {\n    border-top-left-radius: 9999px;\n    border-top-right-radius: 9999px;\n  }\n\n  .xl\\:rounded-r-none {\n    border-top-right-radius: 0px;\n    border-bottom-right-radius: 0px;\n  }\n\n  .xl\\:rounded-r-sm {\n    border-top-right-radius: 0.125rem;\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-r {\n    border-top-right-radius: 0.25rem;\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-r-md {\n    border-top-right-radius: 0.375rem;\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-r-lg {\n    border-top-right-radius: 0.5rem;\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-r-xl {\n    border-top-right-radius: 0.75rem;\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-r-2xl {\n    border-top-right-radius: 1rem;\n    border-bottom-right-radius: 1rem;\n  }\n\n  .xl\\:rounded-r-3xl {\n    border-top-right-radius: 1.5rem;\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-r-full {\n    border-top-right-radius: 9999px;\n    border-bottom-right-radius: 9999px;\n  }\n\n  .xl\\:rounded-b-none {\n    border-bottom-right-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .xl\\:rounded-b-sm {\n    border-bottom-right-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-b {\n    border-bottom-right-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-b-md {\n    border-bottom-right-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-b-lg {\n    border-bottom-right-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-b-xl {\n    border-bottom-right-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-b-2xl {\n    border-bottom-right-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .xl\\:rounded-b-3xl {\n    border-bottom-right-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-b-full {\n    border-bottom-right-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .xl\\:rounded-l-none {\n    border-top-left-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .xl\\:rounded-l-sm {\n    border-top-left-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-l {\n    border-top-left-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-l-md {\n    border-top-left-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-l-lg {\n    border-top-left-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-l-xl {\n    border-top-left-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-l-2xl {\n    border-top-left-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .xl\\:rounded-l-3xl {\n    border-top-left-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-l-full {\n    border-top-left-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .xl\\:rounded-tl-none {\n    border-top-left-radius: 0px;\n  }\n\n  .xl\\:rounded-tl-sm {\n    border-top-left-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-tl {\n    border-top-left-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-tl-md {\n    border-top-left-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-tl-lg {\n    border-top-left-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-tl-xl {\n    border-top-left-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-tl-2xl {\n    border-top-left-radius: 1rem;\n  }\n\n  .xl\\:rounded-tl-3xl {\n    border-top-left-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-tl-full {\n    border-top-left-radius: 9999px;\n  }\n\n  .xl\\:rounded-tr-none {\n    border-top-right-radius: 0px;\n  }\n\n  .xl\\:rounded-tr-sm {\n    border-top-right-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-tr {\n    border-top-right-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-tr-md {\n    border-top-right-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-tr-lg {\n    border-top-right-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-tr-xl {\n    border-top-right-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-tr-2xl {\n    border-top-right-radius: 1rem;\n  }\n\n  .xl\\:rounded-tr-3xl {\n    border-top-right-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-tr-full {\n    border-top-right-radius: 9999px;\n  }\n\n  .xl\\:rounded-br-none {\n    border-bottom-right-radius: 0px;\n  }\n\n  .xl\\:rounded-br-sm {\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-br {\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-br-md {\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-br-lg {\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-br-xl {\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-br-2xl {\n    border-bottom-right-radius: 1rem;\n  }\n\n  .xl\\:rounded-br-3xl {\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-br-full {\n    border-bottom-right-radius: 9999px;\n  }\n\n  .xl\\:rounded-bl-none {\n    border-bottom-left-radius: 0px;\n  }\n\n  .xl\\:rounded-bl-sm {\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .xl\\:rounded-bl {\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .xl\\:rounded-bl-md {\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .xl\\:rounded-bl-lg {\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .xl\\:rounded-bl-xl {\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .xl\\:rounded-bl-2xl {\n    border-bottom-left-radius: 1rem;\n  }\n\n  .xl\\:rounded-bl-3xl {\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .xl\\:rounded-bl-full {\n    border-bottom-left-radius: 9999px;\n  }\n\n  .xl\\:border-0 {\n    border-width: 0px;\n  }\n\n  .xl\\:border-2 {\n    border-width: 2px;\n  }\n\n  .xl\\:border-4 {\n    border-width: 4px;\n  }\n\n  .xl\\:border-8 {\n    border-width: 8px;\n  }\n\n  .xl\\:border {\n    border-width: 1px;\n  }\n\n  .xl\\:border-t-0 {\n    border-top-width: 0px;\n  }\n\n  .xl\\:border-t-2 {\n    border-top-width: 2px;\n  }\n\n  .xl\\:border-t-4 {\n    border-top-width: 4px;\n  }\n\n  .xl\\:border-t-8 {\n    border-top-width: 8px;\n  }\n\n  .xl\\:border-t {\n    border-top-width: 1px;\n  }\n\n  .xl\\:border-r-0 {\n    border-right-width: 0px;\n  }\n\n  .xl\\:border-r-2 {\n    border-right-width: 2px;\n  }\n\n  .xl\\:border-r-4 {\n    border-right-width: 4px;\n  }\n\n  .xl\\:border-r-8 {\n    border-right-width: 8px;\n  }\n\n  .xl\\:border-r {\n    border-right-width: 1px;\n  }\n\n  .xl\\:border-b-0 {\n    border-bottom-width: 0px;\n  }\n\n  .xl\\:border-b-2 {\n    border-bottom-width: 2px;\n  }\n\n  .xl\\:border-b-4 {\n    border-bottom-width: 4px;\n  }\n\n  .xl\\:border-b-8 {\n    border-bottom-width: 8px;\n  }\n\n  .xl\\:border-b {\n    border-bottom-width: 1px;\n  }\n\n  .xl\\:border-l-0 {\n    border-left-width: 0px;\n  }\n\n  .xl\\:border-l-2 {\n    border-left-width: 2px;\n  }\n\n  .xl\\:border-l-4 {\n    border-left-width: 4px;\n  }\n\n  .xl\\:border-l-8 {\n    border-left-width: 8px;\n  }\n\n  .xl\\:border-l {\n    border-left-width: 1px;\n  }\n\n  .xl\\:border-solid {\n    border-style: solid;\n  }\n\n  .xl\\:border-dashed {\n    border-style: dashed;\n  }\n\n  .xl\\:border-dotted {\n    border-style: dotted;\n  }\n\n  .xl\\:border-double {\n    border-style: double;\n  }\n\n  .xl\\:border-none {\n    border-style: none;\n  }\n\n  .xl\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .xl\\:border-current {\n    border-color: currentColor;\n  }\n\n  .xl\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-current {\n    border-color: currentColor;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-transparent:focus-within {\n    border-color: transparent;\n  }\n\n  .xl\\:focus-within\\:border-current:focus-within {\n    border-color: currentColor;\n  }\n\n  .xl\\:focus-within\\:border-black:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-white:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-gray-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-red-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-yellow-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-green-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-blue-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-indigo-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-purple-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-pink-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-origin-protocol-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-origin-protocol-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-ousd-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-ousd-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-ousd-button-dark-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-ousd-button-dark-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-story-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-story-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-story-pink-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-story-pink-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus-within\\:border-footer-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-transparent:hover {\n    border-color: transparent;\n  }\n\n  .xl\\:hover\\:border-current:hover {\n    border-color: currentColor;\n  }\n\n  .xl\\:hover\\:border-black:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-white:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-gray-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-red-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-yellow-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-green-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-blue-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-indigo-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-purple-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-pink-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-origin-protocol-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-origin-protocol-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-ousd-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-ousd-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-ousd-button-dark-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-ousd-button-dark-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-story-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-story-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-story-pink-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-story-pink-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .xl\\:hover\\:border-footer-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-transparent:focus {\n    border-color: transparent;\n  }\n\n  .xl\\:focus\\:border-current:focus {\n    border-color: currentColor;\n  }\n\n  .xl\\:focus\\:border-black:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-white:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-gray-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-red-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-yellow-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-green-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-blue-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-indigo-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-purple-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-pink-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-origin-protocol-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-origin-protocol-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-ousd-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-ousd-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-ousd-button-dark-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-ousd-button-dark-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-story-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-story-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-story-pink-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-story-pink-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .xl\\:focus\\:border-footer-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .xl\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .xl\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .xl\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .xl\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .xl\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .xl\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .xl\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .xl\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .xl\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .xl\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .xl\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .xl\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .xl\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .xl\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .xl\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .group:hover .xl\\:group-hover\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .xl\\:focus-within\\:border-opacity-0:focus-within {\n    --tw-border-opacity: 0;\n  }\n\n  .xl\\:focus-within\\:border-opacity-5:focus-within {\n    --tw-border-opacity: 0.05;\n  }\n\n  .xl\\:focus-within\\:border-opacity-10:focus-within {\n    --tw-border-opacity: 0.1;\n  }\n\n  .xl\\:focus-within\\:border-opacity-20:focus-within {\n    --tw-border-opacity: 0.2;\n  }\n\n  .xl\\:focus-within\\:border-opacity-25:focus-within {\n    --tw-border-opacity: 0.25;\n  }\n\n  .xl\\:focus-within\\:border-opacity-30:focus-within {\n    --tw-border-opacity: 0.3;\n  }\n\n  .xl\\:focus-within\\:border-opacity-40:focus-within {\n    --tw-border-opacity: 0.4;\n  }\n\n  .xl\\:focus-within\\:border-opacity-50:focus-within {\n    --tw-border-opacity: 0.5;\n  }\n\n  .xl\\:focus-within\\:border-opacity-60:focus-within {\n    --tw-border-opacity: 0.6;\n  }\n\n  .xl\\:focus-within\\:border-opacity-70:focus-within {\n    --tw-border-opacity: 0.7;\n  }\n\n  .xl\\:focus-within\\:border-opacity-75:focus-within {\n    --tw-border-opacity: 0.75;\n  }\n\n  .xl\\:focus-within\\:border-opacity-80:focus-within {\n    --tw-border-opacity: 0.8;\n  }\n\n  .xl\\:focus-within\\:border-opacity-90:focus-within {\n    --tw-border-opacity: 0.9;\n  }\n\n  .xl\\:focus-within\\:border-opacity-95:focus-within {\n    --tw-border-opacity: 0.95;\n  }\n\n  .xl\\:focus-within\\:border-opacity-100:focus-within {\n    --tw-border-opacity: 1;\n  }\n\n  .xl\\:hover\\:border-opacity-0:hover {\n    --tw-border-opacity: 0;\n  }\n\n  .xl\\:hover\\:border-opacity-5:hover {\n    --tw-border-opacity: 0.05;\n  }\n\n  .xl\\:hover\\:border-opacity-10:hover {\n    --tw-border-opacity: 0.1;\n  }\n\n  .xl\\:hover\\:border-opacity-20:hover {\n    --tw-border-opacity: 0.2;\n  }\n\n  .xl\\:hover\\:border-opacity-25:hover {\n    --tw-border-opacity: 0.25;\n  }\n\n  .xl\\:hover\\:border-opacity-30:hover {\n    --tw-border-opacity: 0.3;\n  }\n\n  .xl\\:hover\\:border-opacity-40:hover {\n    --tw-border-opacity: 0.4;\n  }\n\n  .xl\\:hover\\:border-opacity-50:hover {\n    --tw-border-opacity: 0.5;\n  }\n\n  .xl\\:hover\\:border-opacity-60:hover {\n    --tw-border-opacity: 0.6;\n  }\n\n  .xl\\:hover\\:border-opacity-70:hover {\n    --tw-border-opacity: 0.7;\n  }\n\n  .xl\\:hover\\:border-opacity-75:hover {\n    --tw-border-opacity: 0.75;\n  }\n\n  .xl\\:hover\\:border-opacity-80:hover {\n    --tw-border-opacity: 0.8;\n  }\n\n  .xl\\:hover\\:border-opacity-90:hover {\n    --tw-border-opacity: 0.9;\n  }\n\n  .xl\\:hover\\:border-opacity-95:hover {\n    --tw-border-opacity: 0.95;\n  }\n\n  .xl\\:hover\\:border-opacity-100:hover {\n    --tw-border-opacity: 1;\n  }\n\n  .xl\\:focus\\:border-opacity-0:focus {\n    --tw-border-opacity: 0;\n  }\n\n  .xl\\:focus\\:border-opacity-5:focus {\n    --tw-border-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:border-opacity-10:focus {\n    --tw-border-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:border-opacity-20:focus {\n    --tw-border-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:border-opacity-25:focus {\n    --tw-border-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:border-opacity-30:focus {\n    --tw-border-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:border-opacity-40:focus {\n    --tw-border-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:border-opacity-50:focus {\n    --tw-border-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:border-opacity-60:focus {\n    --tw-border-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:border-opacity-70:focus {\n    --tw-border-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:border-opacity-75:focus {\n    --tw-border-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:border-opacity-80:focus {\n    --tw-border-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:border-opacity-90:focus {\n    --tw-border-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:border-opacity-95:focus {\n    --tw-border-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:border-opacity-100:focus {\n    --tw-border-opacity: 1;\n  }\n\n  .xl\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .xl\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .xl\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-transparent:focus-within {\n    background-color: transparent;\n  }\n\n  .xl\\:focus-within\\:bg-current:focus-within {\n    background-color: currentColor;\n  }\n\n  .xl\\:focus-within\\:bg-black:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-white:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-gray-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-red-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-yellow-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-green-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-blue-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-indigo-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-purple-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-pink-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-origin-protocol-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-origin-protocol-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-ousd-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-ousd-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-ousd-button-dark-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-ousd-button-dark-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-story-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-story-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-story-pink-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-story-pink-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus-within\\:bg-footer-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-transparent:hover {\n    background-color: transparent;\n  }\n\n  .xl\\:hover\\:bg-current:hover {\n    background-color: currentColor;\n  }\n\n  .xl\\:hover\\:bg-black:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-white:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-gray-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-red-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-yellow-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-green-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-blue-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-indigo-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-purple-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-pink-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-origin-protocol-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-origin-protocol-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-ousd-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-ousd-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-ousd-button-dark-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-ousd-button-dark-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-story-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-story-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-story-pink-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-story-pink-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .xl\\:hover\\:bg-footer-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-transparent:focus {\n    background-color: transparent;\n  }\n\n  .xl\\:focus\\:bg-current:focus {\n    background-color: currentColor;\n  }\n\n  .xl\\:focus\\:bg-black:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-white:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-gray-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-red-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-yellow-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-green-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-blue-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-indigo-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-purple-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-pink-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-origin-protocol-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-origin-protocol-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-ousd-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-ousd-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-ousd-button-dark-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-ousd-button-dark-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-story-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-story-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-story-pink-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-story-pink-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .xl\\:focus\\:bg-footer-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .xl\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .xl\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .xl\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .xl\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .xl\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .xl\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .xl\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .xl\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .xl\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .xl\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .xl\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .xl\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .xl\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .xl\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .xl\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .group:hover .xl\\:group-hover\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-0:focus-within {\n    --tw-bg-opacity: 0;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-5:focus-within {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-10:focus-within {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-20:focus-within {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-25:focus-within {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-30:focus-within {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-40:focus-within {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-50:focus-within {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-60:focus-within {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-70:focus-within {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-75:focus-within {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-80:focus-within {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-90:focus-within {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-95:focus-within {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .xl\\:focus-within\\:bg-opacity-100:focus-within {\n    --tw-bg-opacity: 1;\n  }\n\n  .xl\\:hover\\:bg-opacity-0:hover {\n    --tw-bg-opacity: 0;\n  }\n\n  .xl\\:hover\\:bg-opacity-5:hover {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .xl\\:hover\\:bg-opacity-10:hover {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .xl\\:hover\\:bg-opacity-20:hover {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .xl\\:hover\\:bg-opacity-25:hover {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .xl\\:hover\\:bg-opacity-30:hover {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .xl\\:hover\\:bg-opacity-40:hover {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .xl\\:hover\\:bg-opacity-50:hover {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .xl\\:hover\\:bg-opacity-60:hover {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .xl\\:hover\\:bg-opacity-70:hover {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .xl\\:hover\\:bg-opacity-75:hover {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .xl\\:hover\\:bg-opacity-80:hover {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .xl\\:hover\\:bg-opacity-90:hover {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .xl\\:hover\\:bg-opacity-95:hover {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .xl\\:hover\\:bg-opacity-100:hover {\n    --tw-bg-opacity: 1;\n  }\n\n  .xl\\:focus\\:bg-opacity-0:focus {\n    --tw-bg-opacity: 0;\n  }\n\n  .xl\\:focus\\:bg-opacity-5:focus {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:bg-opacity-10:focus {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:bg-opacity-20:focus {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:bg-opacity-25:focus {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:bg-opacity-30:focus {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:bg-opacity-40:focus {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:bg-opacity-50:focus {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:bg-opacity-60:focus {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:bg-opacity-70:focus {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:bg-opacity-75:focus {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:bg-opacity-80:focus {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:bg-opacity-90:focus {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:bg-opacity-95:focus {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:bg-opacity-100:focus {\n    --tw-bg-opacity: 1;\n  }\n\n  .xl\\:bg-none {\n    background-image: none;\n  }\n\n  .xl\\:bg-gradient-to-t {\n    background-image: linear-gradient(to top, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-tr {\n    background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-r {\n    background-image: linear-gradient(to right, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-br {\n    background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-b {\n    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-bl {\n    background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-l {\n    background-image: linear-gradient(to left, var(--tw-gradient-stops));\n  }\n\n  .xl\\:bg-gradient-to-tl {\n    background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n  }\n\n  .xl\\:from-transparent {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:from-current {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:from-black {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:from-white {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:from-gray-50 {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:from-gray-100 {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:from-gray-200 {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:from-gray-300 {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:from-gray-400 {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:from-gray-500 {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:from-gray-600 {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:from-gray-700 {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:from-gray-800 {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:from-gray-900 {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:from-red-50 {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:from-red-100 {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:from-red-200 {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:from-red-300 {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:from-red-400 {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:from-red-500 {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:from-red-600 {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:from-red-700 {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:from-red-800 {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:from-red-900 {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:from-yellow-50 {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:from-yellow-100 {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:from-yellow-200 {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:from-yellow-300 {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:from-yellow-400 {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:from-yellow-500 {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:from-yellow-600 {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:from-yellow-700 {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:from-yellow-800 {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:from-yellow-900 {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:from-green-50 {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:from-green-100 {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:from-green-200 {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:from-green-300 {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:from-green-400 {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:from-green-500 {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:from-green-600 {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:from-green-700 {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:from-green-800 {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:from-green-900 {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:from-blue-50 {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:from-blue-100 {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:from-blue-200 {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:from-blue-300 {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:from-blue-400 {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:from-blue-500 {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:from-blue-600 {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:from-blue-700 {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:from-blue-800 {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:from-blue-900 {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:from-indigo-50 {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:from-indigo-100 {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:from-indigo-200 {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:from-indigo-300 {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:from-indigo-400 {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:from-indigo-500 {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:from-indigo-600 {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:from-indigo-700 {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:from-indigo-800 {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:from-indigo-900 {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:from-purple-50 {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:from-purple-100 {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:from-purple-200 {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:from-purple-300 {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:from-purple-400 {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:from-purple-500 {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:from-purple-600 {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:from-purple-700 {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:from-purple-800 {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:from-purple-900 {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:from-pink-50 {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:from-pink-100 {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:from-pink-200 {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:from-pink-300 {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:from-pink-400 {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:from-pink-500 {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:from-pink-600 {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:from-pink-700 {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:from-pink-800 {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:from-pink-900 {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:from-origin-protocol-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:from-origin-protocol-button-end {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:from-ousd-button-start {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:from-ousd-button-end {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:from-ousd-button-dark-start {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:from-ousd-button-dark-end {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:from-story-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:from-story-button-end {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:from-story-pink-start {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:from-story-pink-end {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:from-footer-end {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:hover\\:from-transparent:hover {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:hover\\:from-current:hover {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:hover\\:from-black:hover {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:hover\\:from-white:hover {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:hover\\:from-gray-50:hover {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:hover\\:from-gray-100:hover {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:hover\\:from-gray-200:hover {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:hover\\:from-gray-300:hover {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:hover\\:from-gray-400:hover {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:hover\\:from-gray-500:hover {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:hover\\:from-gray-600:hover {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:hover\\:from-gray-700:hover {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:hover\\:from-gray-800:hover {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:hover\\:from-gray-900:hover {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:hover\\:from-red-50:hover {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:hover\\:from-red-100:hover {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:hover\\:from-red-200:hover {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:hover\\:from-red-300:hover {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:hover\\:from-red-400:hover {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:hover\\:from-red-500:hover {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:hover\\:from-red-600:hover {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:hover\\:from-red-700:hover {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:hover\\:from-red-800:hover {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:hover\\:from-red-900:hover {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-50:hover {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-100:hover {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-200:hover {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-300:hover {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-400:hover {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-500:hover {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-600:hover {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-700:hover {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-800:hover {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:hover\\:from-yellow-900:hover {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:hover\\:from-green-50:hover {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:hover\\:from-green-100:hover {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:hover\\:from-green-200:hover {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:hover\\:from-green-300:hover {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:hover\\:from-green-400:hover {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:hover\\:from-green-500:hover {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:hover\\:from-green-600:hover {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:hover\\:from-green-700:hover {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:hover\\:from-green-800:hover {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:hover\\:from-green-900:hover {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:hover\\:from-blue-50:hover {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:hover\\:from-blue-100:hover {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:hover\\:from-blue-200:hover {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:hover\\:from-blue-300:hover {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:hover\\:from-blue-400:hover {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:hover\\:from-blue-500:hover {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:hover\\:from-blue-600:hover {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:hover\\:from-blue-700:hover {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:hover\\:from-blue-800:hover {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:hover\\:from-blue-900:hover {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-50:hover {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-100:hover {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-200:hover {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-300:hover {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-400:hover {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-500:hover {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-600:hover {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-700:hover {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-800:hover {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:hover\\:from-indigo-900:hover {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:hover\\:from-purple-50:hover {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:hover\\:from-purple-100:hover {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:hover\\:from-purple-200:hover {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:hover\\:from-purple-300:hover {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:hover\\:from-purple-400:hover {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:hover\\:from-purple-500:hover {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:hover\\:from-purple-600:hover {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:hover\\:from-purple-700:hover {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:hover\\:from-purple-800:hover {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:hover\\:from-purple-900:hover {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:hover\\:from-pink-50:hover {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:hover\\:from-pink-100:hover {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:hover\\:from-pink-200:hover {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:hover\\:from-pink-300:hover {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:hover\\:from-pink-400:hover {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:hover\\:from-pink-500:hover {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:hover\\:from-pink-600:hover {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:hover\\:from-pink-700:hover {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:hover\\:from-pink-800:hover {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:hover\\:from-pink-900:hover {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:hover\\:from-origin-protocol-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:hover\\:from-origin-protocol-button-end:hover {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:hover\\:from-ousd-button-start:hover {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:hover\\:from-ousd-button-end:hover {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:hover\\:from-ousd-button-dark-start:hover {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:hover\\:from-ousd-button-dark-end:hover {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:hover\\:from-story-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:hover\\:from-story-button-end:hover {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:hover\\:from-story-pink-start:hover {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:hover\\:from-story-pink-end:hover {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:hover\\:from-footer-end:hover {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:focus\\:from-transparent:focus {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:focus\\:from-current:focus {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:focus\\:from-black:focus {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:focus\\:from-white:focus {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:focus\\:from-gray-50:focus {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:focus\\:from-gray-100:focus {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:focus\\:from-gray-200:focus {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:focus\\:from-gray-300:focus {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:focus\\:from-gray-400:focus {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:focus\\:from-gray-500:focus {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:focus\\:from-gray-600:focus {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:focus\\:from-gray-700:focus {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:focus\\:from-gray-800:focus {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:focus\\:from-gray-900:focus {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:focus\\:from-red-50:focus {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:focus\\:from-red-100:focus {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:focus\\:from-red-200:focus {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:focus\\:from-red-300:focus {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:focus\\:from-red-400:focus {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:focus\\:from-red-500:focus {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:focus\\:from-red-600:focus {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:focus\\:from-red-700:focus {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:focus\\:from-red-800:focus {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:focus\\:from-red-900:focus {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-50:focus {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-100:focus {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-200:focus {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-300:focus {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-400:focus {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-500:focus {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-600:focus {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-700:focus {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-800:focus {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:focus\\:from-yellow-900:focus {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:focus\\:from-green-50:focus {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:focus\\:from-green-100:focus {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:focus\\:from-green-200:focus {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:focus\\:from-green-300:focus {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:focus\\:from-green-400:focus {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:focus\\:from-green-500:focus {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:focus\\:from-green-600:focus {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:focus\\:from-green-700:focus {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:focus\\:from-green-800:focus {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:focus\\:from-green-900:focus {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:focus\\:from-blue-50:focus {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:focus\\:from-blue-100:focus {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:focus\\:from-blue-200:focus {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:focus\\:from-blue-300:focus {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:focus\\:from-blue-400:focus {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:focus\\:from-blue-500:focus {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:focus\\:from-blue-600:focus {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:focus\\:from-blue-700:focus {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:focus\\:from-blue-800:focus {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:focus\\:from-blue-900:focus {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-50:focus {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-100:focus {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-200:focus {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-300:focus {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-400:focus {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-500:focus {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-600:focus {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-700:focus {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-800:focus {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:focus\\:from-indigo-900:focus {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:focus\\:from-purple-50:focus {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:focus\\:from-purple-100:focus {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:focus\\:from-purple-200:focus {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:focus\\:from-purple-300:focus {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:focus\\:from-purple-400:focus {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:focus\\:from-purple-500:focus {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:focus\\:from-purple-600:focus {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:focus\\:from-purple-700:focus {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:focus\\:from-purple-800:focus {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:focus\\:from-purple-900:focus {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:focus\\:from-pink-50:focus {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:focus\\:from-pink-100:focus {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:focus\\:from-pink-200:focus {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:focus\\:from-pink-300:focus {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:focus\\:from-pink-400:focus {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:focus\\:from-pink-500:focus {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:focus\\:from-pink-600:focus {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:focus\\:from-pink-700:focus {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:focus\\:from-pink-800:focus {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:focus\\:from-pink-900:focus {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:focus\\:from-origin-protocol-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:focus\\:from-origin-protocol-button-end:focus {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:focus\\:from-ousd-button-start:focus {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:focus\\:from-ousd-button-end:focus {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:focus\\:from-ousd-button-dark-start:focus {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:focus\\:from-ousd-button-dark-end:focus {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:focus\\:from-story-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:focus\\:from-story-button-end:focus {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:focus\\:from-story-pink-start:focus {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:focus\\:from-story-pink-end:focus {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:focus\\:from-footer-end:focus {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:via-transparent {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:via-current {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:via-black {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:via-white {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:via-gray-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:via-gray-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:via-gray-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:via-gray-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:via-gray-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:via-gray-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:via-gray-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:via-gray-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:via-gray-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:via-gray-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:via-red-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:via-red-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:via-red-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:via-red-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:via-red-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:via-red-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:via-red-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:via-red-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:via-red-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:via-red-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:via-yellow-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:via-yellow-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:via-yellow-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:via-yellow-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:via-yellow-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:via-yellow-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:via-yellow-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:via-yellow-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:via-yellow-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:via-yellow-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:via-green-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:via-green-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:via-green-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:via-green-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:via-green-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:via-green-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:via-green-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:via-green-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:via-green-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:via-green-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:via-blue-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:via-blue-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:via-blue-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:via-blue-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:via-blue-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:via-blue-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:via-blue-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:via-blue-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:via-blue-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:via-blue-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:via-indigo-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:via-indigo-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:via-indigo-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:via-indigo-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:via-indigo-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:via-indigo-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:via-indigo-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:via-indigo-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:via-indigo-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:via-indigo-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:via-purple-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:via-purple-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:via-purple-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:via-purple-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:via-purple-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:via-purple-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:via-purple-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:via-purple-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:via-purple-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:via-purple-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:via-pink-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:via-pink-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:via-pink-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:via-pink-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:via-pink-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:via-pink-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:via-pink-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:via-pink-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:via-pink-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:via-pink-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:via-origin-protocol-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:via-origin-protocol-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:via-ousd-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:via-ousd-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:via-ousd-button-dark-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:via-ousd-button-dark-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:via-story-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:via-story-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:via-story-pink-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:via-story-pink-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:via-footer-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:hover\\:via-transparent:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:hover\\:via-current:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:hover\\:via-black:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:hover\\:via-white:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:hover\\:via-gray-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:hover\\:via-gray-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:hover\\:via-gray-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:hover\\:via-gray-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:hover\\:via-gray-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:hover\\:via-gray-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:hover\\:via-gray-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:hover\\:via-gray-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:hover\\:via-gray-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:hover\\:via-gray-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:hover\\:via-red-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:hover\\:via-red-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:hover\\:via-red-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:hover\\:via-red-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:hover\\:via-red-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:hover\\:via-red-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:hover\\:via-red-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:hover\\:via-red-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:hover\\:via-red-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:hover\\:via-red-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:hover\\:via-yellow-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:hover\\:via-green-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:hover\\:via-green-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:hover\\:via-green-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:hover\\:via-green-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:hover\\:via-green-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:hover\\:via-green-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:hover\\:via-green-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:hover\\:via-green-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:hover\\:via-green-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:hover\\:via-green-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:hover\\:via-blue-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:hover\\:via-blue-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:hover\\:via-blue-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:hover\\:via-blue-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:hover\\:via-blue-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:hover\\:via-blue-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:hover\\:via-blue-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:hover\\:via-blue-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:hover\\:via-blue-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:hover\\:via-blue-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:hover\\:via-indigo-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:hover\\:via-purple-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:hover\\:via-purple-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:hover\\:via-purple-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:hover\\:via-purple-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:hover\\:via-purple-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:hover\\:via-purple-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:hover\\:via-purple-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:hover\\:via-purple-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:hover\\:via-purple-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:hover\\:via-purple-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:hover\\:via-pink-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:hover\\:via-pink-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:hover\\:via-pink-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:hover\\:via-pink-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:hover\\:via-pink-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:hover\\:via-pink-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:hover\\:via-pink-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:hover\\:via-pink-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:hover\\:via-pink-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:hover\\:via-pink-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:hover\\:via-origin-protocol-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:hover\\:via-origin-protocol-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:hover\\:via-ousd-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:hover\\:via-ousd-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:hover\\:via-ousd-button-dark-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:hover\\:via-ousd-button-dark-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:hover\\:via-story-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:hover\\:via-story-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:hover\\:via-story-pink-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:hover\\:via-story-pink-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:hover\\:via-footer-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:focus\\:via-transparent:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:focus\\:via-current:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:focus\\:via-black:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .xl\\:focus\\:via-white:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .xl\\:focus\\:via-gray-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .xl\\:focus\\:via-gray-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .xl\\:focus\\:via-gray-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .xl\\:focus\\:via-gray-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .xl\\:focus\\:via-gray-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .xl\\:focus\\:via-gray-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .xl\\:focus\\:via-gray-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .xl\\:focus\\:via-gray-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .xl\\:focus\\:via-gray-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .xl\\:focus\\:via-gray-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .xl\\:focus\\:via-red-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .xl\\:focus\\:via-red-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .xl\\:focus\\:via-red-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .xl\\:focus\\:via-red-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .xl\\:focus\\:via-red-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .xl\\:focus\\:via-red-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .xl\\:focus\\:via-red-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .xl\\:focus\\:via-red-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .xl\\:focus\\:via-red-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .xl\\:focus\\:via-red-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .xl\\:focus\\:via-yellow-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .xl\\:focus\\:via-green-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .xl\\:focus\\:via-green-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .xl\\:focus\\:via-green-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .xl\\:focus\\:via-green-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .xl\\:focus\\:via-green-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .xl\\:focus\\:via-green-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .xl\\:focus\\:via-green-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .xl\\:focus\\:via-green-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .xl\\:focus\\:via-green-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .xl\\:focus\\:via-green-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .xl\\:focus\\:via-blue-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .xl\\:focus\\:via-blue-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .xl\\:focus\\:via-blue-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .xl\\:focus\\:via-blue-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .xl\\:focus\\:via-blue-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .xl\\:focus\\:via-blue-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .xl\\:focus\\:via-blue-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .xl\\:focus\\:via-blue-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .xl\\:focus\\:via-blue-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .xl\\:focus\\:via-blue-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .xl\\:focus\\:via-indigo-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .xl\\:focus\\:via-purple-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .xl\\:focus\\:via-purple-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .xl\\:focus\\:via-purple-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .xl\\:focus\\:via-purple-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .xl\\:focus\\:via-purple-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .xl\\:focus\\:via-purple-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .xl\\:focus\\:via-purple-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .xl\\:focus\\:via-purple-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .xl\\:focus\\:via-purple-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .xl\\:focus\\:via-purple-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .xl\\:focus\\:via-pink-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .xl\\:focus\\:via-pink-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .xl\\:focus\\:via-pink-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .xl\\:focus\\:via-pink-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .xl\\:focus\\:via-pink-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .xl\\:focus\\:via-pink-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .xl\\:focus\\:via-pink-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .xl\\:focus\\:via-pink-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .xl\\:focus\\:via-pink-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .xl\\:focus\\:via-pink-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .xl\\:focus\\:via-origin-protocol-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:focus\\:via-origin-protocol-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .xl\\:focus\\:via-ousd-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .xl\\:focus\\:via-ousd-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .xl\\:focus\\:via-ousd-button-dark-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .xl\\:focus\\:via-ousd-button-dark-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .xl\\:focus\\:via-story-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .xl\\:focus\\:via-story-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .xl\\:focus\\:via-story-pink-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .xl\\:focus\\:via-story-pink-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .xl\\:focus\\:via-footer-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .xl\\:to-transparent {\n    --tw-gradient-to: transparent;\n  }\n\n  .xl\\:to-current {\n    --tw-gradient-to: currentColor;\n  }\n\n  .xl\\:to-black {\n    --tw-gradient-to: #000;\n  }\n\n  .xl\\:to-white {\n    --tw-gradient-to: #fff;\n  }\n\n  .xl\\:to-gray-50 {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .xl\\:to-gray-100 {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .xl\\:to-gray-200 {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .xl\\:to-gray-300 {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .xl\\:to-gray-400 {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .xl\\:to-gray-500 {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .xl\\:to-gray-600 {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .xl\\:to-gray-700 {\n    --tw-gradient-to: #374151;\n  }\n\n  .xl\\:to-gray-800 {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .xl\\:to-gray-900 {\n    --tw-gradient-to: #111827;\n  }\n\n  .xl\\:to-red-50 {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .xl\\:to-red-100 {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .xl\\:to-red-200 {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .xl\\:to-red-300 {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .xl\\:to-red-400 {\n    --tw-gradient-to: #f87171;\n  }\n\n  .xl\\:to-red-500 {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .xl\\:to-red-600 {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .xl\\:to-red-700 {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .xl\\:to-red-800 {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .xl\\:to-red-900 {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .xl\\:to-yellow-50 {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .xl\\:to-yellow-100 {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .xl\\:to-yellow-200 {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .xl\\:to-yellow-300 {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .xl\\:to-yellow-400 {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .xl\\:to-yellow-500 {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .xl\\:to-yellow-600 {\n    --tw-gradient-to: #d97706;\n  }\n\n  .xl\\:to-yellow-700 {\n    --tw-gradient-to: #b45309;\n  }\n\n  .xl\\:to-yellow-800 {\n    --tw-gradient-to: #92400e;\n  }\n\n  .xl\\:to-yellow-900 {\n    --tw-gradient-to: #78350f;\n  }\n\n  .xl\\:to-green-50 {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .xl\\:to-green-100 {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .xl\\:to-green-200 {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .xl\\:to-green-300 {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .xl\\:to-green-400 {\n    --tw-gradient-to: #34d399;\n  }\n\n  .xl\\:to-green-500 {\n    --tw-gradient-to: #10b981;\n  }\n\n  .xl\\:to-green-600 {\n    --tw-gradient-to: #059669;\n  }\n\n  .xl\\:to-green-700 {\n    --tw-gradient-to: #047857;\n  }\n\n  .xl\\:to-green-800 {\n    --tw-gradient-to: #065f46;\n  }\n\n  .xl\\:to-green-900 {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .xl\\:to-blue-50 {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .xl\\:to-blue-100 {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .xl\\:to-blue-200 {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .xl\\:to-blue-300 {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .xl\\:to-blue-400 {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .xl\\:to-blue-500 {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .xl\\:to-blue-600 {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .xl\\:to-blue-700 {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .xl\\:to-blue-800 {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .xl\\:to-blue-900 {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .xl\\:to-indigo-50 {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .xl\\:to-indigo-100 {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .xl\\:to-indigo-200 {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .xl\\:to-indigo-300 {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .xl\\:to-indigo-400 {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .xl\\:to-indigo-500 {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .xl\\:to-indigo-600 {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .xl\\:to-indigo-700 {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .xl\\:to-indigo-800 {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .xl\\:to-indigo-900 {\n    --tw-gradient-to: #312e81;\n  }\n\n  .xl\\:to-purple-50 {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .xl\\:to-purple-100 {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .xl\\:to-purple-200 {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .xl\\:to-purple-300 {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .xl\\:to-purple-400 {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .xl\\:to-purple-500 {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .xl\\:to-purple-600 {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .xl\\:to-purple-700 {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .xl\\:to-purple-800 {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .xl\\:to-purple-900 {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .xl\\:to-pink-50 {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .xl\\:to-pink-100 {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .xl\\:to-pink-200 {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .xl\\:to-pink-300 {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .xl\\:to-pink-400 {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .xl\\:to-pink-500 {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .xl\\:to-pink-600 {\n    --tw-gradient-to: #db2777;\n  }\n\n  .xl\\:to-pink-700 {\n    --tw-gradient-to: #be185d;\n  }\n\n  .xl\\:to-pink-800 {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .xl\\:to-pink-900 {\n    --tw-gradient-to: #831843;\n  }\n\n  .xl\\:to-origin-protocol-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:to-origin-protocol-button-end {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .xl\\:to-ousd-button-start {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .xl\\:to-ousd-button-end {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .xl\\:to-ousd-button-dark-start {\n    --tw-gradient-to: #402154;\n  }\n\n  .xl\\:to-ousd-button-dark-end {\n    --tw-gradient-to: #120046;\n  }\n\n  .xl\\:to-story-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:to-story-button-end {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .xl\\:to-story-pink-start {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .xl\\:to-story-pink-end {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .xl\\:to-footer-end {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .xl\\:hover\\:to-transparent:hover {\n    --tw-gradient-to: transparent;\n  }\n\n  .xl\\:hover\\:to-current:hover {\n    --tw-gradient-to: currentColor;\n  }\n\n  .xl\\:hover\\:to-black:hover {\n    --tw-gradient-to: #000;\n  }\n\n  .xl\\:hover\\:to-white:hover {\n    --tw-gradient-to: #fff;\n  }\n\n  .xl\\:hover\\:to-gray-50:hover {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .xl\\:hover\\:to-gray-100:hover {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .xl\\:hover\\:to-gray-200:hover {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .xl\\:hover\\:to-gray-300:hover {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .xl\\:hover\\:to-gray-400:hover {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .xl\\:hover\\:to-gray-500:hover {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .xl\\:hover\\:to-gray-600:hover {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .xl\\:hover\\:to-gray-700:hover {\n    --tw-gradient-to: #374151;\n  }\n\n  .xl\\:hover\\:to-gray-800:hover {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .xl\\:hover\\:to-gray-900:hover {\n    --tw-gradient-to: #111827;\n  }\n\n  .xl\\:hover\\:to-red-50:hover {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .xl\\:hover\\:to-red-100:hover {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .xl\\:hover\\:to-red-200:hover {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .xl\\:hover\\:to-red-300:hover {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .xl\\:hover\\:to-red-400:hover {\n    --tw-gradient-to: #f87171;\n  }\n\n  .xl\\:hover\\:to-red-500:hover {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .xl\\:hover\\:to-red-600:hover {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .xl\\:hover\\:to-red-700:hover {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .xl\\:hover\\:to-red-800:hover {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .xl\\:hover\\:to-red-900:hover {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .xl\\:hover\\:to-yellow-50:hover {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .xl\\:hover\\:to-yellow-100:hover {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .xl\\:hover\\:to-yellow-200:hover {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .xl\\:hover\\:to-yellow-300:hover {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .xl\\:hover\\:to-yellow-400:hover {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .xl\\:hover\\:to-yellow-500:hover {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .xl\\:hover\\:to-yellow-600:hover {\n    --tw-gradient-to: #d97706;\n  }\n\n  .xl\\:hover\\:to-yellow-700:hover {\n    --tw-gradient-to: #b45309;\n  }\n\n  .xl\\:hover\\:to-yellow-800:hover {\n    --tw-gradient-to: #92400e;\n  }\n\n  .xl\\:hover\\:to-yellow-900:hover {\n    --tw-gradient-to: #78350f;\n  }\n\n  .xl\\:hover\\:to-green-50:hover {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .xl\\:hover\\:to-green-100:hover {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .xl\\:hover\\:to-green-200:hover {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .xl\\:hover\\:to-green-300:hover {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .xl\\:hover\\:to-green-400:hover {\n    --tw-gradient-to: #34d399;\n  }\n\n  .xl\\:hover\\:to-green-500:hover {\n    --tw-gradient-to: #10b981;\n  }\n\n  .xl\\:hover\\:to-green-600:hover {\n    --tw-gradient-to: #059669;\n  }\n\n  .xl\\:hover\\:to-green-700:hover {\n    --tw-gradient-to: #047857;\n  }\n\n  .xl\\:hover\\:to-green-800:hover {\n    --tw-gradient-to: #065f46;\n  }\n\n  .xl\\:hover\\:to-green-900:hover {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .xl\\:hover\\:to-blue-50:hover {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .xl\\:hover\\:to-blue-100:hover {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .xl\\:hover\\:to-blue-200:hover {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .xl\\:hover\\:to-blue-300:hover {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .xl\\:hover\\:to-blue-400:hover {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .xl\\:hover\\:to-blue-500:hover {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .xl\\:hover\\:to-blue-600:hover {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .xl\\:hover\\:to-blue-700:hover {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .xl\\:hover\\:to-blue-800:hover {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .xl\\:hover\\:to-blue-900:hover {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .xl\\:hover\\:to-indigo-50:hover {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .xl\\:hover\\:to-indigo-100:hover {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .xl\\:hover\\:to-indigo-200:hover {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .xl\\:hover\\:to-indigo-300:hover {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .xl\\:hover\\:to-indigo-400:hover {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .xl\\:hover\\:to-indigo-500:hover {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .xl\\:hover\\:to-indigo-600:hover {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .xl\\:hover\\:to-indigo-700:hover {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .xl\\:hover\\:to-indigo-800:hover {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .xl\\:hover\\:to-indigo-900:hover {\n    --tw-gradient-to: #312e81;\n  }\n\n  .xl\\:hover\\:to-purple-50:hover {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .xl\\:hover\\:to-purple-100:hover {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .xl\\:hover\\:to-purple-200:hover {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .xl\\:hover\\:to-purple-300:hover {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .xl\\:hover\\:to-purple-400:hover {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .xl\\:hover\\:to-purple-500:hover {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .xl\\:hover\\:to-purple-600:hover {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .xl\\:hover\\:to-purple-700:hover {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .xl\\:hover\\:to-purple-800:hover {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .xl\\:hover\\:to-purple-900:hover {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .xl\\:hover\\:to-pink-50:hover {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .xl\\:hover\\:to-pink-100:hover {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .xl\\:hover\\:to-pink-200:hover {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .xl\\:hover\\:to-pink-300:hover {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .xl\\:hover\\:to-pink-400:hover {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .xl\\:hover\\:to-pink-500:hover {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .xl\\:hover\\:to-pink-600:hover {\n    --tw-gradient-to: #db2777;\n  }\n\n  .xl\\:hover\\:to-pink-700:hover {\n    --tw-gradient-to: #be185d;\n  }\n\n  .xl\\:hover\\:to-pink-800:hover {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .xl\\:hover\\:to-pink-900:hover {\n    --tw-gradient-to: #831843;\n  }\n\n  .xl\\:hover\\:to-origin-protocol-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:hover\\:to-origin-protocol-button-end:hover {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .xl\\:hover\\:to-ousd-button-start:hover {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .xl\\:hover\\:to-ousd-button-end:hover {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .xl\\:hover\\:to-ousd-button-dark-start:hover {\n    --tw-gradient-to: #402154;\n  }\n\n  .xl\\:hover\\:to-ousd-button-dark-end:hover {\n    --tw-gradient-to: #120046;\n  }\n\n  .xl\\:hover\\:to-story-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:hover\\:to-story-button-end:hover {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .xl\\:hover\\:to-story-pink-start:hover {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .xl\\:hover\\:to-story-pink-end:hover {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .xl\\:hover\\:to-footer-end:hover {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .xl\\:focus\\:to-transparent:focus {\n    --tw-gradient-to: transparent;\n  }\n\n  .xl\\:focus\\:to-current:focus {\n    --tw-gradient-to: currentColor;\n  }\n\n  .xl\\:focus\\:to-black:focus {\n    --tw-gradient-to: #000;\n  }\n\n  .xl\\:focus\\:to-white:focus {\n    --tw-gradient-to: #fff;\n  }\n\n  .xl\\:focus\\:to-gray-50:focus {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .xl\\:focus\\:to-gray-100:focus {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .xl\\:focus\\:to-gray-200:focus {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .xl\\:focus\\:to-gray-300:focus {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .xl\\:focus\\:to-gray-400:focus {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .xl\\:focus\\:to-gray-500:focus {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .xl\\:focus\\:to-gray-600:focus {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .xl\\:focus\\:to-gray-700:focus {\n    --tw-gradient-to: #374151;\n  }\n\n  .xl\\:focus\\:to-gray-800:focus {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .xl\\:focus\\:to-gray-900:focus {\n    --tw-gradient-to: #111827;\n  }\n\n  .xl\\:focus\\:to-red-50:focus {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .xl\\:focus\\:to-red-100:focus {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .xl\\:focus\\:to-red-200:focus {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .xl\\:focus\\:to-red-300:focus {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .xl\\:focus\\:to-red-400:focus {\n    --tw-gradient-to: #f87171;\n  }\n\n  .xl\\:focus\\:to-red-500:focus {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .xl\\:focus\\:to-red-600:focus {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .xl\\:focus\\:to-red-700:focus {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .xl\\:focus\\:to-red-800:focus {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .xl\\:focus\\:to-red-900:focus {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .xl\\:focus\\:to-yellow-50:focus {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .xl\\:focus\\:to-yellow-100:focus {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .xl\\:focus\\:to-yellow-200:focus {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .xl\\:focus\\:to-yellow-300:focus {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .xl\\:focus\\:to-yellow-400:focus {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .xl\\:focus\\:to-yellow-500:focus {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .xl\\:focus\\:to-yellow-600:focus {\n    --tw-gradient-to: #d97706;\n  }\n\n  .xl\\:focus\\:to-yellow-700:focus {\n    --tw-gradient-to: #b45309;\n  }\n\n  .xl\\:focus\\:to-yellow-800:focus {\n    --tw-gradient-to: #92400e;\n  }\n\n  .xl\\:focus\\:to-yellow-900:focus {\n    --tw-gradient-to: #78350f;\n  }\n\n  .xl\\:focus\\:to-green-50:focus {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .xl\\:focus\\:to-green-100:focus {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .xl\\:focus\\:to-green-200:focus {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .xl\\:focus\\:to-green-300:focus {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .xl\\:focus\\:to-green-400:focus {\n    --tw-gradient-to: #34d399;\n  }\n\n  .xl\\:focus\\:to-green-500:focus {\n    --tw-gradient-to: #10b981;\n  }\n\n  .xl\\:focus\\:to-green-600:focus {\n    --tw-gradient-to: #059669;\n  }\n\n  .xl\\:focus\\:to-green-700:focus {\n    --tw-gradient-to: #047857;\n  }\n\n  .xl\\:focus\\:to-green-800:focus {\n    --tw-gradient-to: #065f46;\n  }\n\n  .xl\\:focus\\:to-green-900:focus {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .xl\\:focus\\:to-blue-50:focus {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .xl\\:focus\\:to-blue-100:focus {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .xl\\:focus\\:to-blue-200:focus {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .xl\\:focus\\:to-blue-300:focus {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .xl\\:focus\\:to-blue-400:focus {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .xl\\:focus\\:to-blue-500:focus {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .xl\\:focus\\:to-blue-600:focus {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .xl\\:focus\\:to-blue-700:focus {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .xl\\:focus\\:to-blue-800:focus {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .xl\\:focus\\:to-blue-900:focus {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .xl\\:focus\\:to-indigo-50:focus {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .xl\\:focus\\:to-indigo-100:focus {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .xl\\:focus\\:to-indigo-200:focus {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .xl\\:focus\\:to-indigo-300:focus {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .xl\\:focus\\:to-indigo-400:focus {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .xl\\:focus\\:to-indigo-500:focus {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .xl\\:focus\\:to-indigo-600:focus {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .xl\\:focus\\:to-indigo-700:focus {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .xl\\:focus\\:to-indigo-800:focus {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .xl\\:focus\\:to-indigo-900:focus {\n    --tw-gradient-to: #312e81;\n  }\n\n  .xl\\:focus\\:to-purple-50:focus {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .xl\\:focus\\:to-purple-100:focus {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .xl\\:focus\\:to-purple-200:focus {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .xl\\:focus\\:to-purple-300:focus {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .xl\\:focus\\:to-purple-400:focus {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .xl\\:focus\\:to-purple-500:focus {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .xl\\:focus\\:to-purple-600:focus {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .xl\\:focus\\:to-purple-700:focus {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .xl\\:focus\\:to-purple-800:focus {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .xl\\:focus\\:to-purple-900:focus {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .xl\\:focus\\:to-pink-50:focus {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .xl\\:focus\\:to-pink-100:focus {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .xl\\:focus\\:to-pink-200:focus {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .xl\\:focus\\:to-pink-300:focus {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .xl\\:focus\\:to-pink-400:focus {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .xl\\:focus\\:to-pink-500:focus {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .xl\\:focus\\:to-pink-600:focus {\n    --tw-gradient-to: #db2777;\n  }\n\n  .xl\\:focus\\:to-pink-700:focus {\n    --tw-gradient-to: #be185d;\n  }\n\n  .xl\\:focus\\:to-pink-800:focus {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .xl\\:focus\\:to-pink-900:focus {\n    --tw-gradient-to: #831843;\n  }\n\n  .xl\\:focus\\:to-origin-protocol-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:focus\\:to-origin-protocol-button-end:focus {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .xl\\:focus\\:to-ousd-button-start:focus {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .xl\\:focus\\:to-ousd-button-end:focus {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .xl\\:focus\\:to-ousd-button-dark-start:focus {\n    --tw-gradient-to: #402154;\n  }\n\n  .xl\\:focus\\:to-ousd-button-dark-end:focus {\n    --tw-gradient-to: #120046;\n  }\n\n  .xl\\:focus\\:to-story-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .xl\\:focus\\:to-story-button-end:focus {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .xl\\:focus\\:to-story-pink-start:focus {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .xl\\:focus\\:to-story-pink-end:focus {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .xl\\:focus\\:to-footer-end:focus {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .xl\\:decoration-slice {\n    -webkit-box-decoration-break: slice;\n            box-decoration-break: slice;\n  }\n\n  .xl\\:decoration-clone {\n    -webkit-box-decoration-break: clone;\n            box-decoration-break: clone;\n  }\n\n  .xl\\:bg-auto {\n    background-size: auto;\n  }\n\n  .xl\\:bg-cover {\n    background-size: cover;\n  }\n\n  .xl\\:bg-contain {\n    background-size: contain;\n  }\n\n  .xl\\:bg-fixed {\n    background-attachment: fixed;\n  }\n\n  .xl\\:bg-local {\n    background-attachment: local;\n  }\n\n  .xl\\:bg-scroll {\n    background-attachment: scroll;\n  }\n\n  .xl\\:bg-clip-border {\n    background-clip: border-box;\n  }\n\n  .xl\\:bg-clip-padding {\n    background-clip: padding-box;\n  }\n\n  .xl\\:bg-clip-content {\n    background-clip: content-box;\n  }\n\n  .xl\\:bg-clip-text {\n    -webkit-background-clip: text;\n            background-clip: text;\n  }\n\n  .xl\\:bg-bottom {\n    background-position: bottom;\n  }\n\n  .xl\\:bg-center {\n    background-position: center;\n  }\n\n  .xl\\:bg-left {\n    background-position: left;\n  }\n\n  .xl\\:bg-left-bottom {\n    background-position: left bottom;\n  }\n\n  .xl\\:bg-left-top {\n    background-position: left top;\n  }\n\n  .xl\\:bg-right {\n    background-position: right;\n  }\n\n  .xl\\:bg-right-bottom {\n    background-position: right bottom;\n  }\n\n  .xl\\:bg-right-top {\n    background-position: right top;\n  }\n\n  .xl\\:bg-top {\n    background-position: top;\n  }\n\n  .xl\\:bg-repeat {\n    background-repeat: repeat;\n  }\n\n  .xl\\:bg-no-repeat {\n    background-repeat: no-repeat;\n  }\n\n  .xl\\:bg-repeat-x {\n    background-repeat: repeat-x;\n  }\n\n  .xl\\:bg-repeat-y {\n    background-repeat: repeat-y;\n  }\n\n  .xl\\:bg-repeat-round {\n    background-repeat: round;\n  }\n\n  .xl\\:bg-repeat-space {\n    background-repeat: space;\n  }\n\n  .xl\\:bg-origin-border {\n    background-origin: border-box;\n  }\n\n  .xl\\:bg-origin-padding {\n    background-origin: padding-box;\n  }\n\n  .xl\\:bg-origin-content {\n    background-origin: content-box;\n  }\n\n  .xl\\:fill-current {\n    fill: currentColor;\n  }\n\n  .xl\\:stroke-current {\n    stroke: currentColor;\n  }\n\n  .xl\\:stroke-0 {\n    stroke-width: 0;\n  }\n\n  .xl\\:stroke-1 {\n    stroke-width: 1;\n  }\n\n  .xl\\:stroke-2 {\n    stroke-width: 2;\n  }\n\n  .xl\\:object-contain {\n    -o-object-fit: contain;\n       object-fit: contain;\n  }\n\n  .xl\\:object-cover {\n    -o-object-fit: cover;\n       object-fit: cover;\n  }\n\n  .xl\\:object-fill {\n    -o-object-fit: fill;\n       object-fit: fill;\n  }\n\n  .xl\\:object-none {\n    -o-object-fit: none;\n       object-fit: none;\n  }\n\n  .xl\\:object-scale-down {\n    -o-object-fit: scale-down;\n       object-fit: scale-down;\n  }\n\n  .xl\\:object-bottom {\n    -o-object-position: bottom;\n       object-position: bottom;\n  }\n\n  .xl\\:object-center {\n    -o-object-position: center;\n       object-position: center;\n  }\n\n  .xl\\:object-left {\n    -o-object-position: left;\n       object-position: left;\n  }\n\n  .xl\\:object-left-bottom {\n    -o-object-position: left bottom;\n       object-position: left bottom;\n  }\n\n  .xl\\:object-left-top {\n    -o-object-position: left top;\n       object-position: left top;\n  }\n\n  .xl\\:object-right {\n    -o-object-position: right;\n       object-position: right;\n  }\n\n  .xl\\:object-right-bottom {\n    -o-object-position: right bottom;\n       object-position: right bottom;\n  }\n\n  .xl\\:object-right-top {\n    -o-object-position: right top;\n       object-position: right top;\n  }\n\n  .xl\\:object-top {\n    -o-object-position: top;\n       object-position: top;\n  }\n\n  .xl\\:p-0 {\n    padding: 0px;\n  }\n\n  .xl\\:p-1 {\n    padding: 0.25rem;\n  }\n\n  .xl\\:p-2 {\n    padding: 0.5rem;\n  }\n\n  .xl\\:p-3 {\n    padding: 0.75rem;\n  }\n\n  .xl\\:p-4 {\n    padding: 1rem;\n  }\n\n  .xl\\:p-5 {\n    padding: 1.25rem;\n  }\n\n  .xl\\:p-6 {\n    padding: 1.5rem;\n  }\n\n  .xl\\:p-7 {\n    padding: 1.75rem;\n  }\n\n  .xl\\:p-8 {\n    padding: 2rem;\n  }\n\n  .xl\\:p-9 {\n    padding: 2.25rem;\n  }\n\n  .xl\\:p-10 {\n    padding: 2.5rem;\n  }\n\n  .xl\\:p-11 {\n    padding: 2.75rem;\n  }\n\n  .xl\\:p-12 {\n    padding: 3rem;\n  }\n\n  .xl\\:p-14 {\n    padding: 3.5rem;\n  }\n\n  .xl\\:p-16 {\n    padding: 4rem;\n  }\n\n  .xl\\:p-20 {\n    padding: 5rem;\n  }\n\n  .xl\\:p-24 {\n    padding: 6rem;\n  }\n\n  .xl\\:p-28 {\n    padding: 7rem;\n  }\n\n  .xl\\:p-32 {\n    padding: 8rem;\n  }\n\n  .xl\\:p-36 {\n    padding: 9rem;\n  }\n\n  .xl\\:p-40 {\n    padding: 10rem;\n  }\n\n  .xl\\:p-44 {\n    padding: 11rem;\n  }\n\n  .xl\\:p-48 {\n    padding: 12rem;\n  }\n\n  .xl\\:p-52 {\n    padding: 13rem;\n  }\n\n  .xl\\:p-56 {\n    padding: 14rem;\n  }\n\n  .xl\\:p-60 {\n    padding: 15rem;\n  }\n\n  .xl\\:p-64 {\n    padding: 16rem;\n  }\n\n  .xl\\:p-72 {\n    padding: 18rem;\n  }\n\n  .xl\\:p-80 {\n    padding: 20rem;\n  }\n\n  .xl\\:p-96 {\n    padding: 24rem;\n  }\n\n  .xl\\:p-px {\n    padding: 1px;\n  }\n\n  .xl\\:p-0\\.5 {\n    padding: 0.125rem;\n  }\n\n  .xl\\:p-1\\.5 {\n    padding: 0.375rem;\n  }\n\n  .xl\\:p-2\\.5 {\n    padding: 0.625rem;\n  }\n\n  .xl\\:p-3\\.5 {\n    padding: 0.875rem;\n  }\n\n  .xl\\:px-0 {\n    padding-left: 0px;\n    padding-right: 0px;\n  }\n\n  .xl\\:px-1 {\n    padding-left: 0.25rem;\n    padding-right: 0.25rem;\n  }\n\n  .xl\\:px-2 {\n    padding-left: 0.5rem;\n    padding-right: 0.5rem;\n  }\n\n  .xl\\:px-3 {\n    padding-left: 0.75rem;\n    padding-right: 0.75rem;\n  }\n\n  .xl\\:px-4 {\n    padding-left: 1rem;\n    padding-right: 1rem;\n  }\n\n  .xl\\:px-5 {\n    padding-left: 1.25rem;\n    padding-right: 1.25rem;\n  }\n\n  .xl\\:px-6 {\n    padding-left: 1.5rem;\n    padding-right: 1.5rem;\n  }\n\n  .xl\\:px-7 {\n    padding-left: 1.75rem;\n    padding-right: 1.75rem;\n  }\n\n  .xl\\:px-8 {\n    padding-left: 2rem;\n    padding-right: 2rem;\n  }\n\n  .xl\\:px-9 {\n    padding-left: 2.25rem;\n    padding-right: 2.25rem;\n  }\n\n  .xl\\:px-10 {\n    padding-left: 2.5rem;\n    padding-right: 2.5rem;\n  }\n\n  .xl\\:px-11 {\n    padding-left: 2.75rem;\n    padding-right: 2.75rem;\n  }\n\n  .xl\\:px-12 {\n    padding-left: 3rem;\n    padding-right: 3rem;\n  }\n\n  .xl\\:px-14 {\n    padding-left: 3.5rem;\n    padding-right: 3.5rem;\n  }\n\n  .xl\\:px-16 {\n    padding-left: 4rem;\n    padding-right: 4rem;\n  }\n\n  .xl\\:px-20 {\n    padding-left: 5rem;\n    padding-right: 5rem;\n  }\n\n  .xl\\:px-24 {\n    padding-left: 6rem;\n    padding-right: 6rem;\n  }\n\n  .xl\\:px-28 {\n    padding-left: 7rem;\n    padding-right: 7rem;\n  }\n\n  .xl\\:px-32 {\n    padding-left: 8rem;\n    padding-right: 8rem;\n  }\n\n  .xl\\:px-36 {\n    padding-left: 9rem;\n    padding-right: 9rem;\n  }\n\n  .xl\\:px-40 {\n    padding-left: 10rem;\n    padding-right: 10rem;\n  }\n\n  .xl\\:px-44 {\n    padding-left: 11rem;\n    padding-right: 11rem;\n  }\n\n  .xl\\:px-48 {\n    padding-left: 12rem;\n    padding-right: 12rem;\n  }\n\n  .xl\\:px-52 {\n    padding-left: 13rem;\n    padding-right: 13rem;\n  }\n\n  .xl\\:px-56 {\n    padding-left: 14rem;\n    padding-right: 14rem;\n  }\n\n  .xl\\:px-60 {\n    padding-left: 15rem;\n    padding-right: 15rem;\n  }\n\n  .xl\\:px-64 {\n    padding-left: 16rem;\n    padding-right: 16rem;\n  }\n\n  .xl\\:px-72 {\n    padding-left: 18rem;\n    padding-right: 18rem;\n  }\n\n  .xl\\:px-80 {\n    padding-left: 20rem;\n    padding-right: 20rem;\n  }\n\n  .xl\\:px-96 {\n    padding-left: 24rem;\n    padding-right: 24rem;\n  }\n\n  .xl\\:px-px {\n    padding-left: 1px;\n    padding-right: 1px;\n  }\n\n  .xl\\:px-0\\.5 {\n    padding-left: 0.125rem;\n    padding-right: 0.125rem;\n  }\n\n  .xl\\:px-1\\.5 {\n    padding-left: 0.375rem;\n    padding-right: 0.375rem;\n  }\n\n  .xl\\:px-2\\.5 {\n    padding-left: 0.625rem;\n    padding-right: 0.625rem;\n  }\n\n  .xl\\:px-3\\.5 {\n    padding-left: 0.875rem;\n    padding-right: 0.875rem;\n  }\n\n  .xl\\:py-0 {\n    padding-top: 0px;\n    padding-bottom: 0px;\n  }\n\n  .xl\\:py-1 {\n    padding-top: 0.25rem;\n    padding-bottom: 0.25rem;\n  }\n\n  .xl\\:py-2 {\n    padding-top: 0.5rem;\n    padding-bottom: 0.5rem;\n  }\n\n  .xl\\:py-3 {\n    padding-top: 0.75rem;\n    padding-bottom: 0.75rem;\n  }\n\n  .xl\\:py-4 {\n    padding-top: 1rem;\n    padding-bottom: 1rem;\n  }\n\n  .xl\\:py-5 {\n    padding-top: 1.25rem;\n    padding-bottom: 1.25rem;\n  }\n\n  .xl\\:py-6 {\n    padding-top: 1.5rem;\n    padding-bottom: 1.5rem;\n  }\n\n  .xl\\:py-7 {\n    padding-top: 1.75rem;\n    padding-bottom: 1.75rem;\n  }\n\n  .xl\\:py-8 {\n    padding-top: 2rem;\n    padding-bottom: 2rem;\n  }\n\n  .xl\\:py-9 {\n    padding-top: 2.25rem;\n    padding-bottom: 2.25rem;\n  }\n\n  .xl\\:py-10 {\n    padding-top: 2.5rem;\n    padding-bottom: 2.5rem;\n  }\n\n  .xl\\:py-11 {\n    padding-top: 2.75rem;\n    padding-bottom: 2.75rem;\n  }\n\n  .xl\\:py-12 {\n    padding-top: 3rem;\n    padding-bottom: 3rem;\n  }\n\n  .xl\\:py-14 {\n    padding-top: 3.5rem;\n    padding-bottom: 3.5rem;\n  }\n\n  .xl\\:py-16 {\n    padding-top: 4rem;\n    padding-bottom: 4rem;\n  }\n\n  .xl\\:py-20 {\n    padding-top: 5rem;\n    padding-bottom: 5rem;\n  }\n\n  .xl\\:py-24 {\n    padding-top: 6rem;\n    padding-bottom: 6rem;\n  }\n\n  .xl\\:py-28 {\n    padding-top: 7rem;\n    padding-bottom: 7rem;\n  }\n\n  .xl\\:py-32 {\n    padding-top: 8rem;\n    padding-bottom: 8rem;\n  }\n\n  .xl\\:py-36 {\n    padding-top: 9rem;\n    padding-bottom: 9rem;\n  }\n\n  .xl\\:py-40 {\n    padding-top: 10rem;\n    padding-bottom: 10rem;\n  }\n\n  .xl\\:py-44 {\n    padding-top: 11rem;\n    padding-bottom: 11rem;\n  }\n\n  .xl\\:py-48 {\n    padding-top: 12rem;\n    padding-bottom: 12rem;\n  }\n\n  .xl\\:py-52 {\n    padding-top: 13rem;\n    padding-bottom: 13rem;\n  }\n\n  .xl\\:py-56 {\n    padding-top: 14rem;\n    padding-bottom: 14rem;\n  }\n\n  .xl\\:py-60 {\n    padding-top: 15rem;\n    padding-bottom: 15rem;\n  }\n\n  .xl\\:py-64 {\n    padding-top: 16rem;\n    padding-bottom: 16rem;\n  }\n\n  .xl\\:py-72 {\n    padding-top: 18rem;\n    padding-bottom: 18rem;\n  }\n\n  .xl\\:py-80 {\n    padding-top: 20rem;\n    padding-bottom: 20rem;\n  }\n\n  .xl\\:py-96 {\n    padding-top: 24rem;\n    padding-bottom: 24rem;\n  }\n\n  .xl\\:py-px {\n    padding-top: 1px;\n    padding-bottom: 1px;\n  }\n\n  .xl\\:py-0\\.5 {\n    padding-top: 0.125rem;\n    padding-bottom: 0.125rem;\n  }\n\n  .xl\\:py-1\\.5 {\n    padding-top: 0.375rem;\n    padding-bottom: 0.375rem;\n  }\n\n  .xl\\:py-2\\.5 {\n    padding-top: 0.625rem;\n    padding-bottom: 0.625rem;\n  }\n\n  .xl\\:py-3\\.5 {\n    padding-top: 0.875rem;\n    padding-bottom: 0.875rem;\n  }\n\n  .xl\\:pt-0 {\n    padding-top: 0px;\n  }\n\n  .xl\\:pt-1 {\n    padding-top: 0.25rem;\n  }\n\n  .xl\\:pt-2 {\n    padding-top: 0.5rem;\n  }\n\n  .xl\\:pt-3 {\n    padding-top: 0.75rem;\n  }\n\n  .xl\\:pt-4 {\n    padding-top: 1rem;\n  }\n\n  .xl\\:pt-5 {\n    padding-top: 1.25rem;\n  }\n\n  .xl\\:pt-6 {\n    padding-top: 1.5rem;\n  }\n\n  .xl\\:pt-7 {\n    padding-top: 1.75rem;\n  }\n\n  .xl\\:pt-8 {\n    padding-top: 2rem;\n  }\n\n  .xl\\:pt-9 {\n    padding-top: 2.25rem;\n  }\n\n  .xl\\:pt-10 {\n    padding-top: 2.5rem;\n  }\n\n  .xl\\:pt-11 {\n    padding-top: 2.75rem;\n  }\n\n  .xl\\:pt-12 {\n    padding-top: 3rem;\n  }\n\n  .xl\\:pt-14 {\n    padding-top: 3.5rem;\n  }\n\n  .xl\\:pt-16 {\n    padding-top: 4rem;\n  }\n\n  .xl\\:pt-20 {\n    padding-top: 5rem;\n  }\n\n  .xl\\:pt-24 {\n    padding-top: 6rem;\n  }\n\n  .xl\\:pt-28 {\n    padding-top: 7rem;\n  }\n\n  .xl\\:pt-32 {\n    padding-top: 8rem;\n  }\n\n  .xl\\:pt-36 {\n    padding-top: 9rem;\n  }\n\n  .xl\\:pt-40 {\n    padding-top: 10rem;\n  }\n\n  .xl\\:pt-44 {\n    padding-top: 11rem;\n  }\n\n  .xl\\:pt-48 {\n    padding-top: 12rem;\n  }\n\n  .xl\\:pt-52 {\n    padding-top: 13rem;\n  }\n\n  .xl\\:pt-56 {\n    padding-top: 14rem;\n  }\n\n  .xl\\:pt-60 {\n    padding-top: 15rem;\n  }\n\n  .xl\\:pt-64 {\n    padding-top: 16rem;\n  }\n\n  .xl\\:pt-72 {\n    padding-top: 18rem;\n  }\n\n  .xl\\:pt-80 {\n    padding-top: 20rem;\n  }\n\n  .xl\\:pt-96 {\n    padding-top: 24rem;\n  }\n\n  .xl\\:pt-px {\n    padding-top: 1px;\n  }\n\n  .xl\\:pt-0\\.5 {\n    padding-top: 0.125rem;\n  }\n\n  .xl\\:pt-1\\.5 {\n    padding-top: 0.375rem;\n  }\n\n  .xl\\:pt-2\\.5 {\n    padding-top: 0.625rem;\n  }\n\n  .xl\\:pt-3\\.5 {\n    padding-top: 0.875rem;\n  }\n\n  .xl\\:pr-0 {\n    padding-right: 0px;\n  }\n\n  .xl\\:pr-1 {\n    padding-right: 0.25rem;\n  }\n\n  .xl\\:pr-2 {\n    padding-right: 0.5rem;\n  }\n\n  .xl\\:pr-3 {\n    padding-right: 0.75rem;\n  }\n\n  .xl\\:pr-4 {\n    padding-right: 1rem;\n  }\n\n  .xl\\:pr-5 {\n    padding-right: 1.25rem;\n  }\n\n  .xl\\:pr-6 {\n    padding-right: 1.5rem;\n  }\n\n  .xl\\:pr-7 {\n    padding-right: 1.75rem;\n  }\n\n  .xl\\:pr-8 {\n    padding-right: 2rem;\n  }\n\n  .xl\\:pr-9 {\n    padding-right: 2.25rem;\n  }\n\n  .xl\\:pr-10 {\n    padding-right: 2.5rem;\n  }\n\n  .xl\\:pr-11 {\n    padding-right: 2.75rem;\n  }\n\n  .xl\\:pr-12 {\n    padding-right: 3rem;\n  }\n\n  .xl\\:pr-14 {\n    padding-right: 3.5rem;\n  }\n\n  .xl\\:pr-16 {\n    padding-right: 4rem;\n  }\n\n  .xl\\:pr-20 {\n    padding-right: 5rem;\n  }\n\n  .xl\\:pr-24 {\n    padding-right: 6rem;\n  }\n\n  .xl\\:pr-28 {\n    padding-right: 7rem;\n  }\n\n  .xl\\:pr-32 {\n    padding-right: 8rem;\n  }\n\n  .xl\\:pr-36 {\n    padding-right: 9rem;\n  }\n\n  .xl\\:pr-40 {\n    padding-right: 10rem;\n  }\n\n  .xl\\:pr-44 {\n    padding-right: 11rem;\n  }\n\n  .xl\\:pr-48 {\n    padding-right: 12rem;\n  }\n\n  .xl\\:pr-52 {\n    padding-right: 13rem;\n  }\n\n  .xl\\:pr-56 {\n    padding-right: 14rem;\n  }\n\n  .xl\\:pr-60 {\n    padding-right: 15rem;\n  }\n\n  .xl\\:pr-64 {\n    padding-right: 16rem;\n  }\n\n  .xl\\:pr-72 {\n    padding-right: 18rem;\n  }\n\n  .xl\\:pr-80 {\n    padding-right: 20rem;\n  }\n\n  .xl\\:pr-96 {\n    padding-right: 24rem;\n  }\n\n  .xl\\:pr-px {\n    padding-right: 1px;\n  }\n\n  .xl\\:pr-0\\.5 {\n    padding-right: 0.125rem;\n  }\n\n  .xl\\:pr-1\\.5 {\n    padding-right: 0.375rem;\n  }\n\n  .xl\\:pr-2\\.5 {\n    padding-right: 0.625rem;\n  }\n\n  .xl\\:pr-3\\.5 {\n    padding-right: 0.875rem;\n  }\n\n  .xl\\:pb-0 {\n    padding-bottom: 0px;\n  }\n\n  .xl\\:pb-1 {\n    padding-bottom: 0.25rem;\n  }\n\n  .xl\\:pb-2 {\n    padding-bottom: 0.5rem;\n  }\n\n  .xl\\:pb-3 {\n    padding-bottom: 0.75rem;\n  }\n\n  .xl\\:pb-4 {\n    padding-bottom: 1rem;\n  }\n\n  .xl\\:pb-5 {\n    padding-bottom: 1.25rem;\n  }\n\n  .xl\\:pb-6 {\n    padding-bottom: 1.5rem;\n  }\n\n  .xl\\:pb-7 {\n    padding-bottom: 1.75rem;\n  }\n\n  .xl\\:pb-8 {\n    padding-bottom: 2rem;\n  }\n\n  .xl\\:pb-9 {\n    padding-bottom: 2.25rem;\n  }\n\n  .xl\\:pb-10 {\n    padding-bottom: 2.5rem;\n  }\n\n  .xl\\:pb-11 {\n    padding-bottom: 2.75rem;\n  }\n\n  .xl\\:pb-12 {\n    padding-bottom: 3rem;\n  }\n\n  .xl\\:pb-14 {\n    padding-bottom: 3.5rem;\n  }\n\n  .xl\\:pb-16 {\n    padding-bottom: 4rem;\n  }\n\n  .xl\\:pb-20 {\n    padding-bottom: 5rem;\n  }\n\n  .xl\\:pb-24 {\n    padding-bottom: 6rem;\n  }\n\n  .xl\\:pb-28 {\n    padding-bottom: 7rem;\n  }\n\n  .xl\\:pb-32 {\n    padding-bottom: 8rem;\n  }\n\n  .xl\\:pb-36 {\n    padding-bottom: 9rem;\n  }\n\n  .xl\\:pb-40 {\n    padding-bottom: 10rem;\n  }\n\n  .xl\\:pb-44 {\n    padding-bottom: 11rem;\n  }\n\n  .xl\\:pb-48 {\n    padding-bottom: 12rem;\n  }\n\n  .xl\\:pb-52 {\n    padding-bottom: 13rem;\n  }\n\n  .xl\\:pb-56 {\n    padding-bottom: 14rem;\n  }\n\n  .xl\\:pb-60 {\n    padding-bottom: 15rem;\n  }\n\n  .xl\\:pb-64 {\n    padding-bottom: 16rem;\n  }\n\n  .xl\\:pb-72 {\n    padding-bottom: 18rem;\n  }\n\n  .xl\\:pb-80 {\n    padding-bottom: 20rem;\n  }\n\n  .xl\\:pb-96 {\n    padding-bottom: 24rem;\n  }\n\n  .xl\\:pb-px {\n    padding-bottom: 1px;\n  }\n\n  .xl\\:pb-0\\.5 {\n    padding-bottom: 0.125rem;\n  }\n\n  .xl\\:pb-1\\.5 {\n    padding-bottom: 0.375rem;\n  }\n\n  .xl\\:pb-2\\.5 {\n    padding-bottom: 0.625rem;\n  }\n\n  .xl\\:pb-3\\.5 {\n    padding-bottom: 0.875rem;\n  }\n\n  .xl\\:pl-0 {\n    padding-left: 0px;\n  }\n\n  .xl\\:pl-1 {\n    padding-left: 0.25rem;\n  }\n\n  .xl\\:pl-2 {\n    padding-left: 0.5rem;\n  }\n\n  .xl\\:pl-3 {\n    padding-left: 0.75rem;\n  }\n\n  .xl\\:pl-4 {\n    padding-left: 1rem;\n  }\n\n  .xl\\:pl-5 {\n    padding-left: 1.25rem;\n  }\n\n  .xl\\:pl-6 {\n    padding-left: 1.5rem;\n  }\n\n  .xl\\:pl-7 {\n    padding-left: 1.75rem;\n  }\n\n  .xl\\:pl-8 {\n    padding-left: 2rem;\n  }\n\n  .xl\\:pl-9 {\n    padding-left: 2.25rem;\n  }\n\n  .xl\\:pl-10 {\n    padding-left: 2.5rem;\n  }\n\n  .xl\\:pl-11 {\n    padding-left: 2.75rem;\n  }\n\n  .xl\\:pl-12 {\n    padding-left: 3rem;\n  }\n\n  .xl\\:pl-14 {\n    padding-left: 3.5rem;\n  }\n\n  .xl\\:pl-16 {\n    padding-left: 4rem;\n  }\n\n  .xl\\:pl-20 {\n    padding-left: 5rem;\n  }\n\n  .xl\\:pl-24 {\n    padding-left: 6rem;\n  }\n\n  .xl\\:pl-28 {\n    padding-left: 7rem;\n  }\n\n  .xl\\:pl-32 {\n    padding-left: 8rem;\n  }\n\n  .xl\\:pl-36 {\n    padding-left: 9rem;\n  }\n\n  .xl\\:pl-40 {\n    padding-left: 10rem;\n  }\n\n  .xl\\:pl-44 {\n    padding-left: 11rem;\n  }\n\n  .xl\\:pl-48 {\n    padding-left: 12rem;\n  }\n\n  .xl\\:pl-52 {\n    padding-left: 13rem;\n  }\n\n  .xl\\:pl-56 {\n    padding-left: 14rem;\n  }\n\n  .xl\\:pl-60 {\n    padding-left: 15rem;\n  }\n\n  .xl\\:pl-64 {\n    padding-left: 16rem;\n  }\n\n  .xl\\:pl-72 {\n    padding-left: 18rem;\n  }\n\n  .xl\\:pl-80 {\n    padding-left: 20rem;\n  }\n\n  .xl\\:pl-96 {\n    padding-left: 24rem;\n  }\n\n  .xl\\:pl-px {\n    padding-left: 1px;\n  }\n\n  .xl\\:pl-0\\.5 {\n    padding-left: 0.125rem;\n  }\n\n  .xl\\:pl-1\\.5 {\n    padding-left: 0.375rem;\n  }\n\n  .xl\\:pl-2\\.5 {\n    padding-left: 0.625rem;\n  }\n\n  .xl\\:pl-3\\.5 {\n    padding-left: 0.875rem;\n  }\n\n  .xl\\:text-left {\n    text-align: left;\n  }\n\n  .xl\\:text-center {\n    text-align: center;\n  }\n\n  .xl\\:text-right {\n    text-align: right;\n  }\n\n  .xl\\:text-justify {\n    text-align: justify;\n  }\n\n  .xl\\:align-baseline {\n    vertical-align: baseline;\n  }\n\n  .xl\\:align-top {\n    vertical-align: top;\n  }\n\n  .xl\\:align-middle {\n    vertical-align: middle;\n  }\n\n  .xl\\:align-bottom {\n    vertical-align: bottom;\n  }\n\n  .xl\\:align-text-top {\n    vertical-align: text-top;\n  }\n\n  .xl\\:align-text-bottom {\n    vertical-align: text-bottom;\n  }\n\n  .xl\\:font-sans {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .xl\\:font-serif {\n    font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n  }\n\n  .xl\\:font-mono {\n    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  }\n\n  .xl\\:font-sansSailec {\n    font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .xl\\:font-sansInter {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .xl\\:text-xs {\n    font-size: 0.75rem;\n    line-height: 1rem;\n  }\n\n  .xl\\:text-sm {\n    font-size: 0.875rem;\n    line-height: 1.25rem;\n  }\n\n  .xl\\:text-base {\n    font-size: 1rem;\n    line-height: 1.5rem;\n  }\n\n  .xl\\:text-lg {\n    font-size: 1.125rem;\n    line-height: 1.75rem;\n  }\n\n  .xl\\:text-xl {\n    font-size: 1.25rem;\n    line-height: 1.75rem;\n  }\n\n  .xl\\:text-2xl {\n    font-size: 1.5rem;\n    line-height: 2rem;\n  }\n\n  .xl\\:text-3xl {\n    font-size: 2rem;\n    line-height: 2.25rem;\n  }\n\n  .xl\\:text-4xl {\n    font-size: 2.25rem;\n    line-height: 2.5rem;\n  }\n\n  .xl\\:text-5xl {\n    font-size: 3rem;\n    line-height: 1;\n  }\n\n  .xl\\:text-6xl {\n    font-size: 3.75rem;\n    line-height: 1;\n  }\n\n  .xl\\:text-7xl {\n    font-size: 4.5rem;\n    line-height: 1;\n  }\n\n  .xl\\:text-8xl {\n    font-size: 6rem;\n    line-height: 1;\n  }\n\n  .xl\\:text-9xl {\n    font-size: 8rem;\n    line-height: 1;\n  }\n\n  .xl\\:text-2xs {\n    font-size: 10pt;\n    letter-spacing: -0.01em;\n  }\n\n  .xl\\:font-thin {\n    font-weight: 100;\n  }\n\n  .xl\\:font-extralight {\n    font-weight: 200;\n  }\n\n  .xl\\:font-light {\n    font-weight: 300;\n  }\n\n  .xl\\:font-normal {\n    font-weight: 400;\n  }\n\n  .xl\\:font-medium {\n    font-weight: 500;\n  }\n\n  .xl\\:font-semibold {\n    font-weight: 600;\n  }\n\n  .xl\\:font-bold {\n    font-weight: 700;\n  }\n\n  .xl\\:font-extrabold {\n    font-weight: 800;\n  }\n\n  .xl\\:font-black {\n    font-weight: 900;\n  }\n\n  .xl\\:uppercase {\n    text-transform: uppercase;\n  }\n\n  .xl\\:lowercase {\n    text-transform: lowercase;\n  }\n\n  .xl\\:capitalize {\n    text-transform: capitalize;\n  }\n\n  .xl\\:normal-case {\n    text-transform: none;\n  }\n\n  .xl\\:italic {\n    font-style: italic;\n  }\n\n  .xl\\:not-italic {\n    font-style: normal;\n  }\n\n  .xl\\:ordinal, .xl\\:slashed-zero, .xl\\:lining-nums, .xl\\:oldstyle-nums, .xl\\:proportional-nums, .xl\\:tabular-nums, .xl\\:diagonal-fractions, .xl\\:stacked-fractions {\n    --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n    --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n    font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n  }\n\n  .xl\\:normal-nums {\n    font-variant-numeric: normal;\n  }\n\n  .xl\\:ordinal {\n    --tw-ordinal: ordinal;\n  }\n\n  .xl\\:slashed-zero {\n    --tw-slashed-zero: slashed-zero;\n  }\n\n  .xl\\:lining-nums {\n    --tw-numeric-figure: lining-nums;\n  }\n\n  .xl\\:oldstyle-nums {\n    --tw-numeric-figure: oldstyle-nums;\n  }\n\n  .xl\\:proportional-nums {\n    --tw-numeric-spacing: proportional-nums;\n  }\n\n  .xl\\:tabular-nums {\n    --tw-numeric-spacing: tabular-nums;\n  }\n\n  .xl\\:diagonal-fractions {\n    --tw-numeric-fraction: diagonal-fractions;\n  }\n\n  .xl\\:stacked-fractions {\n    --tw-numeric-fraction: stacked-fractions;\n  }\n\n  .xl\\:leading-3 {\n    line-height: .75rem;\n  }\n\n  .xl\\:leading-4 {\n    line-height: 1rem;\n  }\n\n  .xl\\:leading-5 {\n    line-height: 1.25rem;\n  }\n\n  .xl\\:leading-6 {\n    line-height: 1.5rem;\n  }\n\n  .xl\\:leading-7 {\n    line-height: 1.75rem;\n  }\n\n  .xl\\:leading-8 {\n    line-height: 2rem;\n  }\n\n  .xl\\:leading-9 {\n    line-height: 2.25rem;\n  }\n\n  .xl\\:leading-10 {\n    line-height: 2.5rem;\n  }\n\n  .xl\\:leading-none {\n    line-height: 1;\n  }\n\n  .xl\\:leading-tight {\n    line-height: 1.25;\n  }\n\n  .xl\\:leading-snug {\n    line-height: 1.375;\n  }\n\n  .xl\\:leading-normal {\n    line-height: 1.5;\n  }\n\n  .xl\\:leading-relaxed {\n    line-height: 1.625;\n  }\n\n  .xl\\:leading-loose {\n    line-height: 2;\n  }\n\n  .xl\\:leading-button {\n    line-height: 3.5rem;\n  }\n\n  .xl\\:tracking-tighter {\n    letter-spacing: -0.05em;\n  }\n\n  .xl\\:tracking-tight {\n    letter-spacing: -0.025em;\n  }\n\n  .xl\\:tracking-normal {\n    letter-spacing: 0em;\n  }\n\n  .xl\\:tracking-wide {\n    letter-spacing: 0.025em;\n  }\n\n  .xl\\:tracking-wider {\n    letter-spacing: 0.05em;\n  }\n\n  .xl\\:tracking-widest {\n    letter-spacing: 0.1em;\n  }\n\n  .xl\\:text-transparent {\n    color: transparent;\n  }\n\n  .xl\\:text-current {\n    color: currentColor;\n  }\n\n  .xl\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-transparent {\n    color: transparent;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-current {\n    color: currentColor;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .xl\\:group-hover\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-transparent:focus-within {\n    color: transparent;\n  }\n\n  .xl\\:focus-within\\:text-current:focus-within {\n    color: currentColor;\n  }\n\n  .xl\\:focus-within\\:text-black:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-white:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-gray-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-red-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-yellow-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-green-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-blue-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-indigo-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-purple-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-pink-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-origin-protocol-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-origin-protocol-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-ousd-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-ousd-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-ousd-button-dark-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-ousd-button-dark-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-pink-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-pink-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-footer-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-story-pink:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus-within\\:text-link-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-transparent:hover {\n    color: transparent;\n  }\n\n  .xl\\:hover\\:text-current:hover {\n    color: currentColor;\n  }\n\n  .xl\\:hover\\:text-black:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-white:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-gray-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-red-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-yellow-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-green-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-blue-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-indigo-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-purple-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-pink-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-origin-protocol-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-origin-protocol-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-ousd-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-ousd-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-ousd-button-dark-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-ousd-button-dark-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-pink-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-pink-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-footer-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-story-pink:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:hover\\:text-link-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-transparent:focus {\n    color: transparent;\n  }\n\n  .xl\\:focus\\:text-current:focus {\n    color: currentColor;\n  }\n\n  .xl\\:focus\\:text-black:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-white:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-gray-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-red-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-yellow-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-green-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-blue-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-indigo-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-purple-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-pink-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-origin-protocol-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-origin-protocol-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-ousd-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-ousd-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-ousd-button-dark-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-ousd-button-dark-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-pink-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-pink-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-footer-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-story-pink:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .xl\\:focus\\:text-link-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .xl\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .xl\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .xl\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .xl\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .xl\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .xl\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .xl\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .xl\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .xl\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .xl\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .xl\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .xl\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .xl\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .xl\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .xl\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .group:hover .xl\\:group-hover\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .xl\\:focus-within\\:text-opacity-0:focus-within {\n    --tw-text-opacity: 0;\n  }\n\n  .xl\\:focus-within\\:text-opacity-5:focus-within {\n    --tw-text-opacity: 0.05;\n  }\n\n  .xl\\:focus-within\\:text-opacity-10:focus-within {\n    --tw-text-opacity: 0.1;\n  }\n\n  .xl\\:focus-within\\:text-opacity-20:focus-within {\n    --tw-text-opacity: 0.2;\n  }\n\n  .xl\\:focus-within\\:text-opacity-25:focus-within {\n    --tw-text-opacity: 0.25;\n  }\n\n  .xl\\:focus-within\\:text-opacity-30:focus-within {\n    --tw-text-opacity: 0.3;\n  }\n\n  .xl\\:focus-within\\:text-opacity-40:focus-within {\n    --tw-text-opacity: 0.4;\n  }\n\n  .xl\\:focus-within\\:text-opacity-50:focus-within {\n    --tw-text-opacity: 0.5;\n  }\n\n  .xl\\:focus-within\\:text-opacity-60:focus-within {\n    --tw-text-opacity: 0.6;\n  }\n\n  .xl\\:focus-within\\:text-opacity-70:focus-within {\n    --tw-text-opacity: 0.7;\n  }\n\n  .xl\\:focus-within\\:text-opacity-75:focus-within {\n    --tw-text-opacity: 0.75;\n  }\n\n  .xl\\:focus-within\\:text-opacity-80:focus-within {\n    --tw-text-opacity: 0.8;\n  }\n\n  .xl\\:focus-within\\:text-opacity-90:focus-within {\n    --tw-text-opacity: 0.9;\n  }\n\n  .xl\\:focus-within\\:text-opacity-95:focus-within {\n    --tw-text-opacity: 0.95;\n  }\n\n  .xl\\:focus-within\\:text-opacity-100:focus-within {\n    --tw-text-opacity: 1;\n  }\n\n  .xl\\:hover\\:text-opacity-0:hover {\n    --tw-text-opacity: 0;\n  }\n\n  .xl\\:hover\\:text-opacity-5:hover {\n    --tw-text-opacity: 0.05;\n  }\n\n  .xl\\:hover\\:text-opacity-10:hover {\n    --tw-text-opacity: 0.1;\n  }\n\n  .xl\\:hover\\:text-opacity-20:hover {\n    --tw-text-opacity: 0.2;\n  }\n\n  .xl\\:hover\\:text-opacity-25:hover {\n    --tw-text-opacity: 0.25;\n  }\n\n  .xl\\:hover\\:text-opacity-30:hover {\n    --tw-text-opacity: 0.3;\n  }\n\n  .xl\\:hover\\:text-opacity-40:hover {\n    --tw-text-opacity: 0.4;\n  }\n\n  .xl\\:hover\\:text-opacity-50:hover {\n    --tw-text-opacity: 0.5;\n  }\n\n  .xl\\:hover\\:text-opacity-60:hover {\n    --tw-text-opacity: 0.6;\n  }\n\n  .xl\\:hover\\:text-opacity-70:hover {\n    --tw-text-opacity: 0.7;\n  }\n\n  .xl\\:hover\\:text-opacity-75:hover {\n    --tw-text-opacity: 0.75;\n  }\n\n  .xl\\:hover\\:text-opacity-80:hover {\n    --tw-text-opacity: 0.8;\n  }\n\n  .xl\\:hover\\:text-opacity-90:hover {\n    --tw-text-opacity: 0.9;\n  }\n\n  .xl\\:hover\\:text-opacity-95:hover {\n    --tw-text-opacity: 0.95;\n  }\n\n  .xl\\:hover\\:text-opacity-100:hover {\n    --tw-text-opacity: 1;\n  }\n\n  .xl\\:focus\\:text-opacity-0:focus {\n    --tw-text-opacity: 0;\n  }\n\n  .xl\\:focus\\:text-opacity-5:focus {\n    --tw-text-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:text-opacity-10:focus {\n    --tw-text-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:text-opacity-20:focus {\n    --tw-text-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:text-opacity-25:focus {\n    --tw-text-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:text-opacity-30:focus {\n    --tw-text-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:text-opacity-40:focus {\n    --tw-text-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:text-opacity-50:focus {\n    --tw-text-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:text-opacity-60:focus {\n    --tw-text-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:text-opacity-70:focus {\n    --tw-text-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:text-opacity-75:focus {\n    --tw-text-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:text-opacity-80:focus {\n    --tw-text-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:text-opacity-90:focus {\n    --tw-text-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:text-opacity-95:focus {\n    --tw-text-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:text-opacity-100:focus {\n    --tw-text-opacity: 1;\n  }\n\n  .xl\\:underline {\n    text-decoration: underline;\n  }\n\n  .xl\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .xl\\:no-underline {\n    text-decoration: none;\n  }\n\n  .group:hover .xl\\:group-hover\\:underline {\n    text-decoration: underline;\n  }\n\n  .group:hover .xl\\:group-hover\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .group:hover .xl\\:group-hover\\:no-underline {\n    text-decoration: none;\n  }\n\n  .xl\\:focus-within\\:underline:focus-within {\n    text-decoration: underline;\n  }\n\n  .xl\\:focus-within\\:line-through:focus-within {\n    text-decoration: line-through;\n  }\n\n  .xl\\:focus-within\\:no-underline:focus-within {\n    text-decoration: none;\n  }\n\n  .xl\\:hover\\:underline:hover {\n    text-decoration: underline;\n  }\n\n  .xl\\:hover\\:line-through:hover {\n    text-decoration: line-through;\n  }\n\n  .xl\\:hover\\:no-underline:hover {\n    text-decoration: none;\n  }\n\n  .xl\\:focus\\:underline:focus {\n    text-decoration: underline;\n  }\n\n  .xl\\:focus\\:line-through:focus {\n    text-decoration: line-through;\n  }\n\n  .xl\\:focus\\:no-underline:focus {\n    text-decoration: none;\n  }\n\n  .xl\\:antialiased {\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  .xl\\:subpixel-antialiased {\n    -webkit-font-smoothing: auto;\n    -moz-osx-font-smoothing: auto;\n  }\n\n  .xl\\:placeholder-transparent::-moz-placeholder {\n    color: transparent;\n  }\n\n  .xl\\:placeholder-transparent::placeholder {\n    color: transparent;\n  }\n\n  .xl\\:placeholder-current::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .xl\\:placeholder-current::placeholder {\n    color: currentColor;\n  }\n\n  .xl\\:placeholder-black::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-black::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-white::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-white::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-gray-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-red-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-yellow-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-green-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-blue-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-indigo-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-purple-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-pink-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-origin-protocol-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-origin-protocol-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-origin-protocol-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-origin-protocol-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-dark-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-dark-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-dark-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-ousd-button-dark-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-pink-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-pink-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-pink-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-story-pink-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-footer-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-footer-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-transparent:focus::-moz-placeholder {\n    color: transparent;\n  }\n\n  .xl\\:focus\\:placeholder-transparent:focus::placeholder {\n    color: transparent;\n  }\n\n  .xl\\:focus\\:placeholder-current:focus::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .xl\\:focus\\:placeholder-current:focus::placeholder {\n    color: currentColor;\n  }\n\n  .xl\\:focus\\:placeholder-black:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-black:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-white:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-white:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-gray-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-red-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-yellow-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-green-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-blue-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-indigo-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-purple-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-pink-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-pink-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-story-pink-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-footer-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:focus\\:placeholder-footer-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .xl\\:placeholder-opacity-0::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .xl\\:placeholder-opacity-0::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .xl\\:placeholder-opacity-5::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .xl\\:placeholder-opacity-5::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .xl\\:placeholder-opacity-10::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .xl\\:placeholder-opacity-10::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .xl\\:placeholder-opacity-20::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .xl\\:placeholder-opacity-20::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .xl\\:placeholder-opacity-25::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .xl\\:placeholder-opacity-25::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .xl\\:placeholder-opacity-30::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .xl\\:placeholder-opacity-30::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .xl\\:placeholder-opacity-40::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .xl\\:placeholder-opacity-40::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .xl\\:placeholder-opacity-50::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .xl\\:placeholder-opacity-50::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .xl\\:placeholder-opacity-60::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .xl\\:placeholder-opacity-60::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .xl\\:placeholder-opacity-70::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .xl\\:placeholder-opacity-70::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .xl\\:placeholder-opacity-75::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .xl\\:placeholder-opacity-75::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .xl\\:placeholder-opacity-80::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .xl\\:placeholder-opacity-80::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .xl\\:placeholder-opacity-90::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .xl\\:placeholder-opacity-90::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .xl\\:placeholder-opacity-95::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .xl\\:placeholder-opacity-95::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .xl\\:placeholder-opacity-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .xl\\:placeholder-opacity-100::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-0:focus::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-5:focus::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-10:focus::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-20:focus::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-25:focus::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-30:focus::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-40:focus::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-50:focus::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-60:focus::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-70:focus::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-75:focus::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-80:focus::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-90:focus::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-95:focus::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .xl\\:focus\\:placeholder-opacity-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .xl\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .xl\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .xl\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .xl\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .xl\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .xl\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .xl\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .xl\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .xl\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .xl\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .xl\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .xl\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .xl\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .xl\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .xl\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .group:hover .xl\\:group-hover\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .xl\\:focus-within\\:opacity-0:focus-within {\n    opacity: 0;\n  }\n\n  .xl\\:focus-within\\:opacity-5:focus-within {\n    opacity: 0.05;\n  }\n\n  .xl\\:focus-within\\:opacity-10:focus-within {\n    opacity: 0.1;\n  }\n\n  .xl\\:focus-within\\:opacity-20:focus-within {\n    opacity: 0.2;\n  }\n\n  .xl\\:focus-within\\:opacity-25:focus-within {\n    opacity: 0.25;\n  }\n\n  .xl\\:focus-within\\:opacity-30:focus-within {\n    opacity: 0.3;\n  }\n\n  .xl\\:focus-within\\:opacity-40:focus-within {\n    opacity: 0.4;\n  }\n\n  .xl\\:focus-within\\:opacity-50:focus-within {\n    opacity: 0.5;\n  }\n\n  .xl\\:focus-within\\:opacity-60:focus-within {\n    opacity: 0.6;\n  }\n\n  .xl\\:focus-within\\:opacity-70:focus-within {\n    opacity: 0.7;\n  }\n\n  .xl\\:focus-within\\:opacity-75:focus-within {\n    opacity: 0.75;\n  }\n\n  .xl\\:focus-within\\:opacity-80:focus-within {\n    opacity: 0.8;\n  }\n\n  .xl\\:focus-within\\:opacity-90:focus-within {\n    opacity: 0.9;\n  }\n\n  .xl\\:focus-within\\:opacity-95:focus-within {\n    opacity: 0.95;\n  }\n\n  .xl\\:focus-within\\:opacity-100:focus-within {\n    opacity: 1;\n  }\n\n  .xl\\:hover\\:opacity-0:hover {\n    opacity: 0;\n  }\n\n  .xl\\:hover\\:opacity-5:hover {\n    opacity: 0.05;\n  }\n\n  .xl\\:hover\\:opacity-10:hover {\n    opacity: 0.1;\n  }\n\n  .xl\\:hover\\:opacity-20:hover {\n    opacity: 0.2;\n  }\n\n  .xl\\:hover\\:opacity-25:hover {\n    opacity: 0.25;\n  }\n\n  .xl\\:hover\\:opacity-30:hover {\n    opacity: 0.3;\n  }\n\n  .xl\\:hover\\:opacity-40:hover {\n    opacity: 0.4;\n  }\n\n  .xl\\:hover\\:opacity-50:hover {\n    opacity: 0.5;\n  }\n\n  .xl\\:hover\\:opacity-60:hover {\n    opacity: 0.6;\n  }\n\n  .xl\\:hover\\:opacity-70:hover {\n    opacity: 0.7;\n  }\n\n  .xl\\:hover\\:opacity-75:hover {\n    opacity: 0.75;\n  }\n\n  .xl\\:hover\\:opacity-80:hover {\n    opacity: 0.8;\n  }\n\n  .xl\\:hover\\:opacity-90:hover {\n    opacity: 0.9;\n  }\n\n  .xl\\:hover\\:opacity-95:hover {\n    opacity: 0.95;\n  }\n\n  .xl\\:hover\\:opacity-100:hover {\n    opacity: 1;\n  }\n\n  .xl\\:focus\\:opacity-0:focus {\n    opacity: 0;\n  }\n\n  .xl\\:focus\\:opacity-5:focus {\n    opacity: 0.05;\n  }\n\n  .xl\\:focus\\:opacity-10:focus {\n    opacity: 0.1;\n  }\n\n  .xl\\:focus\\:opacity-20:focus {\n    opacity: 0.2;\n  }\n\n  .xl\\:focus\\:opacity-25:focus {\n    opacity: 0.25;\n  }\n\n  .xl\\:focus\\:opacity-30:focus {\n    opacity: 0.3;\n  }\n\n  .xl\\:focus\\:opacity-40:focus {\n    opacity: 0.4;\n  }\n\n  .xl\\:focus\\:opacity-50:focus {\n    opacity: 0.5;\n  }\n\n  .xl\\:focus\\:opacity-60:focus {\n    opacity: 0.6;\n  }\n\n  .xl\\:focus\\:opacity-70:focus {\n    opacity: 0.7;\n  }\n\n  .xl\\:focus\\:opacity-75:focus {\n    opacity: 0.75;\n  }\n\n  .xl\\:focus\\:opacity-80:focus {\n    opacity: 0.8;\n  }\n\n  .xl\\:focus\\:opacity-90:focus {\n    opacity: 0.9;\n  }\n\n  .xl\\:focus\\:opacity-95:focus {\n    opacity: 0.95;\n  }\n\n  .xl\\:focus\\:opacity-100:focus {\n    opacity: 1;\n  }\n\n  .xl\\:bg-blend-normal {\n    background-blend-mode: normal;\n  }\n\n  .xl\\:bg-blend-multiply {\n    background-blend-mode: multiply;\n  }\n\n  .xl\\:bg-blend-screen {\n    background-blend-mode: screen;\n  }\n\n  .xl\\:bg-blend-overlay {\n    background-blend-mode: overlay;\n  }\n\n  .xl\\:bg-blend-darken {\n    background-blend-mode: darken;\n  }\n\n  .xl\\:bg-blend-lighten {\n    background-blend-mode: lighten;\n  }\n\n  .xl\\:bg-blend-color-dodge {\n    background-blend-mode: color-dodge;\n  }\n\n  .xl\\:bg-blend-color-burn {\n    background-blend-mode: color-burn;\n  }\n\n  .xl\\:bg-blend-hard-light {\n    background-blend-mode: hard-light;\n  }\n\n  .xl\\:bg-blend-soft-light {\n    background-blend-mode: soft-light;\n  }\n\n  .xl\\:bg-blend-difference {\n    background-blend-mode: difference;\n  }\n\n  .xl\\:bg-blend-exclusion {\n    background-blend-mode: exclusion;\n  }\n\n  .xl\\:bg-blend-hue {\n    background-blend-mode: hue;\n  }\n\n  .xl\\:bg-blend-saturation {\n    background-blend-mode: saturation;\n  }\n\n  .xl\\:bg-blend-color {\n    background-blend-mode: color;\n  }\n\n  .xl\\:bg-blend-luminosity {\n    background-blend-mode: luminosity;\n  }\n\n  .xl\\:mix-blend-normal {\n    mix-blend-mode: normal;\n  }\n\n  .xl\\:mix-blend-multiply {\n    mix-blend-mode: multiply;\n  }\n\n  .xl\\:mix-blend-screen {\n    mix-blend-mode: screen;\n  }\n\n  .xl\\:mix-blend-overlay {\n    mix-blend-mode: overlay;\n  }\n\n  .xl\\:mix-blend-darken {\n    mix-blend-mode: darken;\n  }\n\n  .xl\\:mix-blend-lighten {\n    mix-blend-mode: lighten;\n  }\n\n  .xl\\:mix-blend-color-dodge {\n    mix-blend-mode: color-dodge;\n  }\n\n  .xl\\:mix-blend-color-burn {\n    mix-blend-mode: color-burn;\n  }\n\n  .xl\\:mix-blend-hard-light {\n    mix-blend-mode: hard-light;\n  }\n\n  .xl\\:mix-blend-soft-light {\n    mix-blend-mode: soft-light;\n  }\n\n  .xl\\:mix-blend-difference {\n    mix-blend-mode: difference;\n  }\n\n  .xl\\:mix-blend-exclusion {\n    mix-blend-mode: exclusion;\n  }\n\n  .xl\\:mix-blend-hue {\n    mix-blend-mode: hue;\n  }\n\n  .xl\\:mix-blend-saturation {\n    mix-blend-mode: saturation;\n  }\n\n  .xl\\:mix-blend-color {\n    mix-blend-mode: color;\n  }\n\n  .xl\\:mix-blend-luminosity {\n    mix-blend-mode: luminosity;\n  }\n\n  .xl\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .xl\\:group-hover\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-sm:focus-within {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow:focus-within {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-md:focus-within {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-lg:focus-within {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-xl:focus-within {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-2xl:focus-within {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-inner:focus-within {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus-within\\:shadow-none:focus-within {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-sm:hover {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow:hover {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-md:hover {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-lg:hover {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-xl:hover {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-2xl:hover {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-inner:hover {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:hover\\:shadow-none:hover {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-sm:focus {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow:focus {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-md:focus {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-lg:focus {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-xl:focus {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-2xl:focus {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-inner:focus {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:focus\\:shadow-none:focus {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .xl\\:outline-none {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .xl\\:outline-white {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .xl\\:outline-black {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus-within\\:outline-none:focus-within {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus-within\\:outline-white:focus-within {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus-within\\:outline-black:focus-within {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus\\:outline-none:focus {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus\\:outline-white:focus {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .xl\\:focus\\:outline-black:focus {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .xl\\:ring-0 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring-1 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring-2 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring-4 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring-8 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring-0:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring-1:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring-2:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring-4:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring-8:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus-within\\:ring:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring-0:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring-1:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring-2:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring-4:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring-8:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:focus\\:ring:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .xl\\:ring-inset {\n    --tw-ring-inset: inset;\n  }\n\n  .xl\\:focus-within\\:ring-inset:focus-within {\n    --tw-ring-inset: inset;\n  }\n\n  .xl\\:focus\\:ring-inset:focus {\n    --tw-ring-inset: inset;\n  }\n\n  .xl\\:ring-transparent {\n    --tw-ring-color: transparent;\n  }\n\n  .xl\\:ring-current {\n    --tw-ring-color: currentColor;\n  }\n\n  .xl\\:ring-black {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-white {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-gray-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-red-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-yellow-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-green-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-blue-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-indigo-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-purple-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-pink-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-origin-protocol-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-origin-protocol-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-ousd-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-ousd-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-ousd-button-dark-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-ousd-button-dark-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-story-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-story-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-story-pink-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-story-pink-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-footer-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-transparent:focus-within {\n    --tw-ring-color: transparent;\n  }\n\n  .xl\\:focus-within\\:ring-current:focus-within {\n    --tw-ring-color: currentColor;\n  }\n\n  .xl\\:focus-within\\:ring-black:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-white:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-gray-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-red-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-yellow-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-green-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-blue-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-indigo-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-purple-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-pink-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-origin-protocol-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-origin-protocol-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-ousd-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-ousd-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-ousd-button-dark-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-ousd-button-dark-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-story-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-story-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-story-pink-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-story-pink-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus-within\\:ring-footer-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-transparent:focus {\n    --tw-ring-color: transparent;\n  }\n\n  .xl\\:focus\\:ring-current:focus {\n    --tw-ring-color: currentColor;\n  }\n\n  .xl\\:focus\\:ring-black:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-white:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-gray-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-red-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-yellow-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-green-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-blue-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-indigo-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-purple-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-pink-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-origin-protocol-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-origin-protocol-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-ousd-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-ousd-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-ousd-button-dark-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-ousd-button-dark-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-story-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-story-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-story-pink-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-story-pink-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .xl\\:focus\\:ring-footer-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .xl\\:ring-opacity-0 {\n    --tw-ring-opacity: 0;\n  }\n\n  .xl\\:ring-opacity-5 {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .xl\\:ring-opacity-10 {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .xl\\:ring-opacity-20 {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .xl\\:ring-opacity-25 {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .xl\\:ring-opacity-30 {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .xl\\:ring-opacity-40 {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .xl\\:ring-opacity-50 {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .xl\\:ring-opacity-60 {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .xl\\:ring-opacity-70 {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .xl\\:ring-opacity-75 {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .xl\\:ring-opacity-80 {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .xl\\:ring-opacity-90 {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .xl\\:ring-opacity-95 {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .xl\\:ring-opacity-100 {\n    --tw-ring-opacity: 1;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-0:focus-within {\n    --tw-ring-opacity: 0;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-5:focus-within {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-10:focus-within {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-20:focus-within {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-25:focus-within {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-30:focus-within {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-40:focus-within {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-50:focus-within {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-60:focus-within {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-70:focus-within {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-75:focus-within {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-80:focus-within {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-90:focus-within {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-95:focus-within {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .xl\\:focus-within\\:ring-opacity-100:focus-within {\n    --tw-ring-opacity: 1;\n  }\n\n  .xl\\:focus\\:ring-opacity-0:focus {\n    --tw-ring-opacity: 0;\n  }\n\n  .xl\\:focus\\:ring-opacity-5:focus {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .xl\\:focus\\:ring-opacity-10:focus {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .xl\\:focus\\:ring-opacity-20:focus {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .xl\\:focus\\:ring-opacity-25:focus {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .xl\\:focus\\:ring-opacity-30:focus {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .xl\\:focus\\:ring-opacity-40:focus {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .xl\\:focus\\:ring-opacity-50:focus {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .xl\\:focus\\:ring-opacity-60:focus {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .xl\\:focus\\:ring-opacity-70:focus {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .xl\\:focus\\:ring-opacity-75:focus {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .xl\\:focus\\:ring-opacity-80:focus {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .xl\\:focus\\:ring-opacity-90:focus {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .xl\\:focus\\:ring-opacity-95:focus {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .xl\\:focus\\:ring-opacity-100:focus {\n    --tw-ring-opacity: 1;\n  }\n\n  .xl\\:ring-offset-0 {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .xl\\:ring-offset-1 {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .xl\\:ring-offset-2 {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .xl\\:ring-offset-4 {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .xl\\:ring-offset-8 {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .xl\\:focus-within\\:ring-offset-0:focus-within {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .xl\\:focus-within\\:ring-offset-1:focus-within {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .xl\\:focus-within\\:ring-offset-2:focus-within {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .xl\\:focus-within\\:ring-offset-4:focus-within {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .xl\\:focus-within\\:ring-offset-8:focus-within {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .xl\\:focus\\:ring-offset-0:focus {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .xl\\:focus\\:ring-offset-1:focus {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .xl\\:focus\\:ring-offset-2:focus {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .xl\\:focus\\:ring-offset-4:focus {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .xl\\:focus\\:ring-offset-8:focus {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .xl\\:ring-offset-transparent {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .xl\\:ring-offset-current {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .xl\\:ring-offset-black {\n    --tw-ring-offset-color: #000;\n  }\n\n  .xl\\:ring-offset-white {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .xl\\:ring-offset-gray-50 {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .xl\\:ring-offset-gray-100 {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .xl\\:ring-offset-gray-200 {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .xl\\:ring-offset-gray-300 {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .xl\\:ring-offset-gray-400 {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .xl\\:ring-offset-gray-500 {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .xl\\:ring-offset-gray-600 {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .xl\\:ring-offset-gray-700 {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .xl\\:ring-offset-gray-800 {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .xl\\:ring-offset-gray-900 {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .xl\\:ring-offset-red-50 {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .xl\\:ring-offset-red-100 {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .xl\\:ring-offset-red-200 {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .xl\\:ring-offset-red-300 {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .xl\\:ring-offset-red-400 {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .xl\\:ring-offset-red-500 {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .xl\\:ring-offset-red-600 {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .xl\\:ring-offset-red-700 {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .xl\\:ring-offset-red-800 {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .xl\\:ring-offset-red-900 {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .xl\\:ring-offset-yellow-50 {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .xl\\:ring-offset-yellow-100 {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .xl\\:ring-offset-yellow-200 {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .xl\\:ring-offset-yellow-300 {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .xl\\:ring-offset-yellow-400 {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .xl\\:ring-offset-yellow-500 {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .xl\\:ring-offset-yellow-600 {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .xl\\:ring-offset-yellow-700 {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .xl\\:ring-offset-yellow-800 {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .xl\\:ring-offset-yellow-900 {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .xl\\:ring-offset-green-50 {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .xl\\:ring-offset-green-100 {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .xl\\:ring-offset-green-200 {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .xl\\:ring-offset-green-300 {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .xl\\:ring-offset-green-400 {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .xl\\:ring-offset-green-500 {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .xl\\:ring-offset-green-600 {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .xl\\:ring-offset-green-700 {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .xl\\:ring-offset-green-800 {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .xl\\:ring-offset-green-900 {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .xl\\:ring-offset-blue-50 {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .xl\\:ring-offset-blue-100 {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .xl\\:ring-offset-blue-200 {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .xl\\:ring-offset-blue-300 {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .xl\\:ring-offset-blue-400 {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .xl\\:ring-offset-blue-500 {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .xl\\:ring-offset-blue-600 {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .xl\\:ring-offset-blue-700 {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .xl\\:ring-offset-blue-800 {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .xl\\:ring-offset-blue-900 {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .xl\\:ring-offset-indigo-50 {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .xl\\:ring-offset-indigo-100 {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .xl\\:ring-offset-indigo-200 {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .xl\\:ring-offset-indigo-300 {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .xl\\:ring-offset-indigo-400 {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .xl\\:ring-offset-indigo-500 {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .xl\\:ring-offset-indigo-600 {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .xl\\:ring-offset-indigo-700 {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .xl\\:ring-offset-indigo-800 {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .xl\\:ring-offset-indigo-900 {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .xl\\:ring-offset-purple-50 {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .xl\\:ring-offset-purple-100 {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .xl\\:ring-offset-purple-200 {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .xl\\:ring-offset-purple-300 {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .xl\\:ring-offset-purple-400 {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .xl\\:ring-offset-purple-500 {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .xl\\:ring-offset-purple-600 {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .xl\\:ring-offset-purple-700 {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .xl\\:ring-offset-purple-800 {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .xl\\:ring-offset-purple-900 {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .xl\\:ring-offset-pink-50 {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .xl\\:ring-offset-pink-100 {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .xl\\:ring-offset-pink-200 {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .xl\\:ring-offset-pink-300 {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .xl\\:ring-offset-pink-400 {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .xl\\:ring-offset-pink-500 {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .xl\\:ring-offset-pink-600 {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .xl\\:ring-offset-pink-700 {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .xl\\:ring-offset-pink-800 {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .xl\\:ring-offset-pink-900 {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .xl\\:ring-offset-origin-protocol-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:ring-offset-origin-protocol-button-end {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .xl\\:ring-offset-ousd-button-start {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .xl\\:ring-offset-ousd-button-end {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .xl\\:ring-offset-ousd-button-dark-start {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .xl\\:ring-offset-ousd-button-dark-end {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .xl\\:ring-offset-story-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:ring-offset-story-button-end {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .xl\\:ring-offset-story-pink-start {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .xl\\:ring-offset-story-pink-end {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .xl\\:ring-offset-footer-end {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .xl\\:focus-within\\:ring-offset-transparent:focus-within {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .xl\\:focus-within\\:ring-offset-current:focus-within {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .xl\\:focus-within\\:ring-offset-black:focus-within {\n    --tw-ring-offset-color: #000;\n  }\n\n  .xl\\:focus-within\\:ring-offset-white:focus-within {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-50:focus-within {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-100:focus-within {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-200:focus-within {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-300:focus-within {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-400:focus-within {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-500:focus-within {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-600:focus-within {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-700:focus-within {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-800:focus-within {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .xl\\:focus-within\\:ring-offset-gray-900:focus-within {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-50:focus-within {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-100:focus-within {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-200:focus-within {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-300:focus-within {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-400:focus-within {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-500:focus-within {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-600:focus-within {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-700:focus-within {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-800:focus-within {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .xl\\:focus-within\\:ring-offset-red-900:focus-within {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-50:focus-within {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-100:focus-within {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-200:focus-within {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-300:focus-within {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-400:focus-within {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-500:focus-within {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-600:focus-within {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-700:focus-within {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-800:focus-within {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .xl\\:focus-within\\:ring-offset-yellow-900:focus-within {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-50:focus-within {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-100:focus-within {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-200:focus-within {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-300:focus-within {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-400:focus-within {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-500:focus-within {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-600:focus-within {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-700:focus-within {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-800:focus-within {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .xl\\:focus-within\\:ring-offset-green-900:focus-within {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-50:focus-within {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-100:focus-within {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-200:focus-within {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-300:focus-within {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-400:focus-within {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-500:focus-within {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-600:focus-within {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-700:focus-within {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-800:focus-within {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .xl\\:focus-within\\:ring-offset-blue-900:focus-within {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-50:focus-within {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-100:focus-within {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-200:focus-within {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-300:focus-within {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-400:focus-within {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-500:focus-within {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-600:focus-within {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-700:focus-within {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-800:focus-within {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .xl\\:focus-within\\:ring-offset-indigo-900:focus-within {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-50:focus-within {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-100:focus-within {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-200:focus-within {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-300:focus-within {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-400:focus-within {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-500:focus-within {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-600:focus-within {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-700:focus-within {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-800:focus-within {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-purple-900:focus-within {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-50:focus-within {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-100:focus-within {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-200:focus-within {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-300:focus-within {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-400:focus-within {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-500:focus-within {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-600:focus-within {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-700:focus-within {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-800:focus-within {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .xl\\:focus-within\\:ring-offset-pink-900:focus-within {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .xl\\:focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .xl\\:focus-within\\:ring-offset-ousd-button-start:focus-within {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .xl\\:focus-within\\:ring-offset-ousd-button-end:focus-within {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .xl\\:focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .xl\\:focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .xl\\:focus-within\\:ring-offset-story-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:focus-within\\:ring-offset-story-button-end:focus-within {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .xl\\:focus-within\\:ring-offset-story-pink-start:focus-within {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .xl\\:focus-within\\:ring-offset-story-pink-end:focus-within {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .xl\\:focus-within\\:ring-offset-footer-end:focus-within {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .xl\\:focus\\:ring-offset-transparent:focus {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .xl\\:focus\\:ring-offset-current:focus {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .xl\\:focus\\:ring-offset-black:focus {\n    --tw-ring-offset-color: #000;\n  }\n\n  .xl\\:focus\\:ring-offset-white:focus {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-50:focus {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-100:focus {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-200:focus {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-300:focus {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-400:focus {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-500:focus {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-600:focus {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-700:focus {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-800:focus {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .xl\\:focus\\:ring-offset-gray-900:focus {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .xl\\:focus\\:ring-offset-red-50:focus {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .xl\\:focus\\:ring-offset-red-100:focus {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .xl\\:focus\\:ring-offset-red-200:focus {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .xl\\:focus\\:ring-offset-red-300:focus {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .xl\\:focus\\:ring-offset-red-400:focus {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .xl\\:focus\\:ring-offset-red-500:focus {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .xl\\:focus\\:ring-offset-red-600:focus {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .xl\\:focus\\:ring-offset-red-700:focus {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .xl\\:focus\\:ring-offset-red-800:focus {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .xl\\:focus\\:ring-offset-red-900:focus {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-50:focus {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-100:focus {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-200:focus {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-300:focus {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-400:focus {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-500:focus {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-600:focus {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-700:focus {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-800:focus {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .xl\\:focus\\:ring-offset-yellow-900:focus {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .xl\\:focus\\:ring-offset-green-50:focus {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .xl\\:focus\\:ring-offset-green-100:focus {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .xl\\:focus\\:ring-offset-green-200:focus {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .xl\\:focus\\:ring-offset-green-300:focus {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .xl\\:focus\\:ring-offset-green-400:focus {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .xl\\:focus\\:ring-offset-green-500:focus {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .xl\\:focus\\:ring-offset-green-600:focus {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .xl\\:focus\\:ring-offset-green-700:focus {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .xl\\:focus\\:ring-offset-green-800:focus {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .xl\\:focus\\:ring-offset-green-900:focus {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-50:focus {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-100:focus {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-200:focus {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-300:focus {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-400:focus {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-500:focus {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-600:focus {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-700:focus {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-800:focus {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .xl\\:focus\\:ring-offset-blue-900:focus {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-50:focus {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-100:focus {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-200:focus {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-300:focus {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-400:focus {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-500:focus {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-600:focus {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-700:focus {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-800:focus {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .xl\\:focus\\:ring-offset-indigo-900:focus {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-50:focus {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-100:focus {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-200:focus {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-300:focus {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-400:focus {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-500:focus {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-600:focus {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-700:focus {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-800:focus {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .xl\\:focus\\:ring-offset-purple-900:focus {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-50:focus {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-100:focus {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-200:focus {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-300:focus {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-400:focus {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-500:focus {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-600:focus {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-700:focus {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-800:focus {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .xl\\:focus\\:ring-offset-pink-900:focus {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .xl\\:focus\\:ring-offset-origin-protocol-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:focus\\:ring-offset-origin-protocol-button-end:focus {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .xl\\:focus\\:ring-offset-ousd-button-start:focus {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .xl\\:focus\\:ring-offset-ousd-button-end:focus {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .xl\\:focus\\:ring-offset-ousd-button-dark-start:focus {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .xl\\:focus\\:ring-offset-ousd-button-dark-end:focus {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .xl\\:focus\\:ring-offset-story-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .xl\\:focus\\:ring-offset-story-button-end:focus {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .xl\\:focus\\:ring-offset-story-pink-start:focus {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .xl\\:focus\\:ring-offset-story-pink-end:focus {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .xl\\:focus\\:ring-offset-footer-end:focus {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .xl\\:filter {\n    --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n    --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n  }\n\n  .xl\\:filter-none {\n    filter: none;\n  }\n\n  .xl\\:blur-0 {\n    --tw-blur: blur(0);\n  }\n\n  .xl\\:blur-none {\n    --tw-blur: blur(0);\n  }\n\n  .xl\\:blur-sm {\n    --tw-blur: blur(4px);\n  }\n\n  .xl\\:blur {\n    --tw-blur: blur(8px);\n  }\n\n  .xl\\:blur-md {\n    --tw-blur: blur(12px);\n  }\n\n  .xl\\:blur-lg {\n    --tw-blur: blur(16px);\n  }\n\n  .xl\\:blur-xl {\n    --tw-blur: blur(24px);\n  }\n\n  .xl\\:blur-2xl {\n    --tw-blur: blur(40px);\n  }\n\n  .xl\\:blur-3xl {\n    --tw-blur: blur(64px);\n  }\n\n  .xl\\:brightness-0 {\n    --tw-brightness: brightness(0);\n  }\n\n  .xl\\:brightness-50 {\n    --tw-brightness: brightness(.5);\n  }\n\n  .xl\\:brightness-75 {\n    --tw-brightness: brightness(.75);\n  }\n\n  .xl\\:brightness-90 {\n    --tw-brightness: brightness(.9);\n  }\n\n  .xl\\:brightness-95 {\n    --tw-brightness: brightness(.95);\n  }\n\n  .xl\\:brightness-100 {\n    --tw-brightness: brightness(1);\n  }\n\n  .xl\\:brightness-105 {\n    --tw-brightness: brightness(1.05);\n  }\n\n  .xl\\:brightness-110 {\n    --tw-brightness: brightness(1.1);\n  }\n\n  .xl\\:brightness-125 {\n    --tw-brightness: brightness(1.25);\n  }\n\n  .xl\\:brightness-150 {\n    --tw-brightness: brightness(1.5);\n  }\n\n  .xl\\:brightness-200 {\n    --tw-brightness: brightness(2);\n  }\n\n  .xl\\:contrast-0 {\n    --tw-contrast: contrast(0);\n  }\n\n  .xl\\:contrast-50 {\n    --tw-contrast: contrast(.5);\n  }\n\n  .xl\\:contrast-75 {\n    --tw-contrast: contrast(.75);\n  }\n\n  .xl\\:contrast-100 {\n    --tw-contrast: contrast(1);\n  }\n\n  .xl\\:contrast-125 {\n    --tw-contrast: contrast(1.25);\n  }\n\n  .xl\\:contrast-150 {\n    --tw-contrast: contrast(1.5);\n  }\n\n  .xl\\:contrast-200 {\n    --tw-contrast: contrast(2);\n  }\n\n  .xl\\:drop-shadow-sm {\n    --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n  }\n\n  .xl\\:drop-shadow {\n    --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n  }\n\n  .xl\\:drop-shadow-md {\n    --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n  }\n\n  .xl\\:drop-shadow-lg {\n    --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n  }\n\n  .xl\\:drop-shadow-xl {\n    --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n  }\n\n  .xl\\:drop-shadow-2xl {\n    --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n  }\n\n  .xl\\:drop-shadow-none {\n    --tw-drop-shadow: drop-shadow(0 0 #0000);\n  }\n\n  .xl\\:grayscale-0 {\n    --tw-grayscale: grayscale(0);\n  }\n\n  .xl\\:grayscale {\n    --tw-grayscale: grayscale(100%);\n  }\n\n  .xl\\:hue-rotate-0 {\n    --tw-hue-rotate: hue-rotate(0deg);\n  }\n\n  .xl\\:hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(15deg);\n  }\n\n  .xl\\:hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(30deg);\n  }\n\n  .xl\\:hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(60deg);\n  }\n\n  .xl\\:hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(90deg);\n  }\n\n  .xl\\:hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(180deg);\n  }\n\n  .xl\\:-hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .xl\\:-hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .xl\\:-hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .xl\\:-hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .xl\\:-hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .xl\\:invert-0 {\n    --tw-invert: invert(0);\n  }\n\n  .xl\\:invert {\n    --tw-invert: invert(100%);\n  }\n\n  .xl\\:saturate-0 {\n    --tw-saturate: saturate(0);\n  }\n\n  .xl\\:saturate-50 {\n    --tw-saturate: saturate(.5);\n  }\n\n  .xl\\:saturate-100 {\n    --tw-saturate: saturate(1);\n  }\n\n  .xl\\:saturate-150 {\n    --tw-saturate: saturate(1.5);\n  }\n\n  .xl\\:saturate-200 {\n    --tw-saturate: saturate(2);\n  }\n\n  .xl\\:sepia-0 {\n    --tw-sepia: sepia(0);\n  }\n\n  .xl\\:sepia {\n    --tw-sepia: sepia(100%);\n  }\n\n  .xl\\:backdrop-filter {\n    --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n    -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n            backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n  }\n\n  .xl\\:backdrop-filter-none {\n    -webkit-backdrop-filter: none;\n            backdrop-filter: none;\n  }\n\n  .xl\\:backdrop-blur-0 {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .xl\\:backdrop-blur-none {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .xl\\:backdrop-blur-sm {\n    --tw-backdrop-blur: blur(4px);\n  }\n\n  .xl\\:backdrop-blur {\n    --tw-backdrop-blur: blur(8px);\n  }\n\n  .xl\\:backdrop-blur-md {\n    --tw-backdrop-blur: blur(12px);\n  }\n\n  .xl\\:backdrop-blur-lg {\n    --tw-backdrop-blur: blur(16px);\n  }\n\n  .xl\\:backdrop-blur-xl {\n    --tw-backdrop-blur: blur(24px);\n  }\n\n  .xl\\:backdrop-blur-2xl {\n    --tw-backdrop-blur: blur(40px);\n  }\n\n  .xl\\:backdrop-blur-3xl {\n    --tw-backdrop-blur: blur(64px);\n  }\n\n  .xl\\:backdrop-brightness-0 {\n    --tw-backdrop-brightness: brightness(0);\n  }\n\n  .xl\\:backdrop-brightness-50 {\n    --tw-backdrop-brightness: brightness(.5);\n  }\n\n  .xl\\:backdrop-brightness-75 {\n    --tw-backdrop-brightness: brightness(.75);\n  }\n\n  .xl\\:backdrop-brightness-90 {\n    --tw-backdrop-brightness: brightness(.9);\n  }\n\n  .xl\\:backdrop-brightness-95 {\n    --tw-backdrop-brightness: brightness(.95);\n  }\n\n  .xl\\:backdrop-brightness-100 {\n    --tw-backdrop-brightness: brightness(1);\n  }\n\n  .xl\\:backdrop-brightness-105 {\n    --tw-backdrop-brightness: brightness(1.05);\n  }\n\n  .xl\\:backdrop-brightness-110 {\n    --tw-backdrop-brightness: brightness(1.1);\n  }\n\n  .xl\\:backdrop-brightness-125 {\n    --tw-backdrop-brightness: brightness(1.25);\n  }\n\n  .xl\\:backdrop-brightness-150 {\n    --tw-backdrop-brightness: brightness(1.5);\n  }\n\n  .xl\\:backdrop-brightness-200 {\n    --tw-backdrop-brightness: brightness(2);\n  }\n\n  .xl\\:backdrop-contrast-0 {\n    --tw-backdrop-contrast: contrast(0);\n  }\n\n  .xl\\:backdrop-contrast-50 {\n    --tw-backdrop-contrast: contrast(.5);\n  }\n\n  .xl\\:backdrop-contrast-75 {\n    --tw-backdrop-contrast: contrast(.75);\n  }\n\n  .xl\\:backdrop-contrast-100 {\n    --tw-backdrop-contrast: contrast(1);\n  }\n\n  .xl\\:backdrop-contrast-125 {\n    --tw-backdrop-contrast: contrast(1.25);\n  }\n\n  .xl\\:backdrop-contrast-150 {\n    --tw-backdrop-contrast: contrast(1.5);\n  }\n\n  .xl\\:backdrop-contrast-200 {\n    --tw-backdrop-contrast: contrast(2);\n  }\n\n  .xl\\:backdrop-grayscale-0 {\n    --tw-backdrop-grayscale: grayscale(0);\n  }\n\n  .xl\\:backdrop-grayscale {\n    --tw-backdrop-grayscale: grayscale(100%);\n  }\n\n  .xl\\:backdrop-hue-rotate-0 {\n    --tw-backdrop-hue-rotate: hue-rotate(0deg);\n  }\n\n  .xl\\:backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(15deg);\n  }\n\n  .xl\\:backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(30deg);\n  }\n\n  .xl\\:backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(60deg);\n  }\n\n  .xl\\:backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(90deg);\n  }\n\n  .xl\\:backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(180deg);\n  }\n\n  .xl\\:-backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .xl\\:-backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .xl\\:-backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .xl\\:-backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .xl\\:-backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .xl\\:backdrop-invert-0 {\n    --tw-backdrop-invert: invert(0);\n  }\n\n  .xl\\:backdrop-invert {\n    --tw-backdrop-invert: invert(100%);\n  }\n\n  .xl\\:backdrop-opacity-0 {\n    --tw-backdrop-opacity: opacity(0);\n  }\n\n  .xl\\:backdrop-opacity-5 {\n    --tw-backdrop-opacity: opacity(0.05);\n  }\n\n  .xl\\:backdrop-opacity-10 {\n    --tw-backdrop-opacity: opacity(0.1);\n  }\n\n  .xl\\:backdrop-opacity-20 {\n    --tw-backdrop-opacity: opacity(0.2);\n  }\n\n  .xl\\:backdrop-opacity-25 {\n    --tw-backdrop-opacity: opacity(0.25);\n  }\n\n  .xl\\:backdrop-opacity-30 {\n    --tw-backdrop-opacity: opacity(0.3);\n  }\n\n  .xl\\:backdrop-opacity-40 {\n    --tw-backdrop-opacity: opacity(0.4);\n  }\n\n  .xl\\:backdrop-opacity-50 {\n    --tw-backdrop-opacity: opacity(0.5);\n  }\n\n  .xl\\:backdrop-opacity-60 {\n    --tw-backdrop-opacity: opacity(0.6);\n  }\n\n  .xl\\:backdrop-opacity-70 {\n    --tw-backdrop-opacity: opacity(0.7);\n  }\n\n  .xl\\:backdrop-opacity-75 {\n    --tw-backdrop-opacity: opacity(0.75);\n  }\n\n  .xl\\:backdrop-opacity-80 {\n    --tw-backdrop-opacity: opacity(0.8);\n  }\n\n  .xl\\:backdrop-opacity-90 {\n    --tw-backdrop-opacity: opacity(0.9);\n  }\n\n  .xl\\:backdrop-opacity-95 {\n    --tw-backdrop-opacity: opacity(0.95);\n  }\n\n  .xl\\:backdrop-opacity-100 {\n    --tw-backdrop-opacity: opacity(1);\n  }\n\n  .xl\\:backdrop-saturate-0 {\n    --tw-backdrop-saturate: saturate(0);\n  }\n\n  .xl\\:backdrop-saturate-50 {\n    --tw-backdrop-saturate: saturate(.5);\n  }\n\n  .xl\\:backdrop-saturate-100 {\n    --tw-backdrop-saturate: saturate(1);\n  }\n\n  .xl\\:backdrop-saturate-150 {\n    --tw-backdrop-saturate: saturate(1.5);\n  }\n\n  .xl\\:backdrop-saturate-200 {\n    --tw-backdrop-saturate: saturate(2);\n  }\n\n  .xl\\:backdrop-sepia-0 {\n    --tw-backdrop-sepia: sepia(0);\n  }\n\n  .xl\\:backdrop-sepia {\n    --tw-backdrop-sepia: sepia(100%);\n  }\n\n  .xl\\:transition-none {\n    transition-property: none;\n  }\n\n  .xl\\:transition-all {\n    transition-property: all;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:transition {\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:transition-colors {\n    transition-property: background-color, border-color, color, fill, stroke;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:transition-opacity {\n    transition-property: opacity;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:transition-shadow {\n    transition-property: box-shadow;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:transition-transform {\n    transition-property: transform;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .xl\\:delay-75 {\n    transition-delay: 75ms;\n  }\n\n  .xl\\:delay-100 {\n    transition-delay: 100ms;\n  }\n\n  .xl\\:delay-150 {\n    transition-delay: 150ms;\n  }\n\n  .xl\\:delay-200 {\n    transition-delay: 200ms;\n  }\n\n  .xl\\:delay-300 {\n    transition-delay: 300ms;\n  }\n\n  .xl\\:delay-500 {\n    transition-delay: 500ms;\n  }\n\n  .xl\\:delay-700 {\n    transition-delay: 700ms;\n  }\n\n  .xl\\:delay-1000 {\n    transition-delay: 1000ms;\n  }\n\n  .xl\\:duration-75 {\n    transition-duration: 75ms;\n  }\n\n  .xl\\:duration-100 {\n    transition-duration: 100ms;\n  }\n\n  .xl\\:duration-150 {\n    transition-duration: 150ms;\n  }\n\n  .xl\\:duration-200 {\n    transition-duration: 200ms;\n  }\n\n  .xl\\:duration-300 {\n    transition-duration: 300ms;\n  }\n\n  .xl\\:duration-500 {\n    transition-duration: 500ms;\n  }\n\n  .xl\\:duration-700 {\n    transition-duration: 700ms;\n  }\n\n  .xl\\:duration-1000 {\n    transition-duration: 1000ms;\n  }\n\n  .xl\\:ease-linear {\n    transition-timing-function: linear;\n  }\n\n  .xl\\:ease-in {\n    transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n  }\n\n  .xl\\:ease-out {\n    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n  }\n\n  .xl\\:ease-in-out {\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  }\n}\n\n@media (min-width: 1536px) {\n  .\\32xl\\:container {\n    width: 100%;\n  }\n\n  @media (min-width: 640px) {\n    .\\32xl\\:container {\n      max-width: 640px;\n    }\n  }\n\n  @media (min-width: 768px) {\n    .\\32xl\\:container {\n      max-width: 768px;\n    }\n  }\n\n  @media (min-width: 1024px) {\n    .\\32xl\\:container {\n      max-width: 1024px;\n    }\n  }\n\n  @media (min-width: 1280px) {\n    .\\32xl\\:container {\n      max-width: 1280px;\n    }\n  }\n\n  @media (min-width: 1536px) {\n    .\\32xl\\:container {\n      max-width: 1536px;\n    }\n  }\n\n  .\\32xl\\:sr-only {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .\\32xl\\:not-sr-only {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .\\32xl\\:focus-within\\:sr-only:focus-within {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .\\32xl\\:focus-within\\:not-sr-only:focus-within {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .\\32xl\\:focus\\:sr-only:focus {\n    position: absolute;\n    width: 1px;\n    height: 1px;\n    padding: 0;\n    margin: -1px;\n    overflow: hidden;\n    clip: rect(0, 0, 0, 0);\n    white-space: nowrap;\n    border-width: 0;\n  }\n\n  .\\32xl\\:focus\\:not-sr-only:focus {\n    position: static;\n    width: auto;\n    height: auto;\n    padding: 0;\n    margin: 0;\n    overflow: visible;\n    clip: auto;\n    white-space: normal;\n  }\n\n  .\\32xl\\:pointer-events-none {\n    pointer-events: none;\n  }\n\n  .\\32xl\\:pointer-events-auto {\n    pointer-events: auto;\n  }\n\n  .\\32xl\\:visible {\n    visibility: visible;\n  }\n\n  .\\32xl\\:invisible {\n    visibility: hidden;\n  }\n\n  .\\32xl\\:static {\n    position: static;\n  }\n\n  .\\32xl\\:fixed {\n    position: fixed;\n  }\n\n  .\\32xl\\:absolute {\n    position: absolute;\n  }\n\n  .\\32xl\\:relative {\n    position: relative;\n  }\n\n  .\\32xl\\:sticky {\n    position: sticky;\n  }\n\n  .\\32xl\\:inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .\\32xl\\:inset-1 {\n    top: 0.25rem;\n    right: 0.25rem;\n    bottom: 0.25rem;\n    left: 0.25rem;\n  }\n\n  .\\32xl\\:inset-2 {\n    top: 0.5rem;\n    right: 0.5rem;\n    bottom: 0.5rem;\n    left: 0.5rem;\n  }\n\n  .\\32xl\\:inset-3 {\n    top: 0.75rem;\n    right: 0.75rem;\n    bottom: 0.75rem;\n    left: 0.75rem;\n  }\n\n  .\\32xl\\:inset-4 {\n    top: 1rem;\n    right: 1rem;\n    bottom: 1rem;\n    left: 1rem;\n  }\n\n  .\\32xl\\:inset-5 {\n    top: 1.25rem;\n    right: 1.25rem;\n    bottom: 1.25rem;\n    left: 1.25rem;\n  }\n\n  .\\32xl\\:inset-6 {\n    top: 1.5rem;\n    right: 1.5rem;\n    bottom: 1.5rem;\n    left: 1.5rem;\n  }\n\n  .\\32xl\\:inset-7 {\n    top: 1.75rem;\n    right: 1.75rem;\n    bottom: 1.75rem;\n    left: 1.75rem;\n  }\n\n  .\\32xl\\:inset-8 {\n    top: 2rem;\n    right: 2rem;\n    bottom: 2rem;\n    left: 2rem;\n  }\n\n  .\\32xl\\:inset-9 {\n    top: 2.25rem;\n    right: 2.25rem;\n    bottom: 2.25rem;\n    left: 2.25rem;\n  }\n\n  .\\32xl\\:inset-10 {\n    top: 2.5rem;\n    right: 2.5rem;\n    bottom: 2.5rem;\n    left: 2.5rem;\n  }\n\n  .\\32xl\\:inset-11 {\n    top: 2.75rem;\n    right: 2.75rem;\n    bottom: 2.75rem;\n    left: 2.75rem;\n  }\n\n  .\\32xl\\:inset-12 {\n    top: 3rem;\n    right: 3rem;\n    bottom: 3rem;\n    left: 3rem;\n  }\n\n  .\\32xl\\:inset-14 {\n    top: 3.5rem;\n    right: 3.5rem;\n    bottom: 3.5rem;\n    left: 3.5rem;\n  }\n\n  .\\32xl\\:inset-16 {\n    top: 4rem;\n    right: 4rem;\n    bottom: 4rem;\n    left: 4rem;\n  }\n\n  .\\32xl\\:inset-20 {\n    top: 5rem;\n    right: 5rem;\n    bottom: 5rem;\n    left: 5rem;\n  }\n\n  .\\32xl\\:inset-24 {\n    top: 6rem;\n    right: 6rem;\n    bottom: 6rem;\n    left: 6rem;\n  }\n\n  .\\32xl\\:inset-28 {\n    top: 7rem;\n    right: 7rem;\n    bottom: 7rem;\n    left: 7rem;\n  }\n\n  .\\32xl\\:inset-32 {\n    top: 8rem;\n    right: 8rem;\n    bottom: 8rem;\n    left: 8rem;\n  }\n\n  .\\32xl\\:inset-36 {\n    top: 9rem;\n    right: 9rem;\n    bottom: 9rem;\n    left: 9rem;\n  }\n\n  .\\32xl\\:inset-40 {\n    top: 10rem;\n    right: 10rem;\n    bottom: 10rem;\n    left: 10rem;\n  }\n\n  .\\32xl\\:inset-44 {\n    top: 11rem;\n    right: 11rem;\n    bottom: 11rem;\n    left: 11rem;\n  }\n\n  .\\32xl\\:inset-48 {\n    top: 12rem;\n    right: 12rem;\n    bottom: 12rem;\n    left: 12rem;\n  }\n\n  .\\32xl\\:inset-52 {\n    top: 13rem;\n    right: 13rem;\n    bottom: 13rem;\n    left: 13rem;\n  }\n\n  .\\32xl\\:inset-56 {\n    top: 14rem;\n    right: 14rem;\n    bottom: 14rem;\n    left: 14rem;\n  }\n\n  .\\32xl\\:inset-60 {\n    top: 15rem;\n    right: 15rem;\n    bottom: 15rem;\n    left: 15rem;\n  }\n\n  .\\32xl\\:inset-64 {\n    top: 16rem;\n    right: 16rem;\n    bottom: 16rem;\n    left: 16rem;\n  }\n\n  .\\32xl\\:inset-72 {\n    top: 18rem;\n    right: 18rem;\n    bottom: 18rem;\n    left: 18rem;\n  }\n\n  .\\32xl\\:inset-80 {\n    top: 20rem;\n    right: 20rem;\n    bottom: 20rem;\n    left: 20rem;\n  }\n\n  .\\32xl\\:inset-96 {\n    top: 24rem;\n    right: 24rem;\n    bottom: 24rem;\n    left: 24rem;\n  }\n\n  .\\32xl\\:inset-auto {\n    top: auto;\n    right: auto;\n    bottom: auto;\n    left: auto;\n  }\n\n  .\\32xl\\:inset-px {\n    top: 1px;\n    right: 1px;\n    bottom: 1px;\n    left: 1px;\n  }\n\n  .\\32xl\\:inset-0\\.5 {\n    top: 0.125rem;\n    right: 0.125rem;\n    bottom: 0.125rem;\n    left: 0.125rem;\n  }\n\n  .\\32xl\\:inset-1\\.5 {\n    top: 0.375rem;\n    right: 0.375rem;\n    bottom: 0.375rem;\n    left: 0.375rem;\n  }\n\n  .\\32xl\\:inset-2\\.5 {\n    top: 0.625rem;\n    right: 0.625rem;\n    bottom: 0.625rem;\n    left: 0.625rem;\n  }\n\n  .\\32xl\\:inset-3\\.5 {\n    top: 0.875rem;\n    right: 0.875rem;\n    bottom: 0.875rem;\n    left: 0.875rem;\n  }\n\n  .\\32xl\\:-inset-0 {\n    top: 0px;\n    right: 0px;\n    bottom: 0px;\n    left: 0px;\n  }\n\n  .\\32xl\\:-inset-1 {\n    top: -0.25rem;\n    right: -0.25rem;\n    bottom: -0.25rem;\n    left: -0.25rem;\n  }\n\n  .\\32xl\\:-inset-2 {\n    top: -0.5rem;\n    right: -0.5rem;\n    bottom: -0.5rem;\n    left: -0.5rem;\n  }\n\n  .\\32xl\\:-inset-3 {\n    top: -0.75rem;\n    right: -0.75rem;\n    bottom: -0.75rem;\n    left: -0.75rem;\n  }\n\n  .\\32xl\\:-inset-4 {\n    top: -1rem;\n    right: -1rem;\n    bottom: -1rem;\n    left: -1rem;\n  }\n\n  .\\32xl\\:-inset-5 {\n    top: -1.25rem;\n    right: -1.25rem;\n    bottom: -1.25rem;\n    left: -1.25rem;\n  }\n\n  .\\32xl\\:-inset-6 {\n    top: -1.5rem;\n    right: -1.5rem;\n    bottom: -1.5rem;\n    left: -1.5rem;\n  }\n\n  .\\32xl\\:-inset-7 {\n    top: -1.75rem;\n    right: -1.75rem;\n    bottom: -1.75rem;\n    left: -1.75rem;\n  }\n\n  .\\32xl\\:-inset-8 {\n    top: -2rem;\n    right: -2rem;\n    bottom: -2rem;\n    left: -2rem;\n  }\n\n  .\\32xl\\:-inset-9 {\n    top: -2.25rem;\n    right: -2.25rem;\n    bottom: -2.25rem;\n    left: -2.25rem;\n  }\n\n  .\\32xl\\:-inset-10 {\n    top: -2.5rem;\n    right: -2.5rem;\n    bottom: -2.5rem;\n    left: -2.5rem;\n  }\n\n  .\\32xl\\:-inset-11 {\n    top: -2.75rem;\n    right: -2.75rem;\n    bottom: -2.75rem;\n    left: -2.75rem;\n  }\n\n  .\\32xl\\:-inset-12 {\n    top: -3rem;\n    right: -3rem;\n    bottom: -3rem;\n    left: -3rem;\n  }\n\n  .\\32xl\\:-inset-14 {\n    top: -3.5rem;\n    right: -3.5rem;\n    bottom: -3.5rem;\n    left: -3.5rem;\n  }\n\n  .\\32xl\\:-inset-16 {\n    top: -4rem;\n    right: -4rem;\n    bottom: -4rem;\n    left: -4rem;\n  }\n\n  .\\32xl\\:-inset-20 {\n    top: -5rem;\n    right: -5rem;\n    bottom: -5rem;\n    left: -5rem;\n  }\n\n  .\\32xl\\:-inset-24 {\n    top: -6rem;\n    right: -6rem;\n    bottom: -6rem;\n    left: -6rem;\n  }\n\n  .\\32xl\\:-inset-28 {\n    top: -7rem;\n    right: -7rem;\n    bottom: -7rem;\n    left: -7rem;\n  }\n\n  .\\32xl\\:-inset-32 {\n    top: -8rem;\n    right: -8rem;\n    bottom: -8rem;\n    left: -8rem;\n  }\n\n  .\\32xl\\:-inset-36 {\n    top: -9rem;\n    right: -9rem;\n    bottom: -9rem;\n    left: -9rem;\n  }\n\n  .\\32xl\\:-inset-40 {\n    top: -10rem;\n    right: -10rem;\n    bottom: -10rem;\n    left: -10rem;\n  }\n\n  .\\32xl\\:-inset-44 {\n    top: -11rem;\n    right: -11rem;\n    bottom: -11rem;\n    left: -11rem;\n  }\n\n  .\\32xl\\:-inset-48 {\n    top: -12rem;\n    right: -12rem;\n    bottom: -12rem;\n    left: -12rem;\n  }\n\n  .\\32xl\\:-inset-52 {\n    top: -13rem;\n    right: -13rem;\n    bottom: -13rem;\n    left: -13rem;\n  }\n\n  .\\32xl\\:-inset-56 {\n    top: -14rem;\n    right: -14rem;\n    bottom: -14rem;\n    left: -14rem;\n  }\n\n  .\\32xl\\:-inset-60 {\n    top: -15rem;\n    right: -15rem;\n    bottom: -15rem;\n    left: -15rem;\n  }\n\n  .\\32xl\\:-inset-64 {\n    top: -16rem;\n    right: -16rem;\n    bottom: -16rem;\n    left: -16rem;\n  }\n\n  .\\32xl\\:-inset-72 {\n    top: -18rem;\n    right: -18rem;\n    bottom: -18rem;\n    left: -18rem;\n  }\n\n  .\\32xl\\:-inset-80 {\n    top: -20rem;\n    right: -20rem;\n    bottom: -20rem;\n    left: -20rem;\n  }\n\n  .\\32xl\\:-inset-96 {\n    top: -24rem;\n    right: -24rem;\n    bottom: -24rem;\n    left: -24rem;\n  }\n\n  .\\32xl\\:-inset-px {\n    top: -1px;\n    right: -1px;\n    bottom: -1px;\n    left: -1px;\n  }\n\n  .\\32xl\\:-inset-0\\.5 {\n    top: -0.125rem;\n    right: -0.125rem;\n    bottom: -0.125rem;\n    left: -0.125rem;\n  }\n\n  .\\32xl\\:-inset-1\\.5 {\n    top: -0.375rem;\n    right: -0.375rem;\n    bottom: -0.375rem;\n    left: -0.375rem;\n  }\n\n  .\\32xl\\:-inset-2\\.5 {\n    top: -0.625rem;\n    right: -0.625rem;\n    bottom: -0.625rem;\n    left: -0.625rem;\n  }\n\n  .\\32xl\\:-inset-3\\.5 {\n    top: -0.875rem;\n    right: -0.875rem;\n    bottom: -0.875rem;\n    left: -0.875rem;\n  }\n\n  .\\32xl\\:inset-1\\/2 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .\\32xl\\:inset-1\\/3 {\n    top: 33.333333%;\n    right: 33.333333%;\n    bottom: 33.333333%;\n    left: 33.333333%;\n  }\n\n  .\\32xl\\:inset-2\\/3 {\n    top: 66.666667%;\n    right: 66.666667%;\n    bottom: 66.666667%;\n    left: 66.666667%;\n  }\n\n  .\\32xl\\:inset-1\\/4 {\n    top: 25%;\n    right: 25%;\n    bottom: 25%;\n    left: 25%;\n  }\n\n  .\\32xl\\:inset-2\\/4 {\n    top: 50%;\n    right: 50%;\n    bottom: 50%;\n    left: 50%;\n  }\n\n  .\\32xl\\:inset-3\\/4 {\n    top: 75%;\n    right: 75%;\n    bottom: 75%;\n    left: 75%;\n  }\n\n  .\\32xl\\:inset-full {\n    top: 100%;\n    right: 100%;\n    bottom: 100%;\n    left: 100%;\n  }\n\n  .\\32xl\\:-inset-1\\/2 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .\\32xl\\:-inset-1\\/3 {\n    top: -33.333333%;\n    right: -33.333333%;\n    bottom: -33.333333%;\n    left: -33.333333%;\n  }\n\n  .\\32xl\\:-inset-2\\/3 {\n    top: -66.666667%;\n    right: -66.666667%;\n    bottom: -66.666667%;\n    left: -66.666667%;\n  }\n\n  .\\32xl\\:-inset-1\\/4 {\n    top: -25%;\n    right: -25%;\n    bottom: -25%;\n    left: -25%;\n  }\n\n  .\\32xl\\:-inset-2\\/4 {\n    top: -50%;\n    right: -50%;\n    bottom: -50%;\n    left: -50%;\n  }\n\n  .\\32xl\\:-inset-3\\/4 {\n    top: -75%;\n    right: -75%;\n    bottom: -75%;\n    left: -75%;\n  }\n\n  .\\32xl\\:-inset-full {\n    top: -100%;\n    right: -100%;\n    bottom: -100%;\n    left: -100%;\n  }\n\n  .\\32xl\\:inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .\\32xl\\:inset-x-1 {\n    left: 0.25rem;\n    right: 0.25rem;\n  }\n\n  .\\32xl\\:inset-x-2 {\n    left: 0.5rem;\n    right: 0.5rem;\n  }\n\n  .\\32xl\\:inset-x-3 {\n    left: 0.75rem;\n    right: 0.75rem;\n  }\n\n  .\\32xl\\:inset-x-4 {\n    left: 1rem;\n    right: 1rem;\n  }\n\n  .\\32xl\\:inset-x-5 {\n    left: 1.25rem;\n    right: 1.25rem;\n  }\n\n  .\\32xl\\:inset-x-6 {\n    left: 1.5rem;\n    right: 1.5rem;\n  }\n\n  .\\32xl\\:inset-x-7 {\n    left: 1.75rem;\n    right: 1.75rem;\n  }\n\n  .\\32xl\\:inset-x-8 {\n    left: 2rem;\n    right: 2rem;\n  }\n\n  .\\32xl\\:inset-x-9 {\n    left: 2.25rem;\n    right: 2.25rem;\n  }\n\n  .\\32xl\\:inset-x-10 {\n    left: 2.5rem;\n    right: 2.5rem;\n  }\n\n  .\\32xl\\:inset-x-11 {\n    left: 2.75rem;\n    right: 2.75rem;\n  }\n\n  .\\32xl\\:inset-x-12 {\n    left: 3rem;\n    right: 3rem;\n  }\n\n  .\\32xl\\:inset-x-14 {\n    left: 3.5rem;\n    right: 3.5rem;\n  }\n\n  .\\32xl\\:inset-x-16 {\n    left: 4rem;\n    right: 4rem;\n  }\n\n  .\\32xl\\:inset-x-20 {\n    left: 5rem;\n    right: 5rem;\n  }\n\n  .\\32xl\\:inset-x-24 {\n    left: 6rem;\n    right: 6rem;\n  }\n\n  .\\32xl\\:inset-x-28 {\n    left: 7rem;\n    right: 7rem;\n  }\n\n  .\\32xl\\:inset-x-32 {\n    left: 8rem;\n    right: 8rem;\n  }\n\n  .\\32xl\\:inset-x-36 {\n    left: 9rem;\n    right: 9rem;\n  }\n\n  .\\32xl\\:inset-x-40 {\n    left: 10rem;\n    right: 10rem;\n  }\n\n  .\\32xl\\:inset-x-44 {\n    left: 11rem;\n    right: 11rem;\n  }\n\n  .\\32xl\\:inset-x-48 {\n    left: 12rem;\n    right: 12rem;\n  }\n\n  .\\32xl\\:inset-x-52 {\n    left: 13rem;\n    right: 13rem;\n  }\n\n  .\\32xl\\:inset-x-56 {\n    left: 14rem;\n    right: 14rem;\n  }\n\n  .\\32xl\\:inset-x-60 {\n    left: 15rem;\n    right: 15rem;\n  }\n\n  .\\32xl\\:inset-x-64 {\n    left: 16rem;\n    right: 16rem;\n  }\n\n  .\\32xl\\:inset-x-72 {\n    left: 18rem;\n    right: 18rem;\n  }\n\n  .\\32xl\\:inset-x-80 {\n    left: 20rem;\n    right: 20rem;\n  }\n\n  .\\32xl\\:inset-x-96 {\n    left: 24rem;\n    right: 24rem;\n  }\n\n  .\\32xl\\:inset-x-auto {\n    left: auto;\n    right: auto;\n  }\n\n  .\\32xl\\:inset-x-px {\n    left: 1px;\n    right: 1px;\n  }\n\n  .\\32xl\\:inset-x-0\\.5 {\n    left: 0.125rem;\n    right: 0.125rem;\n  }\n\n  .\\32xl\\:inset-x-1\\.5 {\n    left: 0.375rem;\n    right: 0.375rem;\n  }\n\n  .\\32xl\\:inset-x-2\\.5 {\n    left: 0.625rem;\n    right: 0.625rem;\n  }\n\n  .\\32xl\\:inset-x-3\\.5 {\n    left: 0.875rem;\n    right: 0.875rem;\n  }\n\n  .\\32xl\\:-inset-x-0 {\n    left: 0px;\n    right: 0px;\n  }\n\n  .\\32xl\\:-inset-x-1 {\n    left: -0.25rem;\n    right: -0.25rem;\n  }\n\n  .\\32xl\\:-inset-x-2 {\n    left: -0.5rem;\n    right: -0.5rem;\n  }\n\n  .\\32xl\\:-inset-x-3 {\n    left: -0.75rem;\n    right: -0.75rem;\n  }\n\n  .\\32xl\\:-inset-x-4 {\n    left: -1rem;\n    right: -1rem;\n  }\n\n  .\\32xl\\:-inset-x-5 {\n    left: -1.25rem;\n    right: -1.25rem;\n  }\n\n  .\\32xl\\:-inset-x-6 {\n    left: -1.5rem;\n    right: -1.5rem;\n  }\n\n  .\\32xl\\:-inset-x-7 {\n    left: -1.75rem;\n    right: -1.75rem;\n  }\n\n  .\\32xl\\:-inset-x-8 {\n    left: -2rem;\n    right: -2rem;\n  }\n\n  .\\32xl\\:-inset-x-9 {\n    left: -2.25rem;\n    right: -2.25rem;\n  }\n\n  .\\32xl\\:-inset-x-10 {\n    left: -2.5rem;\n    right: -2.5rem;\n  }\n\n  .\\32xl\\:-inset-x-11 {\n    left: -2.75rem;\n    right: -2.75rem;\n  }\n\n  .\\32xl\\:-inset-x-12 {\n    left: -3rem;\n    right: -3rem;\n  }\n\n  .\\32xl\\:-inset-x-14 {\n    left: -3.5rem;\n    right: -3.5rem;\n  }\n\n  .\\32xl\\:-inset-x-16 {\n    left: -4rem;\n    right: -4rem;\n  }\n\n  .\\32xl\\:-inset-x-20 {\n    left: -5rem;\n    right: -5rem;\n  }\n\n  .\\32xl\\:-inset-x-24 {\n    left: -6rem;\n    right: -6rem;\n  }\n\n  .\\32xl\\:-inset-x-28 {\n    left: -7rem;\n    right: -7rem;\n  }\n\n  .\\32xl\\:-inset-x-32 {\n    left: -8rem;\n    right: -8rem;\n  }\n\n  .\\32xl\\:-inset-x-36 {\n    left: -9rem;\n    right: -9rem;\n  }\n\n  .\\32xl\\:-inset-x-40 {\n    left: -10rem;\n    right: -10rem;\n  }\n\n  .\\32xl\\:-inset-x-44 {\n    left: -11rem;\n    right: -11rem;\n  }\n\n  .\\32xl\\:-inset-x-48 {\n    left: -12rem;\n    right: -12rem;\n  }\n\n  .\\32xl\\:-inset-x-52 {\n    left: -13rem;\n    right: -13rem;\n  }\n\n  .\\32xl\\:-inset-x-56 {\n    left: -14rem;\n    right: -14rem;\n  }\n\n  .\\32xl\\:-inset-x-60 {\n    left: -15rem;\n    right: -15rem;\n  }\n\n  .\\32xl\\:-inset-x-64 {\n    left: -16rem;\n    right: -16rem;\n  }\n\n  .\\32xl\\:-inset-x-72 {\n    left: -18rem;\n    right: -18rem;\n  }\n\n  .\\32xl\\:-inset-x-80 {\n    left: -20rem;\n    right: -20rem;\n  }\n\n  .\\32xl\\:-inset-x-96 {\n    left: -24rem;\n    right: -24rem;\n  }\n\n  .\\32xl\\:-inset-x-px {\n    left: -1px;\n    right: -1px;\n  }\n\n  .\\32xl\\:-inset-x-0\\.5 {\n    left: -0.125rem;\n    right: -0.125rem;\n  }\n\n  .\\32xl\\:-inset-x-1\\.5 {\n    left: -0.375rem;\n    right: -0.375rem;\n  }\n\n  .\\32xl\\:-inset-x-2\\.5 {\n    left: -0.625rem;\n    right: -0.625rem;\n  }\n\n  .\\32xl\\:-inset-x-3\\.5 {\n    left: -0.875rem;\n    right: -0.875rem;\n  }\n\n  .\\32xl\\:inset-x-1\\/2 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .\\32xl\\:inset-x-1\\/3 {\n    left: 33.333333%;\n    right: 33.333333%;\n  }\n\n  .\\32xl\\:inset-x-2\\/3 {\n    left: 66.666667%;\n    right: 66.666667%;\n  }\n\n  .\\32xl\\:inset-x-1\\/4 {\n    left: 25%;\n    right: 25%;\n  }\n\n  .\\32xl\\:inset-x-2\\/4 {\n    left: 50%;\n    right: 50%;\n  }\n\n  .\\32xl\\:inset-x-3\\/4 {\n    left: 75%;\n    right: 75%;\n  }\n\n  .\\32xl\\:inset-x-full {\n    left: 100%;\n    right: 100%;\n  }\n\n  .\\32xl\\:-inset-x-1\\/2 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .\\32xl\\:-inset-x-1\\/3 {\n    left: -33.333333%;\n    right: -33.333333%;\n  }\n\n  .\\32xl\\:-inset-x-2\\/3 {\n    left: -66.666667%;\n    right: -66.666667%;\n  }\n\n  .\\32xl\\:-inset-x-1\\/4 {\n    left: -25%;\n    right: -25%;\n  }\n\n  .\\32xl\\:-inset-x-2\\/4 {\n    left: -50%;\n    right: -50%;\n  }\n\n  .\\32xl\\:-inset-x-3\\/4 {\n    left: -75%;\n    right: -75%;\n  }\n\n  .\\32xl\\:-inset-x-full {\n    left: -100%;\n    right: -100%;\n  }\n\n  .\\32xl\\:inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .\\32xl\\:inset-y-1 {\n    top: 0.25rem;\n    bottom: 0.25rem;\n  }\n\n  .\\32xl\\:inset-y-2 {\n    top: 0.5rem;\n    bottom: 0.5rem;\n  }\n\n  .\\32xl\\:inset-y-3 {\n    top: 0.75rem;\n    bottom: 0.75rem;\n  }\n\n  .\\32xl\\:inset-y-4 {\n    top: 1rem;\n    bottom: 1rem;\n  }\n\n  .\\32xl\\:inset-y-5 {\n    top: 1.25rem;\n    bottom: 1.25rem;\n  }\n\n  .\\32xl\\:inset-y-6 {\n    top: 1.5rem;\n    bottom: 1.5rem;\n  }\n\n  .\\32xl\\:inset-y-7 {\n    top: 1.75rem;\n    bottom: 1.75rem;\n  }\n\n  .\\32xl\\:inset-y-8 {\n    top: 2rem;\n    bottom: 2rem;\n  }\n\n  .\\32xl\\:inset-y-9 {\n    top: 2.25rem;\n    bottom: 2.25rem;\n  }\n\n  .\\32xl\\:inset-y-10 {\n    top: 2.5rem;\n    bottom: 2.5rem;\n  }\n\n  .\\32xl\\:inset-y-11 {\n    top: 2.75rem;\n    bottom: 2.75rem;\n  }\n\n  .\\32xl\\:inset-y-12 {\n    top: 3rem;\n    bottom: 3rem;\n  }\n\n  .\\32xl\\:inset-y-14 {\n    top: 3.5rem;\n    bottom: 3.5rem;\n  }\n\n  .\\32xl\\:inset-y-16 {\n    top: 4rem;\n    bottom: 4rem;\n  }\n\n  .\\32xl\\:inset-y-20 {\n    top: 5rem;\n    bottom: 5rem;\n  }\n\n  .\\32xl\\:inset-y-24 {\n    top: 6rem;\n    bottom: 6rem;\n  }\n\n  .\\32xl\\:inset-y-28 {\n    top: 7rem;\n    bottom: 7rem;\n  }\n\n  .\\32xl\\:inset-y-32 {\n    top: 8rem;\n    bottom: 8rem;\n  }\n\n  .\\32xl\\:inset-y-36 {\n    top: 9rem;\n    bottom: 9rem;\n  }\n\n  .\\32xl\\:inset-y-40 {\n    top: 10rem;\n    bottom: 10rem;\n  }\n\n  .\\32xl\\:inset-y-44 {\n    top: 11rem;\n    bottom: 11rem;\n  }\n\n  .\\32xl\\:inset-y-48 {\n    top: 12rem;\n    bottom: 12rem;\n  }\n\n  .\\32xl\\:inset-y-52 {\n    top: 13rem;\n    bottom: 13rem;\n  }\n\n  .\\32xl\\:inset-y-56 {\n    top: 14rem;\n    bottom: 14rem;\n  }\n\n  .\\32xl\\:inset-y-60 {\n    top: 15rem;\n    bottom: 15rem;\n  }\n\n  .\\32xl\\:inset-y-64 {\n    top: 16rem;\n    bottom: 16rem;\n  }\n\n  .\\32xl\\:inset-y-72 {\n    top: 18rem;\n    bottom: 18rem;\n  }\n\n  .\\32xl\\:inset-y-80 {\n    top: 20rem;\n    bottom: 20rem;\n  }\n\n  .\\32xl\\:inset-y-96 {\n    top: 24rem;\n    bottom: 24rem;\n  }\n\n  .\\32xl\\:inset-y-auto {\n    top: auto;\n    bottom: auto;\n  }\n\n  .\\32xl\\:inset-y-px {\n    top: 1px;\n    bottom: 1px;\n  }\n\n  .\\32xl\\:inset-y-0\\.5 {\n    top: 0.125rem;\n    bottom: 0.125rem;\n  }\n\n  .\\32xl\\:inset-y-1\\.5 {\n    top: 0.375rem;\n    bottom: 0.375rem;\n  }\n\n  .\\32xl\\:inset-y-2\\.5 {\n    top: 0.625rem;\n    bottom: 0.625rem;\n  }\n\n  .\\32xl\\:inset-y-3\\.5 {\n    top: 0.875rem;\n    bottom: 0.875rem;\n  }\n\n  .\\32xl\\:-inset-y-0 {\n    top: 0px;\n    bottom: 0px;\n  }\n\n  .\\32xl\\:-inset-y-1 {\n    top: -0.25rem;\n    bottom: -0.25rem;\n  }\n\n  .\\32xl\\:-inset-y-2 {\n    top: -0.5rem;\n    bottom: -0.5rem;\n  }\n\n  .\\32xl\\:-inset-y-3 {\n    top: -0.75rem;\n    bottom: -0.75rem;\n  }\n\n  .\\32xl\\:-inset-y-4 {\n    top: -1rem;\n    bottom: -1rem;\n  }\n\n  .\\32xl\\:-inset-y-5 {\n    top: -1.25rem;\n    bottom: -1.25rem;\n  }\n\n  .\\32xl\\:-inset-y-6 {\n    top: -1.5rem;\n    bottom: -1.5rem;\n  }\n\n  .\\32xl\\:-inset-y-7 {\n    top: -1.75rem;\n    bottom: -1.75rem;\n  }\n\n  .\\32xl\\:-inset-y-8 {\n    top: -2rem;\n    bottom: -2rem;\n  }\n\n  .\\32xl\\:-inset-y-9 {\n    top: -2.25rem;\n    bottom: -2.25rem;\n  }\n\n  .\\32xl\\:-inset-y-10 {\n    top: -2.5rem;\n    bottom: -2.5rem;\n  }\n\n  .\\32xl\\:-inset-y-11 {\n    top: -2.75rem;\n    bottom: -2.75rem;\n  }\n\n  .\\32xl\\:-inset-y-12 {\n    top: -3rem;\n    bottom: -3rem;\n  }\n\n  .\\32xl\\:-inset-y-14 {\n    top: -3.5rem;\n    bottom: -3.5rem;\n  }\n\n  .\\32xl\\:-inset-y-16 {\n    top: -4rem;\n    bottom: -4rem;\n  }\n\n  .\\32xl\\:-inset-y-20 {\n    top: -5rem;\n    bottom: -5rem;\n  }\n\n  .\\32xl\\:-inset-y-24 {\n    top: -6rem;\n    bottom: -6rem;\n  }\n\n  .\\32xl\\:-inset-y-28 {\n    top: -7rem;\n    bottom: -7rem;\n  }\n\n  .\\32xl\\:-inset-y-32 {\n    top: -8rem;\n    bottom: -8rem;\n  }\n\n  .\\32xl\\:-inset-y-36 {\n    top: -9rem;\n    bottom: -9rem;\n  }\n\n  .\\32xl\\:-inset-y-40 {\n    top: -10rem;\n    bottom: -10rem;\n  }\n\n  .\\32xl\\:-inset-y-44 {\n    top: -11rem;\n    bottom: -11rem;\n  }\n\n  .\\32xl\\:-inset-y-48 {\n    top: -12rem;\n    bottom: -12rem;\n  }\n\n  .\\32xl\\:-inset-y-52 {\n    top: -13rem;\n    bottom: -13rem;\n  }\n\n  .\\32xl\\:-inset-y-56 {\n    top: -14rem;\n    bottom: -14rem;\n  }\n\n  .\\32xl\\:-inset-y-60 {\n    top: -15rem;\n    bottom: -15rem;\n  }\n\n  .\\32xl\\:-inset-y-64 {\n    top: -16rem;\n    bottom: -16rem;\n  }\n\n  .\\32xl\\:-inset-y-72 {\n    top: -18rem;\n    bottom: -18rem;\n  }\n\n  .\\32xl\\:-inset-y-80 {\n    top: -20rem;\n    bottom: -20rem;\n  }\n\n  .\\32xl\\:-inset-y-96 {\n    top: -24rem;\n    bottom: -24rem;\n  }\n\n  .\\32xl\\:-inset-y-px {\n    top: -1px;\n    bottom: -1px;\n  }\n\n  .\\32xl\\:-inset-y-0\\.5 {\n    top: -0.125rem;\n    bottom: -0.125rem;\n  }\n\n  .\\32xl\\:-inset-y-1\\.5 {\n    top: -0.375rem;\n    bottom: -0.375rem;\n  }\n\n  .\\32xl\\:-inset-y-2\\.5 {\n    top: -0.625rem;\n    bottom: -0.625rem;\n  }\n\n  .\\32xl\\:-inset-y-3\\.5 {\n    top: -0.875rem;\n    bottom: -0.875rem;\n  }\n\n  .\\32xl\\:inset-y-1\\/2 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .\\32xl\\:inset-y-1\\/3 {\n    top: 33.333333%;\n    bottom: 33.333333%;\n  }\n\n  .\\32xl\\:inset-y-2\\/3 {\n    top: 66.666667%;\n    bottom: 66.666667%;\n  }\n\n  .\\32xl\\:inset-y-1\\/4 {\n    top: 25%;\n    bottom: 25%;\n  }\n\n  .\\32xl\\:inset-y-2\\/4 {\n    top: 50%;\n    bottom: 50%;\n  }\n\n  .\\32xl\\:inset-y-3\\/4 {\n    top: 75%;\n    bottom: 75%;\n  }\n\n  .\\32xl\\:inset-y-full {\n    top: 100%;\n    bottom: 100%;\n  }\n\n  .\\32xl\\:-inset-y-1\\/2 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .\\32xl\\:-inset-y-1\\/3 {\n    top: -33.333333%;\n    bottom: -33.333333%;\n  }\n\n  .\\32xl\\:-inset-y-2\\/3 {\n    top: -66.666667%;\n    bottom: -66.666667%;\n  }\n\n  .\\32xl\\:-inset-y-1\\/4 {\n    top: -25%;\n    bottom: -25%;\n  }\n\n  .\\32xl\\:-inset-y-2\\/4 {\n    top: -50%;\n    bottom: -50%;\n  }\n\n  .\\32xl\\:-inset-y-3\\/4 {\n    top: -75%;\n    bottom: -75%;\n  }\n\n  .\\32xl\\:-inset-y-full {\n    top: -100%;\n    bottom: -100%;\n  }\n\n  .\\32xl\\:top-0 {\n    top: 0px;\n  }\n\n  .\\32xl\\:top-1 {\n    top: 0.25rem;\n  }\n\n  .\\32xl\\:top-2 {\n    top: 0.5rem;\n  }\n\n  .\\32xl\\:top-3 {\n    top: 0.75rem;\n  }\n\n  .\\32xl\\:top-4 {\n    top: 1rem;\n  }\n\n  .\\32xl\\:top-5 {\n    top: 1.25rem;\n  }\n\n  .\\32xl\\:top-6 {\n    top: 1.5rem;\n  }\n\n  .\\32xl\\:top-7 {\n    top: 1.75rem;\n  }\n\n  .\\32xl\\:top-8 {\n    top: 2rem;\n  }\n\n  .\\32xl\\:top-9 {\n    top: 2.25rem;\n  }\n\n  .\\32xl\\:top-10 {\n    top: 2.5rem;\n  }\n\n  .\\32xl\\:top-11 {\n    top: 2.75rem;\n  }\n\n  .\\32xl\\:top-12 {\n    top: 3rem;\n  }\n\n  .\\32xl\\:top-14 {\n    top: 3.5rem;\n  }\n\n  .\\32xl\\:top-16 {\n    top: 4rem;\n  }\n\n  .\\32xl\\:top-20 {\n    top: 5rem;\n  }\n\n  .\\32xl\\:top-24 {\n    top: 6rem;\n  }\n\n  .\\32xl\\:top-28 {\n    top: 7rem;\n  }\n\n  .\\32xl\\:top-32 {\n    top: 8rem;\n  }\n\n  .\\32xl\\:top-36 {\n    top: 9rem;\n  }\n\n  .\\32xl\\:top-40 {\n    top: 10rem;\n  }\n\n  .\\32xl\\:top-44 {\n    top: 11rem;\n  }\n\n  .\\32xl\\:top-48 {\n    top: 12rem;\n  }\n\n  .\\32xl\\:top-52 {\n    top: 13rem;\n  }\n\n  .\\32xl\\:top-56 {\n    top: 14rem;\n  }\n\n  .\\32xl\\:top-60 {\n    top: 15rem;\n  }\n\n  .\\32xl\\:top-64 {\n    top: 16rem;\n  }\n\n  .\\32xl\\:top-72 {\n    top: 18rem;\n  }\n\n  .\\32xl\\:top-80 {\n    top: 20rem;\n  }\n\n  .\\32xl\\:top-96 {\n    top: 24rem;\n  }\n\n  .\\32xl\\:top-auto {\n    top: auto;\n  }\n\n  .\\32xl\\:top-px {\n    top: 1px;\n  }\n\n  .\\32xl\\:top-0\\.5 {\n    top: 0.125rem;\n  }\n\n  .\\32xl\\:top-1\\.5 {\n    top: 0.375rem;\n  }\n\n  .\\32xl\\:top-2\\.5 {\n    top: 0.625rem;\n  }\n\n  .\\32xl\\:top-3\\.5 {\n    top: 0.875rem;\n  }\n\n  .\\32xl\\:-top-0 {\n    top: 0px;\n  }\n\n  .\\32xl\\:-top-1 {\n    top: -0.25rem;\n  }\n\n  .\\32xl\\:-top-2 {\n    top: -0.5rem;\n  }\n\n  .\\32xl\\:-top-3 {\n    top: -0.75rem;\n  }\n\n  .\\32xl\\:-top-4 {\n    top: -1rem;\n  }\n\n  .\\32xl\\:-top-5 {\n    top: -1.25rem;\n  }\n\n  .\\32xl\\:-top-6 {\n    top: -1.5rem;\n  }\n\n  .\\32xl\\:-top-7 {\n    top: -1.75rem;\n  }\n\n  .\\32xl\\:-top-8 {\n    top: -2rem;\n  }\n\n  .\\32xl\\:-top-9 {\n    top: -2.25rem;\n  }\n\n  .\\32xl\\:-top-10 {\n    top: -2.5rem;\n  }\n\n  .\\32xl\\:-top-11 {\n    top: -2.75rem;\n  }\n\n  .\\32xl\\:-top-12 {\n    top: -3rem;\n  }\n\n  .\\32xl\\:-top-14 {\n    top: -3.5rem;\n  }\n\n  .\\32xl\\:-top-16 {\n    top: -4rem;\n  }\n\n  .\\32xl\\:-top-20 {\n    top: -5rem;\n  }\n\n  .\\32xl\\:-top-24 {\n    top: -6rem;\n  }\n\n  .\\32xl\\:-top-28 {\n    top: -7rem;\n  }\n\n  .\\32xl\\:-top-32 {\n    top: -8rem;\n  }\n\n  .\\32xl\\:-top-36 {\n    top: -9rem;\n  }\n\n  .\\32xl\\:-top-40 {\n    top: -10rem;\n  }\n\n  .\\32xl\\:-top-44 {\n    top: -11rem;\n  }\n\n  .\\32xl\\:-top-48 {\n    top: -12rem;\n  }\n\n  .\\32xl\\:-top-52 {\n    top: -13rem;\n  }\n\n  .\\32xl\\:-top-56 {\n    top: -14rem;\n  }\n\n  .\\32xl\\:-top-60 {\n    top: -15rem;\n  }\n\n  .\\32xl\\:-top-64 {\n    top: -16rem;\n  }\n\n  .\\32xl\\:-top-72 {\n    top: -18rem;\n  }\n\n  .\\32xl\\:-top-80 {\n    top: -20rem;\n  }\n\n  .\\32xl\\:-top-96 {\n    top: -24rem;\n  }\n\n  .\\32xl\\:-top-px {\n    top: -1px;\n  }\n\n  .\\32xl\\:-top-0\\.5 {\n    top: -0.125rem;\n  }\n\n  .\\32xl\\:-top-1\\.5 {\n    top: -0.375rem;\n  }\n\n  .\\32xl\\:-top-2\\.5 {\n    top: -0.625rem;\n  }\n\n  .\\32xl\\:-top-3\\.5 {\n    top: -0.875rem;\n  }\n\n  .\\32xl\\:top-1\\/2 {\n    top: 50%;\n  }\n\n  .\\32xl\\:top-1\\/3 {\n    top: 33.333333%;\n  }\n\n  .\\32xl\\:top-2\\/3 {\n    top: 66.666667%;\n  }\n\n  .\\32xl\\:top-1\\/4 {\n    top: 25%;\n  }\n\n  .\\32xl\\:top-2\\/4 {\n    top: 50%;\n  }\n\n  .\\32xl\\:top-3\\/4 {\n    top: 75%;\n  }\n\n  .\\32xl\\:top-full {\n    top: 100%;\n  }\n\n  .\\32xl\\:-top-1\\/2 {\n    top: -50%;\n  }\n\n  .\\32xl\\:-top-1\\/3 {\n    top: -33.333333%;\n  }\n\n  .\\32xl\\:-top-2\\/3 {\n    top: -66.666667%;\n  }\n\n  .\\32xl\\:-top-1\\/4 {\n    top: -25%;\n  }\n\n  .\\32xl\\:-top-2\\/4 {\n    top: -50%;\n  }\n\n  .\\32xl\\:-top-3\\/4 {\n    top: -75%;\n  }\n\n  .\\32xl\\:-top-full {\n    top: -100%;\n  }\n\n  .\\32xl\\:right-0 {\n    right: 0px;\n  }\n\n  .\\32xl\\:right-1 {\n    right: 0.25rem;\n  }\n\n  .\\32xl\\:right-2 {\n    right: 0.5rem;\n  }\n\n  .\\32xl\\:right-3 {\n    right: 0.75rem;\n  }\n\n  .\\32xl\\:right-4 {\n    right: 1rem;\n  }\n\n  .\\32xl\\:right-5 {\n    right: 1.25rem;\n  }\n\n  .\\32xl\\:right-6 {\n    right: 1.5rem;\n  }\n\n  .\\32xl\\:right-7 {\n    right: 1.75rem;\n  }\n\n  .\\32xl\\:right-8 {\n    right: 2rem;\n  }\n\n  .\\32xl\\:right-9 {\n    right: 2.25rem;\n  }\n\n  .\\32xl\\:right-10 {\n    right: 2.5rem;\n  }\n\n  .\\32xl\\:right-11 {\n    right: 2.75rem;\n  }\n\n  .\\32xl\\:right-12 {\n    right: 3rem;\n  }\n\n  .\\32xl\\:right-14 {\n    right: 3.5rem;\n  }\n\n  .\\32xl\\:right-16 {\n    right: 4rem;\n  }\n\n  .\\32xl\\:right-20 {\n    right: 5rem;\n  }\n\n  .\\32xl\\:right-24 {\n    right: 6rem;\n  }\n\n  .\\32xl\\:right-28 {\n    right: 7rem;\n  }\n\n  .\\32xl\\:right-32 {\n    right: 8rem;\n  }\n\n  .\\32xl\\:right-36 {\n    right: 9rem;\n  }\n\n  .\\32xl\\:right-40 {\n    right: 10rem;\n  }\n\n  .\\32xl\\:right-44 {\n    right: 11rem;\n  }\n\n  .\\32xl\\:right-48 {\n    right: 12rem;\n  }\n\n  .\\32xl\\:right-52 {\n    right: 13rem;\n  }\n\n  .\\32xl\\:right-56 {\n    right: 14rem;\n  }\n\n  .\\32xl\\:right-60 {\n    right: 15rem;\n  }\n\n  .\\32xl\\:right-64 {\n    right: 16rem;\n  }\n\n  .\\32xl\\:right-72 {\n    right: 18rem;\n  }\n\n  .\\32xl\\:right-80 {\n    right: 20rem;\n  }\n\n  .\\32xl\\:right-96 {\n    right: 24rem;\n  }\n\n  .\\32xl\\:right-auto {\n    right: auto;\n  }\n\n  .\\32xl\\:right-px {\n    right: 1px;\n  }\n\n  .\\32xl\\:right-0\\.5 {\n    right: 0.125rem;\n  }\n\n  .\\32xl\\:right-1\\.5 {\n    right: 0.375rem;\n  }\n\n  .\\32xl\\:right-2\\.5 {\n    right: 0.625rem;\n  }\n\n  .\\32xl\\:right-3\\.5 {\n    right: 0.875rem;\n  }\n\n  .\\32xl\\:-right-0 {\n    right: 0px;\n  }\n\n  .\\32xl\\:-right-1 {\n    right: -0.25rem;\n  }\n\n  .\\32xl\\:-right-2 {\n    right: -0.5rem;\n  }\n\n  .\\32xl\\:-right-3 {\n    right: -0.75rem;\n  }\n\n  .\\32xl\\:-right-4 {\n    right: -1rem;\n  }\n\n  .\\32xl\\:-right-5 {\n    right: -1.25rem;\n  }\n\n  .\\32xl\\:-right-6 {\n    right: -1.5rem;\n  }\n\n  .\\32xl\\:-right-7 {\n    right: -1.75rem;\n  }\n\n  .\\32xl\\:-right-8 {\n    right: -2rem;\n  }\n\n  .\\32xl\\:-right-9 {\n    right: -2.25rem;\n  }\n\n  .\\32xl\\:-right-10 {\n    right: -2.5rem;\n  }\n\n  .\\32xl\\:-right-11 {\n    right: -2.75rem;\n  }\n\n  .\\32xl\\:-right-12 {\n    right: -3rem;\n  }\n\n  .\\32xl\\:-right-14 {\n    right: -3.5rem;\n  }\n\n  .\\32xl\\:-right-16 {\n    right: -4rem;\n  }\n\n  .\\32xl\\:-right-20 {\n    right: -5rem;\n  }\n\n  .\\32xl\\:-right-24 {\n    right: -6rem;\n  }\n\n  .\\32xl\\:-right-28 {\n    right: -7rem;\n  }\n\n  .\\32xl\\:-right-32 {\n    right: -8rem;\n  }\n\n  .\\32xl\\:-right-36 {\n    right: -9rem;\n  }\n\n  .\\32xl\\:-right-40 {\n    right: -10rem;\n  }\n\n  .\\32xl\\:-right-44 {\n    right: -11rem;\n  }\n\n  .\\32xl\\:-right-48 {\n    right: -12rem;\n  }\n\n  .\\32xl\\:-right-52 {\n    right: -13rem;\n  }\n\n  .\\32xl\\:-right-56 {\n    right: -14rem;\n  }\n\n  .\\32xl\\:-right-60 {\n    right: -15rem;\n  }\n\n  .\\32xl\\:-right-64 {\n    right: -16rem;\n  }\n\n  .\\32xl\\:-right-72 {\n    right: -18rem;\n  }\n\n  .\\32xl\\:-right-80 {\n    right: -20rem;\n  }\n\n  .\\32xl\\:-right-96 {\n    right: -24rem;\n  }\n\n  .\\32xl\\:-right-px {\n    right: -1px;\n  }\n\n  .\\32xl\\:-right-0\\.5 {\n    right: -0.125rem;\n  }\n\n  .\\32xl\\:-right-1\\.5 {\n    right: -0.375rem;\n  }\n\n  .\\32xl\\:-right-2\\.5 {\n    right: -0.625rem;\n  }\n\n  .\\32xl\\:-right-3\\.5 {\n    right: -0.875rem;\n  }\n\n  .\\32xl\\:right-1\\/2 {\n    right: 50%;\n  }\n\n  .\\32xl\\:right-1\\/3 {\n    right: 33.333333%;\n  }\n\n  .\\32xl\\:right-2\\/3 {\n    right: 66.666667%;\n  }\n\n  .\\32xl\\:right-1\\/4 {\n    right: 25%;\n  }\n\n  .\\32xl\\:right-2\\/4 {\n    right: 50%;\n  }\n\n  .\\32xl\\:right-3\\/4 {\n    right: 75%;\n  }\n\n  .\\32xl\\:right-full {\n    right: 100%;\n  }\n\n  .\\32xl\\:-right-1\\/2 {\n    right: -50%;\n  }\n\n  .\\32xl\\:-right-1\\/3 {\n    right: -33.333333%;\n  }\n\n  .\\32xl\\:-right-2\\/3 {\n    right: -66.666667%;\n  }\n\n  .\\32xl\\:-right-1\\/4 {\n    right: -25%;\n  }\n\n  .\\32xl\\:-right-2\\/4 {\n    right: -50%;\n  }\n\n  .\\32xl\\:-right-3\\/4 {\n    right: -75%;\n  }\n\n  .\\32xl\\:-right-full {\n    right: -100%;\n  }\n\n  .\\32xl\\:bottom-0 {\n    bottom: 0px;\n  }\n\n  .\\32xl\\:bottom-1 {\n    bottom: 0.25rem;\n  }\n\n  .\\32xl\\:bottom-2 {\n    bottom: 0.5rem;\n  }\n\n  .\\32xl\\:bottom-3 {\n    bottom: 0.75rem;\n  }\n\n  .\\32xl\\:bottom-4 {\n    bottom: 1rem;\n  }\n\n  .\\32xl\\:bottom-5 {\n    bottom: 1.25rem;\n  }\n\n  .\\32xl\\:bottom-6 {\n    bottom: 1.5rem;\n  }\n\n  .\\32xl\\:bottom-7 {\n    bottom: 1.75rem;\n  }\n\n  .\\32xl\\:bottom-8 {\n    bottom: 2rem;\n  }\n\n  .\\32xl\\:bottom-9 {\n    bottom: 2.25rem;\n  }\n\n  .\\32xl\\:bottom-10 {\n    bottom: 2.5rem;\n  }\n\n  .\\32xl\\:bottom-11 {\n    bottom: 2.75rem;\n  }\n\n  .\\32xl\\:bottom-12 {\n    bottom: 3rem;\n  }\n\n  .\\32xl\\:bottom-14 {\n    bottom: 3.5rem;\n  }\n\n  .\\32xl\\:bottom-16 {\n    bottom: 4rem;\n  }\n\n  .\\32xl\\:bottom-20 {\n    bottom: 5rem;\n  }\n\n  .\\32xl\\:bottom-24 {\n    bottom: 6rem;\n  }\n\n  .\\32xl\\:bottom-28 {\n    bottom: 7rem;\n  }\n\n  .\\32xl\\:bottom-32 {\n    bottom: 8rem;\n  }\n\n  .\\32xl\\:bottom-36 {\n    bottom: 9rem;\n  }\n\n  .\\32xl\\:bottom-40 {\n    bottom: 10rem;\n  }\n\n  .\\32xl\\:bottom-44 {\n    bottom: 11rem;\n  }\n\n  .\\32xl\\:bottom-48 {\n    bottom: 12rem;\n  }\n\n  .\\32xl\\:bottom-52 {\n    bottom: 13rem;\n  }\n\n  .\\32xl\\:bottom-56 {\n    bottom: 14rem;\n  }\n\n  .\\32xl\\:bottom-60 {\n    bottom: 15rem;\n  }\n\n  .\\32xl\\:bottom-64 {\n    bottom: 16rem;\n  }\n\n  .\\32xl\\:bottom-72 {\n    bottom: 18rem;\n  }\n\n  .\\32xl\\:bottom-80 {\n    bottom: 20rem;\n  }\n\n  .\\32xl\\:bottom-96 {\n    bottom: 24rem;\n  }\n\n  .\\32xl\\:bottom-auto {\n    bottom: auto;\n  }\n\n  .\\32xl\\:bottom-px {\n    bottom: 1px;\n  }\n\n  .\\32xl\\:bottom-0\\.5 {\n    bottom: 0.125rem;\n  }\n\n  .\\32xl\\:bottom-1\\.5 {\n    bottom: 0.375rem;\n  }\n\n  .\\32xl\\:bottom-2\\.5 {\n    bottom: 0.625rem;\n  }\n\n  .\\32xl\\:bottom-3\\.5 {\n    bottom: 0.875rem;\n  }\n\n  .\\32xl\\:-bottom-0 {\n    bottom: 0px;\n  }\n\n  .\\32xl\\:-bottom-1 {\n    bottom: -0.25rem;\n  }\n\n  .\\32xl\\:-bottom-2 {\n    bottom: -0.5rem;\n  }\n\n  .\\32xl\\:-bottom-3 {\n    bottom: -0.75rem;\n  }\n\n  .\\32xl\\:-bottom-4 {\n    bottom: -1rem;\n  }\n\n  .\\32xl\\:-bottom-5 {\n    bottom: -1.25rem;\n  }\n\n  .\\32xl\\:-bottom-6 {\n    bottom: -1.5rem;\n  }\n\n  .\\32xl\\:-bottom-7 {\n    bottom: -1.75rem;\n  }\n\n  .\\32xl\\:-bottom-8 {\n    bottom: -2rem;\n  }\n\n  .\\32xl\\:-bottom-9 {\n    bottom: -2.25rem;\n  }\n\n  .\\32xl\\:-bottom-10 {\n    bottom: -2.5rem;\n  }\n\n  .\\32xl\\:-bottom-11 {\n    bottom: -2.75rem;\n  }\n\n  .\\32xl\\:-bottom-12 {\n    bottom: -3rem;\n  }\n\n  .\\32xl\\:-bottom-14 {\n    bottom: -3.5rem;\n  }\n\n  .\\32xl\\:-bottom-16 {\n    bottom: -4rem;\n  }\n\n  .\\32xl\\:-bottom-20 {\n    bottom: -5rem;\n  }\n\n  .\\32xl\\:-bottom-24 {\n    bottom: -6rem;\n  }\n\n  .\\32xl\\:-bottom-28 {\n    bottom: -7rem;\n  }\n\n  .\\32xl\\:-bottom-32 {\n    bottom: -8rem;\n  }\n\n  .\\32xl\\:-bottom-36 {\n    bottom: -9rem;\n  }\n\n  .\\32xl\\:-bottom-40 {\n    bottom: -10rem;\n  }\n\n  .\\32xl\\:-bottom-44 {\n    bottom: -11rem;\n  }\n\n  .\\32xl\\:-bottom-48 {\n    bottom: -12rem;\n  }\n\n  .\\32xl\\:-bottom-52 {\n    bottom: -13rem;\n  }\n\n  .\\32xl\\:-bottom-56 {\n    bottom: -14rem;\n  }\n\n  .\\32xl\\:-bottom-60 {\n    bottom: -15rem;\n  }\n\n  .\\32xl\\:-bottom-64 {\n    bottom: -16rem;\n  }\n\n  .\\32xl\\:-bottom-72 {\n    bottom: -18rem;\n  }\n\n  .\\32xl\\:-bottom-80 {\n    bottom: -20rem;\n  }\n\n  .\\32xl\\:-bottom-96 {\n    bottom: -24rem;\n  }\n\n  .\\32xl\\:-bottom-px {\n    bottom: -1px;\n  }\n\n  .\\32xl\\:-bottom-0\\.5 {\n    bottom: -0.125rem;\n  }\n\n  .\\32xl\\:-bottom-1\\.5 {\n    bottom: -0.375rem;\n  }\n\n  .\\32xl\\:-bottom-2\\.5 {\n    bottom: -0.625rem;\n  }\n\n  .\\32xl\\:-bottom-3\\.5 {\n    bottom: -0.875rem;\n  }\n\n  .\\32xl\\:bottom-1\\/2 {\n    bottom: 50%;\n  }\n\n  .\\32xl\\:bottom-1\\/3 {\n    bottom: 33.333333%;\n  }\n\n  .\\32xl\\:bottom-2\\/3 {\n    bottom: 66.666667%;\n  }\n\n  .\\32xl\\:bottom-1\\/4 {\n    bottom: 25%;\n  }\n\n  .\\32xl\\:bottom-2\\/4 {\n    bottom: 50%;\n  }\n\n  .\\32xl\\:bottom-3\\/4 {\n    bottom: 75%;\n  }\n\n  .\\32xl\\:bottom-full {\n    bottom: 100%;\n  }\n\n  .\\32xl\\:-bottom-1\\/2 {\n    bottom: -50%;\n  }\n\n  .\\32xl\\:-bottom-1\\/3 {\n    bottom: -33.333333%;\n  }\n\n  .\\32xl\\:-bottom-2\\/3 {\n    bottom: -66.666667%;\n  }\n\n  .\\32xl\\:-bottom-1\\/4 {\n    bottom: -25%;\n  }\n\n  .\\32xl\\:-bottom-2\\/4 {\n    bottom: -50%;\n  }\n\n  .\\32xl\\:-bottom-3\\/4 {\n    bottom: -75%;\n  }\n\n  .\\32xl\\:-bottom-full {\n    bottom: -100%;\n  }\n\n  .\\32xl\\:left-0 {\n    left: 0px;\n  }\n\n  .\\32xl\\:left-1 {\n    left: 0.25rem;\n  }\n\n  .\\32xl\\:left-2 {\n    left: 0.5rem;\n  }\n\n  .\\32xl\\:left-3 {\n    left: 0.75rem;\n  }\n\n  .\\32xl\\:left-4 {\n    left: 1rem;\n  }\n\n  .\\32xl\\:left-5 {\n    left: 1.25rem;\n  }\n\n  .\\32xl\\:left-6 {\n    left: 1.5rem;\n  }\n\n  .\\32xl\\:left-7 {\n    left: 1.75rem;\n  }\n\n  .\\32xl\\:left-8 {\n    left: 2rem;\n  }\n\n  .\\32xl\\:left-9 {\n    left: 2.25rem;\n  }\n\n  .\\32xl\\:left-10 {\n    left: 2.5rem;\n  }\n\n  .\\32xl\\:left-11 {\n    left: 2.75rem;\n  }\n\n  .\\32xl\\:left-12 {\n    left: 3rem;\n  }\n\n  .\\32xl\\:left-14 {\n    left: 3.5rem;\n  }\n\n  .\\32xl\\:left-16 {\n    left: 4rem;\n  }\n\n  .\\32xl\\:left-20 {\n    left: 5rem;\n  }\n\n  .\\32xl\\:left-24 {\n    left: 6rem;\n  }\n\n  .\\32xl\\:left-28 {\n    left: 7rem;\n  }\n\n  .\\32xl\\:left-32 {\n    left: 8rem;\n  }\n\n  .\\32xl\\:left-36 {\n    left: 9rem;\n  }\n\n  .\\32xl\\:left-40 {\n    left: 10rem;\n  }\n\n  .\\32xl\\:left-44 {\n    left: 11rem;\n  }\n\n  .\\32xl\\:left-48 {\n    left: 12rem;\n  }\n\n  .\\32xl\\:left-52 {\n    left: 13rem;\n  }\n\n  .\\32xl\\:left-56 {\n    left: 14rem;\n  }\n\n  .\\32xl\\:left-60 {\n    left: 15rem;\n  }\n\n  .\\32xl\\:left-64 {\n    left: 16rem;\n  }\n\n  .\\32xl\\:left-72 {\n    left: 18rem;\n  }\n\n  .\\32xl\\:left-80 {\n    left: 20rem;\n  }\n\n  .\\32xl\\:left-96 {\n    left: 24rem;\n  }\n\n  .\\32xl\\:left-auto {\n    left: auto;\n  }\n\n  .\\32xl\\:left-px {\n    left: 1px;\n  }\n\n  .\\32xl\\:left-0\\.5 {\n    left: 0.125rem;\n  }\n\n  .\\32xl\\:left-1\\.5 {\n    left: 0.375rem;\n  }\n\n  .\\32xl\\:left-2\\.5 {\n    left: 0.625rem;\n  }\n\n  .\\32xl\\:left-3\\.5 {\n    left: 0.875rem;\n  }\n\n  .\\32xl\\:-left-0 {\n    left: 0px;\n  }\n\n  .\\32xl\\:-left-1 {\n    left: -0.25rem;\n  }\n\n  .\\32xl\\:-left-2 {\n    left: -0.5rem;\n  }\n\n  .\\32xl\\:-left-3 {\n    left: -0.75rem;\n  }\n\n  .\\32xl\\:-left-4 {\n    left: -1rem;\n  }\n\n  .\\32xl\\:-left-5 {\n    left: -1.25rem;\n  }\n\n  .\\32xl\\:-left-6 {\n    left: -1.5rem;\n  }\n\n  .\\32xl\\:-left-7 {\n    left: -1.75rem;\n  }\n\n  .\\32xl\\:-left-8 {\n    left: -2rem;\n  }\n\n  .\\32xl\\:-left-9 {\n    left: -2.25rem;\n  }\n\n  .\\32xl\\:-left-10 {\n    left: -2.5rem;\n  }\n\n  .\\32xl\\:-left-11 {\n    left: -2.75rem;\n  }\n\n  .\\32xl\\:-left-12 {\n    left: -3rem;\n  }\n\n  .\\32xl\\:-left-14 {\n    left: -3.5rem;\n  }\n\n  .\\32xl\\:-left-16 {\n    left: -4rem;\n  }\n\n  .\\32xl\\:-left-20 {\n    left: -5rem;\n  }\n\n  .\\32xl\\:-left-24 {\n    left: -6rem;\n  }\n\n  .\\32xl\\:-left-28 {\n    left: -7rem;\n  }\n\n  .\\32xl\\:-left-32 {\n    left: -8rem;\n  }\n\n  .\\32xl\\:-left-36 {\n    left: -9rem;\n  }\n\n  .\\32xl\\:-left-40 {\n    left: -10rem;\n  }\n\n  .\\32xl\\:-left-44 {\n    left: -11rem;\n  }\n\n  .\\32xl\\:-left-48 {\n    left: -12rem;\n  }\n\n  .\\32xl\\:-left-52 {\n    left: -13rem;\n  }\n\n  .\\32xl\\:-left-56 {\n    left: -14rem;\n  }\n\n  .\\32xl\\:-left-60 {\n    left: -15rem;\n  }\n\n  .\\32xl\\:-left-64 {\n    left: -16rem;\n  }\n\n  .\\32xl\\:-left-72 {\n    left: -18rem;\n  }\n\n  .\\32xl\\:-left-80 {\n    left: -20rem;\n  }\n\n  .\\32xl\\:-left-96 {\n    left: -24rem;\n  }\n\n  .\\32xl\\:-left-px {\n    left: -1px;\n  }\n\n  .\\32xl\\:-left-0\\.5 {\n    left: -0.125rem;\n  }\n\n  .\\32xl\\:-left-1\\.5 {\n    left: -0.375rem;\n  }\n\n  .\\32xl\\:-left-2\\.5 {\n    left: -0.625rem;\n  }\n\n  .\\32xl\\:-left-3\\.5 {\n    left: -0.875rem;\n  }\n\n  .\\32xl\\:left-1\\/2 {\n    left: 50%;\n  }\n\n  .\\32xl\\:left-1\\/3 {\n    left: 33.333333%;\n  }\n\n  .\\32xl\\:left-2\\/3 {\n    left: 66.666667%;\n  }\n\n  .\\32xl\\:left-1\\/4 {\n    left: 25%;\n  }\n\n  .\\32xl\\:left-2\\/4 {\n    left: 50%;\n  }\n\n  .\\32xl\\:left-3\\/4 {\n    left: 75%;\n  }\n\n  .\\32xl\\:left-full {\n    left: 100%;\n  }\n\n  .\\32xl\\:-left-1\\/2 {\n    left: -50%;\n  }\n\n  .\\32xl\\:-left-1\\/3 {\n    left: -33.333333%;\n  }\n\n  .\\32xl\\:-left-2\\/3 {\n    left: -66.666667%;\n  }\n\n  .\\32xl\\:-left-1\\/4 {\n    left: -25%;\n  }\n\n  .\\32xl\\:-left-2\\/4 {\n    left: -50%;\n  }\n\n  .\\32xl\\:-left-3\\/4 {\n    left: -75%;\n  }\n\n  .\\32xl\\:-left-full {\n    left: -100%;\n  }\n\n  .\\32xl\\:isolate {\n    isolation: isolate;\n  }\n\n  .\\32xl\\:isolation-auto {\n    isolation: auto;\n  }\n\n  .\\32xl\\:z-0 {\n    z-index: 0;\n  }\n\n  .\\32xl\\:z-10 {\n    z-index: 10;\n  }\n\n  .\\32xl\\:z-20 {\n    z-index: 20;\n  }\n\n  .\\32xl\\:z-30 {\n    z-index: 30;\n  }\n\n  .\\32xl\\:z-40 {\n    z-index: 40;\n  }\n\n  .\\32xl\\:z-50 {\n    z-index: 50;\n  }\n\n  .\\32xl\\:z-auto {\n    z-index: auto;\n  }\n\n  .\\32xl\\:focus-within\\:z-0:focus-within {\n    z-index: 0;\n  }\n\n  .\\32xl\\:focus-within\\:z-10:focus-within {\n    z-index: 10;\n  }\n\n  .\\32xl\\:focus-within\\:z-20:focus-within {\n    z-index: 20;\n  }\n\n  .\\32xl\\:focus-within\\:z-30:focus-within {\n    z-index: 30;\n  }\n\n  .\\32xl\\:focus-within\\:z-40:focus-within {\n    z-index: 40;\n  }\n\n  .\\32xl\\:focus-within\\:z-50:focus-within {\n    z-index: 50;\n  }\n\n  .\\32xl\\:focus-within\\:z-auto:focus-within {\n    z-index: auto;\n  }\n\n  .\\32xl\\:focus\\:z-0:focus {\n    z-index: 0;\n  }\n\n  .\\32xl\\:focus\\:z-10:focus {\n    z-index: 10;\n  }\n\n  .\\32xl\\:focus\\:z-20:focus {\n    z-index: 20;\n  }\n\n  .\\32xl\\:focus\\:z-30:focus {\n    z-index: 30;\n  }\n\n  .\\32xl\\:focus\\:z-40:focus {\n    z-index: 40;\n  }\n\n  .\\32xl\\:focus\\:z-50:focus {\n    z-index: 50;\n  }\n\n  .\\32xl\\:focus\\:z-auto:focus {\n    z-index: auto;\n  }\n\n  .\\32xl\\:order-1 {\n    order: 1;\n  }\n\n  .\\32xl\\:order-2 {\n    order: 2;\n  }\n\n  .\\32xl\\:order-3 {\n    order: 3;\n  }\n\n  .\\32xl\\:order-4 {\n    order: 4;\n  }\n\n  .\\32xl\\:order-5 {\n    order: 5;\n  }\n\n  .\\32xl\\:order-6 {\n    order: 6;\n  }\n\n  .\\32xl\\:order-7 {\n    order: 7;\n  }\n\n  .\\32xl\\:order-8 {\n    order: 8;\n  }\n\n  .\\32xl\\:order-9 {\n    order: 9;\n  }\n\n  .\\32xl\\:order-10 {\n    order: 10;\n  }\n\n  .\\32xl\\:order-11 {\n    order: 11;\n  }\n\n  .\\32xl\\:order-12 {\n    order: 12;\n  }\n\n  .\\32xl\\:order-first {\n    order: -9999;\n  }\n\n  .\\32xl\\:order-last {\n    order: 9999;\n  }\n\n  .\\32xl\\:order-none {\n    order: 0;\n  }\n\n  .\\32xl\\:col-auto {\n    grid-column: auto;\n  }\n\n  .\\32xl\\:col-span-1 {\n    grid-column: span 1 / span 1;\n  }\n\n  .\\32xl\\:col-span-2 {\n    grid-column: span 2 / span 2;\n  }\n\n  .\\32xl\\:col-span-3 {\n    grid-column: span 3 / span 3;\n  }\n\n  .\\32xl\\:col-span-4 {\n    grid-column: span 4 / span 4;\n  }\n\n  .\\32xl\\:col-span-5 {\n    grid-column: span 5 / span 5;\n  }\n\n  .\\32xl\\:col-span-6 {\n    grid-column: span 6 / span 6;\n  }\n\n  .\\32xl\\:col-span-7 {\n    grid-column: span 7 / span 7;\n  }\n\n  .\\32xl\\:col-span-8 {\n    grid-column: span 8 / span 8;\n  }\n\n  .\\32xl\\:col-span-9 {\n    grid-column: span 9 / span 9;\n  }\n\n  .\\32xl\\:col-span-10 {\n    grid-column: span 10 / span 10;\n  }\n\n  .\\32xl\\:col-span-11 {\n    grid-column: span 11 / span 11;\n  }\n\n  .\\32xl\\:col-span-12 {\n    grid-column: span 12 / span 12;\n  }\n\n  .\\32xl\\:col-span-full {\n    grid-column: 1 / -1;\n  }\n\n  .\\32xl\\:col-start-1 {\n    grid-column-start: 1;\n  }\n\n  .\\32xl\\:col-start-2 {\n    grid-column-start: 2;\n  }\n\n  .\\32xl\\:col-start-3 {\n    grid-column-start: 3;\n  }\n\n  .\\32xl\\:col-start-4 {\n    grid-column-start: 4;\n  }\n\n  .\\32xl\\:col-start-5 {\n    grid-column-start: 5;\n  }\n\n  .\\32xl\\:col-start-6 {\n    grid-column-start: 6;\n  }\n\n  .\\32xl\\:col-start-7 {\n    grid-column-start: 7;\n  }\n\n  .\\32xl\\:col-start-8 {\n    grid-column-start: 8;\n  }\n\n  .\\32xl\\:col-start-9 {\n    grid-column-start: 9;\n  }\n\n  .\\32xl\\:col-start-10 {\n    grid-column-start: 10;\n  }\n\n  .\\32xl\\:col-start-11 {\n    grid-column-start: 11;\n  }\n\n  .\\32xl\\:col-start-12 {\n    grid-column-start: 12;\n  }\n\n  .\\32xl\\:col-start-13 {\n    grid-column-start: 13;\n  }\n\n  .\\32xl\\:col-start-auto {\n    grid-column-start: auto;\n  }\n\n  .\\32xl\\:col-end-1 {\n    grid-column-end: 1;\n  }\n\n  .\\32xl\\:col-end-2 {\n    grid-column-end: 2;\n  }\n\n  .\\32xl\\:col-end-3 {\n    grid-column-end: 3;\n  }\n\n  .\\32xl\\:col-end-4 {\n    grid-column-end: 4;\n  }\n\n  .\\32xl\\:col-end-5 {\n    grid-column-end: 5;\n  }\n\n  .\\32xl\\:col-end-6 {\n    grid-column-end: 6;\n  }\n\n  .\\32xl\\:col-end-7 {\n    grid-column-end: 7;\n  }\n\n  .\\32xl\\:col-end-8 {\n    grid-column-end: 8;\n  }\n\n  .\\32xl\\:col-end-9 {\n    grid-column-end: 9;\n  }\n\n  .\\32xl\\:col-end-10 {\n    grid-column-end: 10;\n  }\n\n  .\\32xl\\:col-end-11 {\n    grid-column-end: 11;\n  }\n\n  .\\32xl\\:col-end-12 {\n    grid-column-end: 12;\n  }\n\n  .\\32xl\\:col-end-13 {\n    grid-column-end: 13;\n  }\n\n  .\\32xl\\:col-end-auto {\n    grid-column-end: auto;\n  }\n\n  .\\32xl\\:row-auto {\n    grid-row: auto;\n  }\n\n  .\\32xl\\:row-span-1 {\n    grid-row: span 1 / span 1;\n  }\n\n  .\\32xl\\:row-span-2 {\n    grid-row: span 2 / span 2;\n  }\n\n  .\\32xl\\:row-span-3 {\n    grid-row: span 3 / span 3;\n  }\n\n  .\\32xl\\:row-span-4 {\n    grid-row: span 4 / span 4;\n  }\n\n  .\\32xl\\:row-span-5 {\n    grid-row: span 5 / span 5;\n  }\n\n  .\\32xl\\:row-span-6 {\n    grid-row: span 6 / span 6;\n  }\n\n  .\\32xl\\:row-span-full {\n    grid-row: 1 / -1;\n  }\n\n  .\\32xl\\:row-start-1 {\n    grid-row-start: 1;\n  }\n\n  .\\32xl\\:row-start-2 {\n    grid-row-start: 2;\n  }\n\n  .\\32xl\\:row-start-3 {\n    grid-row-start: 3;\n  }\n\n  .\\32xl\\:row-start-4 {\n    grid-row-start: 4;\n  }\n\n  .\\32xl\\:row-start-5 {\n    grid-row-start: 5;\n  }\n\n  .\\32xl\\:row-start-6 {\n    grid-row-start: 6;\n  }\n\n  .\\32xl\\:row-start-7 {\n    grid-row-start: 7;\n  }\n\n  .\\32xl\\:row-start-auto {\n    grid-row-start: auto;\n  }\n\n  .\\32xl\\:row-end-1 {\n    grid-row-end: 1;\n  }\n\n  .\\32xl\\:row-end-2 {\n    grid-row-end: 2;\n  }\n\n  .\\32xl\\:row-end-3 {\n    grid-row-end: 3;\n  }\n\n  .\\32xl\\:row-end-4 {\n    grid-row-end: 4;\n  }\n\n  .\\32xl\\:row-end-5 {\n    grid-row-end: 5;\n  }\n\n  .\\32xl\\:row-end-6 {\n    grid-row-end: 6;\n  }\n\n  .\\32xl\\:row-end-7 {\n    grid-row-end: 7;\n  }\n\n  .\\32xl\\:row-end-auto {\n    grid-row-end: auto;\n  }\n\n  .\\32xl\\:float-right {\n    float: right;\n  }\n\n  .\\32xl\\:float-left {\n    float: left;\n  }\n\n  .\\32xl\\:float-none {\n    float: none;\n  }\n\n  .\\32xl\\:clear-left {\n    clear: left;\n  }\n\n  .\\32xl\\:clear-right {\n    clear: right;\n  }\n\n  .\\32xl\\:clear-both {\n    clear: both;\n  }\n\n  .\\32xl\\:clear-none {\n    clear: none;\n  }\n\n  .\\32xl\\:m-0 {\n    margin: 0px;\n  }\n\n  .\\32xl\\:m-1 {\n    margin: 0.25rem;\n  }\n\n  .\\32xl\\:m-2 {\n    margin: 0.5rem;\n  }\n\n  .\\32xl\\:m-3 {\n    margin: 0.75rem;\n  }\n\n  .\\32xl\\:m-4 {\n    margin: 1rem;\n  }\n\n  .\\32xl\\:m-5 {\n    margin: 1.25rem;\n  }\n\n  .\\32xl\\:m-6 {\n    margin: 1.5rem;\n  }\n\n  .\\32xl\\:m-7 {\n    margin: 1.75rem;\n  }\n\n  .\\32xl\\:m-8 {\n    margin: 2rem;\n  }\n\n  .\\32xl\\:m-9 {\n    margin: 2.25rem;\n  }\n\n  .\\32xl\\:m-10 {\n    margin: 2.5rem;\n  }\n\n  .\\32xl\\:m-11 {\n    margin: 2.75rem;\n  }\n\n  .\\32xl\\:m-12 {\n    margin: 3rem;\n  }\n\n  .\\32xl\\:m-14 {\n    margin: 3.5rem;\n  }\n\n  .\\32xl\\:m-16 {\n    margin: 4rem;\n  }\n\n  .\\32xl\\:m-20 {\n    margin: 5rem;\n  }\n\n  .\\32xl\\:m-24 {\n    margin: 6rem;\n  }\n\n  .\\32xl\\:m-28 {\n    margin: 7rem;\n  }\n\n  .\\32xl\\:m-32 {\n    margin: 8rem;\n  }\n\n  .\\32xl\\:m-36 {\n    margin: 9rem;\n  }\n\n  .\\32xl\\:m-40 {\n    margin: 10rem;\n  }\n\n  .\\32xl\\:m-44 {\n    margin: 11rem;\n  }\n\n  .\\32xl\\:m-48 {\n    margin: 12rem;\n  }\n\n  .\\32xl\\:m-52 {\n    margin: 13rem;\n  }\n\n  .\\32xl\\:m-56 {\n    margin: 14rem;\n  }\n\n  .\\32xl\\:m-60 {\n    margin: 15rem;\n  }\n\n  .\\32xl\\:m-64 {\n    margin: 16rem;\n  }\n\n  .\\32xl\\:m-72 {\n    margin: 18rem;\n  }\n\n  .\\32xl\\:m-80 {\n    margin: 20rem;\n  }\n\n  .\\32xl\\:m-96 {\n    margin: 24rem;\n  }\n\n  .\\32xl\\:m-auto {\n    margin: auto;\n  }\n\n  .\\32xl\\:m-px {\n    margin: 1px;\n  }\n\n  .\\32xl\\:m-0\\.5 {\n    margin: 0.125rem;\n  }\n\n  .\\32xl\\:m-1\\.5 {\n    margin: 0.375rem;\n  }\n\n  .\\32xl\\:m-2\\.5 {\n    margin: 0.625rem;\n  }\n\n  .\\32xl\\:m-3\\.5 {\n    margin: 0.875rem;\n  }\n\n  .\\32xl\\:-m-0 {\n    margin: 0px;\n  }\n\n  .\\32xl\\:-m-1 {\n    margin: -0.25rem;\n  }\n\n  .\\32xl\\:-m-2 {\n    margin: -0.5rem;\n  }\n\n  .\\32xl\\:-m-3 {\n    margin: -0.75rem;\n  }\n\n  .\\32xl\\:-m-4 {\n    margin: -1rem;\n  }\n\n  .\\32xl\\:-m-5 {\n    margin: -1.25rem;\n  }\n\n  .\\32xl\\:-m-6 {\n    margin: -1.5rem;\n  }\n\n  .\\32xl\\:-m-7 {\n    margin: -1.75rem;\n  }\n\n  .\\32xl\\:-m-8 {\n    margin: -2rem;\n  }\n\n  .\\32xl\\:-m-9 {\n    margin: -2.25rem;\n  }\n\n  .\\32xl\\:-m-10 {\n    margin: -2.5rem;\n  }\n\n  .\\32xl\\:-m-11 {\n    margin: -2.75rem;\n  }\n\n  .\\32xl\\:-m-12 {\n    margin: -3rem;\n  }\n\n  .\\32xl\\:-m-14 {\n    margin: -3.5rem;\n  }\n\n  .\\32xl\\:-m-16 {\n    margin: -4rem;\n  }\n\n  .\\32xl\\:-m-20 {\n    margin: -5rem;\n  }\n\n  .\\32xl\\:-m-24 {\n    margin: -6rem;\n  }\n\n  .\\32xl\\:-m-28 {\n    margin: -7rem;\n  }\n\n  .\\32xl\\:-m-32 {\n    margin: -8rem;\n  }\n\n  .\\32xl\\:-m-36 {\n    margin: -9rem;\n  }\n\n  .\\32xl\\:-m-40 {\n    margin: -10rem;\n  }\n\n  .\\32xl\\:-m-44 {\n    margin: -11rem;\n  }\n\n  .\\32xl\\:-m-48 {\n    margin: -12rem;\n  }\n\n  .\\32xl\\:-m-52 {\n    margin: -13rem;\n  }\n\n  .\\32xl\\:-m-56 {\n    margin: -14rem;\n  }\n\n  .\\32xl\\:-m-60 {\n    margin: -15rem;\n  }\n\n  .\\32xl\\:-m-64 {\n    margin: -16rem;\n  }\n\n  .\\32xl\\:-m-72 {\n    margin: -18rem;\n  }\n\n  .\\32xl\\:-m-80 {\n    margin: -20rem;\n  }\n\n  .\\32xl\\:-m-96 {\n    margin: -24rem;\n  }\n\n  .\\32xl\\:-m-px {\n    margin: -1px;\n  }\n\n  .\\32xl\\:-m-0\\.5 {\n    margin: -0.125rem;\n  }\n\n  .\\32xl\\:-m-1\\.5 {\n    margin: -0.375rem;\n  }\n\n  .\\32xl\\:-m-2\\.5 {\n    margin: -0.625rem;\n  }\n\n  .\\32xl\\:-m-3\\.5 {\n    margin: -0.875rem;\n  }\n\n  .\\32xl\\:mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .\\32xl\\:mx-1 {\n    margin-left: 0.25rem;\n    margin-right: 0.25rem;\n  }\n\n  .\\32xl\\:mx-2 {\n    margin-left: 0.5rem;\n    margin-right: 0.5rem;\n  }\n\n  .\\32xl\\:mx-3 {\n    margin-left: 0.75rem;\n    margin-right: 0.75rem;\n  }\n\n  .\\32xl\\:mx-4 {\n    margin-left: 1rem;\n    margin-right: 1rem;\n  }\n\n  .\\32xl\\:mx-5 {\n    margin-left: 1.25rem;\n    margin-right: 1.25rem;\n  }\n\n  .\\32xl\\:mx-6 {\n    margin-left: 1.5rem;\n    margin-right: 1.5rem;\n  }\n\n  .\\32xl\\:mx-7 {\n    margin-left: 1.75rem;\n    margin-right: 1.75rem;\n  }\n\n  .\\32xl\\:mx-8 {\n    margin-left: 2rem;\n    margin-right: 2rem;\n  }\n\n  .\\32xl\\:mx-9 {\n    margin-left: 2.25rem;\n    margin-right: 2.25rem;\n  }\n\n  .\\32xl\\:mx-10 {\n    margin-left: 2.5rem;\n    margin-right: 2.5rem;\n  }\n\n  .\\32xl\\:mx-11 {\n    margin-left: 2.75rem;\n    margin-right: 2.75rem;\n  }\n\n  .\\32xl\\:mx-12 {\n    margin-left: 3rem;\n    margin-right: 3rem;\n  }\n\n  .\\32xl\\:mx-14 {\n    margin-left: 3.5rem;\n    margin-right: 3.5rem;\n  }\n\n  .\\32xl\\:mx-16 {\n    margin-left: 4rem;\n    margin-right: 4rem;\n  }\n\n  .\\32xl\\:mx-20 {\n    margin-left: 5rem;\n    margin-right: 5rem;\n  }\n\n  .\\32xl\\:mx-24 {\n    margin-left: 6rem;\n    margin-right: 6rem;\n  }\n\n  .\\32xl\\:mx-28 {\n    margin-left: 7rem;\n    margin-right: 7rem;\n  }\n\n  .\\32xl\\:mx-32 {\n    margin-left: 8rem;\n    margin-right: 8rem;\n  }\n\n  .\\32xl\\:mx-36 {\n    margin-left: 9rem;\n    margin-right: 9rem;\n  }\n\n  .\\32xl\\:mx-40 {\n    margin-left: 10rem;\n    margin-right: 10rem;\n  }\n\n  .\\32xl\\:mx-44 {\n    margin-left: 11rem;\n    margin-right: 11rem;\n  }\n\n  .\\32xl\\:mx-48 {\n    margin-left: 12rem;\n    margin-right: 12rem;\n  }\n\n  .\\32xl\\:mx-52 {\n    margin-left: 13rem;\n    margin-right: 13rem;\n  }\n\n  .\\32xl\\:mx-56 {\n    margin-left: 14rem;\n    margin-right: 14rem;\n  }\n\n  .\\32xl\\:mx-60 {\n    margin-left: 15rem;\n    margin-right: 15rem;\n  }\n\n  .\\32xl\\:mx-64 {\n    margin-left: 16rem;\n    margin-right: 16rem;\n  }\n\n  .\\32xl\\:mx-72 {\n    margin-left: 18rem;\n    margin-right: 18rem;\n  }\n\n  .\\32xl\\:mx-80 {\n    margin-left: 20rem;\n    margin-right: 20rem;\n  }\n\n  .\\32xl\\:mx-96 {\n    margin-left: 24rem;\n    margin-right: 24rem;\n  }\n\n  .\\32xl\\:mx-auto {\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .\\32xl\\:mx-px {\n    margin-left: 1px;\n    margin-right: 1px;\n  }\n\n  .\\32xl\\:mx-0\\.5 {\n    margin-left: 0.125rem;\n    margin-right: 0.125rem;\n  }\n\n  .\\32xl\\:mx-1\\.5 {\n    margin-left: 0.375rem;\n    margin-right: 0.375rem;\n  }\n\n  .\\32xl\\:mx-2\\.5 {\n    margin-left: 0.625rem;\n    margin-right: 0.625rem;\n  }\n\n  .\\32xl\\:mx-3\\.5 {\n    margin-left: 0.875rem;\n    margin-right: 0.875rem;\n  }\n\n  .\\32xl\\:-mx-0 {\n    margin-left: 0px;\n    margin-right: 0px;\n  }\n\n  .\\32xl\\:-mx-1 {\n    margin-left: -0.25rem;\n    margin-right: -0.25rem;\n  }\n\n  .\\32xl\\:-mx-2 {\n    margin-left: -0.5rem;\n    margin-right: -0.5rem;\n  }\n\n  .\\32xl\\:-mx-3 {\n    margin-left: -0.75rem;\n    margin-right: -0.75rem;\n  }\n\n  .\\32xl\\:-mx-4 {\n    margin-left: -1rem;\n    margin-right: -1rem;\n  }\n\n  .\\32xl\\:-mx-5 {\n    margin-left: -1.25rem;\n    margin-right: -1.25rem;\n  }\n\n  .\\32xl\\:-mx-6 {\n    margin-left: -1.5rem;\n    margin-right: -1.5rem;\n  }\n\n  .\\32xl\\:-mx-7 {\n    margin-left: -1.75rem;\n    margin-right: -1.75rem;\n  }\n\n  .\\32xl\\:-mx-8 {\n    margin-left: -2rem;\n    margin-right: -2rem;\n  }\n\n  .\\32xl\\:-mx-9 {\n    margin-left: -2.25rem;\n    margin-right: -2.25rem;\n  }\n\n  .\\32xl\\:-mx-10 {\n    margin-left: -2.5rem;\n    margin-right: -2.5rem;\n  }\n\n  .\\32xl\\:-mx-11 {\n    margin-left: -2.75rem;\n    margin-right: -2.75rem;\n  }\n\n  .\\32xl\\:-mx-12 {\n    margin-left: -3rem;\n    margin-right: -3rem;\n  }\n\n  .\\32xl\\:-mx-14 {\n    margin-left: -3.5rem;\n    margin-right: -3.5rem;\n  }\n\n  .\\32xl\\:-mx-16 {\n    margin-left: -4rem;\n    margin-right: -4rem;\n  }\n\n  .\\32xl\\:-mx-20 {\n    margin-left: -5rem;\n    margin-right: -5rem;\n  }\n\n  .\\32xl\\:-mx-24 {\n    margin-left: -6rem;\n    margin-right: -6rem;\n  }\n\n  .\\32xl\\:-mx-28 {\n    margin-left: -7rem;\n    margin-right: -7rem;\n  }\n\n  .\\32xl\\:-mx-32 {\n    margin-left: -8rem;\n    margin-right: -8rem;\n  }\n\n  .\\32xl\\:-mx-36 {\n    margin-left: -9rem;\n    margin-right: -9rem;\n  }\n\n  .\\32xl\\:-mx-40 {\n    margin-left: -10rem;\n    margin-right: -10rem;\n  }\n\n  .\\32xl\\:-mx-44 {\n    margin-left: -11rem;\n    margin-right: -11rem;\n  }\n\n  .\\32xl\\:-mx-48 {\n    margin-left: -12rem;\n    margin-right: -12rem;\n  }\n\n  .\\32xl\\:-mx-52 {\n    margin-left: -13rem;\n    margin-right: -13rem;\n  }\n\n  .\\32xl\\:-mx-56 {\n    margin-left: -14rem;\n    margin-right: -14rem;\n  }\n\n  .\\32xl\\:-mx-60 {\n    margin-left: -15rem;\n    margin-right: -15rem;\n  }\n\n  .\\32xl\\:-mx-64 {\n    margin-left: -16rem;\n    margin-right: -16rem;\n  }\n\n  .\\32xl\\:-mx-72 {\n    margin-left: -18rem;\n    margin-right: -18rem;\n  }\n\n  .\\32xl\\:-mx-80 {\n    margin-left: -20rem;\n    margin-right: -20rem;\n  }\n\n  .\\32xl\\:-mx-96 {\n    margin-left: -24rem;\n    margin-right: -24rem;\n  }\n\n  .\\32xl\\:-mx-px {\n    margin-left: -1px;\n    margin-right: -1px;\n  }\n\n  .\\32xl\\:-mx-0\\.5 {\n    margin-left: -0.125rem;\n    margin-right: -0.125rem;\n  }\n\n  .\\32xl\\:-mx-1\\.5 {\n    margin-left: -0.375rem;\n    margin-right: -0.375rem;\n  }\n\n  .\\32xl\\:-mx-2\\.5 {\n    margin-left: -0.625rem;\n    margin-right: -0.625rem;\n  }\n\n  .\\32xl\\:-mx-3\\.5 {\n    margin-left: -0.875rem;\n    margin-right: -0.875rem;\n  }\n\n  .\\32xl\\:my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .\\32xl\\:my-1 {\n    margin-top: 0.25rem;\n    margin-bottom: 0.25rem;\n  }\n\n  .\\32xl\\:my-2 {\n    margin-top: 0.5rem;\n    margin-bottom: 0.5rem;\n  }\n\n  .\\32xl\\:my-3 {\n    margin-top: 0.75rem;\n    margin-bottom: 0.75rem;\n  }\n\n  .\\32xl\\:my-4 {\n    margin-top: 1rem;\n    margin-bottom: 1rem;\n  }\n\n  .\\32xl\\:my-5 {\n    margin-top: 1.25rem;\n    margin-bottom: 1.25rem;\n  }\n\n  .\\32xl\\:my-6 {\n    margin-top: 1.5rem;\n    margin-bottom: 1.5rem;\n  }\n\n  .\\32xl\\:my-7 {\n    margin-top: 1.75rem;\n    margin-bottom: 1.75rem;\n  }\n\n  .\\32xl\\:my-8 {\n    margin-top: 2rem;\n    margin-bottom: 2rem;\n  }\n\n  .\\32xl\\:my-9 {\n    margin-top: 2.25rem;\n    margin-bottom: 2.25rem;\n  }\n\n  .\\32xl\\:my-10 {\n    margin-top: 2.5rem;\n    margin-bottom: 2.5rem;\n  }\n\n  .\\32xl\\:my-11 {\n    margin-top: 2.75rem;\n    margin-bottom: 2.75rem;\n  }\n\n  .\\32xl\\:my-12 {\n    margin-top: 3rem;\n    margin-bottom: 3rem;\n  }\n\n  .\\32xl\\:my-14 {\n    margin-top: 3.5rem;\n    margin-bottom: 3.5rem;\n  }\n\n  .\\32xl\\:my-16 {\n    margin-top: 4rem;\n    margin-bottom: 4rem;\n  }\n\n  .\\32xl\\:my-20 {\n    margin-top: 5rem;\n    margin-bottom: 5rem;\n  }\n\n  .\\32xl\\:my-24 {\n    margin-top: 6rem;\n    margin-bottom: 6rem;\n  }\n\n  .\\32xl\\:my-28 {\n    margin-top: 7rem;\n    margin-bottom: 7rem;\n  }\n\n  .\\32xl\\:my-32 {\n    margin-top: 8rem;\n    margin-bottom: 8rem;\n  }\n\n  .\\32xl\\:my-36 {\n    margin-top: 9rem;\n    margin-bottom: 9rem;\n  }\n\n  .\\32xl\\:my-40 {\n    margin-top: 10rem;\n    margin-bottom: 10rem;\n  }\n\n  .\\32xl\\:my-44 {\n    margin-top: 11rem;\n    margin-bottom: 11rem;\n  }\n\n  .\\32xl\\:my-48 {\n    margin-top: 12rem;\n    margin-bottom: 12rem;\n  }\n\n  .\\32xl\\:my-52 {\n    margin-top: 13rem;\n    margin-bottom: 13rem;\n  }\n\n  .\\32xl\\:my-56 {\n    margin-top: 14rem;\n    margin-bottom: 14rem;\n  }\n\n  .\\32xl\\:my-60 {\n    margin-top: 15rem;\n    margin-bottom: 15rem;\n  }\n\n  .\\32xl\\:my-64 {\n    margin-top: 16rem;\n    margin-bottom: 16rem;\n  }\n\n  .\\32xl\\:my-72 {\n    margin-top: 18rem;\n    margin-bottom: 18rem;\n  }\n\n  .\\32xl\\:my-80 {\n    margin-top: 20rem;\n    margin-bottom: 20rem;\n  }\n\n  .\\32xl\\:my-96 {\n    margin-top: 24rem;\n    margin-bottom: 24rem;\n  }\n\n  .\\32xl\\:my-auto {\n    margin-top: auto;\n    margin-bottom: auto;\n  }\n\n  .\\32xl\\:my-px {\n    margin-top: 1px;\n    margin-bottom: 1px;\n  }\n\n  .\\32xl\\:my-0\\.5 {\n    margin-top: 0.125rem;\n    margin-bottom: 0.125rem;\n  }\n\n  .\\32xl\\:my-1\\.5 {\n    margin-top: 0.375rem;\n    margin-bottom: 0.375rem;\n  }\n\n  .\\32xl\\:my-2\\.5 {\n    margin-top: 0.625rem;\n    margin-bottom: 0.625rem;\n  }\n\n  .\\32xl\\:my-3\\.5 {\n    margin-top: 0.875rem;\n    margin-bottom: 0.875rem;\n  }\n\n  .\\32xl\\:-my-0 {\n    margin-top: 0px;\n    margin-bottom: 0px;\n  }\n\n  .\\32xl\\:-my-1 {\n    margin-top: -0.25rem;\n    margin-bottom: -0.25rem;\n  }\n\n  .\\32xl\\:-my-2 {\n    margin-top: -0.5rem;\n    margin-bottom: -0.5rem;\n  }\n\n  .\\32xl\\:-my-3 {\n    margin-top: -0.75rem;\n    margin-bottom: -0.75rem;\n  }\n\n  .\\32xl\\:-my-4 {\n    margin-top: -1rem;\n    margin-bottom: -1rem;\n  }\n\n  .\\32xl\\:-my-5 {\n    margin-top: -1.25rem;\n    margin-bottom: -1.25rem;\n  }\n\n  .\\32xl\\:-my-6 {\n    margin-top: -1.5rem;\n    margin-bottom: -1.5rem;\n  }\n\n  .\\32xl\\:-my-7 {\n    margin-top: -1.75rem;\n    margin-bottom: -1.75rem;\n  }\n\n  .\\32xl\\:-my-8 {\n    margin-top: -2rem;\n    margin-bottom: -2rem;\n  }\n\n  .\\32xl\\:-my-9 {\n    margin-top: -2.25rem;\n    margin-bottom: -2.25rem;\n  }\n\n  .\\32xl\\:-my-10 {\n    margin-top: -2.5rem;\n    margin-bottom: -2.5rem;\n  }\n\n  .\\32xl\\:-my-11 {\n    margin-top: -2.75rem;\n    margin-bottom: -2.75rem;\n  }\n\n  .\\32xl\\:-my-12 {\n    margin-top: -3rem;\n    margin-bottom: -3rem;\n  }\n\n  .\\32xl\\:-my-14 {\n    margin-top: -3.5rem;\n    margin-bottom: -3.5rem;\n  }\n\n  .\\32xl\\:-my-16 {\n    margin-top: -4rem;\n    margin-bottom: -4rem;\n  }\n\n  .\\32xl\\:-my-20 {\n    margin-top: -5rem;\n    margin-bottom: -5rem;\n  }\n\n  .\\32xl\\:-my-24 {\n    margin-top: -6rem;\n    margin-bottom: -6rem;\n  }\n\n  .\\32xl\\:-my-28 {\n    margin-top: -7rem;\n    margin-bottom: -7rem;\n  }\n\n  .\\32xl\\:-my-32 {\n    margin-top: -8rem;\n    margin-bottom: -8rem;\n  }\n\n  .\\32xl\\:-my-36 {\n    margin-top: -9rem;\n    margin-bottom: -9rem;\n  }\n\n  .\\32xl\\:-my-40 {\n    margin-top: -10rem;\n    margin-bottom: -10rem;\n  }\n\n  .\\32xl\\:-my-44 {\n    margin-top: -11rem;\n    margin-bottom: -11rem;\n  }\n\n  .\\32xl\\:-my-48 {\n    margin-top: -12rem;\n    margin-bottom: -12rem;\n  }\n\n  .\\32xl\\:-my-52 {\n    margin-top: -13rem;\n    margin-bottom: -13rem;\n  }\n\n  .\\32xl\\:-my-56 {\n    margin-top: -14rem;\n    margin-bottom: -14rem;\n  }\n\n  .\\32xl\\:-my-60 {\n    margin-top: -15rem;\n    margin-bottom: -15rem;\n  }\n\n  .\\32xl\\:-my-64 {\n    margin-top: -16rem;\n    margin-bottom: -16rem;\n  }\n\n  .\\32xl\\:-my-72 {\n    margin-top: -18rem;\n    margin-bottom: -18rem;\n  }\n\n  .\\32xl\\:-my-80 {\n    margin-top: -20rem;\n    margin-bottom: -20rem;\n  }\n\n  .\\32xl\\:-my-96 {\n    margin-top: -24rem;\n    margin-bottom: -24rem;\n  }\n\n  .\\32xl\\:-my-px {\n    margin-top: -1px;\n    margin-bottom: -1px;\n  }\n\n  .\\32xl\\:-my-0\\.5 {\n    margin-top: -0.125rem;\n    margin-bottom: -0.125rem;\n  }\n\n  .\\32xl\\:-my-1\\.5 {\n    margin-top: -0.375rem;\n    margin-bottom: -0.375rem;\n  }\n\n  .\\32xl\\:-my-2\\.5 {\n    margin-top: -0.625rem;\n    margin-bottom: -0.625rem;\n  }\n\n  .\\32xl\\:-my-3\\.5 {\n    margin-top: -0.875rem;\n    margin-bottom: -0.875rem;\n  }\n\n  .\\32xl\\:mt-0 {\n    margin-top: 0px;\n  }\n\n  .\\32xl\\:mt-1 {\n    margin-top: 0.25rem;\n  }\n\n  .\\32xl\\:mt-2 {\n    margin-top: 0.5rem;\n  }\n\n  .\\32xl\\:mt-3 {\n    margin-top: 0.75rem;\n  }\n\n  .\\32xl\\:mt-4 {\n    margin-top: 1rem;\n  }\n\n  .\\32xl\\:mt-5 {\n    margin-top: 1.25rem;\n  }\n\n  .\\32xl\\:mt-6 {\n    margin-top: 1.5rem;\n  }\n\n  .\\32xl\\:mt-7 {\n    margin-top: 1.75rem;\n  }\n\n  .\\32xl\\:mt-8 {\n    margin-top: 2rem;\n  }\n\n  .\\32xl\\:mt-9 {\n    margin-top: 2.25rem;\n  }\n\n  .\\32xl\\:mt-10 {\n    margin-top: 2.5rem;\n  }\n\n  .\\32xl\\:mt-11 {\n    margin-top: 2.75rem;\n  }\n\n  .\\32xl\\:mt-12 {\n    margin-top: 3rem;\n  }\n\n  .\\32xl\\:mt-14 {\n    margin-top: 3.5rem;\n  }\n\n  .\\32xl\\:mt-16 {\n    margin-top: 4rem;\n  }\n\n  .\\32xl\\:mt-20 {\n    margin-top: 5rem;\n  }\n\n  .\\32xl\\:mt-24 {\n    margin-top: 6rem;\n  }\n\n  .\\32xl\\:mt-28 {\n    margin-top: 7rem;\n  }\n\n  .\\32xl\\:mt-32 {\n    margin-top: 8rem;\n  }\n\n  .\\32xl\\:mt-36 {\n    margin-top: 9rem;\n  }\n\n  .\\32xl\\:mt-40 {\n    margin-top: 10rem;\n  }\n\n  .\\32xl\\:mt-44 {\n    margin-top: 11rem;\n  }\n\n  .\\32xl\\:mt-48 {\n    margin-top: 12rem;\n  }\n\n  .\\32xl\\:mt-52 {\n    margin-top: 13rem;\n  }\n\n  .\\32xl\\:mt-56 {\n    margin-top: 14rem;\n  }\n\n  .\\32xl\\:mt-60 {\n    margin-top: 15rem;\n  }\n\n  .\\32xl\\:mt-64 {\n    margin-top: 16rem;\n  }\n\n  .\\32xl\\:mt-72 {\n    margin-top: 18rem;\n  }\n\n  .\\32xl\\:mt-80 {\n    margin-top: 20rem;\n  }\n\n  .\\32xl\\:mt-96 {\n    margin-top: 24rem;\n  }\n\n  .\\32xl\\:mt-auto {\n    margin-top: auto;\n  }\n\n  .\\32xl\\:mt-px {\n    margin-top: 1px;\n  }\n\n  .\\32xl\\:mt-0\\.5 {\n    margin-top: 0.125rem;\n  }\n\n  .\\32xl\\:mt-1\\.5 {\n    margin-top: 0.375rem;\n  }\n\n  .\\32xl\\:mt-2\\.5 {\n    margin-top: 0.625rem;\n  }\n\n  .\\32xl\\:mt-3\\.5 {\n    margin-top: 0.875rem;\n  }\n\n  .\\32xl\\:-mt-0 {\n    margin-top: 0px;\n  }\n\n  .\\32xl\\:-mt-1 {\n    margin-top: -0.25rem;\n  }\n\n  .\\32xl\\:-mt-2 {\n    margin-top: -0.5rem;\n  }\n\n  .\\32xl\\:-mt-3 {\n    margin-top: -0.75rem;\n  }\n\n  .\\32xl\\:-mt-4 {\n    margin-top: -1rem;\n  }\n\n  .\\32xl\\:-mt-5 {\n    margin-top: -1.25rem;\n  }\n\n  .\\32xl\\:-mt-6 {\n    margin-top: -1.5rem;\n  }\n\n  .\\32xl\\:-mt-7 {\n    margin-top: -1.75rem;\n  }\n\n  .\\32xl\\:-mt-8 {\n    margin-top: -2rem;\n  }\n\n  .\\32xl\\:-mt-9 {\n    margin-top: -2.25rem;\n  }\n\n  .\\32xl\\:-mt-10 {\n    margin-top: -2.5rem;\n  }\n\n  .\\32xl\\:-mt-11 {\n    margin-top: -2.75rem;\n  }\n\n  .\\32xl\\:-mt-12 {\n    margin-top: -3rem;\n  }\n\n  .\\32xl\\:-mt-14 {\n    margin-top: -3.5rem;\n  }\n\n  .\\32xl\\:-mt-16 {\n    margin-top: -4rem;\n  }\n\n  .\\32xl\\:-mt-20 {\n    margin-top: -5rem;\n  }\n\n  .\\32xl\\:-mt-24 {\n    margin-top: -6rem;\n  }\n\n  .\\32xl\\:-mt-28 {\n    margin-top: -7rem;\n  }\n\n  .\\32xl\\:-mt-32 {\n    margin-top: -8rem;\n  }\n\n  .\\32xl\\:-mt-36 {\n    margin-top: -9rem;\n  }\n\n  .\\32xl\\:-mt-40 {\n    margin-top: -10rem;\n  }\n\n  .\\32xl\\:-mt-44 {\n    margin-top: -11rem;\n  }\n\n  .\\32xl\\:-mt-48 {\n    margin-top: -12rem;\n  }\n\n  .\\32xl\\:-mt-52 {\n    margin-top: -13rem;\n  }\n\n  .\\32xl\\:-mt-56 {\n    margin-top: -14rem;\n  }\n\n  .\\32xl\\:-mt-60 {\n    margin-top: -15rem;\n  }\n\n  .\\32xl\\:-mt-64 {\n    margin-top: -16rem;\n  }\n\n  .\\32xl\\:-mt-72 {\n    margin-top: -18rem;\n  }\n\n  .\\32xl\\:-mt-80 {\n    margin-top: -20rem;\n  }\n\n  .\\32xl\\:-mt-96 {\n    margin-top: -24rem;\n  }\n\n  .\\32xl\\:-mt-px {\n    margin-top: -1px;\n  }\n\n  .\\32xl\\:-mt-0\\.5 {\n    margin-top: -0.125rem;\n  }\n\n  .\\32xl\\:-mt-1\\.5 {\n    margin-top: -0.375rem;\n  }\n\n  .\\32xl\\:-mt-2\\.5 {\n    margin-top: -0.625rem;\n  }\n\n  .\\32xl\\:-mt-3\\.5 {\n    margin-top: -0.875rem;\n  }\n\n  .\\32xl\\:mr-0 {\n    margin-right: 0px;\n  }\n\n  .\\32xl\\:mr-1 {\n    margin-right: 0.25rem;\n  }\n\n  .\\32xl\\:mr-2 {\n    margin-right: 0.5rem;\n  }\n\n  .\\32xl\\:mr-3 {\n    margin-right: 0.75rem;\n  }\n\n  .\\32xl\\:mr-4 {\n    margin-right: 1rem;\n  }\n\n  .\\32xl\\:mr-5 {\n    margin-right: 1.25rem;\n  }\n\n  .\\32xl\\:mr-6 {\n    margin-right: 1.5rem;\n  }\n\n  .\\32xl\\:mr-7 {\n    margin-right: 1.75rem;\n  }\n\n  .\\32xl\\:mr-8 {\n    margin-right: 2rem;\n  }\n\n  .\\32xl\\:mr-9 {\n    margin-right: 2.25rem;\n  }\n\n  .\\32xl\\:mr-10 {\n    margin-right: 2.5rem;\n  }\n\n  .\\32xl\\:mr-11 {\n    margin-right: 2.75rem;\n  }\n\n  .\\32xl\\:mr-12 {\n    margin-right: 3rem;\n  }\n\n  .\\32xl\\:mr-14 {\n    margin-right: 3.5rem;\n  }\n\n  .\\32xl\\:mr-16 {\n    margin-right: 4rem;\n  }\n\n  .\\32xl\\:mr-20 {\n    margin-right: 5rem;\n  }\n\n  .\\32xl\\:mr-24 {\n    margin-right: 6rem;\n  }\n\n  .\\32xl\\:mr-28 {\n    margin-right: 7rem;\n  }\n\n  .\\32xl\\:mr-32 {\n    margin-right: 8rem;\n  }\n\n  .\\32xl\\:mr-36 {\n    margin-right: 9rem;\n  }\n\n  .\\32xl\\:mr-40 {\n    margin-right: 10rem;\n  }\n\n  .\\32xl\\:mr-44 {\n    margin-right: 11rem;\n  }\n\n  .\\32xl\\:mr-48 {\n    margin-right: 12rem;\n  }\n\n  .\\32xl\\:mr-52 {\n    margin-right: 13rem;\n  }\n\n  .\\32xl\\:mr-56 {\n    margin-right: 14rem;\n  }\n\n  .\\32xl\\:mr-60 {\n    margin-right: 15rem;\n  }\n\n  .\\32xl\\:mr-64 {\n    margin-right: 16rem;\n  }\n\n  .\\32xl\\:mr-72 {\n    margin-right: 18rem;\n  }\n\n  .\\32xl\\:mr-80 {\n    margin-right: 20rem;\n  }\n\n  .\\32xl\\:mr-96 {\n    margin-right: 24rem;\n  }\n\n  .\\32xl\\:mr-auto {\n    margin-right: auto;\n  }\n\n  .\\32xl\\:mr-px {\n    margin-right: 1px;\n  }\n\n  .\\32xl\\:mr-0\\.5 {\n    margin-right: 0.125rem;\n  }\n\n  .\\32xl\\:mr-1\\.5 {\n    margin-right: 0.375rem;\n  }\n\n  .\\32xl\\:mr-2\\.5 {\n    margin-right: 0.625rem;\n  }\n\n  .\\32xl\\:mr-3\\.5 {\n    margin-right: 0.875rem;\n  }\n\n  .\\32xl\\:-mr-0 {\n    margin-right: 0px;\n  }\n\n  .\\32xl\\:-mr-1 {\n    margin-right: -0.25rem;\n  }\n\n  .\\32xl\\:-mr-2 {\n    margin-right: -0.5rem;\n  }\n\n  .\\32xl\\:-mr-3 {\n    margin-right: -0.75rem;\n  }\n\n  .\\32xl\\:-mr-4 {\n    margin-right: -1rem;\n  }\n\n  .\\32xl\\:-mr-5 {\n    margin-right: -1.25rem;\n  }\n\n  .\\32xl\\:-mr-6 {\n    margin-right: -1.5rem;\n  }\n\n  .\\32xl\\:-mr-7 {\n    margin-right: -1.75rem;\n  }\n\n  .\\32xl\\:-mr-8 {\n    margin-right: -2rem;\n  }\n\n  .\\32xl\\:-mr-9 {\n    margin-right: -2.25rem;\n  }\n\n  .\\32xl\\:-mr-10 {\n    margin-right: -2.5rem;\n  }\n\n  .\\32xl\\:-mr-11 {\n    margin-right: -2.75rem;\n  }\n\n  .\\32xl\\:-mr-12 {\n    margin-right: -3rem;\n  }\n\n  .\\32xl\\:-mr-14 {\n    margin-right: -3.5rem;\n  }\n\n  .\\32xl\\:-mr-16 {\n    margin-right: -4rem;\n  }\n\n  .\\32xl\\:-mr-20 {\n    margin-right: -5rem;\n  }\n\n  .\\32xl\\:-mr-24 {\n    margin-right: -6rem;\n  }\n\n  .\\32xl\\:-mr-28 {\n    margin-right: -7rem;\n  }\n\n  .\\32xl\\:-mr-32 {\n    margin-right: -8rem;\n  }\n\n  .\\32xl\\:-mr-36 {\n    margin-right: -9rem;\n  }\n\n  .\\32xl\\:-mr-40 {\n    margin-right: -10rem;\n  }\n\n  .\\32xl\\:-mr-44 {\n    margin-right: -11rem;\n  }\n\n  .\\32xl\\:-mr-48 {\n    margin-right: -12rem;\n  }\n\n  .\\32xl\\:-mr-52 {\n    margin-right: -13rem;\n  }\n\n  .\\32xl\\:-mr-56 {\n    margin-right: -14rem;\n  }\n\n  .\\32xl\\:-mr-60 {\n    margin-right: -15rem;\n  }\n\n  .\\32xl\\:-mr-64 {\n    margin-right: -16rem;\n  }\n\n  .\\32xl\\:-mr-72 {\n    margin-right: -18rem;\n  }\n\n  .\\32xl\\:-mr-80 {\n    margin-right: -20rem;\n  }\n\n  .\\32xl\\:-mr-96 {\n    margin-right: -24rem;\n  }\n\n  .\\32xl\\:-mr-px {\n    margin-right: -1px;\n  }\n\n  .\\32xl\\:-mr-0\\.5 {\n    margin-right: -0.125rem;\n  }\n\n  .\\32xl\\:-mr-1\\.5 {\n    margin-right: -0.375rem;\n  }\n\n  .\\32xl\\:-mr-2\\.5 {\n    margin-right: -0.625rem;\n  }\n\n  .\\32xl\\:-mr-3\\.5 {\n    margin-right: -0.875rem;\n  }\n\n  .\\32xl\\:mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .\\32xl\\:mb-1 {\n    margin-bottom: 0.25rem;\n  }\n\n  .\\32xl\\:mb-2 {\n    margin-bottom: 0.5rem;\n  }\n\n  .\\32xl\\:mb-3 {\n    margin-bottom: 0.75rem;\n  }\n\n  .\\32xl\\:mb-4 {\n    margin-bottom: 1rem;\n  }\n\n  .\\32xl\\:mb-5 {\n    margin-bottom: 1.25rem;\n  }\n\n  .\\32xl\\:mb-6 {\n    margin-bottom: 1.5rem;\n  }\n\n  .\\32xl\\:mb-7 {\n    margin-bottom: 1.75rem;\n  }\n\n  .\\32xl\\:mb-8 {\n    margin-bottom: 2rem;\n  }\n\n  .\\32xl\\:mb-9 {\n    margin-bottom: 2.25rem;\n  }\n\n  .\\32xl\\:mb-10 {\n    margin-bottom: 2.5rem;\n  }\n\n  .\\32xl\\:mb-11 {\n    margin-bottom: 2.75rem;\n  }\n\n  .\\32xl\\:mb-12 {\n    margin-bottom: 3rem;\n  }\n\n  .\\32xl\\:mb-14 {\n    margin-bottom: 3.5rem;\n  }\n\n  .\\32xl\\:mb-16 {\n    margin-bottom: 4rem;\n  }\n\n  .\\32xl\\:mb-20 {\n    margin-bottom: 5rem;\n  }\n\n  .\\32xl\\:mb-24 {\n    margin-bottom: 6rem;\n  }\n\n  .\\32xl\\:mb-28 {\n    margin-bottom: 7rem;\n  }\n\n  .\\32xl\\:mb-32 {\n    margin-bottom: 8rem;\n  }\n\n  .\\32xl\\:mb-36 {\n    margin-bottom: 9rem;\n  }\n\n  .\\32xl\\:mb-40 {\n    margin-bottom: 10rem;\n  }\n\n  .\\32xl\\:mb-44 {\n    margin-bottom: 11rem;\n  }\n\n  .\\32xl\\:mb-48 {\n    margin-bottom: 12rem;\n  }\n\n  .\\32xl\\:mb-52 {\n    margin-bottom: 13rem;\n  }\n\n  .\\32xl\\:mb-56 {\n    margin-bottom: 14rem;\n  }\n\n  .\\32xl\\:mb-60 {\n    margin-bottom: 15rem;\n  }\n\n  .\\32xl\\:mb-64 {\n    margin-bottom: 16rem;\n  }\n\n  .\\32xl\\:mb-72 {\n    margin-bottom: 18rem;\n  }\n\n  .\\32xl\\:mb-80 {\n    margin-bottom: 20rem;\n  }\n\n  .\\32xl\\:mb-96 {\n    margin-bottom: 24rem;\n  }\n\n  .\\32xl\\:mb-auto {\n    margin-bottom: auto;\n  }\n\n  .\\32xl\\:mb-px {\n    margin-bottom: 1px;\n  }\n\n  .\\32xl\\:mb-0\\.5 {\n    margin-bottom: 0.125rem;\n  }\n\n  .\\32xl\\:mb-1\\.5 {\n    margin-bottom: 0.375rem;\n  }\n\n  .\\32xl\\:mb-2\\.5 {\n    margin-bottom: 0.625rem;\n  }\n\n  .\\32xl\\:mb-3\\.5 {\n    margin-bottom: 0.875rem;\n  }\n\n  .\\32xl\\:-mb-0 {\n    margin-bottom: 0px;\n  }\n\n  .\\32xl\\:-mb-1 {\n    margin-bottom: -0.25rem;\n  }\n\n  .\\32xl\\:-mb-2 {\n    margin-bottom: -0.5rem;\n  }\n\n  .\\32xl\\:-mb-3 {\n    margin-bottom: -0.75rem;\n  }\n\n  .\\32xl\\:-mb-4 {\n    margin-bottom: -1rem;\n  }\n\n  .\\32xl\\:-mb-5 {\n    margin-bottom: -1.25rem;\n  }\n\n  .\\32xl\\:-mb-6 {\n    margin-bottom: -1.5rem;\n  }\n\n  .\\32xl\\:-mb-7 {\n    margin-bottom: -1.75rem;\n  }\n\n  .\\32xl\\:-mb-8 {\n    margin-bottom: -2rem;\n  }\n\n  .\\32xl\\:-mb-9 {\n    margin-bottom: -2.25rem;\n  }\n\n  .\\32xl\\:-mb-10 {\n    margin-bottom: -2.5rem;\n  }\n\n  .\\32xl\\:-mb-11 {\n    margin-bottom: -2.75rem;\n  }\n\n  .\\32xl\\:-mb-12 {\n    margin-bottom: -3rem;\n  }\n\n  .\\32xl\\:-mb-14 {\n    margin-bottom: -3.5rem;\n  }\n\n  .\\32xl\\:-mb-16 {\n    margin-bottom: -4rem;\n  }\n\n  .\\32xl\\:-mb-20 {\n    margin-bottom: -5rem;\n  }\n\n  .\\32xl\\:-mb-24 {\n    margin-bottom: -6rem;\n  }\n\n  .\\32xl\\:-mb-28 {\n    margin-bottom: -7rem;\n  }\n\n  .\\32xl\\:-mb-32 {\n    margin-bottom: -8rem;\n  }\n\n  .\\32xl\\:-mb-36 {\n    margin-bottom: -9rem;\n  }\n\n  .\\32xl\\:-mb-40 {\n    margin-bottom: -10rem;\n  }\n\n  .\\32xl\\:-mb-44 {\n    margin-bottom: -11rem;\n  }\n\n  .\\32xl\\:-mb-48 {\n    margin-bottom: -12rem;\n  }\n\n  .\\32xl\\:-mb-52 {\n    margin-bottom: -13rem;\n  }\n\n  .\\32xl\\:-mb-56 {\n    margin-bottom: -14rem;\n  }\n\n  .\\32xl\\:-mb-60 {\n    margin-bottom: -15rem;\n  }\n\n  .\\32xl\\:-mb-64 {\n    margin-bottom: -16rem;\n  }\n\n  .\\32xl\\:-mb-72 {\n    margin-bottom: -18rem;\n  }\n\n  .\\32xl\\:-mb-80 {\n    margin-bottom: -20rem;\n  }\n\n  .\\32xl\\:-mb-96 {\n    margin-bottom: -24rem;\n  }\n\n  .\\32xl\\:-mb-px {\n    margin-bottom: -1px;\n  }\n\n  .\\32xl\\:-mb-0\\.5 {\n    margin-bottom: -0.125rem;\n  }\n\n  .\\32xl\\:-mb-1\\.5 {\n    margin-bottom: -0.375rem;\n  }\n\n  .\\32xl\\:-mb-2\\.5 {\n    margin-bottom: -0.625rem;\n  }\n\n  .\\32xl\\:-mb-3\\.5 {\n    margin-bottom: -0.875rem;\n  }\n\n  .\\32xl\\:ml-0 {\n    margin-left: 0px;\n  }\n\n  .\\32xl\\:ml-1 {\n    margin-left: 0.25rem;\n  }\n\n  .\\32xl\\:ml-2 {\n    margin-left: 0.5rem;\n  }\n\n  .\\32xl\\:ml-3 {\n    margin-left: 0.75rem;\n  }\n\n  .\\32xl\\:ml-4 {\n    margin-left: 1rem;\n  }\n\n  .\\32xl\\:ml-5 {\n    margin-left: 1.25rem;\n  }\n\n  .\\32xl\\:ml-6 {\n    margin-left: 1.5rem;\n  }\n\n  .\\32xl\\:ml-7 {\n    margin-left: 1.75rem;\n  }\n\n  .\\32xl\\:ml-8 {\n    margin-left: 2rem;\n  }\n\n  .\\32xl\\:ml-9 {\n    margin-left: 2.25rem;\n  }\n\n  .\\32xl\\:ml-10 {\n    margin-left: 2.5rem;\n  }\n\n  .\\32xl\\:ml-11 {\n    margin-left: 2.75rem;\n  }\n\n  .\\32xl\\:ml-12 {\n    margin-left: 3rem;\n  }\n\n  .\\32xl\\:ml-14 {\n    margin-left: 3.5rem;\n  }\n\n  .\\32xl\\:ml-16 {\n    margin-left: 4rem;\n  }\n\n  .\\32xl\\:ml-20 {\n    margin-left: 5rem;\n  }\n\n  .\\32xl\\:ml-24 {\n    margin-left: 6rem;\n  }\n\n  .\\32xl\\:ml-28 {\n    margin-left: 7rem;\n  }\n\n  .\\32xl\\:ml-32 {\n    margin-left: 8rem;\n  }\n\n  .\\32xl\\:ml-36 {\n    margin-left: 9rem;\n  }\n\n  .\\32xl\\:ml-40 {\n    margin-left: 10rem;\n  }\n\n  .\\32xl\\:ml-44 {\n    margin-left: 11rem;\n  }\n\n  .\\32xl\\:ml-48 {\n    margin-left: 12rem;\n  }\n\n  .\\32xl\\:ml-52 {\n    margin-left: 13rem;\n  }\n\n  .\\32xl\\:ml-56 {\n    margin-left: 14rem;\n  }\n\n  .\\32xl\\:ml-60 {\n    margin-left: 15rem;\n  }\n\n  .\\32xl\\:ml-64 {\n    margin-left: 16rem;\n  }\n\n  .\\32xl\\:ml-72 {\n    margin-left: 18rem;\n  }\n\n  .\\32xl\\:ml-80 {\n    margin-left: 20rem;\n  }\n\n  .\\32xl\\:ml-96 {\n    margin-left: 24rem;\n  }\n\n  .\\32xl\\:ml-auto {\n    margin-left: auto;\n  }\n\n  .\\32xl\\:ml-px {\n    margin-left: 1px;\n  }\n\n  .\\32xl\\:ml-0\\.5 {\n    margin-left: 0.125rem;\n  }\n\n  .\\32xl\\:ml-1\\.5 {\n    margin-left: 0.375rem;\n  }\n\n  .\\32xl\\:ml-2\\.5 {\n    margin-left: 0.625rem;\n  }\n\n  .\\32xl\\:ml-3\\.5 {\n    margin-left: 0.875rem;\n  }\n\n  .\\32xl\\:-ml-0 {\n    margin-left: 0px;\n  }\n\n  .\\32xl\\:-ml-1 {\n    margin-left: -0.25rem;\n  }\n\n  .\\32xl\\:-ml-2 {\n    margin-left: -0.5rem;\n  }\n\n  .\\32xl\\:-ml-3 {\n    margin-left: -0.75rem;\n  }\n\n  .\\32xl\\:-ml-4 {\n    margin-left: -1rem;\n  }\n\n  .\\32xl\\:-ml-5 {\n    margin-left: -1.25rem;\n  }\n\n  .\\32xl\\:-ml-6 {\n    margin-left: -1.5rem;\n  }\n\n  .\\32xl\\:-ml-7 {\n    margin-left: -1.75rem;\n  }\n\n  .\\32xl\\:-ml-8 {\n    margin-left: -2rem;\n  }\n\n  .\\32xl\\:-ml-9 {\n    margin-left: -2.25rem;\n  }\n\n  .\\32xl\\:-ml-10 {\n    margin-left: -2.5rem;\n  }\n\n  .\\32xl\\:-ml-11 {\n    margin-left: -2.75rem;\n  }\n\n  .\\32xl\\:-ml-12 {\n    margin-left: -3rem;\n  }\n\n  .\\32xl\\:-ml-14 {\n    margin-left: -3.5rem;\n  }\n\n  .\\32xl\\:-ml-16 {\n    margin-left: -4rem;\n  }\n\n  .\\32xl\\:-ml-20 {\n    margin-left: -5rem;\n  }\n\n  .\\32xl\\:-ml-24 {\n    margin-left: -6rem;\n  }\n\n  .\\32xl\\:-ml-28 {\n    margin-left: -7rem;\n  }\n\n  .\\32xl\\:-ml-32 {\n    margin-left: -8rem;\n  }\n\n  .\\32xl\\:-ml-36 {\n    margin-left: -9rem;\n  }\n\n  .\\32xl\\:-ml-40 {\n    margin-left: -10rem;\n  }\n\n  .\\32xl\\:-ml-44 {\n    margin-left: -11rem;\n  }\n\n  .\\32xl\\:-ml-48 {\n    margin-left: -12rem;\n  }\n\n  .\\32xl\\:-ml-52 {\n    margin-left: -13rem;\n  }\n\n  .\\32xl\\:-ml-56 {\n    margin-left: -14rem;\n  }\n\n  .\\32xl\\:-ml-60 {\n    margin-left: -15rem;\n  }\n\n  .\\32xl\\:-ml-64 {\n    margin-left: -16rem;\n  }\n\n  .\\32xl\\:-ml-72 {\n    margin-left: -18rem;\n  }\n\n  .\\32xl\\:-ml-80 {\n    margin-left: -20rem;\n  }\n\n  .\\32xl\\:-ml-96 {\n    margin-left: -24rem;\n  }\n\n  .\\32xl\\:-ml-px {\n    margin-left: -1px;\n  }\n\n  .\\32xl\\:-ml-0\\.5 {\n    margin-left: -0.125rem;\n  }\n\n  .\\32xl\\:-ml-1\\.5 {\n    margin-left: -0.375rem;\n  }\n\n  .\\32xl\\:-ml-2\\.5 {\n    margin-left: -0.625rem;\n  }\n\n  .\\32xl\\:-ml-3\\.5 {\n    margin-left: -0.875rem;\n  }\n\n  .\\32xl\\:box-border {\n    box-sizing: border-box;\n  }\n\n  .\\32xl\\:box-content {\n    box-sizing: content-box;\n  }\n\n  .\\32xl\\:block {\n    display: block;\n  }\n\n  .\\32xl\\:inline-block {\n    display: inline-block;\n  }\n\n  .\\32xl\\:inline {\n    display: inline;\n  }\n\n  .\\32xl\\:flex {\n    display: flex;\n  }\n\n  .\\32xl\\:inline-flex {\n    display: inline-flex;\n  }\n\n  .\\32xl\\:table {\n    display: table;\n  }\n\n  .\\32xl\\:inline-table {\n    display: inline-table;\n  }\n\n  .\\32xl\\:table-caption {\n    display: table-caption;\n  }\n\n  .\\32xl\\:table-cell {\n    display: table-cell;\n  }\n\n  .\\32xl\\:table-column {\n    display: table-column;\n  }\n\n  .\\32xl\\:table-column-group {\n    display: table-column-group;\n  }\n\n  .\\32xl\\:table-footer-group {\n    display: table-footer-group;\n  }\n\n  .\\32xl\\:table-header-group {\n    display: table-header-group;\n  }\n\n  .\\32xl\\:table-row-group {\n    display: table-row-group;\n  }\n\n  .\\32xl\\:table-row {\n    display: table-row;\n  }\n\n  .\\32xl\\:flow-root {\n    display: flow-root;\n  }\n\n  .\\32xl\\:grid {\n    display: grid;\n  }\n\n  .\\32xl\\:inline-grid {\n    display: inline-grid;\n  }\n\n  .\\32xl\\:contents {\n    display: contents;\n  }\n\n  .\\32xl\\:list-item {\n    display: list-item;\n  }\n\n  .\\32xl\\:hidden {\n    display: none;\n  }\n\n  .\\32xl\\:h-0 {\n    height: 0px;\n  }\n\n  .\\32xl\\:h-1 {\n    height: 0.25rem;\n  }\n\n  .\\32xl\\:h-2 {\n    height: 0.5rem;\n  }\n\n  .\\32xl\\:h-3 {\n    height: 0.75rem;\n  }\n\n  .\\32xl\\:h-4 {\n    height: 1rem;\n  }\n\n  .\\32xl\\:h-5 {\n    height: 1.25rem;\n  }\n\n  .\\32xl\\:h-6 {\n    height: 1.5rem;\n  }\n\n  .\\32xl\\:h-7 {\n    height: 1.75rem;\n  }\n\n  .\\32xl\\:h-8 {\n    height: 2rem;\n  }\n\n  .\\32xl\\:h-9 {\n    height: 2.25rem;\n  }\n\n  .\\32xl\\:h-10 {\n    height: 2.5rem;\n  }\n\n  .\\32xl\\:h-11 {\n    height: 2.75rem;\n  }\n\n  .\\32xl\\:h-12 {\n    height: 3rem;\n  }\n\n  .\\32xl\\:h-14 {\n    height: 3.5rem;\n  }\n\n  .\\32xl\\:h-16 {\n    height: 4rem;\n  }\n\n  .\\32xl\\:h-20 {\n    height: 5rem;\n  }\n\n  .\\32xl\\:h-24 {\n    height: 6rem;\n  }\n\n  .\\32xl\\:h-28 {\n    height: 7rem;\n  }\n\n  .\\32xl\\:h-32 {\n    height: 8rem;\n  }\n\n  .\\32xl\\:h-36 {\n    height: 9rem;\n  }\n\n  .\\32xl\\:h-40 {\n    height: 10rem;\n  }\n\n  .\\32xl\\:h-44 {\n    height: 11rem;\n  }\n\n  .\\32xl\\:h-48 {\n    height: 12rem;\n  }\n\n  .\\32xl\\:h-52 {\n    height: 13rem;\n  }\n\n  .\\32xl\\:h-56 {\n    height: 14rem;\n  }\n\n  .\\32xl\\:h-60 {\n    height: 15rem;\n  }\n\n  .\\32xl\\:h-64 {\n    height: 16rem;\n  }\n\n  .\\32xl\\:h-72 {\n    height: 18rem;\n  }\n\n  .\\32xl\\:h-80 {\n    height: 20rem;\n  }\n\n  .\\32xl\\:h-96 {\n    height: 24rem;\n  }\n\n  .\\32xl\\:h-auto {\n    height: auto;\n  }\n\n  .\\32xl\\:h-px {\n    height: 1px;\n  }\n\n  .\\32xl\\:h-0\\.5 {\n    height: 0.125rem;\n  }\n\n  .\\32xl\\:h-1\\.5 {\n    height: 0.375rem;\n  }\n\n  .\\32xl\\:h-2\\.5 {\n    height: 0.625rem;\n  }\n\n  .\\32xl\\:h-3\\.5 {\n    height: 0.875rem;\n  }\n\n  .\\32xl\\:h-1\\/2 {\n    height: 50%;\n  }\n\n  .\\32xl\\:h-1\\/3 {\n    height: 33.333333%;\n  }\n\n  .\\32xl\\:h-2\\/3 {\n    height: 66.666667%;\n  }\n\n  .\\32xl\\:h-1\\/4 {\n    height: 25%;\n  }\n\n  .\\32xl\\:h-2\\/4 {\n    height: 50%;\n  }\n\n  .\\32xl\\:h-3\\/4 {\n    height: 75%;\n  }\n\n  .\\32xl\\:h-1\\/5 {\n    height: 20%;\n  }\n\n  .\\32xl\\:h-2\\/5 {\n    height: 40%;\n  }\n\n  .\\32xl\\:h-3\\/5 {\n    height: 60%;\n  }\n\n  .\\32xl\\:h-4\\/5 {\n    height: 80%;\n  }\n\n  .\\32xl\\:h-1\\/6 {\n    height: 16.666667%;\n  }\n\n  .\\32xl\\:h-2\\/6 {\n    height: 33.333333%;\n  }\n\n  .\\32xl\\:h-3\\/6 {\n    height: 50%;\n  }\n\n  .\\32xl\\:h-4\\/6 {\n    height: 66.666667%;\n  }\n\n  .\\32xl\\:h-5\\/6 {\n    height: 83.333333%;\n  }\n\n  .\\32xl\\:h-full {\n    height: 100%;\n  }\n\n  .\\32xl\\:h-screen {\n    height: 100vh;\n  }\n\n  .\\32xl\\:max-h-0 {\n    max-height: 0px;\n  }\n\n  .\\32xl\\:max-h-1 {\n    max-height: 0.25rem;\n  }\n\n  .\\32xl\\:max-h-2 {\n    max-height: 0.5rem;\n  }\n\n  .\\32xl\\:max-h-3 {\n    max-height: 0.75rem;\n  }\n\n  .\\32xl\\:max-h-4 {\n    max-height: 1rem;\n  }\n\n  .\\32xl\\:max-h-5 {\n    max-height: 1.25rem;\n  }\n\n  .\\32xl\\:max-h-6 {\n    max-height: 1.5rem;\n  }\n\n  .\\32xl\\:max-h-7 {\n    max-height: 1.75rem;\n  }\n\n  .\\32xl\\:max-h-8 {\n    max-height: 2rem;\n  }\n\n  .\\32xl\\:max-h-9 {\n    max-height: 2.25rem;\n  }\n\n  .\\32xl\\:max-h-10 {\n    max-height: 2.5rem;\n  }\n\n  .\\32xl\\:max-h-11 {\n    max-height: 2.75rem;\n  }\n\n  .\\32xl\\:max-h-12 {\n    max-height: 3rem;\n  }\n\n  .\\32xl\\:max-h-14 {\n    max-height: 3.5rem;\n  }\n\n  .\\32xl\\:max-h-16 {\n    max-height: 4rem;\n  }\n\n  .\\32xl\\:max-h-20 {\n    max-height: 5rem;\n  }\n\n  .\\32xl\\:max-h-24 {\n    max-height: 6rem;\n  }\n\n  .\\32xl\\:max-h-28 {\n    max-height: 7rem;\n  }\n\n  .\\32xl\\:max-h-32 {\n    max-height: 8rem;\n  }\n\n  .\\32xl\\:max-h-36 {\n    max-height: 9rem;\n  }\n\n  .\\32xl\\:max-h-40 {\n    max-height: 10rem;\n  }\n\n  .\\32xl\\:max-h-44 {\n    max-height: 11rem;\n  }\n\n  .\\32xl\\:max-h-48 {\n    max-height: 12rem;\n  }\n\n  .\\32xl\\:max-h-52 {\n    max-height: 13rem;\n  }\n\n  .\\32xl\\:max-h-56 {\n    max-height: 14rem;\n  }\n\n  .\\32xl\\:max-h-60 {\n    max-height: 15rem;\n  }\n\n  .\\32xl\\:max-h-64 {\n    max-height: 16rem;\n  }\n\n  .\\32xl\\:max-h-72 {\n    max-height: 18rem;\n  }\n\n  .\\32xl\\:max-h-80 {\n    max-height: 20rem;\n  }\n\n  .\\32xl\\:max-h-96 {\n    max-height: 24rem;\n  }\n\n  .\\32xl\\:max-h-px {\n    max-height: 1px;\n  }\n\n  .\\32xl\\:max-h-0\\.5 {\n    max-height: 0.125rem;\n  }\n\n  .\\32xl\\:max-h-1\\.5 {\n    max-height: 0.375rem;\n  }\n\n  .\\32xl\\:max-h-2\\.5 {\n    max-height: 0.625rem;\n  }\n\n  .\\32xl\\:max-h-3\\.5 {\n    max-height: 0.875rem;\n  }\n\n  .\\32xl\\:max-h-full {\n    max-height: 100%;\n  }\n\n  .\\32xl\\:max-h-screen {\n    max-height: 100vh;\n  }\n\n  .\\32xl\\:min-h-0 {\n    min-height: 0px;\n  }\n\n  .\\32xl\\:min-h-full {\n    min-height: 100%;\n  }\n\n  .\\32xl\\:min-h-screen {\n    min-height: 100vh;\n  }\n\n  .\\32xl\\:w-0 {\n    width: 0px;\n  }\n\n  .\\32xl\\:w-1 {\n    width: 0.25rem;\n  }\n\n  .\\32xl\\:w-2 {\n    width: 0.5rem;\n  }\n\n  .\\32xl\\:w-3 {\n    width: 0.75rem;\n  }\n\n  .\\32xl\\:w-4 {\n    width: 1rem;\n  }\n\n  .\\32xl\\:w-5 {\n    width: 1.25rem;\n  }\n\n  .\\32xl\\:w-6 {\n    width: 1.5rem;\n  }\n\n  .\\32xl\\:w-7 {\n    width: 1.75rem;\n  }\n\n  .\\32xl\\:w-8 {\n    width: 2rem;\n  }\n\n  .\\32xl\\:w-9 {\n    width: 2.25rem;\n  }\n\n  .\\32xl\\:w-10 {\n    width: 2.5rem;\n  }\n\n  .\\32xl\\:w-11 {\n    width: 2.75rem;\n  }\n\n  .\\32xl\\:w-12 {\n    width: 3rem;\n  }\n\n  .\\32xl\\:w-14 {\n    width: 3.5rem;\n  }\n\n  .\\32xl\\:w-16 {\n    width: 4rem;\n  }\n\n  .\\32xl\\:w-20 {\n    width: 5rem;\n  }\n\n  .\\32xl\\:w-24 {\n    width: 6rem;\n  }\n\n  .\\32xl\\:w-28 {\n    width: 7rem;\n  }\n\n  .\\32xl\\:w-32 {\n    width: 8rem;\n  }\n\n  .\\32xl\\:w-36 {\n    width: 9rem;\n  }\n\n  .\\32xl\\:w-40 {\n    width: 10rem;\n  }\n\n  .\\32xl\\:w-44 {\n    width: 11rem;\n  }\n\n  .\\32xl\\:w-48 {\n    width: 12rem;\n  }\n\n  .\\32xl\\:w-52 {\n    width: 13rem;\n  }\n\n  .\\32xl\\:w-56 {\n    width: 14rem;\n  }\n\n  .\\32xl\\:w-60 {\n    width: 15rem;\n  }\n\n  .\\32xl\\:w-64 {\n    width: 16rem;\n  }\n\n  .\\32xl\\:w-72 {\n    width: 18rem;\n  }\n\n  .\\32xl\\:w-80 {\n    width: 20rem;\n  }\n\n  .\\32xl\\:w-96 {\n    width: 24rem;\n  }\n\n  .\\32xl\\:w-auto {\n    width: auto;\n  }\n\n  .\\32xl\\:w-px {\n    width: 1px;\n  }\n\n  .\\32xl\\:w-0\\.5 {\n    width: 0.125rem;\n  }\n\n  .\\32xl\\:w-1\\.5 {\n    width: 0.375rem;\n  }\n\n  .\\32xl\\:w-2\\.5 {\n    width: 0.625rem;\n  }\n\n  .\\32xl\\:w-3\\.5 {\n    width: 0.875rem;\n  }\n\n  .\\32xl\\:w-1\\/2 {\n    width: 50%;\n  }\n\n  .\\32xl\\:w-1\\/3 {\n    width: 33.333333%;\n  }\n\n  .\\32xl\\:w-2\\/3 {\n    width: 66.666667%;\n  }\n\n  .\\32xl\\:w-1\\/4 {\n    width: 25%;\n  }\n\n  .\\32xl\\:w-2\\/4 {\n    width: 50%;\n  }\n\n  .\\32xl\\:w-3\\/4 {\n    width: 75%;\n  }\n\n  .\\32xl\\:w-1\\/5 {\n    width: 20%;\n  }\n\n  .\\32xl\\:w-2\\/5 {\n    width: 40%;\n  }\n\n  .\\32xl\\:w-3\\/5 {\n    width: 60%;\n  }\n\n  .\\32xl\\:w-4\\/5 {\n    width: 80%;\n  }\n\n  .\\32xl\\:w-1\\/6 {\n    width: 16.666667%;\n  }\n\n  .\\32xl\\:w-2\\/6 {\n    width: 33.333333%;\n  }\n\n  .\\32xl\\:w-3\\/6 {\n    width: 50%;\n  }\n\n  .\\32xl\\:w-4\\/6 {\n    width: 66.666667%;\n  }\n\n  .\\32xl\\:w-5\\/6 {\n    width: 83.333333%;\n  }\n\n  .\\32xl\\:w-1\\/12 {\n    width: 8.333333%;\n  }\n\n  .\\32xl\\:w-2\\/12 {\n    width: 16.666667%;\n  }\n\n  .\\32xl\\:w-3\\/12 {\n    width: 25%;\n  }\n\n  .\\32xl\\:w-4\\/12 {\n    width: 33.333333%;\n  }\n\n  .\\32xl\\:w-5\\/12 {\n    width: 41.666667%;\n  }\n\n  .\\32xl\\:w-6\\/12 {\n    width: 50%;\n  }\n\n  .\\32xl\\:w-7\\/12 {\n    width: 58.333333%;\n  }\n\n  .\\32xl\\:w-8\\/12 {\n    width: 66.666667%;\n  }\n\n  .\\32xl\\:w-9\\/12 {\n    width: 75%;\n  }\n\n  .\\32xl\\:w-10\\/12 {\n    width: 83.333333%;\n  }\n\n  .\\32xl\\:w-11\\/12 {\n    width: 91.666667%;\n  }\n\n  .\\32xl\\:w-full {\n    width: 100%;\n  }\n\n  .\\32xl\\:w-screen {\n    width: 100vw;\n  }\n\n  .\\32xl\\:w-min {\n    width: -webkit-min-content;\n    width: -moz-min-content;\n    width: min-content;\n  }\n\n  .\\32xl\\:w-max {\n    width: -webkit-max-content;\n    width: -moz-max-content;\n    width: max-content;\n  }\n\n  .\\32xl\\:min-w-0 {\n    min-width: 0px;\n  }\n\n  .\\32xl\\:min-w-full {\n    min-width: 100%;\n  }\n\n  .\\32xl\\:min-w-min {\n    min-width: -webkit-min-content;\n    min-width: -moz-min-content;\n    min-width: min-content;\n  }\n\n  .\\32xl\\:min-w-max {\n    min-width: -webkit-max-content;\n    min-width: -moz-max-content;\n    min-width: max-content;\n  }\n\n  .\\32xl\\:max-w-0 {\n    max-width: 0rem;\n  }\n\n  .\\32xl\\:max-w-none {\n    max-width: none;\n  }\n\n  .\\32xl\\:max-w-xs {\n    max-width: 20rem;\n  }\n\n  .\\32xl\\:max-w-sm {\n    max-width: 24rem;\n  }\n\n  .\\32xl\\:max-w-md {\n    max-width: 28rem;\n  }\n\n  .\\32xl\\:max-w-lg {\n    max-width: 32rem;\n  }\n\n  .\\32xl\\:max-w-xl {\n    max-width: 36rem;\n  }\n\n  .\\32xl\\:max-w-2xl {\n    max-width: 42rem;\n  }\n\n  .\\32xl\\:max-w-3xl {\n    max-width: 48rem;\n  }\n\n  .\\32xl\\:max-w-4xl {\n    max-width: 56rem;\n  }\n\n  .\\32xl\\:max-w-5xl {\n    max-width: 64rem;\n  }\n\n  .\\32xl\\:max-w-6xl {\n    max-width: 72rem;\n  }\n\n  .\\32xl\\:max-w-7xl {\n    max-width: 80rem;\n  }\n\n  .\\32xl\\:max-w-full {\n    max-width: 100%;\n  }\n\n  .\\32xl\\:max-w-min {\n    max-width: -webkit-min-content;\n    max-width: -moz-min-content;\n    max-width: min-content;\n  }\n\n  .\\32xl\\:max-w-max {\n    max-width: -webkit-max-content;\n    max-width: -moz-max-content;\n    max-width: max-content;\n  }\n\n  .\\32xl\\:max-w-prose {\n    max-width: 65ch;\n  }\n\n  .\\32xl\\:max-w-screen-sm {\n    max-width: 640px;\n  }\n\n  .\\32xl\\:max-w-screen-md {\n    max-width: 768px;\n  }\n\n  .\\32xl\\:max-w-screen-lg {\n    max-width: 1024px;\n  }\n\n  .\\32xl\\:max-w-screen-xl {\n    max-width: 1280px;\n  }\n\n  .\\32xl\\:max-w-screen-2xl {\n    max-width: 1536px;\n  }\n\n  .\\32xl\\:flex-1 {\n    flex: 1 1 0%;\n  }\n\n  .\\32xl\\:flex-2 {\n    flex: 2 2 0%;\n  }\n\n  .\\32xl\\:flex-3 {\n    flex: 3 3 0%;\n  }\n\n  .\\32xl\\:flex-4 {\n    flex: 4 4 0%;\n  }\n\n  .\\32xl\\:flex-5 {\n    flex: 5 5 0%;\n  }\n\n  .\\32xl\\:flex-6 {\n    flex: 6 6 0%;\n  }\n\n  .\\32xl\\:flex-7 {\n    flex: 7 7 0%;\n  }\n\n  .\\32xl\\:flex-8 {\n    flex: 8 8 0%;\n  }\n\n  .\\32xl\\:flex-9 {\n    flex: 9 9 0%;\n  }\n\n  .\\32xl\\:flex-10 {\n    flex: 10 10 0%;\n  }\n\n  .\\32xl\\:flex-11 {\n    flex: 11 11 0%;\n  }\n\n  .\\32xl\\:flex-12 {\n    flex: 12 12 0%;\n  }\n\n  .\\32xl\\:flex-auto {\n    flex: 1 1 auto;\n  }\n\n  .\\32xl\\:flex-initial {\n    flex: 0 1 auto;\n  }\n\n  .\\32xl\\:flex-none {\n    flex: none;\n  }\n\n  .\\32xl\\:flex-shrink-0 {\n    flex-shrink: 0;\n  }\n\n  .\\32xl\\:flex-shrink {\n    flex-shrink: 1;\n  }\n\n  .\\32xl\\:flex-grow-0 {\n    flex-grow: 0;\n  }\n\n  .\\32xl\\:flex-grow {\n    flex-grow: 1;\n  }\n\n  .\\32xl\\:table-auto {\n    table-layout: auto;\n  }\n\n  .\\32xl\\:table-fixed {\n    table-layout: fixed;\n  }\n\n  .\\32xl\\:border-collapse {\n    border-collapse: collapse;\n  }\n\n  .\\32xl\\:border-separate {\n    border-collapse: separate;\n  }\n\n  .\\32xl\\:origin-center {\n    transform-origin: center;\n  }\n\n  .\\32xl\\:origin-top {\n    transform-origin: top;\n  }\n\n  .\\32xl\\:origin-top-right {\n    transform-origin: top right;\n  }\n\n  .\\32xl\\:origin-right {\n    transform-origin: right;\n  }\n\n  .\\32xl\\:origin-bottom-right {\n    transform-origin: bottom right;\n  }\n\n  .\\32xl\\:origin-bottom {\n    transform-origin: bottom;\n  }\n\n  .\\32xl\\:origin-bottom-left {\n    transform-origin: bottom left;\n  }\n\n  .\\32xl\\:origin-left {\n    transform-origin: left;\n  }\n\n  .\\32xl\\:origin-top-left {\n    transform-origin: top left;\n  }\n\n  .\\32xl\\:transform {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translateX(var(--tw-translate-x)) translateY(var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .\\32xl\\:transform-gpu {\n    --tw-translate-x: 0;\n    --tw-translate-y: 0;\n    --tw-rotate: 0;\n    --tw-skew-x: 0;\n    --tw-skew-y: 0;\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n    transform: translate3d(var(--tw-translate-x), var(--tw-translate-y), 0) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));\n  }\n\n  .\\32xl\\:transform-none {\n    transform: none;\n  }\n\n  .\\32xl\\:translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:translate-x-1 {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .\\32xl\\:translate-x-2 {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .\\32xl\\:translate-x-3 {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .\\32xl\\:translate-x-4 {\n    --tw-translate-x: 1rem;\n  }\n\n  .\\32xl\\:translate-x-5 {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .\\32xl\\:translate-x-6 {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .\\32xl\\:translate-x-7 {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .\\32xl\\:translate-x-8 {\n    --tw-translate-x: 2rem;\n  }\n\n  .\\32xl\\:translate-x-9 {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .\\32xl\\:translate-x-10 {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .\\32xl\\:translate-x-11 {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .\\32xl\\:translate-x-12 {\n    --tw-translate-x: 3rem;\n  }\n\n  .\\32xl\\:translate-x-14 {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .\\32xl\\:translate-x-16 {\n    --tw-translate-x: 4rem;\n  }\n\n  .\\32xl\\:translate-x-20 {\n    --tw-translate-x: 5rem;\n  }\n\n  .\\32xl\\:translate-x-24 {\n    --tw-translate-x: 6rem;\n  }\n\n  .\\32xl\\:translate-x-28 {\n    --tw-translate-x: 7rem;\n  }\n\n  .\\32xl\\:translate-x-32 {\n    --tw-translate-x: 8rem;\n  }\n\n  .\\32xl\\:translate-x-36 {\n    --tw-translate-x: 9rem;\n  }\n\n  .\\32xl\\:translate-x-40 {\n    --tw-translate-x: 10rem;\n  }\n\n  .\\32xl\\:translate-x-44 {\n    --tw-translate-x: 11rem;\n  }\n\n  .\\32xl\\:translate-x-48 {\n    --tw-translate-x: 12rem;\n  }\n\n  .\\32xl\\:translate-x-52 {\n    --tw-translate-x: 13rem;\n  }\n\n  .\\32xl\\:translate-x-56 {\n    --tw-translate-x: 14rem;\n  }\n\n  .\\32xl\\:translate-x-60 {\n    --tw-translate-x: 15rem;\n  }\n\n  .\\32xl\\:translate-x-64 {\n    --tw-translate-x: 16rem;\n  }\n\n  .\\32xl\\:translate-x-72 {\n    --tw-translate-x: 18rem;\n  }\n\n  .\\32xl\\:translate-x-80 {\n    --tw-translate-x: 20rem;\n  }\n\n  .\\32xl\\:translate-x-96 {\n    --tw-translate-x: 24rem;\n  }\n\n  .\\32xl\\:translate-x-px {\n    --tw-translate-x: 1px;\n  }\n\n  .\\32xl\\:translate-x-0\\.5 {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .\\32xl\\:translate-x-1\\.5 {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .\\32xl\\:translate-x-2\\.5 {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .\\32xl\\:translate-x-3\\.5 {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .\\32xl\\:-translate-x-0 {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:-translate-x-1 {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .\\32xl\\:-translate-x-2 {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .\\32xl\\:-translate-x-3 {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .\\32xl\\:-translate-x-4 {\n    --tw-translate-x: -1rem;\n  }\n\n  .\\32xl\\:-translate-x-5 {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .\\32xl\\:-translate-x-6 {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .\\32xl\\:-translate-x-7 {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .\\32xl\\:-translate-x-8 {\n    --tw-translate-x: -2rem;\n  }\n\n  .\\32xl\\:-translate-x-9 {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .\\32xl\\:-translate-x-10 {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .\\32xl\\:-translate-x-11 {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .\\32xl\\:-translate-x-12 {\n    --tw-translate-x: -3rem;\n  }\n\n  .\\32xl\\:-translate-x-14 {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .\\32xl\\:-translate-x-16 {\n    --tw-translate-x: -4rem;\n  }\n\n  .\\32xl\\:-translate-x-20 {\n    --tw-translate-x: -5rem;\n  }\n\n  .\\32xl\\:-translate-x-24 {\n    --tw-translate-x: -6rem;\n  }\n\n  .\\32xl\\:-translate-x-28 {\n    --tw-translate-x: -7rem;\n  }\n\n  .\\32xl\\:-translate-x-32 {\n    --tw-translate-x: -8rem;\n  }\n\n  .\\32xl\\:-translate-x-36 {\n    --tw-translate-x: -9rem;\n  }\n\n  .\\32xl\\:-translate-x-40 {\n    --tw-translate-x: -10rem;\n  }\n\n  .\\32xl\\:-translate-x-44 {\n    --tw-translate-x: -11rem;\n  }\n\n  .\\32xl\\:-translate-x-48 {\n    --tw-translate-x: -12rem;\n  }\n\n  .\\32xl\\:-translate-x-52 {\n    --tw-translate-x: -13rem;\n  }\n\n  .\\32xl\\:-translate-x-56 {\n    --tw-translate-x: -14rem;\n  }\n\n  .\\32xl\\:-translate-x-60 {\n    --tw-translate-x: -15rem;\n  }\n\n  .\\32xl\\:-translate-x-64 {\n    --tw-translate-x: -16rem;\n  }\n\n  .\\32xl\\:-translate-x-72 {\n    --tw-translate-x: -18rem;\n  }\n\n  .\\32xl\\:-translate-x-80 {\n    --tw-translate-x: -20rem;\n  }\n\n  .\\32xl\\:-translate-x-96 {\n    --tw-translate-x: -24rem;\n  }\n\n  .\\32xl\\:-translate-x-px {\n    --tw-translate-x: -1px;\n  }\n\n  .\\32xl\\:-translate-x-0\\.5 {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .\\32xl\\:-translate-x-1\\.5 {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .\\32xl\\:-translate-x-2\\.5 {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .\\32xl\\:-translate-x-3\\.5 {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .\\32xl\\:translate-x-1\\/2 {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:translate-x-1\\/3 {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .\\32xl\\:translate-x-2\\/3 {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .\\32xl\\:translate-x-1\\/4 {\n    --tw-translate-x: 25%;\n  }\n\n  .\\32xl\\:translate-x-2\\/4 {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:translate-x-3\\/4 {\n    --tw-translate-x: 75%;\n  }\n\n  .\\32xl\\:translate-x-full {\n    --tw-translate-x: 100%;\n  }\n\n  .\\32xl\\:-translate-x-1\\/2 {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:-translate-x-1\\/3 {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .\\32xl\\:-translate-x-2\\/3 {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .\\32xl\\:-translate-x-1\\/4 {\n    --tw-translate-x: -25%;\n  }\n\n  .\\32xl\\:-translate-x-2\\/4 {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:-translate-x-3\\/4 {\n    --tw-translate-x: -75%;\n  }\n\n  .\\32xl\\:-translate-x-full {\n    --tw-translate-x: -100%;\n  }\n\n  .\\32xl\\:translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:translate-y-1 {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .\\32xl\\:translate-y-2 {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .\\32xl\\:translate-y-3 {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .\\32xl\\:translate-y-4 {\n    --tw-translate-y: 1rem;\n  }\n\n  .\\32xl\\:translate-y-5 {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .\\32xl\\:translate-y-6 {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .\\32xl\\:translate-y-7 {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .\\32xl\\:translate-y-8 {\n    --tw-translate-y: 2rem;\n  }\n\n  .\\32xl\\:translate-y-9 {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .\\32xl\\:translate-y-10 {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .\\32xl\\:translate-y-11 {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .\\32xl\\:translate-y-12 {\n    --tw-translate-y: 3rem;\n  }\n\n  .\\32xl\\:translate-y-14 {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .\\32xl\\:translate-y-16 {\n    --tw-translate-y: 4rem;\n  }\n\n  .\\32xl\\:translate-y-20 {\n    --tw-translate-y: 5rem;\n  }\n\n  .\\32xl\\:translate-y-24 {\n    --tw-translate-y: 6rem;\n  }\n\n  .\\32xl\\:translate-y-28 {\n    --tw-translate-y: 7rem;\n  }\n\n  .\\32xl\\:translate-y-32 {\n    --tw-translate-y: 8rem;\n  }\n\n  .\\32xl\\:translate-y-36 {\n    --tw-translate-y: 9rem;\n  }\n\n  .\\32xl\\:translate-y-40 {\n    --tw-translate-y: 10rem;\n  }\n\n  .\\32xl\\:translate-y-44 {\n    --tw-translate-y: 11rem;\n  }\n\n  .\\32xl\\:translate-y-48 {\n    --tw-translate-y: 12rem;\n  }\n\n  .\\32xl\\:translate-y-52 {\n    --tw-translate-y: 13rem;\n  }\n\n  .\\32xl\\:translate-y-56 {\n    --tw-translate-y: 14rem;\n  }\n\n  .\\32xl\\:translate-y-60 {\n    --tw-translate-y: 15rem;\n  }\n\n  .\\32xl\\:translate-y-64 {\n    --tw-translate-y: 16rem;\n  }\n\n  .\\32xl\\:translate-y-72 {\n    --tw-translate-y: 18rem;\n  }\n\n  .\\32xl\\:translate-y-80 {\n    --tw-translate-y: 20rem;\n  }\n\n  .\\32xl\\:translate-y-96 {\n    --tw-translate-y: 24rem;\n  }\n\n  .\\32xl\\:translate-y-px {\n    --tw-translate-y: 1px;\n  }\n\n  .\\32xl\\:translate-y-0\\.5 {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .\\32xl\\:translate-y-1\\.5 {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .\\32xl\\:translate-y-2\\.5 {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .\\32xl\\:translate-y-3\\.5 {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .\\32xl\\:-translate-y-0 {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:-translate-y-1 {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .\\32xl\\:-translate-y-2 {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .\\32xl\\:-translate-y-3 {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .\\32xl\\:-translate-y-4 {\n    --tw-translate-y: -1rem;\n  }\n\n  .\\32xl\\:-translate-y-5 {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .\\32xl\\:-translate-y-6 {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .\\32xl\\:-translate-y-7 {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .\\32xl\\:-translate-y-8 {\n    --tw-translate-y: -2rem;\n  }\n\n  .\\32xl\\:-translate-y-9 {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .\\32xl\\:-translate-y-10 {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .\\32xl\\:-translate-y-11 {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .\\32xl\\:-translate-y-12 {\n    --tw-translate-y: -3rem;\n  }\n\n  .\\32xl\\:-translate-y-14 {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .\\32xl\\:-translate-y-16 {\n    --tw-translate-y: -4rem;\n  }\n\n  .\\32xl\\:-translate-y-20 {\n    --tw-translate-y: -5rem;\n  }\n\n  .\\32xl\\:-translate-y-24 {\n    --tw-translate-y: -6rem;\n  }\n\n  .\\32xl\\:-translate-y-28 {\n    --tw-translate-y: -7rem;\n  }\n\n  .\\32xl\\:-translate-y-32 {\n    --tw-translate-y: -8rem;\n  }\n\n  .\\32xl\\:-translate-y-36 {\n    --tw-translate-y: -9rem;\n  }\n\n  .\\32xl\\:-translate-y-40 {\n    --tw-translate-y: -10rem;\n  }\n\n  .\\32xl\\:-translate-y-44 {\n    --tw-translate-y: -11rem;\n  }\n\n  .\\32xl\\:-translate-y-48 {\n    --tw-translate-y: -12rem;\n  }\n\n  .\\32xl\\:-translate-y-52 {\n    --tw-translate-y: -13rem;\n  }\n\n  .\\32xl\\:-translate-y-56 {\n    --tw-translate-y: -14rem;\n  }\n\n  .\\32xl\\:-translate-y-60 {\n    --tw-translate-y: -15rem;\n  }\n\n  .\\32xl\\:-translate-y-64 {\n    --tw-translate-y: -16rem;\n  }\n\n  .\\32xl\\:-translate-y-72 {\n    --tw-translate-y: -18rem;\n  }\n\n  .\\32xl\\:-translate-y-80 {\n    --tw-translate-y: -20rem;\n  }\n\n  .\\32xl\\:-translate-y-96 {\n    --tw-translate-y: -24rem;\n  }\n\n  .\\32xl\\:-translate-y-px {\n    --tw-translate-y: -1px;\n  }\n\n  .\\32xl\\:-translate-y-0\\.5 {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .\\32xl\\:-translate-y-1\\.5 {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .\\32xl\\:-translate-y-2\\.5 {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .\\32xl\\:-translate-y-3\\.5 {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .\\32xl\\:translate-y-1\\/2 {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:translate-y-1\\/3 {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .\\32xl\\:translate-y-2\\/3 {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .\\32xl\\:translate-y-1\\/4 {\n    --tw-translate-y: 25%;\n  }\n\n  .\\32xl\\:translate-y-2\\/4 {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:translate-y-3\\/4 {\n    --tw-translate-y: 75%;\n  }\n\n  .\\32xl\\:translate-y-full {\n    --tw-translate-y: 100%;\n  }\n\n  .\\32xl\\:-translate-y-1\\/2 {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:-translate-y-1\\/3 {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .\\32xl\\:-translate-y-2\\/3 {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .\\32xl\\:-translate-y-1\\/4 {\n    --tw-translate-y: -25%;\n  }\n\n  .\\32xl\\:-translate-y-2\\/4 {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:-translate-y-3\\/4 {\n    --tw-translate-y: -75%;\n  }\n\n  .\\32xl\\:-translate-y-full {\n    --tw-translate-y: -100%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:hover\\:translate-x-1:hover {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-2:hover {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-3:hover {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-4:hover {\n    --tw-translate-x: 1rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-5:hover {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-6:hover {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-7:hover {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-8:hover {\n    --tw-translate-x: 2rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-9:hover {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-10:hover {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-11:hover {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-12:hover {\n    --tw-translate-x: 3rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-14:hover {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-16:hover {\n    --tw-translate-x: 4rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-20:hover {\n    --tw-translate-x: 5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-24:hover {\n    --tw-translate-x: 6rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-28:hover {\n    --tw-translate-x: 7rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-32:hover {\n    --tw-translate-x: 8rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-36:hover {\n    --tw-translate-x: 9rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-40:hover {\n    --tw-translate-x: 10rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-44:hover {\n    --tw-translate-x: 11rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-48:hover {\n    --tw-translate-x: 12rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-52:hover {\n    --tw-translate-x: 13rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-56:hover {\n    --tw-translate-x: 14rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-60:hover {\n    --tw-translate-x: 15rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-64:hover {\n    --tw-translate-x: 16rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-72:hover {\n    --tw-translate-x: 18rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-80:hover {\n    --tw-translate-x: 20rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-96:hover {\n    --tw-translate-x: 24rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-px:hover {\n    --tw-translate-x: 1px;\n  }\n\n  .\\32xl\\:hover\\:translate-x-0\\.5:hover {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-1\\.5:hover {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-2\\.5:hover {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-3\\.5:hover {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-0:hover {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-1:hover {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-2:hover {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-3:hover {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-4:hover {\n    --tw-translate-x: -1rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-5:hover {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-6:hover {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-7:hover {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-8:hover {\n    --tw-translate-x: -2rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-9:hover {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-10:hover {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-11:hover {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-12:hover {\n    --tw-translate-x: -3rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-14:hover {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-16:hover {\n    --tw-translate-x: -4rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-20:hover {\n    --tw-translate-x: -5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-24:hover {\n    --tw-translate-x: -6rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-28:hover {\n    --tw-translate-x: -7rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-32:hover {\n    --tw-translate-x: -8rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-36:hover {\n    --tw-translate-x: -9rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-40:hover {\n    --tw-translate-x: -10rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-44:hover {\n    --tw-translate-x: -11rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-48:hover {\n    --tw-translate-x: -12rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-52:hover {\n    --tw-translate-x: -13rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-56:hover {\n    --tw-translate-x: -14rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-60:hover {\n    --tw-translate-x: -15rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-64:hover {\n    --tw-translate-x: -16rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-72:hover {\n    --tw-translate-x: -18rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-80:hover {\n    --tw-translate-x: -20rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-96:hover {\n    --tw-translate-x: -24rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-px:hover {\n    --tw-translate-x: -1px;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-0\\.5:hover {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-1\\.5:hover {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-2\\.5:hover {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-3\\.5:hover {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .\\32xl\\:hover\\:translate-x-1\\/2:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-1\\/3:hover {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-2\\/3:hover {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-1\\/4:hover {\n    --tw-translate-x: 25%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-2\\/4:hover {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-3\\/4:hover {\n    --tw-translate-x: 75%;\n  }\n\n  .\\32xl\\:hover\\:translate-x-full:hover {\n    --tw-translate-x: 100%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-1\\/2:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-1\\/3:hover {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-2\\/3:hover {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-1\\/4:hover {\n    --tw-translate-x: -25%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-2\\/4:hover {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-3\\/4:hover {\n    --tw-translate-x: -75%;\n  }\n\n  .\\32xl\\:hover\\:-translate-x-full:hover {\n    --tw-translate-x: -100%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:hover\\:translate-y-1:hover {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-2:hover {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-3:hover {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-4:hover {\n    --tw-translate-y: 1rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-5:hover {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-6:hover {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-7:hover {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-8:hover {\n    --tw-translate-y: 2rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-9:hover {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-10:hover {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-11:hover {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-12:hover {\n    --tw-translate-y: 3rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-14:hover {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-16:hover {\n    --tw-translate-y: 4rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-20:hover {\n    --tw-translate-y: 5rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-24:hover {\n    --tw-translate-y: 6rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-28:hover {\n    --tw-translate-y: 7rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-32:hover {\n    --tw-translate-y: 8rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-36:hover {\n    --tw-translate-y: 9rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-40:hover {\n    --tw-translate-y: 10rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-44:hover {\n    --tw-translate-y: 11rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-48:hover {\n    --tw-translate-y: 12rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-52:hover {\n    --tw-translate-y: 13rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-56:hover {\n    --tw-translate-y: 14rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-60:hover {\n    --tw-translate-y: 15rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-64:hover {\n    --tw-translate-y: 16rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-72:hover {\n    --tw-translate-y: 18rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-80:hover {\n    --tw-translate-y: 20rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-96:hover {\n    --tw-translate-y: 24rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-px:hover {\n    --tw-translate-y: 1px;\n  }\n\n  .\\32xl\\:hover\\:translate-y-0\\.5:hover {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-1\\.5:hover {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-2\\.5:hover {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-3\\.5:hover {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-0:hover {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-1:hover {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-2:hover {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-3:hover {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-4:hover {\n    --tw-translate-y: -1rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-5:hover {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-6:hover {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-7:hover {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-8:hover {\n    --tw-translate-y: -2rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-9:hover {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-10:hover {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-11:hover {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-12:hover {\n    --tw-translate-y: -3rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-14:hover {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-16:hover {\n    --tw-translate-y: -4rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-20:hover {\n    --tw-translate-y: -5rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-24:hover {\n    --tw-translate-y: -6rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-28:hover {\n    --tw-translate-y: -7rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-32:hover {\n    --tw-translate-y: -8rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-36:hover {\n    --tw-translate-y: -9rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-40:hover {\n    --tw-translate-y: -10rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-44:hover {\n    --tw-translate-y: -11rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-48:hover {\n    --tw-translate-y: -12rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-52:hover {\n    --tw-translate-y: -13rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-56:hover {\n    --tw-translate-y: -14rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-60:hover {\n    --tw-translate-y: -15rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-64:hover {\n    --tw-translate-y: -16rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-72:hover {\n    --tw-translate-y: -18rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-80:hover {\n    --tw-translate-y: -20rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-96:hover {\n    --tw-translate-y: -24rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-px:hover {\n    --tw-translate-y: -1px;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-0\\.5:hover {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-1\\.5:hover {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-2\\.5:hover {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-3\\.5:hover {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .\\32xl\\:hover\\:translate-y-1\\/2:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-1\\/3:hover {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-2\\/3:hover {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-1\\/4:hover {\n    --tw-translate-y: 25%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-2\\/4:hover {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-3\\/4:hover {\n    --tw-translate-y: 75%;\n  }\n\n  .\\32xl\\:hover\\:translate-y-full:hover {\n    --tw-translate-y: 100%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-1\\/2:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-1\\/3:hover {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-2\\/3:hover {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-1\\/4:hover {\n    --tw-translate-y: -25%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-2\\/4:hover {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-3\\/4:hover {\n    --tw-translate-y: -75%;\n  }\n\n  .\\32xl\\:hover\\:-translate-y-full:hover {\n    --tw-translate-y: -100%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:focus\\:translate-x-1:focus {\n    --tw-translate-x: 0.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-2:focus {\n    --tw-translate-x: 0.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-3:focus {\n    --tw-translate-x: 0.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-4:focus {\n    --tw-translate-x: 1rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-5:focus {\n    --tw-translate-x: 1.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-6:focus {\n    --tw-translate-x: 1.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-7:focus {\n    --tw-translate-x: 1.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-8:focus {\n    --tw-translate-x: 2rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-9:focus {\n    --tw-translate-x: 2.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-10:focus {\n    --tw-translate-x: 2.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-11:focus {\n    --tw-translate-x: 2.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-12:focus {\n    --tw-translate-x: 3rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-14:focus {\n    --tw-translate-x: 3.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-16:focus {\n    --tw-translate-x: 4rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-20:focus {\n    --tw-translate-x: 5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-24:focus {\n    --tw-translate-x: 6rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-28:focus {\n    --tw-translate-x: 7rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-32:focus {\n    --tw-translate-x: 8rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-36:focus {\n    --tw-translate-x: 9rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-40:focus {\n    --tw-translate-x: 10rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-44:focus {\n    --tw-translate-x: 11rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-48:focus {\n    --tw-translate-x: 12rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-52:focus {\n    --tw-translate-x: 13rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-56:focus {\n    --tw-translate-x: 14rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-60:focus {\n    --tw-translate-x: 15rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-64:focus {\n    --tw-translate-x: 16rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-72:focus {\n    --tw-translate-x: 18rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-80:focus {\n    --tw-translate-x: 20rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-96:focus {\n    --tw-translate-x: 24rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-px:focus {\n    --tw-translate-x: 1px;\n  }\n\n  .\\32xl\\:focus\\:translate-x-0\\.5:focus {\n    --tw-translate-x: 0.125rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-1\\.5:focus {\n    --tw-translate-x: 0.375rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-2\\.5:focus {\n    --tw-translate-x: 0.625rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-3\\.5:focus {\n    --tw-translate-x: 0.875rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-0:focus {\n    --tw-translate-x: 0px;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-1:focus {\n    --tw-translate-x: -0.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-2:focus {\n    --tw-translate-x: -0.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-3:focus {\n    --tw-translate-x: -0.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-4:focus {\n    --tw-translate-x: -1rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-5:focus {\n    --tw-translate-x: -1.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-6:focus {\n    --tw-translate-x: -1.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-7:focus {\n    --tw-translate-x: -1.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-8:focus {\n    --tw-translate-x: -2rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-9:focus {\n    --tw-translate-x: -2.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-10:focus {\n    --tw-translate-x: -2.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-11:focus {\n    --tw-translate-x: -2.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-12:focus {\n    --tw-translate-x: -3rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-14:focus {\n    --tw-translate-x: -3.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-16:focus {\n    --tw-translate-x: -4rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-20:focus {\n    --tw-translate-x: -5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-24:focus {\n    --tw-translate-x: -6rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-28:focus {\n    --tw-translate-x: -7rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-32:focus {\n    --tw-translate-x: -8rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-36:focus {\n    --tw-translate-x: -9rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-40:focus {\n    --tw-translate-x: -10rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-44:focus {\n    --tw-translate-x: -11rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-48:focus {\n    --tw-translate-x: -12rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-52:focus {\n    --tw-translate-x: -13rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-56:focus {\n    --tw-translate-x: -14rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-60:focus {\n    --tw-translate-x: -15rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-64:focus {\n    --tw-translate-x: -16rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-72:focus {\n    --tw-translate-x: -18rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-80:focus {\n    --tw-translate-x: -20rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-96:focus {\n    --tw-translate-x: -24rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-px:focus {\n    --tw-translate-x: -1px;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-0\\.5:focus {\n    --tw-translate-x: -0.125rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-1\\.5:focus {\n    --tw-translate-x: -0.375rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-2\\.5:focus {\n    --tw-translate-x: -0.625rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-3\\.5:focus {\n    --tw-translate-x: -0.875rem;\n  }\n\n  .\\32xl\\:focus\\:translate-x-1\\/2:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-1\\/3:focus {\n    --tw-translate-x: 33.333333%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-2\\/3:focus {\n    --tw-translate-x: 66.666667%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-1\\/4:focus {\n    --tw-translate-x: 25%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-2\\/4:focus {\n    --tw-translate-x: 50%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-3\\/4:focus {\n    --tw-translate-x: 75%;\n  }\n\n  .\\32xl\\:focus\\:translate-x-full:focus {\n    --tw-translate-x: 100%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-1\\/2:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-1\\/3:focus {\n    --tw-translate-x: -33.333333%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-2\\/3:focus {\n    --tw-translate-x: -66.666667%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-1\\/4:focus {\n    --tw-translate-x: -25%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-2\\/4:focus {\n    --tw-translate-x: -50%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-3\\/4:focus {\n    --tw-translate-x: -75%;\n  }\n\n  .\\32xl\\:focus\\:-translate-x-full:focus {\n    --tw-translate-x: -100%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:focus\\:translate-y-1:focus {\n    --tw-translate-y: 0.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-2:focus {\n    --tw-translate-y: 0.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-3:focus {\n    --tw-translate-y: 0.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-4:focus {\n    --tw-translate-y: 1rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-5:focus {\n    --tw-translate-y: 1.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-6:focus {\n    --tw-translate-y: 1.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-7:focus {\n    --tw-translate-y: 1.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-8:focus {\n    --tw-translate-y: 2rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-9:focus {\n    --tw-translate-y: 2.25rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-10:focus {\n    --tw-translate-y: 2.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-11:focus {\n    --tw-translate-y: 2.75rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-12:focus {\n    --tw-translate-y: 3rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-14:focus {\n    --tw-translate-y: 3.5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-16:focus {\n    --tw-translate-y: 4rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-20:focus {\n    --tw-translate-y: 5rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-24:focus {\n    --tw-translate-y: 6rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-28:focus {\n    --tw-translate-y: 7rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-32:focus {\n    --tw-translate-y: 8rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-36:focus {\n    --tw-translate-y: 9rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-40:focus {\n    --tw-translate-y: 10rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-44:focus {\n    --tw-translate-y: 11rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-48:focus {\n    --tw-translate-y: 12rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-52:focus {\n    --tw-translate-y: 13rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-56:focus {\n    --tw-translate-y: 14rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-60:focus {\n    --tw-translate-y: 15rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-64:focus {\n    --tw-translate-y: 16rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-72:focus {\n    --tw-translate-y: 18rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-80:focus {\n    --tw-translate-y: 20rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-96:focus {\n    --tw-translate-y: 24rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-px:focus {\n    --tw-translate-y: 1px;\n  }\n\n  .\\32xl\\:focus\\:translate-y-0\\.5:focus {\n    --tw-translate-y: 0.125rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-1\\.5:focus {\n    --tw-translate-y: 0.375rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-2\\.5:focus {\n    --tw-translate-y: 0.625rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-3\\.5:focus {\n    --tw-translate-y: 0.875rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-0:focus {\n    --tw-translate-y: 0px;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-1:focus {\n    --tw-translate-y: -0.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-2:focus {\n    --tw-translate-y: -0.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-3:focus {\n    --tw-translate-y: -0.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-4:focus {\n    --tw-translate-y: -1rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-5:focus {\n    --tw-translate-y: -1.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-6:focus {\n    --tw-translate-y: -1.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-7:focus {\n    --tw-translate-y: -1.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-8:focus {\n    --tw-translate-y: -2rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-9:focus {\n    --tw-translate-y: -2.25rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-10:focus {\n    --tw-translate-y: -2.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-11:focus {\n    --tw-translate-y: -2.75rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-12:focus {\n    --tw-translate-y: -3rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-14:focus {\n    --tw-translate-y: -3.5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-16:focus {\n    --tw-translate-y: -4rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-20:focus {\n    --tw-translate-y: -5rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-24:focus {\n    --tw-translate-y: -6rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-28:focus {\n    --tw-translate-y: -7rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-32:focus {\n    --tw-translate-y: -8rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-36:focus {\n    --tw-translate-y: -9rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-40:focus {\n    --tw-translate-y: -10rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-44:focus {\n    --tw-translate-y: -11rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-48:focus {\n    --tw-translate-y: -12rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-52:focus {\n    --tw-translate-y: -13rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-56:focus {\n    --tw-translate-y: -14rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-60:focus {\n    --tw-translate-y: -15rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-64:focus {\n    --tw-translate-y: -16rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-72:focus {\n    --tw-translate-y: -18rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-80:focus {\n    --tw-translate-y: -20rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-96:focus {\n    --tw-translate-y: -24rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-px:focus {\n    --tw-translate-y: -1px;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-0\\.5:focus {\n    --tw-translate-y: -0.125rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-1\\.5:focus {\n    --tw-translate-y: -0.375rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-2\\.5:focus {\n    --tw-translate-y: -0.625rem;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-3\\.5:focus {\n    --tw-translate-y: -0.875rem;\n  }\n\n  .\\32xl\\:focus\\:translate-y-1\\/2:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-1\\/3:focus {\n    --tw-translate-y: 33.333333%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-2\\/3:focus {\n    --tw-translate-y: 66.666667%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-1\\/4:focus {\n    --tw-translate-y: 25%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-2\\/4:focus {\n    --tw-translate-y: 50%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-3\\/4:focus {\n    --tw-translate-y: 75%;\n  }\n\n  .\\32xl\\:focus\\:translate-y-full:focus {\n    --tw-translate-y: 100%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-1\\/2:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-1\\/3:focus {\n    --tw-translate-y: -33.333333%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-2\\/3:focus {\n    --tw-translate-y: -66.666667%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-1\\/4:focus {\n    --tw-translate-y: -25%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-2\\/4:focus {\n    --tw-translate-y: -50%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-3\\/4:focus {\n    --tw-translate-y: -75%;\n  }\n\n  .\\32xl\\:focus\\:-translate-y-full:focus {\n    --tw-translate-y: -100%;\n  }\n\n  .\\32xl\\:rotate-0 {\n    --tw-rotate: 0deg;\n  }\n\n  .\\32xl\\:rotate-1 {\n    --tw-rotate: 1deg;\n  }\n\n  .\\32xl\\:rotate-2 {\n    --tw-rotate: 2deg;\n  }\n\n  .\\32xl\\:rotate-3 {\n    --tw-rotate: 3deg;\n  }\n\n  .\\32xl\\:rotate-6 {\n    --tw-rotate: 6deg;\n  }\n\n  .\\32xl\\:rotate-12 {\n    --tw-rotate: 12deg;\n  }\n\n  .\\32xl\\:rotate-45 {\n    --tw-rotate: 45deg;\n  }\n\n  .\\32xl\\:rotate-90 {\n    --tw-rotate: 90deg;\n  }\n\n  .\\32xl\\:rotate-180 {\n    --tw-rotate: 180deg;\n  }\n\n  .\\32xl\\:-rotate-180 {\n    --tw-rotate: -180deg;\n  }\n\n  .\\32xl\\:-rotate-90 {\n    --tw-rotate: -90deg;\n  }\n\n  .\\32xl\\:-rotate-45 {\n    --tw-rotate: -45deg;\n  }\n\n  .\\32xl\\:-rotate-12 {\n    --tw-rotate: -12deg;\n  }\n\n  .\\32xl\\:-rotate-6 {\n    --tw-rotate: -6deg;\n  }\n\n  .\\32xl\\:-rotate-3 {\n    --tw-rotate: -3deg;\n  }\n\n  .\\32xl\\:-rotate-2 {\n    --tw-rotate: -2deg;\n  }\n\n  .\\32xl\\:-rotate-1 {\n    --tw-rotate: -1deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-0:hover {\n    --tw-rotate: 0deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-1:hover {\n    --tw-rotate: 1deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-2:hover {\n    --tw-rotate: 2deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-3:hover {\n    --tw-rotate: 3deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-6:hover {\n    --tw-rotate: 6deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-12:hover {\n    --tw-rotate: 12deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-45:hover {\n    --tw-rotate: 45deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-90:hover {\n    --tw-rotate: 90deg;\n  }\n\n  .\\32xl\\:hover\\:rotate-180:hover {\n    --tw-rotate: 180deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-180:hover {\n    --tw-rotate: -180deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-90:hover {\n    --tw-rotate: -90deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-45:hover {\n    --tw-rotate: -45deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-12:hover {\n    --tw-rotate: -12deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-6:hover {\n    --tw-rotate: -6deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-3:hover {\n    --tw-rotate: -3deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-2:hover {\n    --tw-rotate: -2deg;\n  }\n\n  .\\32xl\\:hover\\:-rotate-1:hover {\n    --tw-rotate: -1deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-0:focus {\n    --tw-rotate: 0deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-1:focus {\n    --tw-rotate: 1deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-2:focus {\n    --tw-rotate: 2deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-3:focus {\n    --tw-rotate: 3deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-6:focus {\n    --tw-rotate: 6deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-12:focus {\n    --tw-rotate: 12deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-45:focus {\n    --tw-rotate: 45deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-90:focus {\n    --tw-rotate: 90deg;\n  }\n\n  .\\32xl\\:focus\\:rotate-180:focus {\n    --tw-rotate: 180deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-180:focus {\n    --tw-rotate: -180deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-90:focus {\n    --tw-rotate: -90deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-45:focus {\n    --tw-rotate: -45deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-12:focus {\n    --tw-rotate: -12deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-6:focus {\n    --tw-rotate: -6deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-3:focus {\n    --tw-rotate: -3deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-2:focus {\n    --tw-rotate: -2deg;\n  }\n\n  .\\32xl\\:focus\\:-rotate-1:focus {\n    --tw-rotate: -1deg;\n  }\n\n  .\\32xl\\:skew-x-0 {\n    --tw-skew-x: 0deg;\n  }\n\n  .\\32xl\\:skew-x-1 {\n    --tw-skew-x: 1deg;\n  }\n\n  .\\32xl\\:skew-x-2 {\n    --tw-skew-x: 2deg;\n  }\n\n  .\\32xl\\:skew-x-3 {\n    --tw-skew-x: 3deg;\n  }\n\n  .\\32xl\\:skew-x-6 {\n    --tw-skew-x: 6deg;\n  }\n\n  .\\32xl\\:skew-x-12 {\n    --tw-skew-x: 12deg;\n  }\n\n  .\\32xl\\:-skew-x-12 {\n    --tw-skew-x: -12deg;\n  }\n\n  .\\32xl\\:-skew-x-6 {\n    --tw-skew-x: -6deg;\n  }\n\n  .\\32xl\\:-skew-x-3 {\n    --tw-skew-x: -3deg;\n  }\n\n  .\\32xl\\:-skew-x-2 {\n    --tw-skew-x: -2deg;\n  }\n\n  .\\32xl\\:-skew-x-1 {\n    --tw-skew-x: -1deg;\n  }\n\n  .\\32xl\\:skew-y-0 {\n    --tw-skew-y: 0deg;\n  }\n\n  .\\32xl\\:skew-y-1 {\n    --tw-skew-y: 1deg;\n  }\n\n  .\\32xl\\:skew-y-2 {\n    --tw-skew-y: 2deg;\n  }\n\n  .\\32xl\\:skew-y-3 {\n    --tw-skew-y: 3deg;\n  }\n\n  .\\32xl\\:skew-y-6 {\n    --tw-skew-y: 6deg;\n  }\n\n  .\\32xl\\:skew-y-12 {\n    --tw-skew-y: 12deg;\n  }\n\n  .\\32xl\\:-skew-y-12 {\n    --tw-skew-y: -12deg;\n  }\n\n  .\\32xl\\:-skew-y-6 {\n    --tw-skew-y: -6deg;\n  }\n\n  .\\32xl\\:-skew-y-3 {\n    --tw-skew-y: -3deg;\n  }\n\n  .\\32xl\\:-skew-y-2 {\n    --tw-skew-y: -2deg;\n  }\n\n  .\\32xl\\:-skew-y-1 {\n    --tw-skew-y: -1deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-0:hover {\n    --tw-skew-x: 0deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-1:hover {\n    --tw-skew-x: 1deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-2:hover {\n    --tw-skew-x: 2deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-3:hover {\n    --tw-skew-x: 3deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-6:hover {\n    --tw-skew-x: 6deg;\n  }\n\n  .\\32xl\\:hover\\:skew-x-12:hover {\n    --tw-skew-x: 12deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-x-12:hover {\n    --tw-skew-x: -12deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-x-6:hover {\n    --tw-skew-x: -6deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-x-3:hover {\n    --tw-skew-x: -3deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-x-2:hover {\n    --tw-skew-x: -2deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-x-1:hover {\n    --tw-skew-x: -1deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-0:hover {\n    --tw-skew-y: 0deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-1:hover {\n    --tw-skew-y: 1deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-2:hover {\n    --tw-skew-y: 2deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-3:hover {\n    --tw-skew-y: 3deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-6:hover {\n    --tw-skew-y: 6deg;\n  }\n\n  .\\32xl\\:hover\\:skew-y-12:hover {\n    --tw-skew-y: 12deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-y-12:hover {\n    --tw-skew-y: -12deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-y-6:hover {\n    --tw-skew-y: -6deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-y-3:hover {\n    --tw-skew-y: -3deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-y-2:hover {\n    --tw-skew-y: -2deg;\n  }\n\n  .\\32xl\\:hover\\:-skew-y-1:hover {\n    --tw-skew-y: -1deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-0:focus {\n    --tw-skew-x: 0deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-1:focus {\n    --tw-skew-x: 1deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-2:focus {\n    --tw-skew-x: 2deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-3:focus {\n    --tw-skew-x: 3deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-6:focus {\n    --tw-skew-x: 6deg;\n  }\n\n  .\\32xl\\:focus\\:skew-x-12:focus {\n    --tw-skew-x: 12deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-x-12:focus {\n    --tw-skew-x: -12deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-x-6:focus {\n    --tw-skew-x: -6deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-x-3:focus {\n    --tw-skew-x: -3deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-x-2:focus {\n    --tw-skew-x: -2deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-x-1:focus {\n    --tw-skew-x: -1deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-0:focus {\n    --tw-skew-y: 0deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-1:focus {\n    --tw-skew-y: 1deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-2:focus {\n    --tw-skew-y: 2deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-3:focus {\n    --tw-skew-y: 3deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-6:focus {\n    --tw-skew-y: 6deg;\n  }\n\n  .\\32xl\\:focus\\:skew-y-12:focus {\n    --tw-skew-y: 12deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-y-12:focus {\n    --tw-skew-y: -12deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-y-6:focus {\n    --tw-skew-y: -6deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-y-3:focus {\n    --tw-skew-y: -3deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-y-2:focus {\n    --tw-skew-y: -2deg;\n  }\n\n  .\\32xl\\:focus\\:-skew-y-1:focus {\n    --tw-skew-y: -1deg;\n  }\n\n  .\\32xl\\:scale-0 {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:scale-50 {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:scale-75 {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:scale-90 {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:scale-95 {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:scale-100 {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:scale-105 {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:scale-110 {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:scale-125 {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:scale-150 {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:hover\\:scale-0:hover {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:hover\\:scale-50:hover {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:hover\\:scale-75:hover {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:hover\\:scale-90:hover {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:hover\\:scale-95:hover {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:hover\\:scale-100:hover {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:hover\\:scale-105:hover {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:hover\\:scale-110:hover {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:hover\\:scale-125:hover {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:hover\\:scale-150:hover {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:focus\\:scale-0:focus {\n    --tw-scale-x: 0;\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:focus\\:scale-50:focus {\n    --tw-scale-x: .5;\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:focus\\:scale-75:focus {\n    --tw-scale-x: .75;\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:focus\\:scale-90:focus {\n    --tw-scale-x: .9;\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:focus\\:scale-95:focus {\n    --tw-scale-x: .95;\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:focus\\:scale-100:focus {\n    --tw-scale-x: 1;\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:focus\\:scale-105:focus {\n    --tw-scale-x: 1.05;\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:focus\\:scale-110:focus {\n    --tw-scale-x: 1.1;\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:focus\\:scale-125:focus {\n    --tw-scale-x: 1.25;\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:focus\\:scale-150:focus {\n    --tw-scale-x: 1.5;\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:scale-x-0 {\n    --tw-scale-x: 0;\n  }\n\n  .\\32xl\\:scale-x-50 {\n    --tw-scale-x: .5;\n  }\n\n  .\\32xl\\:scale-x-75 {\n    --tw-scale-x: .75;\n  }\n\n  .\\32xl\\:scale-x-90 {\n    --tw-scale-x: .9;\n  }\n\n  .\\32xl\\:scale-x-95 {\n    --tw-scale-x: .95;\n  }\n\n  .\\32xl\\:scale-x-100 {\n    --tw-scale-x: 1;\n  }\n\n  .\\32xl\\:scale-x-105 {\n    --tw-scale-x: 1.05;\n  }\n\n  .\\32xl\\:scale-x-110 {\n    --tw-scale-x: 1.1;\n  }\n\n  .\\32xl\\:scale-x-125 {\n    --tw-scale-x: 1.25;\n  }\n\n  .\\32xl\\:scale-x-150 {\n    --tw-scale-x: 1.5;\n  }\n\n  .\\32xl\\:scale-y-0 {\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:scale-y-50 {\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:scale-y-75 {\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:scale-y-90 {\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:scale-y-95 {\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:scale-y-100 {\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:scale-y-105 {\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:scale-y-110 {\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:scale-y-125 {\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:scale-y-150 {\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:hover\\:scale-x-0:hover {\n    --tw-scale-x: 0;\n  }\n\n  .\\32xl\\:hover\\:scale-x-50:hover {\n    --tw-scale-x: .5;\n  }\n\n  .\\32xl\\:hover\\:scale-x-75:hover {\n    --tw-scale-x: .75;\n  }\n\n  .\\32xl\\:hover\\:scale-x-90:hover {\n    --tw-scale-x: .9;\n  }\n\n  .\\32xl\\:hover\\:scale-x-95:hover {\n    --tw-scale-x: .95;\n  }\n\n  .\\32xl\\:hover\\:scale-x-100:hover {\n    --tw-scale-x: 1;\n  }\n\n  .\\32xl\\:hover\\:scale-x-105:hover {\n    --tw-scale-x: 1.05;\n  }\n\n  .\\32xl\\:hover\\:scale-x-110:hover {\n    --tw-scale-x: 1.1;\n  }\n\n  .\\32xl\\:hover\\:scale-x-125:hover {\n    --tw-scale-x: 1.25;\n  }\n\n  .\\32xl\\:hover\\:scale-x-150:hover {\n    --tw-scale-x: 1.5;\n  }\n\n  .\\32xl\\:hover\\:scale-y-0:hover {\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:hover\\:scale-y-50:hover {\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:hover\\:scale-y-75:hover {\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:hover\\:scale-y-90:hover {\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:hover\\:scale-y-95:hover {\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:hover\\:scale-y-100:hover {\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:hover\\:scale-y-105:hover {\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:hover\\:scale-y-110:hover {\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:hover\\:scale-y-125:hover {\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:hover\\:scale-y-150:hover {\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:focus\\:scale-x-0:focus {\n    --tw-scale-x: 0;\n  }\n\n  .\\32xl\\:focus\\:scale-x-50:focus {\n    --tw-scale-x: .5;\n  }\n\n  .\\32xl\\:focus\\:scale-x-75:focus {\n    --tw-scale-x: .75;\n  }\n\n  .\\32xl\\:focus\\:scale-x-90:focus {\n    --tw-scale-x: .9;\n  }\n\n  .\\32xl\\:focus\\:scale-x-95:focus {\n    --tw-scale-x: .95;\n  }\n\n  .\\32xl\\:focus\\:scale-x-100:focus {\n    --tw-scale-x: 1;\n  }\n\n  .\\32xl\\:focus\\:scale-x-105:focus {\n    --tw-scale-x: 1.05;\n  }\n\n  .\\32xl\\:focus\\:scale-x-110:focus {\n    --tw-scale-x: 1.1;\n  }\n\n  .\\32xl\\:focus\\:scale-x-125:focus {\n    --tw-scale-x: 1.25;\n  }\n\n  .\\32xl\\:focus\\:scale-x-150:focus {\n    --tw-scale-x: 1.5;\n  }\n\n  .\\32xl\\:focus\\:scale-y-0:focus {\n    --tw-scale-y: 0;\n  }\n\n  .\\32xl\\:focus\\:scale-y-50:focus {\n    --tw-scale-y: .5;\n  }\n\n  .\\32xl\\:focus\\:scale-y-75:focus {\n    --tw-scale-y: .75;\n  }\n\n  .\\32xl\\:focus\\:scale-y-90:focus {\n    --tw-scale-y: .9;\n  }\n\n  .\\32xl\\:focus\\:scale-y-95:focus {\n    --tw-scale-y: .95;\n  }\n\n  .\\32xl\\:focus\\:scale-y-100:focus {\n    --tw-scale-y: 1;\n  }\n\n  .\\32xl\\:focus\\:scale-y-105:focus {\n    --tw-scale-y: 1.05;\n  }\n\n  .\\32xl\\:focus\\:scale-y-110:focus {\n    --tw-scale-y: 1.1;\n  }\n\n  .\\32xl\\:focus\\:scale-y-125:focus {\n    --tw-scale-y: 1.25;\n  }\n\n  .\\32xl\\:focus\\:scale-y-150:focus {\n    --tw-scale-y: 1.5;\n  }\n\n  .\\32xl\\:animate-none {\n    -webkit-animation: none;\n            animation: none;\n  }\n\n  .\\32xl\\:animate-spin {\n    -webkit-animation: spin 1s linear infinite;\n            animation: spin 1s linear infinite;\n  }\n\n  .\\32xl\\:animate-ping {\n    -webkit-animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n            animation: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite;\n  }\n\n  .\\32xl\\:animate-pulse {\n    -webkit-animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n            animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;\n  }\n\n  .\\32xl\\:animate-bounce {\n    -webkit-animation: bounce 1s infinite;\n            animation: bounce 1s infinite;\n  }\n\n  .\\32xl\\:animate-gradient {\n    -webkit-animation: gradient 5s ease infinite;\n            animation: gradient 5s ease infinite;\n  }\n\n  .\\32xl\\:cursor-auto {\n    cursor: auto;\n  }\n\n  .\\32xl\\:cursor-default {\n    cursor: default;\n  }\n\n  .\\32xl\\:cursor-pointer {\n    cursor: pointer;\n  }\n\n  .\\32xl\\:cursor-wait {\n    cursor: wait;\n  }\n\n  .\\32xl\\:cursor-text {\n    cursor: text;\n  }\n\n  .\\32xl\\:cursor-move {\n    cursor: move;\n  }\n\n  .\\32xl\\:cursor-help {\n    cursor: help;\n  }\n\n  .\\32xl\\:cursor-not-allowed {\n    cursor: not-allowed;\n  }\n\n  .\\32xl\\:select-none {\n    -webkit-user-select: none;\n       -moz-user-select: none;\n            user-select: none;\n  }\n\n  .\\32xl\\:select-text {\n    -webkit-user-select: text;\n       -moz-user-select: text;\n            user-select: text;\n  }\n\n  .\\32xl\\:select-all {\n    -webkit-user-select: all;\n       -moz-user-select: all;\n            user-select: all;\n  }\n\n  .\\32xl\\:select-auto {\n    -webkit-user-select: auto;\n       -moz-user-select: auto;\n            user-select: auto;\n  }\n\n  .\\32xl\\:resize-none {\n    resize: none;\n  }\n\n  .\\32xl\\:resize-y {\n    resize: vertical;\n  }\n\n  .\\32xl\\:resize-x {\n    resize: horizontal;\n  }\n\n  .\\32xl\\:resize {\n    resize: both;\n  }\n\n  .\\32xl\\:list-inside {\n    list-style-position: inside;\n  }\n\n  .\\32xl\\:list-outside {\n    list-style-position: outside;\n  }\n\n  .\\32xl\\:list-none {\n    list-style-type: none;\n  }\n\n  .\\32xl\\:list-disc {\n    list-style-type: disc;\n  }\n\n  .\\32xl\\:list-decimal {\n    list-style-type: decimal;\n  }\n\n  .\\32xl\\:appearance-none {\n    -webkit-appearance: none;\n       -moz-appearance: none;\n            appearance: none;\n  }\n\n  .\\32xl\\:auto-cols-auto {\n    grid-auto-columns: auto;\n  }\n\n  .\\32xl\\:auto-cols-min {\n    grid-auto-columns: -webkit-min-content;\n    grid-auto-columns: min-content;\n  }\n\n  .\\32xl\\:auto-cols-max {\n    grid-auto-columns: -webkit-max-content;\n    grid-auto-columns: max-content;\n  }\n\n  .\\32xl\\:auto-cols-fr {\n    grid-auto-columns: minmax(0, 1fr);\n  }\n\n  .\\32xl\\:grid-flow-row {\n    grid-auto-flow: row;\n  }\n\n  .\\32xl\\:grid-flow-col {\n    grid-auto-flow: column;\n  }\n\n  .\\32xl\\:grid-flow-row-dense {\n    grid-auto-flow: row dense;\n  }\n\n  .\\32xl\\:grid-flow-col-dense {\n    grid-auto-flow: column dense;\n  }\n\n  .\\32xl\\:auto-rows-auto {\n    grid-auto-rows: auto;\n  }\n\n  .\\32xl\\:auto-rows-min {\n    grid-auto-rows: -webkit-min-content;\n    grid-auto-rows: min-content;\n  }\n\n  .\\32xl\\:auto-rows-max {\n    grid-auto-rows: -webkit-max-content;\n    grid-auto-rows: max-content;\n  }\n\n  .\\32xl\\:auto-rows-fr {\n    grid-auto-rows: minmax(0, 1fr);\n  }\n\n  .\\32xl\\:grid-cols-1 {\n    grid-template-columns: repeat(1, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-2 {\n    grid-template-columns: repeat(2, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-3 {\n    grid-template-columns: repeat(3, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-4 {\n    grid-template-columns: repeat(4, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-5 {\n    grid-template-columns: repeat(5, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-6 {\n    grid-template-columns: repeat(6, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-7 {\n    grid-template-columns: repeat(7, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-8 {\n    grid-template-columns: repeat(8, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-9 {\n    grid-template-columns: repeat(9, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-10 {\n    grid-template-columns: repeat(10, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-11 {\n    grid-template-columns: repeat(11, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-12 {\n    grid-template-columns: repeat(12, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-cols-none {\n    grid-template-columns: none;\n  }\n\n  .\\32xl\\:grid-rows-1 {\n    grid-template-rows: repeat(1, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-2 {\n    grid-template-rows: repeat(2, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-3 {\n    grid-template-rows: repeat(3, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-4 {\n    grid-template-rows: repeat(4, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-5 {\n    grid-template-rows: repeat(5, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-6 {\n    grid-template-rows: repeat(6, minmax(0, 1fr));\n  }\n\n  .\\32xl\\:grid-rows-none {\n    grid-template-rows: none;\n  }\n\n  .\\32xl\\:flex-row {\n    flex-direction: row;\n  }\n\n  .\\32xl\\:flex-row-reverse {\n    flex-direction: row-reverse;\n  }\n\n  .\\32xl\\:flex-col {\n    flex-direction: column;\n  }\n\n  .\\32xl\\:flex-col-reverse {\n    flex-direction: column-reverse;\n  }\n\n  .\\32xl\\:flex-wrap {\n    flex-wrap: wrap;\n  }\n\n  .\\32xl\\:flex-wrap-reverse {\n    flex-wrap: wrap-reverse;\n  }\n\n  .\\32xl\\:flex-nowrap {\n    flex-wrap: nowrap;\n  }\n\n  .\\32xl\\:place-content-center {\n    place-content: center;\n  }\n\n  .\\32xl\\:place-content-start {\n    place-content: start;\n  }\n\n  .\\32xl\\:place-content-end {\n    place-content: end;\n  }\n\n  .\\32xl\\:place-content-between {\n    place-content: space-between;\n  }\n\n  .\\32xl\\:place-content-around {\n    place-content: space-around;\n  }\n\n  .\\32xl\\:place-content-evenly {\n    place-content: space-evenly;\n  }\n\n  .\\32xl\\:place-content-stretch {\n    place-content: stretch;\n  }\n\n  .\\32xl\\:place-items-start {\n    place-items: start;\n  }\n\n  .\\32xl\\:place-items-end {\n    place-items: end;\n  }\n\n  .\\32xl\\:place-items-center {\n    place-items: center;\n  }\n\n  .\\32xl\\:place-items-stretch {\n    place-items: stretch;\n  }\n\n  .\\32xl\\:content-center {\n    align-content: center;\n  }\n\n  .\\32xl\\:content-start {\n    align-content: flex-start;\n  }\n\n  .\\32xl\\:content-end {\n    align-content: flex-end;\n  }\n\n  .\\32xl\\:content-between {\n    align-content: space-between;\n  }\n\n  .\\32xl\\:content-around {\n    align-content: space-around;\n  }\n\n  .\\32xl\\:content-evenly {\n    align-content: space-evenly;\n  }\n\n  .\\32xl\\:items-start {\n    align-items: flex-start;\n  }\n\n  .\\32xl\\:items-end {\n    align-items: flex-end;\n  }\n\n  .\\32xl\\:items-center {\n    align-items: center;\n  }\n\n  .\\32xl\\:items-baseline {\n    align-items: baseline;\n  }\n\n  .\\32xl\\:items-stretch {\n    align-items: stretch;\n  }\n\n  .\\32xl\\:justify-start {\n    justify-content: flex-start;\n  }\n\n  .\\32xl\\:justify-end {\n    justify-content: flex-end;\n  }\n\n  .\\32xl\\:justify-center {\n    justify-content: center;\n  }\n\n  .\\32xl\\:justify-between {\n    justify-content: space-between;\n  }\n\n  .\\32xl\\:justify-around {\n    justify-content: space-around;\n  }\n\n  .\\32xl\\:justify-evenly {\n    justify-content: space-evenly;\n  }\n\n  .\\32xl\\:justify-items-start {\n    justify-items: start;\n  }\n\n  .\\32xl\\:justify-items-end {\n    justify-items: end;\n  }\n\n  .\\32xl\\:justify-items-center {\n    justify-items: center;\n  }\n\n  .\\32xl\\:justify-items-stretch {\n    justify-items: stretch;\n  }\n\n  .\\32xl\\:gap-0 {\n    gap: 0px;\n  }\n\n  .\\32xl\\:gap-1 {\n    gap: 0.25rem;\n  }\n\n  .\\32xl\\:gap-2 {\n    gap: 0.5rem;\n  }\n\n  .\\32xl\\:gap-3 {\n    gap: 0.75rem;\n  }\n\n  .\\32xl\\:gap-4 {\n    gap: 1rem;\n  }\n\n  .\\32xl\\:gap-5 {\n    gap: 1.25rem;\n  }\n\n  .\\32xl\\:gap-6 {\n    gap: 1.5rem;\n  }\n\n  .\\32xl\\:gap-7 {\n    gap: 1.75rem;\n  }\n\n  .\\32xl\\:gap-8 {\n    gap: 2rem;\n  }\n\n  .\\32xl\\:gap-9 {\n    gap: 2.25rem;\n  }\n\n  .\\32xl\\:gap-10 {\n    gap: 2.5rem;\n  }\n\n  .\\32xl\\:gap-11 {\n    gap: 2.75rem;\n  }\n\n  .\\32xl\\:gap-12 {\n    gap: 3rem;\n  }\n\n  .\\32xl\\:gap-14 {\n    gap: 3.5rem;\n  }\n\n  .\\32xl\\:gap-16 {\n    gap: 4rem;\n  }\n\n  .\\32xl\\:gap-20 {\n    gap: 5rem;\n  }\n\n  .\\32xl\\:gap-24 {\n    gap: 6rem;\n  }\n\n  .\\32xl\\:gap-28 {\n    gap: 7rem;\n  }\n\n  .\\32xl\\:gap-32 {\n    gap: 8rem;\n  }\n\n  .\\32xl\\:gap-36 {\n    gap: 9rem;\n  }\n\n  .\\32xl\\:gap-40 {\n    gap: 10rem;\n  }\n\n  .\\32xl\\:gap-44 {\n    gap: 11rem;\n  }\n\n  .\\32xl\\:gap-48 {\n    gap: 12rem;\n  }\n\n  .\\32xl\\:gap-52 {\n    gap: 13rem;\n  }\n\n  .\\32xl\\:gap-56 {\n    gap: 14rem;\n  }\n\n  .\\32xl\\:gap-60 {\n    gap: 15rem;\n  }\n\n  .\\32xl\\:gap-64 {\n    gap: 16rem;\n  }\n\n  .\\32xl\\:gap-72 {\n    gap: 18rem;\n  }\n\n  .\\32xl\\:gap-80 {\n    gap: 20rem;\n  }\n\n  .\\32xl\\:gap-96 {\n    gap: 24rem;\n  }\n\n  .\\32xl\\:gap-px {\n    gap: 1px;\n  }\n\n  .\\32xl\\:gap-0\\.5 {\n    gap: 0.125rem;\n  }\n\n  .\\32xl\\:gap-1\\.5 {\n    gap: 0.375rem;\n  }\n\n  .\\32xl\\:gap-2\\.5 {\n    gap: 0.625rem;\n  }\n\n  .\\32xl\\:gap-3\\.5 {\n    gap: 0.875rem;\n  }\n\n  .\\32xl\\:gap-x-0 {\n    -moz-column-gap: 0px;\n         column-gap: 0px;\n  }\n\n  .\\32xl\\:gap-x-1 {\n    -moz-column-gap: 0.25rem;\n         column-gap: 0.25rem;\n  }\n\n  .\\32xl\\:gap-x-2 {\n    -moz-column-gap: 0.5rem;\n         column-gap: 0.5rem;\n  }\n\n  .\\32xl\\:gap-x-3 {\n    -moz-column-gap: 0.75rem;\n         column-gap: 0.75rem;\n  }\n\n  .\\32xl\\:gap-x-4 {\n    -moz-column-gap: 1rem;\n         column-gap: 1rem;\n  }\n\n  .\\32xl\\:gap-x-5 {\n    -moz-column-gap: 1.25rem;\n         column-gap: 1.25rem;\n  }\n\n  .\\32xl\\:gap-x-6 {\n    -moz-column-gap: 1.5rem;\n         column-gap: 1.5rem;\n  }\n\n  .\\32xl\\:gap-x-7 {\n    -moz-column-gap: 1.75rem;\n         column-gap: 1.75rem;\n  }\n\n  .\\32xl\\:gap-x-8 {\n    -moz-column-gap: 2rem;\n         column-gap: 2rem;\n  }\n\n  .\\32xl\\:gap-x-9 {\n    -moz-column-gap: 2.25rem;\n         column-gap: 2.25rem;\n  }\n\n  .\\32xl\\:gap-x-10 {\n    -moz-column-gap: 2.5rem;\n         column-gap: 2.5rem;\n  }\n\n  .\\32xl\\:gap-x-11 {\n    -moz-column-gap: 2.75rem;\n         column-gap: 2.75rem;\n  }\n\n  .\\32xl\\:gap-x-12 {\n    -moz-column-gap: 3rem;\n         column-gap: 3rem;\n  }\n\n  .\\32xl\\:gap-x-14 {\n    -moz-column-gap: 3.5rem;\n         column-gap: 3.5rem;\n  }\n\n  .\\32xl\\:gap-x-16 {\n    -moz-column-gap: 4rem;\n         column-gap: 4rem;\n  }\n\n  .\\32xl\\:gap-x-20 {\n    -moz-column-gap: 5rem;\n         column-gap: 5rem;\n  }\n\n  .\\32xl\\:gap-x-24 {\n    -moz-column-gap: 6rem;\n         column-gap: 6rem;\n  }\n\n  .\\32xl\\:gap-x-28 {\n    -moz-column-gap: 7rem;\n         column-gap: 7rem;\n  }\n\n  .\\32xl\\:gap-x-32 {\n    -moz-column-gap: 8rem;\n         column-gap: 8rem;\n  }\n\n  .\\32xl\\:gap-x-36 {\n    -moz-column-gap: 9rem;\n         column-gap: 9rem;\n  }\n\n  .\\32xl\\:gap-x-40 {\n    -moz-column-gap: 10rem;\n         column-gap: 10rem;\n  }\n\n  .\\32xl\\:gap-x-44 {\n    -moz-column-gap: 11rem;\n         column-gap: 11rem;\n  }\n\n  .\\32xl\\:gap-x-48 {\n    -moz-column-gap: 12rem;\n         column-gap: 12rem;\n  }\n\n  .\\32xl\\:gap-x-52 {\n    -moz-column-gap: 13rem;\n         column-gap: 13rem;\n  }\n\n  .\\32xl\\:gap-x-56 {\n    -moz-column-gap: 14rem;\n         column-gap: 14rem;\n  }\n\n  .\\32xl\\:gap-x-60 {\n    -moz-column-gap: 15rem;\n         column-gap: 15rem;\n  }\n\n  .\\32xl\\:gap-x-64 {\n    -moz-column-gap: 16rem;\n         column-gap: 16rem;\n  }\n\n  .\\32xl\\:gap-x-72 {\n    -moz-column-gap: 18rem;\n         column-gap: 18rem;\n  }\n\n  .\\32xl\\:gap-x-80 {\n    -moz-column-gap: 20rem;\n         column-gap: 20rem;\n  }\n\n  .\\32xl\\:gap-x-96 {\n    -moz-column-gap: 24rem;\n         column-gap: 24rem;\n  }\n\n  .\\32xl\\:gap-x-px {\n    -moz-column-gap: 1px;\n         column-gap: 1px;\n  }\n\n  .\\32xl\\:gap-x-0\\.5 {\n    -moz-column-gap: 0.125rem;\n         column-gap: 0.125rem;\n  }\n\n  .\\32xl\\:gap-x-1\\.5 {\n    -moz-column-gap: 0.375rem;\n         column-gap: 0.375rem;\n  }\n\n  .\\32xl\\:gap-x-2\\.5 {\n    -moz-column-gap: 0.625rem;\n         column-gap: 0.625rem;\n  }\n\n  .\\32xl\\:gap-x-3\\.5 {\n    -moz-column-gap: 0.875rem;\n         column-gap: 0.875rem;\n  }\n\n  .\\32xl\\:gap-y-0 {\n    row-gap: 0px;\n  }\n\n  .\\32xl\\:gap-y-1 {\n    row-gap: 0.25rem;\n  }\n\n  .\\32xl\\:gap-y-2 {\n    row-gap: 0.5rem;\n  }\n\n  .\\32xl\\:gap-y-3 {\n    row-gap: 0.75rem;\n  }\n\n  .\\32xl\\:gap-y-4 {\n    row-gap: 1rem;\n  }\n\n  .\\32xl\\:gap-y-5 {\n    row-gap: 1.25rem;\n  }\n\n  .\\32xl\\:gap-y-6 {\n    row-gap: 1.5rem;\n  }\n\n  .\\32xl\\:gap-y-7 {\n    row-gap: 1.75rem;\n  }\n\n  .\\32xl\\:gap-y-8 {\n    row-gap: 2rem;\n  }\n\n  .\\32xl\\:gap-y-9 {\n    row-gap: 2.25rem;\n  }\n\n  .\\32xl\\:gap-y-10 {\n    row-gap: 2.5rem;\n  }\n\n  .\\32xl\\:gap-y-11 {\n    row-gap: 2.75rem;\n  }\n\n  .\\32xl\\:gap-y-12 {\n    row-gap: 3rem;\n  }\n\n  .\\32xl\\:gap-y-14 {\n    row-gap: 3.5rem;\n  }\n\n  .\\32xl\\:gap-y-16 {\n    row-gap: 4rem;\n  }\n\n  .\\32xl\\:gap-y-20 {\n    row-gap: 5rem;\n  }\n\n  .\\32xl\\:gap-y-24 {\n    row-gap: 6rem;\n  }\n\n  .\\32xl\\:gap-y-28 {\n    row-gap: 7rem;\n  }\n\n  .\\32xl\\:gap-y-32 {\n    row-gap: 8rem;\n  }\n\n  .\\32xl\\:gap-y-36 {\n    row-gap: 9rem;\n  }\n\n  .\\32xl\\:gap-y-40 {\n    row-gap: 10rem;\n  }\n\n  .\\32xl\\:gap-y-44 {\n    row-gap: 11rem;\n  }\n\n  .\\32xl\\:gap-y-48 {\n    row-gap: 12rem;\n  }\n\n  .\\32xl\\:gap-y-52 {\n    row-gap: 13rem;\n  }\n\n  .\\32xl\\:gap-y-56 {\n    row-gap: 14rem;\n  }\n\n  .\\32xl\\:gap-y-60 {\n    row-gap: 15rem;\n  }\n\n  .\\32xl\\:gap-y-64 {\n    row-gap: 16rem;\n  }\n\n  .\\32xl\\:gap-y-72 {\n    row-gap: 18rem;\n  }\n\n  .\\32xl\\:gap-y-80 {\n    row-gap: 20rem;\n  }\n\n  .\\32xl\\:gap-y-96 {\n    row-gap: 24rem;\n  }\n\n  .\\32xl\\:gap-y-px {\n    row-gap: 1px;\n  }\n\n  .\\32xl\\:gap-y-0\\.5 {\n    row-gap: 0.125rem;\n  }\n\n  .\\32xl\\:gap-y-1\\.5 {\n    row-gap: 0.375rem;\n  }\n\n  .\\32xl\\:gap-y-2\\.5 {\n    row-gap: 0.625rem;\n  }\n\n  .\\32xl\\:gap-y-3\\.5 {\n    row-gap: 0.875rem;\n  }\n\n  .\\32xl\\:space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1rem * var(--tw-space-x-reverse));\n    margin-left: calc(1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2rem * var(--tw-space-x-reverse));\n    margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3rem * var(--tw-space-x-reverse));\n    margin-left: calc(3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(4rem * var(--tw-space-x-reverse));\n    margin-left: calc(4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(5rem * var(--tw-space-x-reverse));\n    margin-left: calc(5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(6rem * var(--tw-space-x-reverse));\n    margin-left: calc(6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(7rem * var(--tw-space-x-reverse));\n    margin-left: calc(7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(8rem * var(--tw-space-x-reverse));\n    margin-left: calc(8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(9rem * var(--tw-space-x-reverse));\n    margin-left: calc(9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(10rem * var(--tw-space-x-reverse));\n    margin-left: calc(10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(11rem * var(--tw-space-x-reverse));\n    margin-left: calc(11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(12rem * var(--tw-space-x-reverse));\n    margin-left: calc(12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(13rem * var(--tw-space-x-reverse));\n    margin-left: calc(13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(14rem * var(--tw-space-x-reverse));\n    margin-left: calc(14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(15rem * var(--tw-space-x-reverse));\n    margin-left: calc(15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(16rem * var(--tw-space-x-reverse));\n    margin-left: calc(16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(18rem * var(--tw-space-x-reverse));\n    margin-left: calc(18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(20rem * var(--tw-space-x-reverse));\n    margin-left: calc(20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(24rem * var(--tw-space-x-reverse));\n    margin-left: calc(24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(1px * var(--tw-space-x-reverse));\n    margin-left: calc(1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(0px * var(--tw-space-x-reverse));\n    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-1.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.25rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.25rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-2.75rem * var(--tw-space-x-reverse));\n    margin-left: calc(-2.75rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-3.5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-3.5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-4rem * var(--tw-space-x-reverse));\n    margin-left: calc(-4rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-5rem * var(--tw-space-x-reverse));\n    margin-left: calc(-5rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-6rem * var(--tw-space-x-reverse));\n    margin-left: calc(-6rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-7rem * var(--tw-space-x-reverse));\n    margin-left: calc(-7rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-8rem * var(--tw-space-x-reverse));\n    margin-left: calc(-8rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-9rem * var(--tw-space-x-reverse));\n    margin-left: calc(-9rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-10rem * var(--tw-space-x-reverse));\n    margin-left: calc(-10rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-11rem * var(--tw-space-x-reverse));\n    margin-left: calc(-11rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-12rem * var(--tw-space-x-reverse));\n    margin-left: calc(-12rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-13rem * var(--tw-space-x-reverse));\n    margin-left: calc(-13rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-14rem * var(--tw-space-x-reverse));\n    margin-left: calc(-14rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-15rem * var(--tw-space-x-reverse));\n    margin-left: calc(-15rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-16rem * var(--tw-space-x-reverse));\n    margin-left: calc(-16rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-18rem * var(--tw-space-x-reverse));\n    margin-left: calc(-18rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-20rem * var(--tw-space-x-reverse));\n    margin-left: calc(-20rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-24rem * var(--tw-space-x-reverse));\n    margin-left: calc(-24rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-1px * var(--tw-space-x-reverse));\n    margin-left: calc(-1px * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.125rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.125rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.375rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.375rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.625rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.625rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:-space-x-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 0;\n    margin-right: calc(-0.875rem * var(--tw-space-x-reverse));\n    margin-left: calc(-0.875rem * calc(1 - var(--tw-space-x-reverse)));\n  }\n\n  .\\32xl\\:space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(4rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(6rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(7rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(8rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(9rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(10rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(11rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(12rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(13rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(14rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(15rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(16rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(18rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(20rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(24rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(1px * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(0px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(0px * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-1 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-3 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-7 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-9 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.25rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.25rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-11 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-2.75rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-2.75rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-12 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-14 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-3.5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-3.5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-16 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-4rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-4rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-5rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-5rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-24 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-6rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-6rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-28 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-7rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-7rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-32 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-8rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-8rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-36 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-9rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-9rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-10rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-10rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-44 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-11rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-11rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-48 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-12rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-12rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-52 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-13rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-13rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-56 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-14rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-14rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-15rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-15rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-64 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-16rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-16rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-72 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-18rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-18rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-20rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-20rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-96 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-24rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-24rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-px > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-1px * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-1px * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-0\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.125rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.125rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-1\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.375rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.375rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-2\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.625rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.625rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:-space-y-3\\.5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 0;\n    margin-top: calc(-0.875rem * calc(1 - var(--tw-space-y-reverse)));\n    margin-bottom: calc(-0.875rem * var(--tw-space-y-reverse));\n  }\n\n  .\\32xl\\:space-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-y-reverse: 1;\n  }\n\n  .\\32xl\\:space-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-space-x-reverse: 1;\n  }\n\n  .\\32xl\\:divide-x-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(0px * var(--tw-divide-x-reverse));\n    border-left-width: calc(0px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .\\32xl\\:divide-x-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(2px * var(--tw-divide-x-reverse));\n    border-left-width: calc(2px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .\\32xl\\:divide-x-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(4px * var(--tw-divide-x-reverse));\n    border-left-width: calc(4px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .\\32xl\\:divide-x-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(8px * var(--tw-divide-x-reverse));\n    border-left-width: calc(8px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .\\32xl\\:divide-x > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 0;\n    border-right-width: calc(1px * var(--tw-divide-x-reverse));\n    border-left-width: calc(1px * calc(1 - var(--tw-divide-x-reverse)));\n  }\n\n  .\\32xl\\:divide-y-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(0px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(0px * var(--tw-divide-y-reverse));\n  }\n\n  .\\32xl\\:divide-y-2 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(2px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(2px * var(--tw-divide-y-reverse));\n  }\n\n  .\\32xl\\:divide-y-4 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(4px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(4px * var(--tw-divide-y-reverse));\n  }\n\n  .\\32xl\\:divide-y-8 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(8px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(8px * var(--tw-divide-y-reverse));\n  }\n\n  .\\32xl\\:divide-y > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 0;\n    border-top-width: calc(1px * calc(1 - var(--tw-divide-y-reverse)));\n    border-bottom-width: calc(1px * var(--tw-divide-y-reverse));\n  }\n\n  .\\32xl\\:divide-y-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-y-reverse: 1;\n  }\n\n  .\\32xl\\:divide-x-reverse > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-x-reverse: 1;\n  }\n\n  .\\32xl\\:divide-solid > :not([hidden]) ~ :not([hidden]) {\n    border-style: solid;\n  }\n\n  .\\32xl\\:divide-dashed > :not([hidden]) ~ :not([hidden]) {\n    border-style: dashed;\n  }\n\n  .\\32xl\\:divide-dotted > :not([hidden]) ~ :not([hidden]) {\n    border-style: dotted;\n  }\n\n  .\\32xl\\:divide-double > :not([hidden]) ~ :not([hidden]) {\n    border-style: double;\n  }\n\n  .\\32xl\\:divide-none > :not([hidden]) ~ :not([hidden]) {\n    border-style: none;\n  }\n\n  .\\32xl\\:divide-transparent > :not([hidden]) ~ :not([hidden]) {\n    border-color: transparent;\n  }\n\n  .\\32xl\\:divide-current > :not([hidden]) ~ :not([hidden]) {\n    border-color: currentColor;\n  }\n\n  .\\32xl\\:divide-black > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-white > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-gray-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-red-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-yellow-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-green-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-blue-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-indigo-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-purple-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-200 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-300 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-400 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-500 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-600 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-700 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-800 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-pink-900 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-origin-protocol-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-origin-protocol-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-ousd-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-ousd-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-ousd-button-dark-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-ousd-button-dark-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-story-button-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-story-button-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-story-pink-start > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-story-pink-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-footer-end > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-divide-opacity));\n  }\n\n  .\\32xl\\:divide-opacity-0 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0;\n  }\n\n  .\\32xl\\:divide-opacity-5 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.05;\n  }\n\n  .\\32xl\\:divide-opacity-10 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.1;\n  }\n\n  .\\32xl\\:divide-opacity-20 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.2;\n  }\n\n  .\\32xl\\:divide-opacity-25 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.25;\n  }\n\n  .\\32xl\\:divide-opacity-30 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.3;\n  }\n\n  .\\32xl\\:divide-opacity-40 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.4;\n  }\n\n  .\\32xl\\:divide-opacity-50 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.5;\n  }\n\n  .\\32xl\\:divide-opacity-60 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.6;\n  }\n\n  .\\32xl\\:divide-opacity-70 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.7;\n  }\n\n  .\\32xl\\:divide-opacity-75 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.75;\n  }\n\n  .\\32xl\\:divide-opacity-80 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.8;\n  }\n\n  .\\32xl\\:divide-opacity-90 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.9;\n  }\n\n  .\\32xl\\:divide-opacity-95 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 0.95;\n  }\n\n  .\\32xl\\:divide-opacity-100 > :not([hidden]) ~ :not([hidden]) {\n    --tw-divide-opacity: 1;\n  }\n\n  .\\32xl\\:place-self-auto {\n    place-self: auto;\n  }\n\n  .\\32xl\\:place-self-start {\n    place-self: start;\n  }\n\n  .\\32xl\\:place-self-end {\n    place-self: end;\n  }\n\n  .\\32xl\\:place-self-center {\n    place-self: center;\n  }\n\n  .\\32xl\\:place-self-stretch {\n    place-self: stretch;\n  }\n\n  .\\32xl\\:self-auto {\n    align-self: auto;\n  }\n\n  .\\32xl\\:self-start {\n    align-self: flex-start;\n  }\n\n  .\\32xl\\:self-end {\n    align-self: flex-end;\n  }\n\n  .\\32xl\\:self-center {\n    align-self: center;\n  }\n\n  .\\32xl\\:self-stretch {\n    align-self: stretch;\n  }\n\n  .\\32xl\\:self-baseline {\n    align-self: baseline;\n  }\n\n  .\\32xl\\:justify-self-auto {\n    justify-self: auto;\n  }\n\n  .\\32xl\\:justify-self-start {\n    justify-self: start;\n  }\n\n  .\\32xl\\:justify-self-end {\n    justify-self: end;\n  }\n\n  .\\32xl\\:justify-self-center {\n    justify-self: center;\n  }\n\n  .\\32xl\\:justify-self-stretch {\n    justify-self: stretch;\n  }\n\n  .\\32xl\\:overflow-auto {\n    overflow: auto;\n  }\n\n  .\\32xl\\:overflow-hidden {\n    overflow: hidden;\n  }\n\n  .\\32xl\\:overflow-visible {\n    overflow: visible;\n  }\n\n  .\\32xl\\:overflow-scroll {\n    overflow: scroll;\n  }\n\n  .\\32xl\\:overflow-x-auto {\n    overflow-x: auto;\n  }\n\n  .\\32xl\\:overflow-y-auto {\n    overflow-y: auto;\n  }\n\n  .\\32xl\\:overflow-x-hidden {\n    overflow-x: hidden;\n  }\n\n  .\\32xl\\:overflow-y-hidden {\n    overflow-y: hidden;\n  }\n\n  .\\32xl\\:overflow-x-visible {\n    overflow-x: visible;\n  }\n\n  .\\32xl\\:overflow-y-visible {\n    overflow-y: visible;\n  }\n\n  .\\32xl\\:overflow-x-scroll {\n    overflow-x: scroll;\n  }\n\n  .\\32xl\\:overflow-y-scroll {\n    overflow-y: scroll;\n  }\n\n  .\\32xl\\:overscroll-auto {\n    overscroll-behavior: auto;\n  }\n\n  .\\32xl\\:overscroll-contain {\n    overscroll-behavior: contain;\n  }\n\n  .\\32xl\\:overscroll-none {\n    overscroll-behavior: none;\n  }\n\n  .\\32xl\\:overscroll-y-auto {\n    overscroll-behavior-y: auto;\n  }\n\n  .\\32xl\\:overscroll-y-contain {\n    overscroll-behavior-y: contain;\n  }\n\n  .\\32xl\\:overscroll-y-none {\n    overscroll-behavior-y: none;\n  }\n\n  .\\32xl\\:overscroll-x-auto {\n    overscroll-behavior-x: auto;\n  }\n\n  .\\32xl\\:overscroll-x-contain {\n    overscroll-behavior-x: contain;\n  }\n\n  .\\32xl\\:overscroll-x-none {\n    overscroll-behavior-x: none;\n  }\n\n  .\\32xl\\:truncate {\n    overflow: hidden;\n    text-overflow: ellipsis;\n    white-space: nowrap;\n  }\n\n  .\\32xl\\:overflow-ellipsis {\n    text-overflow: ellipsis;\n  }\n\n  .\\32xl\\:overflow-clip {\n    text-overflow: clip;\n  }\n\n  .\\32xl\\:whitespace-normal {\n    white-space: normal;\n  }\n\n  .\\32xl\\:whitespace-nowrap {\n    white-space: nowrap;\n  }\n\n  .\\32xl\\:whitespace-pre {\n    white-space: pre;\n  }\n\n  .\\32xl\\:whitespace-pre-line {\n    white-space: pre-line;\n  }\n\n  .\\32xl\\:whitespace-pre-wrap {\n    white-space: pre-wrap;\n  }\n\n  .\\32xl\\:break-normal {\n    overflow-wrap: normal;\n    word-break: normal;\n  }\n\n  .\\32xl\\:break-words {\n    overflow-wrap: break-word;\n  }\n\n  .\\32xl\\:break-all {\n    word-break: break-all;\n  }\n\n  .\\32xl\\:rounded-none {\n    border-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-sm {\n    border-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded {\n    border-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-md {\n    border-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-lg {\n    border-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-xl {\n    border-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-2xl {\n    border-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-3xl {\n    border-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-full {\n    border-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-t-none {\n    border-top-left-radius: 0px;\n    border-top-right-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-t-sm {\n    border-top-left-radius: 0.125rem;\n    border-top-right-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-t {\n    border-top-left-radius: 0.25rem;\n    border-top-right-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-t-md {\n    border-top-left-radius: 0.375rem;\n    border-top-right-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-t-lg {\n    border-top-left-radius: 0.5rem;\n    border-top-right-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-t-xl {\n    border-top-left-radius: 0.75rem;\n    border-top-right-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-t-2xl {\n    border-top-left-radius: 1rem;\n    border-top-right-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-t-3xl {\n    border-top-left-radius: 1.5rem;\n    border-top-right-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-t-full {\n    border-top-left-radius: 9999px;\n    border-top-right-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-r-none {\n    border-top-right-radius: 0px;\n    border-bottom-right-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-r-sm {\n    border-top-right-radius: 0.125rem;\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-r {\n    border-top-right-radius: 0.25rem;\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-r-md {\n    border-top-right-radius: 0.375rem;\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-r-lg {\n    border-top-right-radius: 0.5rem;\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-r-xl {\n    border-top-right-radius: 0.75rem;\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-r-2xl {\n    border-top-right-radius: 1rem;\n    border-bottom-right-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-r-3xl {\n    border-top-right-radius: 1.5rem;\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-r-full {\n    border-top-right-radius: 9999px;\n    border-bottom-right-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-b-none {\n    border-bottom-right-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-b-sm {\n    border-bottom-right-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-b {\n    border-bottom-right-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-b-md {\n    border-bottom-right-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-b-lg {\n    border-bottom-right-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-b-xl {\n    border-bottom-right-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-b-2xl {\n    border-bottom-right-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-b-3xl {\n    border-bottom-right-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-b-full {\n    border-bottom-right-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-l-none {\n    border-top-left-radius: 0px;\n    border-bottom-left-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-l-sm {\n    border-top-left-radius: 0.125rem;\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-l {\n    border-top-left-radius: 0.25rem;\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-l-md {\n    border-top-left-radius: 0.375rem;\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-l-lg {\n    border-top-left-radius: 0.5rem;\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-l-xl {\n    border-top-left-radius: 0.75rem;\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-l-2xl {\n    border-top-left-radius: 1rem;\n    border-bottom-left-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-l-3xl {\n    border-top-left-radius: 1.5rem;\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-l-full {\n    border-top-left-radius: 9999px;\n    border-bottom-left-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-tl-none {\n    border-top-left-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-tl-sm {\n    border-top-left-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-tl {\n    border-top-left-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-tl-md {\n    border-top-left-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-tl-lg {\n    border-top-left-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-tl-xl {\n    border-top-left-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-tl-2xl {\n    border-top-left-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-tl-3xl {\n    border-top-left-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-tl-full {\n    border-top-left-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-tr-none {\n    border-top-right-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-tr-sm {\n    border-top-right-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-tr {\n    border-top-right-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-tr-md {\n    border-top-right-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-tr-lg {\n    border-top-right-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-tr-xl {\n    border-top-right-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-tr-2xl {\n    border-top-right-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-tr-3xl {\n    border-top-right-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-tr-full {\n    border-top-right-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-br-none {\n    border-bottom-right-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-br-sm {\n    border-bottom-right-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-br {\n    border-bottom-right-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-br-md {\n    border-bottom-right-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-br-lg {\n    border-bottom-right-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-br-xl {\n    border-bottom-right-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-br-2xl {\n    border-bottom-right-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-br-3xl {\n    border-bottom-right-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-br-full {\n    border-bottom-right-radius: 9999px;\n  }\n\n  .\\32xl\\:rounded-bl-none {\n    border-bottom-left-radius: 0px;\n  }\n\n  .\\32xl\\:rounded-bl-sm {\n    border-bottom-left-radius: 0.125rem;\n  }\n\n  .\\32xl\\:rounded-bl {\n    border-bottom-left-radius: 0.25rem;\n  }\n\n  .\\32xl\\:rounded-bl-md {\n    border-bottom-left-radius: 0.375rem;\n  }\n\n  .\\32xl\\:rounded-bl-lg {\n    border-bottom-left-radius: 0.5rem;\n  }\n\n  .\\32xl\\:rounded-bl-xl {\n    border-bottom-left-radius: 0.75rem;\n  }\n\n  .\\32xl\\:rounded-bl-2xl {\n    border-bottom-left-radius: 1rem;\n  }\n\n  .\\32xl\\:rounded-bl-3xl {\n    border-bottom-left-radius: 1.5rem;\n  }\n\n  .\\32xl\\:rounded-bl-full {\n    border-bottom-left-radius: 9999px;\n  }\n\n  .\\32xl\\:border-0 {\n    border-width: 0px;\n  }\n\n  .\\32xl\\:border-2 {\n    border-width: 2px;\n  }\n\n  .\\32xl\\:border-4 {\n    border-width: 4px;\n  }\n\n  .\\32xl\\:border-8 {\n    border-width: 8px;\n  }\n\n  .\\32xl\\:border {\n    border-width: 1px;\n  }\n\n  .\\32xl\\:border-t-0 {\n    border-top-width: 0px;\n  }\n\n  .\\32xl\\:border-t-2 {\n    border-top-width: 2px;\n  }\n\n  .\\32xl\\:border-t-4 {\n    border-top-width: 4px;\n  }\n\n  .\\32xl\\:border-t-8 {\n    border-top-width: 8px;\n  }\n\n  .\\32xl\\:border-t {\n    border-top-width: 1px;\n  }\n\n  .\\32xl\\:border-r-0 {\n    border-right-width: 0px;\n  }\n\n  .\\32xl\\:border-r-2 {\n    border-right-width: 2px;\n  }\n\n  .\\32xl\\:border-r-4 {\n    border-right-width: 4px;\n  }\n\n  .\\32xl\\:border-r-8 {\n    border-right-width: 8px;\n  }\n\n  .\\32xl\\:border-r {\n    border-right-width: 1px;\n  }\n\n  .\\32xl\\:border-b-0 {\n    border-bottom-width: 0px;\n  }\n\n  .\\32xl\\:border-b-2 {\n    border-bottom-width: 2px;\n  }\n\n  .\\32xl\\:border-b-4 {\n    border-bottom-width: 4px;\n  }\n\n  .\\32xl\\:border-b-8 {\n    border-bottom-width: 8px;\n  }\n\n  .\\32xl\\:border-b {\n    border-bottom-width: 1px;\n  }\n\n  .\\32xl\\:border-l-0 {\n    border-left-width: 0px;\n  }\n\n  .\\32xl\\:border-l-2 {\n    border-left-width: 2px;\n  }\n\n  .\\32xl\\:border-l-4 {\n    border-left-width: 4px;\n  }\n\n  .\\32xl\\:border-l-8 {\n    border-left-width: 8px;\n  }\n\n  .\\32xl\\:border-l {\n    border-left-width: 1px;\n  }\n\n  .\\32xl\\:border-solid {\n    border-style: solid;\n  }\n\n  .\\32xl\\:border-dashed {\n    border-style: dashed;\n  }\n\n  .\\32xl\\:border-dotted {\n    border-style: dotted;\n  }\n\n  .\\32xl\\:border-double {\n    border-style: double;\n  }\n\n  .\\32xl\\:border-none {\n    border-style: none;\n  }\n\n  .\\32xl\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .\\32xl\\:border-current {\n    border-color: currentColor;\n  }\n\n  .\\32xl\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-transparent {\n    border-color: transparent;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-current {\n    border-color: currentColor;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-black {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-white {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-gray-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-red-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-yellow-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-green-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-blue-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-indigo-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-purple-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-50 {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-100 {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-200 {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-300 {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-400 {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-500 {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-600 {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-700 {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-800 {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-pink-900 {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-origin-protocol-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-origin-protocol-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-ousd-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-ousd-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-ousd-button-dark-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-ousd-button-dark-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-story-button-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-story-button-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-story-pink-start {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-story-pink-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-footer-end {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-transparent:focus-within {\n    border-color: transparent;\n  }\n\n  .\\32xl\\:focus-within\\:border-current:focus-within {\n    border-color: currentColor;\n  }\n\n  .\\32xl\\:focus-within\\:border-black:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-white:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-gray-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-red-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-yellow-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-green-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-blue-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-indigo-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-purple-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-50:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-100:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-200:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-300:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-400:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-500:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-600:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-700:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-800:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-pink-900:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-origin-protocol-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-origin-protocol-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-ousd-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-ousd-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-ousd-button-dark-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-ousd-button-dark-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-story-button-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-story-button-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-story-pink-start:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-story-pink-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:border-footer-end:focus-within {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-transparent:hover {\n    border-color: transparent;\n  }\n\n  .\\32xl\\:hover\\:border-current:hover {\n    border-color: currentColor;\n  }\n\n  .\\32xl\\:hover\\:border-black:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-white:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-gray-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-red-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-yellow-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-green-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-blue-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-indigo-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-purple-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-50:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-100:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-200:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-300:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-400:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-500:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-600:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-700:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-800:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-pink-900:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-origin-protocol-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-origin-protocol-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-ousd-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-ousd-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-ousd-button-dark-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-ousd-button-dark-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-story-button-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-story-button-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-story-pink-start:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-story-pink-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:hover\\:border-footer-end:hover {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-transparent:focus {\n    border-color: transparent;\n  }\n\n  .\\32xl\\:focus\\:border-current:focus {\n    border-color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:border-black:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(0, 0, 0, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-white:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 255, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 250, 251, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(243, 244, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(229, 231, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 213, 219, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(156, 163, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(107, 114, 128, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(75, 85, 99, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 65, 81, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(31, 41, 55, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-gray-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(17, 24, 39, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 242, 242, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 226, 226, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 202, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 165, 165, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(248, 113, 113, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 68, 68, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(220, 38, 38, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(185, 28, 28, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(153, 27, 27, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-red-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(127, 29, 29, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(255, 251, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(254, 243, 199, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 230, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 211, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 191, 36, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 158, 11, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(217, 119, 6, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(180, 83, 9, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(146, 64, 14, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-yellow-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(120, 53, 15, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 253, 245, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(209, 250, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 243, 208, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(110, 231, 183, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(52, 211, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(16, 185, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(5, 150, 105, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(4, 120, 87, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 95, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-green-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(6, 78, 59, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(239, 246, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 234, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(191, 219, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(147, 197, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(96, 165, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(59, 130, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(37, 99, 235, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(29, 78, 216, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 64, 175, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-blue-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 58, 138, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(238, 242, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(224, 231, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(199, 210, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(165, 180, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(129, 140, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(99, 102, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(79, 70, 229, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(67, 56, 202, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(55, 48, 163, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-indigo-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(49, 46, 129, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(245, 243, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(237, 233, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(221, 214, 254, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(196, 181, 253, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(167, 139, 250, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(139, 92, 246, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(124, 58, 237, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(109, 40, 217, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(91, 33, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-purple-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(76, 29, 149, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-50:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 242, 248, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-100:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(252, 231, 243, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-200:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 207, 232, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-300:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(249, 168, 212, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-400:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(244, 114, 182, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-500:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(236, 72, 153, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-600:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(219, 39, 119, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-700:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(190, 24, 93, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-800:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(157, 23, 77, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-pink-900:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(131, 24, 67, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-origin-protocol-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-origin-protocol-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(2, 116, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-ousd-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(179, 97, 230, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-ousd-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(106, 54, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-ousd-button-dark-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(64, 33, 84, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-ousd-button-dark-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(18, 0, 70, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-story-button-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(140, 102, 252, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-story-button-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(66, 156, 255, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-story-pink-start:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(251, 37, 241, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-story-pink-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(253, 155, 194, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:focus\\:border-footer-end:focus {\n    --tw-border-opacity: 1;\n    border-color: rgba(30, 49, 63, var(--tw-border-opacity));\n  }\n\n  .\\32xl\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .\\32xl\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .\\32xl\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .\\32xl\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .\\32xl\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .\\32xl\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .\\32xl\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .\\32xl\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .\\32xl\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .\\32xl\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .\\32xl\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .\\32xl\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .\\32xl\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .\\32xl\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .\\32xl\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-0 {\n    --tw-border-opacity: 0;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-5 {\n    --tw-border-opacity: 0.05;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-10 {\n    --tw-border-opacity: 0.1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-20 {\n    --tw-border-opacity: 0.2;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-25 {\n    --tw-border-opacity: 0.25;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-30 {\n    --tw-border-opacity: 0.3;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-40 {\n    --tw-border-opacity: 0.4;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-50 {\n    --tw-border-opacity: 0.5;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-60 {\n    --tw-border-opacity: 0.6;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-70 {\n    --tw-border-opacity: 0.7;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-75 {\n    --tw-border-opacity: 0.75;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-80 {\n    --tw-border-opacity: 0.8;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-90 {\n    --tw-border-opacity: 0.9;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-95 {\n    --tw-border-opacity: 0.95;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:border-opacity-100 {\n    --tw-border-opacity: 1;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-0:focus-within {\n    --tw-border-opacity: 0;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-5:focus-within {\n    --tw-border-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-10:focus-within {\n    --tw-border-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-20:focus-within {\n    --tw-border-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-25:focus-within {\n    --tw-border-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-30:focus-within {\n    --tw-border-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-40:focus-within {\n    --tw-border-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-50:focus-within {\n    --tw-border-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-60:focus-within {\n    --tw-border-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-70:focus-within {\n    --tw-border-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-75:focus-within {\n    --tw-border-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-80:focus-within {\n    --tw-border-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-90:focus-within {\n    --tw-border-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-95:focus-within {\n    --tw-border-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus-within\\:border-opacity-100:focus-within {\n    --tw-border-opacity: 1;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-0:hover {\n    --tw-border-opacity: 0;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-5:hover {\n    --tw-border-opacity: 0.05;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-10:hover {\n    --tw-border-opacity: 0.1;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-20:hover {\n    --tw-border-opacity: 0.2;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-25:hover {\n    --tw-border-opacity: 0.25;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-30:hover {\n    --tw-border-opacity: 0.3;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-40:hover {\n    --tw-border-opacity: 0.4;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-50:hover {\n    --tw-border-opacity: 0.5;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-60:hover {\n    --tw-border-opacity: 0.6;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-70:hover {\n    --tw-border-opacity: 0.7;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-75:hover {\n    --tw-border-opacity: 0.75;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-80:hover {\n    --tw-border-opacity: 0.8;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-90:hover {\n    --tw-border-opacity: 0.9;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-95:hover {\n    --tw-border-opacity: 0.95;\n  }\n\n  .\\32xl\\:hover\\:border-opacity-100:hover {\n    --tw-border-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-0:focus {\n    --tw-border-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-5:focus {\n    --tw-border-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-10:focus {\n    --tw-border-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-20:focus {\n    --tw-border-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-25:focus {\n    --tw-border-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-30:focus {\n    --tw-border-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-40:focus {\n    --tw-border-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-50:focus {\n    --tw-border-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-60:focus {\n    --tw-border-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-70:focus {\n    --tw-border-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-75:focus {\n    --tw-border-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-80:focus {\n    --tw-border-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-90:focus {\n    --tw-border-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-95:focus {\n    --tw-border-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:border-opacity-100:focus {\n    --tw-border-opacity: 1;\n  }\n\n  .\\32xl\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .\\32xl\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .\\32xl\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-transparent {\n    background-color: transparent;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-current {\n    background-color: currentColor;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-black {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-white {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-gray-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-red-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-yellow-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-green-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-blue-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-indigo-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-purple-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-50 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-100 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-200 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-300 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-400 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-500 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-600 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-700 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-800 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-pink-900 {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-origin-protocol-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-origin-protocol-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-ousd-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-ousd-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-ousd-button-dark-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-ousd-button-dark-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-story-button-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-story-button-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-story-pink-start {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-story-pink-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-footer-end {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-transparent:focus-within {\n    background-color: transparent;\n  }\n\n  .\\32xl\\:focus-within\\:bg-current:focus-within {\n    background-color: currentColor;\n  }\n\n  .\\32xl\\:focus-within\\:bg-black:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-white:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-gray-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-red-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-yellow-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-green-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-blue-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-indigo-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-purple-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-50:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-100:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-200:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-300:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-400:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-500:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-600:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-700:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-800:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-pink-900:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-origin-protocol-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-origin-protocol-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-ousd-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-ousd-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-ousd-button-dark-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-ousd-button-dark-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-story-button-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-story-button-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-story-pink-start:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-story-pink-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:bg-footer-end:focus-within {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-transparent:hover {\n    background-color: transparent;\n  }\n\n  .\\32xl\\:hover\\:bg-current:hover {\n    background-color: currentColor;\n  }\n\n  .\\32xl\\:hover\\:bg-black:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-white:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-gray-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-red-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-yellow-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-green-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-blue-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-indigo-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-purple-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-50:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-100:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-200:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-300:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-400:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-500:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-600:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-700:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-800:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-pink-900:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-origin-protocol-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-origin-protocol-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-ousd-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-ousd-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-ousd-button-dark-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-ousd-button-dark-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-story-button-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-story-button-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-story-pink-start:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-story-pink-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:hover\\:bg-footer-end:hover {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-transparent:focus {\n    background-color: transparent;\n  }\n\n  .\\32xl\\:focus\\:bg-current:focus {\n    background-color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:bg-black:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(0, 0, 0, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-white:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 255, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 250, 251, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(243, 244, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(229, 231, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 213, 219, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(156, 163, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(107, 114, 128, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(75, 85, 99, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 65, 81, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(31, 41, 55, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-gray-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(17, 24, 39, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 242, 242, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 226, 226, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 202, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 165, 165, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(248, 113, 113, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 68, 68, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(220, 38, 38, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(185, 28, 28, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(153, 27, 27, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-red-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(127, 29, 29, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(255, 251, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(254, 243, 199, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 230, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 211, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 191, 36, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 158, 11, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(217, 119, 6, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(180, 83, 9, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(146, 64, 14, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-yellow-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(120, 53, 15, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 253, 245, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(209, 250, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 243, 208, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(110, 231, 183, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(52, 211, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(16, 185, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(5, 150, 105, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(4, 120, 87, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 95, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-green-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(6, 78, 59, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(239, 246, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 234, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(191, 219, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(147, 197, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(96, 165, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(59, 130, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(37, 99, 235, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(29, 78, 216, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 64, 175, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-blue-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 58, 138, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(238, 242, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(224, 231, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(199, 210, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(165, 180, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(129, 140, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(99, 102, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(79, 70, 229, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(67, 56, 202, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(55, 48, 163, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-indigo-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(49, 46, 129, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(245, 243, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(237, 233, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(221, 214, 254, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(196, 181, 253, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(167, 139, 250, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(139, 92, 246, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(124, 58, 237, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(109, 40, 217, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(91, 33, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-purple-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(76, 29, 149, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-50:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 242, 248, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-100:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(252, 231, 243, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-200:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 207, 232, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-300:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(249, 168, 212, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-400:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(244, 114, 182, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-500:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(236, 72, 153, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-600:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(219, 39, 119, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-700:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(190, 24, 93, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-800:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(157, 23, 77, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-pink-900:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(131, 24, 67, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-origin-protocol-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-origin-protocol-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(2, 116, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-ousd-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(179, 97, 230, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-ousd-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(106, 54, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-ousd-button-dark-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(64, 33, 84, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-ousd-button-dark-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(18, 0, 70, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-story-button-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(140, 102, 252, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-story-button-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(66, 156, 255, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-story-pink-start:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(251, 37, 241, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-story-pink-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(253, 155, 194, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:focus\\:bg-footer-end:focus {\n    --tw-bg-opacity: 1;\n    background-color: rgba(30, 49, 63, var(--tw-bg-opacity));\n  }\n\n  .\\32xl\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .\\32xl\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .\\32xl\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .\\32xl\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .\\32xl\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .\\32xl\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .\\32xl\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .\\32xl\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .\\32xl\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .\\32xl\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .\\32xl\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .\\32xl\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .\\32xl\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .\\32xl\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .\\32xl\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-0 {\n    --tw-bg-opacity: 0;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-5 {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-10 {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-20 {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-25 {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-30 {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-40 {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-50 {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-60 {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-70 {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-75 {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-80 {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-90 {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-95 {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:bg-opacity-100 {\n    --tw-bg-opacity: 1;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-0:focus-within {\n    --tw-bg-opacity: 0;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-5:focus-within {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-10:focus-within {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-20:focus-within {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-25:focus-within {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-30:focus-within {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-40:focus-within {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-50:focus-within {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-60:focus-within {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-70:focus-within {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-75:focus-within {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-80:focus-within {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-90:focus-within {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-95:focus-within {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus-within\\:bg-opacity-100:focus-within {\n    --tw-bg-opacity: 1;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-0:hover {\n    --tw-bg-opacity: 0;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-5:hover {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-10:hover {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-20:hover {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-25:hover {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-30:hover {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-40:hover {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-50:hover {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-60:hover {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-70:hover {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-75:hover {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-80:hover {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-90:hover {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-95:hover {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .\\32xl\\:hover\\:bg-opacity-100:hover {\n    --tw-bg-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-0:focus {\n    --tw-bg-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-5:focus {\n    --tw-bg-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-10:focus {\n    --tw-bg-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-20:focus {\n    --tw-bg-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-25:focus {\n    --tw-bg-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-30:focus {\n    --tw-bg-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-40:focus {\n    --tw-bg-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-50:focus {\n    --tw-bg-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-60:focus {\n    --tw-bg-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-70:focus {\n    --tw-bg-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-75:focus {\n    --tw-bg-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-80:focus {\n    --tw-bg-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-90:focus {\n    --tw-bg-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-95:focus {\n    --tw-bg-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:bg-opacity-100:focus {\n    --tw-bg-opacity: 1;\n  }\n\n  .\\32xl\\:bg-none {\n    background-image: none;\n  }\n\n  .\\32xl\\:bg-gradient-to-t {\n    background-image: linear-gradient(to top, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-tr {\n    background-image: linear-gradient(to top right, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-r {\n    background-image: linear-gradient(to right, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-br {\n    background-image: linear-gradient(to bottom right, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-b {\n    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-bl {\n    background-image: linear-gradient(to bottom left, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-l {\n    background-image: linear-gradient(to left, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:bg-gradient-to-tl {\n    background-image: linear-gradient(to top left, var(--tw-gradient-stops));\n  }\n\n  .\\32xl\\:from-transparent {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:from-current {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:from-black {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:from-white {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:from-gray-50 {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:from-gray-100 {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:from-gray-200 {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:from-gray-300 {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:from-gray-400 {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:from-gray-500 {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:from-gray-600 {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:from-gray-700 {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:from-gray-800 {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:from-gray-900 {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:from-red-50 {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:from-red-100 {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:from-red-200 {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:from-red-300 {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:from-red-400 {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:from-red-500 {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:from-red-600 {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:from-red-700 {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:from-red-800 {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:from-red-900 {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:from-yellow-50 {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:from-yellow-100 {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:from-yellow-200 {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:from-yellow-300 {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:from-yellow-400 {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:from-yellow-500 {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:from-yellow-600 {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:from-yellow-700 {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:from-yellow-800 {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:from-yellow-900 {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:from-green-50 {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:from-green-100 {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:from-green-200 {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:from-green-300 {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:from-green-400 {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:from-green-500 {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:from-green-600 {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:from-green-700 {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:from-green-800 {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:from-green-900 {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:from-blue-50 {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:from-blue-100 {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:from-blue-200 {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:from-blue-300 {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:from-blue-400 {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:from-blue-500 {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:from-blue-600 {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:from-blue-700 {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:from-blue-800 {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:from-blue-900 {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:from-indigo-50 {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:from-indigo-100 {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:from-indigo-200 {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:from-indigo-300 {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:from-indigo-400 {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:from-indigo-500 {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:from-indigo-600 {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:from-indigo-700 {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:from-indigo-800 {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:from-indigo-900 {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:from-purple-50 {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:from-purple-100 {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:from-purple-200 {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:from-purple-300 {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:from-purple-400 {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:from-purple-500 {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:from-purple-600 {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:from-purple-700 {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:from-purple-800 {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:from-purple-900 {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:from-pink-50 {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:from-pink-100 {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:from-pink-200 {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:from-pink-300 {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:from-pink-400 {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:from-pink-500 {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:from-pink-600 {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:from-pink-700 {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:from-pink-800 {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:from-pink-900 {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:from-origin-protocol-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:from-origin-protocol-button-end {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:from-ousd-button-start {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:from-ousd-button-end {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:from-ousd-button-dark-start {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:from-ousd-button-dark-end {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:from-story-button-start {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:from-story-button-end {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:from-story-pink-start {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:from-story-pink-end {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:from-footer-end {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:hover\\:from-transparent:hover {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:hover\\:from-current:hover {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-black:hover {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:hover\\:from-white:hover {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-50:hover {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-100:hover {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-200:hover {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-300:hover {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-400:hover {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-500:hover {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-600:hover {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-700:hover {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-800:hover {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:hover\\:from-gray-900:hover {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-50:hover {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-100:hover {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-200:hover {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-300:hover {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-400:hover {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-500:hover {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-600:hover {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-700:hover {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-800:hover {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:hover\\:from-red-900:hover {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-50:hover {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-100:hover {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-200:hover {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-300:hover {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-400:hover {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-500:hover {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-600:hover {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-700:hover {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-800:hover {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:hover\\:from-yellow-900:hover {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-50:hover {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-100:hover {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-200:hover {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-300:hover {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-400:hover {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-500:hover {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-600:hover {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-700:hover {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-800:hover {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:hover\\:from-green-900:hover {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-50:hover {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-100:hover {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-200:hover {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-300:hover {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-400:hover {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-500:hover {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-600:hover {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-700:hover {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-800:hover {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:hover\\:from-blue-900:hover {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-50:hover {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-100:hover {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-200:hover {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-300:hover {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-400:hover {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-500:hover {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-600:hover {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-700:hover {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-800:hover {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:hover\\:from-indigo-900:hover {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-50:hover {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-100:hover {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-200:hover {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-300:hover {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-400:hover {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-500:hover {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-600:hover {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-700:hover {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-800:hover {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:hover\\:from-purple-900:hover {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-50:hover {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-100:hover {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-200:hover {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-300:hover {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-400:hover {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-500:hover {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-600:hover {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-700:hover {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-800:hover {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:hover\\:from-pink-900:hover {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:hover\\:from-origin-protocol-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:from-origin-protocol-button-end:hover {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:from-ousd-button-start:hover {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:hover\\:from-ousd-button-end:hover {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:from-ousd-button-dark-start:hover {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:hover\\:from-ousd-button-dark-end:hover {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:hover\\:from-story-button-start:hover {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:from-story-button-end:hover {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:from-story-pink-start:hover {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:from-story-pink-end:hover {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:hover\\:from-footer-end:hover {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:focus\\:from-transparent:focus {\n    --tw-gradient-from: transparent;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:focus\\:from-current:focus {\n    --tw-gradient-from: currentColor;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-black:focus {\n    --tw-gradient-from: #000;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:focus\\:from-white:focus {\n    --tw-gradient-from: #fff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-50:focus {\n    --tw-gradient-from: #f9fafb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-100:focus {\n    --tw-gradient-from: #f3f4f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-200:focus {\n    --tw-gradient-from: #e5e7eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-300:focus {\n    --tw-gradient-from: #d1d5db;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-400:focus {\n    --tw-gradient-from: #9ca3af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-500:focus {\n    --tw-gradient-from: #6b7280;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-600:focus {\n    --tw-gradient-from: #4b5563;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-700:focus {\n    --tw-gradient-from: #374151;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-800:focus {\n    --tw-gradient-from: #1f2937;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:focus\\:from-gray-900:focus {\n    --tw-gradient-from: #111827;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-50:focus {\n    --tw-gradient-from: #fef2f2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-100:focus {\n    --tw-gradient-from: #fee2e2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-200:focus {\n    --tw-gradient-from: #fecaca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-300:focus {\n    --tw-gradient-from: #fca5a5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-400:focus {\n    --tw-gradient-from: #f87171;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-500:focus {\n    --tw-gradient-from: #ef4444;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-600:focus {\n    --tw-gradient-from: #dc2626;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-700:focus {\n    --tw-gradient-from: #b91c1c;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-800:focus {\n    --tw-gradient-from: #991b1b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:focus\\:from-red-900:focus {\n    --tw-gradient-from: #7f1d1d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-50:focus {\n    --tw-gradient-from: #fffbeb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-100:focus {\n    --tw-gradient-from: #fef3c7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-200:focus {\n    --tw-gradient-from: #fde68a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-300:focus {\n    --tw-gradient-from: #fcd34d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-400:focus {\n    --tw-gradient-from: #fbbf24;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-500:focus {\n    --tw-gradient-from: #f59e0b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-600:focus {\n    --tw-gradient-from: #d97706;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-700:focus {\n    --tw-gradient-from: #b45309;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-800:focus {\n    --tw-gradient-from: #92400e;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:focus\\:from-yellow-900:focus {\n    --tw-gradient-from: #78350f;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-50:focus {\n    --tw-gradient-from: #ecfdf5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-100:focus {\n    --tw-gradient-from: #d1fae5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-200:focus {\n    --tw-gradient-from: #a7f3d0;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-300:focus {\n    --tw-gradient-from: #6ee7b7;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-400:focus {\n    --tw-gradient-from: #34d399;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-500:focus {\n    --tw-gradient-from: #10b981;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-600:focus {\n    --tw-gradient-from: #059669;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-700:focus {\n    --tw-gradient-from: #047857;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-800:focus {\n    --tw-gradient-from: #065f46;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:focus\\:from-green-900:focus {\n    --tw-gradient-from: #064e3b;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-50:focus {\n    --tw-gradient-from: #eff6ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-100:focus {\n    --tw-gradient-from: #dbeafe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-200:focus {\n    --tw-gradient-from: #bfdbfe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-300:focus {\n    --tw-gradient-from: #93c5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-400:focus {\n    --tw-gradient-from: #60a5fa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-500:focus {\n    --tw-gradient-from: #3b82f6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-600:focus {\n    --tw-gradient-from: #2563eb;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-700:focus {\n    --tw-gradient-from: #1d4ed8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-800:focus {\n    --tw-gradient-from: #1e40af;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:focus\\:from-blue-900:focus {\n    --tw-gradient-from: #1e3a8a;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-50:focus {\n    --tw-gradient-from: #eef2ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-100:focus {\n    --tw-gradient-from: #e0e7ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-200:focus {\n    --tw-gradient-from: #c7d2fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-300:focus {\n    --tw-gradient-from: #a5b4fc;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-400:focus {\n    --tw-gradient-from: #818cf8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-500:focus {\n    --tw-gradient-from: #6366f1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-600:focus {\n    --tw-gradient-from: #4f46e5;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-700:focus {\n    --tw-gradient-from: #4338ca;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-800:focus {\n    --tw-gradient-from: #3730a3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:focus\\:from-indigo-900:focus {\n    --tw-gradient-from: #312e81;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-50:focus {\n    --tw-gradient-from: #f5f3ff;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-100:focus {\n    --tw-gradient-from: #ede9fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-200:focus {\n    --tw-gradient-from: #ddd6fe;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-300:focus {\n    --tw-gradient-from: #c4b5fd;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-400:focus {\n    --tw-gradient-from: #a78bfa;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-500:focus {\n    --tw-gradient-from: #8b5cf6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-600:focus {\n    --tw-gradient-from: #7c3aed;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-700:focus {\n    --tw-gradient-from: #6d28d9;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-800:focus {\n    --tw-gradient-from: #5b21b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:focus\\:from-purple-900:focus {\n    --tw-gradient-from: #4c1d95;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-50:focus {\n    --tw-gradient-from: #fdf2f8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-100:focus {\n    --tw-gradient-from: #fce7f3;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-200:focus {\n    --tw-gradient-from: #fbcfe8;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-300:focus {\n    --tw-gradient-from: #f9a8d4;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-400:focus {\n    --tw-gradient-from: #f472b6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-500:focus {\n    --tw-gradient-from: #ec4899;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-600:focus {\n    --tw-gradient-from: #db2777;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-700:focus {\n    --tw-gradient-from: #be185d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-800:focus {\n    --tw-gradient-from: #9d174d;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:focus\\:from-pink-900:focus {\n    --tw-gradient-from: #831843;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:focus\\:from-origin-protocol-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:from-origin-protocol-button-end:focus {\n    --tw-gradient-from: #0274F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:from-ousd-button-start:focus {\n    --tw-gradient-from: #B361E6;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:focus\\:from-ousd-button-end:focus {\n    --tw-gradient-from: #6A36FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:from-ousd-button-dark-start:focus {\n    --tw-gradient-from: #402154;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:focus\\:from-ousd-button-dark-end:focus {\n    --tw-gradient-from: #120046;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:focus\\:from-story-button-start:focus {\n    --tw-gradient-from: #8C66FC;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:from-story-button-end:focus {\n    --tw-gradient-from: #429CFF;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:from-story-pink-start:focus {\n    --tw-gradient-from: #FB25F1;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:from-story-pink-end:focus {\n    --tw-gradient-from: #FD9BC2;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:focus\\:from-footer-end:focus {\n    --tw-gradient-from: #1E313F;\n    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:via-transparent {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:via-current {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:via-black {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:via-white {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:via-gray-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:via-gray-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:via-gray-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:via-gray-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:via-gray-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:via-gray-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:via-gray-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:via-gray-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:via-gray-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:via-gray-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:via-red-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:via-red-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:via-red-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:via-red-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:via-red-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:via-red-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:via-red-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:via-red-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:via-red-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:via-red-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:via-yellow-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:via-yellow-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:via-yellow-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:via-yellow-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:via-yellow-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:via-yellow-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:via-yellow-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:via-yellow-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:via-yellow-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:via-yellow-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:via-green-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:via-green-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:via-green-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:via-green-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:via-green-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:via-green-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:via-green-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:via-green-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:via-green-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:via-green-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:via-blue-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:via-blue-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:via-blue-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:via-blue-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:via-blue-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:via-blue-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:via-blue-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:via-blue-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:via-blue-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:via-blue-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:via-indigo-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:via-indigo-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:via-indigo-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:via-indigo-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:via-indigo-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:via-indigo-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:via-indigo-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:via-indigo-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:via-indigo-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:via-indigo-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:via-purple-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:via-purple-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:via-purple-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:via-purple-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:via-purple-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:via-purple-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:via-purple-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:via-purple-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:via-purple-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:via-purple-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:via-pink-50 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:via-pink-100 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:via-pink-200 {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:via-pink-300 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:via-pink-400 {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:via-pink-500 {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:via-pink-600 {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:via-pink-700 {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:via-pink-800 {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:via-pink-900 {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:via-origin-protocol-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:via-origin-protocol-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:via-ousd-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:via-ousd-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:via-ousd-button-dark-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:via-ousd-button-dark-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:via-story-button-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:via-story-button-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:via-story-pink-start {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:via-story-pink-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:via-footer-end {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:hover\\:via-transparent:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:hover\\:via-current:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-black:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:hover\\:via-white:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:hover\\:via-gray-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:hover\\:via-red-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:hover\\:via-yellow-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:hover\\:via-green-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:hover\\:via-blue-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:hover\\:via-indigo-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:hover\\:via-purple-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-50:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-100:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-200:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-300:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-400:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-500:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-600:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-700:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-800:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:hover\\:via-pink-900:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:hover\\:via-origin-protocol-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:via-origin-protocol-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:via-ousd-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:hover\\:via-ousd-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:via-ousd-button-dark-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:hover\\:via-ousd-button-dark-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:hover\\:via-story-button-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:hover\\:via-story-button-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:hover\\:via-story-pink-start:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:hover\\:via-story-pink-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:hover\\:via-footer-end:hover {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:focus\\:via-transparent:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), transparent, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:focus\\:via-current:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), currentColor, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-black:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #000, var(--tw-gradient-to, rgba(0, 0, 0, 0));\n  }\n\n  .\\32xl\\:focus\\:via-white:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fff, var(--tw-gradient-to, rgba(255, 255, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9fafb, var(--tw-gradient-to, rgba(249, 250, 251, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f3f4f6, var(--tw-gradient-to, rgba(243, 244, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e5e7eb, var(--tw-gradient-to, rgba(229, 231, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1d5db, var(--tw-gradient-to, rgba(209, 213, 219, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9ca3af, var(--tw-gradient-to, rgba(156, 163, 175, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6b7280, var(--tw-gradient-to, rgba(107, 114, 128, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4b5563, var(--tw-gradient-to, rgba(75, 85, 99, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #374151, var(--tw-gradient-to, rgba(55, 65, 81, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1f2937, var(--tw-gradient-to, rgba(31, 41, 55, 0));\n  }\n\n  .\\32xl\\:focus\\:via-gray-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #111827, var(--tw-gradient-to, rgba(17, 24, 39, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef2f2, var(--tw-gradient-to, rgba(254, 242, 242, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fee2e2, var(--tw-gradient-to, rgba(254, 226, 226, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fecaca, var(--tw-gradient-to, rgba(254, 202, 202, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fca5a5, var(--tw-gradient-to, rgba(252, 165, 165, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f87171, var(--tw-gradient-to, rgba(248, 113, 113, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ef4444, var(--tw-gradient-to, rgba(239, 68, 68, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dc2626, var(--tw-gradient-to, rgba(220, 38, 38, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b91c1c, var(--tw-gradient-to, rgba(185, 28, 28, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #991b1b, var(--tw-gradient-to, rgba(153, 27, 27, 0));\n  }\n\n  .\\32xl\\:focus\\:via-red-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7f1d1d, var(--tw-gradient-to, rgba(127, 29, 29, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fffbeb, var(--tw-gradient-to, rgba(255, 251, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fef3c7, var(--tw-gradient-to, rgba(254, 243, 199, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fde68a, var(--tw-gradient-to, rgba(253, 230, 138, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fcd34d, var(--tw-gradient-to, rgba(252, 211, 77, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbbf24, var(--tw-gradient-to, rgba(251, 191, 36, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f59e0b, var(--tw-gradient-to, rgba(245, 158, 11, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d97706, var(--tw-gradient-to, rgba(217, 119, 6, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #b45309, var(--tw-gradient-to, rgba(180, 83, 9, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #92400e, var(--tw-gradient-to, rgba(146, 64, 14, 0));\n  }\n\n  .\\32xl\\:focus\\:via-yellow-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #78350f, var(--tw-gradient-to, rgba(120, 53, 15, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ecfdf5, var(--tw-gradient-to, rgba(236, 253, 245, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #d1fae5, var(--tw-gradient-to, rgba(209, 250, 229, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a7f3d0, var(--tw-gradient-to, rgba(167, 243, 208, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6ee7b7, var(--tw-gradient-to, rgba(110, 231, 183, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #34d399, var(--tw-gradient-to, rgba(52, 211, 153, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #10b981, var(--tw-gradient-to, rgba(16, 185, 129, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #059669, var(--tw-gradient-to, rgba(5, 150, 105, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #047857, var(--tw-gradient-to, rgba(4, 120, 87, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #065f46, var(--tw-gradient-to, rgba(6, 95, 70, 0));\n  }\n\n  .\\32xl\\:focus\\:via-green-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #064e3b, var(--tw-gradient-to, rgba(6, 78, 59, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eff6ff, var(--tw-gradient-to, rgba(239, 246, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #dbeafe, var(--tw-gradient-to, rgba(219, 234, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #bfdbfe, var(--tw-gradient-to, rgba(191, 219, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #93c5fd, var(--tw-gradient-to, rgba(147, 197, 253, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #60a5fa, var(--tw-gradient-to, rgba(96, 165, 250, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3b82f6, var(--tw-gradient-to, rgba(59, 130, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #2563eb, var(--tw-gradient-to, rgba(37, 99, 235, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1d4ed8, var(--tw-gradient-to, rgba(29, 78, 216, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e40af, var(--tw-gradient-to, rgba(30, 64, 175, 0));\n  }\n\n  .\\32xl\\:focus\\:via-blue-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1e3a8a, var(--tw-gradient-to, rgba(30, 58, 138, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #eef2ff, var(--tw-gradient-to, rgba(238, 242, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #e0e7ff, var(--tw-gradient-to, rgba(224, 231, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c7d2fe, var(--tw-gradient-to, rgba(199, 210, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a5b4fc, var(--tw-gradient-to, rgba(165, 180, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #818cf8, var(--tw-gradient-to, rgba(129, 140, 248, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6366f1, var(--tw-gradient-to, rgba(99, 102, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4f46e5, var(--tw-gradient-to, rgba(79, 70, 229, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4338ca, var(--tw-gradient-to, rgba(67, 56, 202, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #3730a3, var(--tw-gradient-to, rgba(55, 48, 163, 0));\n  }\n\n  .\\32xl\\:focus\\:via-indigo-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #312e81, var(--tw-gradient-to, rgba(49, 46, 129, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f5f3ff, var(--tw-gradient-to, rgba(245, 243, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ede9fe, var(--tw-gradient-to, rgba(237, 233, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ddd6fe, var(--tw-gradient-to, rgba(221, 214, 254, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #c4b5fd, var(--tw-gradient-to, rgba(196, 181, 253, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #a78bfa, var(--tw-gradient-to, rgba(167, 139, 250, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8b5cf6, var(--tw-gradient-to, rgba(139, 92, 246, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #7c3aed, var(--tw-gradient-to, rgba(124, 58, 237, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6d28d9, var(--tw-gradient-to, rgba(109, 40, 217, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #5b21b6, var(--tw-gradient-to, rgba(91, 33, 182, 0));\n  }\n\n  .\\32xl\\:focus\\:via-purple-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #4c1d95, var(--tw-gradient-to, rgba(76, 29, 149, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-50:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fdf2f8, var(--tw-gradient-to, rgba(253, 242, 248, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-100:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fce7f3, var(--tw-gradient-to, rgba(252, 231, 243, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-200:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #fbcfe8, var(--tw-gradient-to, rgba(251, 207, 232, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-300:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f9a8d4, var(--tw-gradient-to, rgba(249, 168, 212, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-400:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #f472b6, var(--tw-gradient-to, rgba(244, 114, 182, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-500:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #ec4899, var(--tw-gradient-to, rgba(236, 72, 153, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-600:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #db2777, var(--tw-gradient-to, rgba(219, 39, 119, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-700:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #be185d, var(--tw-gradient-to, rgba(190, 24, 93, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-800:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #9d174d, var(--tw-gradient-to, rgba(157, 23, 77, 0));\n  }\n\n  .\\32xl\\:focus\\:via-pink-900:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #831843, var(--tw-gradient-to, rgba(131, 24, 67, 0));\n  }\n\n  .\\32xl\\:focus\\:via-origin-protocol-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:via-origin-protocol-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #0274F1, var(--tw-gradient-to, rgba(2, 116, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:via-ousd-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #B361E6, var(--tw-gradient-to, rgba(179, 97, 230, 0));\n  }\n\n  .\\32xl\\:focus\\:via-ousd-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #6A36FC, var(--tw-gradient-to, rgba(106, 54, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:via-ousd-button-dark-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #402154, var(--tw-gradient-to, rgba(64, 33, 84, 0));\n  }\n\n  .\\32xl\\:focus\\:via-ousd-button-dark-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #120046, var(--tw-gradient-to, rgba(18, 0, 70, 0));\n  }\n\n  .\\32xl\\:focus\\:via-story-button-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #8C66FC, var(--tw-gradient-to, rgba(140, 102, 252, 0));\n  }\n\n  .\\32xl\\:focus\\:via-story-button-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #429CFF, var(--tw-gradient-to, rgba(66, 156, 255, 0));\n  }\n\n  .\\32xl\\:focus\\:via-story-pink-start:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FB25F1, var(--tw-gradient-to, rgba(251, 37, 241, 0));\n  }\n\n  .\\32xl\\:focus\\:via-story-pink-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #FD9BC2, var(--tw-gradient-to, rgba(253, 155, 194, 0));\n  }\n\n  .\\32xl\\:focus\\:via-footer-end:focus {\n    --tw-gradient-stops: var(--tw-gradient-from), #1E313F, var(--tw-gradient-to, rgba(30, 49, 63, 0));\n  }\n\n  .\\32xl\\:to-transparent {\n    --tw-gradient-to: transparent;\n  }\n\n  .\\32xl\\:to-current {\n    --tw-gradient-to: currentColor;\n  }\n\n  .\\32xl\\:to-black {\n    --tw-gradient-to: #000;\n  }\n\n  .\\32xl\\:to-white {\n    --tw-gradient-to: #fff;\n  }\n\n  .\\32xl\\:to-gray-50 {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .\\32xl\\:to-gray-100 {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .\\32xl\\:to-gray-200 {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .\\32xl\\:to-gray-300 {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .\\32xl\\:to-gray-400 {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .\\32xl\\:to-gray-500 {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .\\32xl\\:to-gray-600 {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .\\32xl\\:to-gray-700 {\n    --tw-gradient-to: #374151;\n  }\n\n  .\\32xl\\:to-gray-800 {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .\\32xl\\:to-gray-900 {\n    --tw-gradient-to: #111827;\n  }\n\n  .\\32xl\\:to-red-50 {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .\\32xl\\:to-red-100 {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .\\32xl\\:to-red-200 {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .\\32xl\\:to-red-300 {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .\\32xl\\:to-red-400 {\n    --tw-gradient-to: #f87171;\n  }\n\n  .\\32xl\\:to-red-500 {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .\\32xl\\:to-red-600 {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .\\32xl\\:to-red-700 {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .\\32xl\\:to-red-800 {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .\\32xl\\:to-red-900 {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .\\32xl\\:to-yellow-50 {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .\\32xl\\:to-yellow-100 {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .\\32xl\\:to-yellow-200 {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .\\32xl\\:to-yellow-300 {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .\\32xl\\:to-yellow-400 {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .\\32xl\\:to-yellow-500 {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .\\32xl\\:to-yellow-600 {\n    --tw-gradient-to: #d97706;\n  }\n\n  .\\32xl\\:to-yellow-700 {\n    --tw-gradient-to: #b45309;\n  }\n\n  .\\32xl\\:to-yellow-800 {\n    --tw-gradient-to: #92400e;\n  }\n\n  .\\32xl\\:to-yellow-900 {\n    --tw-gradient-to: #78350f;\n  }\n\n  .\\32xl\\:to-green-50 {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .\\32xl\\:to-green-100 {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .\\32xl\\:to-green-200 {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .\\32xl\\:to-green-300 {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .\\32xl\\:to-green-400 {\n    --tw-gradient-to: #34d399;\n  }\n\n  .\\32xl\\:to-green-500 {\n    --tw-gradient-to: #10b981;\n  }\n\n  .\\32xl\\:to-green-600 {\n    --tw-gradient-to: #059669;\n  }\n\n  .\\32xl\\:to-green-700 {\n    --tw-gradient-to: #047857;\n  }\n\n  .\\32xl\\:to-green-800 {\n    --tw-gradient-to: #065f46;\n  }\n\n  .\\32xl\\:to-green-900 {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .\\32xl\\:to-blue-50 {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .\\32xl\\:to-blue-100 {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .\\32xl\\:to-blue-200 {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .\\32xl\\:to-blue-300 {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .\\32xl\\:to-blue-400 {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .\\32xl\\:to-blue-500 {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .\\32xl\\:to-blue-600 {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .\\32xl\\:to-blue-700 {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .\\32xl\\:to-blue-800 {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .\\32xl\\:to-blue-900 {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .\\32xl\\:to-indigo-50 {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .\\32xl\\:to-indigo-100 {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .\\32xl\\:to-indigo-200 {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .\\32xl\\:to-indigo-300 {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .\\32xl\\:to-indigo-400 {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .\\32xl\\:to-indigo-500 {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .\\32xl\\:to-indigo-600 {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .\\32xl\\:to-indigo-700 {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .\\32xl\\:to-indigo-800 {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .\\32xl\\:to-indigo-900 {\n    --tw-gradient-to: #312e81;\n  }\n\n  .\\32xl\\:to-purple-50 {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .\\32xl\\:to-purple-100 {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .\\32xl\\:to-purple-200 {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .\\32xl\\:to-purple-300 {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .\\32xl\\:to-purple-400 {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .\\32xl\\:to-purple-500 {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .\\32xl\\:to-purple-600 {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .\\32xl\\:to-purple-700 {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .\\32xl\\:to-purple-800 {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .\\32xl\\:to-purple-900 {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .\\32xl\\:to-pink-50 {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .\\32xl\\:to-pink-100 {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .\\32xl\\:to-pink-200 {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .\\32xl\\:to-pink-300 {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .\\32xl\\:to-pink-400 {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .\\32xl\\:to-pink-500 {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .\\32xl\\:to-pink-600 {\n    --tw-gradient-to: #db2777;\n  }\n\n  .\\32xl\\:to-pink-700 {\n    --tw-gradient-to: #be185d;\n  }\n\n  .\\32xl\\:to-pink-800 {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .\\32xl\\:to-pink-900 {\n    --tw-gradient-to: #831843;\n  }\n\n  .\\32xl\\:to-origin-protocol-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:to-origin-protocol-button-end {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .\\32xl\\:to-ousd-button-start {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .\\32xl\\:to-ousd-button-end {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .\\32xl\\:to-ousd-button-dark-start {\n    --tw-gradient-to: #402154;\n  }\n\n  .\\32xl\\:to-ousd-button-dark-end {\n    --tw-gradient-to: #120046;\n  }\n\n  .\\32xl\\:to-story-button-start {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:to-story-button-end {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .\\32xl\\:to-story-pink-start {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .\\32xl\\:to-story-pink-end {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .\\32xl\\:to-footer-end {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .\\32xl\\:hover\\:to-transparent:hover {\n    --tw-gradient-to: transparent;\n  }\n\n  .\\32xl\\:hover\\:to-current:hover {\n    --tw-gradient-to: currentColor;\n  }\n\n  .\\32xl\\:hover\\:to-black:hover {\n    --tw-gradient-to: #000;\n  }\n\n  .\\32xl\\:hover\\:to-white:hover {\n    --tw-gradient-to: #fff;\n  }\n\n  .\\32xl\\:hover\\:to-gray-50:hover {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .\\32xl\\:hover\\:to-gray-100:hover {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .\\32xl\\:hover\\:to-gray-200:hover {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .\\32xl\\:hover\\:to-gray-300:hover {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .\\32xl\\:hover\\:to-gray-400:hover {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .\\32xl\\:hover\\:to-gray-500:hover {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .\\32xl\\:hover\\:to-gray-600:hover {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .\\32xl\\:hover\\:to-gray-700:hover {\n    --tw-gradient-to: #374151;\n  }\n\n  .\\32xl\\:hover\\:to-gray-800:hover {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .\\32xl\\:hover\\:to-gray-900:hover {\n    --tw-gradient-to: #111827;\n  }\n\n  .\\32xl\\:hover\\:to-red-50:hover {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .\\32xl\\:hover\\:to-red-100:hover {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .\\32xl\\:hover\\:to-red-200:hover {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .\\32xl\\:hover\\:to-red-300:hover {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .\\32xl\\:hover\\:to-red-400:hover {\n    --tw-gradient-to: #f87171;\n  }\n\n  .\\32xl\\:hover\\:to-red-500:hover {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .\\32xl\\:hover\\:to-red-600:hover {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .\\32xl\\:hover\\:to-red-700:hover {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .\\32xl\\:hover\\:to-red-800:hover {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .\\32xl\\:hover\\:to-red-900:hover {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-50:hover {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-100:hover {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-200:hover {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-300:hover {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-400:hover {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-500:hover {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-600:hover {\n    --tw-gradient-to: #d97706;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-700:hover {\n    --tw-gradient-to: #b45309;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-800:hover {\n    --tw-gradient-to: #92400e;\n  }\n\n  .\\32xl\\:hover\\:to-yellow-900:hover {\n    --tw-gradient-to: #78350f;\n  }\n\n  .\\32xl\\:hover\\:to-green-50:hover {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .\\32xl\\:hover\\:to-green-100:hover {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .\\32xl\\:hover\\:to-green-200:hover {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .\\32xl\\:hover\\:to-green-300:hover {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .\\32xl\\:hover\\:to-green-400:hover {\n    --tw-gradient-to: #34d399;\n  }\n\n  .\\32xl\\:hover\\:to-green-500:hover {\n    --tw-gradient-to: #10b981;\n  }\n\n  .\\32xl\\:hover\\:to-green-600:hover {\n    --tw-gradient-to: #059669;\n  }\n\n  .\\32xl\\:hover\\:to-green-700:hover {\n    --tw-gradient-to: #047857;\n  }\n\n  .\\32xl\\:hover\\:to-green-800:hover {\n    --tw-gradient-to: #065f46;\n  }\n\n  .\\32xl\\:hover\\:to-green-900:hover {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .\\32xl\\:hover\\:to-blue-50:hover {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .\\32xl\\:hover\\:to-blue-100:hover {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .\\32xl\\:hover\\:to-blue-200:hover {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .\\32xl\\:hover\\:to-blue-300:hover {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .\\32xl\\:hover\\:to-blue-400:hover {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .\\32xl\\:hover\\:to-blue-500:hover {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .\\32xl\\:hover\\:to-blue-600:hover {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .\\32xl\\:hover\\:to-blue-700:hover {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .\\32xl\\:hover\\:to-blue-800:hover {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .\\32xl\\:hover\\:to-blue-900:hover {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-50:hover {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-100:hover {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-200:hover {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-300:hover {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-400:hover {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-500:hover {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-600:hover {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-700:hover {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-800:hover {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .\\32xl\\:hover\\:to-indigo-900:hover {\n    --tw-gradient-to: #312e81;\n  }\n\n  .\\32xl\\:hover\\:to-purple-50:hover {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .\\32xl\\:hover\\:to-purple-100:hover {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .\\32xl\\:hover\\:to-purple-200:hover {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .\\32xl\\:hover\\:to-purple-300:hover {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .\\32xl\\:hover\\:to-purple-400:hover {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .\\32xl\\:hover\\:to-purple-500:hover {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .\\32xl\\:hover\\:to-purple-600:hover {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .\\32xl\\:hover\\:to-purple-700:hover {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .\\32xl\\:hover\\:to-purple-800:hover {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .\\32xl\\:hover\\:to-purple-900:hover {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .\\32xl\\:hover\\:to-pink-50:hover {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .\\32xl\\:hover\\:to-pink-100:hover {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .\\32xl\\:hover\\:to-pink-200:hover {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .\\32xl\\:hover\\:to-pink-300:hover {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .\\32xl\\:hover\\:to-pink-400:hover {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .\\32xl\\:hover\\:to-pink-500:hover {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .\\32xl\\:hover\\:to-pink-600:hover {\n    --tw-gradient-to: #db2777;\n  }\n\n  .\\32xl\\:hover\\:to-pink-700:hover {\n    --tw-gradient-to: #be185d;\n  }\n\n  .\\32xl\\:hover\\:to-pink-800:hover {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .\\32xl\\:hover\\:to-pink-900:hover {\n    --tw-gradient-to: #831843;\n  }\n\n  .\\32xl\\:hover\\:to-origin-protocol-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:hover\\:to-origin-protocol-button-end:hover {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .\\32xl\\:hover\\:to-ousd-button-start:hover {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .\\32xl\\:hover\\:to-ousd-button-end:hover {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .\\32xl\\:hover\\:to-ousd-button-dark-start:hover {\n    --tw-gradient-to: #402154;\n  }\n\n  .\\32xl\\:hover\\:to-ousd-button-dark-end:hover {\n    --tw-gradient-to: #120046;\n  }\n\n  .\\32xl\\:hover\\:to-story-button-start:hover {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:hover\\:to-story-button-end:hover {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .\\32xl\\:hover\\:to-story-pink-start:hover {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .\\32xl\\:hover\\:to-story-pink-end:hover {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .\\32xl\\:hover\\:to-footer-end:hover {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .\\32xl\\:focus\\:to-transparent:focus {\n    --tw-gradient-to: transparent;\n  }\n\n  .\\32xl\\:focus\\:to-current:focus {\n    --tw-gradient-to: currentColor;\n  }\n\n  .\\32xl\\:focus\\:to-black:focus {\n    --tw-gradient-to: #000;\n  }\n\n  .\\32xl\\:focus\\:to-white:focus {\n    --tw-gradient-to: #fff;\n  }\n\n  .\\32xl\\:focus\\:to-gray-50:focus {\n    --tw-gradient-to: #f9fafb;\n  }\n\n  .\\32xl\\:focus\\:to-gray-100:focus {\n    --tw-gradient-to: #f3f4f6;\n  }\n\n  .\\32xl\\:focus\\:to-gray-200:focus {\n    --tw-gradient-to: #e5e7eb;\n  }\n\n  .\\32xl\\:focus\\:to-gray-300:focus {\n    --tw-gradient-to: #d1d5db;\n  }\n\n  .\\32xl\\:focus\\:to-gray-400:focus {\n    --tw-gradient-to: #9ca3af;\n  }\n\n  .\\32xl\\:focus\\:to-gray-500:focus {\n    --tw-gradient-to: #6b7280;\n  }\n\n  .\\32xl\\:focus\\:to-gray-600:focus {\n    --tw-gradient-to: #4b5563;\n  }\n\n  .\\32xl\\:focus\\:to-gray-700:focus {\n    --tw-gradient-to: #374151;\n  }\n\n  .\\32xl\\:focus\\:to-gray-800:focus {\n    --tw-gradient-to: #1f2937;\n  }\n\n  .\\32xl\\:focus\\:to-gray-900:focus {\n    --tw-gradient-to: #111827;\n  }\n\n  .\\32xl\\:focus\\:to-red-50:focus {\n    --tw-gradient-to: #fef2f2;\n  }\n\n  .\\32xl\\:focus\\:to-red-100:focus {\n    --tw-gradient-to: #fee2e2;\n  }\n\n  .\\32xl\\:focus\\:to-red-200:focus {\n    --tw-gradient-to: #fecaca;\n  }\n\n  .\\32xl\\:focus\\:to-red-300:focus {\n    --tw-gradient-to: #fca5a5;\n  }\n\n  .\\32xl\\:focus\\:to-red-400:focus {\n    --tw-gradient-to: #f87171;\n  }\n\n  .\\32xl\\:focus\\:to-red-500:focus {\n    --tw-gradient-to: #ef4444;\n  }\n\n  .\\32xl\\:focus\\:to-red-600:focus {\n    --tw-gradient-to: #dc2626;\n  }\n\n  .\\32xl\\:focus\\:to-red-700:focus {\n    --tw-gradient-to: #b91c1c;\n  }\n\n  .\\32xl\\:focus\\:to-red-800:focus {\n    --tw-gradient-to: #991b1b;\n  }\n\n  .\\32xl\\:focus\\:to-red-900:focus {\n    --tw-gradient-to: #7f1d1d;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-50:focus {\n    --tw-gradient-to: #fffbeb;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-100:focus {\n    --tw-gradient-to: #fef3c7;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-200:focus {\n    --tw-gradient-to: #fde68a;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-300:focus {\n    --tw-gradient-to: #fcd34d;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-400:focus {\n    --tw-gradient-to: #fbbf24;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-500:focus {\n    --tw-gradient-to: #f59e0b;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-600:focus {\n    --tw-gradient-to: #d97706;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-700:focus {\n    --tw-gradient-to: #b45309;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-800:focus {\n    --tw-gradient-to: #92400e;\n  }\n\n  .\\32xl\\:focus\\:to-yellow-900:focus {\n    --tw-gradient-to: #78350f;\n  }\n\n  .\\32xl\\:focus\\:to-green-50:focus {\n    --tw-gradient-to: #ecfdf5;\n  }\n\n  .\\32xl\\:focus\\:to-green-100:focus {\n    --tw-gradient-to: #d1fae5;\n  }\n\n  .\\32xl\\:focus\\:to-green-200:focus {\n    --tw-gradient-to: #a7f3d0;\n  }\n\n  .\\32xl\\:focus\\:to-green-300:focus {\n    --tw-gradient-to: #6ee7b7;\n  }\n\n  .\\32xl\\:focus\\:to-green-400:focus {\n    --tw-gradient-to: #34d399;\n  }\n\n  .\\32xl\\:focus\\:to-green-500:focus {\n    --tw-gradient-to: #10b981;\n  }\n\n  .\\32xl\\:focus\\:to-green-600:focus {\n    --tw-gradient-to: #059669;\n  }\n\n  .\\32xl\\:focus\\:to-green-700:focus {\n    --tw-gradient-to: #047857;\n  }\n\n  .\\32xl\\:focus\\:to-green-800:focus {\n    --tw-gradient-to: #065f46;\n  }\n\n  .\\32xl\\:focus\\:to-green-900:focus {\n    --tw-gradient-to: #064e3b;\n  }\n\n  .\\32xl\\:focus\\:to-blue-50:focus {\n    --tw-gradient-to: #eff6ff;\n  }\n\n  .\\32xl\\:focus\\:to-blue-100:focus {\n    --tw-gradient-to: #dbeafe;\n  }\n\n  .\\32xl\\:focus\\:to-blue-200:focus {\n    --tw-gradient-to: #bfdbfe;\n  }\n\n  .\\32xl\\:focus\\:to-blue-300:focus {\n    --tw-gradient-to: #93c5fd;\n  }\n\n  .\\32xl\\:focus\\:to-blue-400:focus {\n    --tw-gradient-to: #60a5fa;\n  }\n\n  .\\32xl\\:focus\\:to-blue-500:focus {\n    --tw-gradient-to: #3b82f6;\n  }\n\n  .\\32xl\\:focus\\:to-blue-600:focus {\n    --tw-gradient-to: #2563eb;\n  }\n\n  .\\32xl\\:focus\\:to-blue-700:focus {\n    --tw-gradient-to: #1d4ed8;\n  }\n\n  .\\32xl\\:focus\\:to-blue-800:focus {\n    --tw-gradient-to: #1e40af;\n  }\n\n  .\\32xl\\:focus\\:to-blue-900:focus {\n    --tw-gradient-to: #1e3a8a;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-50:focus {\n    --tw-gradient-to: #eef2ff;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-100:focus {\n    --tw-gradient-to: #e0e7ff;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-200:focus {\n    --tw-gradient-to: #c7d2fe;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-300:focus {\n    --tw-gradient-to: #a5b4fc;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-400:focus {\n    --tw-gradient-to: #818cf8;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-500:focus {\n    --tw-gradient-to: #6366f1;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-600:focus {\n    --tw-gradient-to: #4f46e5;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-700:focus {\n    --tw-gradient-to: #4338ca;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-800:focus {\n    --tw-gradient-to: #3730a3;\n  }\n\n  .\\32xl\\:focus\\:to-indigo-900:focus {\n    --tw-gradient-to: #312e81;\n  }\n\n  .\\32xl\\:focus\\:to-purple-50:focus {\n    --tw-gradient-to: #f5f3ff;\n  }\n\n  .\\32xl\\:focus\\:to-purple-100:focus {\n    --tw-gradient-to: #ede9fe;\n  }\n\n  .\\32xl\\:focus\\:to-purple-200:focus {\n    --tw-gradient-to: #ddd6fe;\n  }\n\n  .\\32xl\\:focus\\:to-purple-300:focus {\n    --tw-gradient-to: #c4b5fd;\n  }\n\n  .\\32xl\\:focus\\:to-purple-400:focus {\n    --tw-gradient-to: #a78bfa;\n  }\n\n  .\\32xl\\:focus\\:to-purple-500:focus {\n    --tw-gradient-to: #8b5cf6;\n  }\n\n  .\\32xl\\:focus\\:to-purple-600:focus {\n    --tw-gradient-to: #7c3aed;\n  }\n\n  .\\32xl\\:focus\\:to-purple-700:focus {\n    --tw-gradient-to: #6d28d9;\n  }\n\n  .\\32xl\\:focus\\:to-purple-800:focus {\n    --tw-gradient-to: #5b21b6;\n  }\n\n  .\\32xl\\:focus\\:to-purple-900:focus {\n    --tw-gradient-to: #4c1d95;\n  }\n\n  .\\32xl\\:focus\\:to-pink-50:focus {\n    --tw-gradient-to: #fdf2f8;\n  }\n\n  .\\32xl\\:focus\\:to-pink-100:focus {\n    --tw-gradient-to: #fce7f3;\n  }\n\n  .\\32xl\\:focus\\:to-pink-200:focus {\n    --tw-gradient-to: #fbcfe8;\n  }\n\n  .\\32xl\\:focus\\:to-pink-300:focus {\n    --tw-gradient-to: #f9a8d4;\n  }\n\n  .\\32xl\\:focus\\:to-pink-400:focus {\n    --tw-gradient-to: #f472b6;\n  }\n\n  .\\32xl\\:focus\\:to-pink-500:focus {\n    --tw-gradient-to: #ec4899;\n  }\n\n  .\\32xl\\:focus\\:to-pink-600:focus {\n    --tw-gradient-to: #db2777;\n  }\n\n  .\\32xl\\:focus\\:to-pink-700:focus {\n    --tw-gradient-to: #be185d;\n  }\n\n  .\\32xl\\:focus\\:to-pink-800:focus {\n    --tw-gradient-to: #9d174d;\n  }\n\n  .\\32xl\\:focus\\:to-pink-900:focus {\n    --tw-gradient-to: #831843;\n  }\n\n  .\\32xl\\:focus\\:to-origin-protocol-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:focus\\:to-origin-protocol-button-end:focus {\n    --tw-gradient-to: #0274F1;\n  }\n\n  .\\32xl\\:focus\\:to-ousd-button-start:focus {\n    --tw-gradient-to: #B361E6;\n  }\n\n  .\\32xl\\:focus\\:to-ousd-button-end:focus {\n    --tw-gradient-to: #6A36FC;\n  }\n\n  .\\32xl\\:focus\\:to-ousd-button-dark-start:focus {\n    --tw-gradient-to: #402154;\n  }\n\n  .\\32xl\\:focus\\:to-ousd-button-dark-end:focus {\n    --tw-gradient-to: #120046;\n  }\n\n  .\\32xl\\:focus\\:to-story-button-start:focus {\n    --tw-gradient-to: #8C66FC;\n  }\n\n  .\\32xl\\:focus\\:to-story-button-end:focus {\n    --tw-gradient-to: #429CFF;\n  }\n\n  .\\32xl\\:focus\\:to-story-pink-start:focus {\n    --tw-gradient-to: #FB25F1;\n  }\n\n  .\\32xl\\:focus\\:to-story-pink-end:focus {\n    --tw-gradient-to: #FD9BC2;\n  }\n\n  .\\32xl\\:focus\\:to-footer-end:focus {\n    --tw-gradient-to: #1E313F;\n  }\n\n  .\\32xl\\:decoration-slice {\n    -webkit-box-decoration-break: slice;\n            box-decoration-break: slice;\n  }\n\n  .\\32xl\\:decoration-clone {\n    -webkit-box-decoration-break: clone;\n            box-decoration-break: clone;\n  }\n\n  .\\32xl\\:bg-auto {\n    background-size: auto;\n  }\n\n  .\\32xl\\:bg-cover {\n    background-size: cover;\n  }\n\n  .\\32xl\\:bg-contain {\n    background-size: contain;\n  }\n\n  .\\32xl\\:bg-fixed {\n    background-attachment: fixed;\n  }\n\n  .\\32xl\\:bg-local {\n    background-attachment: local;\n  }\n\n  .\\32xl\\:bg-scroll {\n    background-attachment: scroll;\n  }\n\n  .\\32xl\\:bg-clip-border {\n    background-clip: border-box;\n  }\n\n  .\\32xl\\:bg-clip-padding {\n    background-clip: padding-box;\n  }\n\n  .\\32xl\\:bg-clip-content {\n    background-clip: content-box;\n  }\n\n  .\\32xl\\:bg-clip-text {\n    -webkit-background-clip: text;\n            background-clip: text;\n  }\n\n  .\\32xl\\:bg-bottom {\n    background-position: bottom;\n  }\n\n  .\\32xl\\:bg-center {\n    background-position: center;\n  }\n\n  .\\32xl\\:bg-left {\n    background-position: left;\n  }\n\n  .\\32xl\\:bg-left-bottom {\n    background-position: left bottom;\n  }\n\n  .\\32xl\\:bg-left-top {\n    background-position: left top;\n  }\n\n  .\\32xl\\:bg-right {\n    background-position: right;\n  }\n\n  .\\32xl\\:bg-right-bottom {\n    background-position: right bottom;\n  }\n\n  .\\32xl\\:bg-right-top {\n    background-position: right top;\n  }\n\n  .\\32xl\\:bg-top {\n    background-position: top;\n  }\n\n  .\\32xl\\:bg-repeat {\n    background-repeat: repeat;\n  }\n\n  .\\32xl\\:bg-no-repeat {\n    background-repeat: no-repeat;\n  }\n\n  .\\32xl\\:bg-repeat-x {\n    background-repeat: repeat-x;\n  }\n\n  .\\32xl\\:bg-repeat-y {\n    background-repeat: repeat-y;\n  }\n\n  .\\32xl\\:bg-repeat-round {\n    background-repeat: round;\n  }\n\n  .\\32xl\\:bg-repeat-space {\n    background-repeat: space;\n  }\n\n  .\\32xl\\:bg-origin-border {\n    background-origin: border-box;\n  }\n\n  .\\32xl\\:bg-origin-padding {\n    background-origin: padding-box;\n  }\n\n  .\\32xl\\:bg-origin-content {\n    background-origin: content-box;\n  }\n\n  .\\32xl\\:fill-current {\n    fill: currentColor;\n  }\n\n  .\\32xl\\:stroke-current {\n    stroke: currentColor;\n  }\n\n  .\\32xl\\:stroke-0 {\n    stroke-width: 0;\n  }\n\n  .\\32xl\\:stroke-1 {\n    stroke-width: 1;\n  }\n\n  .\\32xl\\:stroke-2 {\n    stroke-width: 2;\n  }\n\n  .\\32xl\\:object-contain {\n    -o-object-fit: contain;\n       object-fit: contain;\n  }\n\n  .\\32xl\\:object-cover {\n    -o-object-fit: cover;\n       object-fit: cover;\n  }\n\n  .\\32xl\\:object-fill {\n    -o-object-fit: fill;\n       object-fit: fill;\n  }\n\n  .\\32xl\\:object-none {\n    -o-object-fit: none;\n       object-fit: none;\n  }\n\n  .\\32xl\\:object-scale-down {\n    -o-object-fit: scale-down;\n       object-fit: scale-down;\n  }\n\n  .\\32xl\\:object-bottom {\n    -o-object-position: bottom;\n       object-position: bottom;\n  }\n\n  .\\32xl\\:object-center {\n    -o-object-position: center;\n       object-position: center;\n  }\n\n  .\\32xl\\:object-left {\n    -o-object-position: left;\n       object-position: left;\n  }\n\n  .\\32xl\\:object-left-bottom {\n    -o-object-position: left bottom;\n       object-position: left bottom;\n  }\n\n  .\\32xl\\:object-left-top {\n    -o-object-position: left top;\n       object-position: left top;\n  }\n\n  .\\32xl\\:object-right {\n    -o-object-position: right;\n       object-position: right;\n  }\n\n  .\\32xl\\:object-right-bottom {\n    -o-object-position: right bottom;\n       object-position: right bottom;\n  }\n\n  .\\32xl\\:object-right-top {\n    -o-object-position: right top;\n       object-position: right top;\n  }\n\n  .\\32xl\\:object-top {\n    -o-object-position: top;\n       object-position: top;\n  }\n\n  .\\32xl\\:p-0 {\n    padding: 0px;\n  }\n\n  .\\32xl\\:p-1 {\n    padding: 0.25rem;\n  }\n\n  .\\32xl\\:p-2 {\n    padding: 0.5rem;\n  }\n\n  .\\32xl\\:p-3 {\n    padding: 0.75rem;\n  }\n\n  .\\32xl\\:p-4 {\n    padding: 1rem;\n  }\n\n  .\\32xl\\:p-5 {\n    padding: 1.25rem;\n  }\n\n  .\\32xl\\:p-6 {\n    padding: 1.5rem;\n  }\n\n  .\\32xl\\:p-7 {\n    padding: 1.75rem;\n  }\n\n  .\\32xl\\:p-8 {\n    padding: 2rem;\n  }\n\n  .\\32xl\\:p-9 {\n    padding: 2.25rem;\n  }\n\n  .\\32xl\\:p-10 {\n    padding: 2.5rem;\n  }\n\n  .\\32xl\\:p-11 {\n    padding: 2.75rem;\n  }\n\n  .\\32xl\\:p-12 {\n    padding: 3rem;\n  }\n\n  .\\32xl\\:p-14 {\n    padding: 3.5rem;\n  }\n\n  .\\32xl\\:p-16 {\n    padding: 4rem;\n  }\n\n  .\\32xl\\:p-20 {\n    padding: 5rem;\n  }\n\n  .\\32xl\\:p-24 {\n    padding: 6rem;\n  }\n\n  .\\32xl\\:p-28 {\n    padding: 7rem;\n  }\n\n  .\\32xl\\:p-32 {\n    padding: 8rem;\n  }\n\n  .\\32xl\\:p-36 {\n    padding: 9rem;\n  }\n\n  .\\32xl\\:p-40 {\n    padding: 10rem;\n  }\n\n  .\\32xl\\:p-44 {\n    padding: 11rem;\n  }\n\n  .\\32xl\\:p-48 {\n    padding: 12rem;\n  }\n\n  .\\32xl\\:p-52 {\n    padding: 13rem;\n  }\n\n  .\\32xl\\:p-56 {\n    padding: 14rem;\n  }\n\n  .\\32xl\\:p-60 {\n    padding: 15rem;\n  }\n\n  .\\32xl\\:p-64 {\n    padding: 16rem;\n  }\n\n  .\\32xl\\:p-72 {\n    padding: 18rem;\n  }\n\n  .\\32xl\\:p-80 {\n    padding: 20rem;\n  }\n\n  .\\32xl\\:p-96 {\n    padding: 24rem;\n  }\n\n  .\\32xl\\:p-px {\n    padding: 1px;\n  }\n\n  .\\32xl\\:p-0\\.5 {\n    padding: 0.125rem;\n  }\n\n  .\\32xl\\:p-1\\.5 {\n    padding: 0.375rem;\n  }\n\n  .\\32xl\\:p-2\\.5 {\n    padding: 0.625rem;\n  }\n\n  .\\32xl\\:p-3\\.5 {\n    padding: 0.875rem;\n  }\n\n  .\\32xl\\:px-0 {\n    padding-left: 0px;\n    padding-right: 0px;\n  }\n\n  .\\32xl\\:px-1 {\n    padding-left: 0.25rem;\n    padding-right: 0.25rem;\n  }\n\n  .\\32xl\\:px-2 {\n    padding-left: 0.5rem;\n    padding-right: 0.5rem;\n  }\n\n  .\\32xl\\:px-3 {\n    padding-left: 0.75rem;\n    padding-right: 0.75rem;\n  }\n\n  .\\32xl\\:px-4 {\n    padding-left: 1rem;\n    padding-right: 1rem;\n  }\n\n  .\\32xl\\:px-5 {\n    padding-left: 1.25rem;\n    padding-right: 1.25rem;\n  }\n\n  .\\32xl\\:px-6 {\n    padding-left: 1.5rem;\n    padding-right: 1.5rem;\n  }\n\n  .\\32xl\\:px-7 {\n    padding-left: 1.75rem;\n    padding-right: 1.75rem;\n  }\n\n  .\\32xl\\:px-8 {\n    padding-left: 2rem;\n    padding-right: 2rem;\n  }\n\n  .\\32xl\\:px-9 {\n    padding-left: 2.25rem;\n    padding-right: 2.25rem;\n  }\n\n  .\\32xl\\:px-10 {\n    padding-left: 2.5rem;\n    padding-right: 2.5rem;\n  }\n\n  .\\32xl\\:px-11 {\n    padding-left: 2.75rem;\n    padding-right: 2.75rem;\n  }\n\n  .\\32xl\\:px-12 {\n    padding-left: 3rem;\n    padding-right: 3rem;\n  }\n\n  .\\32xl\\:px-14 {\n    padding-left: 3.5rem;\n    padding-right: 3.5rem;\n  }\n\n  .\\32xl\\:px-16 {\n    padding-left: 4rem;\n    padding-right: 4rem;\n  }\n\n  .\\32xl\\:px-20 {\n    padding-left: 5rem;\n    padding-right: 5rem;\n  }\n\n  .\\32xl\\:px-24 {\n    padding-left: 6rem;\n    padding-right: 6rem;\n  }\n\n  .\\32xl\\:px-28 {\n    padding-left: 7rem;\n    padding-right: 7rem;\n  }\n\n  .\\32xl\\:px-32 {\n    padding-left: 8rem;\n    padding-right: 8rem;\n  }\n\n  .\\32xl\\:px-36 {\n    padding-left: 9rem;\n    padding-right: 9rem;\n  }\n\n  .\\32xl\\:px-40 {\n    padding-left: 10rem;\n    padding-right: 10rem;\n  }\n\n  .\\32xl\\:px-44 {\n    padding-left: 11rem;\n    padding-right: 11rem;\n  }\n\n  .\\32xl\\:px-48 {\n    padding-left: 12rem;\n    padding-right: 12rem;\n  }\n\n  .\\32xl\\:px-52 {\n    padding-left: 13rem;\n    padding-right: 13rem;\n  }\n\n  .\\32xl\\:px-56 {\n    padding-left: 14rem;\n    padding-right: 14rem;\n  }\n\n  .\\32xl\\:px-60 {\n    padding-left: 15rem;\n    padding-right: 15rem;\n  }\n\n  .\\32xl\\:px-64 {\n    padding-left: 16rem;\n    padding-right: 16rem;\n  }\n\n  .\\32xl\\:px-72 {\n    padding-left: 18rem;\n    padding-right: 18rem;\n  }\n\n  .\\32xl\\:px-80 {\n    padding-left: 20rem;\n    padding-right: 20rem;\n  }\n\n  .\\32xl\\:px-96 {\n    padding-left: 24rem;\n    padding-right: 24rem;\n  }\n\n  .\\32xl\\:px-px {\n    padding-left: 1px;\n    padding-right: 1px;\n  }\n\n  .\\32xl\\:px-0\\.5 {\n    padding-left: 0.125rem;\n    padding-right: 0.125rem;\n  }\n\n  .\\32xl\\:px-1\\.5 {\n    padding-left: 0.375rem;\n    padding-right: 0.375rem;\n  }\n\n  .\\32xl\\:px-2\\.5 {\n    padding-left: 0.625rem;\n    padding-right: 0.625rem;\n  }\n\n  .\\32xl\\:px-3\\.5 {\n    padding-left: 0.875rem;\n    padding-right: 0.875rem;\n  }\n\n  .\\32xl\\:py-0 {\n    padding-top: 0px;\n    padding-bottom: 0px;\n  }\n\n  .\\32xl\\:py-1 {\n    padding-top: 0.25rem;\n    padding-bottom: 0.25rem;\n  }\n\n  .\\32xl\\:py-2 {\n    padding-top: 0.5rem;\n    padding-bottom: 0.5rem;\n  }\n\n  .\\32xl\\:py-3 {\n    padding-top: 0.75rem;\n    padding-bottom: 0.75rem;\n  }\n\n  .\\32xl\\:py-4 {\n    padding-top: 1rem;\n    padding-bottom: 1rem;\n  }\n\n  .\\32xl\\:py-5 {\n    padding-top: 1.25rem;\n    padding-bottom: 1.25rem;\n  }\n\n  .\\32xl\\:py-6 {\n    padding-top: 1.5rem;\n    padding-bottom: 1.5rem;\n  }\n\n  .\\32xl\\:py-7 {\n    padding-top: 1.75rem;\n    padding-bottom: 1.75rem;\n  }\n\n  .\\32xl\\:py-8 {\n    padding-top: 2rem;\n    padding-bottom: 2rem;\n  }\n\n  .\\32xl\\:py-9 {\n    padding-top: 2.25rem;\n    padding-bottom: 2.25rem;\n  }\n\n  .\\32xl\\:py-10 {\n    padding-top: 2.5rem;\n    padding-bottom: 2.5rem;\n  }\n\n  .\\32xl\\:py-11 {\n    padding-top: 2.75rem;\n    padding-bottom: 2.75rem;\n  }\n\n  .\\32xl\\:py-12 {\n    padding-top: 3rem;\n    padding-bottom: 3rem;\n  }\n\n  .\\32xl\\:py-14 {\n    padding-top: 3.5rem;\n    padding-bottom: 3.5rem;\n  }\n\n  .\\32xl\\:py-16 {\n    padding-top: 4rem;\n    padding-bottom: 4rem;\n  }\n\n  .\\32xl\\:py-20 {\n    padding-top: 5rem;\n    padding-bottom: 5rem;\n  }\n\n  .\\32xl\\:py-24 {\n    padding-top: 6rem;\n    padding-bottom: 6rem;\n  }\n\n  .\\32xl\\:py-28 {\n    padding-top: 7rem;\n    padding-bottom: 7rem;\n  }\n\n  .\\32xl\\:py-32 {\n    padding-top: 8rem;\n    padding-bottom: 8rem;\n  }\n\n  .\\32xl\\:py-36 {\n    padding-top: 9rem;\n    padding-bottom: 9rem;\n  }\n\n  .\\32xl\\:py-40 {\n    padding-top: 10rem;\n    padding-bottom: 10rem;\n  }\n\n  .\\32xl\\:py-44 {\n    padding-top: 11rem;\n    padding-bottom: 11rem;\n  }\n\n  .\\32xl\\:py-48 {\n    padding-top: 12rem;\n    padding-bottom: 12rem;\n  }\n\n  .\\32xl\\:py-52 {\n    padding-top: 13rem;\n    padding-bottom: 13rem;\n  }\n\n  .\\32xl\\:py-56 {\n    padding-top: 14rem;\n    padding-bottom: 14rem;\n  }\n\n  .\\32xl\\:py-60 {\n    padding-top: 15rem;\n    padding-bottom: 15rem;\n  }\n\n  .\\32xl\\:py-64 {\n    padding-top: 16rem;\n    padding-bottom: 16rem;\n  }\n\n  .\\32xl\\:py-72 {\n    padding-top: 18rem;\n    padding-bottom: 18rem;\n  }\n\n  .\\32xl\\:py-80 {\n    padding-top: 20rem;\n    padding-bottom: 20rem;\n  }\n\n  .\\32xl\\:py-96 {\n    padding-top: 24rem;\n    padding-bottom: 24rem;\n  }\n\n  .\\32xl\\:py-px {\n    padding-top: 1px;\n    padding-bottom: 1px;\n  }\n\n  .\\32xl\\:py-0\\.5 {\n    padding-top: 0.125rem;\n    padding-bottom: 0.125rem;\n  }\n\n  .\\32xl\\:py-1\\.5 {\n    padding-top: 0.375rem;\n    padding-bottom: 0.375rem;\n  }\n\n  .\\32xl\\:py-2\\.5 {\n    padding-top: 0.625rem;\n    padding-bottom: 0.625rem;\n  }\n\n  .\\32xl\\:py-3\\.5 {\n    padding-top: 0.875rem;\n    padding-bottom: 0.875rem;\n  }\n\n  .\\32xl\\:pt-0 {\n    padding-top: 0px;\n  }\n\n  .\\32xl\\:pt-1 {\n    padding-top: 0.25rem;\n  }\n\n  .\\32xl\\:pt-2 {\n    padding-top: 0.5rem;\n  }\n\n  .\\32xl\\:pt-3 {\n    padding-top: 0.75rem;\n  }\n\n  .\\32xl\\:pt-4 {\n    padding-top: 1rem;\n  }\n\n  .\\32xl\\:pt-5 {\n    padding-top: 1.25rem;\n  }\n\n  .\\32xl\\:pt-6 {\n    padding-top: 1.5rem;\n  }\n\n  .\\32xl\\:pt-7 {\n    padding-top: 1.75rem;\n  }\n\n  .\\32xl\\:pt-8 {\n    padding-top: 2rem;\n  }\n\n  .\\32xl\\:pt-9 {\n    padding-top: 2.25rem;\n  }\n\n  .\\32xl\\:pt-10 {\n    padding-top: 2.5rem;\n  }\n\n  .\\32xl\\:pt-11 {\n    padding-top: 2.75rem;\n  }\n\n  .\\32xl\\:pt-12 {\n    padding-top: 3rem;\n  }\n\n  .\\32xl\\:pt-14 {\n    padding-top: 3.5rem;\n  }\n\n  .\\32xl\\:pt-16 {\n    padding-top: 4rem;\n  }\n\n  .\\32xl\\:pt-20 {\n    padding-top: 5rem;\n  }\n\n  .\\32xl\\:pt-24 {\n    padding-top: 6rem;\n  }\n\n  .\\32xl\\:pt-28 {\n    padding-top: 7rem;\n  }\n\n  .\\32xl\\:pt-32 {\n    padding-top: 8rem;\n  }\n\n  .\\32xl\\:pt-36 {\n    padding-top: 9rem;\n  }\n\n  .\\32xl\\:pt-40 {\n    padding-top: 10rem;\n  }\n\n  .\\32xl\\:pt-44 {\n    padding-top: 11rem;\n  }\n\n  .\\32xl\\:pt-48 {\n    padding-top: 12rem;\n  }\n\n  .\\32xl\\:pt-52 {\n    padding-top: 13rem;\n  }\n\n  .\\32xl\\:pt-56 {\n    padding-top: 14rem;\n  }\n\n  .\\32xl\\:pt-60 {\n    padding-top: 15rem;\n  }\n\n  .\\32xl\\:pt-64 {\n    padding-top: 16rem;\n  }\n\n  .\\32xl\\:pt-72 {\n    padding-top: 18rem;\n  }\n\n  .\\32xl\\:pt-80 {\n    padding-top: 20rem;\n  }\n\n  .\\32xl\\:pt-96 {\n    padding-top: 24rem;\n  }\n\n  .\\32xl\\:pt-px {\n    padding-top: 1px;\n  }\n\n  .\\32xl\\:pt-0\\.5 {\n    padding-top: 0.125rem;\n  }\n\n  .\\32xl\\:pt-1\\.5 {\n    padding-top: 0.375rem;\n  }\n\n  .\\32xl\\:pt-2\\.5 {\n    padding-top: 0.625rem;\n  }\n\n  .\\32xl\\:pt-3\\.5 {\n    padding-top: 0.875rem;\n  }\n\n  .\\32xl\\:pr-0 {\n    padding-right: 0px;\n  }\n\n  .\\32xl\\:pr-1 {\n    padding-right: 0.25rem;\n  }\n\n  .\\32xl\\:pr-2 {\n    padding-right: 0.5rem;\n  }\n\n  .\\32xl\\:pr-3 {\n    padding-right: 0.75rem;\n  }\n\n  .\\32xl\\:pr-4 {\n    padding-right: 1rem;\n  }\n\n  .\\32xl\\:pr-5 {\n    padding-right: 1.25rem;\n  }\n\n  .\\32xl\\:pr-6 {\n    padding-right: 1.5rem;\n  }\n\n  .\\32xl\\:pr-7 {\n    padding-right: 1.75rem;\n  }\n\n  .\\32xl\\:pr-8 {\n    padding-right: 2rem;\n  }\n\n  .\\32xl\\:pr-9 {\n    padding-right: 2.25rem;\n  }\n\n  .\\32xl\\:pr-10 {\n    padding-right: 2.5rem;\n  }\n\n  .\\32xl\\:pr-11 {\n    padding-right: 2.75rem;\n  }\n\n  .\\32xl\\:pr-12 {\n    padding-right: 3rem;\n  }\n\n  .\\32xl\\:pr-14 {\n    padding-right: 3.5rem;\n  }\n\n  .\\32xl\\:pr-16 {\n    padding-right: 4rem;\n  }\n\n  .\\32xl\\:pr-20 {\n    padding-right: 5rem;\n  }\n\n  .\\32xl\\:pr-24 {\n    padding-right: 6rem;\n  }\n\n  .\\32xl\\:pr-28 {\n    padding-right: 7rem;\n  }\n\n  .\\32xl\\:pr-32 {\n    padding-right: 8rem;\n  }\n\n  .\\32xl\\:pr-36 {\n    padding-right: 9rem;\n  }\n\n  .\\32xl\\:pr-40 {\n    padding-right: 10rem;\n  }\n\n  .\\32xl\\:pr-44 {\n    padding-right: 11rem;\n  }\n\n  .\\32xl\\:pr-48 {\n    padding-right: 12rem;\n  }\n\n  .\\32xl\\:pr-52 {\n    padding-right: 13rem;\n  }\n\n  .\\32xl\\:pr-56 {\n    padding-right: 14rem;\n  }\n\n  .\\32xl\\:pr-60 {\n    padding-right: 15rem;\n  }\n\n  .\\32xl\\:pr-64 {\n    padding-right: 16rem;\n  }\n\n  .\\32xl\\:pr-72 {\n    padding-right: 18rem;\n  }\n\n  .\\32xl\\:pr-80 {\n    padding-right: 20rem;\n  }\n\n  .\\32xl\\:pr-96 {\n    padding-right: 24rem;\n  }\n\n  .\\32xl\\:pr-px {\n    padding-right: 1px;\n  }\n\n  .\\32xl\\:pr-0\\.5 {\n    padding-right: 0.125rem;\n  }\n\n  .\\32xl\\:pr-1\\.5 {\n    padding-right: 0.375rem;\n  }\n\n  .\\32xl\\:pr-2\\.5 {\n    padding-right: 0.625rem;\n  }\n\n  .\\32xl\\:pr-3\\.5 {\n    padding-right: 0.875rem;\n  }\n\n  .\\32xl\\:pb-0 {\n    padding-bottom: 0px;\n  }\n\n  .\\32xl\\:pb-1 {\n    padding-bottom: 0.25rem;\n  }\n\n  .\\32xl\\:pb-2 {\n    padding-bottom: 0.5rem;\n  }\n\n  .\\32xl\\:pb-3 {\n    padding-bottom: 0.75rem;\n  }\n\n  .\\32xl\\:pb-4 {\n    padding-bottom: 1rem;\n  }\n\n  .\\32xl\\:pb-5 {\n    padding-bottom: 1.25rem;\n  }\n\n  .\\32xl\\:pb-6 {\n    padding-bottom: 1.5rem;\n  }\n\n  .\\32xl\\:pb-7 {\n    padding-bottom: 1.75rem;\n  }\n\n  .\\32xl\\:pb-8 {\n    padding-bottom: 2rem;\n  }\n\n  .\\32xl\\:pb-9 {\n    padding-bottom: 2.25rem;\n  }\n\n  .\\32xl\\:pb-10 {\n    padding-bottom: 2.5rem;\n  }\n\n  .\\32xl\\:pb-11 {\n    padding-bottom: 2.75rem;\n  }\n\n  .\\32xl\\:pb-12 {\n    padding-bottom: 3rem;\n  }\n\n  .\\32xl\\:pb-14 {\n    padding-bottom: 3.5rem;\n  }\n\n  .\\32xl\\:pb-16 {\n    padding-bottom: 4rem;\n  }\n\n  .\\32xl\\:pb-20 {\n    padding-bottom: 5rem;\n  }\n\n  .\\32xl\\:pb-24 {\n    padding-bottom: 6rem;\n  }\n\n  .\\32xl\\:pb-28 {\n    padding-bottom: 7rem;\n  }\n\n  .\\32xl\\:pb-32 {\n    padding-bottom: 8rem;\n  }\n\n  .\\32xl\\:pb-36 {\n    padding-bottom: 9rem;\n  }\n\n  .\\32xl\\:pb-40 {\n    padding-bottom: 10rem;\n  }\n\n  .\\32xl\\:pb-44 {\n    padding-bottom: 11rem;\n  }\n\n  .\\32xl\\:pb-48 {\n    padding-bottom: 12rem;\n  }\n\n  .\\32xl\\:pb-52 {\n    padding-bottom: 13rem;\n  }\n\n  .\\32xl\\:pb-56 {\n    padding-bottom: 14rem;\n  }\n\n  .\\32xl\\:pb-60 {\n    padding-bottom: 15rem;\n  }\n\n  .\\32xl\\:pb-64 {\n    padding-bottom: 16rem;\n  }\n\n  .\\32xl\\:pb-72 {\n    padding-bottom: 18rem;\n  }\n\n  .\\32xl\\:pb-80 {\n    padding-bottom: 20rem;\n  }\n\n  .\\32xl\\:pb-96 {\n    padding-bottom: 24rem;\n  }\n\n  .\\32xl\\:pb-px {\n    padding-bottom: 1px;\n  }\n\n  .\\32xl\\:pb-0\\.5 {\n    padding-bottom: 0.125rem;\n  }\n\n  .\\32xl\\:pb-1\\.5 {\n    padding-bottom: 0.375rem;\n  }\n\n  .\\32xl\\:pb-2\\.5 {\n    padding-bottom: 0.625rem;\n  }\n\n  .\\32xl\\:pb-3\\.5 {\n    padding-bottom: 0.875rem;\n  }\n\n  .\\32xl\\:pl-0 {\n    padding-left: 0px;\n  }\n\n  .\\32xl\\:pl-1 {\n    padding-left: 0.25rem;\n  }\n\n  .\\32xl\\:pl-2 {\n    padding-left: 0.5rem;\n  }\n\n  .\\32xl\\:pl-3 {\n    padding-left: 0.75rem;\n  }\n\n  .\\32xl\\:pl-4 {\n    padding-left: 1rem;\n  }\n\n  .\\32xl\\:pl-5 {\n    padding-left: 1.25rem;\n  }\n\n  .\\32xl\\:pl-6 {\n    padding-left: 1.5rem;\n  }\n\n  .\\32xl\\:pl-7 {\n    padding-left: 1.75rem;\n  }\n\n  .\\32xl\\:pl-8 {\n    padding-left: 2rem;\n  }\n\n  .\\32xl\\:pl-9 {\n    padding-left: 2.25rem;\n  }\n\n  .\\32xl\\:pl-10 {\n    padding-left: 2.5rem;\n  }\n\n  .\\32xl\\:pl-11 {\n    padding-left: 2.75rem;\n  }\n\n  .\\32xl\\:pl-12 {\n    padding-left: 3rem;\n  }\n\n  .\\32xl\\:pl-14 {\n    padding-left: 3.5rem;\n  }\n\n  .\\32xl\\:pl-16 {\n    padding-left: 4rem;\n  }\n\n  .\\32xl\\:pl-20 {\n    padding-left: 5rem;\n  }\n\n  .\\32xl\\:pl-24 {\n    padding-left: 6rem;\n  }\n\n  .\\32xl\\:pl-28 {\n    padding-left: 7rem;\n  }\n\n  .\\32xl\\:pl-32 {\n    padding-left: 8rem;\n  }\n\n  .\\32xl\\:pl-36 {\n    padding-left: 9rem;\n  }\n\n  .\\32xl\\:pl-40 {\n    padding-left: 10rem;\n  }\n\n  .\\32xl\\:pl-44 {\n    padding-left: 11rem;\n  }\n\n  .\\32xl\\:pl-48 {\n    padding-left: 12rem;\n  }\n\n  .\\32xl\\:pl-52 {\n    padding-left: 13rem;\n  }\n\n  .\\32xl\\:pl-56 {\n    padding-left: 14rem;\n  }\n\n  .\\32xl\\:pl-60 {\n    padding-left: 15rem;\n  }\n\n  .\\32xl\\:pl-64 {\n    padding-left: 16rem;\n  }\n\n  .\\32xl\\:pl-72 {\n    padding-left: 18rem;\n  }\n\n  .\\32xl\\:pl-80 {\n    padding-left: 20rem;\n  }\n\n  .\\32xl\\:pl-96 {\n    padding-left: 24rem;\n  }\n\n  .\\32xl\\:pl-px {\n    padding-left: 1px;\n  }\n\n  .\\32xl\\:pl-0\\.5 {\n    padding-left: 0.125rem;\n  }\n\n  .\\32xl\\:pl-1\\.5 {\n    padding-left: 0.375rem;\n  }\n\n  .\\32xl\\:pl-2\\.5 {\n    padding-left: 0.625rem;\n  }\n\n  .\\32xl\\:pl-3\\.5 {\n    padding-left: 0.875rem;\n  }\n\n  .\\32xl\\:text-left {\n    text-align: left;\n  }\n\n  .\\32xl\\:text-center {\n    text-align: center;\n  }\n\n  .\\32xl\\:text-right {\n    text-align: right;\n  }\n\n  .\\32xl\\:text-justify {\n    text-align: justify;\n  }\n\n  .\\32xl\\:align-baseline {\n    vertical-align: baseline;\n  }\n\n  .\\32xl\\:align-top {\n    vertical-align: top;\n  }\n\n  .\\32xl\\:align-middle {\n    vertical-align: middle;\n  }\n\n  .\\32xl\\:align-bottom {\n    vertical-align: bottom;\n  }\n\n  .\\32xl\\:align-text-top {\n    vertical-align: text-top;\n  }\n\n  .\\32xl\\:align-text-bottom {\n    vertical-align: text-bottom;\n  }\n\n  .\\32xl\\:font-sans {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .\\32xl\\:font-serif {\n    font-family: ui-serif, Georgia, Cambria, \"Times New Roman\", Times, serif;\n  }\n\n  .\\32xl\\:font-mono {\n    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  }\n\n  .\\32xl\\:font-sansSailec {\n    font-family: Sailec, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .\\32xl\\:font-sansInter {\n    font-family: Inter, ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  }\n\n  .\\32xl\\:text-xs {\n    font-size: 0.75rem;\n    line-height: 1rem;\n  }\n\n  .\\32xl\\:text-sm {\n    font-size: 0.875rem;\n    line-height: 1.25rem;\n  }\n\n  .\\32xl\\:text-base {\n    font-size: 1rem;\n    line-height: 1.5rem;\n  }\n\n  .\\32xl\\:text-lg {\n    font-size: 1.125rem;\n    line-height: 1.75rem;\n  }\n\n  .\\32xl\\:text-xl {\n    font-size: 1.25rem;\n    line-height: 1.75rem;\n  }\n\n  .\\32xl\\:text-2xl {\n    font-size: 1.5rem;\n    line-height: 2rem;\n  }\n\n  .\\32xl\\:text-3xl {\n    font-size: 2rem;\n    line-height: 2.25rem;\n  }\n\n  .\\32xl\\:text-4xl {\n    font-size: 2.25rem;\n    line-height: 2.5rem;\n  }\n\n  .\\32xl\\:text-5xl {\n    font-size: 3rem;\n    line-height: 1;\n  }\n\n  .\\32xl\\:text-6xl {\n    font-size: 3.75rem;\n    line-height: 1;\n  }\n\n  .\\32xl\\:text-7xl {\n    font-size: 4.5rem;\n    line-height: 1;\n  }\n\n  .\\32xl\\:text-8xl {\n    font-size: 6rem;\n    line-height: 1;\n  }\n\n  .\\32xl\\:text-9xl {\n    font-size: 8rem;\n    line-height: 1;\n  }\n\n  .\\32xl\\:text-2xs {\n    font-size: 10pt;\n    letter-spacing: -0.01em;\n  }\n\n  .\\32xl\\:font-thin {\n    font-weight: 100;\n  }\n\n  .\\32xl\\:font-extralight {\n    font-weight: 200;\n  }\n\n  .\\32xl\\:font-light {\n    font-weight: 300;\n  }\n\n  .\\32xl\\:font-normal {\n    font-weight: 400;\n  }\n\n  .\\32xl\\:font-medium {\n    font-weight: 500;\n  }\n\n  .\\32xl\\:font-semibold {\n    font-weight: 600;\n  }\n\n  .\\32xl\\:font-bold {\n    font-weight: 700;\n  }\n\n  .\\32xl\\:font-extrabold {\n    font-weight: 800;\n  }\n\n  .\\32xl\\:font-black {\n    font-weight: 900;\n  }\n\n  .\\32xl\\:uppercase {\n    text-transform: uppercase;\n  }\n\n  .\\32xl\\:lowercase {\n    text-transform: lowercase;\n  }\n\n  .\\32xl\\:capitalize {\n    text-transform: capitalize;\n  }\n\n  .\\32xl\\:normal-case {\n    text-transform: none;\n  }\n\n  .\\32xl\\:italic {\n    font-style: italic;\n  }\n\n  .\\32xl\\:not-italic {\n    font-style: normal;\n  }\n\n  .\\32xl\\:ordinal, .\\32xl\\:slashed-zero, .\\32xl\\:lining-nums, .\\32xl\\:oldstyle-nums, .\\32xl\\:proportional-nums, .\\32xl\\:tabular-nums, .\\32xl\\:diagonal-fractions, .\\32xl\\:stacked-fractions {\n    --tw-ordinal: var(--tw-empty,/*!*/ /*!*/);\n    --tw-slashed-zero: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-figure: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-spacing: var(--tw-empty,/*!*/ /*!*/);\n    --tw-numeric-fraction: var(--tw-empty,/*!*/ /*!*/);\n    font-variant-numeric: var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);\n  }\n\n  .\\32xl\\:normal-nums {\n    font-variant-numeric: normal;\n  }\n\n  .\\32xl\\:ordinal {\n    --tw-ordinal: ordinal;\n  }\n\n  .\\32xl\\:slashed-zero {\n    --tw-slashed-zero: slashed-zero;\n  }\n\n  .\\32xl\\:lining-nums {\n    --tw-numeric-figure: lining-nums;\n  }\n\n  .\\32xl\\:oldstyle-nums {\n    --tw-numeric-figure: oldstyle-nums;\n  }\n\n  .\\32xl\\:proportional-nums {\n    --tw-numeric-spacing: proportional-nums;\n  }\n\n  .\\32xl\\:tabular-nums {\n    --tw-numeric-spacing: tabular-nums;\n  }\n\n  .\\32xl\\:diagonal-fractions {\n    --tw-numeric-fraction: diagonal-fractions;\n  }\n\n  .\\32xl\\:stacked-fractions {\n    --tw-numeric-fraction: stacked-fractions;\n  }\n\n  .\\32xl\\:leading-3 {\n    line-height: .75rem;\n  }\n\n  .\\32xl\\:leading-4 {\n    line-height: 1rem;\n  }\n\n  .\\32xl\\:leading-5 {\n    line-height: 1.25rem;\n  }\n\n  .\\32xl\\:leading-6 {\n    line-height: 1.5rem;\n  }\n\n  .\\32xl\\:leading-7 {\n    line-height: 1.75rem;\n  }\n\n  .\\32xl\\:leading-8 {\n    line-height: 2rem;\n  }\n\n  .\\32xl\\:leading-9 {\n    line-height: 2.25rem;\n  }\n\n  .\\32xl\\:leading-10 {\n    line-height: 2.5rem;\n  }\n\n  .\\32xl\\:leading-none {\n    line-height: 1;\n  }\n\n  .\\32xl\\:leading-tight {\n    line-height: 1.25;\n  }\n\n  .\\32xl\\:leading-snug {\n    line-height: 1.375;\n  }\n\n  .\\32xl\\:leading-normal {\n    line-height: 1.5;\n  }\n\n  .\\32xl\\:leading-relaxed {\n    line-height: 1.625;\n  }\n\n  .\\32xl\\:leading-loose {\n    line-height: 2;\n  }\n\n  .\\32xl\\:leading-button {\n    line-height: 3.5rem;\n  }\n\n  .\\32xl\\:tracking-tighter {\n    letter-spacing: -0.05em;\n  }\n\n  .\\32xl\\:tracking-tight {\n    letter-spacing: -0.025em;\n  }\n\n  .\\32xl\\:tracking-normal {\n    letter-spacing: 0em;\n  }\n\n  .\\32xl\\:tracking-wide {\n    letter-spacing: 0.025em;\n  }\n\n  .\\32xl\\:tracking-wider {\n    letter-spacing: 0.05em;\n  }\n\n  .\\32xl\\:tracking-widest {\n    letter-spacing: 0.1em;\n  }\n\n  .\\32xl\\:text-transparent {\n    color: transparent;\n  }\n\n  .\\32xl\\:text-current {\n    color: currentColor;\n  }\n\n  .\\32xl\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-transparent {\n    color: transparent;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-current {\n    color: currentColor;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-black {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-white {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-50 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-100 {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-200 {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-300 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-400 {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-500 {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-600 {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-700 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-800 {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-gray-900 {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-50 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-200 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-400 {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-500 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-600 {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-700 {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-800 {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-red-900 {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-50 {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-100 {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-200 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-300 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-400 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-500 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-600 {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-700 {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-800 {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-yellow-900 {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-50 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-100 {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-200 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-300 {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-400 {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-500 {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-600 {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-700 {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-800 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-green-900 {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-50 {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-100 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-200 {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-300 {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-400 {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-500 {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-600 {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-700 {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-800 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-blue-900 {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-50 {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-100 {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-200 {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-300 {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-400 {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-500 {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-600 {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-700 {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-800 {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-indigo-900 {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-50 {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-100 {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-200 {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-300 {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-400 {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-500 {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-600 {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-700 {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-800 {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-purple-900 {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-50 {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-100 {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-200 {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-300 {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-400 {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-500 {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-600 {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-700 {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-800 {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-pink-900 {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-origin-protocol-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-origin-protocol-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-ousd-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-ousd-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-ousd-button-dark-start {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-ousd-button-dark-end {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-button-start {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-button-end {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-pink-start {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-pink-end {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-footer-end {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-blue {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-story-pink {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-link-blue {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-transparent:focus-within {\n    color: transparent;\n  }\n\n  .\\32xl\\:focus-within\\:text-current:focus-within {\n    color: currentColor;\n  }\n\n  .\\32xl\\:focus-within\\:text-black:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-white:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-gray-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-red-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-yellow-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-green-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-blue-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-indigo-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-purple-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-50:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-100:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-200:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-300:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-400:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-500:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-600:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-700:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-800:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-pink-900:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-origin-protocol-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-origin-protocol-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-ousd-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-ousd-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-ousd-button-dark-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-ousd-button-dark-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-button-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-button-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-pink-start:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-pink-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-footer-end:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-story-pink:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:text-link-blue:focus-within {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-transparent:hover {\n    color: transparent;\n  }\n\n  .\\32xl\\:hover\\:text-current:hover {\n    color: currentColor;\n  }\n\n  .\\32xl\\:hover\\:text-black:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-white:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-gray-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-red-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-yellow-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-green-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-blue-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-indigo-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-purple-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-50:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-100:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-200:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-300:hover {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-400:hover {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-500:hover {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-600:hover {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-700:hover {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-800:hover {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-pink-900:hover {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-origin-protocol-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-origin-protocol-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-ousd-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-ousd-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-ousd-button-dark-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-ousd-button-dark-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-button-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-button-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-pink-start:hover {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-pink-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-footer-end:hover {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-story-pink:hover {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:hover\\:text-link-blue:hover {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-transparent:focus {\n    color: transparent;\n  }\n\n  .\\32xl\\:focus\\:text-current:focus {\n    color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:text-black:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-white:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-gray-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-red-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-yellow-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-green-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-blue-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-indigo-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-purple-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-50:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-100:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-200:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-300:focus {\n    --tw-text-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-400:focus {\n    --tw-text-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-500:focus {\n    --tw-text-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-600:focus {\n    --tw-text-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-700:focus {\n    --tw-text-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-800:focus {\n    --tw-text-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-pink-900:focus {\n    --tw-text-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-origin-protocol-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-origin-protocol-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-ousd-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-ousd-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-ousd-button-dark-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-ousd-button-dark-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-button-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-button-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-pink-start:focus {\n    --tw-text-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-pink-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-footer-end:focus {\n    --tw-text-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(43, 112, 245, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-story-pink:focus {\n    --tw-text-opacity: 1;\n    color: rgba(252, 40, 241, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:focus\\:text-link-blue:focus {\n    --tw-text-opacity: 1;\n    color: rgba(0, 116, 240, var(--tw-text-opacity));\n  }\n\n  .\\32xl\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .\\32xl\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .\\32xl\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .\\32xl\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .\\32xl\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .\\32xl\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .\\32xl\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .\\32xl\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .\\32xl\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .\\32xl\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .\\32xl\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .\\32xl\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .\\32xl\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .\\32xl\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .\\32xl\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-0 {\n    --tw-text-opacity: 0;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-5 {\n    --tw-text-opacity: 0.05;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-10 {\n    --tw-text-opacity: 0.1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-20 {\n    --tw-text-opacity: 0.2;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-25 {\n    --tw-text-opacity: 0.25;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-30 {\n    --tw-text-opacity: 0.3;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-40 {\n    --tw-text-opacity: 0.4;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-50 {\n    --tw-text-opacity: 0.5;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-60 {\n    --tw-text-opacity: 0.6;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-70 {\n    --tw-text-opacity: 0.7;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-75 {\n    --tw-text-opacity: 0.75;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-80 {\n    --tw-text-opacity: 0.8;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-90 {\n    --tw-text-opacity: 0.9;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-95 {\n    --tw-text-opacity: 0.95;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:text-opacity-100 {\n    --tw-text-opacity: 1;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-0:focus-within {\n    --tw-text-opacity: 0;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-5:focus-within {\n    --tw-text-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-10:focus-within {\n    --tw-text-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-20:focus-within {\n    --tw-text-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-25:focus-within {\n    --tw-text-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-30:focus-within {\n    --tw-text-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-40:focus-within {\n    --tw-text-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-50:focus-within {\n    --tw-text-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-60:focus-within {\n    --tw-text-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-70:focus-within {\n    --tw-text-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-75:focus-within {\n    --tw-text-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-80:focus-within {\n    --tw-text-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-90:focus-within {\n    --tw-text-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-95:focus-within {\n    --tw-text-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus-within\\:text-opacity-100:focus-within {\n    --tw-text-opacity: 1;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-0:hover {\n    --tw-text-opacity: 0;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-5:hover {\n    --tw-text-opacity: 0.05;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-10:hover {\n    --tw-text-opacity: 0.1;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-20:hover {\n    --tw-text-opacity: 0.2;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-25:hover {\n    --tw-text-opacity: 0.25;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-30:hover {\n    --tw-text-opacity: 0.3;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-40:hover {\n    --tw-text-opacity: 0.4;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-50:hover {\n    --tw-text-opacity: 0.5;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-60:hover {\n    --tw-text-opacity: 0.6;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-70:hover {\n    --tw-text-opacity: 0.7;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-75:hover {\n    --tw-text-opacity: 0.75;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-80:hover {\n    --tw-text-opacity: 0.8;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-90:hover {\n    --tw-text-opacity: 0.9;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-95:hover {\n    --tw-text-opacity: 0.95;\n  }\n\n  .\\32xl\\:hover\\:text-opacity-100:hover {\n    --tw-text-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-0:focus {\n    --tw-text-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-5:focus {\n    --tw-text-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-10:focus {\n    --tw-text-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-20:focus {\n    --tw-text-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-25:focus {\n    --tw-text-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-30:focus {\n    --tw-text-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-40:focus {\n    --tw-text-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-50:focus {\n    --tw-text-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-60:focus {\n    --tw-text-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-70:focus {\n    --tw-text-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-75:focus {\n    --tw-text-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-80:focus {\n    --tw-text-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-90:focus {\n    --tw-text-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-95:focus {\n    --tw-text-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:text-opacity-100:focus {\n    --tw-text-opacity: 1;\n  }\n\n  .\\32xl\\:underline {\n    text-decoration: underline;\n  }\n\n  .\\32xl\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .\\32xl\\:no-underline {\n    text-decoration: none;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:underline {\n    text-decoration: underline;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:line-through {\n    text-decoration: line-through;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:no-underline {\n    text-decoration: none;\n  }\n\n  .\\32xl\\:focus-within\\:underline:focus-within {\n    text-decoration: underline;\n  }\n\n  .\\32xl\\:focus-within\\:line-through:focus-within {\n    text-decoration: line-through;\n  }\n\n  .\\32xl\\:focus-within\\:no-underline:focus-within {\n    text-decoration: none;\n  }\n\n  .\\32xl\\:hover\\:underline:hover {\n    text-decoration: underline;\n  }\n\n  .\\32xl\\:hover\\:line-through:hover {\n    text-decoration: line-through;\n  }\n\n  .\\32xl\\:hover\\:no-underline:hover {\n    text-decoration: none;\n  }\n\n  .\\32xl\\:focus\\:underline:focus {\n    text-decoration: underline;\n  }\n\n  .\\32xl\\:focus\\:line-through:focus {\n    text-decoration: line-through;\n  }\n\n  .\\32xl\\:focus\\:no-underline:focus {\n    text-decoration: none;\n  }\n\n  .\\32xl\\:antialiased {\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  .\\32xl\\:subpixel-antialiased {\n    -webkit-font-smoothing: auto;\n    -moz-osx-font-smoothing: auto;\n  }\n\n  .\\32xl\\:placeholder-transparent::-moz-placeholder {\n    color: transparent;\n  }\n\n  .\\32xl\\:placeholder-transparent::placeholder {\n    color: transparent;\n  }\n\n  .\\32xl\\:placeholder-current::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .\\32xl\\:placeholder-current::placeholder {\n    color: currentColor;\n  }\n\n  .\\32xl\\:placeholder-black::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-black::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-white::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-white::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-gray-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-red-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-yellow-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-green-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-blue-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-indigo-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-purple-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-50::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-50::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-100::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-200::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-200::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-300::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-300::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-400::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-400::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-500::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-500::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-600::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-600::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-700::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-700::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-800::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-800::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-900::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-pink-900::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-origin-protocol-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-origin-protocol-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-origin-protocol-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-origin-protocol-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-dark-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-dark-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-dark-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-ousd-button-dark-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-button-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-button-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-button-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-button-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-pink-start::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-pink-start::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-pink-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-story-pink-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-footer-end::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-footer-end::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-transparent:focus::-moz-placeholder {\n    color: transparent;\n  }\n\n  .\\32xl\\:focus\\:placeholder-transparent:focus::placeholder {\n    color: transparent;\n  }\n\n  .\\32xl\\:focus\\:placeholder-current:focus::-moz-placeholder {\n    color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:placeholder-current:focus::placeholder {\n    color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:placeholder-black:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-black:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(0, 0, 0, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-white:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-white:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 255, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 250, 251, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(243, 244, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(229, 231, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 213, 219, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(156, 163, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(107, 114, 128, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(75, 85, 99, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 65, 81, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(31, 41, 55, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-gray-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(17, 24, 39, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 242, 242, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 226, 226, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 202, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 165, 165, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(248, 113, 113, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 68, 68, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(220, 38, 38, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(185, 28, 28, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(153, 27, 27, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-red-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(127, 29, 29, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(255, 251, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(254, 243, 199, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 230, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 211, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 191, 36, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 158, 11, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(217, 119, 6, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(180, 83, 9, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(146, 64, 14, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-yellow-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(120, 53, 15, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 253, 245, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(209, 250, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 243, 208, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(110, 231, 183, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(52, 211, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(16, 185, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(5, 150, 105, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(4, 120, 87, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 95, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-green-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(6, 78, 59, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(239, 246, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 234, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(191, 219, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(147, 197, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(96, 165, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(59, 130, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(37, 99, 235, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(29, 78, 216, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 64, 175, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-blue-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 58, 138, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(238, 242, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(224, 231, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(199, 210, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(165, 180, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(129, 140, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(99, 102, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(79, 70, 229, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(67, 56, 202, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(55, 48, 163, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-indigo-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(49, 46, 129, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(245, 243, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(237, 233, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(221, 214, 254, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(196, 181, 253, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(167, 139, 250, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(139, 92, 246, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(124, 58, 237, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(109, 40, 217, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(91, 33, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-purple-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(76, 29, 149, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-50:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 242, 248, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(252, 231, 243, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-200:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-200:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 207, 232, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-300:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-300:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(249, 168, 212, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-400:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-400:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(244, 114, 182, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-500:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-500:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(236, 72, 153, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-600:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-600:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(219, 39, 119, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-700:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-700:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(190, 24, 93, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-800:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-800:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(157, 23, 77, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-900:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-pink-900:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(131, 24, 67, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-origin-protocol-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-origin-protocol-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-origin-protocol-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-origin-protocol-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(2, 116, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(179, 97, 230, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(106, 54, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-dark-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-dark-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(64, 33, 84, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-dark-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-ousd-button-dark-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(18, 0, 70, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-button-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-button-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(140, 102, 252, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-button-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-button-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(66, 156, 255, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-pink-start:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-pink-start:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(251, 37, 241, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-pink-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-story-pink-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(253, 155, 194, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-footer-end:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:focus\\:placeholder-footer-end:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n    color: rgba(30, 49, 63, var(--tw-placeholder-opacity));\n  }\n\n  .\\32xl\\:placeholder-opacity-0::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .\\32xl\\:placeholder-opacity-0::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .\\32xl\\:placeholder-opacity-5::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .\\32xl\\:placeholder-opacity-5::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .\\32xl\\:placeholder-opacity-10::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .\\32xl\\:placeholder-opacity-10::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .\\32xl\\:placeholder-opacity-20::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .\\32xl\\:placeholder-opacity-20::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .\\32xl\\:placeholder-opacity-25::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .\\32xl\\:placeholder-opacity-25::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .\\32xl\\:placeholder-opacity-30::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .\\32xl\\:placeholder-opacity-30::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .\\32xl\\:placeholder-opacity-40::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .\\32xl\\:placeholder-opacity-40::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .\\32xl\\:placeholder-opacity-50::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .\\32xl\\:placeholder-opacity-50::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .\\32xl\\:placeholder-opacity-60::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .\\32xl\\:placeholder-opacity-60::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .\\32xl\\:placeholder-opacity-70::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .\\32xl\\:placeholder-opacity-70::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .\\32xl\\:placeholder-opacity-75::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .\\32xl\\:placeholder-opacity-75::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .\\32xl\\:placeholder-opacity-80::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .\\32xl\\:placeholder-opacity-80::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .\\32xl\\:placeholder-opacity-90::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .\\32xl\\:placeholder-opacity-90::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .\\32xl\\:placeholder-opacity-95::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .\\32xl\\:placeholder-opacity-95::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .\\32xl\\:placeholder-opacity-100::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .\\32xl\\:placeholder-opacity-100::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-0:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-0:focus::placeholder {\n    --tw-placeholder-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-5:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-5:focus::placeholder {\n    --tw-placeholder-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-10:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-10:focus::placeholder {\n    --tw-placeholder-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-20:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-20:focus::placeholder {\n    --tw-placeholder-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-25:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-25:focus::placeholder {\n    --tw-placeholder-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-30:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-30:focus::placeholder {\n    --tw-placeholder-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-40:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-40:focus::placeholder {\n    --tw-placeholder-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-50:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-50:focus::placeholder {\n    --tw-placeholder-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-60:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-60:focus::placeholder {\n    --tw-placeholder-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-70:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-70:focus::placeholder {\n    --tw-placeholder-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-75:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-75:focus::placeholder {\n    --tw-placeholder-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-80:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-80:focus::placeholder {\n    --tw-placeholder-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-90:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-90:focus::placeholder {\n    --tw-placeholder-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-95:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-95:focus::placeholder {\n    --tw-placeholder-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-100:focus::-moz-placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:placeholder-opacity-100:focus::placeholder {\n    --tw-placeholder-opacity: 1;\n  }\n\n  .\\32xl\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .\\32xl\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .\\32xl\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .\\32xl\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .\\32xl\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .\\32xl\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .\\32xl\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .\\32xl\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .\\32xl\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .\\32xl\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .\\32xl\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .\\32xl\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .\\32xl\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .\\32xl\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .\\32xl\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-0 {\n    opacity: 0;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-5 {\n    opacity: 0.05;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-10 {\n    opacity: 0.1;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-20 {\n    opacity: 0.2;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-25 {\n    opacity: 0.25;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-30 {\n    opacity: 0.3;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-40 {\n    opacity: 0.4;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-50 {\n    opacity: 0.5;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-60 {\n    opacity: 0.6;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-70 {\n    opacity: 0.7;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-75 {\n    opacity: 0.75;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-80 {\n    opacity: 0.8;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-90 {\n    opacity: 0.9;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-95 {\n    opacity: 0.95;\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:opacity-100 {\n    opacity: 1;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-0:focus-within {\n    opacity: 0;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-5:focus-within {\n    opacity: 0.05;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-10:focus-within {\n    opacity: 0.1;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-20:focus-within {\n    opacity: 0.2;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-25:focus-within {\n    opacity: 0.25;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-30:focus-within {\n    opacity: 0.3;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-40:focus-within {\n    opacity: 0.4;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-50:focus-within {\n    opacity: 0.5;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-60:focus-within {\n    opacity: 0.6;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-70:focus-within {\n    opacity: 0.7;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-75:focus-within {\n    opacity: 0.75;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-80:focus-within {\n    opacity: 0.8;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-90:focus-within {\n    opacity: 0.9;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-95:focus-within {\n    opacity: 0.95;\n  }\n\n  .\\32xl\\:focus-within\\:opacity-100:focus-within {\n    opacity: 1;\n  }\n\n  .\\32xl\\:hover\\:opacity-0:hover {\n    opacity: 0;\n  }\n\n  .\\32xl\\:hover\\:opacity-5:hover {\n    opacity: 0.05;\n  }\n\n  .\\32xl\\:hover\\:opacity-10:hover {\n    opacity: 0.1;\n  }\n\n  .\\32xl\\:hover\\:opacity-20:hover {\n    opacity: 0.2;\n  }\n\n  .\\32xl\\:hover\\:opacity-25:hover {\n    opacity: 0.25;\n  }\n\n  .\\32xl\\:hover\\:opacity-30:hover {\n    opacity: 0.3;\n  }\n\n  .\\32xl\\:hover\\:opacity-40:hover {\n    opacity: 0.4;\n  }\n\n  .\\32xl\\:hover\\:opacity-50:hover {\n    opacity: 0.5;\n  }\n\n  .\\32xl\\:hover\\:opacity-60:hover {\n    opacity: 0.6;\n  }\n\n  .\\32xl\\:hover\\:opacity-70:hover {\n    opacity: 0.7;\n  }\n\n  .\\32xl\\:hover\\:opacity-75:hover {\n    opacity: 0.75;\n  }\n\n  .\\32xl\\:hover\\:opacity-80:hover {\n    opacity: 0.8;\n  }\n\n  .\\32xl\\:hover\\:opacity-90:hover {\n    opacity: 0.9;\n  }\n\n  .\\32xl\\:hover\\:opacity-95:hover {\n    opacity: 0.95;\n  }\n\n  .\\32xl\\:hover\\:opacity-100:hover {\n    opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:opacity-0:focus {\n    opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:opacity-5:focus {\n    opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:opacity-10:focus {\n    opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:opacity-20:focus {\n    opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:opacity-25:focus {\n    opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:opacity-30:focus {\n    opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:opacity-40:focus {\n    opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:opacity-50:focus {\n    opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:opacity-60:focus {\n    opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:opacity-70:focus {\n    opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:opacity-75:focus {\n    opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:opacity-80:focus {\n    opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:opacity-90:focus {\n    opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:opacity-95:focus {\n    opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:opacity-100:focus {\n    opacity: 1;\n  }\n\n  .\\32xl\\:bg-blend-normal {\n    background-blend-mode: normal;\n  }\n\n  .\\32xl\\:bg-blend-multiply {\n    background-blend-mode: multiply;\n  }\n\n  .\\32xl\\:bg-blend-screen {\n    background-blend-mode: screen;\n  }\n\n  .\\32xl\\:bg-blend-overlay {\n    background-blend-mode: overlay;\n  }\n\n  .\\32xl\\:bg-blend-darken {\n    background-blend-mode: darken;\n  }\n\n  .\\32xl\\:bg-blend-lighten {\n    background-blend-mode: lighten;\n  }\n\n  .\\32xl\\:bg-blend-color-dodge {\n    background-blend-mode: color-dodge;\n  }\n\n  .\\32xl\\:bg-blend-color-burn {\n    background-blend-mode: color-burn;\n  }\n\n  .\\32xl\\:bg-blend-hard-light {\n    background-blend-mode: hard-light;\n  }\n\n  .\\32xl\\:bg-blend-soft-light {\n    background-blend-mode: soft-light;\n  }\n\n  .\\32xl\\:bg-blend-difference {\n    background-blend-mode: difference;\n  }\n\n  .\\32xl\\:bg-blend-exclusion {\n    background-blend-mode: exclusion;\n  }\n\n  .\\32xl\\:bg-blend-hue {\n    background-blend-mode: hue;\n  }\n\n  .\\32xl\\:bg-blend-saturation {\n    background-blend-mode: saturation;\n  }\n\n  .\\32xl\\:bg-blend-color {\n    background-blend-mode: color;\n  }\n\n  .\\32xl\\:bg-blend-luminosity {\n    background-blend-mode: luminosity;\n  }\n\n  .\\32xl\\:mix-blend-normal {\n    mix-blend-mode: normal;\n  }\n\n  .\\32xl\\:mix-blend-multiply {\n    mix-blend-mode: multiply;\n  }\n\n  .\\32xl\\:mix-blend-screen {\n    mix-blend-mode: screen;\n  }\n\n  .\\32xl\\:mix-blend-overlay {\n    mix-blend-mode: overlay;\n  }\n\n  .\\32xl\\:mix-blend-darken {\n    mix-blend-mode: darken;\n  }\n\n  .\\32xl\\:mix-blend-lighten {\n    mix-blend-mode: lighten;\n  }\n\n  .\\32xl\\:mix-blend-color-dodge {\n    mix-blend-mode: color-dodge;\n  }\n\n  .\\32xl\\:mix-blend-color-burn {\n    mix-blend-mode: color-burn;\n  }\n\n  .\\32xl\\:mix-blend-hard-light {\n    mix-blend-mode: hard-light;\n  }\n\n  .\\32xl\\:mix-blend-soft-light {\n    mix-blend-mode: soft-light;\n  }\n\n  .\\32xl\\:mix-blend-difference {\n    mix-blend-mode: difference;\n  }\n\n  .\\32xl\\:mix-blend-exclusion {\n    mix-blend-mode: exclusion;\n  }\n\n  .\\32xl\\:mix-blend-hue {\n    mix-blend-mode: hue;\n  }\n\n  .\\32xl\\:mix-blend-saturation {\n    mix-blend-mode: saturation;\n  }\n\n  .\\32xl\\:mix-blend-color {\n    mix-blend-mode: color;\n  }\n\n  .\\32xl\\:mix-blend-luminosity {\n    mix-blend-mode: luminosity;\n  }\n\n  .\\32xl\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-sm {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-md {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-lg {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-xl {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-2xl {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-inner {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .group:hover .\\32xl\\:group-hover\\:shadow-none {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-sm:focus-within {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow:focus-within {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-md:focus-within {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-lg:focus-within {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-xl:focus-within {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-2xl:focus-within {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-inner:focus-within {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus-within\\:shadow-none:focus-within {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-sm:hover {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow:hover {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-md:hover {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-lg:hover {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-xl:hover {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-2xl:hover {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-inner:hover {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:hover\\:shadow-none:hover {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-sm:focus {\n    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow:focus {\n    --tw-shadow: 0px 27px 80px rgba(0, 0, 0, 0.07), 0px 6.0308px 17.869px rgba(0, 0, 0, 0.0417275), 0px 1.79553px 5.32008px rgba(0, 0, 0, 0.0282725);;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-md:focus {\n    --tw-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-lg:focus {\n    --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-xl:focus {\n    --tw-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-2xl:focus {\n    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-inner:focus {\n    --tw-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.06);\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:focus\\:shadow-none:focus {\n    --tw-shadow: 0 0 #0000;\n    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n  }\n\n  .\\32xl\\:outline-none {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:outline-white {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:outline-black {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus-within\\:outline-none:focus-within {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus-within\\:outline-white:focus-within {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus-within\\:outline-black:focus-within {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus\\:outline-none:focus {\n    outline: 2px solid transparent;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus\\:outline-white:focus {\n    outline: 2px dotted white;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:focus\\:outline-black:focus {\n    outline: 2px dotted black;\n    outline-offset: 2px;\n  }\n\n  .\\32xl\\:ring-0 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring-1 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring-2 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring-4 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring-8 {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring-0:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring-1:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring-2:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring-4:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring-8:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus-within\\:ring:focus-within {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring-0:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring-1:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring-2:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring-4:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(4px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring-8:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(8px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:focus\\:ring:focus {\n    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);\n    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);\n    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);\n  }\n\n  .\\32xl\\:ring-inset {\n    --tw-ring-inset: inset;\n  }\n\n  .\\32xl\\:focus-within\\:ring-inset:focus-within {\n    --tw-ring-inset: inset;\n  }\n\n  .\\32xl\\:focus\\:ring-inset:focus {\n    --tw-ring-inset: inset;\n  }\n\n  .\\32xl\\:ring-transparent {\n    --tw-ring-color: transparent;\n  }\n\n  .\\32xl\\:ring-current {\n    --tw-ring-color: currentColor;\n  }\n\n  .\\32xl\\:ring-black {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-white {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-gray-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-red-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-yellow-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-green-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-blue-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-indigo-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-purple-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-50 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-100 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-200 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-300 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-400 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-500 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-600 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-700 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-800 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-pink-900 {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-origin-protocol-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-origin-protocol-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-ousd-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-ousd-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-ousd-button-dark-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-ousd-button-dark-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-story-button-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-story-button-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-story-pink-start {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-story-pink-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-footer-end {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-transparent:focus-within {\n    --tw-ring-color: transparent;\n  }\n\n  .\\32xl\\:focus-within\\:ring-current:focus-within {\n    --tw-ring-color: currentColor;\n  }\n\n  .\\32xl\\:focus-within\\:ring-black:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-white:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-gray-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-red-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-yellow-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-green-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-blue-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-indigo-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-purple-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-50:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-100:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-200:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-300:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-400:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-500:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-600:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-700:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-800:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-pink-900:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-origin-protocol-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-origin-protocol-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-ousd-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-ousd-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-ousd-button-dark-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-ousd-button-dark-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-story-button-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-story-button-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-story-pink-start:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-story-pink-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus-within\\:ring-footer-end:focus-within {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-transparent:focus {\n    --tw-ring-color: transparent;\n  }\n\n  .\\32xl\\:focus\\:ring-current:focus {\n    --tw-ring-color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:ring-black:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(0, 0, 0, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-white:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 255, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 250, 251, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(243, 244, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(229, 231, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 213, 219, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(156, 163, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(107, 114, 128, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(75, 85, 99, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 65, 81, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(31, 41, 55, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-gray-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(17, 24, 39, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 242, 242, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 226, 226, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 202, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 165, 165, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(248, 113, 113, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 68, 68, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(220, 38, 38, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(185, 28, 28, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(153, 27, 27, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-red-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(127, 29, 29, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(255, 251, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(254, 243, 199, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 230, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 211, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 191, 36, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 158, 11, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(217, 119, 6, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(180, 83, 9, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(146, 64, 14, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-yellow-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(120, 53, 15, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 253, 245, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(209, 250, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 243, 208, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(110, 231, 183, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(52, 211, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(16, 185, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(5, 150, 105, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(4, 120, 87, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 95, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-green-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(6, 78, 59, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(239, 246, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 234, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(191, 219, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(147, 197, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(96, 165, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(59, 130, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(37, 99, 235, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(29, 78, 216, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 64, 175, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-blue-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 58, 138, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(238, 242, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(224, 231, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(199, 210, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(165, 180, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(129, 140, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(99, 102, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(79, 70, 229, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(67, 56, 202, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(55, 48, 163, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-indigo-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(49, 46, 129, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(245, 243, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(237, 233, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(221, 214, 254, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(196, 181, 253, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(167, 139, 250, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(139, 92, 246, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(124, 58, 237, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(109, 40, 217, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(91, 33, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-purple-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(76, 29, 149, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-50:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 242, 248, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-100:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(252, 231, 243, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-200:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 207, 232, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-300:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(249, 168, 212, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-400:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(244, 114, 182, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-500:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(236, 72, 153, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-600:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(219, 39, 119, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-700:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(190, 24, 93, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-800:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(157, 23, 77, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-pink-900:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(131, 24, 67, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-origin-protocol-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-origin-protocol-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(2, 116, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-ousd-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(179, 97, 230, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-ousd-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(106, 54, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-ousd-button-dark-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(64, 33, 84, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-ousd-button-dark-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(18, 0, 70, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-story-button-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(140, 102, 252, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-story-button-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(66, 156, 255, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-story-pink-start:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(251, 37, 241, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-story-pink-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(253, 155, 194, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:focus\\:ring-footer-end:focus {\n    --tw-ring-opacity: 1;\n    --tw-ring-color: rgba(30, 49, 63, var(--tw-ring-opacity));\n  }\n\n  .\\32xl\\:ring-opacity-0 {\n    --tw-ring-opacity: 0;\n  }\n\n  .\\32xl\\:ring-opacity-5 {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .\\32xl\\:ring-opacity-10 {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .\\32xl\\:ring-opacity-20 {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .\\32xl\\:ring-opacity-25 {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .\\32xl\\:ring-opacity-30 {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .\\32xl\\:ring-opacity-40 {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .\\32xl\\:ring-opacity-50 {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .\\32xl\\:ring-opacity-60 {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .\\32xl\\:ring-opacity-70 {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .\\32xl\\:ring-opacity-75 {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .\\32xl\\:ring-opacity-80 {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .\\32xl\\:ring-opacity-90 {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .\\32xl\\:ring-opacity-95 {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .\\32xl\\:ring-opacity-100 {\n    --tw-ring-opacity: 1;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-0:focus-within {\n    --tw-ring-opacity: 0;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-5:focus-within {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-10:focus-within {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-20:focus-within {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-25:focus-within {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-30:focus-within {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-40:focus-within {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-50:focus-within {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-60:focus-within {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-70:focus-within {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-75:focus-within {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-80:focus-within {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-90:focus-within {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-95:focus-within {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus-within\\:ring-opacity-100:focus-within {\n    --tw-ring-opacity: 1;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-0:focus {\n    --tw-ring-opacity: 0;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-5:focus {\n    --tw-ring-opacity: 0.05;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-10:focus {\n    --tw-ring-opacity: 0.1;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-20:focus {\n    --tw-ring-opacity: 0.2;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-25:focus {\n    --tw-ring-opacity: 0.25;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-30:focus {\n    --tw-ring-opacity: 0.3;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-40:focus {\n    --tw-ring-opacity: 0.4;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-50:focus {\n    --tw-ring-opacity: 0.5;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-60:focus {\n    --tw-ring-opacity: 0.6;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-70:focus {\n    --tw-ring-opacity: 0.7;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-75:focus {\n    --tw-ring-opacity: 0.75;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-80:focus {\n    --tw-ring-opacity: 0.8;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-90:focus {\n    --tw-ring-opacity: 0.9;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-95:focus {\n    --tw-ring-opacity: 0.95;\n  }\n\n  .\\32xl\\:focus\\:ring-opacity-100:focus {\n    --tw-ring-opacity: 1;\n  }\n\n  .\\32xl\\:ring-offset-0 {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .\\32xl\\:ring-offset-1 {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .\\32xl\\:ring-offset-2 {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .\\32xl\\:ring-offset-4 {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .\\32xl\\:ring-offset-8 {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-0:focus-within {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-1:focus-within {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-2:focus-within {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-4:focus-within {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-8:focus-within {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-0:focus {\n    --tw-ring-offset-width: 0px;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-1:focus {\n    --tw-ring-offset-width: 1px;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-2:focus {\n    --tw-ring-offset-width: 2px;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-4:focus {\n    --tw-ring-offset-width: 4px;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-8:focus {\n    --tw-ring-offset-width: 8px;\n  }\n\n  .\\32xl\\:ring-offset-transparent {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .\\32xl\\:ring-offset-current {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .\\32xl\\:ring-offset-black {\n    --tw-ring-offset-color: #000;\n  }\n\n  .\\32xl\\:ring-offset-white {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .\\32xl\\:ring-offset-gray-50 {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .\\32xl\\:ring-offset-gray-100 {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .\\32xl\\:ring-offset-gray-200 {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .\\32xl\\:ring-offset-gray-300 {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .\\32xl\\:ring-offset-gray-400 {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .\\32xl\\:ring-offset-gray-500 {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .\\32xl\\:ring-offset-gray-600 {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .\\32xl\\:ring-offset-gray-700 {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .\\32xl\\:ring-offset-gray-800 {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .\\32xl\\:ring-offset-gray-900 {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .\\32xl\\:ring-offset-red-50 {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .\\32xl\\:ring-offset-red-100 {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .\\32xl\\:ring-offset-red-200 {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .\\32xl\\:ring-offset-red-300 {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .\\32xl\\:ring-offset-red-400 {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .\\32xl\\:ring-offset-red-500 {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .\\32xl\\:ring-offset-red-600 {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .\\32xl\\:ring-offset-red-700 {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .\\32xl\\:ring-offset-red-800 {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .\\32xl\\:ring-offset-red-900 {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .\\32xl\\:ring-offset-yellow-50 {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .\\32xl\\:ring-offset-yellow-100 {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .\\32xl\\:ring-offset-yellow-200 {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .\\32xl\\:ring-offset-yellow-300 {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .\\32xl\\:ring-offset-yellow-400 {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .\\32xl\\:ring-offset-yellow-500 {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .\\32xl\\:ring-offset-yellow-600 {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .\\32xl\\:ring-offset-yellow-700 {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .\\32xl\\:ring-offset-yellow-800 {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .\\32xl\\:ring-offset-yellow-900 {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .\\32xl\\:ring-offset-green-50 {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .\\32xl\\:ring-offset-green-100 {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .\\32xl\\:ring-offset-green-200 {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .\\32xl\\:ring-offset-green-300 {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .\\32xl\\:ring-offset-green-400 {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .\\32xl\\:ring-offset-green-500 {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .\\32xl\\:ring-offset-green-600 {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .\\32xl\\:ring-offset-green-700 {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .\\32xl\\:ring-offset-green-800 {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .\\32xl\\:ring-offset-green-900 {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .\\32xl\\:ring-offset-blue-50 {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .\\32xl\\:ring-offset-blue-100 {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .\\32xl\\:ring-offset-blue-200 {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .\\32xl\\:ring-offset-blue-300 {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .\\32xl\\:ring-offset-blue-400 {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .\\32xl\\:ring-offset-blue-500 {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .\\32xl\\:ring-offset-blue-600 {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .\\32xl\\:ring-offset-blue-700 {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .\\32xl\\:ring-offset-blue-800 {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .\\32xl\\:ring-offset-blue-900 {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .\\32xl\\:ring-offset-indigo-50 {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .\\32xl\\:ring-offset-indigo-100 {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .\\32xl\\:ring-offset-indigo-200 {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .\\32xl\\:ring-offset-indigo-300 {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .\\32xl\\:ring-offset-indigo-400 {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .\\32xl\\:ring-offset-indigo-500 {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .\\32xl\\:ring-offset-indigo-600 {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .\\32xl\\:ring-offset-indigo-700 {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .\\32xl\\:ring-offset-indigo-800 {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .\\32xl\\:ring-offset-indigo-900 {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .\\32xl\\:ring-offset-purple-50 {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .\\32xl\\:ring-offset-purple-100 {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .\\32xl\\:ring-offset-purple-200 {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .\\32xl\\:ring-offset-purple-300 {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .\\32xl\\:ring-offset-purple-400 {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .\\32xl\\:ring-offset-purple-500 {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .\\32xl\\:ring-offset-purple-600 {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .\\32xl\\:ring-offset-purple-700 {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .\\32xl\\:ring-offset-purple-800 {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .\\32xl\\:ring-offset-purple-900 {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .\\32xl\\:ring-offset-pink-50 {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .\\32xl\\:ring-offset-pink-100 {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .\\32xl\\:ring-offset-pink-200 {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .\\32xl\\:ring-offset-pink-300 {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .\\32xl\\:ring-offset-pink-400 {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .\\32xl\\:ring-offset-pink-500 {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .\\32xl\\:ring-offset-pink-600 {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .\\32xl\\:ring-offset-pink-700 {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .\\32xl\\:ring-offset-pink-800 {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .\\32xl\\:ring-offset-pink-900 {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .\\32xl\\:ring-offset-origin-protocol-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:ring-offset-origin-protocol-button-end {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .\\32xl\\:ring-offset-ousd-button-start {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .\\32xl\\:ring-offset-ousd-button-end {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .\\32xl\\:ring-offset-ousd-button-dark-start {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .\\32xl\\:ring-offset-ousd-button-dark-end {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .\\32xl\\:ring-offset-story-button-start {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:ring-offset-story-button-end {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .\\32xl\\:ring-offset-story-pink-start {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .\\32xl\\:ring-offset-story-pink-end {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .\\32xl\\:ring-offset-footer-end {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-transparent:focus-within {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-current:focus-within {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-black:focus-within {\n    --tw-ring-offset-color: #000;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-white:focus-within {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-50:focus-within {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-100:focus-within {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-200:focus-within {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-300:focus-within {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-400:focus-within {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-500:focus-within {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-600:focus-within {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-700:focus-within {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-800:focus-within {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-gray-900:focus-within {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-50:focus-within {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-100:focus-within {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-200:focus-within {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-300:focus-within {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-400:focus-within {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-500:focus-within {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-600:focus-within {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-700:focus-within {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-800:focus-within {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-red-900:focus-within {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-50:focus-within {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-100:focus-within {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-200:focus-within {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-300:focus-within {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-400:focus-within {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-500:focus-within {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-600:focus-within {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-700:focus-within {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-800:focus-within {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-yellow-900:focus-within {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-50:focus-within {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-100:focus-within {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-200:focus-within {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-300:focus-within {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-400:focus-within {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-500:focus-within {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-600:focus-within {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-700:focus-within {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-800:focus-within {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-green-900:focus-within {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-50:focus-within {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-100:focus-within {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-200:focus-within {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-300:focus-within {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-400:focus-within {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-500:focus-within {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-600:focus-within {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-700:focus-within {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-800:focus-within {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-blue-900:focus-within {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-50:focus-within {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-100:focus-within {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-200:focus-within {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-300:focus-within {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-400:focus-within {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-500:focus-within {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-600:focus-within {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-700:focus-within {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-800:focus-within {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-indigo-900:focus-within {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-50:focus-within {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-100:focus-within {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-200:focus-within {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-300:focus-within {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-400:focus-within {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-500:focus-within {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-600:focus-within {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-700:focus-within {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-800:focus-within {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-purple-900:focus-within {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-50:focus-within {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-100:focus-within {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-200:focus-within {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-300:focus-within {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-400:focus-within {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-500:focus-within {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-600:focus-within {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-700:focus-within {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-800:focus-within {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-pink-900:focus-within {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-origin-protocol-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-origin-protocol-button-end:focus-within {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-ousd-button-start:focus-within {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-ousd-button-end:focus-within {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-ousd-button-dark-start:focus-within {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-ousd-button-dark-end:focus-within {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-story-button-start:focus-within {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-story-button-end:focus-within {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-story-pink-start:focus-within {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-story-pink-end:focus-within {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .\\32xl\\:focus-within\\:ring-offset-footer-end:focus-within {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-transparent:focus {\n    --tw-ring-offset-color: transparent;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-current:focus {\n    --tw-ring-offset-color: currentColor;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-black:focus {\n    --tw-ring-offset-color: #000;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-white:focus {\n    --tw-ring-offset-color: #fff;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-50:focus {\n    --tw-ring-offset-color: #f9fafb;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-100:focus {\n    --tw-ring-offset-color: #f3f4f6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-200:focus {\n    --tw-ring-offset-color: #e5e7eb;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-300:focus {\n    --tw-ring-offset-color: #d1d5db;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-400:focus {\n    --tw-ring-offset-color: #9ca3af;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-500:focus {\n    --tw-ring-offset-color: #6b7280;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-600:focus {\n    --tw-ring-offset-color: #4b5563;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-700:focus {\n    --tw-ring-offset-color: #374151;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-800:focus {\n    --tw-ring-offset-color: #1f2937;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-gray-900:focus {\n    --tw-ring-offset-color: #111827;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-50:focus {\n    --tw-ring-offset-color: #fef2f2;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-100:focus {\n    --tw-ring-offset-color: #fee2e2;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-200:focus {\n    --tw-ring-offset-color: #fecaca;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-300:focus {\n    --tw-ring-offset-color: #fca5a5;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-400:focus {\n    --tw-ring-offset-color: #f87171;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-500:focus {\n    --tw-ring-offset-color: #ef4444;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-600:focus {\n    --tw-ring-offset-color: #dc2626;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-700:focus {\n    --tw-ring-offset-color: #b91c1c;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-800:focus {\n    --tw-ring-offset-color: #991b1b;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-red-900:focus {\n    --tw-ring-offset-color: #7f1d1d;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-50:focus {\n    --tw-ring-offset-color: #fffbeb;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-100:focus {\n    --tw-ring-offset-color: #fef3c7;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-200:focus {\n    --tw-ring-offset-color: #fde68a;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-300:focus {\n    --tw-ring-offset-color: #fcd34d;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-400:focus {\n    --tw-ring-offset-color: #fbbf24;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-500:focus {\n    --tw-ring-offset-color: #f59e0b;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-600:focus {\n    --tw-ring-offset-color: #d97706;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-700:focus {\n    --tw-ring-offset-color: #b45309;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-800:focus {\n    --tw-ring-offset-color: #92400e;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-yellow-900:focus {\n    --tw-ring-offset-color: #78350f;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-50:focus {\n    --tw-ring-offset-color: #ecfdf5;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-100:focus {\n    --tw-ring-offset-color: #d1fae5;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-200:focus {\n    --tw-ring-offset-color: #a7f3d0;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-300:focus {\n    --tw-ring-offset-color: #6ee7b7;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-400:focus {\n    --tw-ring-offset-color: #34d399;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-500:focus {\n    --tw-ring-offset-color: #10b981;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-600:focus {\n    --tw-ring-offset-color: #059669;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-700:focus {\n    --tw-ring-offset-color: #047857;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-800:focus {\n    --tw-ring-offset-color: #065f46;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-green-900:focus {\n    --tw-ring-offset-color: #064e3b;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-50:focus {\n    --tw-ring-offset-color: #eff6ff;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-100:focus {\n    --tw-ring-offset-color: #dbeafe;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-200:focus {\n    --tw-ring-offset-color: #bfdbfe;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-300:focus {\n    --tw-ring-offset-color: #93c5fd;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-400:focus {\n    --tw-ring-offset-color: #60a5fa;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-500:focus {\n    --tw-ring-offset-color: #3b82f6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-600:focus {\n    --tw-ring-offset-color: #2563eb;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-700:focus {\n    --tw-ring-offset-color: #1d4ed8;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-800:focus {\n    --tw-ring-offset-color: #1e40af;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-blue-900:focus {\n    --tw-ring-offset-color: #1e3a8a;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-50:focus {\n    --tw-ring-offset-color: #eef2ff;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-100:focus {\n    --tw-ring-offset-color: #e0e7ff;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-200:focus {\n    --tw-ring-offset-color: #c7d2fe;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-300:focus {\n    --tw-ring-offset-color: #a5b4fc;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-400:focus {\n    --tw-ring-offset-color: #818cf8;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-500:focus {\n    --tw-ring-offset-color: #6366f1;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-600:focus {\n    --tw-ring-offset-color: #4f46e5;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-700:focus {\n    --tw-ring-offset-color: #4338ca;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-800:focus {\n    --tw-ring-offset-color: #3730a3;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-indigo-900:focus {\n    --tw-ring-offset-color: #312e81;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-50:focus {\n    --tw-ring-offset-color: #f5f3ff;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-100:focus {\n    --tw-ring-offset-color: #ede9fe;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-200:focus {\n    --tw-ring-offset-color: #ddd6fe;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-300:focus {\n    --tw-ring-offset-color: #c4b5fd;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-400:focus {\n    --tw-ring-offset-color: #a78bfa;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-500:focus {\n    --tw-ring-offset-color: #8b5cf6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-600:focus {\n    --tw-ring-offset-color: #7c3aed;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-700:focus {\n    --tw-ring-offset-color: #6d28d9;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-800:focus {\n    --tw-ring-offset-color: #5b21b6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-purple-900:focus {\n    --tw-ring-offset-color: #4c1d95;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-50:focus {\n    --tw-ring-offset-color: #fdf2f8;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-100:focus {\n    --tw-ring-offset-color: #fce7f3;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-200:focus {\n    --tw-ring-offset-color: #fbcfe8;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-300:focus {\n    --tw-ring-offset-color: #f9a8d4;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-400:focus {\n    --tw-ring-offset-color: #f472b6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-500:focus {\n    --tw-ring-offset-color: #ec4899;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-600:focus {\n    --tw-ring-offset-color: #db2777;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-700:focus {\n    --tw-ring-offset-color: #be185d;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-800:focus {\n    --tw-ring-offset-color: #9d174d;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-pink-900:focus {\n    --tw-ring-offset-color: #831843;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-origin-protocol-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-origin-protocol-button-end:focus {\n    --tw-ring-offset-color: #0274F1;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-ousd-button-start:focus {\n    --tw-ring-offset-color: #B361E6;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-ousd-button-end:focus {\n    --tw-ring-offset-color: #6A36FC;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-ousd-button-dark-start:focus {\n    --tw-ring-offset-color: #402154;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-ousd-button-dark-end:focus {\n    --tw-ring-offset-color: #120046;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-story-button-start:focus {\n    --tw-ring-offset-color: #8C66FC;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-story-button-end:focus {\n    --tw-ring-offset-color: #429CFF;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-story-pink-start:focus {\n    --tw-ring-offset-color: #FB25F1;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-story-pink-end:focus {\n    --tw-ring-offset-color: #FD9BC2;\n  }\n\n  .\\32xl\\:focus\\:ring-offset-footer-end:focus {\n    --tw-ring-offset-color: #1E313F;\n  }\n\n  .\\32xl\\:filter {\n    --tw-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-sepia: var(--tw-empty,/*!*/ /*!*/);\n    --tw-drop-shadow: var(--tw-empty,/*!*/ /*!*/);\n    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);\n  }\n\n  .\\32xl\\:filter-none {\n    filter: none;\n  }\n\n  .\\32xl\\:blur-0 {\n    --tw-blur: blur(0);\n  }\n\n  .\\32xl\\:blur-none {\n    --tw-blur: blur(0);\n  }\n\n  .\\32xl\\:blur-sm {\n    --tw-blur: blur(4px);\n  }\n\n  .\\32xl\\:blur {\n    --tw-blur: blur(8px);\n  }\n\n  .\\32xl\\:blur-md {\n    --tw-blur: blur(12px);\n  }\n\n  .\\32xl\\:blur-lg {\n    --tw-blur: blur(16px);\n  }\n\n  .\\32xl\\:blur-xl {\n    --tw-blur: blur(24px);\n  }\n\n  .\\32xl\\:blur-2xl {\n    --tw-blur: blur(40px);\n  }\n\n  .\\32xl\\:blur-3xl {\n    --tw-blur: blur(64px);\n  }\n\n  .\\32xl\\:brightness-0 {\n    --tw-brightness: brightness(0);\n  }\n\n  .\\32xl\\:brightness-50 {\n    --tw-brightness: brightness(.5);\n  }\n\n  .\\32xl\\:brightness-75 {\n    --tw-brightness: brightness(.75);\n  }\n\n  .\\32xl\\:brightness-90 {\n    --tw-brightness: brightness(.9);\n  }\n\n  .\\32xl\\:brightness-95 {\n    --tw-brightness: brightness(.95);\n  }\n\n  .\\32xl\\:brightness-100 {\n    --tw-brightness: brightness(1);\n  }\n\n  .\\32xl\\:brightness-105 {\n    --tw-brightness: brightness(1.05);\n  }\n\n  .\\32xl\\:brightness-110 {\n    --tw-brightness: brightness(1.1);\n  }\n\n  .\\32xl\\:brightness-125 {\n    --tw-brightness: brightness(1.25);\n  }\n\n  .\\32xl\\:brightness-150 {\n    --tw-brightness: brightness(1.5);\n  }\n\n  .\\32xl\\:brightness-200 {\n    --tw-brightness: brightness(2);\n  }\n\n  .\\32xl\\:contrast-0 {\n    --tw-contrast: contrast(0);\n  }\n\n  .\\32xl\\:contrast-50 {\n    --tw-contrast: contrast(.5);\n  }\n\n  .\\32xl\\:contrast-75 {\n    --tw-contrast: contrast(.75);\n  }\n\n  .\\32xl\\:contrast-100 {\n    --tw-contrast: contrast(1);\n  }\n\n  .\\32xl\\:contrast-125 {\n    --tw-contrast: contrast(1.25);\n  }\n\n  .\\32xl\\:contrast-150 {\n    --tw-contrast: contrast(1.5);\n  }\n\n  .\\32xl\\:contrast-200 {\n    --tw-contrast: contrast(2);\n  }\n\n  .\\32xl\\:drop-shadow-sm {\n    --tw-drop-shadow: drop-shadow(0 1px 1px rgba(0,0,0,0.05));\n  }\n\n  .\\32xl\\:drop-shadow {\n    --tw-drop-shadow: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.1)) drop-shadow(0 1px 1px rgba(0, 0, 0, 0.06));\n  }\n\n  .\\32xl\\:drop-shadow-md {\n    --tw-drop-shadow: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.07)) drop-shadow(0 2px 2px rgba(0, 0, 0, 0.06));\n  }\n\n  .\\32xl\\:drop-shadow-lg {\n    --tw-drop-shadow: drop-shadow(0 10px 8px rgba(0, 0, 0, 0.04)) drop-shadow(0 4px 3px rgba(0, 0, 0, 0.1));\n  }\n\n  .\\32xl\\:drop-shadow-xl {\n    --tw-drop-shadow: drop-shadow(0 20px 13px rgba(0, 0, 0, 0.03)) drop-shadow(0 8px 5px rgba(0, 0, 0, 0.08));\n  }\n\n  .\\32xl\\:drop-shadow-2xl {\n    --tw-drop-shadow: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));\n  }\n\n  .\\32xl\\:drop-shadow-none {\n    --tw-drop-shadow: drop-shadow(0 0 #0000);\n  }\n\n  .\\32xl\\:grayscale-0 {\n    --tw-grayscale: grayscale(0);\n  }\n\n  .\\32xl\\:grayscale {\n    --tw-grayscale: grayscale(100%);\n  }\n\n  .\\32xl\\:hue-rotate-0 {\n    --tw-hue-rotate: hue-rotate(0deg);\n  }\n\n  .\\32xl\\:hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(15deg);\n  }\n\n  .\\32xl\\:hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(30deg);\n  }\n\n  .\\32xl\\:hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(60deg);\n  }\n\n  .\\32xl\\:hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(90deg);\n  }\n\n  .\\32xl\\:hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(180deg);\n  }\n\n  .\\32xl\\:-hue-rotate-180 {\n    --tw-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .\\32xl\\:-hue-rotate-90 {\n    --tw-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .\\32xl\\:-hue-rotate-60 {\n    --tw-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .\\32xl\\:-hue-rotate-30 {\n    --tw-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .\\32xl\\:-hue-rotate-15 {\n    --tw-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .\\32xl\\:invert-0 {\n    --tw-invert: invert(0);\n  }\n\n  .\\32xl\\:invert {\n    --tw-invert: invert(100%);\n  }\n\n  .\\32xl\\:saturate-0 {\n    --tw-saturate: saturate(0);\n  }\n\n  .\\32xl\\:saturate-50 {\n    --tw-saturate: saturate(.5);\n  }\n\n  .\\32xl\\:saturate-100 {\n    --tw-saturate: saturate(1);\n  }\n\n  .\\32xl\\:saturate-150 {\n    --tw-saturate: saturate(1.5);\n  }\n\n  .\\32xl\\:saturate-200 {\n    --tw-saturate: saturate(2);\n  }\n\n  .\\32xl\\:sepia-0 {\n    --tw-sepia: sepia(0);\n  }\n\n  .\\32xl\\:sepia {\n    --tw-sepia: sepia(100%);\n  }\n\n  .\\32xl\\:backdrop-filter {\n    --tw-backdrop-blur: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-brightness: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-contrast: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-grayscale: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-hue-rotate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-invert: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-opacity: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-saturate: var(--tw-empty,/*!*/ /*!*/);\n    --tw-backdrop-sepia: var(--tw-empty,/*!*/ /*!*/);\n    -webkit-backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n            backdrop-filter: var(--tw-backdrop-blur) var(--tw-backdrop-brightness) var(--tw-backdrop-contrast) var(--tw-backdrop-grayscale) var(--tw-backdrop-hue-rotate) var(--tw-backdrop-invert) var(--tw-backdrop-opacity) var(--tw-backdrop-saturate) var(--tw-backdrop-sepia);\n  }\n\n  .\\32xl\\:backdrop-filter-none {\n    -webkit-backdrop-filter: none;\n            backdrop-filter: none;\n  }\n\n  .\\32xl\\:backdrop-blur-0 {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .\\32xl\\:backdrop-blur-none {\n    --tw-backdrop-blur: blur(0);\n  }\n\n  .\\32xl\\:backdrop-blur-sm {\n    --tw-backdrop-blur: blur(4px);\n  }\n\n  .\\32xl\\:backdrop-blur {\n    --tw-backdrop-blur: blur(8px);\n  }\n\n  .\\32xl\\:backdrop-blur-md {\n    --tw-backdrop-blur: blur(12px);\n  }\n\n  .\\32xl\\:backdrop-blur-lg {\n    --tw-backdrop-blur: blur(16px);\n  }\n\n  .\\32xl\\:backdrop-blur-xl {\n    --tw-backdrop-blur: blur(24px);\n  }\n\n  .\\32xl\\:backdrop-blur-2xl {\n    --tw-backdrop-blur: blur(40px);\n  }\n\n  .\\32xl\\:backdrop-blur-3xl {\n    --tw-backdrop-blur: blur(64px);\n  }\n\n  .\\32xl\\:backdrop-brightness-0 {\n    --tw-backdrop-brightness: brightness(0);\n  }\n\n  .\\32xl\\:backdrop-brightness-50 {\n    --tw-backdrop-brightness: brightness(.5);\n  }\n\n  .\\32xl\\:backdrop-brightness-75 {\n    --tw-backdrop-brightness: brightness(.75);\n  }\n\n  .\\32xl\\:backdrop-brightness-90 {\n    --tw-backdrop-brightness: brightness(.9);\n  }\n\n  .\\32xl\\:backdrop-brightness-95 {\n    --tw-backdrop-brightness: brightness(.95);\n  }\n\n  .\\32xl\\:backdrop-brightness-100 {\n    --tw-backdrop-brightness: brightness(1);\n  }\n\n  .\\32xl\\:backdrop-brightness-105 {\n    --tw-backdrop-brightness: brightness(1.05);\n  }\n\n  .\\32xl\\:backdrop-brightness-110 {\n    --tw-backdrop-brightness: brightness(1.1);\n  }\n\n  .\\32xl\\:backdrop-brightness-125 {\n    --tw-backdrop-brightness: brightness(1.25);\n  }\n\n  .\\32xl\\:backdrop-brightness-150 {\n    --tw-backdrop-brightness: brightness(1.5);\n  }\n\n  .\\32xl\\:backdrop-brightness-200 {\n    --tw-backdrop-brightness: brightness(2);\n  }\n\n  .\\32xl\\:backdrop-contrast-0 {\n    --tw-backdrop-contrast: contrast(0);\n  }\n\n  .\\32xl\\:backdrop-contrast-50 {\n    --tw-backdrop-contrast: contrast(.5);\n  }\n\n  .\\32xl\\:backdrop-contrast-75 {\n    --tw-backdrop-contrast: contrast(.75);\n  }\n\n  .\\32xl\\:backdrop-contrast-100 {\n    --tw-backdrop-contrast: contrast(1);\n  }\n\n  .\\32xl\\:backdrop-contrast-125 {\n    --tw-backdrop-contrast: contrast(1.25);\n  }\n\n  .\\32xl\\:backdrop-contrast-150 {\n    --tw-backdrop-contrast: contrast(1.5);\n  }\n\n  .\\32xl\\:backdrop-contrast-200 {\n    --tw-backdrop-contrast: contrast(2);\n  }\n\n  .\\32xl\\:backdrop-grayscale-0 {\n    --tw-backdrop-grayscale: grayscale(0);\n  }\n\n  .\\32xl\\:backdrop-grayscale {\n    --tw-backdrop-grayscale: grayscale(100%);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-0 {\n    --tw-backdrop-hue-rotate: hue-rotate(0deg);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(15deg);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(30deg);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(60deg);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(90deg);\n  }\n\n  .\\32xl\\:backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(180deg);\n  }\n\n  .\\32xl\\:-backdrop-hue-rotate-180 {\n    --tw-backdrop-hue-rotate: hue-rotate(-180deg);\n  }\n\n  .\\32xl\\:-backdrop-hue-rotate-90 {\n    --tw-backdrop-hue-rotate: hue-rotate(-90deg);\n  }\n\n  .\\32xl\\:-backdrop-hue-rotate-60 {\n    --tw-backdrop-hue-rotate: hue-rotate(-60deg);\n  }\n\n  .\\32xl\\:-backdrop-hue-rotate-30 {\n    --tw-backdrop-hue-rotate: hue-rotate(-30deg);\n  }\n\n  .\\32xl\\:-backdrop-hue-rotate-15 {\n    --tw-backdrop-hue-rotate: hue-rotate(-15deg);\n  }\n\n  .\\32xl\\:backdrop-invert-0 {\n    --tw-backdrop-invert: invert(0);\n  }\n\n  .\\32xl\\:backdrop-invert {\n    --tw-backdrop-invert: invert(100%);\n  }\n\n  .\\32xl\\:backdrop-opacity-0 {\n    --tw-backdrop-opacity: opacity(0);\n  }\n\n  .\\32xl\\:backdrop-opacity-5 {\n    --tw-backdrop-opacity: opacity(0.05);\n  }\n\n  .\\32xl\\:backdrop-opacity-10 {\n    --tw-backdrop-opacity: opacity(0.1);\n  }\n\n  .\\32xl\\:backdrop-opacity-20 {\n    --tw-backdrop-opacity: opacity(0.2);\n  }\n\n  .\\32xl\\:backdrop-opacity-25 {\n    --tw-backdrop-opacity: opacity(0.25);\n  }\n\n  .\\32xl\\:backdrop-opacity-30 {\n    --tw-backdrop-opacity: opacity(0.3);\n  }\n\n  .\\32xl\\:backdrop-opacity-40 {\n    --tw-backdrop-opacity: opacity(0.4);\n  }\n\n  .\\32xl\\:backdrop-opacity-50 {\n    --tw-backdrop-opacity: opacity(0.5);\n  }\n\n  .\\32xl\\:backdrop-opacity-60 {\n    --tw-backdrop-opacity: opacity(0.6);\n  }\n\n  .\\32xl\\:backdrop-opacity-70 {\n    --tw-backdrop-opacity: opacity(0.7);\n  }\n\n  .\\32xl\\:backdrop-opacity-75 {\n    --tw-backdrop-opacity: opacity(0.75);\n  }\n\n  .\\32xl\\:backdrop-opacity-80 {\n    --tw-backdrop-opacity: opacity(0.8);\n  }\n\n  .\\32xl\\:backdrop-opacity-90 {\n    --tw-backdrop-opacity: opacity(0.9);\n  }\n\n  .\\32xl\\:backdrop-opacity-95 {\n    --tw-backdrop-opacity: opacity(0.95);\n  }\n\n  .\\32xl\\:backdrop-opacity-100 {\n    --tw-backdrop-opacity: opacity(1);\n  }\n\n  .\\32xl\\:backdrop-saturate-0 {\n    --tw-backdrop-saturate: saturate(0);\n  }\n\n  .\\32xl\\:backdrop-saturate-50 {\n    --tw-backdrop-saturate: saturate(.5);\n  }\n\n  .\\32xl\\:backdrop-saturate-100 {\n    --tw-backdrop-saturate: saturate(1);\n  }\n\n  .\\32xl\\:backdrop-saturate-150 {\n    --tw-backdrop-saturate: saturate(1.5);\n  }\n\n  .\\32xl\\:backdrop-saturate-200 {\n    --tw-backdrop-saturate: saturate(2);\n  }\n\n  .\\32xl\\:backdrop-sepia-0 {\n    --tw-backdrop-sepia: sepia(0);\n  }\n\n  .\\32xl\\:backdrop-sepia {\n    --tw-backdrop-sepia: sepia(100%);\n  }\n\n  .\\32xl\\:transition-none {\n    transition-property: none;\n  }\n\n  .\\32xl\\:transition-all {\n    transition-property: all;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:transition {\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;\n    transition-property: background-color, border-color, color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:transition-colors {\n    transition-property: background-color, border-color, color, fill, stroke;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:transition-opacity {\n    transition-property: opacity;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:transition-shadow {\n    transition-property: box-shadow;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:transition-transform {\n    transition-property: transform;\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:delay-75 {\n    transition-delay: 75ms;\n  }\n\n  .\\32xl\\:delay-100 {\n    transition-delay: 100ms;\n  }\n\n  .\\32xl\\:delay-150 {\n    transition-delay: 150ms;\n  }\n\n  .\\32xl\\:delay-200 {\n    transition-delay: 200ms;\n  }\n\n  .\\32xl\\:delay-300 {\n    transition-delay: 300ms;\n  }\n\n  .\\32xl\\:delay-500 {\n    transition-delay: 500ms;\n  }\n\n  .\\32xl\\:delay-700 {\n    transition-delay: 700ms;\n  }\n\n  .\\32xl\\:delay-1000 {\n    transition-delay: 1000ms;\n  }\n\n  .\\32xl\\:duration-75 {\n    transition-duration: 75ms;\n  }\n\n  .\\32xl\\:duration-100 {\n    transition-duration: 100ms;\n  }\n\n  .\\32xl\\:duration-150 {\n    transition-duration: 150ms;\n  }\n\n  .\\32xl\\:duration-200 {\n    transition-duration: 200ms;\n  }\n\n  .\\32xl\\:duration-300 {\n    transition-duration: 300ms;\n  }\n\n  .\\32xl\\:duration-500 {\n    transition-duration: 500ms;\n  }\n\n  .\\32xl\\:duration-700 {\n    transition-duration: 700ms;\n  }\n\n  .\\32xl\\:duration-1000 {\n    transition-duration: 1000ms;\n  }\n\n  .\\32xl\\:ease-linear {\n    transition-timing-function: linear;\n  }\n\n  .\\32xl\\:ease-in {\n    transition-timing-function: cubic-bezier(0.4, 0, 1, 1);\n  }\n\n  .\\32xl\\:ease-out {\n    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);\n  }\n\n  .\\32xl\\:ease-in-out {\n    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n  }\n}\n";
styleInject(css_248z);

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    if (typeof b !== "function" && b !== null)
        throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

var GenericTypography = function (_a) {
    var children = _a.children, classes = _a.classes, styles = _a.styles, defaultAs = _a.defaultAs, as = _a.as, href = _a.href;
    var Tag = "".concat(as || defaultAs || 'span');
    return (jsx(Tag, __assign({ className: "".concat(classes), style: __assign({}, (styles || {})), href: href }, (href ? { target: '_blank' } : {}), { children: children })));
};
var Typography = /** @class */ (function (_super) {
    __extends(Typography, _super);
    function Typography() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Typography.prototype.render = function () {
        return (jsx(Typography.Body, __assign({}, this.props)));
    };
    Typography.H1 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-8xl ".concat(classes), styles: styles, as: as, defaultAs: 'h1' }, { children: children })));
    };
    Typography.H2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-7xl ".concat(classes), styles: styles, as: as, defaultAs: 'h2' }, { children: children })));
    };
    Typography.H3 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-6xl ".concat(classes), styles: styles, as: as, defaultAs: 'h3' }, { children: children })));
    };
    Typography.H4 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-5xl ".concat(classes), styles: styles, as: as, defaultAs: 'h4' }, { children: children })));
    };
    Typography.H5 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-4xl ".concat(classes), styles: styles, as: as, defaultAs: 'h5' }, { children: children })));
    };
    Typography.H6 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-3xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.H7 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansSailec font-bold text-2xl ".concat(classes), styles: styles, as: as, defaultAs: 'h6' }, { children: children })));
    };
    Typography.Body = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-xl ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Body2 = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Title = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Caption = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-normal text-sm ".concat(classes), styles: styles, as: as, defaultAs: 'p' }, { children: children })));
    };
    Typography.Label = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-sm uppercase ".concat(classes), styles: styles, as: as, defaultAs: 'span' }, { children: children })));
    };
    Typography.Link = function (_a) {
        var children = _a.children, classes = _a.classes, styles = _a.styles, as = _a.as, href = _a.href;
        return (jsx(GenericTypography, __assign({ classes: "font-sansInter font-bold text-base text-link-blue ".concat(classes), styles: styles, as: as, defaultAs: 'a', href: href }, { children: children })));
    };
    return Typography;
}(Component));

/**
 * Primary UI component for user interaction
 */
var Button = function (_a) {
    var _b = _a.type, type = _b === void 0 ? 'primary' : _b, _c = _a.webProperty, webProperty = _c === void 0 ? 'originprotocol' : _c, _d = _a.size, size = _d === void 0 ? 'medium' : _d, backgroundColor = _a.backgroundColor, label = _a.label, props = __rest(_a, ["type", "webProperty", "size", "backgroundColor", "label"]);
    var background;
    var textColor;
    var hoverColor;
    switch (webProperty) {
        case 'originprotocol':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-origin-protocol-button-start to-origin-protocol-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-black';
            hoverColor = 'hover:bg-gray-50';
            break;
        case 'ousd':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-ousd-button-start to-ousd-button-end'
                : type === 'secondary'
                    ? 'bg-gradient-to-r from-ousd-button-dark-start to-ousd-button-dark-end'
                    : '';
            textColor = 'text-white';
            hoverColor = 'hover:bg-gray-900';
            break;
        case 'story':
            background = type === 'primary'
                ? 'bg-gradient-to-r from-story-button-start to-story-button-end'
                : 'bg-white';
            textColor = type === 'primary'
                ? 'text-white'
                : 'text-story-blue';
            hoverColor = 'hover:bg-gray-50';
            break;
    }
    var textSize;
    var padding;
    switch (size) {
        case 'small':
            textSize = 'text-base';
            padding = 'px-7 py-1';
            break;
        case 'medium':
            textSize = 'text-base';
            padding = 'px-6 py-1';
            break;
        case 'large':
            textSize = 'text-2xl';
            padding = 'py-6 px-12';
            break;
    }
    var fontWeight;
    var shadow;
    var rounding;
    switch (type) {
        case 'header':
            fontWeight = 'font-normal';
            shadow = '';
            rounding = '';
            padding = 'px-4 py-1';
            break;
        default:
            fontWeight = 'font-medium';
            shadow = 'shahdow';
            rounding = 'rounded-full';
            break;
    }
    return (jsx("button", __assign({ type: "button", className: "\n        ".concat(background, "\n        ").concat(backgroundColor, "\n        ").concat(textColor, "\n        ").concat(textSize, " \n        ").concat(padding, "\n        ").concat(fontWeight, "\n        ").concat(shadow, "\n        ").concat(rounding, "\n        ").concat(hoverColor, "\n        leading-7\n        font-sans\n        animate-gradient\n        background-gradient-oversized\n      "), style: { backgroundColor: backgroundColor } }, props, { children: label })));
};

const e$1=typeof window=="undefined"||typeof document=="undefined";

let s$3=e$1?useEffect:useLayoutEffect;

function s$2(e){let r=useRef(e);return s$3(()=>{r.current=e;},[e]),r}

function t(e){typeof queueMicrotask=="function"?queueMicrotask(e):Promise.resolve().then(e).catch(o=>setTimeout(()=>{throw o}));}

function m$2(){let n=[],i=[],r={enqueue(e){i.push(e);},addEventListener(e,t,a,o){return e.addEventListener(t,a,o),r.add(()=>e.removeEventListener(t,a,o))},requestAnimationFrame(...e){let t=requestAnimationFrame(...e);return r.add(()=>cancelAnimationFrame(t))},nextFrame(...e){return r.requestAnimationFrame(()=>r.requestAnimationFrame(...e))},setTimeout(...e){let t=setTimeout(...e);return r.add(()=>clearTimeout(t))},microTask(...e){let t$1={current:!0};return t(()=>{t$1.current&&e[0]();}),r.add(()=>{t$1.current=!1;})},add(e){return n.push(e),()=>{let t=n.indexOf(e);if(t>=0){let[a]=n.splice(t,1);a();}}},dispose(){for(let e of n.splice(0))e();},async workQueue(){for(let e of i.splice(0))await e();}};return r}

function p$2(){let[e]=useState(m$2);return useEffect(()=>()=>e.dispose(),[e]),e}

let o$2=function(t){let e=s$2(t);return c$1.useCallback((...r)=>e.current(...r),[e])};

let r$2={serverHandoffComplete:!1};function a$1(){let[e,f]=useState(r$2.serverHandoffComplete);return useEffect(()=>{e!==!0&&f(!0);},[e]),useEffect(()=>{r$2.serverHandoffComplete===!1&&(r$2.serverHandoffComplete=!0);},[]),e}

var u$2;let l$1=0;function r$1(){return ++l$1}let I$3=(u$2=c$1.useId)!=null?u$2:function(){let n=a$1(),[e,o]=c$1.useState(n?r$1:null);return s$3(()=>{e===null&&o(r$1());},[e]),e!=null?""+e:void 0};

function u$1(r,n,...a){if(r in n){let e=n[r];return typeof e=="function"?e(...a):e}let t=new Error(`Tried to handle "${r}" but there is no handler defined. Only defined handlers are: ${Object.keys(n).map(e=>`"${e}"`).join(", ")}.`);throw Error.captureStackTrace&&Error.captureStackTrace(t,u$1),t}

function e(r){return e$1?null:r instanceof Node?r.ownerDocument:r!=null&&r.hasOwnProperty("current")&&r.current instanceof Node?r.current.ownerDocument:document}

let m$1=["[contentEditable=true]","[tabindex]","a[href]","area[href]","button:not([disabled])","iframe","input:not([disabled])","select:not([disabled])","textarea:not([disabled])"].map(e=>`${e}:not([tabindex='-1'])`).join(",");var T$2=(n=>(n[n.First=1]="First",n[n.Previous=2]="Previous",n[n.Next=4]="Next",n[n.Last=8]="Last",n[n.WrapAround=16]="WrapAround",n[n.NoScroll=32]="NoScroll",n))(T$2||{}),M$1=(o=>(o[o.Error=0]="Error",o[o.Overflow=1]="Overflow",o[o.Success=2]="Success",o[o.Underflow=3]="Underflow",o))(M$1||{}),b=(r=>(r[r.Previous=-1]="Previous",r[r.Next=1]="Next",r))(b||{});function d$1(e=document.body){return e==null?[]:Array.from(e.querySelectorAll(m$1))}var N=(r=>(r[r.Strict=0]="Strict",r[r.Loose=1]="Loose",r))(N||{});function F$3(e$1,t=0){var r;return e$1===((r=e(e$1))==null?void 0:r.body)?!1:u$1(t,{[0](){return e$1.matches(m$1)},[1](){let l=e$1;for(;l!==null;){if(l.matches(m$1))return !0;l=l.parentElement;}return !1}})}function I$2(e$1){let t=e(e$1);m$2().nextFrame(()=>{t&&!F$3(t.activeElement,0)&&h(e$1);});}function h(e){e==null||e.focus({preventScroll:!0});}let w$2=["textarea","input"].join(",");function H(e){var t,r;return (r=(t=e==null?void 0:e.matches)==null?void 0:t.call(e,w$2))!=null?r:!1}function S$1(e,t=r=>r){return e.slice().sort((r,l)=>{let o=t(r),s=t(l);if(o===null||s===null)return 0;let n=o.compareDocumentPosition(s);return n&Node.DOCUMENT_POSITION_FOLLOWING?-1:n&Node.DOCUMENT_POSITION_PRECEDING?1:0})}function D$1(e,t){return O(d$1(),t,!0,e)}function O(e,t,r=!0,l=null){let o=Array.isArray(e)?e.length>0?e[0].ownerDocument:document:e.ownerDocument,s=Array.isArray(e)?r?S$1(e):e:d$1(e);l=l!=null?l:o.activeElement;let n=(()=>{if(t&5)return 1;if(t&10)return -1;throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last")})(),E=(()=>{if(t&1)return 0;if(t&2)return Math.max(0,s.indexOf(l))-1;if(t&4)return Math.max(0,s.indexOf(l))+1;if(t&8)return s.length-1;throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last")})(),x=t&32?{preventScroll:!0}:{},f=0,i=s.length,u;do{if(f>=i||f+i<=0)return 0;let a=E+f;if(t&16)a=(a+i)%i;else {if(a<0)return 3;if(a>=i)return 1}u=s[a],u==null||u.focus(x),f+=n;}while(u!==o.activeElement);return t&6&&H(u)&&u.select(),u.hasAttribute("tabindex")||u.setAttribute("tabindex","0"),2}

function d(e,r,n){let o=s$2(r);useEffect(()=>{function t(u){o.current(u);}return document.addEventListener(e,t,n),()=>document.removeEventListener(e,t,n)},[e,n]);}

function L(f,m,i=!0){let l=useRef(!1);useEffect(()=>{requestAnimationFrame(()=>{l.current=i;});},[i]);function c(t,E){if(!l.current||t.defaultPrevented)return;let s=function r(e){return typeof e=="function"?r(e()):Array.isArray(e)||e instanceof Set?e:[e]}(f),n=E(t);if(n!==null&&!!n.ownerDocument.documentElement.contains(n)){for(let r of s){if(r===null)continue;let e=r instanceof HTMLElement?r:r.current;if(e!=null&&e.contains(n))return}return !F$3(n,N.Loose)&&n.tabIndex!==-1&&t.preventDefault(),m(t,n)}}let u=useRef(null);d("mousedown",t=>{l.current&&(u.current=t.target);},!0),d("click",t=>{!u.current||(c(t,()=>u.current),u.current=null);},!0),d("blur",t=>c(t,()=>window.document.activeElement instanceof HTMLIFrameElement?window.document.activeElement:null),!0);}

function i$1(t){var n;if(t.type)return t.type;let e=(n=t.as)!=null?n:"button";if(typeof e=="string"&&e.toLowerCase()==="button")return "button"}function s$1(t,e){let[n,u]=useState(()=>i$1(t));return s$3(()=>{u(i$1(t));},[t.type,t.as]),s$3(()=>{n||!e.current||e.current instanceof HTMLButtonElement&&!e.current.hasAttribute("type")&&u("button");},[n,e]),n}

let u=Symbol();function y(...t){let n=useRef(t);useEffect(()=>{n.current=t;},[t]);let c=o$2(e=>{for(let o of n.current)o!=null&&(typeof o=="function"?o(e):o.current=e);});return t.every(e=>e==null||(e==null?void 0:e[u]))?void 0:c}

function F$2({container:e$1,accept:t,walk:r,enabled:c=!0}){let o=useRef(t),l=useRef(r);useEffect(()=>{o.current=t,l.current=r;},[t,r]),s$3(()=>{if(!e$1||!c)return;let n=e(e$1);if(!n)return;let f=o.current,p=l.current,d=Object.assign(i=>f(i),{acceptNode:f}),u=n.createTreeWalker(e$1,NodeFilter.SHOW_ELEMENT,d,!1);for(;u.nextNode();)p(u.currentNode);},[e$1,c,o,l]);}

function f$2(r){throw new Error("Unexpected object: "+r)}var a=(e=>(e[e.First=0]="First",e[e.Previous=1]="Previous",e[e.Next=2]="Next",e[e.Last=3]="Last",e[e.Specific=4]="Specific",e[e.Nothing=5]="Nothing",e))(a||{});function x$1(r,n){let t=n.resolveItems();if(t.length<=0)return null;let l=n.resolveActiveIndex(),s=l!=null?l:-1,d=(()=>{switch(r.focus){case 0:return t.findIndex(e=>!n.resolveDisabled(e));case 1:{let e=t.slice().reverse().findIndex((i,c,u)=>s!==-1&&u.length-c-1>=s?!1:!n.resolveDisabled(i));return e===-1?e:t.length-1-e}case 2:return t.findIndex((e,i)=>i<=s?!1:!n.resolveDisabled(e));case 3:{let e=t.slice().reverse().findIndex(i=>!n.resolveDisabled(i));return e===-1?e:t.length-1-e}case 4:return t.findIndex(e=>n.resolveId(e)===r.id);case 5:return null;default:f$2(r);}})();return d===-1?l:d}

var S=(a=>(a[a.None=0]="None",a[a.RenderStrategy=1]="RenderStrategy",a[a.Static=2]="Static",a))(S||{}),j=(e=>(e[e.Unmount=0]="Unmount",e[e.Hidden=1]="Hidden",e))(j||{});function $({ourProps:r,theirProps:t,slot:e,defaultTag:a,features:o,visible:n=!0,name:l}){let s=T$1(t,r);if(n)return p$1(s,e,a,l);let u=o!=null?o:0;if(u&2){let{static:i=!1,...d}=s;if(i)return p$1(d,e,a,l)}if(u&1){let{unmount:i=!0,...d}=s;return u$1(i?0:1,{[0](){return null},[1](){return p$1({...d,hidden:!0,style:{display:"none"}},e,a,l)}})}return p$1(s,e,a,l)}function p$1(r,t={},e,a){let{as:o=e,children:n,refName:l="ref",...s}=m(r,["unmount","static"]),u=r.ref!==void 0?{[l]:r.ref}:{},i=typeof n=="function"?n(t):n;s.className&&typeof s.className=="function"&&(s.className=s.className(t));let d={};if(t){let f=!1,y=[];for(let[h,g]of Object.entries(t))typeof g=="boolean"&&(f=!0),g===!0&&y.push(h);f&&(d["data-headlessui-state"]=y.join(" "));}if(o===Fragment&&Object.keys(F$1(s)).length>0){if(!isValidElement(i)||Array.isArray(i)&&i.length>1)throw new Error(['Passing props on "Fragment"!',"",`The current component <${a} /> is rendering a "Fragment".`,"However we need to passthrough the following props:",Object.keys(s).map(f=>`  - ${f}`).join(`
`),"","You can apply a few solutions:",['Add an `as="..."` prop, to ensure that we render an actual element instead of a "Fragment".',"Render a single element as the child so that we can forward the props onto that element."].map(f=>`  - ${f}`).join(`
`)].join(`
`));return cloneElement(i,Object.assign({},T$1(i.props,F$1(m(s,["ref"]))),d,u,w$1(i.ref,u.ref)))}return createElement(o,Object.assign({},m(s,["ref"]),o!==Fragment&&u,o!==Fragment&&d),i)}function w$1(...r){return {ref:r.every(t=>t==null)?void 0:t=>{for(let e of r)e!=null&&(typeof e=="function"?e(t):e.current=t);}}}function T$1(...r){if(r.length===0)return {};if(r.length===1)return r[0];let t={},e={};for(let o of r)for(let n in o)n.startsWith("on")&&typeof o[n]=="function"?((e[n])!=null||(e[n]=[]),e[n].push(o[n])):t[n]=o[n];if(t.disabled||t["aria-disabled"])return Object.assign(t,Object.fromEntries(Object.keys(e).map(o=>[o,void 0])));for(let o in e)Object.assign(t,{[o](n,...l){let s=e[o];for(let u of s){if((n instanceof Event||(n==null?void 0:n.nativeEvent)instanceof Event)&&n.defaultPrevented)return;u(n,...l);}}});return t}function C$2(r){var t;return Object.assign(forwardRef(r),{displayName:(t=r.displayName)!=null?t:r.name})}function F$1(r){let t=Object.assign({},r);for(let e in t)t[e]===void 0&&delete t[e];return t}function m(r,t=[]){let e=Object.assign({},r);for(let a of t)a in e&&delete e[a];return e}

function r(n){let e=n.parentElement,l=null;for(;e&&!(e instanceof HTMLFieldSetElement);)e instanceof HTMLLegendElement&&(l=e),e=e.parentElement;let t=(e==null?void 0:e.getAttribute("disabled"))==="";return t&&i(l)?!1:t}function i(n){if(!n)return !1;let e=n.previousElementSibling;for(;e!==null;){if(e instanceof HTMLLegendElement)return !1;e=e.previousElementSibling;}return !0}

let o$1=createContext(null);o$1.displayName="OpenClosedContext";var p=(e=>(e[e.Open=0]="Open",e[e.Closed=1]="Closed",e))(p||{});function s(){return useContext(o$1)}function C$1({value:t,children:n}){return c$1.createElement(o$1.Provider,{value:t},n)}

var o=(r=>(r.Space=" ",r.Enter="Enter",r.Escape="Escape",r.Backspace="Backspace",r.Delete="Delete",r.ArrowLeft="ArrowLeft",r.ArrowUp="ArrowUp",r.ArrowRight="ArrowRight",r.ArrowDown="ArrowDown",r.Home="Home",r.End="End",r.PageUp="PageUp",r.PageDown="PageDown",r.Tab="Tab",r))(o||{});

function f$1(){let e=useRef(!1);return s$3(()=>(e.current=!0,()=>{e.current=!1;}),[]),e}

function n(...e$1){return useMemo(()=>e(...e$1),[...e$1])}

var ue=(o=>(o[o.Open=0]="Open",o[o.Closed=1]="Closed",o))(ue||{}),se=(o=>(o[o.Pointer=0]="Pointer",o[o.Other=1]="Other",o))(se||{}),le=(a=>(a[a.OpenMenu=0]="OpenMenu",a[a.CloseMenu=1]="CloseMenu",a[a.GoToItem=2]="GoToItem",a[a.Search=3]="Search",a[a.ClearSearch=4]="ClearSearch",a[a.RegisterItem=5]="RegisterItem",a[a.UnregisterItem=6]="UnregisterItem",a))(le||{});function k(t,i=o=>o){let o=t.activeItemIndex!==null?t.items[t.activeItemIndex]:null,e=S$1(i(t.items.slice()),u=>u.dataRef.current.domRef.current),n=o?e.indexOf(o):null;return n===-1&&(n=null),{items:e,activeItemIndex:n}}let ce={[1](t){return t.menuState===1?t:{...t,activeItemIndex:null,menuState:1}},[0](t){return t.menuState===0?t:{...t,menuState:0}},[2]:(t,i)=>{var n;let o=k(t),e=x$1(i,{resolveItems:()=>o.items,resolveActiveIndex:()=>o.activeItemIndex,resolveId:u=>u.id,resolveDisabled:u=>u.dataRef.current.disabled});return {...t,...o,searchQuery:"",activeItemIndex:e,activationTrigger:(n=i.trigger)!=null?n:1}},[3]:(t,i)=>{let e=t.searchQuery!==""?0:1,n=t.searchQuery+i.value.toLowerCase(),s=(t.activeItemIndex!==null?t.items.slice(t.activeItemIndex+e).concat(t.items.slice(0,t.activeItemIndex+e)):t.items).find(c=>{var p;return ((p=c.dataRef.current.textValue)==null?void 0:p.startsWith(n))&&!c.dataRef.current.disabled}),a=s?t.items.indexOf(s):-1;return a===-1||a===t.activeItemIndex?{...t,searchQuery:n}:{...t,searchQuery:n,activeItemIndex:a,activationTrigger:1}},[4](t){return t.searchQuery===""?t:{...t,searchQuery:"",searchActiveItemIndex:null}},[5]:(t,i)=>{let o=k(t,e=>[...e,{id:i.id,dataRef:i.dataRef}]);return {...t,...o}},[6]:(t,i)=>{let o=k(t,e=>{let n=e.findIndex(u=>u.id===i.id);return n!==-1&&e.splice(n,1),e});return {...t,...o,activationTrigger:1}}},w=createContext(null);w.displayName="MenuContext";function D(t){let i=useContext(w);if(i===null){let o=new Error(`<${t} /> is missing a parent <Menu /> component.`);throw Error.captureStackTrace&&Error.captureStackTrace(o,D),o}return i}function pe(t,i){return u$1(i.type,ce,t,i)}let me=Fragment,de=C$2(function(i,o){let e=useReducer(pe,{menuState:1,buttonRef:createRef(),itemsRef:createRef(),items:[],searchQuery:"",activeItemIndex:null,activationTrigger:1}),[{menuState:n,itemsRef:u,buttonRef:s},a]=e,c=y(o);L([s,u],(M,R)=>{var f;a({type:1}),F$3(R,N.Loose)||(M.preventDefault(),(f=s.current)==null||f.focus());},n===0);let p$1=useMemo(()=>({open:n===0}),[n]),g=i,d={ref:c};return c$1.createElement(w.Provider,{value:e},c$1.createElement(C$1,{value:u$1(n,{[0]:p.Open,[1]:p.Closed})},$({ourProps:d,theirProps:g,slot:p$1,defaultTag:me,name:"Menu"})))}),fe="button",Te=C$2(function(i,o$1){var f;let[e,n]=D("Menu.Button"),u=y(e.buttonRef,o$1),s=`headlessui-menu-button-${I$3()}`,a$1=p$2(),c=o$2(l=>{switch(l.key){case o.Space:case o.Enter:case o.ArrowDown:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.First}));break;case o.ArrowUp:l.preventDefault(),l.stopPropagation(),n({type:0}),a$1.nextFrame(()=>n({type:2,focus:a.Last}));break}}),p=o$2(l=>{switch(l.key){case o.Space:l.preventDefault();break}}),g=o$2(l=>{if(r(l.currentTarget))return l.preventDefault();i.disabled||(e.menuState===0?(n({type:1}),a$1.nextFrame(()=>{var b;return (b=e.buttonRef.current)==null?void 0:b.focus({preventScroll:!0})})):(l.preventDefault(),n({type:0})));}),d=useMemo(()=>({open:e.menuState===0}),[e]),M=i,R={ref:u,id:s,type:s$1(i,e.buttonRef),"aria-haspopup":!0,"aria-controls":(f=e.itemsRef.current)==null?void 0:f.id,"aria-expanded":i.disabled?void 0:e.menuState===0,onKeyDown:c,onKeyUp:p,onClick:g};return $({ourProps:R,theirProps:M,slot:d,defaultTag:fe,name:"Menu.Button"})}),ye="div",Ie=S.RenderStrategy|S.Static,ge$1=C$2(function(i,o$1){var b,C;let[e,n$1]=D("Menu.Items"),u=y(e.itemsRef,o$1),s$1=n(e.itemsRef),a$1=`headlessui-menu-items-${I$3()}`,c=p$2(),p$1=s(),g=(()=>p$1!==null?p$1===p.Open:e.menuState===0)();useEffect(()=>{let r=e.itemsRef.current;!r||e.menuState===0&&r!==(s$1==null?void 0:s$1.activeElement)&&r.focus({preventScroll:!0});},[e.menuState,e.itemsRef,s$1]),F$2({container:e.itemsRef.current,enabled:e.menuState===0,accept(r){return r.getAttribute("role")==="menuitem"?NodeFilter.FILTER_REJECT:r.hasAttribute("role")?NodeFilter.FILTER_SKIP:NodeFilter.FILTER_ACCEPT},walk(r){r.setAttribute("role","none");}});let d=o$2(r=>{var T,A;switch(c.dispose(),r.key){case o.Space:if(e.searchQuery!=="")return r.preventDefault(),r.stopPropagation(),n$1({type:3,value:r.key});case o.Enter:if(r.preventDefault(),r.stopPropagation(),n$1({type:1}),e.activeItemIndex!==null){let{dataRef:v}=e.items[e.activeItemIndex];(A=(T=v.current)==null?void 0:T.domRef.current)==null||A.click();}I$2(e.buttonRef.current);break;case o.ArrowDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Next});case o.ArrowUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Previous});case o.Home:case o.PageUp:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.First});case o.End:case o.PageDown:return r.preventDefault(),r.stopPropagation(),n$1({type:2,focus:a.Last});case o.Escape:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m$2().nextFrame(()=>{var v;return (v=e.buttonRef.current)==null?void 0:v.focus({preventScroll:!0})});break;case o.Tab:r.preventDefault(),r.stopPropagation(),n$1({type:1}),m$2().nextFrame(()=>{D$1(e.buttonRef.current,r.shiftKey?T$2.Previous:T$2.Next);});break;default:r.key.length===1&&(n$1({type:3,value:r.key}),c.setTimeout(()=>n$1({type:4}),350));break}}),M=o$2(r=>{switch(r.key){case o.Space:r.preventDefault();break}}),R=useMemo(()=>({open:e.menuState===0}),[e]),f=i,l={"aria-activedescendant":e.activeItemIndex===null||(b=e.items[e.activeItemIndex])==null?void 0:b.id,"aria-labelledby":(C=e.buttonRef.current)==null?void 0:C.id,id:a$1,onKeyDown:d,onKeyUp:M,role:"menu",tabIndex:0,ref:u};return $({ourProps:l,theirProps:f,slot:R,defaultTag:ye,features:Ie,visible:g,name:"Menu.Items"})}),Me=Fragment,Re=C$2(function(i,o){let{disabled:e=!1,...n}=i,[u,s]=D("Menu.Item"),a$1=`headlessui-menu-item-${I$3()}`,c=u.activeItemIndex!==null?u.items[u.activeItemIndex].id===a$1:!1,p=useRef(null),g=y(o,p);s$3(()=>{if(u.menuState!==0||!c||u.activationTrigger===0)return;let r=m$2();return r.requestAnimationFrame(()=>{var T,A;(A=(T=p.current)==null?void 0:T.scrollIntoView)==null||A.call(T,{block:"nearest"});}),r.dispose},[p,c,u.menuState,u.activationTrigger,u.activeItemIndex]);let d=useRef({disabled:e,domRef:p});s$3(()=>{d.current.disabled=e;},[d,e]),s$3(()=>{var r,T;d.current.textValue=(T=(r=p.current)==null?void 0:r.textContent)==null?void 0:T.toLowerCase();},[d,p]),s$3(()=>(s({type:5,id:a$1,dataRef:d}),()=>s({type:6,id:a$1})),[d,a$1]);let M=o$2(r=>{if(e)return r.preventDefault();s({type:1}),I$2(u.buttonRef.current);}),R=o$2(()=>{if(e)return s({type:2,focus:a.Nothing});s({type:2,focus:a.Specific,id:a$1});}),f=o$2(()=>{e||c||s({type:2,focus:a.Specific,id:a$1,trigger:0});}),l=o$2(()=>{e||!c||s({type:2,focus:a.Nothing});}),b=useMemo(()=>({active:c,disabled:e}),[c,e]);return $({ourProps:{id:a$1,ref:g,role:"menuitem",tabIndex:e===!0?void 0:-1,"aria-disabled":e===!0?!0:void 0,disabled:void 0,onClick:M,onFocus:R,onPointerMove:f,onMouseMove:f,onPointerLeave:l,onMouseLeave:l},theirProps:n,slot:b,defaultTag:Me,name:"Menu.Item"})}),qe=Object.assign(de,{Button:Te,Items:ge$1,Item:Re});

function l(r){let e={called:!1};return (...t)=>{if(!e.called)return e.called=!0,r(...t)}}

function f(t,...e){t&&e.length>0&&t.classList.add(...e);}function v(t,...e){t&&e.length>0&&t.classList.remove(...e);}var T=(n=>(n.Ended="ended",n.Cancelled="cancelled",n))(T||{});function c(t,e){let n=m$2();if(!t)return n.dispose;let{transitionDuration:d,transitionDelay:o}=getComputedStyle(t),[s,u]=[d,o].map(i=>{let[a=0]=i.split(",").filter(Boolean).map(r=>r.includes("ms")?parseFloat(r):parseFloat(r)*1e3).sort((r,l)=>l-r);return a});if(s+u!==0){let i=[];i.push(n.addEventListener(t,"transitionrun",a=>{a.target===a.currentTarget&&(i.splice(0).forEach(r=>r()),i.push(n.addEventListener(t,"transitionend",r=>{r.target===r.currentTarget&&(e("ended"),i.splice(0).forEach(l=>l()));}),n.addEventListener(t,"transitioncancel",r=>{r.target===r.currentTarget&&(e("cancelled"),i.splice(0).forEach(l=>l()));})));}));}else e("ended");return n.add(()=>e("cancelled")),n.dispose}function C(t,e,n,d){let o=n?"enter":"leave",s=m$2(),u=d!==void 0?l(d):()=>{};o==="enter"&&(t.removeAttribute("hidden"),t.style.display="");let m=u$1(o,{enter:()=>e.enter,leave:()=>e.leave}),i=u$1(o,{enter:()=>e.enterTo,leave:()=>e.leaveTo}),a=u$1(o,{enter:()=>e.enterFrom,leave:()=>e.leaveFrom});return v(t,...e.enter,...e.enterTo,...e.enterFrom,...e.leave,...e.leaveFrom,...e.leaveTo,...e.entered),f(t,...m,...a),s.nextFrame(()=>{v(t,...a),f(t,...i),c(t,r=>(r==="ended"&&(v(t,...m),f(t,...e.entered)),u(r)));}),s.dispose}

function I$1({container:o,direction:t,classes:s,onStart:a,onStop:u}){let c=f$1(),d=p$2(),r=s$2(t);s$3(()=>{let e=m$2();d.add(e.dispose);let n=o.current;if(!!n&&r.current!=="idle"&&!!c.current)return e.dispose(),a.current(r.current),e.add(C(n,s.current,r.current==="enter",l=>{e.dispose(),u$1(l,{[T.Ended](){u.current(r.current);},[T.Cancelled]:()=>{}});})),e.dispose},[t]);}

function x(r=""){return r.split(" ").filter(e=>e.trim().length>1)}let F=createContext(null);F.displayName="TransitionContext";var ve=(s=>(s.Visible="visible",s.Hidden="hidden",s))(ve||{});function Ce(){let r=useContext(F);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}function ge(){let r=useContext(M);if(r===null)throw new Error("A <Transition.Child /> is used but it is missing a parent <Transition /> or <Transition.Root />.");return r}let M=createContext(null);M.displayName="NestingContext";function I(r){return "children"in r?I(r.children):r.current.filter(({el:e})=>e.current!==null).filter(({state:e})=>e==="visible").length>0}function ee(r,e){let s=s$2(r),n=useRef([]),m=f$1(),D=p$2(),b=o$2((l,i=j.Hidden)=>{let t=n.current.findIndex(({el:o})=>o===l);t!==-1&&(u$1(i,{[j.Unmount](){n.current.splice(t,1);},[j.Hidden](){n.current[t].state="hidden";}}),D.microTask(()=>{var o;!I(n)&&m.current&&((o=s.current)==null||o.call(s));}));}),E=o$2(l=>{let i=n.current.find(({el:t})=>t===l);return i?i.state!=="visible"&&(i.state="visible"):n.current.push({el:l,state:"visible"}),()=>b(l,j.Unmount)}),S=useRef([]),u=useRef(Promise.resolve()),p=useRef({enter:[],leave:[],idle:[]}),d=o$2((l,i,t)=>{S.current.splice(0),e&&(e.chains.current[i]=e.chains.current[i].filter(([o])=>o!==l)),e==null||e.chains.current[i].push([l,new Promise(o=>{S.current.push(o);})]),e==null||e.chains.current[i].push([l,new Promise(o=>{Promise.all(p.current[i].map(([f,a])=>a)).then(()=>o());})]),i==="enter"?u.current=u.current.then(()=>e==null?void 0:e.wait.current).then(()=>t(i)):t(i);}),h=o$2((l,i,t)=>{Promise.all(p.current[i].splice(0).map(([o,f])=>f)).then(()=>{var o;(o=S.current.shift())==null||o();}).then(()=>t(i));});return useMemo(()=>({children:n,register:E,unregister:b,onStart:d,onStop:h,wait:u,chains:p}),[E,b,n,d,h,p,u])}function be(){}let Ee=["beforeEnter","afterEnter","beforeLeave","afterLeave"];function te(r){var s;let e={};for(let n of Ee)e[n]=(s=r[n])!=null?s:be;return e}function Se(r){let e=useRef(te(r));return useEffect(()=>{e.current=te(r);},[r]),e}let xe="div",ne=S.RenderStrategy,re=C$2(function(e,s){let{beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b,enter:E,enterFrom:S,enterTo:u,entered:p$1,leave:d,leaveFrom:h,leaveTo:l,...i}=e,t=useRef(null),o=y(t,s),f=i.unmount?j.Unmount:j.Hidden,{show:a,appear:P,initial:ie}=Ce(),[v,_]=useState(a?"visible":"hidden"),z=ge(),{register:N,unregister:V}=z,j$1=useRef(null);useEffect(()=>N(t),[N,t]),useEffect(()=>{if(f===j.Hidden&&!!t.current){if(a&&v!=="visible"){_("visible");return}return u$1(v,{["hidden"]:()=>V(t),["visible"]:()=>N(t)})}},[v,t,N,V,a,f]);let oe=s$2({enter:x(E),enterFrom:x(S),enterTo:x(u),entered:x(p$1),leave:x(d),leaveFrom:x(h),leaveTo:x(l)}),L=Se({beforeEnter:n,afterEnter:m,beforeLeave:D,afterLeave:b}),U=a$1();useEffect(()=>{if(U&&v==="visible"&&t.current===null)throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?")},[t,v,U]);let k=ie&&!P,se=(()=>!U||k||j$1.current===a?"idle":a?"enter":"leave")(),le=o$2(C=>u$1(C,{enter:()=>L.current.beforeEnter(),leave:()=>L.current.beforeLeave(),idle:()=>{}})),ae=o$2(C=>u$1(C,{enter:()=>L.current.afterEnter(),leave:()=>L.current.afterLeave(),idle:()=>{}})),w=ee(()=>{_("hidden"),V(t);},z);I$1({container:t,classes:oe,direction:se,onStart:s$2(C=>{w.onStart(t,C,le);}),onStop:s$2(C=>{w.onStop(t,C,ae),C==="leave"&&!I(w)&&(_("hidden"),V(t));})}),useEffect(()=>{!k||(f===j.Hidden?j$1.current=null:j$1.current=a);},[a,k,v]);let ue=i,de={ref:o};return c$1.createElement(M.Provider,{value:w},c$1.createElement(C$1,{value:u$1(v,{["visible"]:p.Open,["hidden"]:p.Closed})},$({ourProps:de,theirProps:ue,defaultTag:xe,features:ne,visible:v==="visible",name:"Transition.Child"})))}),q=C$2(function(e,s$1){let{show:n,appear:m=!1,unmount:D,...b}=e,E=useRef(null),S=y(E,s$1);a$1();let u=s();if(n===void 0&&u!==null&&(n=u$1(u,{[p.Open]:!0,[p.Closed]:!1})),![!0,!1].includes(n))throw new Error("A <Transition /> is used but it is missing a `show={true | false}` prop.");let[p$1,d]=useState(n?"visible":"hidden"),h=ee(()=>{d("hidden");}),[l,i]=useState(!0),t=useRef([n]);s$3(()=>{l!==!1&&t.current[t.current.length-1]!==n&&(t.current.push(n),i(!1));},[t,n]);let o=useMemo(()=>({show:n,appear:m,initial:l}),[n,m,l]);useEffect(()=>{if(n)d("visible");else if(!I(h))d("hidden");else {let a=E.current;if(!a)return;let P=a.getBoundingClientRect();P.x===0&&P.y===0&&P.width===0&&P.height===0&&d("hidden");}},[n,h]);let f={unmount:D};return c$1.createElement(M.Provider,{value:h},c$1.createElement(F.Provider,{value:o},$({ourProps:{...f,as:Fragment,children:c$1.createElement(re,{ref:S,...f,...b})},theirProps:{},defaultTag:Fragment,features:ne,visible:p$1==="visible",name:"Transition"})))}),Pe=C$2(function(e,s$1){let n=useContext(F)!==null,m=s()!==null;return c$1.createElement(c$1.Fragment,null,!n&&m?c$1.createElement(q,{ref:s$1,...e}):c$1.createElement(re,{ref:s$1,...e}))}),We=Object.assign(q,{Child:Pe,Root:q});

var OriginLogo$1 = function (_a) {
    var webProperty = _a.webProperty, _b = _a.height, height = _b === void 0 ? 24 : _b, _c = _a.theme, theme = _c === void 0 ? 'light' : _c;
    var originColor = theme === 'light' ? '#0074F0' : '#ffffff';
    return (jsxs("svg", __assign({ width: "191", height: height, viewBox: "fill-current", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, { children: [jsx("path", { fill: originColor, d: "M74.2644 10.2145C74.5185 10.2147 74.7701 10.2656 75.0044 10.3643C75.2393 10.4633 75.452 10.6084 75.63 10.791C75.9947 11.1609 76.199 11.6596 76.1986 12.1791V23.5521H71.4048V21.0999C70.241 22.8245 67.5146 23.8372 65.3616 23.7952C63.8414 23.813 62.3345 23.5108 60.9388 22.9083C59.5431 22.3057 58.2897 21.4162 57.2602 20.2976C55.1243 18.0226 53.9353 15.0192 53.9353 11.8987C53.9353 8.77811 55.1243 5.77478 57.2602 3.4998C58.288 2.38182 59.5394 1.49252 60.9333 0.889685C62.3271 0.286847 63.8321 -0.0160543 65.3506 0.000655569C67.592 -0.0240015 69.781 0.677806 71.5902 2.00106C72.0262 2.31938 72.4396 2.66764 72.8272 3.04332C73.4243 3.6236 73.959 4.26481 74.4226 4.95648C75.1013 5.98665 75.5869 7.13168 75.8559 8.33566H70.911L70.671 7.90879C70.208 7.08172 69.5667 6.36807 68.7937 5.81958C67.7898 5.11828 66.5906 4.75088 65.3662 4.76952C64.476 4.74804 63.5917 4.91916 62.7738 5.27118C61.9536 5.62693 61.2186 6.15324 60.6176 6.81511C59.3864 8.23233 58.7072 10.0457 58.7043 11.923C58.7015 13.8003 59.3752 15.6158 60.602 17.0368C61.2026 17.6994 61.9385 18.2253 62.7598 18.5791C63.5775 18.9318 64.4619 19.1035 65.3522 19.0824C66.8236 19.0869 68.2449 18.5483 69.3437 17.5696C70.3127 16.6972 70.9546 16.0117 71.2303 14.6095L64.5218 14.6391L64.472 10.2145H74.2644Z" }), jsx("path", { fill: originColor, d: "M22.2976 8.86453C22.4788 9.6034 22.5929 10.3571 22.6384 11.1165C22.7953 13.528 22.2418 15.9326 21.0463 18.0328C19.2161 21.1859 15.8404 23.4192 12.2127 23.7538C11.2898 23.8367 10.3601 23.7985 9.4471 23.6402C7.99544 23.3909 6.60782 22.8555 5.36488 22.0652C4.74829 21.6722 4.17451 21.2158 3.65293 20.7034C3.47395 20.5276 3.29498 20.3501 3.12067 20.1696C2.88833 19.9321 2.66958 19.6816 2.46546 19.4195C2.36586 19.2872 2.26936 19.1533 2.17599 19.0164C2.07948 18.8895 1.99062 18.757 1.90986 18.6195L14.7215 5.63984L14.5565 5.53712C14.5005 5.50288 14.4444 5.47176 14.3868 5.44063C12.5909 4.47727 10.2906 4.49751 8.48841 5.4313C7.60456 5.90328 6.83347 6.56113 6.22817 7.3596C5.62287 8.15807 5.19774 9.0782 4.98202 10.0567C4.73982 11.141 4.70288 12.2612 4.87308 13.3592C4.87665 13.377 4.87989 13.3948 4.8831 13.4125C4.8869 13.4334 4.89066 13.4541 4.89487 13.4743L1.21262 17.2282C1.18929 17.18 1.16592 17.1317 1.14415 17.0834C0.444645 15.5678 0.0575479 13.9268 0.00594244 12.2583C-0.045663 10.5898 0.239281 8.92801 0.843778 7.37202C0.946495 7.11367 1.06011 6.85844 1.17994 6.60631C2.43278 4.01505 4.68788 1.75683 7.39432 0.732775C9.67664 -0.142562 12.1848 -0.236404 14.5261 0.465944C16.8675 1.16829 18.9099 2.62718 20.3335 4.61423V4.62357C20.359 4.65893 20.3845 4.69392 20.4099 4.72887C20.4887 4.837 20.5672 4.94484 20.6448 5.06245L20.7444 5.21808L7.99972 18.2071C9.46578 19.1269 11.4081 19.337 13.0578 18.8607C13.2851 18.795 13.5085 18.7166 13.727 18.6257L13.8561 18.5713C16.0583 17.6079 17.5353 15.4726 17.8746 13.1148C17.9543 12.5629 17.9721 12.0039 17.9275 11.448C17.915 11.2955 17.8107 10.4022 17.8107 10.4022L21.5226 6.61877C21.6294 6.84703 21.7306 7.07788 21.826 7.31132C21.8208 7.31652 21.9565 7.7138 22.0223 7.90681C22.0354 7.94507 22.0458 7.97548 22.0517 7.99299C22.144 8.28039 22.226 8.5709 22.2976 8.86453Z" }), jsx("path", { fill: originColor, "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M43.4755 8.06229C43.4955 9.51308 43.0884 10.9377 42.3049 12.1589C41.5186 13.3857 40.3915 14.3564 39.0617 14.9519L44.4133 23.5937H38.9538L34.1273 15.6975H30.3871V23.5937H25.4715V1.28986C25.4713 1.14762 25.4991 1.00673 25.5533 0.87524C25.6076 0.743747 25.6872 0.624228 25.7876 0.523503C25.8881 0.422778 26.0074 0.342822 26.1387 0.288199C26.27 0.233576 26.4108 0.205356 26.5531 0.205151H35.5621C36.6013 0.179057 37.635 0.364096 38.6006 0.74907C40.0583 1.33084 41.3049 2.34159 42.1754 3.64753C43.046 4.95346 43.4993 6.49299 43.4755 8.06229ZM37.7519 10.2974C38.0663 9.99726 38.3144 9.63469 38.4802 9.23297C38.6431 8.83196 38.7193 8.40104 38.7038 7.96851C38.717 7.5502 38.6475 7.1334 38.4992 6.74205C38.3509 6.3507 38.1266 5.99252 37.8394 5.68811C37.548 5.38721 37.1955 5.15228 36.8057 4.99913C36.4158 4.84599 35.9976 4.7782 35.5793 4.80034H30.3965V11.2008H35.3605C35.801 11.2175 36.2404 11.1463 36.6531 10.9913C37.0658 10.8349 37.4439 10.5991 37.766 10.2974H37.7519Z" }), jsx("path", { fill: originColor, d: "M46.2846 0.202729H51.1284V23.5937H46.2846V0.202729Z" }), jsx("path", { fill: originColor, d: "M79.3175 0.202729H84.1613V23.5937H79.3175V0.202729Z" }), jsx("path", { fill: originColor, d: "M102.886 0.207419H103.186L103.199 0.208981H107.755V20.9372C107.758 21.6339 107.494 22.3053 107.016 22.8124C106.787 23.0568 106.51 23.2521 106.203 23.3864C105.896 23.5207 105.565 23.5912 105.23 23.5937H102.798C102.319 23.5916 101.852 23.4487 101.453 23.1827C101.044 22.9132 100.719 22.5342 100.515 22.0889L92.1367 6.61888V23.5906H87.28V2.8592C87.2768 2.16248 87.5414 1.49115 88.0192 0.984045C88.4665 0.506861 89.0844 0.22599 89.738 0.202732H92.3461C92.8242 0.202054 93.2917 0.342873 93.6899 0.607452C94.0966 0.876914 94.4184 1.25621 94.6181 1.70129L102.886 16.8588V0.207419Z" }), webProperty === 'ousd' && (jsxs(Fragment$1, { children: [jsx("path", { d: "M125.22 0.364846H115.955V23.6882H125.158C131.635 23.6882 136.53 19.3852 136.53 12.0265C136.53 4.66781 131.697 0.364846 125.22 0.364846ZM125.22 3.5453C129.744 3.5453 132.843 6.44512 132.843 12.0265C132.843 17.6079 129.682 20.5077 125.189 20.5077H119.612V3.5453H125.22Z", fill: "white" }), jsx("path", { d: "M146.636 7.41173C141.895 7.41173 138.332 10.6234 138.332 15.7058C138.332 20.7572 141.895 24 146.636 24C151.346 24 154.91 20.7572 154.91 15.7058C154.91 10.6234 151.346 7.41173 146.636 7.41173ZM146.636 10.4051C149.363 10.4051 151.408 12.3695 151.408 15.7058C151.408 19.011 149.363 20.9754 146.636 20.9754C143.878 20.9754 141.864 19.011 141.864 15.7058C141.864 12.3695 143.878 10.4051 146.636 10.4051Z", fill: "white" }), jsx("path", { d: "M160.977 0.134766H157.507V23.6882H160.977V0.134766Z", fill: "white" }), jsx("path", { d: "M167.804 0.134766H164.333V23.6882H167.804V0.134766Z", fill: "white" }), jsx("path", { d: "M177.487 7.41173C173.52 7.41173 171.166 10.2492 171.166 13.0555L174.667 13.1802C174.667 11.7459 175.535 10.4675 177.518 10.4675C179.47 10.4675 180.338 11.7459 180.338 13.8038V14.2715L176.557 14.4898C173.304 14.6769 170.732 15.8929 170.732 19.3228C170.732 22.3162 172.87 24 176.03 24C177.797 24 179.222 23.314 180.338 22.2538V23.6882H183.839V13.7415C183.839 9.65675 181.577 7.41173 177.487 7.41173ZM180.369 16.9843V17.5455C180.369 19.9776 178.819 21.069 176.619 21.069C175.225 21.069 174.233 20.6013 174.233 19.2605C174.233 17.8262 175.411 17.2961 177.053 17.2025L180.369 16.9843Z", fill: "white" }), jsx("path", { d: "M195.236 7.50527C192.695 7.50527 191.301 8.69014 190.712 9.93738V7.69236H187.335V23.6882H190.805V14.9887C190.805 12.6501 192.509 10.904 195.236 10.904V7.50527Z", fill: "white" })] })), webProperty === 'story' && (jsxs(Fragment$1, { children: [jsx("path", { fill: "black", d: "M124.37 0C118.993 0 116.366 3.11565 116.366 6.75571C116.366 11.167 119.765 12.3392 123.907 13.3572C127.43 14.1901 129.439 14.807 129.439 17.1206C129.439 19.5268 127.492 20.5139 124.834 20.5139C121.929 20.5139 119.734 18.9407 119.58 16.4728L115.84 16.6888C115.995 21.1926 119.765 23.6912 124.834 23.6912C129.408 23.6912 133.179 21.6244 133.179 16.8738C133.179 12.8019 130.119 11.4138 125.267 10.2415C121.929 9.47033 120.136 8.94591 120.136 6.63231C120.136 4.65804 121.62 3.17734 124.432 3.17734C127.028 3.17734 128.728 4.59635 128.852 6.90995L132.591 6.69401C132.437 2.46784 129.099 0 124.37 0Z" }), jsx("path", { fill: "black", d: "M143.202 20.5139C141.78 20.5139 140.575 19.8661 140.575 17.7993L140.606 10.55H144.655V7.55775H140.637L140.668 2.19021H137.175L137.144 7.55775H134.208V10.55H137.144L137.114 18.5088C137.083 22.0872 139.246 23.6295 142.368 23.6295C143.48 23.6295 144.098 23.537 144.685 23.4445V20.3597C144.315 20.4214 143.851 20.5139 143.202 20.5139Z" }), jsx("path", { fill: "black", d: "M154.516 7.28012C149.787 7.28012 146.233 10.4575 146.233 15.4857C146.233 20.4831 149.787 23.6912 154.516 23.6912C159.213 23.6912 162.768 20.4831 162.768 15.4857C162.768 10.4575 159.213 7.28012 154.516 7.28012ZM154.516 10.2415C157.235 10.2415 159.275 12.1849 159.275 15.4857C159.275 18.7556 157.235 20.699 154.516 20.699C151.765 20.699 149.756 18.7556 149.756 15.4857C149.756 12.1849 151.765 10.2415 154.516 10.2415Z" }), jsx("path", { fill: "black", d: "M173.06 7.37267C170.526 7.37267 169.405 8.54489 168.817 9.77881V7.55775H165.449V23.3828H168.91V14.7762C168.91 12.4626 171.418 10.7351 174.138 10.7351L173.06 7.37267Z" }), jsx("path", { fill: "black", d: "M191 7.55775H187.136L182.871 18.3854L178.606 7.55775H174.743L181.017 22.2722L177.123 31.249H180.924L191 7.55775Z" })] }))] })));
};
var YouTube = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 21 21" }, { children: jsx("g", __assign({ fill: "none", fillRule: "evenodd" }, { children: jsx("g", __assign({ className: "fill-current" }, { children: jsx("path", { fill: "currentColor", d: "M13.597 1.09528C11.2254 0.933405 5.94329 0.934063 3.57498 1.09528C1.01058 1.27032 0.708536 2.81936 0.689453 6.89661C0.708536 10.9666 1.00795 12.5222 3.57498 12.6979C5.94394 12.8592 11.2254 12.8598 13.597 12.6979C16.1614 12.5229 16.4635 10.9739 16.4825 6.89661C16.4635 2.8266 16.164 1.27098 13.597 1.09528ZM6.61186 9.52879V4.26443L11.8762 6.892L6.61186 9.52879Z" }) })) })) })));
};
var Facebook = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 320 512" }, { children: jsx("path", { fill: "currentColor", d: "M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z" }) })));
};
var Twitter = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, viewBox: "0 0 512 512" }, { children: jsx("path", { fill: "currentColor", d: "M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z" }) })));
};
var Telegram = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "telegram-plane", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "fill-current" }, { children: jsx("path", { fill: "currentColor", "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M12.3732 13.3315C12.585 13.4815 12.8581 13.519 13.1016 13.4269C13.3451 13.3341 13.5241 13.1262 13.578 12.8741C14.1499 10.1867 15.537 3.38448 16.0576 0.939842C16.097 0.75559 16.0312 0.564099 15.8865 0.441044C15.7417 0.31799 15.541 0.282455 15.362 0.348918C12.6028 1.3702 4.10548 4.55843 0.632313 5.84359C0.411868 5.92519 0.268414 6.13708 0.275652 6.36937C0.283549 6.60232 0.440164 6.80434 0.665873 6.87212C2.22347 7.33802 4.26801 7.98619 4.26801 7.98619C4.26801 7.98619 5.22349 10.8717 5.72163 12.3392C5.78415 12.5234 5.92826 12.6682 6.11844 12.7182C6.30795 12.7675 6.51063 12.7156 6.65211 12.582C7.45229 11.8265 8.68942 10.6585 8.68942 10.6585C8.68942 10.6585 11.04 12.3819 12.3732 13.3315ZM5.12808 7.62163L6.23294 11.2659L6.47839 8.95812C6.47839 8.95812 10.7471 5.1079 13.1806 2.91332C13.2516 2.84883 13.2615 2.74091 13.2023 2.66524C13.1437 2.58956 13.0358 2.57179 12.9549 2.62312C10.1345 4.42419 5.12808 7.62163 5.12808 7.62163Z" }) })));
};
var Medium = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "medium-letter", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "fill-current" }, { children: jsx("path", { fill: "currentColor", "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M2.35522 3.18526C2.37496 2.99114 2.3006 2.79965 2.15583 2.66936L0.68181 0.892634V0.627441H5.26049L8.79945 8.38908L11.9107 0.627441H16.2755V0.892634L15.0147 2.10146C14.9061 2.18438 14.8522 2.32059 14.8745 2.45549V11.3378C14.8522 11.472 14.9061 11.6082 15.0147 11.6912L16.2459 12.9V13.1652H10.0524V12.9L11.3283 11.6615C11.4534 11.5365 11.4534 11.4997 11.4534 11.3082V4.1289L7.90715 13.1362H7.42809L3.29886 4.1289V10.1658C3.26464 10.4192 3.34887 10.6751 3.5272 10.8581L5.18613 12.8704V13.1362H0.482422V12.8704L2.14135 10.8581C2.31903 10.6745 2.39799 10.4172 2.35522 10.1658V3.18526Z" }) })));
};
var Discord = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '20' : _b;
    return (jsx("svg", __assign({ width: size, height: size, "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "Discord-chat", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "fill-current" }, { children: jsx("path", { "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M12.2695 0C13.1618 0 13.8883 0.726482 13.8883 1.62669V15.7931L12.1905 14.2927L11.235 13.4083L10.2243 12.4686L10.6428 13.9295H1.68813C0.795818 13.9295 0.0693359 13.203 0.0693359 12.3028V1.62669C0.0693359 0.726482 0.795818 0 1.68813 0H12.2695V0ZM9.22143 10.3129C10.9666 10.2576 11.6378 9.11261 11.6378 9.11261C11.6378 6.56992 10.5007 4.50893 10.5007 4.50893C9.36357 3.6561 8.28174 3.67979 8.28174 3.67979L8.17119 3.80613C9.5136 4.21675 10.1374 4.80899 10.1374 4.80899C9.31619 4.35889 8.51074 4.13779 7.76057 4.05093C7.19202 3.98775 6.64716 4.00355 6.16547 4.06672L6.03123 4.08251C5.75485 4.1062 5.08364 4.20886 4.23871 4.57999C3.94654 4.71424 3.77281 4.80899 3.77281 4.80899C3.77281 4.80899 4.42823 4.18517 5.84961 3.77455L5.77064 3.67979C5.77064 3.67979 4.68881 3.6561 3.55171 4.50893C3.55171 4.50893 2.41461 6.56992 2.41461 9.11261C2.41461 9.11261 3.07792 10.2576 4.82305 10.3129C4.82305 10.3129 5.11523 9.95754 5.35212 9.65747C4.34926 9.3574 3.97023 8.72568 3.97023 8.72568L4.19133 8.85992L4.22292 8.88361L4.25385 8.90138L4.26306 8.90532L4.29399 8.92309C4.4914 9.03364 4.68881 9.12051 4.87043 9.19158C5.19419 9.31792 5.58112 9.44426 6.03123 9.53113C6.62347 9.64168 7.31836 9.68116 8.07643 9.53902C8.44757 9.47585 8.8266 9.3653 9.22143 9.19947C9.49781 9.09682 9.80577 8.94678 10.1295 8.73358C10.1295 8.73358 9.7347 9.38109 8.70026 9.67326C8.93715 9.97333 9.22143 10.3129 9.22143 10.3129ZM5.54954 6.6252C5.09943 6.6252 4.74409 7.02003 4.74409 7.50171C4.74409 7.9834 5.10733 8.37823 5.54954 8.37823C5.99964 8.37823 6.35498 7.9834 6.35498 7.50171C6.36288 7.02003 5.99964 6.6252 5.54954 6.6252ZM8.43177 6.6252C7.98167 6.6252 7.62633 7.02003 7.62633 7.50171C7.62633 7.9834 7.98957 8.37823 8.43177 8.37823C8.88188 8.37823 9.23722 7.9834 9.23722 7.50171C9.23722 7.02003 8.88188 6.6252 8.43177 6.6252Z", fill: "currentColor" }) })));
};
var DownCaret = function (_a) {
    var _b = _a.width, width = _b === void 0 ? '8' : _b, _c = _a.height, height = _c === void 0 ? '5' : _c;
    return (jsx("svg", __assign({ width: width, height: height, viewBox: "0 0 8 5", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, { children: jsx("path", { d: "M7.25 0.75L4 4.25L0.75 0.75", stroke: "#475569", "stroke-width": "1.5", "stroke-linecap": "round", "stroke-linejoin": "round" }) })));
};

function classNames() {
    var classes = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        classes[_i] = arguments[_i];
    }
    return classes.filter(Boolean).join(' ');
}
var SINGLE_COLUMN_OPTIONS_MAX = 8;
var Dropdown = function (_a) {
    var options = _a.options, label = _a.label, _b = _a.highlightText, highlightText = _b === void 0 ? '' : _b, _c = _a.alignRight, alignRight = _c === void 0 ? false : _c, _d = _a.bolding, bolding = _d === void 0 ? 'all' : _d, classes = _a.classes, style = _a.style;
    return (jsxs(qe, __assign({ as: "div", className: "relative inline-block text-left self-center ".concat(classes), style: style }, { children: [jsx("div", { children: jsxs(qe.Button, __assign({ type: "button", className: "\n            ".concat((highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 ? 'pr-14 translate-x-6 md:translate-x-0' : '', "\n            transform inline-flex w-full justify-center align-middle px-4 py-2 text-base font-medium text-gray-700 hover:bg-gray-50 focus:outline-none focus:ring-offset-gray-100 font-sans\n            "), id: "menu-button", "aria-expanded": "true", "aria-haspopup": "true" }, { children: [label, jsx("span", __assign({ className: "self-center pl-2" }, { children: jsx(DownCaret, {}) }))] })) }), (highlightText === null || highlightText === void 0 ? void 0 : highlightText.length) > 0 && (jsx("div", __assign({ className: 'absolute -right-6 md:right-0 bottom-6 bg-gradient-to-r from-story-pink-start to-story-pink-end rounded text-white text-2xs py-0 px-1' }, { children: highlightText }))), jsx(We, __assign({ as: Fragment, enter: "transition ease-out duration-100", enterFrom: "transform opacity-0 scale-95", enterTo: "transform opacity-100 scale-100", leave: "transition ease-in duration-75", leaveFrom: "transform opacity-100 scale-100", leaveTo: "transform opacity-0 scale-95" }, { children: jsx(qe.Items, __assign({ className: "\n            ".concat(alignRight ? 'right-1/2 translate-x-1/2 md:right-0 md:mr-0' : 'left-1/2 -translate-x-1/2 md:left-0', " \n            ").concat(options.length > SINGLE_COLUMN_OPTIONS_MAX ? 'w-96 md:w-72 overflow-y-scroll md:overflow-auto' : 'w-40 md:w-36', "\n            transform md:translate-x-0 max-h-72 md:max-h-screen\n            absolute z-10 mt-2 origin-top-right rounded-md bg-white shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none"), role: "menu", "aria-orientation": "vertical", "aria-labelledby": "menu-button", tabIndex: -1 }, { children: jsx("div", __assign({ className: "py-1 flex flex-wrap", role: "none" }, { children: options.map(function (_a) {
                            var optionLabel = _a.label, href = _a.href, highlight = _a.highlight;
                            return (jsx(DropdownOption, { label: optionLabel, href: href, highlight: highlight, bold: bolding === 'all' || bolding === 'selection' && optionLabel === label, columns: options.length > SINGLE_COLUMN_OPTIONS_MAX ? 2 : 1 }, label));
                        }) })) })) }))] })));
};
var DropdownOption = function (_a) {
    var label = _a.label, href = _a.href, _b = _a.highlight, highlight = _b === void 0 ? false : _b, _c = _a.bold, bold = _c === void 0 ? false : _c, _d = _a.columns, columns = _d === void 0 ? 1 : _d;
    return (jsx(qe.Item, { children: function (_a) {
            var active = _a.active;
            return (jsx("a", __assign({ href: href, className: classNames(active ? 'bg-gray-100 text-gray-900' : 'text-gray-700', highlight ? 'text-story-pink' : 'text-gray-700', bold ? 'font-bold' : 'font-normal', columns === 1 ? 'w-full' : 'w-1/2', 'block px-4 py-2 text-base md:w-36', 'font-sans') }, { children: label })));
        } }));
};

var LanguageOptions = [
    {
        label: 'Deutsch',
        href: '#'
    },
    {
        label: 'English',
        href: '#'
    },
    {
        label: 'Espańol',
        href: '#'
    },
    {
        label: 'Filipino',
        href: '#'
    },
    {
        label: 'Français',
        href: '#'
    },
    {
        label: 'Hrvatski',
        href: '#'
    },
    {
        label: 'Indonesia',
        href: '#'
    },
    {
        label: 'Indonesia',
        href: '#'
    },
    {
        label: 'Italioano',
        href: '#'
    },
    {
        label: 'Nederlands',
        href: '#'
    },
    {
        label: 'Português',
        href: '#'
    },
    {
        label: 'Tiếng việt',
        href: '#'
    },
    {
        label: 'Türkçe',
        href: '#'
    },
    {
        label: 'Ελληνικά',
        href: '#'
    },
    {
        label: 'Русский',
        href: '#'
    },
    {
        label: 'עברית',
        href: '#'
    },
    {
        label: 'العربية',
        href: '#'
    },
    {
        label: 'ไทย',
        href: '#'
    },
    {
        label: '한국어',
        href: '#'
    },
    {
        label: '日本語',
        href: '#'
    },
    {
        label: '简体中文',
        href: '#'
    },
    {
        label: '繁體中文',
        href: '#'
    },
];
var ProductsOptions = [
    {
        label: 'Collections',
        href: '#'
    },
    {
        label: 'Drops',
        href: '#'
    },
    {
        label: 'Storefront',
        href: '#'
    }
];
var OgnDropdownOptions = [
    {
        label: 'Dashboard',
        href: '#'
    },
    {
        label: 'Rewards',
        href: '#',
        highlight: true,
    }
];

var OriginLogo = function (_a) {
    var webProperty = _a.webProperty, _b = _a.height, height = _b === void 0 ? 24 : _b, _c = _a.theme, theme = _c === void 0 ? 'light' : _c;
    var originColor = theme === 'light' ? '#0074F0' : '#ffffff';
    return (jsxs("svg", __assign({ width: "191", height: height, viewBox: "0 0 191 32", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, { children: [jsx("path", { fill: originColor, d: "M74.2644 10.2145C74.5185 10.2147 74.7701 10.2656 75.0044 10.3643C75.2393 10.4633 75.452 10.6084 75.63 10.791C75.9947 11.1609 76.199 11.6596 76.1986 12.1791V23.5521H71.4048V21.0999C70.241 22.8245 67.5146 23.8372 65.3616 23.7952C63.8414 23.813 62.3345 23.5108 60.9388 22.9083C59.5431 22.3057 58.2897 21.4162 57.2602 20.2976C55.1243 18.0226 53.9353 15.0192 53.9353 11.8987C53.9353 8.77811 55.1243 5.77478 57.2602 3.4998C58.288 2.38182 59.5394 1.49252 60.9333 0.889685C62.3271 0.286847 63.8321 -0.0160543 65.3506 0.000655569C67.592 -0.0240015 69.781 0.677806 71.5902 2.00106C72.0262 2.31938 72.4396 2.66764 72.8272 3.04332C73.4243 3.6236 73.959 4.26481 74.4226 4.95648C75.1013 5.98665 75.5869 7.13168 75.8559 8.33566H70.911L70.671 7.90879C70.208 7.08172 69.5667 6.36807 68.7937 5.81958C67.7898 5.11828 66.5906 4.75088 65.3662 4.76952C64.476 4.74804 63.5917 4.91916 62.7738 5.27118C61.9536 5.62693 61.2186 6.15324 60.6176 6.81511C59.3864 8.23233 58.7072 10.0457 58.7043 11.923C58.7015 13.8003 59.3752 15.6158 60.602 17.0368C61.2026 17.6994 61.9385 18.2253 62.7598 18.5791C63.5775 18.9318 64.4619 19.1035 65.3522 19.0824C66.8236 19.0869 68.2449 18.5483 69.3437 17.5696C70.3127 16.6972 70.9546 16.0117 71.2303 14.6095L64.5218 14.6391L64.472 10.2145H74.2644Z" }), jsx("path", { fill: originColor, d: "M22.2976 8.86453C22.4788 9.6034 22.5929 10.3571 22.6384 11.1165C22.7953 13.528 22.2418 15.9326 21.0463 18.0328C19.2161 21.1859 15.8404 23.4192 12.2127 23.7538C11.2898 23.8367 10.3601 23.7985 9.4471 23.6402C7.99544 23.3909 6.60782 22.8555 5.36488 22.0652C4.74829 21.6722 4.17451 21.2158 3.65293 20.7034C3.47395 20.5276 3.29498 20.3501 3.12067 20.1696C2.88833 19.9321 2.66958 19.6816 2.46546 19.4195C2.36586 19.2872 2.26936 19.1533 2.17599 19.0164C2.07948 18.8895 1.99062 18.757 1.90986 18.6195L14.7215 5.63984L14.5565 5.53712C14.5005 5.50288 14.4444 5.47176 14.3868 5.44063C12.5909 4.47727 10.2906 4.49751 8.48841 5.4313C7.60456 5.90328 6.83347 6.56113 6.22817 7.3596C5.62287 8.15807 5.19774 9.0782 4.98202 10.0567C4.73982 11.141 4.70288 12.2612 4.87308 13.3592C4.87665 13.377 4.87989 13.3948 4.8831 13.4125C4.8869 13.4334 4.89066 13.4541 4.89487 13.4743L1.21262 17.2282C1.18929 17.18 1.16592 17.1317 1.14415 17.0834C0.444645 15.5678 0.0575479 13.9268 0.00594244 12.2583C-0.045663 10.5898 0.239281 8.92801 0.843778 7.37202C0.946495 7.11367 1.06011 6.85844 1.17994 6.60631C2.43278 4.01505 4.68788 1.75683 7.39432 0.732775C9.67664 -0.142562 12.1848 -0.236404 14.5261 0.465944C16.8675 1.16829 18.9099 2.62718 20.3335 4.61423V4.62357C20.359 4.65893 20.3845 4.69392 20.4099 4.72887C20.4887 4.837 20.5672 4.94484 20.6448 5.06245L20.7444 5.21808L7.99972 18.2071C9.46578 19.1269 11.4081 19.337 13.0578 18.8607C13.2851 18.795 13.5085 18.7166 13.727 18.6257L13.8561 18.5713C16.0583 17.6079 17.5353 15.4726 17.8746 13.1148C17.9543 12.5629 17.9721 12.0039 17.9275 11.448C17.915 11.2955 17.8107 10.4022 17.8107 10.4022L21.5226 6.61877C21.6294 6.84703 21.7306 7.07788 21.826 7.31132C21.8208 7.31652 21.9565 7.7138 22.0223 7.90681C22.0354 7.94507 22.0458 7.97548 22.0517 7.99299C22.144 8.28039 22.226 8.5709 22.2976 8.86453Z" }), jsx("path", { fill: originColor, "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M43.4755 8.06229C43.4955 9.51308 43.0884 10.9377 42.3049 12.1589C41.5186 13.3857 40.3915 14.3564 39.0617 14.9519L44.4133 23.5937H38.9538L34.1273 15.6975H30.3871V23.5937H25.4715V1.28986C25.4713 1.14762 25.4991 1.00673 25.5533 0.87524C25.6076 0.743747 25.6872 0.624228 25.7876 0.523503C25.8881 0.422778 26.0074 0.342822 26.1387 0.288199C26.27 0.233576 26.4108 0.205356 26.5531 0.205151H35.5621C36.6013 0.179057 37.635 0.364096 38.6006 0.74907C40.0583 1.33084 41.3049 2.34159 42.1754 3.64753C43.046 4.95346 43.4993 6.49299 43.4755 8.06229ZM37.7519 10.2974C38.0663 9.99726 38.3144 9.63469 38.4802 9.23297C38.6431 8.83196 38.7193 8.40104 38.7038 7.96851C38.717 7.5502 38.6475 7.1334 38.4992 6.74205C38.3509 6.3507 38.1266 5.99252 37.8394 5.68811C37.548 5.38721 37.1955 5.15228 36.8057 4.99913C36.4158 4.84599 35.9976 4.7782 35.5793 4.80034H30.3965V11.2008H35.3605C35.801 11.2175 36.2404 11.1463 36.6531 10.9913C37.0658 10.8349 37.4439 10.5991 37.766 10.2974H37.7519Z" }), jsx("path", { fill: originColor, d: "M46.2846 0.202729H51.1284V23.5937H46.2846V0.202729Z" }), jsx("path", { fill: originColor, d: "M79.3175 0.202729H84.1613V23.5937H79.3175V0.202729Z" }), jsx("path", { fill: originColor, d: "M102.886 0.207419H103.186L103.199 0.208981H107.755V20.9372C107.758 21.6339 107.494 22.3053 107.016 22.8124C106.787 23.0568 106.51 23.2521 106.203 23.3864C105.896 23.5207 105.565 23.5912 105.23 23.5937H102.798C102.319 23.5916 101.852 23.4487 101.453 23.1827C101.044 22.9132 100.719 22.5342 100.515 22.0889L92.1367 6.61888V23.5906H87.28V2.8592C87.2768 2.16248 87.5414 1.49115 88.0192 0.984045C88.4665 0.506861 89.0844 0.22599 89.738 0.202732H92.3461C92.8242 0.202054 93.2917 0.342873 93.6899 0.607452C94.0966 0.876914 94.4184 1.25621 94.6181 1.70129L102.886 16.8588V0.207419Z" }), webProperty === 'ousd' && (jsxs(Fragment$1, { children: [jsx("path", { d: "M125.22 0.364846H115.955V23.6882H125.158C131.635 23.6882 136.53 19.3852 136.53 12.0265C136.53 4.66781 131.697 0.364846 125.22 0.364846ZM125.22 3.5453C129.744 3.5453 132.843 6.44512 132.843 12.0265C132.843 17.6079 129.682 20.5077 125.189 20.5077H119.612V3.5453H125.22Z", fill: "white" }), jsx("path", { d: "M146.636 7.41173C141.895 7.41173 138.332 10.6234 138.332 15.7058C138.332 20.7572 141.895 24 146.636 24C151.346 24 154.91 20.7572 154.91 15.7058C154.91 10.6234 151.346 7.41173 146.636 7.41173ZM146.636 10.4051C149.363 10.4051 151.408 12.3695 151.408 15.7058C151.408 19.011 149.363 20.9754 146.636 20.9754C143.878 20.9754 141.864 19.011 141.864 15.7058C141.864 12.3695 143.878 10.4051 146.636 10.4051Z", fill: "white" }), jsx("path", { d: "M160.977 0.134766H157.507V23.6882H160.977V0.134766Z", fill: "white" }), jsx("path", { d: "M167.804 0.134766H164.333V23.6882H167.804V0.134766Z", fill: "white" }), jsx("path", { d: "M177.487 7.41173C173.52 7.41173 171.166 10.2492 171.166 13.0555L174.667 13.1802C174.667 11.7459 175.535 10.4675 177.518 10.4675C179.47 10.4675 180.338 11.7459 180.338 13.8038V14.2715L176.557 14.4898C173.304 14.6769 170.732 15.8929 170.732 19.3228C170.732 22.3162 172.87 24 176.03 24C177.797 24 179.222 23.314 180.338 22.2538V23.6882H183.839V13.7415C183.839 9.65675 181.577 7.41173 177.487 7.41173ZM180.369 16.9843V17.5455C180.369 19.9776 178.819 21.069 176.619 21.069C175.225 21.069 174.233 20.6013 174.233 19.2605C174.233 17.8262 175.411 17.2961 177.053 17.2025L180.369 16.9843Z", fill: "white" }), jsx("path", { d: "M195.236 7.50527C192.695 7.50527 191.301 8.69014 190.712 9.93738V7.69236H187.335V23.6882H190.805V14.9887C190.805 12.6501 192.509 10.904 195.236 10.904V7.50527Z", fill: "white" })] })), webProperty === 'story' && (jsxs(Fragment$1, { children: [jsx("path", { fill: "black", d: "M124.37 0C118.993 0 116.366 3.11565 116.366 6.75571C116.366 11.167 119.765 12.3392 123.907 13.3572C127.43 14.1901 129.439 14.807 129.439 17.1206C129.439 19.5268 127.492 20.5139 124.834 20.5139C121.929 20.5139 119.734 18.9407 119.58 16.4728L115.84 16.6888C115.995 21.1926 119.765 23.6912 124.834 23.6912C129.408 23.6912 133.179 21.6244 133.179 16.8738C133.179 12.8019 130.119 11.4138 125.267 10.2415C121.929 9.47033 120.136 8.94591 120.136 6.63231C120.136 4.65804 121.62 3.17734 124.432 3.17734C127.028 3.17734 128.728 4.59635 128.852 6.90995L132.591 6.69401C132.437 2.46784 129.099 0 124.37 0Z" }), jsx("path", { fill: "black", d: "M143.202 20.5139C141.78 20.5139 140.575 19.8661 140.575 17.7993L140.606 10.55H144.655V7.55775H140.637L140.668 2.19021H137.175L137.144 7.55775H134.208V10.55H137.144L137.114 18.5088C137.083 22.0872 139.246 23.6295 142.368 23.6295C143.48 23.6295 144.098 23.537 144.685 23.4445V20.3597C144.315 20.4214 143.851 20.5139 143.202 20.5139Z" }), jsx("path", { fill: "black", d: "M154.516 7.28012C149.787 7.28012 146.233 10.4575 146.233 15.4857C146.233 20.4831 149.787 23.6912 154.516 23.6912C159.213 23.6912 162.768 20.4831 162.768 15.4857C162.768 10.4575 159.213 7.28012 154.516 7.28012ZM154.516 10.2415C157.235 10.2415 159.275 12.1849 159.275 15.4857C159.275 18.7556 157.235 20.699 154.516 20.699C151.765 20.699 149.756 18.7556 149.756 15.4857C149.756 12.1849 151.765 10.2415 154.516 10.2415Z" }), jsx("path", { fill: "black", d: "M173.06 7.37267C170.526 7.37267 169.405 8.54489 168.817 9.77881V7.55775H165.449V23.3828H168.91V14.7762C168.91 12.4626 171.418 10.7351 174.138 10.7351L173.06 7.37267Z" }), jsx("path", { fill: "black", d: "M191 7.55775H187.136L182.871 18.3854L178.606 7.55775H174.743L181.017 22.2722L177.123 31.249H180.924L191 7.55775Z" })] }))] })));
};

var OriginProtocolNav = function (_a) {
    var language = _a.language;
    return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsx("div", __assign({ className: 'block md:hidden self-center' }, { children: jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) })), jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsx(Dropdown, { label: "Company", options: ProductsOptions }), jsx(Button, { label: 'Community', type: "header", size: "small" }), jsx("div", __assign({ className: 'hidden md:block self-center' }, { children: jsx(Dropdown, { label: language, options: LanguageOptions, alignRight: true, bolding: 'selection' }) }))] })));
};
var OusdNav = function () { return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row space-y-4 md:space-y-0' }, { children: [jsx(Button, { label: 'Governance', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'Docs', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'FAQ', type: "header", size: "small", webProperty: 'ousd' }), jsx(Button, { label: 'OGV', type: "header", size: "small", webProperty: 'ousd' }), jsx("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: jsx(Button, { size: "small", label: "Get OUSD", webProperty: "ousd" }) }))] }))); };
var StoryNav = function () { return (jsxs("div", __assign({ className: 'flex flex-col md:flex-row items-center justify-center space-y-4 md:space-y-0' }, { children: [jsx(Dropdown, { label: "Products", options: ProductsOptions }), jsx(Dropdown, { label: "Drops", options: ProductsOptions }), jsx(Button, { label: 'Docs', type: "header", size: "small" }), jsx(Dropdown, { label: "OGN", highlightText: "Rewards", options: OgnDropdownOptions }), jsxs("div", __assign({ className: 'flex flex-col md:flex-row md:space-x-5 md:pl-4 items-center justify-center space-y-4 md:space-y-0' }, { children: [jsx(Button, { size: "small", label: "Buy Ogn", webProperty: "story" }), jsx(Button, { size: "small", label: "Connect Wallet", webProperty: "story" })] }))] }))); };
var Hamburger = function (_a) {
    var setOpen = _a.setOpen, open = _a.open;
    return (jsxs("div", __assign({ className: "space-y-2 cursor-pointer", onClick: function () { return setOpen(!open); } }, { children: [jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? 'rotate-45 translate-y-1.5' : '') }), jsx("span", { className: "block w-8 h-0.5 bg-gray-600 transform transition-transform ".concat(open ? '-rotate-45 -translate-y-1' : '') })] })));
};
var Header = function (_a) {
    var webProperty = _a.webProperty, language = _a.language;
    var _b = useState(false), open = _b[0], setOpen = _b[1];
    return (jsx("header", { children: jsxs("div", __assign({ className: "px-9 py-16 w-full flex justify-between items-center" }, { children: [jsx("div", __assign({ className: "flex h-6" }, { children: jsx(OriginLogo, { webProperty: webProperty }) })), jsxs("div", __assign({ className: "hidden md:block" }, { children: [webProperty === 'originprotocol' && (jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsx(OusdNav, {})), webProperty === 'story' && (jsx(StoryNav, {}))] })), jsx("div", __assign({ className: "block md:hidden" }, { children: jsx(Hamburger, { open: open, setOpen: setOpen }) })), jsx("div", __assign({ className: "\n            ".concat(open ? 'translate-y-0' : 'translate-y-full', " \n            ").concat(webProperty === 'ousd' ? 'bg-black' : 'bg-white', " \n            transform md:hidden fixed top-0 bottom-0 right-0 left-0 transition-transform shadow\n          ") }, { children: jsx("div", __assign({ className: 'relative h-full' }, { children: jsxs("div", __assign({ className: 'flex flex-col justify-center align-middle h-full' }, { children: [jsx("div", __assign({ className: "absolute right-8 top-16" }, { children: jsx(Hamburger, { open: open, setOpen: setOpen }) })), webProperty === 'originprotocol' && (jsx(OriginProtocolNav, { language: language || 'English' })), webProperty === 'ousd' && (jsx(OusdNav, {})), webProperty === 'story' && (jsx(StoryNav, {}))] })) })) }))] })) }));
};

var Footer = function () { return (jsxs("div", __assign({ className: "w-full bg-gradient-to-r from-black to-footer-end px-7 md:px-32 py-10 md:py-20 text-white" }, { children: [jsxs("div", __assign({ className: "border-b flex flex-col md:flex-row space-y-12 md:space-y-0 pb-12 md:pb-7", style: { borderBottomColor: 'rgba(255,255,25,0.2)' } }, { children: [jsxs("div", __assign({ className: "flex flex-col md:justify-between space-y-6 md:space-y-0 flex-6" }, { children: [jsx(OriginLogo$1, { webProperty: "originprotocol", theme: "dark" }), jsxs("div", __assign({ className: "flex space-x-4 items-center" }, { children: [jsx(Twitter, {}), jsx(Facebook, {}), jsx(YouTube, {}), jsx(Medium, {}), jsx(Telegram, {}), jsx(Discord, {})] }))] })), jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Organization" })), jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4" }, { children: [jsx(Typography.Body2, __assign({ classes: "opacity-75" }, { children: "Team" })), jsx(Typography.Body2, __assign({ classes: "opacity-75" }, { children: "Products" })), jsxs(Typography.Body2, __assign({ classes: "flex items-center" }, { children: [jsx("span", __assign({ className: "opacity-75" }, { children: "Careers" })), jsx("div", __assign({ className: "opacity-100 text-sm ml-2 bg-gray-700 py-1 px-3 rounded-xl font-medium" }, { children: "Hiring!" }))] }))] }))] })), jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Products" })), jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4 opacity-75" }, { children: [jsx(Typography.Body2, { children: "Origin Story" }), jsx(Typography.Body2, { children: "Origin Dollar" })] }))] })), jsxs("div", __assign({ className: "flex flex-col flex-2 space-y-4" }, { children: [jsx(Typography.Body2, __assign({ classes: "font-bold" }, { children: "Resources" })), jsxs("div", __assign({ className: "flex flex-row md:flex-col space-x-4 md:space-x-0 md:space-y-4 opacity-75" }, { children: [jsx(Typography.Body2, { children: "Litepaper" }), jsx(Typography.Body2, { children: "Videos" }), jsx(Typography.Body2, { children: "GitHub" }), jsx(Typography.Body2, { children: "Governance" })] }))] }))] })), jsxs("div", __assign({ className: "pt-10 flex flex-col md:flex-row space-y-2 md:space-y-0 justify-between opacity-75" }, { children: [jsx(Typography.Body2, { children: "\u00A9 2022 Origin Protocol Inc. All rights reserved." }), jsxs("div", __assign({ className: "flex space-x-6" }, { children: [jsx(Typography.Body2, { children: "Privacy Policy" }), jsx(Typography.Body2, { children: "Terms of Service" })] }))] }))] }))); };

export { Button, Dropdown, Footer, Header, Typography };
//# sourceMappingURL=index.esm.js.map
